# -------------------------------------------------------------------------------------------------
#<profile4xi profile = "12"/>
#<program4xi program = "verb4xi.py">
#<abstract4xi abstract = "scopes reason-xml files to scope-reason-xml files; offers services for verb knowledgebase"/>
#<refer4xi reference = "test_coordinate4xi.py; skeleton_print4xi.py"/>
#<use4xi usage = "you can select the direction(s) to be used with DirectionKB4Xi"
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
# -------------------------------------------------------------------------------------------------


# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'analyze_verb4xi','cast2tense4xi','wave_verb4xi', 'color_tenses4xi', 'coordinate_tenses4xi', 'sense_verb4xi', 'reason_verb4xi', 'ace_verb4xi', 'xml_verb4xi', 'Verb4Xi' ] 
#"
#/>

# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import itertools
import os
import signal
import sys
import string
from time import localtime, strftime
import threading
import _thread
import _winapi

import weakref
#"
#/>

# -------------------------------------------------------------------------------------------------
# Multiprocessing Imports                          
# -------------------------------------------------------------------------------------------------
#<process4xi process = "
import _multiprocessing
#"
#/>

# =====================================================================================================
# DIRECTIONS 0, 1 ... 8 TO BE SELECTED FOR TESTING - YOU CAN PICK ONE, SOME OR ALL  
# =====================================================================================================
global DirectionKB4Xi
DirectionKB4Xi = {       
       0: True,    # should always be True!
       1: True,    # one direction 
       2: True,
       3: True,
       4: True,
       5: True,
       6: True,
       7: True,
       8: True,    # eight direction
       }        
 
# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "

from charge2one4xi import charge2one4xi
from charge2two4xi import charge2two4xi
from charge2three4xi import charge2three4xi
from charge2four4xi import charge2four4xi
from charge2five4xi import charge2five4xi
from charge2six4xi import charge2six4xi
from charge2seven4xi import charge2seven4xi
from charge2eight4xi import charge2eight4xi
       
from cluster2a4xi import Cluster2a4Xi
from cluster2b4xi import Cluster2b4Xi
from cluster2c4xi import Cluster2c4Xi
from cluster2d4xi import Cluster2d4Xi
from cluster2e4xi import Cluster2e4Xi
from cluster2f4xi import Cluster2f4Xi
from cluster2g4xi import Cluster2g4Xi
from cluster2h4xi import Cluster2h4Xi
from cluster2i4xi import Cluster2i4Xi
from cluster2j4xi import Cluster2j4Xi
from cluster2k4xi import Cluster2k4Xi
from cluster2l4xi import Cluster2l4Xi
from cluster2m4xi import Cluster2m4Xi
from cluster2n4xi import Cluster2n4Xi
from cluster2o4xi import Cluster2o4Xi
from cluster2p4xi import Cluster2p4Xi
from cluster2q4xi import Cluster2q4Xi
from cluster2r4xi import Cluster2r4Xi
from cluster2s4xi import Cluster2s4Xi
from cluster2t4xi import Cluster2t4Xi
from cluster2u4xi import Cluster2u4Xi
from cluster2v4xi import Cluster2v4Xi
from cluster2w4xi import Cluster2w4Xi
from cluster2x4xi import Cluster2x4Xi
from cluster2y4xi import Cluster2y4Xi
from cluster2z4xi import Cluster2z4Xi
from cluster2_4xi import Cluster2_4Xi

from current_process4xi import get_current_process4xi            
from current_process4xi import get_identity_current_process4xi
from current_process4xi import get_name_current_process4xi

from dummyprocess4xi import DummyProcess4Xi



# =====================================================================================================
# (X,Y,Z)- COORDINATES CONDITIONALLY EITHER DIRECTLY FROM RAM OR LOADING FROM FILES 
# =====================================================================================================

# -----------------------------------------------------------------------------------------------------
# ONE - (X + ,Y + ,Z + )
# -----------------------------------------------------------------------------------------------------
global load2one
load2one = False
if load2one is True:
    # -------------------------------------------------------------------------------------------------
    # SHOT2ONE - (X + ,Y + ,Z + ) FROM FILES GENERATING WITH LOAD2ONE4XI
    # -------------------------------------------------------------------------------------------------    
    print("VERB4XI: SHOT2ONE - (X + ,Y + ,Z + ) FROM FILES WITH LOAD2ONE4XI")
    from load2one4xi import shot2one104xi            
    from load2one4xi import shot2one1004xi             
    from load2one4xi import shot2one2004xi    
    from load2one4xi import shot2one3004xi
    from load2one4xi import shot2one4004xi
    from load2one4xi import shot2one5004xi
    from load2one4xi import shot2one6004xi
    from load2one4xi import shot2one7004xi
    from load2one4xi import shot2one8004xi
    from load2one4xi import shot2one9004xi
    from load2one4xi import shot2one10004xi            
    from load2one4xi import shot2one11004xi
    from load2one4xi import shot2one12004xi
    from load2one4xi import shot2one13004xi
    from load2one4xi import shot2one14004xi
    from load2one4xi import shot2one15004xi
    from load2one4xi import shot2one16004xi
    from load2one4xi import shot2one17004xi
    from load2one4xi import shot2one18004xi
    from load2one4xi import shot2one19004xi
    from load2one4xi import shot2one20004xi
    from load2one4xi import shot2one21004xi
    from load2one4xi import shot2one22004xi
    from load2one4xi import shot2one23004xi
    from load2one4xi import shot2one24004xi
    from load2one4xi import shot2one25004xi
    from load2one4xi import shot2one26004xi
    from load2one4xi import shot2one27004xi
    from load2one4xi import shot2one28004xi
    from load2one4xi import shot2one29004xi
    from load2one4xi import shot2one30004xi
    from load2one4xi import shot2one31004xi
    from load2one4xi import shot2one32004xi
    from load2one4xi import shot2one33004xi
    
    from load2one4xi import load2one4xi
else:
    # -------------------------------------------------------------------------------------------------
    # SHOT2ONE - COORDINATES OF SHOOT2ONE4XI: (X + ,Y + ,Z + ) DIRECTLY FROM RAM
    # -------------------------------------------------------------------------------------------------   
    print("VERB4XI: SHOT2ONE - (X + ,Y + ,Z + ) DIRECTLY FROM SHOOT2ONE4XI")
    from shoot2one4xi import shot2one104xi            
    from shoot2one4xi import shot2one1004xi           
    from shoot2one4xi import shot2one2004xi    
    from shoot2one4xi import shot2one3004xi
    from shoot2one4xi import shot2one4004xi
    from shoot2one4xi import shot2one5004xi
    from shoot2one4xi import shot2one6004xi
    from shoot2one4xi import shot2one7004xi
    from shoot2one4xi import shot2one8004xi
    from shoot2one4xi import shot2one9004xi
    from shoot2one4xi import shot2one10004xi            
    from shoot2one4xi import shot2one11004xi
    from shoot2one4xi import shot2one12004xi
    from shoot2one4xi import shot2one13004xi
    from shoot2one4xi import shot2one14004xi
    from shoot2one4xi import shot2one15004xi
    from shoot2one4xi import shot2one16004xi
    from shoot2one4xi import shot2one17004xi
    from shoot2one4xi import shot2one18004xi
    from shoot2one4xi import shot2one19004xi
    from shoot2one4xi import shot2one20004xi
    from shoot2one4xi import shot2one21004xi
    from shoot2one4xi import shot2one22004xi
    from shoot2one4xi import shot2one23004xi
    from shoot2one4xi import shot2one24004xi
    from shoot2one4xi import shot2one25004xi
    from shoot2one4xi import shot2one26004xi
    from shoot2one4xi import shot2one27004xi
    from shoot2one4xi import shot2one28004xi
    from shoot2one4xi import shot2one29004xi
    from shoot2one4xi import shot2one30004xi
    from shoot2one4xi import shot2one31004xi
    from shoot2one4xi import shot2one32004xi
    from shoot2one4xi import shot2one33004xi
        
    
# -----------------------------------------------------------------------------------------------------
# TWO - (X + ,Y - ,Z - )
# -----------------------------------------------------------------------------------------------------
global load2two
load2two = False
if load2two is True:
    # -------------------------------------------------------------------------------------------------
    # SHOT2TWO - (X + ,Y - ,Z - ) FROM FILES GENERATING WITH LOAD2TWO4XI
    # -------------------------------------------------------------------------------------------------    
    print("VERB4XI: SHOT2TWO - (X + ,Y - ,Z - ) FROM FILES WITH LOAD2TWO4XI")
    from load2two4xi import shot2two104xi            
    from load2two4xi import shot2two1004xi             
    from load2two4xi import shot2two2004xi    
    from load2two4xi import shot2two3004xi
    from load2two4xi import shot2two4004xi
    from load2two4xi import shot2two5004xi
    from load2two4xi import shot2two6004xi
    from load2two4xi import shot2two7004xi
    from load2two4xi import shot2two8004xi
    from load2two4xi import shot2two9004xi
    from load2two4xi import shot2two10004xi            
    from load2two4xi import shot2two11004xi
    from load2two4xi import shot2two12004xi
    from load2two4xi import shot2two13004xi
    from load2two4xi import shot2two14004xi
    from load2two4xi import shot2two15004xi
    from load2two4xi import shot2two16004xi
    from load2two4xi import shot2two17004xi
    from load2two4xi import shot2two18004xi
    from load2two4xi import shot2two19004xi
    from load2two4xi import shot2two20004xi
    from load2two4xi import shot2two21004xi
    from load2two4xi import shot2two22004xi
    from load2two4xi import shot2two23004xi
    from load2two4xi import shot2two24004xi
    from load2two4xi import shot2two25004xi
    from load2two4xi import shot2two26004xi
    from load2two4xi import shot2two27004xi
    from load2two4xi import shot2two28004xi
    from load2two4xi import shot2two29004xi
    from load2two4xi import shot2two30004xi
    from load2two4xi import shot2two31004xi
    from load2two4xi import shot2two32004xi
    from load2two4xi import shot2two33004xi
    
    from load2two4xi import load2two4xi
else:
    # -------------------------------------------------------------------------------------------------
    # SHOT2TWO - COORDINATES OF SHOOT2TWO4XI: (X + ,Y - ,Z - ) DIRECTLY FROM RAM
    # -------------------------------------------------------------------------------------------------   
    print("VERB4XI: SHOT2TWO - (X + ,Y - ,Z - ) DIRECTLY FROM SHOOT2TWO4XI")
    from shoot2two4xi import shot2two104xi            
    from shoot2two4xi import shot2two1004xi           
    from shoot2two4xi import shot2two2004xi    
    from shoot2two4xi import shot2two3004xi
    from shoot2two4xi import shot2two4004xi
    from shoot2two4xi import shot2two5004xi
    from shoot2two4xi import shot2two6004xi
    from shoot2two4xi import shot2two7004xi
    from shoot2two4xi import shot2two8004xi
    from shoot2two4xi import shot2two9004xi
    from shoot2two4xi import shot2two10004xi            
    from shoot2two4xi import shot2two11004xi
    from shoot2two4xi import shot2two12004xi
    from shoot2two4xi import shot2two13004xi
    from shoot2two4xi import shot2two14004xi
    from shoot2two4xi import shot2two15004xi
    from shoot2two4xi import shot2two16004xi
    from shoot2two4xi import shot2two17004xi
    from shoot2two4xi import shot2two18004xi
    from shoot2two4xi import shot2two19004xi
    from shoot2two4xi import shot2two20004xi
    from shoot2two4xi import shot2two21004xi
    from shoot2two4xi import shot2two22004xi
    from shoot2two4xi import shot2two23004xi
    from shoot2two4xi import shot2two24004xi
    from shoot2two4xi import shot2two25004xi
    from shoot2two4xi import shot2two26004xi
    from shoot2two4xi import shot2two27004xi
    from shoot2two4xi import shot2two28004xi
    from shoot2two4xi import shot2two29004xi
    from shoot2two4xi import shot2two30004xi
    from shoot2two4xi import shot2two31004xi
    from shoot2two4xi import shot2two32004xi
    from shoot2two4xi import shot2two33004xi

      
# -----------------------------------------------------------------------------------------------------
# THREE - (X + ,Y + ,Z - )
# -----------------------------------------------------------------------------------------------------
global load2three
load2three = False
if load2three is True:
    # -------------------------------------------------------------------------------------------------
    # SHOT2THREE - (X + ,Y + ,Z - ) FROM FILES GENERATING WITH LOAD2THREE4XI
    # -------------------------------------------------------------------------------------------------    
    print("VERB4XI: SHOT2THREE - (X + ,Y + ,Z - ) FROM FILES WITH LOAD2THREE4XI")
    from load2three4xi import shot2three104xi            
    from load2three4xi import shot2three1004xi             
    from load2three4xi import shot2three2004xi    
    from load2three4xi import shot2three3004xi
    from load2three4xi import shot2three4004xi
    from load2three4xi import shot2three5004xi
    from load2three4xi import shot2three6004xi
    from load2three4xi import shot2three7004xi
    from load2three4xi import shot2three8004xi
    from load2three4xi import shot2three9004xi
    from load2three4xi import shot2three10004xi            
    from load2three4xi import shot2three11004xi
    from load2three4xi import shot2three12004xi
    from load2three4xi import shot2three13004xi
    from load2three4xi import shot2three14004xi
    from load2three4xi import shot2three15004xi
    from load2three4xi import shot2three16004xi
    from load2three4xi import shot2three17004xi
    from load2three4xi import shot2three18004xi
    from load2three4xi import shot2three19004xi
    from load2three4xi import shot2three20004xi
    from load2three4xi import shot2three21004xi
    from load2three4xi import shot2three22004xi
    from load2three4xi import shot2three23004xi
    from load2three4xi import shot2three24004xi
    from load2three4xi import shot2three25004xi
    from load2three4xi import shot2three26004xi
    from load2three4xi import shot2three27004xi
    from load2three4xi import shot2three28004xi
    from load2three4xi import shot2three29004xi
    from load2three4xi import shot2three30004xi
    from load2three4xi import shot2three31004xi
    from load2three4xi import shot2three32004xi
    from load2three4xi import shot2three33004xi
    
    from load2three4xi import load2three4xi
else:
    # -------------------------------------------------------------------------------------------------
    # SHOT2THREE - COORDINATES OF SHOOT2THREE4XI: (X + ,Y + ,Z - ) DIRECTLY FROM RAM
    # -------------------------------------------------------------------------------------------------   
    print("VERB4XI: SHOT2THREE - (X + ,Y + ,Z - ) DIRECTLY FROM SHOOT2THREE4XI")
    from shoot2three4xi import shot2three104xi            
    from shoot2three4xi import shot2three1004xi           
    from shoot2three4xi import shot2three2004xi    
    from shoot2three4xi import shot2three3004xi
    from shoot2three4xi import shot2three4004xi
    from shoot2three4xi import shot2three5004xi
    from shoot2three4xi import shot2three6004xi
    from shoot2three4xi import shot2three7004xi
    from shoot2three4xi import shot2three8004xi
    from shoot2three4xi import shot2three9004xi
    from shoot2three4xi import shot2three10004xi            
    from shoot2three4xi import shot2three11004xi
    from shoot2three4xi import shot2three12004xi
    from shoot2three4xi import shot2three13004xi
    from shoot2three4xi import shot2three14004xi
    from shoot2three4xi import shot2three15004xi
    from shoot2three4xi import shot2three16004xi
    from shoot2three4xi import shot2three17004xi
    from shoot2three4xi import shot2three18004xi
    from shoot2three4xi import shot2three19004xi
    from shoot2three4xi import shot2three20004xi
    from shoot2three4xi import shot2three21004xi
    from shoot2three4xi import shot2three22004xi
    from shoot2three4xi import shot2three23004xi
    from shoot2three4xi import shot2three24004xi
    from shoot2three4xi import shot2three25004xi
    from shoot2three4xi import shot2three26004xi
    from shoot2three4xi import shot2three27004xi
    from shoot2three4xi import shot2three28004xi
    from shoot2three4xi import shot2three29004xi
    from shoot2three4xi import shot2three30004xi
    from shoot2three4xi import shot2three31004xi
    from shoot2three4xi import shot2three32004xi
    from shoot2three4xi import shot2three33004xi
        
   
# -----------------------------------------------------------------------------------------------------
# FOUR - (X + ,Y - ,Z + )
# -----------------------------------------------------------------------------------------------------
global load2four
load2four = False
if load2four is True:
    # -------------------------------------------------------------------------------------------------
    # SHOT2FOUR - (X + ,Y - ,Z + ) FROM FILES GENERATING WITH LOAD2FOUR4XI
    # -------------------------------------------------------------------------------------------------    
    print("VERB4XI: SHOT2FOUR - (X + ,Y - ,Z + ) FROM FILES WITH LOAD2FOUR4XI")
    from load2four4xi import shot2four104xi            
    from load2four4xi import shot2four1004xi             
    from load2four4xi import shot2four2004xi    
    from load2four4xi import shot2four3004xi
    from load2four4xi import shot2four4004xi
    from load2four4xi import shot2four5004xi
    from load2four4xi import shot2four6004xi
    from load2four4xi import shot2four7004xi
    from load2four4xi import shot2four8004xi
    from load2four4xi import shot2four9004xi
    from load2four4xi import shot2four10004xi            
    from load2four4xi import shot2four11004xi
    from load2four4xi import shot2four12004xi
    from load2four4xi import shot2four13004xi
    from load2four4xi import shot2four14004xi
    from load2four4xi import shot2four15004xi
    from load2four4xi import shot2four16004xi
    from load2four4xi import shot2four17004xi
    from load2four4xi import shot2four18004xi
    from load2four4xi import shot2four19004xi
    from load2four4xi import shot2four20004xi
    from load2four4xi import shot2four21004xi
    from load2four4xi import shot2four22004xi
    from load2four4xi import shot2four23004xi
    from load2four4xi import shot2four24004xi
    from load2four4xi import shot2four25004xi
    from load2four4xi import shot2four26004xi
    from load2four4xi import shot2four27004xi
    from load2four4xi import shot2four28004xi
    from load2four4xi import shot2four29004xi
    from load2four4xi import shot2four30004xi
    from load2four4xi import shot2four31004xi
    from load2four4xi import shot2four32004xi
    from load2four4xi import shot2four33004xi
    
    from load2four4xi import load2four4xi
else:
    # -------------------------------------------------------------------------------------------------
    # SHOT2FOUR - COORDINATES OF SHOOT2FOUR4XI: (X + ,Y - ,Z + ) DIRECTLY FROM RAM
    # -------------------------------------------------------------------------------------------------   
    print("VERB4XI: SHOT2FOUR - (X + ,Y - ,Z + ) DIRECTLY FROM SHOOT2FOUR4XI")
    from shoot2four4xi import shot2four104xi            
    from shoot2four4xi import shot2four1004xi           
    from shoot2four4xi import shot2four2004xi    
    from shoot2four4xi import shot2four3004xi
    from shoot2four4xi import shot2four4004xi
    from shoot2four4xi import shot2four5004xi
    from shoot2four4xi import shot2four6004xi
    from shoot2four4xi import shot2four7004xi
    from shoot2four4xi import shot2four8004xi
    from shoot2four4xi import shot2four9004xi
    from shoot2four4xi import shot2four10004xi            
    from shoot2four4xi import shot2four11004xi
    from shoot2four4xi import shot2four12004xi
    from shoot2four4xi import shot2four13004xi
    from shoot2four4xi import shot2four14004xi
    from shoot2four4xi import shot2four15004xi
    from shoot2four4xi import shot2four16004xi
    from shoot2four4xi import shot2four17004xi
    from shoot2four4xi import shot2four18004xi
    from shoot2four4xi import shot2four19004xi
    from shoot2four4xi import shot2four20004xi
    from shoot2four4xi import shot2four21004xi
    from shoot2four4xi import shot2four22004xi
    from shoot2four4xi import shot2four23004xi
    from shoot2four4xi import shot2four24004xi
    from shoot2four4xi import shot2four25004xi
    from shoot2four4xi import shot2four26004xi
    from shoot2four4xi import shot2four27004xi
    from shoot2four4xi import shot2four28004xi
    from shoot2four4xi import shot2four29004xi
    from shoot2four4xi import shot2four30004xi
    from shoot2four4xi import shot2four31004xi
    from shoot2four4xi import shot2four32004xi
    from shoot2four4xi import shot2four33004xi
    
    
# -----------------------------------------------------------------------------------------------------
# FIVE - (X - ,Y + ,Z + )
# -----------------------------------------------------------------------------------------------------
global load2five
load2five = False
if load2five is True:
    # -------------------------------------------------------------------------------------------------
    # SHOT2FIVE - (X - ,Y + ,Z + ) FROM FILES GENERATING WITH LOAD2FIVE4XI
    # -------------------------------------------------------------------------------------------------    
    print("VERB4XI: SHOT2FIVE - (X - ,Y + ,Z + ) FROM FILES WITH LOAD2FIVE4XI")
    from load2five4xi import shot2five104xi            
    from load2five4xi import shot2five1004xi             
    from load2five4xi import shot2five2004xi    
    from load2five4xi import shot2five3004xi
    from load2five4xi import shot2five4004xi
    from load2five4xi import shot2five5004xi
    from load2five4xi import shot2five6004xi
    from load2five4xi import shot2five7004xi
    from load2five4xi import shot2five8004xi
    from load2five4xi import shot2five9004xi
    from load2five4xi import shot2five10004xi            
    from load2five4xi import shot2five11004xi
    from load2five4xi import shot2five12004xi
    from load2five4xi import shot2five13004xi
    from load2five4xi import shot2five14004xi
    from load2five4xi import shot2five15004xi
    from load2five4xi import shot2five16004xi
    from load2five4xi import shot2five17004xi
    from load2five4xi import shot2five18004xi
    from load2five4xi import shot2five19004xi
    from load2five4xi import shot2five20004xi
    from load2five4xi import shot2five21004xi
    from load2five4xi import shot2five22004xi
    from load2five4xi import shot2five23004xi
    from load2five4xi import shot2five24004xi
    from load2five4xi import shot2five25004xi
    from load2five4xi import shot2five26004xi
    from load2five4xi import shot2five27004xi
    from load2five4xi import shot2five28004xi
    from load2five4xi import shot2five29004xi
    from load2five4xi import shot2five30004xi
    from load2five4xi import shot2five31004xi
    from load2five4xi import shot2five32004xi
    from load2five4xi import shot2five33004xi
    
    from load2five4xi import load2five4xi
else:
    # -------------------------------------------------------------------------------------------------
    # SHOT2FIVE - COORDINATES OF SHOOT2FIVE4XI: (X - ,Y + ,Z + ) DIRECTLY FROM RAM
    # -------------------------------------------------------------------------------------------------   
    print("VERB4XI: SHOT2FIVE - (X - ,Y + ,Z + ) DIRECTLY FROM SHOOT2FIVE4XI")
    from shoot2five4xi import shot2five104xi            
    from shoot2five4xi import shot2five1004xi           
    from shoot2five4xi import shot2five2004xi    
    from shoot2five4xi import shot2five3004xi
    from shoot2five4xi import shot2five4004xi
    from shoot2five4xi import shot2five5004xi
    from shoot2five4xi import shot2five6004xi
    from shoot2five4xi import shot2five7004xi
    from shoot2five4xi import shot2five8004xi
    from shoot2five4xi import shot2five9004xi
    from shoot2five4xi import shot2five10004xi            
    from shoot2five4xi import shot2five11004xi
    from shoot2five4xi import shot2five12004xi
    from shoot2five4xi import shot2five13004xi
    from shoot2five4xi import shot2five14004xi
    from shoot2five4xi import shot2five15004xi
    from shoot2five4xi import shot2five16004xi
    from shoot2five4xi import shot2five17004xi
    from shoot2five4xi import shot2five18004xi
    from shoot2five4xi import shot2five19004xi
    from shoot2five4xi import shot2five20004xi
    from shoot2five4xi import shot2five21004xi
    from shoot2five4xi import shot2five22004xi
    from shoot2five4xi import shot2five23004xi
    from shoot2five4xi import shot2five24004xi
    from shoot2five4xi import shot2five25004xi
    from shoot2five4xi import shot2five26004xi
    from shoot2five4xi import shot2five27004xi
    from shoot2five4xi import shot2five28004xi
    from shoot2five4xi import shot2five29004xi
    from shoot2five4xi import shot2five30004xi
    from shoot2five4xi import shot2five31004xi
    from shoot2five4xi import shot2five32004xi
    from shoot2five4xi import shot2five33004xi 
           
# -----------------------------------------------------------------------------------------------------
# SIX - (X - ,Y + ,Z - )
# -----------------------------------------------------------------------------------------------------
global load2six
load2six = False
if load2six is True:
    # -------------------------------------------------------------------------------------------------
    # SHOT2SIX - (X - ,Y + ,Z - ) FROM FILES GENERATING WITH LOAD2SIX4XI
    # -------------------------------------------------------------------------------------------------    
    print("VERB4XI: SHOT2SIX - (X - ,Y + ,Z - ) FROM FILES WITH LOAD2SIX4XI")
    from load2six4xi import shot2six104xi            
    from load2six4xi import shot2six1004xi             
    from load2six4xi import shot2six2004xi    
    from load2six4xi import shot2six3004xi
    from load2six4xi import shot2six4004xi
    from load2six4xi import shot2six5004xi
    from load2six4xi import shot2six6004xi
    from load2six4xi import shot2six7004xi
    from load2six4xi import shot2six8004xi
    from load2six4xi import shot2six9004xi
    from load2six4xi import shot2six10004xi            
    from load2six4xi import shot2six11004xi
    from load2six4xi import shot2six12004xi
    from load2six4xi import shot2six13004xi
    from load2six4xi import shot2six14004xi
    from load2six4xi import shot2six15004xi
    from load2six4xi import shot2six16004xi
    from load2six4xi import shot2six17004xi
    from load2six4xi import shot2six18004xi
    from load2six4xi import shot2six19004xi
    from load2six4xi import shot2six20004xi
    from load2six4xi import shot2six21004xi
    from load2six4xi import shot2six22004xi
    from load2six4xi import shot2six23004xi
    from load2six4xi import shot2six24004xi
    from load2six4xi import shot2six25004xi
    from load2six4xi import shot2six26004xi
    from load2six4xi import shot2six27004xi
    from load2six4xi import shot2six28004xi
    from load2six4xi import shot2six29004xi
    from load2six4xi import shot2six30004xi
    from load2six4xi import shot2six31004xi
    from load2six4xi import shot2six32004xi
    from load2six4xi import shot2six33004xi
    
    from load2six4xi import load2six4xi
else:
    # -------------------------------------------------------------------------------------------------
    # SHOT2SIX - COORDINATES OF SHOOT2SIX4XI: (X - ,Y + ,Z - ) DIRECTLY FROM RAM
    # -------------------------------------------------------------------------------------------------   
    print("VERB4XI: SHOT2SIX - (X - ,Y + ,Z - ) DIRECTLY FROM SHOOT2SIX4XI")
    from shoot2six4xi import shot2six104xi            
    from shoot2six4xi import shot2six1004xi           
    from shoot2six4xi import shot2six2004xi    
    from shoot2six4xi import shot2six3004xi
    from shoot2six4xi import shot2six4004xi
    from shoot2six4xi import shot2six5004xi
    from shoot2six4xi import shot2six6004xi
    from shoot2six4xi import shot2six7004xi
    from shoot2six4xi import shot2six8004xi
    from shoot2six4xi import shot2six9004xi
    from shoot2six4xi import shot2six10004xi            
    from shoot2six4xi import shot2six11004xi
    from shoot2six4xi import shot2six12004xi
    from shoot2six4xi import shot2six13004xi
    from shoot2six4xi import shot2six14004xi
    from shoot2six4xi import shot2six15004xi
    from shoot2six4xi import shot2six16004xi
    from shoot2six4xi import shot2six17004xi
    from shoot2six4xi import shot2six18004xi
    from shoot2six4xi import shot2six19004xi
    from shoot2six4xi import shot2six20004xi
    from shoot2six4xi import shot2six21004xi
    from shoot2six4xi import shot2six22004xi
    from shoot2six4xi import shot2six23004xi
    from shoot2six4xi import shot2six24004xi
    from shoot2six4xi import shot2six25004xi
    from shoot2six4xi import shot2six26004xi
    from shoot2six4xi import shot2six27004xi
    from shoot2six4xi import shot2six28004xi
    from shoot2six4xi import shot2six29004xi
    from shoot2six4xi import shot2six30004xi
    from shoot2six4xi import shot2six31004xi
    from shoot2six4xi import shot2six32004xi
    from shoot2six4xi import shot2six33004xi    
            
  
# -----------------------------------------------------------------------------------------------------
# SEVEN - (X - ,Y - ,Z + )
# -----------------------------------------------------------------------------------------------------
global load2seven
load2seven = False
if load2seven is True:
    # -------------------------------------------------------------------------------------------------
    # SHOT2SEVEN - (X - ,Y - ,Z + ) FROM FILES GENERATING WITH LOAD2SEVEN4XI
    # -------------------------------------------------------------------------------------------------    
    print("VERB4XI: SHOT2SEVEN - (X - ,Y - ,Z + ) FROM FILES WITH LOAD2SEVEN4XI")
    from load2seven4xi import shot2seven104xi            
    from load2seven4xi import shot2seven1004xi             
    from load2seven4xi import shot2seven2004xi    
    from load2seven4xi import shot2seven3004xi
    from load2seven4xi import shot2seven4004xi
    from load2seven4xi import shot2seven5004xi
    from load2seven4xi import shot2seven6004xi
    from load2seven4xi import shot2seven7004xi
    from load2seven4xi import shot2seven8004xi
    from load2seven4xi import shot2seven9004xi
    from load2seven4xi import shot2seven10004xi            
    from load2seven4xi import shot2seven11004xi
    from load2seven4xi import shot2seven12004xi
    from load2seven4xi import shot2seven13004xi
    from load2seven4xi import shot2seven14004xi
    from load2seven4xi import shot2seven15004xi
    from load2seven4xi import shot2seven16004xi
    from load2seven4xi import shot2seven17004xi
    from load2seven4xi import shot2seven18004xi
    from load2seven4xi import shot2seven19004xi
    from load2seven4xi import shot2seven20004xi
    from load2seven4xi import shot2seven21004xi
    from load2seven4xi import shot2seven22004xi
    from load2seven4xi import shot2seven23004xi
    from load2seven4xi import shot2seven24004xi
    from load2seven4xi import shot2seven25004xi
    from load2seven4xi import shot2seven26004xi
    from load2seven4xi import shot2seven27004xi
    from load2seven4xi import shot2seven28004xi
    from load2seven4xi import shot2seven29004xi
    from load2seven4xi import shot2seven30004xi
    from load2seven4xi import shot2seven31004xi
    from load2seven4xi import shot2seven32004xi
    from load2seven4xi import shot2seven33004xi
    
    from load2seven4xi import load2seven4xi
else:
    # -------------------------------------------------------------------------------------------------
    # SHOT2SEVEN - COORDINATES OF SHOOT2SEVEN4XI: (X - ,Y - ,Z + ) DIRECTLY FROM RAM
    # -------------------------------------------------------------------------------------------------   
    print("VERB4XI: SHOT2SEVEN - (X - ,Y - ,Z + ) DIRECTLY FROM SHOOT2SEVEN4XI")
    from shoot2seven4xi import shot2seven104xi            
    from shoot2seven4xi import shot2seven1004xi           
    from shoot2seven4xi import shot2seven2004xi    
    from shoot2seven4xi import shot2seven3004xi
    from shoot2seven4xi import shot2seven4004xi
    from shoot2seven4xi import shot2seven5004xi
    from shoot2seven4xi import shot2seven6004xi
    from shoot2seven4xi import shot2seven7004xi
    from shoot2seven4xi import shot2seven8004xi
    from shoot2seven4xi import shot2seven9004xi
    from shoot2seven4xi import shot2seven10004xi            
    from shoot2seven4xi import shot2seven11004xi
    from shoot2seven4xi import shot2seven12004xi
    from shoot2seven4xi import shot2seven13004xi
    from shoot2seven4xi import shot2seven14004xi
    from shoot2seven4xi import shot2seven15004xi
    from shoot2seven4xi import shot2seven16004xi
    from shoot2seven4xi import shot2seven17004xi
    from shoot2seven4xi import shot2seven18004xi
    from shoot2seven4xi import shot2seven19004xi
    from shoot2seven4xi import shot2seven20004xi
    from shoot2seven4xi import shot2seven21004xi
    from shoot2seven4xi import shot2seven22004xi
    from shoot2seven4xi import shot2seven23004xi
    from shoot2seven4xi import shot2seven24004xi
    from shoot2seven4xi import shot2seven25004xi
    from shoot2seven4xi import shot2seven26004xi
    from shoot2seven4xi import shot2seven27004xi
    from shoot2seven4xi import shot2seven28004xi
    from shoot2seven4xi import shot2seven29004xi
    from shoot2seven4xi import shot2seven30004xi
    from shoot2seven4xi import shot2seven31004xi
    from shoot2seven4xi import shot2seven32004xi
    from shoot2seven4xi import shot2seven33004xi    
    

# -----------------------------------------------------------------------------------------------------
# EIGHT - (X - ,Y - ,Z - )
# -----------------------------------------------------------------------------------------------------
global load2eight
load2eight = False
if load2eight is True:
    # -------------------------------------------------------------------------------------------------
    # SHOT2EIGHT - (X - ,Y - ,Z - ) FROM FILES GENERATING WITH LOAD2EIGHT4XI
    # -------------------------------------------------------------------------------------------------    
    print("VERB4XI: SHOT2EIGHT - (X - ,Y - ,Z - ) FROM FILES WITH LOAD2EIGHT4XI")
    from load2eight4xi import shot2eight104xi            
    from load2eight4xi import shot2eight1004xi             
    from load2eight4xi import shot2eight2004xi    
    from load2eight4xi import shot2eight3004xi
    from load2eight4xi import shot2eight4004xi
    from load2eight4xi import shot2eight5004xi
    from load2eight4xi import shot2eight6004xi
    from load2eight4xi import shot2eight7004xi
    from load2eight4xi import shot2eight8004xi
    from load2eight4xi import shot2eight9004xi
    from load2eight4xi import shot2eight10004xi            
    from load2eight4xi import shot2eight11004xi
    from load2eight4xi import shot2eight12004xi
    from load2eight4xi import shot2eight13004xi
    from load2eight4xi import shot2eight14004xi
    from load2eight4xi import shot2eight15004xi
    from load2eight4xi import shot2eight16004xi
    from load2eight4xi import shot2eight17004xi
    from load2eight4xi import shot2eight18004xi
    from load2eight4xi import shot2eight19004xi
    from load2eight4xi import shot2eight20004xi
    from load2eight4xi import shot2eight21004xi
    from load2eight4xi import shot2eight22004xi
    from load2eight4xi import shot2eight23004xi
    from load2eight4xi import shot2eight24004xi
    from load2eight4xi import shot2eight25004xi
    from load2eight4xi import shot2eight26004xi
    from load2eight4xi import shot2eight27004xi
    from load2eight4xi import shot2eight28004xi
    from load2eight4xi import shot2eight29004xi
    from load2eight4xi import shot2eight30004xi
    from load2eight4xi import shot2eight31004xi
    from load2eight4xi import shot2eight32004xi
    from load2eight4xi import shot2eight33004xi
    
    from load2eight4xi import load2eight4xi
else:
    # -------------------------------------------------------------------------------------------------
    # SHOT2EIGHT - COORDINATES OF SHOOT2EIGHT4XI: (X - ,Y - ,Z - ) DIRECTLY FROM RAM
    # -------------------------------------------------------------------------------------------------   
    print("VERB4XI: SHOT2EIGHT - (X - ,Y - ,Z - ) DIRECTLY FROM SHOOT2EIGHT4XI")
    from shoot2eight4xi import shot2eight104xi            
    from shoot2eight4xi import shot2eight1004xi           
    from shoot2eight4xi import shot2eight2004xi    
    from shoot2eight4xi import shot2eight3004xi
    from shoot2eight4xi import shot2eight4004xi
    from shoot2eight4xi import shot2eight5004xi
    from shoot2eight4xi import shot2eight6004xi
    from shoot2eight4xi import shot2eight7004xi
    from shoot2eight4xi import shot2eight8004xi
    from shoot2eight4xi import shot2eight9004xi
    from shoot2eight4xi import shot2eight10004xi            
    from shoot2eight4xi import shot2eight11004xi
    from shoot2eight4xi import shot2eight12004xi
    from shoot2eight4xi import shot2eight13004xi
    from shoot2eight4xi import shot2eight14004xi
    from shoot2eight4xi import shot2eight15004xi
    from shoot2eight4xi import shot2eight16004xi
    from shoot2eight4xi import shot2eight17004xi
    from shoot2eight4xi import shot2eight18004xi
    from shoot2eight4xi import shot2eight19004xi
    from shoot2eight4xi import shot2eight20004xi
    from shoot2eight4xi import shot2eight21004xi
    from shoot2eight4xi import shot2eight22004xi
    from shoot2eight4xi import shot2eight23004xi
    from shoot2eight4xi import shot2eight24004xi
    from shoot2eight4xi import shot2eight25004xi
    from shoot2eight4xi import shot2eight26004xi
    from shoot2eight4xi import shot2eight27004xi
    from shoot2eight4xi import shot2eight28004xi
    from shoot2eight4xi import shot2eight29004xi
    from shoot2eight4xi import shot2eight30004xi
    from shoot2eight4xi import shot2eight31004xi
    from shoot2eight4xi import shot2eight32004xi
    from shoot2eight4xi import shot2eight33004xi            
    
    
    
# =====================================================================================================
# EOF ALL (X,Y,Z)- COORDINATES CONDITIONALLY 
# =====================================================================================================

from pipe4xi import Pipe4Xi 

from process4xi import Process4Xi

from queue4xi  import Queue4Xi

from sleep4xi import omega2sleep4xi

from time4xi import time4xi
       
from verb2a4xi import Verb2a4Xi
from verb2b4xi import Verb2b4Xi
from verb2c4xi import Verb2c4Xi
from verb2d4xi import Verb2d4Xi
from verb2e4xi import Verb2e4Xi
from verb2f4xi import Verb2f4Xi
from verb2g4xi import Verb2g4Xi
from verb2h4xi import Verb2h4Xi
from verb2i4xi import Verb2i4Xi
from verb2j4xi import Verb2j4Xi
from verb2k4xi import Verb2k4Xi
from verb2l4xi import Verb2l4Xi
from verb2m4xi import Verb2m4Xi
from verb2n4xi import Verb2n4Xi
from verb2o4xi import Verb2o4Xi
from verb2p4xi import Verb2p4Xi
from verb2q4xi import Verb2q4Xi
from verb2r4xi import Verb2r4Xi
from verb2s4xi import Verb2s4Xi
from verb2t4xi import Verb2t4Xi
from verb2u4xi import Verb2u4Xi
from verb2v4xi import Verb2v4Xi
from verb2w4xi import Verb2w4Xi
from verb2x4xi import Verb2x4Xi
from verb2y4xi import Verb2y4Xi
from verb2z4xi import Verb2z4Xi
from verb2_4xi import Verb2_4Xi
#"
# />

# -------------------------------------------------------------------------------------------------
# DragonXi Globals                            
# -------------------------------------------------------------------------------------------------
#<globalize4xi globalization = "


# -------------------------------------------------------------------------------------------------
# QUEUE, PIPE, PROCESS, START AND RUN STATES - ACK = OK - NACK = NOT OK
# -------------------------------------------------------------------------------------------------   
global ack4queues
global nack4queues

global ack4pipes
global nack4pipes
    
global ack2one4process
global nack2one4process
global ack2one4start
global nack2one4start
global ack2one4run
global nack2one4run
        

global ack2two4process
global nack2two4process
global ack2two4start
global nack2two4start
global ack2two4run
global nack2two4run
        

global ack2three4process
global nack2three4process
global ack2three4start
global nack2three4start
global ack2three4run
global nack2three4run
        

global ack2four4process
global nack2four4process
global ack2four4start
global nack2four4start
global ack2four4run
global nack2four4run
        

global ack2five4process
global nack2five4process
global ack2five4start
global nack2five4start
global ack2five4run
global nack2five4run
        

global ack2six4process
global nack2six4process
global ack2six4start
global nack2six4start
global ack2six4run
global nack2six4run
        

global ack2seven4process
global nack2seven4process
global ack2seven4start
global nack2seven4start
global ack2seven4run
global nack2seven4run
        

global ack2eight4process
global nack2eight4process
global ack2eight4start
global nack2eight4start
global ack2eight4run
global nack2eight4run

global Mavericks2Verbs
    
# -------------------------------------------------------------------------------------------------
# CLUSTERCOLORSTATISTICS4XI
# -------------------------------------------------------------------------------------------------        
global ClusterColorStatistics4Xi     
ClusterColorStatistics4Xi = {
       1:  0,
       2:  0, 
       3:  0, 
       4:  0, 
       5:  0,        
       6:  0,        
       7:  0, 
       8:  0, 
       9:  0, 
       10: 0, 
       11: 0, 
       12: 0, 
       13: 0, 
       14: 0, 
       15: 0, 
       16: 0, 
       17: 0, 
       18: 0, 
       19: 0, 
       20: 0, 
       21: 0, 
       22: 0, 
       23: 0, 
       24: 0, 
       25: 0, 
       26: 0, 
       27: 0, 
       28: 0, 
       29: 0, 
       30: 0, 
       31: 0, 
       32: 0, 
       33: 0                                                                                                                                                                                                            
       } 

# -------------------------------------------------------------------------------------------------
# Cluster Knowledge Base 4Xi
# -------------------------------------------------------------------------------------------------   
global ClusterKB4Xi
ClusterKB4Xi = {
       'a': Cluster2a4Xi, #01
       'b': Cluster2b4Xi, #02
       'c': Cluster2c4Xi, #03
       'd': Cluster2d4Xi, #04
       'e': Cluster2e4Xi, #05
       'f': Cluster2f4Xi, #06
       'g': Cluster2g4Xi, #07
       'h': Cluster2h4Xi, #08
       'i': Cluster2i4Xi, #09
       'j': Cluster2j4Xi, #10
       'k': Cluster2k4Xi, #11
       'l': Cluster2l4Xi, #12
       'm': Cluster2m4Xi, #13
       'n': Cluster2n4Xi, #14
       'o': Cluster2o4Xi, #15
       'p': Cluster2p4Xi, #16
       'q': Cluster2q4Xi, #17
       'r': Cluster2r4Xi, #18
       's': Cluster2s4Xi, #19
       't': Cluster2t4Xi, #20
       'u': Cluster2u4Xi, #21
       'v': Cluster2v4Xi, #22
       'w': Cluster2w4Xi, #23
       'x': Cluster2x4Xi, #24
       'y': Cluster2y4Xi, #25
       'z': Cluster2z4Xi, #26
       '_': Cluster2_4Xi  #27 
       }


                                                                                                                                                                                          
# -------------------------------------------------------------------------------------------------
# ClusterColor4Xi - 33 CLUSTERS FOR VERBS                            
# -------------------------------------------------------------------------------------------------           
             
global ClusterColor4Xi

ClusterColor4Xi = {
       #       TENSE 1       TENSE 2       TENSE 3       TENSE 4   #SUPER #CLUSTER                             # VERB EXAMPLES
       #       BASE          STRONGER      LIGHTER       STRONGEST     INDEX NAME 
       1:  {1: '#7C6142', 2: '#473117', 3: '#C7B5A0', 4: '#241505', 5: 4, 6: 'operations'},                    # do, did, doing, done; set,setting; initialize, initialized, initializing ... 
       2:  {1: '#F55A5A', 2: '#BF2828', 3: '#F77676', 4: '#640A0A', 5: 6, 6: 'challenges'},                    # warn; warned, warning; yield, yielded, yielding ... 
       3:  {1: '#0080FF', 2: '#045FB4', 3: '#58ACFA', 4: '#084B8A', 5: 2, 6: 'network'},                       # net, netted, netting; web, webbed, webbing ...
       4:  {1: '#9292A1', 2: '#2A2A5C', 3: '#B2B2BF', 4: '#11112B', 5: 4, 6: 'arithmetics'},                   # add, added, adding; calculate, calculated, calculating ... 
       5:  {1: '#0B6138', 2: '#234736', 3: '#06C36B', 4: '#13613C', 5: 5, 6: 'events'},                        # accept, accepted, accepting; assert, asserted, asserting ...                
       6:  {1: '#DF0101', 2: '#D82626', 3: '#EB1919', 4: '#972B2B', 5: 7, 6: 'problems'},                      # hit, hitting; raise, raised, raising...                      
       7:  {1: '#F3F947', 2: '#F0F715', 3: '#F6F995', 4: '#EEF60A', 5: 4, 6: 'tuning'},                        # wait, waited, waiting; sleep, slept, sleeping ...
       8:  {1: '#33570E', 2: '#325013', 3: '#7FA559', 4: '#182B06', 5: 5, 6: 'acing'},                         # ace, aced, acing; get, got, getting ...
       9:  {1: '#4379B0', 2: '#5D82A6', 3: '#143A5F', 4: '#CEE3F9', 5: 3, 6: 'manoeuvring'},                   # zap, zapped, zapping; fly, flied, flying ...
       10: {1: '#BEF781', 2: '#ACCA8D', 3: '#304718', 4: '#162408', 5: 8, 6: 'administration'},                # type, typed, typing; proxy, proxied, proxying ...
       11: {1: '#F2A93B', 2: '#F2960D', 3: '#ECC386', 4: '#EC9716', 5: 1, 6: 'sensing'},                       # sense, sensed, sensing ...
       12: {1: '#ACFA58', 2: '#53891D', 3: '#ADC991', 4: '#2D4D0D', 5: 5, 6: 'activity'},                      # start, started, starting ...
       13: {1: '#E5AD6D', 2: '#D77D15', 3: '#D79D5C', 4: '#E87E05', 5: 4, 6: 'logical'},                       # reason, reasoned, reasoning; compare, compared, comparing ...
       14: {1: '#BA57BA', 2: '#871D87', 3: '#C494C4', 4: '#691069', 5: 4, 6: 'force'},                         # run, run, running ...
       15: {1: '#7F7263', 2: '#49351E', 3: '#95846F', 4: '#392610', 5: 4, 6: 'messaging'},                     # receive, received, receiving; send, sent, sending ...
       16: {1: '#51C3BF', 2: '#609291', 3: '#35E9E3', 4: '#3C5E5D', 5: 4, 6: 'queuing'},                       # put, put, putting; get, got, getting
       17: {1: '#0080FF', 2: '#24CAC4', 3: '#1FA6A2', 4: '#23817E', 5: 3, 6: 'birth'},                         # borning
       18: {1: '#1FA8A3', 2: '#29706E', 3: '#A0CDCB', 4: '#123D3C', 5: 5, 6: 'activation'},                    # activated
       19: {1: '#BA82EB', 2: '#8B61AF', 3: '#B47EE4', 4: '#815AA2', 5: 8, 6: 'documentation'},                 # abstracted, synopsized ... 
       20: {1: '#356C6C', 2: '#2C5858', 3: '#6ED1D1', 4: '#244747', 5: 8, 6: 'dataflow'},                      # passed 
       21: {1: '#3C3C98', 2: '#27277D', 3: '#9797CD', 4: '#1B1B54', 5: 1, 6: 'scoping'},                       # scope, cluster   
       22: {1: '#A16666', 2: '#925151', 3: '#AE8686', 4: '#8E6969', 5: 1, 6: 'graphics'},                      # symbolize   
       23: {1: '#946025', 2: '#704D25', 3: '#9B6323', 4: '#4E361B', 5: 4, 6: 'filing'},                        # read   
       24: {1: '#FF0000', 2: '#FF0000', 3: '#FFFFFF', 4: '#FF0000', 5: 8, 6: 'FREE'},  
       25: {1: '#FF0000', 2: '#FF0000', 3: '#FFFFFF', 4: '#FF0000', 5: 8, 6: 'FREE'},   
       26: {1: '#FF0000', 2: '#FF0000', 3: '#FFFFFF', 4: '#FF0000', 5: 8, 6: 'FREE'},   
       27: {1: '#FF0000', 2: '#FF0000', 3: '#FFFFFF', 4: '#FF0000', 5: 8, 6: 'FREE'},  
       28: {1: '#FF0000', 2: '#FF0000', 3: '#FFFFFF', 4: '#FF0000', 5: 8, 6: 'FREE'},
       29: {1: '#FF0000', 2: '#FF0000', 3: '#FFFFFF', 4: '#FF0000', 5: 8, 6: 'FREE'},    
       30: {1: '#FF0000', 2: '#FF0000', 3: '#FFFFFF', 4: '#FF0000', 5: 8, 6: 'FREE'},
       31: {1: '#FF0000', 2: '#FF0000', 3: '#FFFFFF', 4: '#FF0000', 5: 8, 6: 'FREE'},  
       32: {1: '#FF0000', 2: '#FF0000', 3: '#FFFFFF', 4: '#FF0000', 5: 8, 6: 'FREE'},  
       33: {1: '#FF0000', 2: '#FF0000', 3: '#FFFFFF', 4: '#FF0000', 5: 8, 6: 'FREE'}                                                                                                                                                                                                              
       } 
                                                                                                                                                                                          
# ------------------------------------------------------------------------------------------------------------------------------
# FIRED (X,Y,Z)-COORDINATE DICTIONARIES RECEIVED FROM QUEUE DATA PRODUCED BY FIRE-FUNCTION THREADS 1...33 OF PROCESSESSES 1 ...8                          
# ------------------------------------------------------------------------------------------------------------------------------           

#========
# ONE
#========      
global fire2one104xi
global fire2one1004xi
global fire2one2004xi
global fire2one3004xi
global fire2one4004xi
global fire2one5004xi
global fire2one6004xi
global fire2one7004xi
global fire2one8004xi
global fire2one9004xi       
global fire2one10004xi
global fire2one11004xi
global fire2one12004xi
global fire2one13004xi
global fire2one14004xi
global fire2one15004xi
global fire2one16004xi
global fire2one17004xi
global fire2one18004xi
global fire2one19004xi
global fire2one20004xi
global fire2one21004xi
global fire2one22004xi
global fire2one23004xi
global fire2one24004xi
global fire2one25004xi
global fire2one26004xi
global fire2one27004xi
global fire2one28004xi
global fire2one29004xi
global fire2one30004xi
global fire2one31004xi
global fire2one32004xi
global fire2one33004xi
    

#========
# TWO
#========      
global fire2two104xi
global fire2two1004xi
global fire2two2004xi
global fire2two3004xi
global fire2two4004xi
global fire2two5004xi
global fire2two6004xi
global fire2two7004xi
global fire2two8004xi
global fire2two9004xi       
global fire2two10004xi
global fire2two11004xi
global fire2two12004xi
global fire2two13004xi
global fire2two14004xi
global fire2two15004xi
global fire2two16004xi
global fire2two17004xi
global fire2two18004xi
global fire2two19004xi
global fire2two20004xi
global fire2two21004xi
global fire2two22004xi
global fire2two23004xi
global fire2two24004xi
global fire2two25004xi
global fire2two26004xi
global fire2two27004xi
global fire2two28004xi
global fire2two29004xi
global fire2two30004xi
global fire2two31004xi
global fire2two32004xi
global fire2two33004xi
    

#========
# THREE
#========      
global fire2three104xi
global fire2three1004xi
global fire2three2004xi
global fire2three3004xi
global fire2three4004xi
global fire2three5004xi
global fire2three6004xi
global fire2three7004xi
global fire2three8004xi
global fire2three9004xi       
global fire2three10004xi
global fire2three11004xi
global fire2three12004xi
global fire2three13004xi
global fire2three14004xi
global fire2three15004xi
global fire2three16004xi
global fire2three17004xi
global fire2three18004xi
global fire2three19004xi
global fire2three20004xi
global fire2three21004xi
global fire2three22004xi
global fire2three23004xi
global fire2three24004xi
global fire2three25004xi
global fire2three26004xi
global fire2three27004xi
global fire2three28004xi
global fire2three29004xi
global fire2three30004xi
global fire2three31004xi
global fire2three32004xi
global fire2three33004xi
    

#========
# FOUR
#========      
global fire2four104xi
global fire2four1004xi
global fire2four2004xi
global fire2four3004xi
global fire2four4004xi
global fire2four5004xi
global fire2four6004xi
global fire2four7004xi
global fire2four8004xi
global fire2four9004xi       
global fire2four10004xi
global fire2four11004xi
global fire2four12004xi
global fire2four13004xi
global fire2four14004xi
global fire2four15004xi
global fire2four16004xi
global fire2four17004xi
global fire2four18004xi
global fire2four19004xi
global fire2four20004xi
global fire2four21004xi
global fire2four22004xi
global fire2four23004xi
global fire2four24004xi
global fire2four25004xi
global fire2four26004xi
global fire2four27004xi
global fire2four28004xi
global fire2four29004xi
global fire2four30004xi
global fire2four31004xi
global fire2four32004xi
global fire2four33004xi
    

#========
# FIVE
#========      
global fire2five104xi
global fire2five1004xi
global fire2five2004xi
global fire2five3004xi
global fire2five4004xi
global fire2five5004xi
global fire2five6004xi
global fire2five7004xi
global fire2five8004xi
global fire2five9004xi       
global fire2five10004xi
global fire2five11004xi
global fire2five12004xi
global fire2five13004xi
global fire2five14004xi
global fire2five15004xi
global fire2five16004xi
global fire2five17004xi
global fire2five18004xi
global fire2five19004xi
global fire2five20004xi
global fire2five21004xi
global fire2five22004xi
global fire2five23004xi
global fire2five24004xi
global fire2five25004xi
global fire2five26004xi
global fire2five27004xi
global fire2five28004xi
global fire2five29004xi
global fire2five30004xi
global fire2five31004xi
global fire2five32004xi
global fire2five33004xi
    

#========
# SIX
#========      
global fire2six104xi
global fire2six1004xi
global fire2six2004xi
global fire2six3004xi
global fire2six4004xi
global fire2six5004xi
global fire2six6004xi
global fire2six7004xi
global fire2six8004xi
global fire2six9004xi       
global fire2six10004xi
global fire2six11004xi
global fire2six12004xi
global fire2six13004xi
global fire2six14004xi
global fire2six15004xi
global fire2six16004xi
global fire2six17004xi
global fire2six18004xi
global fire2six19004xi
global fire2six20004xi
global fire2six21004xi
global fire2six22004xi
global fire2six23004xi
global fire2six24004xi
global fire2six25004xi
global fire2six26004xi
global fire2six27004xi
global fire2six28004xi
global fire2six29004xi
global fire2six30004xi
global fire2six31004xi
global fire2six32004xi
global fire2six33004xi
    

#========
# SEVEN
#========      
global fire2seven104xi
global fire2seven1004xi
global fire2seven2004xi
global fire2seven3004xi
global fire2seven4004xi
global fire2seven5004xi
global fire2seven6004xi
global fire2seven7004xi
global fire2seven8004xi
global fire2seven9004xi       
global fire2seven10004xi
global fire2seven11004xi
global fire2seven12004xi
global fire2seven13004xi
global fire2seven14004xi
global fire2seven15004xi
global fire2seven16004xi
global fire2seven17004xi
global fire2seven18004xi
global fire2seven19004xi
global fire2seven20004xi
global fire2seven21004xi
global fire2seven22004xi
global fire2seven23004xi
global fire2seven24004xi
global fire2seven25004xi
global fire2seven26004xi
global fire2seven27004xi
global fire2seven28004xi
global fire2seven29004xi
global fire2seven30004xi
global fire2seven31004xi
global fire2seven32004xi
global fire2seven33004xi


#========
# EIGHT
#========      
global fire2eight104xi
global fire2eight1004xi
global fire2eight2004xi
global fire2eight3004xi
global fire2eight4004xi
global fire2eight5004xi
global fire2eight6004xi
global fire2eight7004xi
global fire2eight8004xi
global fire2eight9004xi       
global fire2eight10004xi
global fire2eight11004xi
global fire2eight12004xi
global fire2eight13004xi
global fire2eight14004xi
global fire2eight15004xi
global fire2eight16004xi
global fire2eight17004xi
global fire2eight18004xi
global fire2eight19004xi
global fire2eight20004xi
global fire2eight21004xi
global fire2eight22004xi
global fire2eight23004xi
global fire2eight24004xi
global fire2eight25004xi
global fire2eight26004xi
global fire2eight27004xi
global fire2eight28004xi
global fire2eight29004xi
global fire2eight30004xi
global fire2eight31004xi
global fire2eight32004xi
global fire2eight33004xi
                                                                                                             
# -------------------------------------------------------------------------------------------------
# GalaxyVerbs4Xi - GALAXY FOR VERBS                          
# -------------------------------------------------------------------------------------------------           
                         
global GalaxyVerbs4Xi
GalaxyVerbs4Xi = {
       #de Vaucouleurs scheme  
       -6:  'cE',
       -5:  'E',
       -4:  'E**(+)',
       -3:  'S0**(-)',
       -2:  'S0**(0)',           
       -1:  'S0**(+)',          
        0:  'S0/a',
        1:  'Sa',
        2:  'Sab',
        3:  'Sb ',
        4:  'Sbc ',
        5:  'Sc ',
        6:  'Scd',
        7:  'Sd ',
        8:  'Sdm ',
        9:  'Sm',
       10:  'Im',
       
       #FREE
       11:  'Sphere',           # Sphere
       12:  'Sphere',           # Sphere
       13:  'Sphere',           # Sphere
       14:  'Sphere',           # Sphere              
       15:  'Sphere',           # Sphere
       16:  'Sphere',           # Sphere
       17:  'Sphere',           # Sphere
       18:  'Sphere',           # Sphere     
       19:  'Sphere',           # Sphere
                     
       #The Yerkes (or Morgan) scheme
       20:  'B',    # Barred spiral     
       21:  'D',    # Rotational symmetry without protenseced spiral or elliptical structure         
       22:  'E',    # Elliptical       
       23:  'Ep',   # Elliptical with dust absorption 
       24:  'I',    #  Irregular      
       25:  'L',    # Low surface brightness         
       26:  'N',    # small bright nucleus       
       27:  'S',    # Spiral 

       # Your unique and rare dragon galaxy !
       30:  'Dragon2Xi',       # SENSE IT !        
       31:  'Dragon4Xi',       # REASON IT!
       32:  'Dragon8Xi',       # ACE IT!        
       33:  'yourDragonXi',    # tailored to you!                                                                                                                                                                                                                                                                                                                                                                 
       }  
                    
# -------------------------------------------------------------------------------------------------
# Pipe Channels - consumer & publisher - pipe zero for main program -  pipe 1...8 for process 1...8                             
# -------------------------------------------------------------------------------------------------

global pipe2zero_consumer_channel
global pipe2zero_publisher_channel
    

global pipe2one_consumer_channel
global pipe2one_publisher_channel
    
    
global pipe2two_consumer_channel
global pipe2two_publisher_channel
    

global pipe2three_consumer_channel
global pipe2three_publisher_channel
    

global pipe2four_consumer_channel
global pipe2four_publisher_channel
    

global pipe2five_consumer_channel
global pipe2five_publisher_channel
    

global pipe2six_consumer_channel
global pipe2six_publisher_channel
    

global pipe2seven_consumer_channel
global pipe2seven_publisher_channel
    

global pipe2eight_consumer_channel
global pipe2eight_publisher_channel

                    
# -------------------------------------------------------------------------------------------------
# Processes - one for each direction 1 ... 8                             
# -------------------------------------------------------------------------------------------------
global p2one
global p2two
global p2three
global p2four
global p2five
global p2six
global p2seven
global p2eight
                    
# -------------------------------------------------------------------------------------------------
# Queues - queue zero for main program -  queue 1...8 for process 1...8                             
# -------------------------------------------------------------------------------------------------
global queue2zero
global queue2one
global queue2two
global queue2three
global queue2four
global queue2five
global queue2six
global queue2seven
global queue2eight

# -------------------------------------------------------------------------------------------------
# SuperClusterColor4Xi - EIGHT SUPER CLUSTERS - ONE FOR EACH TELESCOPE VIEW                            
# -------------------------------------------------------------------------------------------------        
global SuperClusterColor4Xi
SuperClusterColor4Xi = {
       #       NETWORK-CENTRIC OPERATIONS AT REMOTE AND DEMANDING THEATERS
       #       TENSE 1       TENSE 2       TENSE 3       TENSE 4       #NAME                 
       #       BASE          STRONGER      LIGHTER       STRONGEST
       1:  {1: '#9BA2A2', 2: '#8E9292', 3: '#DAE1E1', 4: '#DAE1E2', 5: 'theater'},       
       2:  {1: '#0080FF', 2: '#045FB4', 3: '#58ACFA', 4: '#084B8A', 5: 'network'},                      
       3:  {1: '#7C6142', 2: '#473117', 3: '#C7B5A0', 4: '#241505', 5: 'manoeuvres'},                    
       4:  {1: '#9292A1', 2: '#2A2A5C', 3: '#B2B2BF', 4: '#11112B', 5: 'operations'},            
       5:  {1: '#0B6138', 2: '#234736', 3: '#06C36B', 4: '#13613C', 5: 'successes'},                              
       6:  {1: '#F55A5A', 2: '#BF2828', 3: '#F77676', 4: '#640A0A', 5: 'challenges'},
       7:  {1: '#EE4545', 2: '#D72727', 3: '#C41B1B', 4: '#E13939', 5: 'problems'}, 
       8:  {1: '#DE9ABC', 2: '#BF749A', 3: '#B3698E', 4: '#9C5378', 5: 'miscellaneous'}                           
       }
                                                                                                                                                                                                 
# -------------------------------------------------------------------------------------------------
# SymbolColor4Xi - BASE SYMBOLS FOR VERBS - FINAL SYMBOL BY COMBINING THESE AS REQUIRED                            
# -------------------------------------------------------------------------------------------------           
                         
global SymbolColor4Xi
SymbolColor4Xi = { 
       1:  'http://www.yourdragonxi.org/web/images/png/01_q.png',
       2:  'http://www.yourdragonxi.org/web/images/png/02_q.png',
       3:  'http://www.yourdragonxi.org/web/images/png/03_q.png',
       4:  'http://www.yourdragonxi.org/web/images/png/04_q.png',
       5:  'http://www.yourdragonxi.org/web/images/png/05_q.png',           
       6:  'http://www.yourdragonxi.org/web/images/png/06_q.png',          
       7:  'http://www.yourdragonxi.org/web/images/png/07_q.png',
       8:  'http://www.yourdragonxi.org/web/images/png/08_q.png',
       9:  'http://www.yourdragonxi.org/web/images/png/09_q.png',
       10: 'http://www.yourdragonxi.org/web/images/png/10_q.png',
       11: 'http://www.yourdragonxi.org/web/images/png/11_q.png',
       12: 'http://www.yourdragonxi.org/web/images/png/12_q.png',
       13: 'http://www.yourdragonxi.org/web/images/png/13_q.png',
       14: 'http://www.yourdragonxi.org/web/images/png/14_q.png',
       15: 'http://www.yourdragonxi.org/web/images/png/15_q.png',
       16: 'http://www.yourdragonxi.org/web/images/png/16_q.png',
       17: 'http://www.yourdragonxi.org/web/images/png/17_q.png',
       18: 'http://www.yourdragonxi.org/web/images/png/18_q.png',
       19: 'http://www.yourdragonxi.org/web/images/png/19_q.png',
       20: 'http://www.yourdragonxi.org/web/images/png/20_q.png',
       21: 'http://www.yourdragonxi.org/web/images/png/21_q.png',
       22: 'http://www.yourdragonxi.org/web/images/png/22_q.png',
       23: 'http://www.yourdragonxi.org/web/images/png/23_q.png',
       24: 'http://www.yourdragonxi.org/web/images/png/24_q.png',
       25: 'http://www.yourdragonxi.org/web/images/png/25_q.png',
       26: 'http://www.yourdragonxi.org/web/images/png/26_q.png',
       27: 'http://www.yourdragonxi.org/web/images/png/27_q.png',
       28: 'http://www.yourdragonxi.org/web/images/png/28_q.png',
       29: 'http://www.yourdragonxi.org/web/images/png/29_q.png',
       30: 'http://www.yourdragonxi.org/web/images/png/30_q.png',
       31: 'http://www.yourdragonxi.org/web/images/png/31_q.png',
       32: 'http://www.yourdragonxi.org/web/images/png/32_q.png',
       33: 'http://www.yourdragonxi.org/web/images/png/33_q.png',
       34: 'http://www.yourdragonxi.org/web/images/png/34_q.png',
       35: 'http://www.yourdragonxi.org/web/images/png/35_q.png',  
       36: 'http://www.yourdragonxi.org/web/images/png/36_q.png',  
       37: 'http://www.yourdragonxi.org/web/images/png/37_q.png',  
       38: 'http://www.yourdragonxi.org/web/images/png/38_q.png',  
       39: 'http://www.yourdragonxi.org/web/images/png/38_q.png',
       40: 'http://www.yourdragonxi.org/web/images/png/40_q.png',       
       41: 'http://www.yourdragonxi.org/web/images/png/41_q.png',
       42: 'http://www.yourdragonxi.org/web/images/png/42_q.png',
       43: 'http://www.yourdragonxi.org/web/images/png/43_q.png',
       44: 'http://www.yourdragonxi.org/web/images/png/44_q.png',
       45: 'http://www.yourdragonxi.org/web/images/png/45_q.png',  
       46: 'http://www.yourdragonxi.org/web/images/png/46_q.png',  
       47: 'http://www.yourdragonxi.org/web/images/png/47_q.png',  
       48: 'http://www.yourdragonxi.org/web/images/png/48_q.png',  
       49: 'http://www.yourdragonxi.org/web/images/png/49_q.png',
       50: 'http://www.yourdragonxi.org/web/images/png/50_q.png',       
       51: 'http://www.yourdragonxi.org/web/images/png/51_q.png',
       52: 'http://www.yourdragonxi.org/web/images/png/52_q.png',
       53: 'http://www.yourdragonxi.org/web/images/png/53_q.png',
       54: 'http://www.yourdragonxi.org/web/images/png/54_q.png',
       55: 'http://www.yourdragonxi.org/web/images/png/55_q.png',  
       56: 'http://www.yourdragonxi.org/web/images/png/56_q.png',  
       57: 'http://www.yourdragonxi.org/web/images/png/57_q.png',  
       58: 'http://www.yourdragonxi.org/web/images/png/58_q.png',  
       59: 'http://www.yourdragonxi.org/web/images/png/59_q.png',
       60: 'http://www.yourdragonxi.org/web/images/png/60_q.png',       
       61: 'http://www.yourdragonxi.org/web/images/png/61_q.png',
       62: 'http://www.yourdragonxi.org/web/images/png/62_q.png',
       63: 'http://www.yourdragonxi.org/web/images/png/63_q.png',
       64: 'http://www.yourdragonxi.org/web/images/png/64_q.png',
       65: 'http://www.yourdragonxi.org/web/images/png/65_q.png',  
       66: 'http://www.yourdragonxi.org/web/images/png/66_q.png',  
       67: 'http://www.yourdragonxi.org/web/images/png/67_q.png',  
       68: 'http://www.yourdragonxi.org/web/images/png/68_q.png',  
       69: 'http://www.yourdragonxi.org/web/images/png/69_q.png', 
       70: 'http://www.yourdragonxi.org/web/images/png/70_q.png'                                                                                                                                                                                                                                                                                                       
       } 


# -------------------------------------------------------------------------------------------------
# SUPERCLUSTERCOLORSTATISTICS4XI
# -------------------------------------------------------------------------------------------------        
global SuperClusterColorStatistics4Xi              
SuperClusterColorStatistics4Xi = {
       1:  0,
       2:  0, 
       3:  0, 
       4:  0, 
       5:  0,        
       6:  0,        
       7:  0,
       8:  0
       }

global VerbKB4Xi
VerbKB4Xi = {
       'a': Verb2a4Xi, #01
       'b': Verb2b4Xi, #02
       'c': Verb2c4Xi, #03
       'd': Verb2d4Xi, #04
       'e': Verb2e4Xi, #05
       'f': Verb2f4Xi, #06
       'g': Verb2g4Xi, #07
       'h': Verb2h4Xi, #08
       'i': Verb2i4Xi, #09
       'j': Verb2j4Xi, #10
       'k': Verb2k4Xi, #11
       'l': Verb2l4Xi, #12
       'm': Verb2m4Xi, #13
       'n': Verb2n4Xi, #14
       'o': Verb2o4Xi, #15
       'p': Verb2p4Xi, #16
       'q': Verb2q4Xi, #17
       'r': Verb2r4Xi, #18
       's': Verb2s4Xi, #19
       't': Verb2t4Xi, #20
       'u': Verb2u4Xi, #21
       'v': Verb2v4Xi, #22
       'w': Verb2w4Xi, #23
       'x': Verb2x4Xi, #24
       'y': Verb2y4Xi, #25
       'z': Verb2z4Xi, #26
       '_': Verb2_4Xi  #27 
       }

                                                   

#"
#/>
       
       
       
# -------------------------------------------------------------------------------------------------
# Settings - copied from load2one4xi.py results to access faster by verb4xi.py
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "

ack4queues = False
nack4queues = True

ack4pipes = False
nack4pipes = True


ack2one4process = False
nack2one4process = True
ack2one4run = False
nack2one4run = True
ack2one4start = False
nack2one4start = True

ack2two4process = False
nack2two4process = True
ack2two4run = False
nack2two4run = True
ack2two4start = False
nack2two4start = True

ack2three4process = False
nack2three4process = True
ack2three4run = False
nack2three4run = True
ack2three4start = False
nack2three4start = True

ack2four4process = False
nack2four4process = True
ack2four4run = False 
nack2four4run = True
ack2four4start = False
nack2four4start = True

ack2five4process = False
nack2five4process = True
ack2five4run = False
nack2five4run = True
ack2five4start = False
nack2five4start = True
    

ack2six4process = False
nack2six4process = True
ack2six4run = False
nack2six4run = True
ack2six4start = False
nack2six4start = True
    

ack2seven4process = False
nack2seven4process = True
ack2seven4run = False
nack2seven4run = True
ack2seven4start = False
nack2seven4start = True
    

ack2eight4process = False
nack2eight4process = True
ack2eight4run = False
nack2eight4run = True
ack2eight4start = False
nack2eight4start = True

#"
#"/>


# -------------------------------------------------------------------------------------------------
#<function4xi function = "format" usage = "
#   adds leading zeroes to integer and converts it to string
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; ACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------
def format(format_param = {'add-with-leading-zeros': 0}):

    '''
    adds leading zeroes to integer and converts it to string
    '''
   
    r2xi = None  
    n2xi = 0
    
    p2xi = format_param  #{'add-with-leading-zeros': 5}
                         
       
    keys2c = p2xi.keys()   
          
    if 'add-with-leading-zeros' in keys2c:
        f2xi = {
        0:'000000000',
        10:'00000000',
        100:'0000000',
        1000:'000000',
        10000:'00000',
        1000000:'000',
        10000000:'00',    
        100000000:'0'}
        

        n2xi = p2xi['add-with-leading-zeros']  #5, -333
        abs2xi = abs(n2xi)
  
        
        if abs2xi > 0:
        
            keys2f = f2xi.keys()           
    
            for key2f in sorted(keys2f):       # 

              
                if abs2xi >= key2f:            # 10,100,1000 ...                
                    pass
                else:                          # 5 < 10
                    r2xi = f2xi[key2f] + str(abs2xi) # 000000005

   
                    break                    
        else:
            r2xi = str(abs2xi)
    
        if n2xi == 0:
            r2xi = '000000000'
               
        else:
            if (r2xi is None):
                if n2xi < 0:
                    r2xi = str(n2xi)
                else:
                    r2xi = str(n2xi)

            else:
                if n2xi < 0:
                    r2xi = '-' + str(r2xi)            

        if len(r2xi) > 9:
            r2xi = r2xi[1:]
         
        return r2xi
    else:
        
                   
        return '000000000'
                        
#</function4xi>
         
# -------------------------------------------------------------------------------------------------
#<function4xi function = "analyze_verb4xi" usage = "analyze verb knowledgebase">
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------
def analyze_verb4xi():
    '''
    analyzes verb knowledgebase
    '''
    global ClusterKB4Xi
    global VerbKB4Xi
    global Mavericks2Verbs
    global DirectionKB4Xi
    
    # -----------------------------------------------------------------------------------------
    # initialize 
    # -----------------------------------------------------------------------------------------      
    ack2debug = True   
    
    kb2verbs = VerbKB4Xi
    # print('KB2VERBS: ', kb2verbs) 
    
    keys2alpha = VerbKB4Xi.keys()                                    # '_', 'a', 'b' ....
    # print('KEYS2ALPHA: ', keys2alpha) 
    
    
    Statistics2Verbs = {}
    Mavericks2Verbs = {}
    if ack2debug is True:                                            # 
        print('(STEP mv1/70) OF ANALYZE_VERB4XI - Mavericks2Verbs: ', Mavericks2Verbs)
        # {}
    sequence2flash = 0
    count2alpha = 0
    count2key = 0
    count2tense = 0              
    count2tense1 = 0
    count2tense2 = 0  
    count2tense3 = 0
    count2tense4 = 0            
    count2passed = 0
    count2warnings = 0 
    count2ack = 0
    count2nack = 0
 

        
    # -----------------------------------------------------------------------------------------
    # Verb Knowledgebase
    # ----------------------------------------------------------------------------------------- 
        
    for key2alpha in sorted(keys2alpha):                             # '_', 'a', 'b' ....                            
        
        count2alpha = count2alpha + 1
                
        # -------------------------------------------------------------------------------------
        # (STEP 1/21) 'a', 'b' .... 
        # ------------------------------------------------------------------------------------- 
          
        keys2verb = VerbKB4Xi[key2alpha].keys()                      # zero, zeroed, zeroing, reference-zero, definition-zero, symbol-zero, cluster-zero, color-zero ....
        if ack2debug is True:                                        # hit
            print('(STEP 1/21) OF ANALYZE_VERB4XI - KEYS2VERB: ', keys2verb)   
        
        key2accept = None
           
        for key2verb in keys2verb:
         
            # ---------------------------------------------------------------------------------                                   
            # (STEP 2/21) 
            # ---------------------------------------------------------------------------------
                        
            if ack2debug is True:
                print('(STEP 2/21) OF ANALYZE_VERB4XI - KEY2VERB: ', key2verb)            # done, born                      

            count2key = count2key + 1
            
        
            i2reference  = str.find(key2verb,'reference-')           # reference-, definition-, symbol-, cluster-, color-
            i2definition = str.find(key2verb,'definition-')
            i2symbol     = str.find(key2verb,'symbol-')
            i2cluster    = str.find(key2verb,'cluster-')
            i2color      = str.find(key2verb,'color-')
            
            if ((i2reference == -1) and (i2definition == -1) and (i2symbol == -1) and (i2cluster == -1) and (i2color == -1)) :   # none of above such as take-into-account 
            
                # -----------------------------------------------------------------------------
                # (STEP 3/21) FOUND A VERB TENSE SUCH AS DO, DID, DOING, DONE(4); PUT,PUTTING(2);
                # -----------------------------------------------------------------------------
                if ack2debug is True:
                    print('(STEP 3/21a) OF ANALYZE_VERB4XI - ACCEPTED KEY2VERB: ', key2verb) #done, born - we do not yet know which tense it is
 

                # --------------------------------------------------------------------------------
                # TRY TO FIND GRAPHICS ATTRIBUTES FOR X+Y, WHERE X = VERB AND Y = TENSE1,2,3 OR 4
                # --------------------------------------------------------------------------------
                ack2attribute = False
                nack2attribute = True
                                             
                
                key2try = 'definition-' + key2verb                   
                if ack2debug is True:
                    print('(STEP 3/21b) OF ANALYZE_VERB4XI - KEY2TRY: ', key2try)           # definition-done also tried
                
                value2try = None                                       # definition-hit
                try:
            
            
                    value2try = VerbKB4Xi[key2alpha] [key2try]         # to amount to zero.
                                                                       # 'to come into collision.
                    # -------------------------------------------------------------------------
                    # (STEP 4/21) THIS IS TENSE1 - WE FOUND ITS DEFINITION
                    # -------------------------------------------------------------------------
                    if ack2debug is True:
                        print('=' *33) 
                        print('(STEP 3/21c) OF ANALYZE_VERB4XI - VERB: ', key2verb)
                        # _pertain
                        print('(STEP 3/21d) OF ANALYZE_VERB4XI - DEFINITION OF ', key2verb, '-VERB: ', value2try) # to amount to zero. 
                        # to belong properly.
                    key2stat = key2verb + '-tense1'                    # do-tense1, zero-tense1 ....                                                     
                    if ack2debug is True:
                        print('(STEP 3/21e1) KEY2STAT: ', key2stat)
                        # _pertain-tense1
                    
                    # sequence2flash = sequence2flash + 1              # 9-digit counter with leading zeroes
                    # cmd2xi = 'add-with-leading-zeros'                # command
                    # num2xi = sequence2flash                          # value
                    # c2xi = {cmd2xi: num2xi}                          # context
                    # key2maverick = key2verb + '-' + format(c2xi) +  '-tense1'  
                    key2maverick = key2verb + '-tense1'  
                                       
                    Mavericks2Verbs[key2maverick] = key2verb           # do-tense1:  do                
                    if ack2debug is True:
                        print('(STEP mv2/70) Mavericks2Verbs[', key2maverick, ']: ', Mavericks2Verbs[key2maverick])
                        # Mavericks2Verbs[ accept-tense1 ]:  accept
                        # Mavericks2Verbs[ assert-tense1 ]:  assert
                        # ...
                        
                    # sequence2flash = sequence2flash + 1              # 9-digit counter with leading zeroes
                    # cmd2xi = 'add-with-leading-zeros'                # command
                    # num2xi = sequence2flash                          # value
                    # c2xi = {cmd2xi: num2xi}                          # context
                    # key2maverick = key2verb + '-' + format(c2xi) +  '-definition'             # hit-definition: to come into collision.
                    key2maverick = key2verb + '-definition'            # hit-definition: to come into collision.
                    
                    Mavericks2Verbs[key2maverick] = value2try          # do-definition: to amount to zero.
                    if ack2debug is True:
                        print('(STEP mv3/70) Mavericks2Verbs[', key2maverick, ']: ', Mavericks2Verbs[key2maverick])
                        # Mavericks2Verbs[ accept-definition ]:  to regard as suitable.
                        # ...
                    Statistics2Verbs[key2stat] = 1                     # do-tense1: 1 ....
                    if ack2debug is True:
                        print('(STEP 3/21g) STATISTICS2XI[', key2stat, ']: ', Statistics2Verbs[key2stat]) 
                    
                    count2tense = count2tense + 1
                    count2tense1 = count2tense1 + 1                    
                    if ack2debug is True:
                        print('(STEP 3/21h) OF ANALYZE_VERB4XI -  COUNT2TENSE: ',  count2tense)
                        print('(STEP 3/21i) OF ANALYZE_VERB4XI -  COUNT2TENSE1: ', count2tense1)
                        print('(STEP 3/21j) OF ANALYZE_VERB4XI -  COUNT2TENSE2: ', count2tense2)
                        print('(STEP 3/21k) OF ANALYZE_VERB4XI -  COUNT2TENSE3: ', count2tense3)
                        print('(STEP 3/21l) OF ANALYZE_VERB4XI -  COUNT2TENSE4: ', count2tense4) 
                        deviation = count2tense - count2tense1 - count2tense2 - count2tense3 - count2tense4                       
                        print('(STEP 3/21m) OF ANALYZE_VERB4XI -  DEVIATION: '   , deviation)
                        # 1
                        # 1
                        # 0
                        # 0
                        # 0
                        # 0                                                                     
                        if deviation > 0:
                            print('(STEP 3/21n) OF ANALYZE_VERB4XI - HIT-DEVIATION-ERROR: ', deviation)
                            


                        
                    nack2attribute = False
                    ack2attribute = True
                    count2ack = count2ack + 1
                    
                    
                    key2try = 'color-' + key2verb 
                    if ack2debug is True:
                        print('(STEP 3/21o) KEY2TRY: ', key2try)
                    value2try = None 
                    try:
                        # ---------------------------------------------------------------------------------
                        # (STEP 5/21) TENSE1 IS ATTACHED TO COLOR, WHICH IS MANADATORY: COLOR-ZERO; -DO; -PUT; -SET ...
                        # ---------------------------------------------------------------------------------
                        value2try = VerbKB4Xi[key2alpha] [key2try]                    
                        if ack2debug is True:
                            print('(STEP 3/21p) OF ANALYZE_VERB4XI - COLOR OF ', key2verb, '-VERB: ', value2try) # 088A85 ...
                        nack2attribute = False
                        ack2attribute = True
                        count2ack = count2ack + 1     
                        
                        # sequence2flash = sequence2flash + 1              # 9-digit counter with leading zeroes
                        # cmd2xi = 'add-with-leading-zeros'                # command
                        # num2xi = sequence2flash                          # value
                        # c2xi = {cmd2xi: num2xi}                          # context
                        # key2maverick = key2verb + '-' + format(c2xi) +  '-color' 
                        key2maverick = key2verb + '-color'
                        Mavericks2Verbs[key2maverick] = value2try                  #do-color: #088A85

                        if ack2debug is True:
                            print('(STEP mv4/70) Mavericks2Verbs[', key2maverick, ']: ', Mavericks2Verbs[key2maverick])                                                            
                            # Mavericks2Verbs[ _pertain-color ]:  #FA5858
                            # Mavericks2Verbs[ accept-color ]:  #0B6138
                            # ...
                    except:
                        print('(STEP 3/21r) OF ANALYZE_VERB4XI *** WARNED: SYSTEM COULD NOT FIND COLOR ATTRIBUTE FOR VERB: ', key2verb, ' ***')
                        print('(STEP 3/21s) OF ANALYZE_VERB4XI *** WARNED: KEY USED TO FIND COLOR ATTRIBUTE FOR VERB: ', key2try , ' ***')
                        
                        count2warnings = count2warnings + 1                               
                        ack2attribute = False
                        nack2attribute = True
                        count2nack = count2nack + 1 
                    
                    # --------------------------------------------------------------------------------------
                    # (STEP 6/21) TRY WITH TENSE1 OTHER ATTRIBUTES - FOR EXAMPLE TENSE2: REFERENCE-PUT     
                    # --------------------------------------------------------------------------------------                        
                    key2try = 'reference-' + key2verb
                    if ack2debug is True:
                        print('(STEP 3/21t) OF ANALYZE_VERB4XI - KEY2TRY: ', key2try)
                                             
                    value2try = None  
                    try:
                        value2try = VerbKB4Xi[key2alpha] [key2try]
                        if ack2debug is True:                    
                            print('(STEP 3/21u) OF ANALYZE_VERB4XI - REFERENCE OF ', key2verb, '-VERB: ', value2try)                    
                        key2stat = key2verb + '-tense2'                  #                                               
                        if ack2debug is True:
                            print('(STEP 3/21v) OF ANALYZE_VERB4XI - KEY2STAT: ', key2stat)
                    
                        Statistics2Verbs[key2stat] = 2                                         
                        if ack2debug is True:
                            print('(STEP 3/21w) OF ANALYZE_VERB4XI - STATISTICS2XI[', key2stat, ']: ', Statistics2Verbs[key2stat]) 
                        

                        nack2attribute = False
                        ack2attribute = True
                        count2ack = count2ack + 1
                        
                        # sequence2flash = sequence2flash + 1              # 9-digit counter with leading zeroes
                        # cmd2xi = 'add-with-leading-zeros'                # command
                        # num2xi = sequence2flash                          # value
                        # c2xi = {cmd2xi: num2xi}                          # context
                        # key2maverick = key2verb + '-' + format(c2xi) +  '-reference'                # put-reference:       1571
                        key2maverick = key2verb + '-reference'                # put-reference:       1571
                        Mavericks2Verbs[key2maverick] = value2try
                        if ack2debug is True:
                            print('(STEP mv5/70) Mavericks2Verbs[', key2maverick, ']: ', Mavericks2Verbs[key2maverick])
                            # Mavericks2Verbs[ abbreviate-reference ]:  3                                           
                    except:
                        pass

                    # --------------------------------------------------------------------------------------
                    # (STEP 7/21) TRY WITH TENSE1 OTHER ATTRIBUTES - FOR EXAMPLE TENSE3 OF PUT: CLUSTER-PUT   
                    # --------------------------------------------------------------------------------------                                   
                    key2try = 'cluster-' + key2verb
                    if ack2debug is True:
                        print('(STEP 7/21a) OF ANALYZE_VERB4XI - KEY2TRY: ', key2try)                    
                    value2try = None 
                    try:
                    
                        # -------------------------------------------------------------------------
                        # 
                        # -------------------------------------------------------------------------
                        value2try = VerbKB4Xi[key2alpha] [key2try]
                        if ack2debug is True:                    
                            print('(STEP 7/21b) OF ANALYZE_VERB4XI - CLUSTER OF ', key2verb, '-VERB: ', value2try)
                        
                        key2stat = key2verb + '-tense4'                  # doing-tense3, zeroing-tense3 ....                                                     
                        if ack2debug is True:
                            print('(STEP 7/21c) OF ANALYZE_VERB4XI - KEY2STAT: ', key2stat)
                    
                        Statistics2Verbs[key2stat] = 4                      
                        if ack2debug is True:
                            print('(STEP 7/21d) OF ANALYZE_VERB4XI - STATISTICS2XI[', key2stat, ']: ', Statistics2Verbs[key2stat])                     
                        

                        nack2attribute = False
                        ack2attribute = True
                        count2ack = count2ack + 1 
                        
                        # sequence2flash = sequence2flash + 1              # 9-digit counter with leading zeroes
                        # cmd2xi = 'add-with-leading-zeros'                # command
                        # num2xi = sequence2flash                          # value
                        # c2xi = {cmd2xi: num2xi}                          # context
                        # key2maverick = key2verb + '-' + format(c2xi) +  '-cluster'                # put-cluster: 15
                        key2maverick = key2verb + '-cluster'                # put-cluster: 15
                        Mavericks2Verbs[key2maverick] = value2try
                        if ack2debug is True:
                            print('(STEP mv6/70) Mavericks2Verbs[', key2maverick, ']: ', Mavericks2Verbs[key2maverick])
                            # Mavericks2Verbs[ cast-cluster ]:  21                                                                                
                    except:
                        pass 
                except:
                    pass
                        
                                                                               
                # --------------------------------------------------------------------------------
                # (STEP 8/21) KEEP ON TRYING OTHER ATTRIBUTES OF THE VERB
                # --------------------------------------------------------------------------------
                               
                key2try = 'reference-' + key2verb 
                if ack2debug is True:
                    print('(STEP 8/21a) OF ANALYZE_VERB4XI - KEY2TRY: ', key2try)
                                    
                value2try = None    
                try:        
                    # -------------------------------------------------------------------------
                    # (STEP 9/21) TENSE2 - FOUND - FOR EXAMPLE REFERENCE-ZEROED
                    # -------------------------------------------------------------------------
                    value2try = VerbKB4Xi[key2alpha] [key2try]                    
                    if ack2debug is True: 
                        print('(STEP 8/21b) OF ANALYZE_VERB4XI - REFERENCE OF ', key2verb, '-VERB: ', value2try)
                    
                    key2stat = key2verb + '-tense2'                  # did-tense2, zeroed-tense2 ....                                                     
                    if ack2debug is True:
                        print('(STEP 8/21c) OF ANALYZE_VERB4XI - KEY2STAT: ', key2stat)
                
                    # sequence2flash = sequence2flash + 1              # 9-digit counter with leading zeroes
                    # cmd2xi = 'add-with-leading-zeros'                # command
                    # num2xi = sequence2flash                          # value
                    # c2xi = {cmd2xi: num2xi}                          # context
                    # key2maverick = key2verb + '-' + format(c2xi) +  '-tense2'
                    key2maverick = key2verb + '-tense2'
                    Mavericks2Verbs[key2maverick] = key2verb                   # did-tense2, zeroed-tense2 .... 
                    if ack2debug is True:
                        print('(STEP mv7/70) Mavericks2Verbs[', key2maverick, ']: ', Mavericks2Verbs[key2maverick])
                        # Mavericks2Verbs[ _pertained-tense2 ]:  _pertained 
                    
                     
                    # sequence2flash = sequence2flash + 1              # 9-digit counter with leading zeroes
                    # cmd2xi = 'add-with-leading-zeros'                # command
                    # num2xi = sequence2flash                          # value
                    # c2xi = {cmd2xi: num2xi}                          # context
                    # key2maverick = key2verb + '-' + format(c2xi) +  '-reference'
                    key2maverick = key2verb + '-reference'
                    Mavericks2Verbs[key2maverick] = value2try                  # aced-reference 
                    if ack2debug is True:
                        print('(STEP mv8/70) Mavericks2Verbs[', key2maverick, ']: ', Mavericks2Verbs[key2maverick])
                        # Mavericks2Verbs[ _pertained-reference ]:  1447                                
                            
                    Statistics2Verbs[key2stat] = 2                      
                    if ack2debug is True:
                        print('(STEP 8/21f) STATISTICS2XI[', key2stat, ']: ', Statistics2Verbs[key2stat]) 
                    
                    count2tense = count2tense + 1
                    count2tense2 = count2tense2 + 1
                    if ack2debug is True:
                        print('(STEP 8/21g) OF ANALYZE_VERB4XI - COUNT2TENSE: ',  count2tense)
                        print('(STEP 8/21h) OF ANALYZE_VERB4XI - COUNT2TENSE1: ', count2tense1)
                        print('(STEP 8/21i) OF ANALYZE_VERB4XI - COUNT2TENSE2: ', count2tense2)
                        print('(STEP 8/21j) OF ANALYZE_VERB4XI - COUNT2TENSE3: ', count2tense3)
                        print('(STEP 8/21k) OF ANALYZE_VERB4XI - COUNT2TENSE4: ', count2tense4)                        
                        deviation = count2tense - count2tense1 - count2tense2 - count2tense3 - count2tense4                       
                        print('(STEP 8/21l) OF ANALYZE_VERB4XI - DEVIATION: '   , deviation)                                                                       
                        if deviation > 0:
                            print('(STEP 8/21m) OF ANALYZE_VERB4XI - HIT-DEVIATION-ERROR: ', deviation)  
                    
                    nack2attribute = False
                    ack2attribute = True
                    count2ack = count2ack + 1                    
                
                    # ----------------------------------------------------------------------------------------
                    # (STEP 10/21) TRY WITH TENSE2 ATTRIBUTE CLUSTER, BECAUSE PUT HAS THE SAME TENSE4 (PUT,PUT,PUTTING,PUT)   
                    # ----------------------------------------------------------------------------------------
                    key2try = 'cluster-' + key2verb
                    if ack2debug is True:
                        print('(STEP 10/21a) OF ANALYZE_VERB4XI - KEY2TRY: ', key2try)
                                            
                    value2try = None 
                    try:
                    
                        # -------------------------------------------------------------------------
                        # (STEP 11/21) 
                        # -------------------------------------------------------------------------
                        value2try = VerbKB4Xi[key2alpha] [key2try]                    
                        if ack2debug is True: 
                            print('(STEP 10/21a) OF ANALYZE_VERB4XI - CLUSTER OF ', key2verb, '-VERB: ', value2try)
                        
                        key2stat = key2verb + '-tense4'                                                                    
                        if ack2debug is True:
                            print('(STEP 10/21b) OF ANALYZE_VERB4XI - KEY2STAT: ', key2stat)
                    
                        Statistics2Verbs[key2stat] = 4                      
                        if ack2debug is True:
                            print('(STEP 10/21c1) OF ANALYZE_VERB4XI - STATISTICS2XI[', key2stat, ']: ', Statistics2Verbs[key2stat])                     
                        
                        # sequence2flash = sequence2flash + 1              # 9-digit counter with leading zeroes
                        # cmd2xi = 'add-with-leading-zeros'                # command
                        # num2xi = sequence2flash                          # value
                        # c2xi = {cmd2xi: num2xi}                          # context
                        # key2maverick = key2verb + '-' + format(c2xi) +  '-cluster'                # zeroed-cluster
                        key2maverick = key2verb + '-cluster'                # zeroed-cluster
                        Mavericks2Verbs[key2maverick] = value2try 
                        if ack2debug is True:
                            print('(STEP mv9/70) Mavericks2Verbs[', key2maverick, ']: ', Mavericks2Verbs[key2maverick])
                            # Mavericks2Verbs[ _pertained-cluster ]:  1                               
                        
                        nack2attribute = False
                        ack2attribute = True
                        count2ack = count2ack + 1                          
                    except:
                        pass                                       
                    
                        
                except:
                    pass              
                
                 
                    
                        
                # --------------------------------------------------------------------------------
                # (STEP 12/21) KEEP ON TRYING OTHER TENSES OF THE VERB
                # --------------------------------------------------------------------------------
         
                key2try = 'symbol-' + key2verb 
                if ack2debug is True:
                    print('(STEP 12/21a) OF ANALYZE_VERB4XI - KEY2TRY: ', key2try)                
                value2try = None
                try:             
                    # -----------------------------------------------------------------------------------------------------------------
                    # (STEP 13/21) TENSE3: ALWAYS -ING AND ALWAYS DIFFERENT TO OTHER - SYMBOL-ZEROING; -DOING; - PUTTING; -SETTING ...
                    # -----------------------------------------------------------------------------------------------------------------
                    value2try = VerbKB4Xi[key2alpha] [key2try]                    
                    if ack2debug is True: 
                        print('(STEP 12/21b) OF ANALYZE_VERB4XI - SYMBOL OF ', key2verb, '-VERB: ', value2try)
                    
                    key2stat = key2verb + '-tense3'                  # doing-tense3, zeroing-tense3 ....                                                     
                    if ack2debug is True:
                        print('(STEP 12/21c) OF ANALYZE_VERB4XI - KEY2STAT: ', key2stat)
                
                    # sequence2flash = sequence2flash + 1              # 9-digit counter with leading zeroes
                    # cmd2xi = 'add-with-leading-zeros'                # command
                    # num2xi = sequence2flash                          # value
                    # c2xi = {cmd2xi: num2xi}                          # context
                    # key2maverick = key2verb + '-' + format(c2xi) +  '-tense3'                 # doing
                    key2maverick = key2verb + '-tense3'                 # doing
                    Mavericks2Verbs[key2maverick] = key2verb 
                    
                    if ack2debug is True:
                        print('(STEP mv10/70) Mavericks2Verbs[', key2maverick, ']: ', Mavericks2Verbs[key2maverick])
                        # Mavericks2Verbs[ _pertaining-tense3 ]:  _pertaining  
                    
                    # sequence2flash = sequence2flash + 1              # 9-digit counter with leading zeroes
                    # cmd2xi = 'add-with-leading-zeros'                # command
                    # num2xi = sequence2flash                          # value
                    # c2xi = {cmd2xi: num2xi}                          # context
                    # key2maverick = key2verb + '-' + format(c2xi) +  '-symbol'                 # doing-symbol, borning-symbol
                    key2maverick = key2verb + '-symbol'                 # doing-symbol, borning-symbol
                    Mavericks2Verbs[key2maverick] = value2try
                    if ack2debug is True:
                        print('(STEP mv11/70) Mavericks2Verbs[', key2maverick, ']: ', Mavericks2Verbs[key2maverick])
                        # Mavericks2Verbs[ _pertaining-symbol ]:  1447                        
                    
                    Statistics2Verbs[key2stat] = 3                      
                    if ack2debug is True:
                        print('(STEP 12/21e) OF ANALYZE_VERB4XI - STATISTICS2XI[', key2stat, ']: ', Statistics2Verbs[key2stat]) 
                    
                    count2tense = count2tense + 1
                    count2tense3 = count2tense3 + 1
                    if ack2debug is True:
                        print('(STEP 12/21f) OF ANALYZE_VERB4XI - COUNT2TENSE: ',  count2tense)
                        print('(STEP 12/21g) OF ANALYZE_VERB4XI - COUNT2TENSE1: ', count2tense1)
                        print('(STEP 12/21h) OF ANALYZE_VERB4XI - COUNT2TENSE2: ', count2tense2)
                        print('(STEP 12/21i) OF ANALYZE_VERB4XI - COUNT2TENSE3: ', count2tense3)
                        print('(STEP 12/21j) OF ANALYZE_VERB4XI - COUNT2TENSE4: ', count2tense4)                        
                        deviation = count2tense - count2tense1 - count2tense2 - count2tense3 - count2tense4                       
                        print('(STEP 12/21k) OF ANALYZE_VERB4XI - DEVIATION: '   , deviation)                                                                       
                        if deviation > 0:
                            if ack2debug is True: 
                                print('(STEP 12/21l) OF ANALYZE_VERB4XI - HIT-DEVIATION-ERROR: ', deviation) 
                                            
                    nack2attribute = False
                    ack2attribute = True
                    count2ack = count2ack + 1                       
                except:
                    pass       
                    
                # --------------------------------------------------------------------------------
                # (STEP 14/21) KEEP ON TRYING OTHER TENSES OF THE VERB
                # --------------------------------------------------------------------------------
                                                        
                key2try = 'cluster-' + key2verb
                if ack2debug is True:
                    print('(STEP 14/21a) KEY2TRY: ', key2try)         
                                    
                value2try = None 
                try:
                
                    # -------------------------------------------------------------------------
                    # (STEP 15/21) TENSE4: UNIQUE TENSE 4 - FOR EXAMPLE DONE, BORN
                    # -------------------------------------------------------------------------
                    value2try = VerbKB4Xi[key2alpha] [key2try]                    
                    if ack2debug is True: 
                        print('(STEP 14/21a) OF ANALYZE_VERB4XI - CLUSTER OF ', key2verb, '-VERB: ', value2try)
                    
                    key2stat = key2verb + '-tense4'                                                                 
                    if ack2debug is True:
                        print('(STEP 14/21b1) OF ANALYZE_VERB4XI - KEY2STAT: ', key2stat)
 
                    # sequence2flash = sequence2flash + 1              # 9-digit counter with leading zeroes
                    # cmd2xi = 'add-with-leading-zeros'                # command
                    # num2xi = sequence2flash                          # value
                    # c2xi = {cmd2xi: num2xi}                          # context
                    # key2maverick = key2verb + '-' + format(c2xi) +  '-tense4'                               #born-tense4
                    key2maverick = key2verb + '-tense4'                               #born-tense4
                    Mavericks2Verbs[key2maverick] = key2verb
                    if ack2debug is True:
                        print('(STEP mv12/70) Mavericks2Verbs[', key2maverick, ']: ', Mavericks2Verbs[key2maverick])
                        # Mavericks2Verbs[ _pertained-tense4 ]:  _pertained
                                                 
                    # sequence2flash = sequence2flash + 1              # 9-digit counter with leading zeroes
                    # cmd2xi = 'add-with-leading-zeros'                # command
                    # num2xi = sequence2flash                          # value
                    # c2xi = {cmd2xi: num2xi}                          # context
                    # key2maverick = key2verb + '-' + format(c2xi) +  '-cluster'                # born-cluster: 17
                    key2maverick = key2verb + '-cluster'                # born-cluster: 17
                    Mavericks2Verbs[key2maverick] = value2try
                    if ack2debug is True:
                        print('(STEP mv13/70) Mavericks2Verbs[', key2maverick, ']: ', Mavericks2Verbs[key2maverick])
                        # Mavericks2Verbs[ _pertained-cluster ]:  1                                              
                       
                    Statistics2Verbs[key2stat] = 4                      
                    if ack2debug is True:
                        print('(STEP 14/21d) STATISTICS2XI[', key2stat, ']: ', Statistics2Verbs[key2stat])                     
                    
                    count2tense = count2tense + 1
                    count2tense4 = count2tense4 + 1
                    if ack2debug is True:
                        print('(STEP 14/21e) OF ANALYZE_VERB4XI - COUNT2TENSE: ',  count2tense)
                        print('(STEP 14/21f) OF ANALYZE_VERB4XI - COUNT2TENSE1: ', count2tense1)
                        print('(STEP 14/21g) OF ANALYZE_VERB4XI - COUNT2TENSE2: ', count2tense2)
                        print('(STEP 14/21h) OF ANALYZE_VERB4XI - COUNT2TENSE3: ', count2tense3)
                        print('(STEP 14/21i) OF ANALYZE_VERB4XI - COUNT2TENSE4: ', count2tense4)                        
                        deviation = count2tense - count2tense1 - count2tense2 - count2tense3 - count2tense4                       
                        print('(STEP 14/21j) OF ANALYZE_VERB4XI - DEVIATION: '   , deviation)                                                                       
                        if deviation > 0:
                            if ack2debug is True: 
                                print('(STEP 14/21k) OF ANALYZE_VERB4XI - HIT-DEVIATION-ERROR: ', deviation)
                            
                    nack2attribute = False
                    ack2attribute = True
                    count2ack = count2ack + 1 
                    
                    key2try = 'cluster-' + key2verb
                    if ack2debug is True:
                        print('(STEP 14/21k) OF ANALYZE_VERB4XI - KEY2TRY: ', key2try)
                                            
                    value2try = None 
                    key2try = key2verb + '-cluster'
                    # try:
                    
                        # -------------------------------------------------------------------------
                        # try with tense4 attribute done-cluster
                        # -------------------------------------------------------------------------
                        # value2try = VerbKB4Xi[key2alpha] [key2try]                    
                        # print('(STEP 14/21l) CLUSTER OF ', key2verb, '-VERB: ', value2try)
         
                        # sequence2flash = sequence2flash + 1              # 9-digit counter with leading zeroes
                        # cmd2xi = 'add-with-leading-zeros'                # command
                        # num2xi = sequence2flash                          # value
                        # c2xi = {cmd2xi: num2xi}                          # context
                        # key2maverick = key2verb + '-' + format(c2xi) +  '-cluster'                # done-cluster
                        # Mavericks2Verbs[key2maverick] = value2try 
                        # if ack2debug is True:
                            # print('(STEP 14/21m) FLASH OF ', key2maverick, ' : ', Mavericks2Verbs[key2maverick])                                     
                        
                        # nack2attribute = False
                        # ack2attribute = True
                        # count2ack = count2ack + 1                          
                    # except:
                        # pass       
                    
                    
                                             
                except:
                    pass        

            else:
                # -----------------------------------------------------------------------------
                # (STEP 16/21) KEY IS RELATED TO GRAPHICAL PRESENTATION I.E. NOT ANY VERB TENSE               
                # ----------------------------------------------------------------------------- 
                if ack2debug is True:
                    print('(STEP 16/21) OF ANALYZE_VERB4XI PASSED - IS A GRAPH ATTRIBUTE: ', key2verb) 
                count2passed = count2passed + 1                      # 5 per verb: reference-zero, definition-zero, symbol-zero, cluster-zero, color-zero
                                
    # -------------------------------------------------------------------------------------
    # (STEP 17/21) TOTALS 
    # ------------------------------------------------------------------------------------- 
   
    key2stat = '(STEP 17/21a1) OF ANALYZE_VERB4XI - TOTAL-COUNT-ALPHA'                                 
    total_count_alpha = count2alpha                              # 27 - OK
    Statistics2Verbs[key2stat] = total_count_alpha
    if ack2debug is True:
        print('(STEP 17/21a2) OF ANALYZE_VERB4XI - TOTAL-COUNT-ALPHA: ', total_count_alpha) 
        # {'appended-tense2': 2, 'appended-tense4': 4, 'abbreviated-tense4': 4 ...
    
    key2stat = '(STEP 17/21b1) OF ANALYZE_VERB4XI - TOTAL-COUNT-KEYS'                                
    total_count_keys = count2key                                 # 1397 - OK
    Statistics2Verbs[key2stat] = total_count_keys
    if ack2debug is True:
        print('(STEP 17/21b2) OF ANALYZE_VERB4XI - TOTAL-COUNT-KEYS: ', total_count_keys)         
        # {'appended-tense2': 2, 'appended-tense4': 4, 'abbreviated-tense4': 4 ...
              
    key2stat = '(STEP 17/21c1) OF ANALYZE_VERB4XI - TOTAL-COUNT-TENSE'
    total_count_tense = count2tense                              # 684 - OK = 172 + 171 + 171 + 170
    Statistics2Verbs[key2stat] = total_count_tense
    if ack2debug is True:
        print('(STEP 17/21c2) OF ANALYZE_VERB4XI - TOTAL-COUNT-TENSE: ', total_count_tense)     
        # {'appended-tense2': 2, 'appended-tense4': 4, 'abbreviated-tense4': 4 ...
                
    key2stat = '(STEP 17/21d1) OF ANALYZE_VERB4XI - TOTAL-COUNT-TENSE1'
    Statistics2Verbs[key2stat] = count2tense1                       # 172 <-- !
    if ack2debug is True:
        print('(STEP 17/21d2) OF ANALYZE_VERB4XI - TOTAL-COUNT-TENSE1: ', count2tense1)     
        # {'appended-tense2': 2, 'appended-tense4': 4, 'abbreviated-tense4': 4, 'abbreviated-tense2': 2 ...
        
    key2stat = '(STEP 17/21e1 OF ANALYZE_VERB4XI -) TOTAL-COUNT-TENSE2'
    Statistics2Verbs[key2stat] = count2tense2                       # 171
    if ack2debug is True:
        print('(STEP 17/21e2) OF ANALYZE_VERB4XI - TOTAL-COUNT-TENSE2: ', count2tense2)     
        # {'appended-tense2': 2, 'appended-tense4': 4, 'abbreviated-tense4': 4, 'abbreviated-tense2': 2, 'coordinating-tense3': 3 ...
        
    key2stat = '(STEP 17/21f1) OF ANALYZE_VERB4XI - TOTAL-COUNT-TENSE3'
    Statistics2Verbs[key2stat] = count2tense3                       # 171
    if ack2debug is True:
        print('(STEP 17/21f2) OF ANALYZE_VERB4XI - TOTAL-COUNT-TENSE3: ', count2tense3)     
        # {'appended-tense2': 2, 'appended-tense4': 4, 'abbreviated-tense4': 4, 'abbreviated-tense2': 2, 'coordinating-tense3': 3 ...
        
    key2stat = '(STEP 17/21g1) OF ANALYZE_VERB4XI - TOTAL-COUNT-TENSE4'
    Statistics2Verbs[key2stat] = count2tense4                       # 170 <-- !
    if ack2debug is True:
        print('(STEP 17/21g2) OF ANALYZE_VERB4XI - TOTAL-COUNT-TENSE4: ', count2tense4)     
        # {'appended-tense2': 2, 'appended-tense4': 4, 'abbreviated-tense4': 4, 'abbreviated-tense2': 2, 'coordinating-tense3': 3, 'connected-tense4': 4
        
    key2stat = '(STEP 17/21h1) OF ANALYZE_VERB4XI - TOTAL-COUNT-PASSED'                       
    total_count_passed = count2passed
    Statistics2Verbs[key2stat] = total_count_passed                 # 878          
    if ack2debug is True:
        print('(STEP 17/21h2) OF ANALYZE_VERB4XI - TOTAL-COUNT-PASSED: ', count2passed)     
        # {'appended-tense2': 2, 'appended-tense4': 4, 'abbreviated-tense4': 4, 'abbreviated-tense2': 2, 'coordinating-tense3': 3 ...
        
    key2stat = '(STEP 17/21i1) OF ANALYZE_VERB4XI - TOTAL-COUNT-ACK'
    Statistics2Verbs[key2stat] = count2ack                          # 1028 
    if ack2debug is True:
        print('(STEP 17/21i2) OF ANALYZE_VERB4XI - TOTAL-COUNT-ACK: ', count2ack)     
       
    key2stat = '(STEP 17/21j1) OF ANALYZE_VERB4XI - TOTAL-COUNT-NACK'
    Statistics2Verbs[key2stat] = count2nack                         # 0
    if ack2debug is True:
        print('(STEP 17/21j2) OF ANALYZE_VERB4XI - TOTAL-COUNT-NACK: ', count2nack)     
     
    key2stat = '(STEP 17/21k1) OF ANALYZE_VERB4XI - TOTAL-COUNT-WARNINGS'
    Statistics2Verbs[key2stat] = count2warnings                     # 0  
    if ack2debug is True:
        print('(STEP 17/21k2) OF ANALYZE_VERB4XI - TOTAL-COUNT-WARNINGS: ', count2warnings)     
                               
    # -------------------------------------------------------------------------------------
    # (STEP 18/21) CHECK SUMS 
    # ------------------------------------------------------------------------------------- 
         
   
    key2stat = '(STEP 18/211) OF ANALYZE_VERB4XI - CHECK-SUM-TENSE'                                              # 684 OK
    check_sum_tense = count2tense1 + count2tense2 + count2tense3 + count2tense4             
    Statistics2Verbs[key2stat] = check_sum_tense 
    if ack2debug is True:
        print('(STEP 18/212) OF ANALYZE_VERB4XI - CHECK-SUM-TENSE', check_sum_tense)  
                                    
    # -------------------------------------------------------------------------------------
    # (STEP 19/21) ESTIMATIONS 
    # ------------------------------------------------------------------------------------- 
    key2stat = 'ESTIMATED-COUNT-DEFINITIONS'                                 
    estimated_count_definitions = int(total_count_keys/27 * 25)                   
    Statistics2Verbs[key2stat] = estimated_count_definitions                     
    if ack2debug is True:
        print('(STEP 19/21a2) OF ANALYZE_VERB4XI - ESTIMATED-COUNT-DEFINITIONS', estimated_count_definitions)      
              
    key2stat = 'ESTIMATED-COUNT-TENSES'
    estimated_count_tenses = int((total_count_keys/8)*3)                      # 523
    Statistics2Verbs[key2stat] = estimated_count_tenses                      
    if ack2debug is True:
        print('(STEP 19/21b2) OF ANALYZE_VERB4XI - ESTIMATED-COUNT-TENSES', estimated_count_tenses)  
        
    key2stat = 'ESTIMATED-COUNT-GRAPHS-ATTRIBUTES'
    estimated_count_graph_attributes = estimated_count_definitions * 5        # 1140
    Statistics2Verbs[key2stat] = estimated_count_graph_attributes              
    if ack2debug is True:
        print('(STEP 19/21c2) OF ANALYZE_VERB4XI - ESTIMATED-COUNT-GRAPHS-ATTRIBUTES', estimated_count_graph_attributes)  
                         
    key2stat = 'ESTIMATED-COUNT-VERBS'
    estimated_count_verbs = total_count_keys - total_count_passed             # 519
    Statistics2Verbs[key2stat] = estimated_count_verbs                    
    if ack2debug is True:
        print('(STEP 19/21d2) OF ANALYZE_VERB4XI - ESTIMATED-COUNT-VERBS', estimated_count_verbs)       
                                  
    # -------------------------------------------------------------------------------------
    # (STEP 20/21) ERRORS 
    # ------------------------------------------------------------------------------------- 
           
   
    key2stat = '(STEP 20/21a1) OF ANALYZE_VERB4XI - ERROR-TENSE-EVALUATED'
    error_count_tense = total_count_tense - check_sum_tense
    Statistics2Verbs[key2stat] = error_count_tense 
    if ack2debug is True:
        print('(STEP 20/21a2) OF ANALYZE_VERB4XI - ERROR-TENSE-EVALUATED', error_count_tense)  
    
    
    key2stat = '(STEP 20/21b1) OF ANALYZE_VERB4XI - ERROR-ATTRIBUTES-EVALUATED'
    error_count_attributes = total_count_keys - int(total_count_keys/3) - total_count_passed
    Statistics2Verbs[key2stat] = error_count_attributes
    if ack2debug is True:
        print('(STEP 20/21b2) OF ANALYZE_VERB4XI - ERROR-ATTRIBUTES-EVALUATED', error_count_attributes)  
                                        
    # -----------------------------------------------------------------------------------------
    # (STEP 21/21)  
    # ----------------------------------------------------------------------------------------- 
    if ack2debug is True:
    
        # -------------------------------------------------------------------------------------
        # 
        # -------------------------------------------------------------------------------------     
        
        print('(STEP 21/21a) OF ANALYZE_VERB4XI - CREATED MAVERICK2VERB:')  
        
        keys2flash = Mavericks2Verbs.keys() 
        
        old2xi = 'xxx'
        
        for key2maverick in sorted(keys2flash): 
             
            new2xi = key2maverick[0:3]
            if new2xi == old2xi:
                pass
            else:    
                print('=' * 70)
                old2xi = new2xi    
            if ack2debug is True:                                            # 
                print('(STEP mv99/70) Mavericks2Verbs[', key2maverick, ']: ', Mavericks2Verbs[key2maverick])
                # ======================================================================
                # Mavericks2Verbs[ _pertain-color ]:  #FA5858
                # Mavericks2Verbs[ _pertain-definition ]:  to belong properly.
                # Mavericks2Verbs[ _pertain-tense1 ]:  _pertain
                # Mavericks2Verbs[ _pertained-cluster ]:  1
                # Mavericks2Verbs[ _pertained-reference ]:  1447
                # Mavericks2Verbs[ _pertained-tense2 ]:  _pertained
                # Mavericks2Verbs[ _pertained-tense4 ]:  _pertained
                # Mavericks2Verbs[ _pertaining-symbol ]:  1447
                # Mavericks2Verbs[ _pertaining-tense3 ]:  _pertaining
                # ======================================================= 
            
            
            # -------------------------------------------------------------------------------------
            # VERB TENSE EXAMPLES
            # -------------------------------------------------------------------------------------     
                 
            #1) TYPICAL WITH THREE DIFFERENCES:
            # ======================================================================
            # _pertain-color  :  #FA5858
            # _pertain-definition  :  to belong properly.
            # _pertain-tense1  :  _pertain
            # _pertained-cluster  :  1
            # _pertained-reference  :  1447
            # _pertained-tense2  :  _pertained
            # _pertained-tense4  :  _pertained
            # _pertaining-symbol  :  1447
            # _pertaining-tense3  :  _pertaining
            
            #2) RARE ONE WITH TWO DIFFERENCIES 
            # ======================================================================
            # put-cluster  :  15
            # put-color  :  #2A362A
            # put-definition  :  to move or place (anything) so as to get it into or out of a specific location or position.
            # put-reference  :  1571
            # put-tense1  :  put
            # put-tense2  :  put
            # put-tense4  :  put
            # putting-symbol  :  1571
            # putting-tense3  :  putting

            #3) RARE ONES WITH FOUR DIFFERENCES
            # ======================================================================
            # did-reference  :  576
            # did-tense2  :  did         
            # do-color  :  #333394
            # do-definition  :  to perform (a function, task etc.); to execute (a process, task, etc.).
            # do-tense1  :  do
            # doing-symbol  :  576
            # doing-tense3  :  doing
            # done-tense4  :  done  
             
            #4) DIFFICULT ONE!      
            # ======================================================================
            # bear-color  :  #FDFD44
            # bear-definition  :  give birth to; possessing from birth the state, circumstances or character stated; bringing forth by birth.
            # bear-tense1  :  bear
            # born-cluster  :  17
            # born-tense4  :  born
            # borned-reference  :  182
            # borned-tense2  :  borned
            # borning-symbol  :  182
            # borning-tense3  :  borning
            
            #5) DIFFICULT ONE! 
            # ======================================================================
            # did-reference  :  576
            # did-tense2  :  did 
            # do-color  :  #333394
            # do-definition  :  to perform (a function, task etc.); to execute (a process, task, etc.).
            # do-tense1  :  do
            # doing-symbol  :  576
            # doing-tense3  :  doing
            # done-cluster  :  1
            # done-tense4  :  done
             
            #6) FOR XI!              
            # ======================================================================
            # flawn-cluster  :  9
            # flawn-tense4  :  flawn
            # flew-reference  :  740
            # flew-tense2  :  flew
            # fly-color  :  #295F95
            # fly-definition  :  to travel in space.
            # fly-tense1  :  fly
            # flying-symbol  :  740
            # flying-tense3  :  flying  
            
            #7) THE BAD ONE !    
            # ======================================================================
            # hit-cluster  :  6
            # hit-color  :  #DF0101
            # hit-definition  :  to come into collision.
            # hit-reference  :  907
            # hit-tense1  :  hit
            # hit-tense2  :  hit
            # hit-tense4  :  hit
            # hitting-symbol  :  907
            # hitting-tense3  :  hitting            
            
            #8) RUN! 
            # ======================================================================
            # run-cluster  :  14
            # run-color  :  #C8D2C0
            # run-definition  :  to operate or function; to perform, compete in, or accomplish; to process.
            # run-reference  :  1681
            # run-tense1  :  run
            # run-tense2  :  run
            # run-tense4  :  run
            # running-symbol  :  1681
            # running-tense3  :  running
                                              
        # -------------------------------------------------------------------------------------
        # 
        # -------------------------------------------------------------------------------------     
              
        print('=' * 70)
        print('(STEP 21/21b) OF ANALYZE_VERB4XI - CREATED STATISTICS2XI ')
        keys2statistics = Statistics2Verbs.keys() 
        for key2statistics in sorted(keys2statistics):
            print('=' * 70) 
            print(key2statistics, ' : ', Statistics2Verbs)
            print('=' * 70)
            
        print('(STEP 21/21c) OF ANALYZE_VERB4XI - RETURNING STATISTICS2XI ')        
        
        print('=' * 70)
        
                
        return Statistics2Verbs
        
    else:
    
        # -------------------------------------------------------------------------------------
        # 
        # -------------------------------------------------------------------------------------     
        
        #
        # maverick of bear:
        # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
        # bear-color  :  #FDFD44
        # bear-definition  :  give birth to; possessing from birth the state, circumstances or character stated; bringing forth by birth.
        # bear-tense1  :  bear
        # born-cluster  :  17
        # born-tense4  :  born
        # borned-reference  :  182
        # borned-tense2  :  borned
        # borning-symbol  :  182
        # borning-tense3  :  borning
        
        # maverick 1/2 of do:
        # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
        # did-reference  :  576
        # did-tense2  :  did
        # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
        
        # maverick 2/2 of do:
        # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
        # do-color  :  #333394
        # do-definition  :  to perform (a function, task etc.); to execute (a process, task, etc.).
        # do-tense1  :  do
        # doing-symbol  :  576
        # doing-tense3  :  doing
        # done-cluster  :  1
        # done-tense4  :  done
        # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                    

        return Mavericks2Verbs
#</function4xi>
            
# -------------------------------------------------------------------------------------------------
#<function4xi function = "wave_verb4xi" usage = "wave verb knowledgebase">
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------
def wave_verb4xi():
    '''
    waves verb knowledgebase returning waves of verbs with attributes
    surfs first all mavericks creating a wave for each verb 
    rides each created wave catching it attributes 
            
    maverick 1/2 of do:
    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    did-reference  :  576
    did-tense2  :  did
    ...
    
    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    maverick 2/2 of do: 
    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    do-color  :  #333394
    do-definition  :  to perform (a function, task etc.); to execute (a process, task, etc.).
    do-tense1  :  do          
    doing-symbol  :  576
    doing-tense3  :  doing
    done-cluster  :  1
    done-tense4  :  done
    ...
    maverick of bear:
    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    bear-color  :  #FDFD44
    bear-definition  :  give birth to; possessing from birth the state, circumstances or character stated; bringing forth by birth.
    bear-tense1  :  bear
    born-cluster  :  17
    born-tense4  :  born
    borned-reference  :  182
    borned-tense2  :  borned
    borning-symbol  :  182
    borning-tense3  :  borning
    ...
    
    Waves2Verbs returned:
       tense 1      2      3        4     ref    definition                                                                                             symbol  cluster color
    do:     (do,   did,    doing,   done, 576, to perform (a function, task etc.); to execute (a process, task, etc.).,                                    576, 1,      #333394
    bear:   (bear, borned, borning, born, 182, give birth to; possessing from birth the state, circumstances or character stated; bringing forth by birth. 182, 17,     #FDFD44 
    ...
    '''
    global ClusterKB4Xi    
    global VerbKB4Xi
    global Mavericks2Verbs
    global DirectionKB4Xi
    
    # -----------------------------------------------------------------------------------------
    # 
    # -----------------------------------------------------------------------------------------      
    ack2debug = True
    
    if ack2debug is True:                                        # hit
        print('(STEP 1/4b) OF WAVE_VERB4XI - USING VerbKB4Xi: ', VerbKB4Xi)
         
    kb2verbs = VerbKB4Xi
    if ack2debug is True:                                        # hit
        print('(STEP 1/4c) OF WAVE_VERB4XI - KB2VERBS: ', kb2verbs) 
    
    keys2alpha = VerbKB4Xi.keys() 
    if ack2debug is True:                                        # '_', 'a', 'b' ....
        print('(STEP 1/4d) OF WAVE_VERB4XI - KEYS2ALPHA: ', keys2alpha) 
    
    
    Waves2Verbs = {}
    
    Mavericks2Verbs = analyze_verb4xi()                          
    
    keys2mavericks = Mavericks2Verbs.keys() 
    if ack2debug is True:                                        # did-reference, did-tense2, bear-definition, bear-tense1 ...
        print('(STEP mv14/70) OF WAVE_VERB4XI - KEYS of Mavericks2Verbs: ', keys2mavericks) 
        # dict_keys(['warped-tense2', 'waive-tense1', 'zip-tense1', 'proxy-tense1', 'wondering-tense3', 'skipping-tense3', 'poll-tense1' ...
        
    sequence2flash = 0
    count2maverick = 0
    count2key = 0
    count2tense = 0              
    count2tense1 = 0
    count2tense2 = 0  
    count2tense3 = 0
    count2tense4 = 0            
    count2passed = 0
    count2warnings = 0 
    count2ack = 0
    count2nack = 0
 
       
        
    # -----------------------------------------------------------------------------------------
    # Mavericks
    #
    #    maverick of bear:
    #    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    #    bear-color  :  #FDFD44
    #    bear-definition  :  give birth to; possessing from birth the state, circumstances or character stated; bringing forth by birth.
    #    bear-tense1  :  bear
    #    born-cluster  :  17
    #    born-tense4  :  born
    #    borned-reference  :  182
    #    borned-tense2  :  borned
    #    borning-symbol  :  182
    #    borning-tense3  :  borning    
    #    maverick 1/2 of do:
    #    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    #    did-reference  :  576
    #    did-tense2  :  did
    #    ...
    #    
    #    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    #    maverick 2/2 of do: 
    #    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    #    do-color  :  #333394
    #    do-definition  :  to perform (a function, task etc.); to execute (a process, task, etc.).
    #    do-tense1  :  do          
    #    doing-symbol  :  576
    #    doing-tense3  :  doing
    #    done-cluster  :  1
    #    done-tense4  :  done
    #    ...

    # ----------------------------------------------------------------------------------------- 
    # (STEP 2/4) First surfing
    # -----------------------------------------------------------------------------------------     
        
    for key2maverick in sorted(keys2mavericks):                      # 'bear-color' ...'bear-tense1' ...'did-reference' ....'do-tense1'                            
        
        count2maverick = count2maverick + 1
                
        # -------------------------------------------------------------------------------------
        # (STEP 2/4) 'bear-color' ...'bear-tense1' ...'did-reference' ....'do-tense1'  .... 
        # ------------------------------------------------------------------------------------- 
          
                   
        if ack2debug is True:
            print('(STEP 2/4a) OF WAVE_VERB4XI - KEY2MAVERICK: ', key2maverick)        # 'bear-color' ...'bear-tense1' ...'did-reference' ....'do-tense1'                      
                                                                     # _pertain-tense1
            
        
        i_xi2=str.find(key2maverick,'-tense1')                       # 'bear-tense1', 'do-tense1'...
        if i_xi2 == -1:                                              #  not a tense1
            pass
        else:    
            # -----------------------------------------------------------------------------
            # FOUND A VERB TENSE1 SUCH AS ACTIVATE, BEAR, DO
            # -----------------------------------------------------------------------------
            if ack2debug is True:
                print('(STEP 2/4b) OF WAVE_VERB4XI - ACCEPTED AS TENSE 1 OF VERB: ', key2maverick) # activate-tense1, bear-tense1, do-tense1 ...
                                                                     # _pertain-tense1
                
            key2wave = key2maverick[0:i_xi2]                         # activate, bear, do ...
            
            if ack2debug is True:
                print('(STEP 2/4c) OF WAVE_VERB4XI - CREATED WAVE KEY: ', key2wave)    # activate, bear, do ...
                # (STEP 2/4c) CREATED WAVE KEY:  1
            try:
                # prepare for:
                #             tense1 tense2   tense3  tense4  reference  definition                                                                                                symbol  cluster color
                #      do:   (   do,    did,   doing,   done,       576, to perform (a function, task etc.); to execute (a process, task, etc.).,                                    576, 1,      #333394
                #    bear:   ( bear, borned, borning,   born,       182, give birth to; possessing from birth the state, circumstances or character stated; bringing forth by birth. 182, 17,     #FDFD44             
                Waves2Verbs[key2wave] = (key2wave, 'tense2-to-fill', 'tense3-to-fill', 'tense4-to-fill', 1, 'definition-to-fill',2, 3,'color-to-fill')   
            except:
               print('(STEP 2/4d) OF WAVE_VERB4XI - ** FAILED IN WAVES2VERBS WITH WAVE KEY: ', key2wave)  # activate, bear, do ...
                
    if ack2debug is True:
        print('(STEP 2/4e) OF WAVE_VERB4XI - CREATED WAVES: ',Waves2Verbs)   
        # {'show': ('show', 'tense2-to-fill', 'tense3-to-fill', 'tense4-to-fill', 1, 'definition-to-fill', 2, 3, 'color-to-fill'),
        #  'skip': ('skip', 'tense2-to-fill', 'tense3-to-fill', 'tense4-to-fill', 1, 'definition-to-fill', 2, 3, 'color-to-fill'),
            
    # ----------------------------------------------------------------------------------------- 
    # (STEP 3/4) CATCHING WAVES AND FOR EACH WAVE FINDING ALL ITS TENSES AND ATTRIBUTES
    # -----------------------------------------------------------------------------------------     
    keys2waves = Waves2Verbs.keys() 
    if ack2debug is True:                                                                   # 
        print('(STEP 3/4a1) OF WAVE_VERB4XI - KEYS2WAVES: ', keys2waves)                    
        # dict_keys(['show', 'skip', 'terminate', 'yearn', 'kill', 'globalize', 'web', 'upgrade', ... 
        print('(STEP mv15/70) OF WAVE_VERB4XI - TRYING TO EXAMINE Mavericks2Verbs: ', time4xi())
        # 07:32:42 01/24/13 Pacific Standard Time
        try:
            keys2mavericks = Mavericks2Verbs.keys()    
            for key2maverick in sorted(keys2mavericks):
                print(key2maverick, ' : ', Mavericks2Verbs[key2maverick])
                # _pertain-tense1  :  1
                # _pertained-tense2  :  2
                # _pertained-tense4  :  4
                # _pertaining-tense3  :  3
                # abbreviate-tense1  :  1
                # abbreviate-tense2  :  2
                # abbreviate-tense3  :  3
                # abbreviated-tense2  :  2
                # abbreviated-tense4  :  4
                # abbreviating-tense3  :  3
                # ...
                # zone-tense1  :  1
                # zoned-tense2  :  2
                # zoned-tense4  :  4
                # zoning-tense3  :  3
        except:
            print('(STEP mv16/70) OF WAVE_VERB4XI ** FAILED TO EXAMINE Mavericks2Verbs ** ', Mavericks2Verbs)   
                
    for key2waves in sorted(keys2waves):         
        # -------------------------------------------------------------------------------------
        # SURF WAVES
        # -------------------------------------------------------------------------------------             
        if ack2debug is True:
            print('(STEP 3/4b) OF WAVE_VERB4XI - CATCHING WAVE: ', key2waves)               
            # _pertain, activate, bear, do ...                   
            
        
        # -------------------------------------------------------------------------------------
        # CATCH COLOR FOR WAVE
        # ------------------------------------------------------------------------------------- 
        key2alpha = key2waves[0]                                                             # Verb2_4Xi['color-_pertain']: '#FA5858'
        verbkb2catch = VerbKB4Xi[key2alpha]                                                  # Verb2_4Xi
        key2catch = 'color-' + key2waves                                                     # color-__pertain
        if ack2debug is True: 
            print('(STEP 3/4c1) OF WAVE_VERB4XI - TRYING TO COLOR WITH key2catch: ', key2catch)
            # color-abbreviate     
                    
        color2wave = '#FA5858'
        try:
            color2wave = verbkb2catch[key2catch]                                             # Verb2_4Xi['color-_pertain']: '#FA5858'
            if ack2debug is True:
                print('(STEP 3/4c2) OF WAVE_VERB4XI - SET color2wave TO: ', color2wave) 
                # #E3E928     
        except:
            print('(STEP 3/4z2) OF WAVE_VERB4XI ** FAILED TO SET COLOR WITH key2waves ** ', key2waves)       
        
        # -------------------------------------------------------------------------------------
        # CATCH DEFINITION FOR WAVE
        # ------------------------------------------------------------------------------------- 
        key2alpha = key2waves[0]                                                             # Verb2_4Xi['definition-_pertain']: '#FA5858'
        verbkb2catch = VerbKB4Xi[key2alpha]                                                  # Verb2_4Xi
        key2catch = 'definition-' + key2waves                                                # definition-__pertain
        if ack2debug is True: 
            print('(STEP 3/4c3) OF WAVE_VERB4XI - TRYING TO SET DEFINITION WITH key2catch: ', key2catch)
            # definition-_pertain     
                    
        definition2wave = 'definition missing, please add it!'
        try:
            definition2wave = verbkb2catch[key2catch]                                        # Verb2_4Xi['definition-_pertain']: 'to belong properly.'
            if ack2debug is True:
                print('(STEP 3/4c3) OF WAVE_VERB4XI - SET definition2wave TO: ', definition2wave) 
                # to belong properly.      
        except:
            print('(STEP 3/4z4) OF WAVE_VERB4XI ** FAILED TO SET DEFINITION WITH key2waves ** ', key2waves)    
            
             
        # -------------------------------------------------------------------------------------
        # update wave
        # -------------------------------------------------------------------------------------         
        Waves2Verbs[key2waves] = (key2waves, 'tense2-to-fill', 'tense3-to-fill', 'tense4-to-fill', 1, definition2wave, 2, 3, color2wave)            
        if ack2debug is True:
            print('(STEP 3/4g) OF WAVE_VERB4XI - Waves2Verbs[', key2waves, '] = ',  Waves2Verbs[key2waves])          
            # Waves2Verbs[ _pertain ] =  ('_pertain', 'tense2-to-fill', 'tense3-to-fill', 'tense4-to-fill', 1, 'to belong properly.', 2, 3, '#FA5858')
            # Waves2Verbs[ abbreviate ] =  ('abbreviate', 'tense2-to-fill', 'tense3-to-fill', 'tense4-to-fill', 1, 'to reduce in length, duration etc.', 2, 3, '#E3E928')                  
    # ----------------------------------------------------------------------------------------- 
    # (STEP 4/4) 
    # -----------------------------------------------------------------------------------------  

    if ack2debug is True:
        print('(STEP 4/4) OF WAVE_VERB4XI - RETURNING WAVES2VERBS: ' ,  Waves2Verbs)                                  
            # {
            #  'show':      ('show', 'tense2-to-fill', 'tense3-to-fill', 'tense4-to-fill', 1, 'to cause to be seen; exhibit;display.', 2, 3, '#BFF9E7'), 
            #  'skip':      ('skip', 'tense2-to-fill', 'tense3-to-fill', 'tense4-to-fill', 1, 'to pass over without reading, acting, calculating etc.', 2, 3, '#F78181'), 
            #  'terminate': ('terminate', 'tense2-to-fill', 'tense3-to-fill', 'tense4-to-fill', 1, 'to end, conclude or cease.', 2, 3, '#FE2E2E'), 
            #  'yearn':     ('yearn', 'tense2-to-fill', 'tense3-to-fill', 'tense4-to-fill', 1, 'to have a strong desire.', 2, 3, '#8000FF'), 
            #  'kill':      ('kill', 'tense2-to-fill', 'tense3-to-fill', 'tense4-to-fill', 1, 'to stop the operation of (process, task, etc.).', 2, 3, '#E15252'), 

    return Waves2Verbs
#</function4xi>
 
 
           
# -------------------------------------------------------------------------------------------------
#<function4xi function = "color_tenses4xi" usage = "to color tenses">
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------
def color_tenses4xi():
    '''
    colors verb tenses
    '''
    global ClusterKB4Xi
    global Mavericks2Verbs
    global VerbKB4Xi
    global DirectionKB4Xi
    
    # ---------------------------------------------------------------------------------------------
    # QUEUE, PIPE, PROCESS, START AND RUN STATES - ACK = OK - NACK = NOT OK
    # ---------------------------------------------------------------------------------------------   
    global ack4queues
    global nack4queues
    
    global ack4pipes
    global nack4pipes
    
    
    global ack2one4process
    global nack2one4process
    global ack2one4start
    global nack2one4start
    global ack2one4run
    global nack2one4run
        
        
    global ack2two4process
    global nack2two4process
    global ack2two4start
    global nack2two4start
    global ack2two4run
    global nack2two4run
        
        
    global ack2three4process
    global nack2three4process
    global ack2three4start
    global nack2three4start
    global ack2three4run
    global nack2three4run
        
        
    global ack2four4process
    global nack2four4process
    global ack2four4start
    global nack2four4start
    global ack2four4run
    global nack2four4run
        
        
    global ack2five4process
    global nack2five4process
    global ack2five4start
    global nack2five4start
    global ack2five4run
    global nack2five4run
        
        
    global ack2six4process
    global nack2six4process
    global ack2six4start
    global nack2six4start
    global ack2six4run
    global nack2six4run
        
        
    global ack2seven4process
    global nack2seven4process
    global ack2seven4start
    global nack2seven4start
    global ack2seven4run
    global nack2seven4run
        
        
    global ack2eight4process
    global nack2eight4process
    global ack2eight4start
    global nack2eight4start
    global ack2eight4run
    global nack2eight4run
                                                                                                                                                                            
    # ------------------------------------------------------------------------------------------------------------------------------
    # FIRED (X,Y,Z)-COORDINATE DICTIONARIES RECEIVED FROM QUEUE DATA PRODUCED BY FIRE-FUNCTION THREADS 1...33 OF PROCESSESSES 1 ...8                          
    # ------------------------------------------------------------------------------------------------------------------------------           
    
    #========
    # ONE
    #========      
    global fire2one104xi
    global fire2one1004xi
    global fire2one2004xi
    global fire2one3004xi
    global fire2one4004xi
    global fire2one5004xi
    global fire2one6004xi
    global fire2one7004xi
    global fire2one8004xi
    global fire2one9004xi       
    global fire2one10004xi
    global fire2one11004xi
    global fire2one12004xi
    global fire2one13004xi
    global fire2one14004xi
    global fire2one15004xi
    global fire2one16004xi
    global fire2one17004xi
    global fire2one18004xi
    global fire2one19004xi
    global fire2one20004xi
    global fire2one21004xi
    global fire2one22004xi
    global fire2one23004xi
    global fire2one24004xi
    global fire2one25004xi
    global fire2one26004xi
    global fire2one27004xi
    global fire2one28004xi
    global fire2one29004xi
    global fire2one30004xi
    global fire2one31004xi
    global fire2one32004xi
    global fire2one33004xi
        
    
    #========
    # TWO
    #========      
    global fire2two104xi
    global fire2two1004xi
    global fire2two2004xi
    global fire2two3004xi
    global fire2two4004xi
    global fire2two5004xi
    global fire2two6004xi
    global fire2two7004xi
    global fire2two8004xi
    global fire2two9004xi       
    global fire2two10004xi
    global fire2two11004xi
    global fire2two12004xi
    global fire2two13004xi
    global fire2two14004xi
    global fire2two15004xi
    global fire2two16004xi
    global fire2two17004xi
    global fire2two18004xi
    global fire2two19004xi
    global fire2two20004xi
    global fire2two21004xi
    global fire2two22004xi
    global fire2two23004xi
    global fire2two24004xi
    global fire2two25004xi
    global fire2two26004xi
    global fire2two27004xi
    global fire2two28004xi
    global fire2two29004xi
    global fire2two30004xi
    global fire2two31004xi
    global fire2two32004xi
    global fire2two33004xi
        
    
    #========
    # THREE
    #========      
    global fire2three104xi
    global fire2three1004xi
    global fire2three2004xi
    global fire2three3004xi
    global fire2three4004xi
    global fire2three5004xi
    global fire2three6004xi
    global fire2three7004xi
    global fire2three8004xi
    global fire2three9004xi       
    global fire2three10004xi
    global fire2three11004xi
    global fire2three12004xi
    global fire2three13004xi
    global fire2three14004xi
    global fire2three15004xi
    global fire2three16004xi
    global fire2three17004xi
    global fire2three18004xi
    global fire2three19004xi
    global fire2three20004xi
    global fire2three21004xi
    global fire2three22004xi
    global fire2three23004xi
    global fire2three24004xi
    global fire2three25004xi
    global fire2three26004xi
    global fire2three27004xi
    global fire2three28004xi
    global fire2three29004xi
    global fire2three30004xi
    global fire2three31004xi
    global fire2three32004xi
    global fire2three33004xi
        
    
    #========
    # FOUR
    #========      
    global fire2four104xi
    global fire2four1004xi
    global fire2four2004xi
    global fire2four3004xi
    global fire2four4004xi
    global fire2four5004xi
    global fire2four6004xi
    global fire2four7004xi
    global fire2four8004xi
    global fire2four9004xi       
    global fire2four10004xi
    global fire2four11004xi
    global fire2four12004xi
    global fire2four13004xi
    global fire2four14004xi
    global fire2four15004xi
    global fire2four16004xi
    global fire2four17004xi
    global fire2four18004xi
    global fire2four19004xi
    global fire2four20004xi
    global fire2four21004xi
    global fire2four22004xi
    global fire2four23004xi
    global fire2four24004xi
    global fire2four25004xi
    global fire2four26004xi
    global fire2four27004xi
    global fire2four28004xi
    global fire2four29004xi
    global fire2four30004xi
    global fire2four31004xi
    global fire2four32004xi
    global fire2four33004xi
        
    
    #========
    # FIVE
    #========      
    global fire2five104xi
    global fire2five1004xi
    global fire2five2004xi
    global fire2five3004xi
    global fire2five4004xi
    global fire2five5004xi
    global fire2five6004xi
    global fire2five7004xi
    global fire2five8004xi
    global fire2five9004xi       
    global fire2five10004xi
    global fire2five11004xi
    global fire2five12004xi
    global fire2five13004xi
    global fire2five14004xi
    global fire2five15004xi
    global fire2five16004xi
    global fire2five17004xi
    global fire2five18004xi
    global fire2five19004xi
    global fire2five20004xi
    global fire2five21004xi
    global fire2five22004xi
    global fire2five23004xi
    global fire2five24004xi
    global fire2five25004xi
    global fire2five26004xi
    global fire2five27004xi
    global fire2five28004xi
    global fire2five29004xi
    global fire2five30004xi
    global fire2five31004xi
    global fire2five32004xi
    global fire2five33004xi
        
    
    #========
    # SIX
    #========      
    global fire2six104xi
    global fire2six1004xi
    global fire2six2004xi
    global fire2six3004xi
    global fire2six4004xi
    global fire2six5004xi
    global fire2six6004xi
    global fire2six7004xi
    global fire2six8004xi
    global fire2six9004xi       
    global fire2six10004xi
    global fire2six11004xi
    global fire2six12004xi
    global fire2six13004xi
    global fire2six14004xi
    global fire2six15004xi
    global fire2six16004xi
    global fire2six17004xi
    global fire2six18004xi
    global fire2six19004xi
    global fire2six20004xi
    global fire2six21004xi
    global fire2six22004xi
    global fire2six23004xi
    global fire2six24004xi
    global fire2six25004xi
    global fire2six26004xi
    global fire2six27004xi
    global fire2six28004xi
    global fire2six29004xi
    global fire2six30004xi
    global fire2six31004xi
    global fire2six32004xi
    global fire2six33004xi
        
    
    #========
    # SEVEN
    #========      
    global fire2seven104xi
    global fire2seven1004xi
    global fire2seven2004xi
    global fire2seven3004xi
    global fire2seven4004xi
    global fire2seven5004xi
    global fire2seven6004xi
    global fire2seven7004xi
    global fire2seven8004xi
    global fire2seven9004xi       
    global fire2seven10004xi
    global fire2seven11004xi
    global fire2seven12004xi
    global fire2seven13004xi
    global fire2seven14004xi
    global fire2seven15004xi
    global fire2seven16004xi
    global fire2seven17004xi
    global fire2seven18004xi
    global fire2seven19004xi
    global fire2seven20004xi
    global fire2seven21004xi
    global fire2seven22004xi
    global fire2seven23004xi
    global fire2seven24004xi
    global fire2seven25004xi
    global fire2seven26004xi
    global fire2seven27004xi
    global fire2seven28004xi
    global fire2seven29004xi
    global fire2seven30004xi
    global fire2seven31004xi
    global fire2seven32004xi
    global fire2seven33004xi
    
    
    #========
    # EIGHT
    #========      
    global fire2eight104xi
    global fire2eight1004xi
    global fire2eight2004xi
    global fire2eight3004xi
    global fire2eight4004xi
    global fire2eight5004xi
    global fire2eight6004xi
    global fire2eight7004xi
    global fire2eight8004xi
    global fire2eight9004xi       
    global fire2eight10004xi
    global fire2eight11004xi
    global fire2eight12004xi
    global fire2eight13004xi
    global fire2eight14004xi
    global fire2eight15004xi
    global fire2eight16004xi
    global fire2eight17004xi
    global fire2eight18004xi
    global fire2eight19004xi
    global fire2eight20004xi
    global fire2eight21004xi
    global fire2eight22004xi
    global fire2eight23004xi
    global fire2eight24004xi
    global fire2eight25004xi
    global fire2eight26004xi
    global fire2eight27004xi
    global fire2eight28004xi
    global fire2eight29004xi
    global fire2eight30004xi
    global fire2eight31004xi
    global fire2eight32004xi
    global fire2eight33004xi
                    
    # -------------------------------------------------------------------------------------------------
    # Pipe Channels - consumer & publisher - pipe zero for main program -  pipe 1...8 for process 1...8                             
    # -------------------------------------------------------------------------------------------------
    
    global pipe2zero_consumer_channel
    global pipe2zero_publisher_channel
        
    global pipe2one_consumer_channel
    global pipe2one_publisher_channel
        
    global pipe2two_consumer_channel
    global pipe2two_publisher_channel
        
    global pipe2three_consumer_channel
    global pipe2three_publisher_channel
        
    global pipe2four_consumer_channel
    global pipe2four_publisher_channel
        
    global pipe2five_consumer_channel
    global pipe2five_publisher_channel
        
    global pipe2six_consumer_channel
    global pipe2six_publisher_channel
        
    global pipe2seven_consumer_channel
    global pipe2seven_publisher_channel
        
    global pipe2eight_consumer_channel
    global pipe2eight_publisher_channel
    
                        
    # -------------------------------------------------------------------------------------------------
    # Processes - one for each direction 1 ... 8 - main is zero process                           
    # -------------------------------------------------------------------------------------------------
    
    
    global p2one
            
    global p2two     
        
    global p2three
        
    global p2four
        
    global p2five
        
    global p2six
        
    global p2seven
        
    global p2eight
                        
    # -------------------------------------------------------------------------------------------------
    # Queues - queue zero for main program -  queue 1...8 for process 1...8                             
    # -------------------------------------------------------------------------------------------------
    
    global queue2zero
    
    global queue2one
    
    global queue2two
    
    global queue2three
    
    global queue2four
    
    global queue2five
    
    global queue2six
    
    global queue2seven
    
    global queue2eight
        
    # -----------------------------------------------------------------------------------------
    # INITIALIZE 
    # -----------------------------------------------------------------------------------------      
    ack2debug = True  
    
    
    kb2verbs = VerbKB4Xi
    # print('KB2VERBS: ', kb2verbs) 
    
    keys2alpha = VerbKB4Xi.keys()                        # '_', 'a', 'b' ....
    # print('KEYS2ALPHA: ', keys2alpha) 
    
 
    Statistics2Verbs = {}
    Colors2Verbs = {}
    
    count2alpha = 0
    count2key = 0
    count2tense = 0              
    count2tense1 = 0
    count2tense2 = 0  
    count2tense3 = 0
    count2tense4 = 0            
    count2passed = 0
    count2warnings = 0 
    count2ack = 0
    count2nack = 0
 
    
    # -----------------------------------------------------------------------------------------------------
    # PROCESS COMMUNICATION CREATING                           
    # -----------------------------------------------------------------------------------------------------    
    if ack2debug is True:
        print('=' *33)          
        print('\n (STEP 1A1/800) OF COLOR_TENSES4XI - STARTING TO CREATE MECHANISMS FOR PROCESS COMMUNICATION - TIME: ', time4xi())  
        print('=' *33)                    
        # 08:09:45 01/24/13 Pacific Standard Time  
    try:
        # -----------------------------------------------------------------------------------------    
        # (STEP 1/33) - [ACK]
        # -----------------------------------------------------------------------------------------     
        if ack2debug is True:
            print("\n (STEP 1A2/800) OF COLOR_TENSES4XI - CREATING PIPES WITH CONSUMER AND PUBLISHER ENDS")
        ack4pipes = False
        nack4pipes = True
        
        try:
            # -----------------------------------------------------------------------------------------    
            # ZERO PIPE - [ACK]
            # -----------------------------------------------------------------------------------------     
                  
            pipe2zero_consumer_channel, pipe2zero_publisher_channel = Pipe4Xi()
            if ack2debug is True:
                print("\n (STEP 1B/800) OF COLOR_TENSES4XI - CREATED PIPE ZERO_CONSUMER_CHANNEL")   
                print(pipe2zero_consumer_channel)
                # <pipeconnection4xi.PipeConnection4Xi object at 0x0000000004715908>
            
                print("\n (STEP 1C/800) OF COLOR_TENSES4XI - CREATED PIPE ZERO_PUBLISHER_CHANNEL")  
                print(pipe2zero_publisher_channel)
                # <pipeconnection4xi.PipeConnection4Xi object at 0x0000000004715940>               
           
                print("\n (STEP 1D/33) : CREATED PIPE ZERO WITH CONSUMER AND PUBLISHER ENDS")
            
            ack4pipes = True
            nack4pipes = False
        except:
            # -----------------------------------------------------------------------------------------    
            #
            # -----------------------------------------------------------------------------------------     
            print("\n (STEP 1C/800) OF COLOR_TENSES4XI - *** FAILED TO CREATE PIPE ZERO ***")
            nack4pipes = True
            ack4pipes = False 
                
                                     
        try:
            # -----------------------------------------------------------------------------------------    
            # ONE PIPE - [ACK]
            # -----------------------------------------------------------------------------------------     
                  
            pipe2one_consumer_channel, pipe2one_publisher_channel = Pipe4Xi()
            if ack2debug is True:            
                print("\n (STEP 1B/800) OF COLOR_TENSES4XI - CREATED PIPE ONE_CONSUMER_CHANNEL")   
                print(pipe2one_consumer_channel)
                # <pipeconnection4xi.PipeConnection4Xi object at 0x0000000004715898>
            
                print("\n (STEP 1C/800) OF COLOR_TENSES4XI - CREATED PIPE ONE_PUBLISHER_CHANNEL")  
                print(pipe2one_publisher_channel)
                # <pipeconnection4xi.PipeConnection4Xi object at 0x0000000004715588>          
           
                print("\n (STEP 1D/800) OF COLOR_TENSES4XI - CREATED PIPE ONE WITH CONSUMER AND PUBLISHER ENDS")
            
            ack4pipes = True
            nack4pipes = False
        except:
            # -----------------------------------------------------------------------------------------    
            #
            # -----------------------------------------------------------------------------------------     
            print("\n (STEP 1C/800) OF COLOR_TENSES4XI - *** FAILED TO CREATE PIPE ONE ***")
            nack4pipes = True
            ack4pipes = False
                 
                                     
        try:
            # -----------------------------------------------------------------------------------------    
            # TWO PIPE - [ACK]
            # -----------------------------------------------------------------------------------------     
                  
            pipe2two_consumer_channel, pipe2two_publisher_channel = Pipe4Xi()
            if ack2debug is True:                
                print("\n (STEP 1B/800) OF COLOR_TENSES4XI - CREATED PIPE TWO_CONSUMER_CHANNEL")   
                print(pipe2two_consumer_channel)
                # <pipeconnection4xi.PipeConnection4Xi object at 0x00000000047158D0>
            
                print("\n (STEP 1C/800) OF COLOR_TENSES4XI - CREATED PIPE TWO_PUBLISHER_CHANNEL")  
                print(pipe2two_publisher_channel)
                # <pipeconnection4xi.PipeConnection4Xi object at 0x0000000004715A90> 
           
                print("\n (STEP 1D/800) OF COLOR_TENSES4XI - CREATED PIPE TWO WITH CONSUMER AND PUBLISHER ENDS")
            
            ack4pipes = True
            nack4pipes = False
        except:
            # -----------------------------------------------------------------------------------------    
            #
            # -----------------------------------------------------------------------------------------     
            print("\n (STEP 1C/800) OF COLOR_TENSES4XI - *** FAILED TO CREATE PIPE TWO ***")
            nack4pipes = True
            ack4pipes = False
                
                                   
        try:
            # -----------------------------------------------------------------------------------------    
            # THREE PIPE - [ACK]
            # -----------------------------------------------------------------------------------------     
                  
            pipe2three_consumer_channel, pipe2three_publisher_channel = Pipe4Xi()
            if ack2debug is True:              
                print("\n (STEP 1B/800) OF COLOR_TENSES4XI - CREATED PIPE THREE_CONSUMER_CHANNEL")   
                print(pipe2three_consumer_channel)
                # <pipeconnection4xi.PipeConnection4Xi object at 0x0000000004715978>
                
                print("\n (STEP 1C/800) OF COLOR_TENSES4XI - CREATED PIPE THREE_PUBLISHER_CHANNEL")  
                print(pipe2three_publisher_channel)
                # <pipeconnection4xi.PipeConnection4Xi object at 0x0000000004715B00>         
               
                print("\n (STEP 1D/800) OF COLOR_TENSES4XI - CREATED PIPE THREE WITH CONSUMER AND PUBLISHER ENDS")
            
            ack4pipes = True
            nack4pipes = False
        except:
            # -----------------------------------------------------------------------------------------    
            #
            # -----------------------------------------------------------------------------------------     
            print("\n (STEP 1C/800) OF COLOR_TENSES4XI - *** FAILED TO CREATE PIPE THREE ***")
            nack4pipes = True
            ack4pipes = False
                
                                     
        try:
            # -----------------------------------------------------------------------------------------    
            # FOUR PIPE - [ACK]
            # -----------------------------------------------------------------------------------------     
                  
            pipe2four_consumer_channel, pipe2four_publisher_channel = Pipe4Xi()
            if ack2debug is True:            
                print("\n (STEP 1B/800) OF COLOR_TENSES4XI - CREATED PIPE FOUR_CONSUMER_CHANNEL")   
                print(pipe2four_consumer_channel)
                # <pipeconnection4xi.PipeConnection4Xi object at 0x0000000004715A58>
                
                print("\n (STEP 1C/800) OF COLOR_TENSES4XI - CREATED PIPE FOUR_PUBLISHER_CHANNEL")  
                print(pipe2four_publisher_channel)
                # <pipeconnection4xi.PipeConnection4Xi object at 0x0000000004715B70>   
               
                print("\n (STEP 1D/800) OF COLOR_TENSES4XI - CREATED PIPE FOUR WITH CONSUMER AND PUBLISHER ENDS")
            
            ack4pipes = True
            nack4pipes = False
        except:
            # -----------------------------------------------------------------------------------------    
            #
            # -----------------------------------------------------------------------------------------     
            print("\n (STEP 1C/800) OF COLOR_TENSES4XI *** FAILED TO CREATE PIPE FOUR ***")
            nack4pipes = True
            ack4pipes = False 
                
                               
        try:
            # -----------------------------------------------------------------------------------------    
            # FIVE PIPE - [ACK]
            # -----------------------------------------------------------------------------------------     
                  
            pipe2five_consumer_channel, pipe2five_publisher_channel = Pipe4Xi()
            if ack2debug is True:              
                print("\n (STEP 1B/800) OF COLOR_TENSES4XI - CREATED PIPE FIVE_CONSUMER_CHANNEL")   
                print(pipe2five_consumer_channel)
                # <pipeconnection4xi.PipeConnection4Xi object at 0x0000000004715AC8>
                
                print("\n (STEP 1C/800) OF COLOR_TENSES4XI - CREATED PIPE FIVE_PUBLISHER_CHANNEL")  
                print(pipe2five_publisher_channel)
                # <pipeconnection4xi.PipeConnection4Xi object at 0x0000000004715BE0>        
               
                print("\n (STEP 1D/800) OF COLOR_TENSES4XI - CREATED PIPE FIVE WITH CONSUMER AND PUBLISHER ENDS")
            
            ack4pipes = True
            nack4pipes = False
        except:
            # -----------------------------------------------------------------------------------------    
            #
            # -----------------------------------------------------------------------------------------     
            print("\n (STEP 1C/800) OF COLOR_TENSES4XI -  *** FAILED TO CREATE PIPE FIVE ***")
            nack4pipes = True
            ack4pipes = False 
                 
                                 
        try:
            # -----------------------------------------------------------------------------------------    
            # SIX PIPE - [ACK]
            # -----------------------------------------------------------------------------------------     
                  
            pipe2six_consumer_channel, pipe2six_publisher_channel = Pipe4Xi()
            if ack2debug is True:                   
                print("\n (STEP 1B/800) OF COLOR_TENSES4XI -  CREATED PIPE SIX_CONSUMER_CHANNEL")   
                print(pipe2six_consumer_channel)
                # <pipeconnection4xi.PipeConnection4Xi object at 0x0000000004715B38>
                
                print("\n (STEP 1C/800) OF COLOR_TENSES4XI -  CREATED PIPE SIX_PUBLISHER_CHANNEL")  
                print(pipe2six_publisher_channel)
                # <pipeconnection4xi.PipeConnection4Xi object at 0x0000000004715C50>        
               
                print("\n (STEP 1D/33)  OF COLOR_TENSES4XI -  CREATED PIPE SIX WITH CONSUMER AND PUBLISHER ENDS")
            
            ack4pipes = True
            nack4pipes = False
        except:
            # -----------------------------------------------------------------------------------------    
            #
            # -----------------------------------------------------------------------------------------     
            print("\n (STEP 1C/800) OF COLOR_TENSES4XI -  *** FAILED TO CREATE PIPE SIX ***")
            nack4pipes = True
            ack4pipes = False 
                
                                    
        try:
            # -----------------------------------------------------------------------------------------    
            # SEVEN PIPE - [ACK]
            # -----------------------------------------------------------------------------------------     
            pipe2seven_consumer_channel, pipe2seven_publisher_channel = Pipe4Xi()
            if ack2debug is True:                     
                print("\n (STEP 1B/800) OF COLOR_TENSES4XI -  CREATED PIPE SEVEN_CONSUMER_CHANNEL")   
                print(pipe2seven_consumer_channel)
                # <pipeconnection4xi.PipeConnection4Xi object at 0x0000000004715BA8>
                
                print("\n (STEP 1C/800) OF COLOR_TENSES4XI -  CREATED PIPE SEVEN_PUBLISHER_CHANNEL")  
                print(pipe2seven_publisher_channel)
                # <pipeconnection4xi.PipeConnection4Xi object at 0x0000000004715CC0>   
               
                print("\n (STEP 1D/800) OF COLOR_TENSES4XI -  CREATED PIPE SEVEN WITH CONSUMER AND PUBLISHER ENDS")
            
            ack4pipes = True
            nack4pipes = False
        except:
            # -----------------------------------------------------------------------------------------    
            #
            # -----------------------------------------------------------------------------------------     
            print("\n (STEP 1C/800) OF COLOR_TENSES4XI -  *** FAILED TO CREATE PIPE SEVEN ***")
            nack4pipes = True
            ack4pipes = False 
                 
                               
        try:
            # -----------------------------------------------------------------------------------------    
            # EIGHT PIPE - [ACK]
            # -----------------------------------------------------------------------------------------     
            pipe2eight_consumer_channel, pipe2eight_publisher_channel = Pipe4Xi()
            if ack2debug is True:                   
                print("\n (STEP 1B/800) OF COLOR_TENSES4XI -  CREATED PIPE EIGHT_CONSUMER_CHANNEL")   
                print(pipe2eight_consumer_channel)
                # <pipeconnection4xi.PipeConnection4Xi object at 0x0000000004715C18>
                
                print("\n (STEP 1C/800) OF COLOR_TENSES4XI -  CREATED PIPE EIGHT_PUBLISHER_CHANNEL")  
                print(pipe2eight_publisher_channel)
                # <pipeconnection4xi.PipeConnection4Xi object at 0x0000000004715D30>         
               
                print("\n (STEP 1D/800) OF COLOR_TENSES4XI -  CREATED PIPE EIGHT WITH CONSUMER AND PUBLISHER ENDS")
            
            ack4pipes = True
            nack4pipes = False
        except:
            # -----------------------------------------------------------------------------------------    
            #
            # -----------------------------------------------------------------------------------------     
            print("\n (STEP 1C/800) OF COLOR_TENSES4XI *** FAILED TO CREATE PIPE EIGHT ***")
            nack4pipes = True
            ack4pipes = False
                
                           
        try:
            # -----------------------------------------------------------------------------------------    
            # ZERO QUEUE - [ACK]
            # -----------------------------------------------------------------------------------------     
            if ack2debug is True:                    
                print('=' *33)    
                print("\n (STEP 2D1/800) OF COLOR_TENSES4XI - CREATING QUEUE2ZERO")
                print('=' *33)           
                 
            queue2zero = Queue4Xi()
            
            if ack2debug is True:               
                print('=' *33)    
                print("\n (STEP 2D2/800) OF COLOR_TENSES4XI - CREATED QUEUE2ZERO: ", queue2zero)
                # <queue4xi.Queue4Xi object at 0x0000000004715C88>
            
            nack4queues = False
            ack4queues = True
        except:
            # -----------------------------------------------------------------------------------------    
            #
            # -----------------------------------------------------------------------------------------     
            print("\n (STEP 2D3/800) OF COLOR_TENSES4XI - *** FAILED TO CREATE QUEUE2ZERO ***")
            ack4queues = False
            nack4queues = True   
                
                               
        try:
            # -----------------------------------------------------------------------------------------    
            # ONE QUEUE - [ACK]
            # -----------------------------------------------------------------------------------------     
            if ack2debug is True:              
                print('=' *33)    
                print("\n (STEP 2D1/800) OF COLOR_TENSES4XI - CREATING QUEUE ONE")
                print('=' *33)           
                 
            queue2one = Queue4Xi()
            
            if ack2debug is True:              
                print('=' *33)    
                print("\n (STEP 2D2/800) OF COLOR_TENSES4XI - CREATED QUEUE ONE: ", queue2one)
                # <queue4xi.Queue4Xi object at 0x0000000004FD1400>
            
            nack4queues = False
            ack4queues = True
        except:
            # -----------------------------------------------------------------------------------------    
            #
            # -----------------------------------------------------------------------------------------     
            print("\n (STEP 2D3/800) OF COLOR_TENSES4XI - *** FAILED TO CREATE QUEUE ONE ***")
            ack4queues = False
            nack4queues = True 
                
                            
        try:
            # -----------------------------------------------------------------------------------------    
            # TWO QUEUE - [ACK]
            # -----------------------------------------------------------------------------------------     
            if ack2debug is True:                 
                print('=' *33)    
                print("\n (STEP 2D1/800) OF COLOR_TENSES4XI - CREATING QUEUE TWO")
                print('=' *33)           
                 
            queue2two = Queue4Xi()
            
            if ack2debug is True:                 
                print('=' *33)    
                print("\n (STEP 2D2/800) OF COLOR_TENSES4XI - CREATED QUEUE TWO: ", queue2two)
                # <queue4xi.Queue4Xi object at 0x0000000004715CF8>
            
            nack4queues = False
            ack4queues = True
        except:
            # -----------------------------------------------------------------------------------------    
            #
            # -----------------------------------------------------------------------------------------     
            print("\n (STEP 2D3/800) OF COLOR_TENSES4XI - *** FAILED TO CREATE QUEUE TWO ***")
            ack4queues = False
            nack4queues = True 
            
                              
        try:
            # -----------------------------------------------------------------------------------------    
            # THREE QUEUE - [ACK]
            # -----------------------------------------------------------------------------------------     
            if ack2debug is True:              
                print('=' *33)    
                print("\n (STEP 2D1/800) OF COLOR_TENSES4XI - CREATING QUEUE THREE")
                print('=' *33)           
                 
            queue2three = Queue4Xi()
            
            if ack2debug is True:              
                print('=' *33)    
                print("\n (STEP 2D2/800) OF COLOR_TENSES4XI - CREATED QUEUE THREE: ", queue2three)
                # <queue4xi.Queue4Xi object at 0x000000000472A240>
            
            nack4queues = False
            ack4queues = True
        except:
            # -----------------------------------------------------------------------------------------    
            #
            # -----------------------------------------------------------------------------------------     
            print("\n (STEP 2D3/800) OF COLOR_TENSES4XI - *** FAILED TO CREATE QUEUE THREE ***")
            ack4queues = False
            nack4queues = True
                 
                           
        try:
            # -----------------------------------------------------------------------------------------    
            # FOUR QUEUE - [ACK]
            # -----------------------------------------------------------------------------------------     
            if ack2debug is True:             
                print('=' *33)    
                print("\n (STEP 2D1/800) OF COLOR_TENSES4XI - CREATING QUEUE FOUR")
                print('=' *33)           
                 
            queue2four = Queue4Xi()
            
            if ack2debug is True:             
                print('=' *33)    
                print("\n (STEP 2D2/800) OF COLOR_TENSES4XI - CREATED QUEUE FOUR: ", queue2four)
                # <queue4xi.Queue4Xi object at 0x000000000472A3C8>
            
            nack4queues = False
            ack4queues = True
        except:
            # -----------------------------------------------------------------------------------------    
            #
            # -----------------------------------------------------------------------------------------     
            print("\n (STEP 2D3/800) OF COLOR_TENSES4XI - *** FAILED TO CREATE QUEUE FOUR ***")
            ack4queues = False
            nack4queues = True 
                
                             
        try:
            # -----------------------------------------------------------------------------------------    
            # FIVE QUEUE - [ACK]
            # -----------------------------------------------------------------------------------------     
            if ack2debug is True:               
                print('=' *33)    
                print("\n (STEP 2D1/800) OF COLOR_TENSES4XI - CREATING QUEUE FIVE")
                print('=' *33)           
                 
            queue2five = Queue4Xi()
            
            if ack2debug is True:               
                print('=' *33)    
                print("\n (STEP 2D2/800) OF COLOR_TENSES4XI - CREATED QUEUE FIVE: ", queue2five)
                # <queue4xi.Queue4Xi object at 0x000000000472A550>
            
            nack4queues = False
            ack4queues = True
        except:
            # -----------------------------------------------------------------------------------------    
            #
            # -----------------------------------------------------------------------------------------     
            print("\n (STEP 2D3/800) OF COLOR_TENSES4XI - *** FAILED TO CREATE QUEUE FIVE ***")
            ack4queues = False
            nack4queues = True 
                
                            
        try:
            # -----------------------------------------------------------------------------------------    
            # SIX QUEUE - [ACK]
            # -----------------------------------------------------------------------------------------     
            if ack2debug is True:                
                print('=' *33)    
                print("\n (STEP 2D1/800) OF COLOR_TENSES4XI - CREATING QUEUE SIX")
                print('=' *33)           
                 
            queue2six = Queue4Xi()
            
            if ack2debug is True:    
                print('=' *33)    
                print("\n (STEP 2D2/800) OF COLOR_TENSES4XI - CREATED QUEUE SIX: ", queue2six)
                # <queue4xi.Queue4Xi object at 0x000000000472A6D8>
            
            nack4queues = False
            ack4queues = True
        except:
            # -----------------------------------------------------------------------------------------    
            #
            # -----------------------------------------------------------------------------------------     
            print("\n (STEP 2D3/800) OF COLOR_TENSES4XI - *** FAILED TO CREATE QUEUE SIX ***")
            ack4queues = False
            nack4queues = True 
                
                            
        try:
            # -----------------------------------------------------------------------------------------    
            # SEVEN QUEUE - [ACK]
            # -----------------------------------------------------------------------------------------     
            if ack2debug is True:                  
                print('=' *33)    
                print("\n (STEP 2D1/800) OF COLOR_TENSES4XI - CREATING QUEUE SEVEN")
                print('=' *33)           
                 
            queue2seven = Queue4Xi()
            
            if ack2debug is True:                 
                print('=' *33)    
                print("\n (STEP 2D2/800) OF COLOR_TENSES4XI - CREATED QUEUE SEVEN: ", queue2seven)
                # <queue4xi.Queue4Xi object at 0x000000000472A860>
            
            nack4queues = False
            ack4queues = True
        except:
            # -----------------------------------------------------------------------------------------    
            #
            # -----------------------------------------------------------------------------------------     
            print("\n (STEP 2D3/800) OF COLOR_TENSES4XI - *** FAILED TO CREATE QUEUE SEVEN ***")
            ack4queues = False
            nack4queues = True 
                
                             
        try:
            # -----------------------------------------------------------------------------------------    
            # EIGHT QUEUE - [ACK]
            # -----------------------------------------------------------------------------------------     
            if ack2debug is True:                  
                print('=' *33)    
                print("\n (STEP 2D1/800) OF COLOR_TENSES4XI - CREATING QUEUE EIGHT")
                print('=' *33)           
                 
            queue2eight = Queue4Xi()
            
            if ack2debug is True:     
                print('=' *33)    
                print("\n (STEP 2D2/800) OF COLOR_TENSES4XI - CREATED QUEUE EIGHT: ", queue2eight)
                # <queue4xi.Queue4Xi object at 0x000000000472A9E8>
            
            nack4queues = False
            ack4queues = True
        except:
            # -----------------------------------------------------------------------------------------    
            #
            # -----------------------------------------------------------------------------------------     
            print("\n (STEP 2D3/800) OF COLOR_TENSES4XI - *** FAILED TO CREATE QUEUE EIGHT ***")
            ack4queues = False
            nack4queues = True 
                                                                                                                                                                                                                                                                                                                                                                                                                                           
    except:
        # ---------------------------------------------------------------------------------------------    
        #
        # ---------------------------------------------------------------------------------------------     
        print("\n (STEP 2X/800) OF COLOR_TENSES4XI *** FAILED TO CREATE COMMUNICATION MECHANISMS ***")                                                                                                 

    if ack2debug is True:         
        if ((ack4queues is True) and (ack4pipes is True)):
            print("\n (STEP 2Z/800) OF COLOR_TENSES4XI - SUCCEEDED TO CREATE PIPE AND QUEUE COMMUNICATION MECHANISMS FOR PROCESSES ", time4xi()) 
            # 09:45:30 01/24/13 Pacific Standard Time
        else:
            print("\n (STEP 2Y1/800) OF COLOR_TENSES4XI *** FAILED TO CREATE PIPE AND QUEUE COMMUNICATION MECHANISMS FOR PROCESSES *** ", time4xi())               

    
                  
    # =====================================================================================================
    # STEP 3 - COMMAND AND CONTROL MESSAGES PUT AND GET MANOEUVRES - [ACK]                         
    # =====================================================================================================              
    if ack2debug is True:
        print("\n (STEP 3/800) OF COLOR_TENSES4XI - TRYING TO PUT AND SEND COMMAND AND CONTROL MESSAGES ", time4xi()) 
        # 09:45:30 01/24/13 Pacific Standard Time
    
    ack2command = False 
    
    try:
        # -------------------------------------------------------------------------------------------------
        # PUT COMMAND AND CONTROL MESSAGES TO EIGHT QUEUES - [ACK]                         
        # ------------------------------------------------------------------------------------------------- 
        
        message2put4one = "<copy4xi>copy2one</copy4xi>"
        queue2one.put(message2put4one)
        if ack2debug is True:   
            print("\n (STEP 3C1/800) OF COLOR_TENSES4XI - PUT TO QUEUE ONE: ", queue2one, " MESSAGE2PUT4ONE: " , message2put4one)
            # <copy4xi>copy2one</copy4xi>
                 
        
        message2put4two = "<copy4xi>copy2two</copy4xi>"
        queue2two.put(message2put4two)
        if ack2debug is True:   
            print("\n (STEP 3C2/800) OF COLOR_TENSES4XI - PUT TO QUEUE TWO: ", queue2two, " MESSAGE2PUT4TWO: " , message2put4two)
            # <copy4xi>copy2two</copy4xi>
                                 
        
        message2put4three = "<copy4xi>copy2three</copy4xi>"
        queue2three.put(message2put4three)
        if ack2debug is True:   
            print("\n (STEP 3C3/800) OF COLOR_TENSES4XI - PUT TO QUEUE THREE: ", queue2three, " MESSAGE2PUT4THREE: " , message2put4three)
            # <copy4xi>copy2three</copy4xi>
                                 
        
        message2put4four = "<copy4xi>copy2four</copy4xi>"
        queue2four.put(message2put4four)
        if ack2debug is True:   
            print("\n (STEP 3C4/800) OF COLOR_TENSES4XI - PUT TO QUEUE FOUR: ", queue2four, " MESSAGE2PUT4FOUR: " , message2put4four)
            # <copy4xi>copy2four</copy4xi>
                                 
        
        message2put4five = "<copy4xi>copy2five</copy4xi>"
        queue2five.put(message2put4five)
        if ack2debug is True:   
            print("\n (STEP 3C5/800) OF COLOR_TENSES4XI - PUT TO QUEUE FIVE: ", queue2five, " MESSAGE2PUT4FIVE: " , message2put4five)
            # <copy4xi>copy2five</copy4xi>
                                 
        
        message2put4six = "<copy4xi>copy2six</copy4xi>"
        queue2six.put(message2put4six)
        if ack2debug is True:   
            print("\n (STEP 3C6/800) OF COLOR_TENSES4XI - PUT TO QUEUE SIX: ", queue2six, " MESSAGE2PUT4SIX: " , message2put4six)
            # <copy4xi>copy2six</copy4xi>
                                 
        
        message2put4seven = "<copy4xi>copy2seven</copy4xi>"
        queue2seven.put(message2put4seven)
        if ack2debug is True:   
            print("\n (STEP 3C7/800) OF COLOR_TENSES4XI - PUT TO QUEUE SEVEN: ", queue2seven, " MESSAGE2PUT4SEVEN: " , message2put4seven)
            # <copy4xi>copy2seven</copy4xi>
                                 
        
        message2put4eight = "<copy4xi>copy2eight</copy4xi>"
        queue2eight.put(message2put4eight)
        if ack2debug is True:   
            print("\n (STEP 3C8/800) OF COLOR_TENSES4XI - PUT TO QUEUE EIGHT: ", queue2eight, " MESSAGE2PUT4EIGHT: " , message2put4eight)
            # <copy4xi>copy2eight</copy4xi>                 
                                                  
        # -------------------------------------------------------------------------------------------------
        # SEND COMMAND AND CONTROL MESSAGES TO EIGHT PIPES - [ACK]                          
        # -------------------------------------------------------------------------------------------------                 
        
        message2send4one = "<copy4xi>copy2one</copy4xi>"
        pipe2one_publisher_channel.send(message2send4one)
        if ack2debug is True:   
            print("\n (STEP 3F1/800) OF COLOR_TENSES4XI - SEND TO PIPE ONE_PUBLISHER_CHANNEL: ", pipe2one_publisher_channel, " MESSAGE2SEND4ONE: " , message2send4one)
            # <copy4xi>copy2one</copy4xi>
                 
          
        message2send4two = "<copy4xi>copy2two</copy4xi>"
        pipe2two_publisher_channel.send(message2send4two)
        if ack2debug is True:   
            print("\n (STEP 3F2/800) OF COLOR_TENSES4XI - SEND TO PIPE TWO_PUBLISHER_CHANNEL: ", pipe2two_publisher_channel, " MESSAGE2SEND4TWO: " , message2send4two)
            # <copy4xi>copy2two</copy4xi>
                 
          
        message2send4three = "<copy4xi>copy2three</copy4xi>"
        pipe2three_publisher_channel.send(message2send4three)
        if ack2debug is True:   
            print("\n (STEP 3F3/800) OF COLOR_TENSES4XI - SEND TO PIPE THREE_PUBLISHER_CHANNEL: ", pipe2three_publisher_channel, " MESSAGE2SEND4THREE: " , message2send4three)
            # <copy4xi>copy2three</copy4xi>
                 
          
        message2send4four = "<copy4xi>copy2four</copy4xi>"
        pipe2four_publisher_channel.send(message2send4four)
        if ack2debug is True:   
            print("\n (STEP 3F4/800) OF COLOR_TENSES4XI - SEND TO PIPE FOUR_PUBLISHER_CHANNEL: ", pipe2four_publisher_channel, " MESSAGE2SEND4FOUR: " , message2send4four)
            # <copy4xi>copy2four</copy4xi>
                                 
          
        message2send4five = "<copy4xi>copy2five</copy4xi>"
        pipe2five_publisher_channel.send(message2send4five)
        if ack2debug is True:   
            print("\n (STEP 3F5/800) OF COLOR_TENSES4XI - SEND TO PIPE FIVE_PUBLISHER_CHANNEL: ", pipe2five_publisher_channel, " MESSAGE2SEND4FIVE: " , message2send4five)
            # <copy4xi>copy2five</copy4xi>
                 
              
        message2send4six = "<copy4xi>copy2six</copy4xi>"
        pipe2six_publisher_channel.send(message2send4six)
        if ack2debug is True:   
            print("\n (STEP 3F6/800) OF COLOR_TENSES4XI - SEND TO PIPE SIX_PUBLISHER_CHANNEL: ", pipe2six_publisher_channel, " MESSAGE2SEND4SIX: " , message2send4six)
            # <copy4xi>copy2six</copy4xi> 
                
         
        message2send4seven = "<copy4xi>copy2seven</copy4xi>"
        pipe2seven_publisher_channel.send(message2send4seven)
        if ack2debug is True:   
            print("\n (STEP 3F7/800) OF COLOR_TENSES4XI - SEND TO PIPE SEVEN_PUBLISHER_CHANNEL: ", pipe2seven_publisher_channel, " MESSAGE2SEND4SEVEN: " , message2send4seven)
            # <copy4xi>copy2seven</copy4xi>
                
          
        message2send4eight = "<copy4xi>copy2eight</copy4xi>"
        pipe2eight_publisher_channel.send(message2send4eight)
        if ack2debug is True:   
            print("\n (STEP 3F8/800) OF COLOR_TENSES4XI - SEND TO PIPE EIGHT_PUBLISHER_CHANNEL: ", pipe2eight_publisher_channel, " MESSAGE2SEND4EIGHT: " , message2send4eight)
            # <copy4xi>copy2eight</copy4xi>                             

        ack2command = True
        
        if ack2debug is True:                 
            print("\n (STEP 3F9/800) OF COLOR_TENSES4XI - SUCCEEDED TO SETUP COMMAND AND CONTROL WITH QUEUS AND PIPES ", time4xi()) 
            # 09:45:30 01/24/13 Pacific Standard Time
              
    except:
        # ---------------------------------------------------------------------------------------------    
        #
        # ---------------------------------------------------------------------------------------------     
        print("\n (STEP 3X/800) OF COLOR_TENSES4XI *** FAILED TO SETUP COMMAND AND CONTROL ***")             

    # =====================================================================================================
    # CREATE PROCESSES - ONE FOR EACH DIRECTION OF EIGHT - [ACK] 
    # =====================================================================================================        
    if ack2debug is True:
        print("\n (STEP 4A0/800) OF COLOR_TENSES4XI - TRYING TO CREATE EIGHT PROCESSES - ONE FOR EACH DIRECTION ", time4xi())                
        #   
          
    #========
    # ONE - [ACK]
    #========
    if ack2debug is True:
        print("\n (STEP 4A0/800) OF COLOR_TENSES4XI - TRYING TO CREATE PROCESS P2ONE ", time4xi()) 
    try:                
        # -----------------------------------------------------------------------------------------    
        # 1 - CREATE PROCESS WITH TARGET FUNCTION
        # -----------------------------------------------------------------------------------------                     
        p2one = Process4Xi(target=charge2one4xi, args=(queue2one, pipe2one_consumer_channel, pipe2one_publisher_channel))
        if ack2debug is True:
            print("\n (STEP 4A1/800) OF COLOR_TENSES4XI - CREATED PROCESS P2ONE: ", p2one)                    
            # <Process4Xi(Process4Xi-1, initial)>
                    
        # -----------------------------------------------------------------------------------------    
        # 1 - GET NAME OF PROCESS
        # -----------------------------------------------------------------------------------------                        
        name2one = p2one.name
        if ack2debug is True:
            print("\n (STEP 4B1/800) OF COLOR_TENSES4XI - NAME2ONE: ", name2one) 
            # Process4Xi-1 
     
        ack2one4process = True
        nack2one4process = False
    except:
        nack2one4process = True
        ack2one4process = False 
                                   

      
    #=========
    # TWO - [ACK]
    #=========
    if ack2debug is True:
        print("\n (STEP 5A0/800) OF COLOR_TENSES4XI - TRYING TO CREATE PROCESS P2TWO ", time4xi()) 
    try:                
        # -----------------------------------------------------------------------------------------    
        # 2 - CREATE PROCESS WITH TARGET FUNCTION
        # -----------------------------------------------------------------------------------------                     
        p2two = Process4Xi(target=charge2two4xi, args=(queue2two, pipe2two_consumer_channel, pipe2two_publisher_channel))
        if ack2debug is True:
            print("\n (STEP 5A1/800) OF COLOR_TENSES4XI - CREATED PROCESS P2TWO: ", p2two)                    
            # <Process4Xi(Process4Xi-2, initial)>
                    
        # -----------------------------------------------------------------------------------------    
        # 2 - GET NAME OF PROCESS
        # -----------------------------------------------------------------------------------------                        
        name2two = p2two.name
        if ack2debug is True:
            print("\n (STEP 5B1/800) OF COLOR_TENSES4XI - NAME2TWO: ", name2two) 
            # 
     
        ack2two4process = True
        nack2two4process = False
    except:
        nack2two4process = True
        ack2two4process = False 
                                       
      
    #========
    # THREE - [ACK] 
    #======== 
    if ack2debug is True:
        print("\n (STEP 6A0/800) OF COLOR_TENSES4XI - TRYING TO CREATE PROCESS P2THREE ", time4xi())
    try:                
        # -----------------------------------------------------------------------------------------    
        # 3 - CREATE PROCESS WITH TARGET FUNCTION
        # -----------------------------------------------------------------------------------------                     
        p2three = Process4Xi(target=charge2three4xi, args=(queue2three, pipe2three_consumer_channel, pipe2three_publisher_channel))
        if ack2debug is True:
            print("\n (STEP 6A1/800) OF COLOR_TENSES4XI - CREATED PROCESS P2THREE: ", p2three)                    
            # <Process4Xi(Process4Xi-3, initial)>
                    
        # -----------------------------------------------------------------------------------------    
        # 3 - GET NAME OF PROCESS
        # -----------------------------------------------------------------------------------------                        
        name2three = p2three.name
        if ack2debug is True:
            print("\n (STEP 6B1/800) OF COLOR_TENSES4XI - NAME2THREE: ", name2three)  
            # Process4Xi-3
     
        ack2three4process = True
        nack2three4process = False
    except:
        nack2three4process = True
        ack2three4process = False 
                                   
    
      
    #===========
    # FOUR - [ACK]
    #=========== 
    if ack2debug is True:
        print("\n (STEP 7A0/800) OF COLOR_TENSES4XI - TRYING TO CREATE PROCESS P2FOUR ", time4xi())
    try:                
        # -----------------------------------------------------------------------------------------    
        # 4 - CREATE PROCESS WITH TARGET FUNCTION
        # -----------------------------------------------------------------------------------------                     
        p2four = Process4Xi(target=charge2four4xi, args=(queue2four, pipe2four_consumer_channel, pipe2four_publisher_channel))
        if ack2debug is True:
            print("\n (STEP 7A1/800) OF COLOR_TENSES4XI - CREATED PROCESS P2FOUR: ", p2four)                    
            # <Process4Xi(Process4Xi-4, initial)>
                    
        # -----------------------------------------------------------------------------------------    
        # 4 - GET NAME OF PROCESS
        # -----------------------------------------------------------------------------------------                        
        name2four = p2four.name
        if ack2debug is True:
            print("\n (STEP 7B1/800) OF COLOR_TENSES4XI - NAME2FOUR: ", name2four) 
            # 
     
        ack2four4process = True
        nack2four4process = False
    except:
        nack2four4process = True
        ack2four4process = False 
                                   
      
    #===========
    # FIVE - [ACK]
    #=========== 
    if ack2debug is True:
        print("\n (STEP 8A0/800) OF COLOR_TENSES4XI - TRYING TO CREATE PROCESS P2FIVE ", time4xi())
    try:                
        # -----------------------------------------------------------------------------------------    
        # 5 - CREATE PROCESS WITH TARGET FUNCTION
        # -----------------------------------------------------------------------------------------                     
        p2five = Process4Xi(target=charge2five4xi, args=(queue2five, pipe2five_consumer_channel, pipe2five_publisher_channel))
        if ack2debug is True:
            print("\n (STEP 8A1/800) OF COLOR_TENSES4XI - CREATED PROCESS P2FIVE: ", p2five)                    
            # <Process4Xi(Process4Xi-5, initial)>
                    
        # -----------------------------------------------------------------------------------------    
        # 5 - GET NAME OF PROCESS
        # -----------------------------------------------------------------------------------------                        
        name2five = p2five.name
        if ack2debug is True:
            print("\n (STEP 8B1/800) OF COLOR_TENSES4XI - NAME2FIVE: ", name2five)  
            # 
     
        ack2five4process = True
        nack2five4process = False
    except:
        nack2five4process = True
        ack2five4process = False 
                                   
         
      
    #===========
    # SIX - [ACK]
    #===========         
    if ack2debug is True:
        print("\n (STEP 9A0/800) OF COLOR_TENSES4XI - TRYING TO CREATE PROCESS P2SIX ", time4xi())
    try:                
        # -----------------------------------------------------------------------------------------    
        # 6 - CREATE PROCESS WITH TARGET FUNCTION
        # -----------------------------------------------------------------------------------------                     
        p2six = Process4Xi(target=charge2six4xi, args=(queue2six, pipe2six_consumer_channel, pipe2six_publisher_channel))
        if ack2debug is True:
            print("\n (STEP 9A1/800) OF COLOR_TENSES4XI - CREATED PROCESS P2SIX: ", p2six)                    
            # CREATED PROCESS OBJECT P2SIX:  <Process4Xi(Process4Xi-6, initial)>
                    
        # -----------------------------------------------------------------------------------------    
        # 6 - GET NAME OF PROCESS
        # -----------------------------------------------------------------------------------------                        
        name2six = p2six.name
        if ack2debug is True:
            print("\n (STEP 9B1/800) OF COLOR_TENSES4XI - NAME2SIX: ", name2six) 
            # 
     
        ack2six4process = True
        nack2six4process = False
    except:
        nack2six4process = True
        ack2six4process = False 
                                   
     
    #=============
    # SEVEN - [ACK]
    #=============               
    if ack2debug is True:
        print("\n (STEP 10A0/800) OF COLOR_TENSES4XI - TRYING TO CREATE PROCESS P2SEVEN ", time4xi())
    try:                 
        # -----------------------------------------------------------------------------------------    
        # 7 - CREATE PROCESS WITH TARGET FUNCTION
        # -----------------------------------------------------------------------------------------                     
        p2seven = Process4Xi(target=charge2seven4xi, args=(queue2seven, pipe2seven_consumer_channel, pipe2seven_publisher_channel))
        if ack2debug is True:
            print("\n (STEP 10A1/800) OF COLOR_TENSES4XI - CREATED PROCESS P2SEVEN: ", p2seven)                    
            # <Process4Xi(Process4Xi-7, initial)>
        ack2seven4process = True
        nack2seven4process = False     
    except:
        nack2seven4process = True
        ack2seven4process = False 
    
    if ack2seven4process is True:                            
        # -----------------------------------------------------------------------------------------    
        # 7 - GET NAME OF PROCESS
        # -----------------------------------------------------------------------------------------                        
        name2seven = p2seven.name
        if ack2debug is True:
            print("\n (STEP 10B1/800) OF COLOR_TENSES4XI - NAME2SEVEN: ", name2seven) 
            # 
     
        ack2seven4process = True
        nack2seven4process = False
    else:
        nack2seven4process = True
        ack2seven4process = False
            
     
    #=============
    # EIGHT - [ACK]
    #=============              
    if ack2debug is True:
        print("\n (STEP 11A0/800) OF COLOR_TENSES4XI - TRYING TO CREATE PROCESS P2EIGHT ", time4xi())
    try:                
        # -----------------------------------------------------------------------------------------    
        # 8 - CREATE PROCESS WITH TARGET FUNCTION
        # -----------------------------------------------------------------------------------------                     
        p2eight = Process4Xi(target=charge2eight4xi, args=(queue2eight, pipe2eight_consumer_channel, pipe2eight_publisher_channel))
        if ack2debug is True:
            print("\n (STEP 11A1/800) OF COLOR_TENSES4XI - CREATED PROCESS P2EIGHT: ", p2eight)                    
            # <Process4Xi(Process4Xi-8, initial)>
                    
        # -----------------------------------------------------------------------------------------    
        # 8 - GET NAME OF PROCESS
        # -----------------------------------------------------------------------------------------                        
        name2eight = p2eight.name
        if ack2debug is True:
            print("\n (STEP 11B1/800) OF COLOR_TENSES4XI - NAME2EIGHT: ", name2eight) 
            # 
     
        ack2eight4process = True
        nack2eight4process = False
    except:
        nack2eight4process = True
        ack2eight4process = False 

    # =====================================================================================================
    # EOF CREATING PROCESSES - ONE FOR EACH DIRECTION OF EIGHT - [ACK] 
    # =====================================================================================================        
    if ack2debug is True:
        print("\n (STEP 11C1/800) OF COLOR_TENSES4XI - [ACK] DONE TRIALS TO CREATE EIGHT PROCESSES ", time4xi())                
        # [ACK] 06:15:08 02/06/13 Pacific Standard Time                                
      
        

    # =====================================================================================================   
    # START PROCESSES - FOR DIRECTIONS ONE TO EIGHT - IF REQUIRED [ACK] 
    # =====================================================================================================      
    if ack2debug is True:
        print("\n (STEP 12C0/800) OF COLOR_TENSES4XI - TRYING TO START PROCESSES FOR REQUIRED DIRECTIONS ", time4xi())                
        # 04:35:38 02/04/13 Pacific Standard Time   
        keys2direction = DirectionKB4Xi.keys()
        for key2direction in keys2direction:
            if key2direction > 0:
                print(key2direction, ': ',DirectionKB4Xi[key2direction])
                # 1 :  False
                # 2 :  False
                # 3 :  False
                # 4 :  False
                # 5 :  False
                # 6 :  False
                # 7 :  False
                # 8 :  False
                
    if DirectionKB4Xi[1] is True:    
        #========
        # ONE - [ACK]
        #========
        nack2one4start = True
        ack2one4start = False      
                                       
        if ack2one4process is True:
            # -----------------------------------------------------------------------------------------    
            # 1 - START PROCESS
            # -----------------------------------------------------------------------------------------                   
            if ack2debug is True:
                print("\n (STEP 12C1/800) OF COLOR_TENSES4XI - STARTING PROCESS NAME: ", name2one)
                # 
            try:
                p2one.start()
                if ack2debug is True:
                    print("\n (STEP 12C2/800) OF COLOR_TENSES4XI - STARTED PROCESS NAME: ", name2one)
                    # Process4Xi-1
                            
                ack2one4start = True
                nack2one4start = False 
            except:
                print("\n (STEP 12C3/800) OF COLOR_TENSES4XI *** FAILED TO START PROCESS ONE") 
        else:
            print("\n (STEP 12C4/800) OF COLOR_TENSES4XI ** SKIPPED STARTING PROCESS - FAILED TO CREATE PROCESS ONE")                          


    if DirectionKB4Xi[2] is True:
        #=========
        # TWO - [ACK]
        #=========
        nack2two4start = True
        ack2two4start = False                                         
        
        if ack2two4process is True:
            # -----------------------------------------------------------------------------------------    
            # 2 - START PROCESS
            # -----------------------------------------------------------------------------------------                   
            if ack2debug is True:
                print("\n (STEP 13C1/800) OF COLOR_TENSES4XI - STARTING PROCESS NAME: ", name2two)
                # 
            try:
                p2two.start()
                if ack2debug is True:
                    print("\n (STEP 13C2/800) OF COLOR_TENSES4XI - STARTED PROCESS NAME: ", name2two)
                    # Process4Xi-2
                            
                ack2two4start = True
                nack2two4start = False 
            except:
                print("\n (STEP 13C3/800) OF COLOR_TENSES4XI *** FAILED TO START PROCESS TWO")   
        else:
            print("\n (STEP 13C4/800) OF COLOR_TENSES4XI ** SKIPPED STARTING PROCESS - FAILED TO CREATE PROCESS TWO")                         
    
    if DirectionKB4Xi[3] is True:
        #========
        # THREE - [ACK] 
        #======== 
        nack2three4start = True
        ack2three4start = False     
                                      
        if ack2three4process is True:
            # -----------------------------------------------------------------------------------------    
            # 3 - START PROCESS
            # -----------------------------------------------------------------------------------------                   
            if ack2debug is True:
                print("\n (STEP 14C1/800) OF COLOR_TENSES4XI - STARTING PROCESS NAME: ", name2three)
                # Process4Xi-3
            try:
                p2three.start()
                if ack2debug is True:
                    print("\n (STEP 14C2/800) OF COLOR_TENSES4XI - STARTED PROCESS NAME: ", name2three)
                    # Process4Xi-3
                            
                ack2three4start = True
                nack2three4start = False 
            except:
                print("\n (STEP 14C3/800) OF COLOR_TENSES4XI *** FAILED TO START PROCESS THREE")  
                nack2three4start = True
                ack2three4start = False                            
        else:
            print("\n (STEP 14C4/800) OF COLOR_TENSES4XI ** SKIPPED STARTING PROCESS - FAILED TO CREATE PROCESS THREE")   

    if DirectionKB4Xi[4] is True:
        #===========
        # FOUR - [ACK]
        #=========== 
        nack2four4start = True
        ack2four4start = False   
                                       
        if ack2four4process is True:
            # -----------------------------------------------------------------------------------------    
            # 4 - START PROCESS
            # -----------------------------------------------------------------------------------------                   
            if ack2debug is True:
                print("\n (STEP 15C1/800) OF COLOR_TENSES4XI - STARTING PROCESS NAME: ", name2four)
                # Process4Xi-1
            try:
                p2four.start()
                if ack2debug is True:
                    print("\n (STEP 15C2/800) OF COLOR_TENSES4XI - STARTED PROCESS NAME: ", name2four)
                    # Process4Xi-4
                            
                ack2four4start = True
                nack2four4start = False 
            except:
                print("\n (STEP 15C3/800) OF COLOR_TENSES4XI *** FAILED TO START PROCESS FOUR") 
        else:
            print("\n (STEP 15C4/800) OF COLOR_TENSES4XI ** SKIPPED STARTING PROCESS - FAILED TO CREATE PROCESS FOUR")                            
         
    if DirectionKB4Xi[5] is True:    
        #===========
        # FIVE - [ACK]
        #=========== 
        nack2five4start = True
        ack2five4start = False 
                        
        if ack2five4process is True:
            # -----------------------------------------------------------------------------------------    
            # 5 - START PROCESS
            # -----------------------------------------------------------------------------------------                   
            if ack2debug is True:
                print("\n (STEP 16C1/800) OF COLOR_TENSES4XI - STARTING PROCESS NAME: ", name2five)
                # Process4Xi-1
            try:
                p2five.start()
                if ack2debug is True:
                    print("\n (STEP 16C2/800) OF COLOR_TENSES4XI - STARTED PROCESS NAME: ", name2five)
                    # Process4Xi-5
                            
                ack2five4start = True
                nack2five4start = False 
            except:
                print("\n (STEP 16C3/800) OF COLOR_TENSES4XI *** FAILED TO START PROCESS FIVE") 
        else:
            print("\n (STEP 16C4/800) OF COLOR_TENSES4XI ** SKIPPED STARTING PROCESS - FAILED TO CREATE PROCESS FIVE")                        
    
    if DirectionKB4Xi[6] is True:        
        #===========
        # SIX - [ACK]
        #===========         
        nack2six4start = True
        ack2six4start = False        
                                       
        if ack2six4process is True:
            # -----------------------------------------------------------------------------------------    
            # 6 - START PROCESS
            # -----------------------------------------------------------------------------------------                   
            if ack2debug is True:
                print("\n (STEP 17C1/800) OF COLOR_TENSES4XI - STARTING PROCESS NAME: ", name2six)
                # Process4Xi-1
            try:
                p2six.start()
                if ack2debug is True:
                    print("\n (STEP 17C2/800) OF COLOR_TENSES4XI - STARTED PROCESS NAME: ", name2six)
                    # Process4Xi-6
                            
                ack2six4start = True
                nack2six4start = False 
            except:
                print("\n (STEP 17C3/800) OF COLOR_TENSES4XI *** FAILED TO START PROCESS SIX")  
        else:
            print("\n (STEP 17C4/800) OF COLOR_TENSES4XI ** SKIPPED STARTING PROCESS - FAILED TO CREATE PROCESS SIX")                       
     
    if DirectionKB4Xi[7] is True:
        #=============
        # SEVEN - [ACK]
        #=============              
        nack2seven4start = True
        ack2seven4start = False         
                                       
        if ack2seven4process is True:
            # -----------------------------------------------------------------------------------------    
            # 7 - START PROCESS
            # -----------------------------------------------------------------------------------------                   
            if ack2debug is True:
                print("\n (STEP 18C1/800) OF COLOR_TENSES4XI - STARTING PROCESS NAME: ", name2seven)
                # Process4Xi-1
            try:
                p2seven.start()
                if ack2debug is True:
                    print("\n (STEP 18C2/800) OF COLOR_TENSES4XI - STARTED PROCESS NAME: ", name2seven)
                    # Process4Xi-7
                            
                ack2seven4start = True
                nack2seven4start = False 
            except:
                print("\n (STEP 18C3/800) OF COLOR_TENSES4XI *** FAILED TO START PROCESS SEVEN")   
        else:
            print("\n (STEP 18C4/800) OF COLOR_TENSES4XI ** SKIPPED STARTING PROCESS - FAILED TO CREATE PROCESS SEVEN")                      
        
        
    if DirectionKB4Xi[8] is True: 
        #=============
        # EIGHT - [ACK]
        #=============              
        nack2eight4start = True
        ack2eight4start = False                                        
        
        if ack2eight4process is True:
            # -----------------------------------------------------------------------------------------    
            # 8 - START PROCESS
            # -----------------------------------------------------------------------------------------                   
            if ack2debug is True:
                print("\n (STEP 19C1/800) OF COLOR_TENSES4XI - STARTING PROCESS NAME: ", name2eight)
                # Process4Xi-1
            try:
                p2eight.start()
                if ack2debug is True:
                    print("\n (STEP 19C2/800) OF COLOR_TENSES4XI - STARTED PROCESS NAME: ", name2eight)
                    # Process4Xi-8
                            
                ack2eight4start = True
                nack2eight4start = False 
            except:
                print("\n (STEP 19C3/800) OF COLOR_TENSES4XI *** FAILED TO START PROCESS EIGHT") 
        else:
            print("\n (STEP 19C4/800) OF COLOR_TENSES4XI ** SKIPPED STARTING PROCESS - FAILED TO CREATE PROCESS EIGHT")                          
    

    # =====================================================================================================   
    # EOF STARTING PROCESSES - FOR DIRECTIONS ONE TO EIGHT - [ACK] 
    # =====================================================================================================      
    if ack2debug is True:
        print("\n (STEP 19C5/800) OF COLOR_TENSES4XI - [ACK] DONE TRIALS TO START REQUIRED PROCESSES ", time4xi())                
        # [ACK] 06:15:13 02/06/13 Pacific Standard Time
        keys2direction = DirectionKB4Xi.keys()
        for key2direction in keys2direction:
            if key2direction > 0:
                print(key2direction, ': ',DirectionKB4Xi[key2direction])
                # 1 :  True
                # 2 :  True
                # 3 :  True
                # 4 :  True
                # 5 :  True
                # 6 :  True
                # 7 :  True
                # 8 :  True                

    # =====================================================================================================   
    # RUN PROCESSES - FOR DIRECTIONS ONE TO EIGHT - [ACK] 
    # =====================================================================================================      
    if ack2debug is True:
        print("\n (STEP 20D0/800) OF COLOR_TENSES4XI - TRYING TO RUN REQUIRED PROCESSES ", time4xi())                 
        # 04:35:44 02/04/13 Pacific Standard Time 
        keys2direction = DirectionKB4Xi.keys()
        for key2direction in keys2direction:
            if key2direction > 0:
                print(key2direction, ': ',DirectionKB4Xi[key2direction])
                
    if DirectionKB4Xi[1] is True:                
        #========
        # ONE - [ACK]
        #========
        nack2one4run = True
        ack2one4run = False  
                                                       
        if ack2one4process is True:
    
            if ack2one4start is True:
                # -----------------------------------------------------------------------------------------    
                # 1 - ALIVE ?
                # -----------------------------------------------------------------------------------------                   
                if ack2debug is True:
                    print("\n (STEP 20D1/800) OF COLOR_TENSES4XI - TESTING WHETHER PROCESS NAME: ", name2one, " IS ALIVE")
                    # Process4Xi-1  IS ALIVE
                try:                    
                    if ack2debug is True:
                        print("\n (STEP 20D2/800) OF COLOR_TENSES4XI - PROCESS STATUS: ", p2one.is_alive())
                        # PROCESS STATUS:  True 
                except:
                    pass
    
                # -----------------------------------------------------------------------------------------    
                # 1 - RUN
                # -----------------------------------------------------------------------------------------                   
                if ack2debug is True:
                    print("\n (STEP 20D3/800) OF COLOR_TENSES4XI - TRYING TO RUN PROCESS NAME: ", name2one) 
                    # TRYING TO RUN PROCESS NAME:  Process4Xi-1
                try: 
                    p2one.run()
                    if ack2debug is True:
                        print("\n (STEP 20D4/800) OF COLOR_TENSES4XI - PERFORMED RUN TO PROCESS NAME: ", name2one) 
                        # Process4Xi-1
                    ack2one4run = True
                    nack2one4run = False  
                except:
                    print("\n (STEP 20D5/800) OF COLOR_TENSES4XI *** FAILED TO RUN PROCESS NAME: ", name2one)
    
            else:
                print("\n (STEP 20D6/800) OF COLOR_TENSES4XI ** SKIPPED TO RUN - FAILED TO START PROCESS NAME: ", name2one)
        else:
            print("\n (STEP 20D7/800) OF COLOR_TENSES4XI ** SKIPPED RUNNING PROCESS - FAILED TO CREATE PROCESS ONE")                                  

    if DirectionKB4Xi[2] is True:  
        #=========
        # TWO - [ACK]
        #=========
        ack2two4run = False
        nack2two4run = True 
                    
        if ack2two4process is True:
                    
    
            if ack2two4start is True:
                # -----------------------------------------------------------------------------------------    
                # 2 - ALIVE ?
                # -----------------------------------------------------------------------------------------                   
                if ack2debug is True:
                    print("\n (STEP 21D1/800) OF COLOR_TENSES4XI - TESTING WHETHER PROCESS NAME: ", name2two, " IS ALIVE")
                    # 
                try:                    
                    if ack2debug is True:
                        print("\n (STEP 21D2/800) OF COLOR_TENSES4XI - PROCESS STATUS: ", p2two.is_alive())
                        # 
                except:
                    pass
    
                # -----------------------------------------------------------------------------------------    
                # 2 - RUN
                # -----------------------------------------------------------------------------------------                   
                if ack2debug is True:
                    print("\n (STEP 21D3/800) OF COLOR_TENSES4XI - TRYING TO RUN PROCESS NAME: ", name2two)
                    # 
                try: 
                    p2two.run()
                    if ack2debug is True:
                        print("\n (STEP 21D4/800) OF COLOR_TENSES4XI - PERFORMED RUN TO PROCESS NAME: ", name2two)
                        # Process4Xi-2
                    
                    nack2two4run = False
                    ack2two4run = True   
                except:
                    print("\n (STEP 21D5/800) OF COLOR_TENSES4XI *** FAILED TO RUN PROCESS NAME: ", name2two)
    
            else:
                print("\n (STEP 21D6/800) OF COLOR_TENSES4XI ** SKIPPED TO RUN - FAILED TO START PROCESS NAME: ", name2two)
                                
        else:
            print("\n (STEP 21D7/800) OF COLOR_TENSES4XI ** SKIPPED RUNNING PROCESS - FAILED TO CREATE PROCESS TWO")  

    if DirectionKB4Xi[3] is True:                  
        #========
        # THREE - [ACK] 
        #======== 
        ack2three4run = False
        nack2three4run = True
         
        if ack2three4process is True:
    
            if ack2three4start is True:
                # -----------------------------------------------------------------------------------------    
                # 3 - ALIVE ?
                # -----------------------------------------------------------------------------------------                   
                if ack2debug is True:
                    print("\n (STEP 22D1/800) OF COLOR_TENSES4XI - TESTING WHETHER PROCESS NAME: ", name2three, " IS ALIVE")
                    # Process4Xi-3  IS ALIVE
                try:                    
                    if ack2debug is True:
                        print("\n (STEP 22D2/800) OF COLOR_TENSES4XI - PROCESS STATUS: ", p2three.is_alive())
                        # PROCESS STATUS:  True 
                except:
                    pass
    
                # -----------------------------------------------------------------------------------------    
                # 3 - RUN
                # -----------------------------------------------------------------------------------------                   
                if ack2debug is True:
                    print("\n (STEP 22D3/800) OF COLOR_TENSES4XI - TRYING TO RUN PROCESS NAME: ", name2three)
                    # Process4Xi-3
                
                try: 
                    p2three.run()
                    if ack2debug is True:
                        print("\n (STEP 22D4/800) OF COLOR_TENSES4XI - PERFORMED RUN TO PROCESS NAME: ", name2three)
                        # Process4Xi-3
                    
                    nack2three4run = False
                    ack2three4run = True   
                except:
                    print("\n (STEP 22D5/800) OF COLOR_TENSES4XI *** FAILED TO RUN PROCESS NAME: ", name2three)
    
            else:
                print("\n (STEP 22D6/800) OF COLOR_TENSES4XI ** SKIPPED TO RUN - FAILED TO START PROCESS NAME: ", name2three)
                                
        else:
            print("\n (STEP 22D7/800) OF COLOR_TENSES4XI ** SKIPPED RUNNING PROCESS - FAILED TO CREATE PROCESS THREE")  

    if DirectionKB4Xi[4] is True:              
        #===========
        # FOUR - [ACK]
        #=========== 
        ack2four4run = False
        nack2four4run = True
         
        if ack2four4process is True:
    
            if ack2four4start is True:
                # -----------------------------------------------------------------------------------------    
                # 4 - ALIVE ?
                # -----------------------------------------------------------------------------------------                   
                if ack2debug is True:
                    print("\n (STEP 23D1/800) OF COLOR_TENSES4XI - TESTING WHETHER PROCESS NAME: ", name2four, " IS ALIVE")
                    # 
                try:                    
                    if ack2debug is True:
                        print("\n (STEP 23DD2/800) OF COLOR_TENSES4XI - PROCESS STATUS: ", p2four.is_alive())
                        # 
                except:
                    pass
    
                # -----------------------------------------------------------------------------------------    
                # 4 - RUN
                # -----------------------------------------------------------------------------------------                   
                if ack2debug is True:
                    print("\n (STEP 23D3/800) OF COLOR_TENSES4XI - TRYING TO RUN PROCESS NAME: ", name2four)
                    # 
                try: 
                    p2four.run()
                    if ack2debug is True:
                        print("\n (STEP 23D4/800) OF COLOR_TENSES4XI - PERFORMED RUN TO PROCESS NAME: ", name2four)
                        # Process4Xi-4
                     
                    nack2four4run = False
                    ack2four4run = True   
                except:
                    print("\n (STEP 23D5/800) OF COLOR_TENSES4XI *** FAILED TO RUN PROCESS NAME: ", name2four)
    
            else:
                print("\n (STEP 23D6/800) OF COLOR_TENSES4XI ** SKIPPED TO RUN - FAILED TO START PROCESS NAME: ", name2four)
        else:
            print("\n (STEP 23D7/800) OF COLOR_TENSES4XI ** SKIPPED RUNNING PROCESS - FAILED TO CREATE PROCESS FOUR")                              
    
    if DirectionKB4Xi[5] is True:          
        #===========
        # FIVE - [ACK]
        #=========== 
        ack2five4run = False
        nack2five4run = True 
                            
        if ack2five4process is True:
    
            if ack2five4start is True:
                # -----------------------------------------------------------------------------------------    
                # 5 - ALIVE ?
                # -----------------------------------------------------------------------------------------                   
                if ack2debug is True:
                    print("\n (STEP 24D1/800) OF COLOR_TENSES4XI - TESTING WHETHER PROCESS NAME: ", name2five, " IS ALIVE")
                    # 
                try:                    
                    if ack2debug is True:
                        print("\n (STEP 24D2/800) OF COLOR_TENSES4XI - PROCESS STATUS: ", p2five.is_alive())
                        # 
                except:
                    pass
    
                # -----------------------------------------------------------------------------------------    
                # 5 - RUN
                # -----------------------------------------------------------------------------------------                   
                if ack2debug is True:
                    print("\n (STEP 24D3/800) OF COLOR_TENSES4XI - TRYING TO RUN PROCESS NAME: ", name2five)
                    # 
                try: 
                    p2five.run()
                    if ack2debug is True:
                        print("\n (STEP 24D4/800) OF COLOR_TENSES4XI - PERFORMED RUN TO PROCESS NAME: ", name2five)
                        # Process4Xi-5
                    
                    nack2five4run = False
                    ack2five4run = True   
                except:
                    print("\n (STEP 24D5/800) OF COLOR_TENSES4XI *** FAILED TO RUN PROCESS NAME: ", name2five)
    
            else:
                print("\n (STEP 24D6/800) OF COLOR_TENSES4XI ** SKIPPED TO RUN - FAILED TO START PROCESS NAME: ", name2five)
        else:
            print("\n (STEP 24D7/800) OF COLOR_TENSES4XI ** SKIPPED RUNNING PROCESS - FAILED TO CREATE PROCESS FIVE") 
                                         
    if DirectionKB4Xi[6] is True:  
        #===========
        # SIX - [ACK]
        #===========         
        ack2six4run = False
        nack2six4run = True 
                         
        if ack2six4process is True:
    
            if ack2six4start is True:
                # -----------------------------------------------------------------------------------------    
                # 6 - ALIVE ?
                # -----------------------------------------------------------------------------------------                   
                if ack2debug is True:
                    print("\n (STEP 25D1/800) OF COLOR_TENSES4XI - TESTING WHETHER PROCESS NAME: ", name2six, " IS ALIVE")
                    # 
                try:                    
                    if ack2debug is True:
                        print("\n (STEP 25D2/800) OF COLOR_TENSES4XI - PROCESS STATUS: ", p2six.is_alive())
                        # 
                except:
                    pass
    
                # -----------------------------------------------------------------------------------------    
                # 6 - RUN
                # -----------------------------------------------------------------------------------------                   
                if ack2debug is True:
                    print("\n (STEP 25D3/800) OF COLOR_TENSES4XI - TRYING TO RUN PROCESS NAME: ", name2six)
                # 
                try: 
                    p2six.run()
                    if ack2debug is True:
                        print("\n (STEP 25D4/800) OF COLOR_TENSES4XI - PERFORMED RUN TO PROCESS NAME: ", name2six)
                        # Process4Xi-6
                     
                    nack2six4run = False
                    ack2six4run = True   
                except:
                    if ack2debug is True:
                        print("\n (STEP 25D5/800) OF COLOR_TENSES4XI *** FAILED TO RUN PROCESS NAME: ", name2six)
                        ack2six4run = False
                    nack2six4run = True 
            else:
                print("\n (STEP 25D6/800) OF COLOR_TENSES4XI ** SKIPPED TO RUN - FAILED TO START PROCESS NAME: ", name2six)
                                
        else:
            print("\n (STEP 25D7/800) OF COLOR_TENSES4XI ** SKIPPED RUNNING PROCESS - FAILED TO CREATE PROCESS SIX")  
        
    
    if DirectionKB4Xi[7] is True:       
        #=============
        # SEVEN - [ACK]
        #=============              
        ack2seven4run = False
        nack2seven4run = True 
                    
        if ack2seven4process is True:
    
            if ack2seven4start is True:
                # -----------------------------------------------------------------------------------------    
                # 7 - ALIVE ?
                # -----------------------------------------------------------------------------------------                   
                if ack2debug is True:
                    print("\n (STEP 26D1/800) OF COLOR_TENSES4XI - TESTING WHETHER PROCESS NAME: ", name2seven, " IS ALIVE")
                    # 
                try:                    
                    if ack2debug is True:
                        print("\n (STEP 26D2/800) OF COLOR_TENSES4XI - PROCESS STATUS: ", p2seven.is_alive())
                        # 
                except:
                    pass
    
                # -----------------------------------------------------------------------------------------    
                # 7 - RUN
                # -----------------------------------------------------------------------------------------                   
                if ack2debug is True:
                    print("\n (STEP 26D3/800) OF COLOR_TENSES4XI - TRYING TO RUN PROCESS NAME: ", name2seven)
                    # 
                try: 
                    p2seven.run()
                    if ack2debug is True:
                        print("\n (STEP 26D4/800) OF COLOR_TENSES4XI - PERFORMED RUN TO PROCESS NAME: ", name2seven)
                        # Process4Xi-7 
                    
                    nack2seven4run = False
                    ack2seven4run = True   
                except:
                    print("\n (STEP 26D5/800) OF COLOR_TENSES4XI *** FAILED TO RUN PROCESS NAME: ", name2seven)
    
            else:
                print("\n (STEP 26D6/800) OF COLOR_TENSES4XI ** SKIPPED TO RUN - FAILED TO START PROCESS NAME: ", name2seven)
        else:
            print("\n (STEP 26D7/800) OF COLOR_TENSES4XI ** SKIPPED RUNNING PROCESS - FAILED TO CREATE PROCESS SEVEN")                              
    
    if DirectionKB4Xi[8] is True:      
        #=============
        # EIGHT - [ACK]
        #=============              
        ack2eight4run = False
        nack2eight4run = True 
                    
        if ack2eight4process is True:
    
            if ack2eight4start is True:
                # -----------------------------------------------------------------------------------------    
                # 8 - ALIVE ?
                # -----------------------------------------------------------------------------------------                   
                if ack2debug is True:
                    print("\n (STEP 27D1/800) OF COLOR_TENSES4XI - TESTING WHETHER PROCESS NAME: ", name2eight, " IS ALIVE") 
                    # 
                try:                    
                    if ack2debug is True:
                        print("\n (STEP 27D2/800) OF COLOR_TENSES4XI - PROCESS STATUS: ", p2eight.is_alive())
                        # 
                except:
                    pass
    
                # -----------------------------------------------------------------------------------------    
                # 8 - RUN
                # -----------------------------------------------------------------------------------------                   
                if ack2debug is True:
                    print("\n (STEP 27D3/800) OF COLOR_TENSES4XI - TRYING TO RUN PROCESS NAME: ", name2eight)
                    # 
                try: 
                    p2eight.run()
                    if ack2debug is True:
                        print("\n (STEP 27D4/800) OF COLOR_TENSES4XI - PERFORMED RUN TO PROCESS NAME: ", name2eight)
                        # Process4Xi-8
                    
                    nack2eight4run = False
                    ack2eight4run = True   
                except:
                    print("\n (STEP 27D5/800) OF COLOR_TENSES4XI *** FAILED TO RUN PROCESS NAME: ", name2eight)
    
            else:
                print("\n (STEP 27D6/800) OF COLOR_TENSES4XI ** SKIPPED TO RUN - FAILED TO START PROCESS NAME: ", name2eight)
        else:
            print("\n (STEP 27D7/800) OF COLOR_TENSES4XI ** SKIPPED RUNNING PROCESS - FAILED TO CREATE PROCESS EIGHT")                              

    # =========================================================================================================   
    # EOF RUNNING PROCESSES - FOR DIRECTIONS ONE TO EIGHT - [ACK] 
    # =========================================================================================================      
    if ack2debug is True:
        print("\n (STEP 27D8/800) OF COLOR_TENSES4XI - DONE TRIALS TO RUN REQUIRED PROCESSES ", time4xi()) 
        # 06:15:20 02/06/13 Pacific Standard Time
        keys2direction = DirectionKB4Xi.keys()
        for key2direction in keys2direction:
            if key2direction > 0:
                print(key2direction, ': ',DirectionKB4Xi[key2direction])
                # 1 :  True
                # 2 :  True
                # 3 :  True
                # 4 :  True
                # 5 :  True
                # 6 :  True
                # 7 :  True
                # 8 :  True                
                        
        # [NACK] 11:01:10 02/04/13 Pacific Standard Time
        # 11:01:10 02/04/13 Pacific Standard Time 
            
        # note that Queue4Xi : put and Queue4Xi : _feed  are still going on!
        # =================================
        # { Queue4Xi : _feed ; (Step 8/9m) sent; object-sent-by-feed-of-Queue4Xi: {1: '-100x-2126y-2388z', 2: '-100x-2445y-2061z', 3: '-1013x-998y-2866z', 4: '-1024x-2374y-1884z' ...
        # , 5: '-1031x-440y-2997z', 6: '-1039x-2066y-2211z', 7: '-1052x-3011y-255z', 8: '-1080x-396y-2985z', 9: '-1086x-963y-2851z', 10: '-1128x-347y-2974z', 11: '-1156x-2334y-1858z', 12: '-1157x-2028y-2187z', 13: '-1157x-923y-2836z', 14: '-1174x-295y-2962z', 15: '-119x-1065y-3120z', 16: '-1209x-2954y-223z', 17: '-1216x-239y-2949z', 18: '-1227x-877y-2822z', 19: '-1256x-179y-2937z', 20: '-126x-552y-3149z', 21: '-1273x-1983y-2164z', 22: '-1285x-2286y-1832z', 23: '-1293x-116y-2924z', 24: '-1295x-827y-2806z', 25: '-1360x-772y-2791z', 26: '-1362x-2888y-191z', 27: '-1387x-1931y-2140z', 28: '-1413x-2231y-1806z', 29: '-1424x-712y-2775z', 30: '-1485x-648y-2759z', 31: '-1500x-1872y-2116z', 32: '-1513x-2815y-159z', 33: '-1538x-2168y-1779z', 34: '-1542x-579y-2743z', 35: '-1596x-505y-2726z', 36: '-1610x-1807y-2092z', 37: '-163x-575y-3143z', 38: '-1647x-428y-2709z', 39: '-1659x-2733y-127z', 40: '-1660x-2099y-1753z', 41: '-1717x-1735y-2068z', 42: '-175x-1055y-3015z', 43: '-1780x-2022y-1726z', 44: '-1800x-2643y-95z', 45: '-1821x-1657y-2043z', 46: '-1895x-1938y-1699z', 47: '-1921x-1572y-2019z', 48: '-1936x-2546y-63z', 49: '-2006x-1848y-1672z', 50: '-2016x-1481y-1994z', 51: '-203x-595y-3137z', 52: '-2067x-2441y-31z', 53: '-2108x-1384y-1969z', 54: '-2113x-1751y-1644z', 55: '-213x-2142y-2367z', 56: '-2192x-2330y0z', 57: '-2194x-1282y-1943z', 58: '-2215x-1648y-1617z', 59: '-2276x-1174y-1918z', 60: '-230x-2457y-2036z', 61: '-2311x-1538y-1589z', 62: '-2351x-1061y-1892z', 63: '-235x-3164y-414z', 64: '-236x-1074y-3004z', 65: '-2402x-1423y-1561z', 66: '-2421x-944y-1866z', 67: '-246x-613y-3131z', 68: '-2485x-821y-1840z', 69: '-2487x-1303y-1533z', 70: '-2542x-695y-1814z', 71: '-2566x-1177y-1505z', 72: '-2593x-565y-1787z', 73: '-2636x-431y-1761z', 74: '-2638x-1047y-1477z', 75: '-2672x-295y-1734z', 76: '-2703x-912y-1448z', 77: '-2761x-773y-1420z', 78: '-2811x-631y-1391z', 79: '-291x-627y-3124z', 80: '-300x-1089y-2993z', 81: '-31x-470y-3165z', 82: '-329x-2151y-2345z', 83: '-338x-639y-3117z', 84: '-361x-2462y-2011z', 85: '-366x-1100y-2982z', 86: '-387x-647y-3109z', 87: '-401x-3151y-382z', 88: '-434x-1107y-2970z', 89: '-437x-652y-3102z', 90: '-446x-2154y-2323z', 91: '-489x-653y-3094z', 92: '-493x-2459y-1986z', 93: '-504x-1110y-2958z', 94: '-543x-650y-3085z', 95: '-564x-2150y-2301z', 96: '-566x-3129y-350z', 97: '-575x-1108y-2946z', 98: '-597x-643y-3077z', 99: '-60x-499y-3160z', 100: '-626x-2449y-1961z', 101: '-647x-1102y-2933z', 102: '-652x-632y-3068z', 103: '-682x-2139y-2279z', 104: '-69x-3167y-446z', 105: '-6x-440y-3169z', 106: '-707x-618y-3058z', 107: '-720x-1091y-2920z', 108: '-730x-3099y-319z', 109: '-759x-2431y-1936z', 110: '-763x-599y-3049z', 111: '-793x-1075y-2907z', 112: '-801x-2122y-2256z', 113: '-818x-575y-3039z', 114: '-867x-1054y-2893z', 115: '-872x-548y-3029z', 116: '-892x-2406y-1910z', 117: '-892x-3059y-287z', 118: '-91x-527y-3154z', 119: '-920x-2097y-2234z', 120: '-926x-516y-3018z', 121: '-940x-1029y-2880z', 122: '-979x-480y-3008z'}; time: 04:36:05 02/04/13 Pacific Standard Time}
        # { Queue4Xi : _feed ; (Step 8/9h) set; object-set-by-feed-of-Queue4Xi to: {1: '-1010x-495y-3102z', 2: '-103x-2193y-2463z', 3: '-103x-2522y-2125z', 4: '-1045x-1030y-2955z' ...
        # { Queue4Xi : _feed ; (Step 8/9l) passing; object-passing-to-send-by-feed-of-Queue4Xi: {1: '-1010x-495y-3102z', 2: '-103x-2193y-2463z', 3: '-103x-2522y-2125z', 4: '-1045x-1030y-2955z' ...
        # { Queue4Xi : _feed ; (Step 8/9m) sent; object-sent-by-feed-of-Queue4Xi: {1: '-1010x-495y-3102z', 2: '-103x-2193y-2463z', 3: '-103x-2522y-2125z', 4: '-1045x-1030y-2955z', 5: '-1056x-2448y-1943z', 6: '-1063x-454y-3090z', 7: '-1071x-2131y-2280z', 8: '-1084x-3105y-263z', 9: '-1114x-408y-3079z', 10: '-1120x-993y-2940z', 11: '-1163x-358y-3067z', 12: '-1192x-2406y-1917z', 13: '-1193x-2091y-2256z', 14: '-1193x-951y-2925z', 15: '-1210x-304y-3054z', 16: '-123x-1097y-3215z', 17: '-1246x-3046y-230z', 18: '-1254x-246y-3042z', 19: '-1265x-905y-2910z', 20: '-1296x-185y-3029z', 21: '-130x-569y-3247z', 22: '-1313x-2045y-2231z', 23: '-1325x-2357y-1890z', 24: '-1334x-119y-3015z', 25: '-1335x-853y-2894z', 26: '-1403x-796y-2878z', 27: '-1405x-2979y-197z', 28: '-1431x-1991y-2207z', 29: '-1457x-2301y-1862z', 30: '-1468x-734y-2862z', 31: '-1531x-668y-2845z', 32: '-1547x-1931y-2182z', 33: '-1560x-2903y-164z', 34: '-1586x-2236y-1835z', 35: '-1590x-597y-2828z', 36: '-1646x-521y-2811z', 37: '-1660x-1864y-2158z', 38: '-168x-593y-3241z', 39: '-1699x-441y-2794z', 40: '-1710x-2818y-131z', 41: '-1712x-2164y-1808z', 42: '-1771x-1789y-2132z', 43: '-180x-1088y-3110z', 44: '-1835x-2085y-1780z', 45: '-1856x-2726y-98z', 46: '-1878x-1708y-2107z', 47: '-1954x-1999y-1752z', 48: '-1981x-1621y-2082z', 49: '-1997x-2626y-65z', 50: '-2069x-1906y-1724z', 51: '-2079x-1527y-2056z', 52: '-209x-614y-3235z', 53: '-2132x-2518y-32z', 54: '-2174x-1428y-2030z', 55: '-2179x-1806y-1696z', 56: '-220x-2209y-2441z', 57: '-2261x-2403y0z', 58: '-2263x-1322y-2004z', 59: '-2284x-1699y-1667z', 60: '-2347x-1211y-1978z', 61: '-237x-2534y-2100z', 62: '-2384x-1587y-1639z', 63: '-2425x-1095y-1951z', 64: '-242x-3263y-427z', 65: '-244x-1107y-3098z', 66: '-2477x-1468y-1610z', 67: '-2497x-973y-1924z', 68: '-253x-632y-3228z', 69: '-2563x-847y-1898z', 70: '-2565x-1344y-1581z', 71: '-2622x-717y-1870z', 72: '-2646x-1214y-1552z', 73: '-2674x-583y-1843z', 74: '-2719x-445y-1816z', 75: '-2720x-1079y-1523z', 76: '-2756x-304y-1788z', 77: '-2787x-940y-1494z', 78: '-2847x-797y-1464z', 79: '-2899x-650y-1434z', 80: '-300x-647y-3221z', 81: '-309x-1123y-3087z', 82: '-32x-485y-3263z', 83: '-339x-2218y-2419z', 84: '-348x-659y-3214z', 85: '-372x-2539y-2074z', 86: '-378x-1134y-3075z', 87: '-399x-667y-3206z', 88: '-413x-3250y-394z', 89: '-448x-1142y-3063z', 90: '-451x-672y-3199z', 91: '-460x-2221y-2396z', 92: '-505x-673y-3190z', 93: '-509x-2536y-2048z', 94: '-519x-1144y-3051z', 95: '-560x-670y-3182z', 96: '-581x-2217y-2373z', 97: '-584x-3227y-361z', 98: '-593x-1143y-3038z', 99: '-616x-663y-3173z', 100: '-62x-515y-3258z', 101: '-646x-2525y-2022z', 102: '-667x-1136y-3025z', 103: '-672x-652y-3164z', 104: '-6x-453y-3268z', 105: '-704x-2206y-2350z', 106: '-71x-3266y-460z', 107: '-729x-637y-3154z', 108: '-742x-1125y-3011z', 109: '-752x-3196y-328z', 110: '-783x-2507y-1996z', 111: '-786x-617y-3144z', 112: '-818x-1109y-2998z', 113: '-826x-2188y-2327z', 114: '-843x-593y-3134z', 115: '-894x-1087y-2984z', 116: '-900x-565y-3124z', 117: '-920x-2481y-1970z', 118: '-920x-3155y-296z', 119: '-949x-2163y-2303z', 120: '-94x-543y-3253z', 121: '-955x-532y-3113z', 122: '-970x-1061y-2970z'}; time: 04:36:05 02/04/13 Pacific Standard Time}
        # { Queue4Xi : _feed ; (Step 8/9q) warned; possible-IndexError-warned-by-feed-of-Queue4Xi:  ** <class 'IndexError'> ** ; time: 04:36:05 02/04/13 Pacific Standard Time}
        # { Queue4Xi : _feed ; (Step 8/9r) informing; Ignore-informing-by-feed-of-Queue4Xi: because of running in a daemon the thread,  resources it uses may become unusable while the process is cleaning up! ; time: 04:36:05 02/04/13 Pacific Standard Time}
        # { Queue4Xi : _feed ; (Step 8/9c) performed; nacquire-performed-by-feed-of-Queue4Xi: <built-in method acquire of _thread.lock object at 0x00000000036F00A8>; time: 04:36:05 02/04/13 Pacific Standard Time}
        # { Queue4Xi : _feed ; (Step 8/9d) calling; nwait-calling-by-feed-of-Queue4Xi: <bound method Condition.wait of <Condition(<_thread.lock object at 0x00000000036F00A8>, 0)>>; time: 04:36:05 02/04/13 Pacific Standard Time}
        # =================================     

    # =========================================================================================================   
    # GET ANSWERS FROM QUEUES TO CONTROL MESSAGES - FROM QUEUES OF EACH EIGHT PROCESSES - [ACK] 
    # =========================================================================================================      
    if ack2debug is True:
        print("\n (STEP 28F0/800) OF COLOR_TENSES4XI - TRYING TO GET ANSWERS TO CONTROL MESSAGES FROM QUEUES OF REQUIRED PROCESSES ", time4xi())  
        # 05:54:05 02/04/13 Pacific Standard Time - without calling join method
        keys2direction = DirectionKB4Xi.keys()
        for key2direction in keys2direction:
            if key2direction > 0:
                print(key2direction, ': ',DirectionKB4Xi[key2direction])
    
    if DirectionKB4Xi[1] is True:       
        #==========
        # ONE [ACK] 
        #==========
    
        if ack2one4process is True:
    
            if ack2one4start is True:
    
                                
                if ack2one4run is True:
                    # -----------------------------------------------------------------------------------------    
                    # 1 - GET ANSWER TO CONTROL MESSAGE FROM QUEUE WHERE PROCESS TARGET FUNCTION HAS PUT ANSWER
                    # -----------------------------------------------------------------------------------------                    
                    if ack2debug is True:
                        print("\n (STEP 28F1/800) OF COLOR_TENSES4XI - TRYING TO GET CONTROL MESSAGE FROM QUEUE ONE ", queue2one)  
                        # <queue4xi.Queue4Xi object at 0x00000000037325C0>
                    
                    message2get4one = queue2one.get()
                    if ack2debug is True:
                        print("\n (STEP 28F2/800) OF COLOR_TENSES4XI -  GOT FROM QUEUE ONE CONTROL MESSAGE : ", queue2one, " MESSAGE: ", message2get4one) 
                        # <queue4xi.Queue4Xi object at 0x00000000037325C0>  MESSAGE:  <roger4xi>roger2one</roger4xi>
                    
                else:
                    print("\n (STEP 28F3/800) OF COLOR_TENSES4XI ** SKIPPED GETTING ONE CONTROL MESSAGE - FAILED RUNNING PROCESS NAME: ", name2one)                    
            else:
                print("\n (STEP 285F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING ONE CONTROL MESSAGE - FAILED STARTING PROCESS NAME: ", name2one)                                         
        else:
            print("\n (STEP 28F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING ONE CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())                    
        
    if DirectionKB4Xi[2] is True:      
        #=========
        # TWO [ACK]
        #=========
                                       
        if ack2two4process is True:
    
            if ack2two4start is True:
    
                if ack2two4run is True:
                    # -----------------------------------------------------------------------------------------    
                    # 2 - GET ANSWER TO CONTROL MESSAGE FROM QUEUE WHERE PROCESS TARGET FUNCTION HAS PUT ANSWER
                    # -----------------------------------------------------------------------------------------                    
                    if ack2debug is True:
                        print("\n (STEP 29F1/800) OF COLOR_TENSES4XI - TRYING TO GET CONTROL MESSAGE FROM QUEUE TWO ", queue2two) 
                        # <queue4xi.Queue4Xi object at 0x0000000003732748>
                    
                    message2get4two = queue2two.get()
                    if ack2debug is True:
                        print("\n (STEP 29F2/800) OF COLOR_TENSES4XI -  GOT FROM QUEUE TWO CONTROL MESSAGE : ", queue2two, " MESSAGE: ", message2get4two)
                        # <queue4xi.Queue4Xi object at 0x0000000003732748>  MESSAGE:  <roger4xi>roger2two</roger4xi>
                    
                else:
                    print("\n (STEP 29F3/800) OF COLOR_TENSES4XI ** SKIPPED GETTING TWO CONTROL MESSAGE - FAILED RUNNING PROCESS NAME: ", name2two)    
            else:
                print("\n (STEP 29F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING TWO CONTROL MESSAGE - FAILED STARTING PROCESS NAME: ", name2two)                                         
        else:
            print("\n (STEP 29F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING TWO CONTROL MESSAGE - FAILED IN CREATING THE PROCESS TWO ", time4xi())                    

    if DirectionKB4Xi[3] is True:          
        #========
        # THREE [ACK] 
        #======== 
    
        if ack2three4process is True:
    
            if ack2three4start is True:
    
                if ack2three4run is True:
                    # -----------------------------------------------------------------------------------------    
                    # 3 - GET ANSWER TO CONTROL MESSAGE FROM QUEUE WHERE PROCESS TARGET FUNCTION HAS PUT ANSWER
                    # -----------------------------------------------------------------------------------------                    
                    if ack2debug is True:
                        print("\n (STEP 30F1/800) OF COLOR_TENSES4XI - TRYING TO GET CONTROL MESSAGE FROM QUEUE THREE ", queue2three)
                        # <queue4xi.Queue4Xi object at 0x00000000037328D0>
                     
                    message2get4three = queue2three.get()
                    if ack2debug is True:
                        print("\n (STEP 30F2/800) OF COLOR_TENSES4XI -  GOT FROM QUEUE THREE CONTROL MESSAGE : ", queue2three, " MESSAGE: ", message2get4three)
                        # <queue4xi.Queue4Xi object at 0x00000000037328D0>  MESSAGE:  <roger4xi>roger2three</roger4xi>
                    
                else:
                    print("\n (STEP 30F3/800) OF COLOR_TENSES4XI ** SKIPPED GETTING THREE CONTROL MESSAGE - FAILED RUNNING PROCESS NAME: ", name2three)                  
    
            else:
                print("\n (STEP 30F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING THREE CONTROL MESSAGE - FAILED STARTING PROCESS NAME: ", name2three)                                         
        else:
            print("\n (STEP 30F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING THREE CONTROL MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())                    
    
    if DirectionKB4Xi[4] is True:      
        #===========
        # FOUR [ACK]
        #=========== 
    
                                      
        if ack2four4process is True:
    
            if ack2four4start is True:
    
                if ack2four4run is True:
                    # -----------------------------------------------------------------------------------------    
                    # 4 - GET ANSWER TO CONTROL MESSAGE FROM QUEUE WHERE PROCESS TARGET FUNCTION HAS PUT ANSWER
                    # -----------------------------------------------------------------------------------------                    
                    if ack2debug is True:
                        print("\n (STEP 31F1/800) OF COLOR_TENSES4XI - TRYING TO GET CONTROL MESSAGE FROM QUEUE FOUR ", queue2four)
                        # <queue4xi.Queue4Xi object at 0x0000000003732A58>
                    
                    message2get4four = queue2four.get()
                    if ack2debug is True:
                        print("\n (STEP 31F2/800) OF COLOR_TENSES4XI -  GOT FROM QUEUE FOUR CONTROL MESSAGE : ", queue2four, " MESSAGE: ", message2get4four)
                        # <queue4xi.Queue4Xi object at 0x0000000003732A58>  MESSAGE:  <roger4xi>roger2four</roger4xi>
    
                else:
                    print("\n (STEP 31F3/800) OF COLOR_TENSES4XI ** SKIPPED GETTING FOUR CONTROL MESSAGE - FAILED RUNNING PROCESS NAME: ", name2four)                 
        
            else:
                print("\n (STEP 31F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING FOUR CONTROL MESSAGE - FAILED STARTING PROCESS NAME: ", name2four)                                         
        else:
            print("\n (STEP 31F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING FOUR CONTROL MESSAGE - FAILED IN CREATING THE PROCESS FOUR ", time4xi())                    
            
    if DirectionKB4Xi[5] is True:      
        #===========
        # FIVE [ACK]
        #=========== 
    
        if ack2five4process is True:
    
            if ack2five4start is True:
    
                if ack2five4run is True:
                    # -----------------------------------------------------------------------------------------    
                    # 5 - GET ANSWER TO CONTROL MESSAGE FROM QUEUE WHERE PROCESS TARGET FUNCTION HAS PUT ANSWER
                    # -----------------------------------------------------------------------------------------                    
                    if ack2debug is True:
                        print("\n (STEP 32F1/800) OF COLOR_TENSES4XI - TRYING TO GET FROM QUEUE CONTROL MESSAGE FROM QUEUE FIVE ", queue2five)
                        # <queue4xi.Queue4Xi object at 0x0000000003732BE0>
                    
                    message2get4five = queue2five.get()
                    if ack2debug is True:
                        print("\n (STEP 32F2/800) OF COLOR_TENSES4XI -  GOT FROM QUEUE FIVE CONTROL MESSAGE : ", queue2five, " MESSAGE: ", message2get4five)
                        # <queue4xi.Queue4Xi object at 0x0000000003732BE0>  MESSAGE:  <roger4xi>roger2five</roger4xi>
           
                else:
                    print("\n (STEP 32F3/800) OF COLOR_TENSES4XI ** SKIPPED GETTING FIVE CONTROL MESSAGE - FAILED RUNNING PROCESS NAME: ", name2five) 
            else:
                print("\n (STEP 32F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING FIVE CONTROL MESSAGE - FAILED STARTING PROCESS NAME: ", name2five)                                                         
        else:
            print("\n (STEP 32F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING FIVE CONTROL MESSAGE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())                    
            
    if DirectionKB4Xi[6] is True:      
        #===========
        # SIX [ACK]
        #===========         
    
        if ack2six4process is True:
    
            if ack2six4start is True:
    
                if ack2six4run is True:
                    # -----------------------------------------------------------------------------------------    
                    # 6 - GET ANSWER TO CONTROL MESSAGE FROM QUEUE WHERE PROCESS TARGET FUNCTION HAS PUT ANSWER
                    # -----------------------------------------------------------------------------------------                    
                    if ack2debug is True:
                        print("\n (STEP 33F1/800) OF COLOR_TENSES4XI - TRYING TO GET FROM QUEUE SIX CONTROL MESSAGE ", queue2six)
                        # <queue4xi.Queue4Xi object at 0x0000000003732D68>
                    
                    message2get4six = queue2six.get()
                    if ack2debug is True:
                        print("\n (STEP 33F2/800) OF COLOR_TENSES4XI -  GOT FROM QUEUE SIX CONTROL MESSAGE : ", queue2six, " MESSAGE: ", message2get4six)
                        # <queue4xi.Queue4Xi object at 0x0000000003732D68>  MESSAGE:  <roger4xi>roger2six</roger4xi>
                else:
                    print("\n (STEP 33F3/800) OF COLOR_TENSES4XI ** SKIPPED GETTING SIX CONTROL MESSAGE - FAILED STARTING PROCESS NAME: ", name2six)                
    
            else:
                print("\n (STEP 33F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING SIX CONTROL MESSAGE - FAILED RUNNING PROCESS NAME: ", name2six)                                         
        else:
            print("\n (STEP 33F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING SIX CONTROL MESSAGE - FAILED IN CREATING THE PROCESS SIX ", time4xi())                    
            
    if DirectionKB4Xi[7] is True:          
        #=============
        # SEVEN [ACK]
        #=============              
    
        if ack2seven4process is True:
    
            if ack2seven4start is True:
    
                if ack2seven4run is True:
                    # -----------------------------------------------------------------------------------------    
                    # 7 - GET ANSWER TO CONTROL MESSAGE FROM QUEUE WHERE PROCESS TARGET FUNCTION HAS PUT ANSWER
                    # -----------------------------------------------------------------------------------------                    
                    if ack2debug is True:
                        print("\n (STEP 34F1/800) OF COLOR_TENSES4XI - TRYING TO GET FROM QUEUE SEVEN CONTROL MESSAGE ", queue2seven)
                        # <queue4xi.Queue4Xi object at 0x0000000003732EF0>
                     
                    message2get4seven = queue2seven.get()
                    if ack2debug is True:
                        print("\n (STEP 34F2/800) OF COLOR_TENSES4XI -  GOT FROM QUEUE SEVEN CONTROL MESSAGE : ", queue2seven, " MESSAGE: ", message2get4seven)
                        # <queue4xi.Queue4Xi object at 0x0000000003732EF0>  MESSAGE:  <roger4xi>roger2seven</roger4xi>
    
                else:
                    print("\n (STEP 34F3/800) OF COLOR_TENSES4XI ** SKIPPED GETTING SEVEN CONTROL MESSAGE - FAILED RUNNING PROCESS NAME: ", name2seven)                                        
            else:
                print("\n (STEP 34F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING SEVEN CONTROL MESSAGE - FAILED IN STARTING THE PROCESS ", time4xi())                 
        else:
            print("\n (STEP 34F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING SEVEN CONTROL MESSAGE - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())                    
            
    if DirectionKB4Xi[8] is True:      
        #=============
        # EIGHT [ACK]
        #=============              
    
        if ack2eight4process is True:
    
            if ack2eight4start is True:
    
                if ack2eight4run is True:
                    # -----------------------------------------------------------------------------------------    
                    # 8 - GET ANSWER TO CONTROL MESSAGE FROM QUEUE WHERE PROCESS TARGET FUNCTION HAS PUT ANSWER
                    # -----------------------------------------------------------------------------------------                    
                    if ack2debug is True:
                        print("\n (STEP 35F1/800) OF COLOR_TENSES4XI - TRYING TO GET FROM QUEUE EIGHT CONTROL MESSAGE ", queue2eight)
                        # <queue4xi.Queue4Xi object at 0x0000000003732438>
                    
                    message2get4eight = queue2eight.get()
                    if ack2debug is True:
                        print("\n (STEP 35F2/800) OF COLOR_TENSES4XI -  GOT FROM QUEUE EIGHT CONTROL MESSAGE : ", queue2eight, " MESSAGE: ", message2get4eight)
                        # <queue4xi.Queue4Xi object at 0x0000000003732438>  MESSAGE:  <roger4xi>roger2eight</roger4xi>
                    
        
                else:
                    print("\n (STEP 35F3/800) OF COLOR_TENSES4XI ** SKIPPED GETTING EIGHT CONTROL MESSAGE - FAILED IN RUNNING PROCESS NAME: ", name2eight)                                         
            else:
                print("\n (STEP 35F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING EIGHT CONTROL MESSAGE - FAILED IN STARTING THE PROCESS ", time4xi())                    
        else:
            print("\n (STEP 35F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING EIGHT CONTROL MESSAGE - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())   

    # =========================================================================================================   
    # EOF GET ANSWERS FROM QUEUES TO CONTROL MESSAGES - FROM QUEUES OF EACH OF EIGHT PROCESS - [ACK]
    # =========================================================================================================      
    if ack2debug is True:
        print("\n (STEP 35F6/800) OF COLOR_TENSES4XI - DONE TRIALS TO GET ANSWERS TO CONTROL MESSAGES FROM QUEUES OF REQUIRED PROCESS ", time4xi())  
        # 06:15:20 02/06/13 Pacific Standard Time
        keys2direction = DirectionKB4Xi.keys()
        for key2direction in keys2direction:
            if key2direction > 0:
                print(key2direction, ': ',DirectionKB4Xi[key2direction])
                # 1 :  True
                # 2 :  True
                # 3 :  True
                # 4 :  True
                # 5 :  True
                # 6 :  True
                # 7 :  True
                # 8 :  True         
                    
    # =========================================================================================================   
    # RECEIVE VIA PIPES ANSWERS TO CONTROL MESSAGE - FROM EACH OF EIGHT PROCESSES -  [ACK] 
    # =========================================================================================================      
    if ack2debug is True:
        print("\n (STEP 36F0/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE VIA PIPES ANSWERS TO CONTROL MESSAGE FROM REQUIRED PROCESSES ", time4xi())
        #  [ACK] 05:54:05 02/04/13 Pacific Standard Time    
        keys2direction = DirectionKB4Xi.keys()
        for key2direction in keys2direction:
            if key2direction > 0:
                print(key2direction, ': ',DirectionKB4Xi[key2direction])
        
    if DirectionKB4Xi[1] is True:  
        #========
        # ONE [ACK] 
        #========
    
        if ack2one4process is True:
    
            if ack2one4start is True:
    
                if ack2one4run is True:
        
                    # -----------------------------------------------------------------------------------------    
                    # 1 - RECEIVE ANSWER TO CONTROL MESSAGE FROM PIPE WHERE PROCESS TARGET FUNCTION HAS SENT IT
                    # -----------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 36F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE ONE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                        # <pipeconnection4xi.PipeConnection4Xi object at 0x0000000003719F60>
                    
                    message2receive4one = pipe2one_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 36F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE ONE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message2receive4one)
                        # <pipeconnection4xi.PipeConnection4Xi object at 0x0000000003719F60>  CONTROL MESSAGE:  <roger4xi>roger2one</roger4xi> 
                    
                else:
                    print("\n (STEP 36F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING ONE CONTROL MESSAGE - FAILED RUNNING PROCESS NAME: ", name2one)                 
            else:
                print("\n (STEP 36F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING ONE CONTROL MESSAGE - FAILED STARTING PROCESS NAME: ", name2one)                                         
        else:
            print("\n (STEP 36F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING ONE CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())                    
        
    if DirectionKB4Xi[2] is True:      
        #=========
        # TWO [ACK]
        #=========
        if ack2two4process is True:
    
            if ack2two4start is True:
    
                if ack2two4run is True:
        
                    # -----------------------------------------------------------------------------------------    
                    # 2 - RECEIVE ANSWER TO CONTROL MESSAGE FROM PIPE WHERE PROCESS TARGET FUNCTION HAS SENT IT
                    # -----------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 37F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE TWO CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                        # <pipeconnection4xi.PipeConnection4Xi object at 0x00000000037321D0>
                    
                    message2receive4two = pipe2two_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 37F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE TWO CONSUMER_CHANNEL: ", pipe2two_consumer_channel, "  CONTROL MESSAGE: ", message2receive4two)
                        # <pipeconnection4xi.PipeConnection4Xi object at 0x00000000037321D0>   CONTROL MESSAGE:  <roger4xi>roger2two</roger4xi>
                else:
                    print("\n (STEP 37F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING TWO CONTROL MESSAGE - FAILED RUNNING PROCESS NAME: ", name2two)      
                
            else:
                print("\n (STEP 37F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING TWO CONTROL MESSAGE - FAILED STARTING PROCESS NAME: ", name2two)                                         
        else:
            print("\n (STEP 37F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING TWO CONTROL MESSAGE - FAILED IN CREATING THE PROCESS TWO ", time4xi())                    

    if DirectionKB4Xi[3] is True:      
        #========
        # THREE [ACK]
        #======== 
    
        if ack2three4process is True:
    
            if ack2three4start is True:
    
                if ack2three4run is True:
        
                    # -----------------------------------------------------------------------------------------    
                    # 3 - RECEIVE ANSWER TO CONTROL MESSAGE FROM PIPE WHERE PROCESS TARGET FUNCTION HAS SENT IT
                    # -----------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 38F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE THREE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                        # <pipeconnection4xi.PipeConnection4Xi object at 0x0000000003732240>
                        #  (STEP 37F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL:  <pipeconnection4xi.PipeConnection4Xi object at 0x00000000037321D0>   CONTROL MESSAGE:  <roger4xi>roger2two</roger4xi>
                        #  (STEP 38F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL:  <pipeconnection4xi.PipeConnection4Xi object at 0x0000000003732240>
                        #  { Queue4Xi : _feed ; (Step 8/9m) sent; object-sent-by-feed-of-Queue4Xi: {1: '-1001x2946y1098z', 2: '-1037x1975y2431z', 3: '-1044x946y2983z', 4: '-104x22y3298z' ...
                        #  Queue4Xi : _feed ; (Step 8/9q) warned; possible-IndexError-warned-by-feed-of-Queue4Xi:  ** <class 'IndexError'> ** ; time: 05:54:05 02/04/13 Pacific Standard Time}
                        
                    message2receive4three = pipe2three_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 38F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE THREE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " CONTROL MESSAGE: ", message2receive4three)
                        # <pipeconnection4xi.PipeConnection4Xi object at 0x0000000003732240>  CONTROL MESSAGE:  <roger4xi>roger2three</roger4xi>
                else:
                    print("\n (STEP 38F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING RECEIVING THREE CONTROL MESSAGE - FAILED RUNNING PROCESS NAME: ", name2three)       
            else:
                print("\n (STEP 38F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING RECEIVING THREE CONTROL MESSAGE - FAILED STARTING PROCESS NAME: ", name2three)                                         
        else:
            print("\n (STEP 38F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING RECEIVING THREE CONTROL MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())                    
    
    if DirectionKB4Xi[4] is True:      
        #===========
        # FOUR [ACK]
        #=========== 
    
        if ack2four4process is True:
    
            if ack2four4start is True:
    
                if ack2four4run is True:
        
                    # -----------------------------------------------------------------------------------------    
                    # 4 - RECEIVE ANSWER TO CONTROL MESSAGE FROM PIPE WHERE PROCESS TARGET FUNCTION HAS SENT IT
                    # -----------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 39F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE FOUR CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                        # <pipeconnection4xi.PipeConnection4Xi object at 0x00000000037322B0>
                    
                    message2receive4four = pipe2four_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 39F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE FOUR CONSUMER_CHANNEL: ", pipe2four_consumer_channel, "  CONTROL MESSAGE: ", message2receive4four)
                        # { Queue4Xi : _feed ; (Step 8/9m) sent; object-sent-by-feed-of-Queue4Xi: {1: '-1016x880y-1740z', 2: '-1041x1782y-760z', 3: '-1047x815y-1754z', 4: '-1070x1780y-724z' ...
                        # <pipeconnection4xi.PipeConnection4Xi object at 0x00000000037322B0>   CONTROL MESSAGE:  <roger4xi>roger2four</roger4xi>
                        
                else:
                    print("\n (STEP 39F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING  FOUR CONTROL MESSAGE - FAILED RUNNING PROCESS NAME: ", name2four)  
            else:
                print("\n (STEP 39F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING  FOUR CONTROL MESSAGE - FAILED STARTING PROCESS NAME: ", name2four)                                         
        else:
            print("\n (STEP 39F50/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING  FOUR CONTROL MESSAGE - FAILED IN CREATING THE PROCESS FOUR ", time4xi())                    
            
    if DirectionKB4Xi[5] is True:      
        #===========
        # FIVE [ACK]
        #=========== 
        if ack2five4process is True:
    
            if ack2five4start is True:
    
                if ack2five4run is True:
        
                    # -----------------------------------------------------------------------------------------    
                    # 5 - RECEIVE ANSWER TO CONTROL MESSAGE FROM PIPE WHERE PROCESS TARGET FUNCTION HAS SENT IT
                    # -----------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 40F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE FIVE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                        # <pipeconnection4xi.PipeConnection4Xi object at 0x0000000003732320>
                    
                    message2receive4five = pipe2five_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 40F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE FIVE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, "  CONTROL MESSAGE : ", message2receive4five)
                        # { Queue4Xi : _feed ; (Step 8/9l) passing; object-passing-to-send-by-feed-of-Queue4Xi: {1: '-1024x1923y-735z', 2: '-1026x987y-1805z', 3: '-1062x921y-1819z', 4: '-1088x1863y-794z' ...
                        # <pipeconnection4xi.PipeConnection4Xi object at 0x0000000003732320>   CONTROL MESSAGE :  <roger4xi>roger2five</roger4xi>
                else:
                    print("\n (STEP 40F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING FIVE CONTROL MESSAGE - FAILED RUNNING PROCESS NAME: ", name2five)      
            else:
                print("\n (STEP 40F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING FIVE CONTROL MESSAGE - FAILED STARTING PROCESS NAME: ", name2five)                                         
        else:
            print("\n (STEP 40F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING FIVER CONTROL MESSAGE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())                    
            
    if DirectionKB4Xi[6] is True:          
        #===========
        # SIX [ACK]
        #===========         
    
        if ack2six4process is True:
    
            if ack2six4start is True:
    
                if ack2six4run is True:
        
                    # -----------------------------------------------------------------------------------------    
                    # 6 - RECEIVE ANSWER TO CONTROL MESSAGE FROM PIPE WHERE PROCESS TARGET FUNCTION HAS SENT IT
                    # -----------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 41F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE SIX CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                        # <pipeconnection4xi.PipeConnection4Xi object at 0x0000000003732390>
                    
                    message2receive4six = pipe2six_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 41F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE SIX CONSUMER_CHANNEL: ", pipe2six_consumer_channel, "  CONTROL MESSAGE: ", message2receive4six)
                        # <pipeconnection4xi.PipeConnection4Xi object at 0x0000000003732390>   CONTROL MESSAGE:  <roger4xi>roger2six</roger4xi>
                else:
                    print("\n (STEP 41F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING SIX CONTROL MESSAGE - FAILED RUNNING PROCESS NAME: ", name2six)   
            else:
                print("\n (STEP 41F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING SIX CONTROL MESSAGE - FAILED STARTING PROCESS NAME: ", name2six)                                         
        else:
            print("\n (STEP 41F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING SIX CONTROL MESSAGE - FAILED IN CREATING THE PROCESS SIX ", time4xi())                    
            
    if DirectionKB4Xi[7] is True:      
        #=============
        # SEVEN [ACK]
        #=============              
    
        if ack2seven4process is True:
    
            if ack2seven4start is True:
    
                if ack2seven4run is True:
        
                    
                    # -----------------------------------------------------------------------------------------    
                    # 7 - RECEIVE ANSWER TO CONTROL MESSAGE FROM PIPE WHERE PROCESS TARGET FUNCTION HAS SENT IT
                    # -----------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 42F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE SEVEN CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                        # <pipeconnection4xi.PipeConnection4Xi object at 0x0000000003732400>
                    
                    message2receive4seven = pipe2seven_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 42F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE SEVEN CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, "  CONTROL MESSAGE: ", message2receive4seven)
                        # <pipeconnection4xi.PipeConnection4Xi object at 0x0000000003732400>   CONTROL MESSAGE:  <roger4xi>roger2seven</roger4xi>
                else:
                    print("\n (STEP 42F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING SEVEN CONTROL MESSAGE - FAILED RUNNING PROCESS NAME: ", name2seven)            
    
            else:
                print("\n (STEP 42F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING SEVEN CONTROL MESSAGE - FAILED STARTING PROCESS NAME: ", name2seven)                                         
        else:
            print("\n (STEP 42F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING SEVEN CONTROL MESSAGE - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())                    
            
    if DirectionKB4Xi[8] is True:      
        #=============
        # EIGHT [ACK]
        #=============              
    
        if ack2eight4process is True:
    
            if ack2eight4start is True:
    
                if ack2eight4run is True:
        
                    # -----------------------------------------------------------------------------------------    
                    # 8 - RECEIVE ANSWER TO CONTROL MESSAGE FROM PIPE WHERE PROCESS TARGET FUNCTION HAS SENT IT
                    # -----------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 43F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE EIGHT CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                        # <pipeconnection4xi.PipeConnection4Xi object at 0x0000000003732470>
                    
                    message2receive4eight = pipe2eight_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 43F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE EIGHT CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " CONTROL MESSAGE: ", message2receive4eight)
                        # <pipeconnection4xi.PipeConnection4Xi object at 0x0000000003732470>  CONTROL MESSAGE:  <roger4xi>roger2eight</roger4xi>
                else:
                    print("\n (STEP 43F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING EIGHT CONTROL MESSAGE - FAILED RUNNING PROCESS NAME: ", name2eight)    
            else:
                print("\n (STEP 43F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING EIGHT CONTROL MESSAGE - FAILED STARTING PROCESS NAME: ", name2eight)                                         
        else:
            print("\n (STEP 43F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING EIGHT CONTROL MESSAGE - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())                    
            
    # =========================================================================================================   
    # EOF RECEIVING VIA PIPES ANSWERS TO CONTROL MESSAGE - FROM EACH OF EIGHT PROCESSES -  [ACK] 
    # =========================================================================================================      
    if ack2debug is True:
        print("\n (STEP 43F6/800) OF COLOR_TENSES4XI - DONE TRIALS TO RECEIVE VIA PIPES ANSWERS TO CONTROL MESSAGE FROM REQUIRED PROCESSES ", time4xi())
        # [ACK] - 06:15:20 02/06/13 Pacific Standard Time
        #         whereas Queue4Xi had problems !    
        keys2direction = DirectionKB4Xi.keys()
        for key2direction in keys2direction:
            if key2direction > 0:
                print(key2direction, ': ',DirectionKB4Xi[key2direction])
                # 1 :  True
                # 2 :  True
                # 3 :  True
                # 4 :  True
                # 5 :  True
                # 6 :  True
                # 7 :  True
                # 8 :  True
                #           
    # =========================================================================================================   
    # RECEIVE INFO ABOUT SUCCESFULL DICTIONARY PUT VIA PIPES FROM EACH PROCESS/DIRECTION - MASTER ONES ONLY
    # However, feed and send might still be going on after put in the latest release of Queue!
    # =========================================================================================================      
    if ack2debug is True:
        print("\n (STEP 44F0/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE INFO ABOUT SUCCESFULL DICTIONARY PUT VIA PIPES FROM REQUIRED PROCESSES/DIRECTIONS ", time4xi())
        # 05:54:05 02/04/13 Pacific Standard Time
        keys2direction = DirectionKB4Xi.keys()
        for key2direction in keys2direction:
            if key2direction > 0:
                print(key2direction, ': ',DirectionKB4Xi[key2direction])
                
    if DirectionKB4Xi[1] is True:               
        #========
        # ONE [ACK]
        #========
    
        if ack2one4process is True:
    
            if ack2one4start is True:
    
                if ack2one4run is True:
        
                    # -----------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFO ABOUT SUCCESFULL DICTIONARY PUT VIA PIPE
                    # -----------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 44F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE FROM PIPE ONE CONSUMER_CHANNEL: ", pipe2one_consumer_channel) 
                        # <pipeconnection4xi.PipeConnection4Xi object at 0x0000000003719F60>
                     
                    message2receive4one = pipe2one_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 44F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE ONE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " MESSAGE  ABOUT DICTIONARY PUT: ", message2receive4one)
                        # { Queue4Xi : _feed ; (Step 8/9m) sent; object-sent-by-feed-of-Queue4Xi: {1: '-100x-787y-95z', 2: '-108x-276y-742z', 3: '-109x-163y-775z', 4: '-111x-538y-580z' ..
                        # { Queue4Xi : _feed ; (Step 8/9h) set; object-set-by-feed-of-Queue4Xi to: {1: '-101x-692y-565z', 2: '-103x-309y-838z', 3: '-108x-182y-874z', 4: '-112x-886y-107z' ... 
                        # { Queue4Xi : _feed ; (Step 8/9l) passing; object-passing-to-send-by-feed-of-Queue4Xi: {1: '-101x-692y-565z', 2: '-103x-309y-838z', 3: '-108x-182y-874z', 4: '-112x-886y-107z' ...
                        # <pipeconnection4xi.PipeConnection4Xi object at 0x0000000003719F60>  MESSAGE  ABOUT DICTIONARY PUT:  <ack2put4xi>queue2one</ack2put4xi>
                else:
                    print("\n (STEP 44F3/800) OF COLOR_TENSES4XI ** SKIPPED GETTING AND RECEIVING ONE - FAILED RUNNING PROCESS NAME: ", name2one)              
    
            else:
                print("\n (STEP 44F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING AND RECEIVING ONE - FAILED RUNNING PROCESS NAME: ", name2one)                                         
        else:
            print("\n (STEP 44F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING AND RECEIVING ONE - FAILED IN CREATING THE PROCESS ONE ", time4xi())                    
        
    if DirectionKB4Xi[2] is True:          
        #=========
        # TWO [ACK]
        #=========
    
        if ack2two4process is True:
    
            if ack2two4start is True:
    
                if ack2two4run is True:
        
                    # -----------------------------------------------------------------------------------------    
                    # 2 - RECEIVE INFO ABOUT SUCCESFULL DICTIONARY PUT VIA PIPE
                    # -----------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 45F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE FROM PIPE TWO CONSUMER_CHANNEL: ", pipe2two_consumer_channel) 
                        # <pipeconnection4xi.PipeConnection4Xi object at 0x00000000037321D0> 
                    
                    message2receive4two = pipe2two_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 45F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE TWO CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " MESSAGE  ABOUT DICTIONARY PUT: ", message2receive4two)
                        # <pipeconnection4xi.PipeConnection4Xi object at 0x0000000003732240>  MESSAGE  ABOUT DICTIONARY PUT:  <ack2put4xi>queue2three</ack2put4xi>
                        # { Queue4Xi : _feed ; (Step 8/9m) sent; object-sent-by-feed-of-Queue4Xi: {1: '-1042x-1434y682z', 2: '-1047x-1177y1060z', 3: '-1055x-1579y23z', 4: '-1100x-1113y1076z' ...
                        # { Queue4Xi : _feed ; (Step 8/9h) set; object-set-by-feed-of-Queue4Xi to: {1: '-101x-1931y508z', 2: '-1020x-1571y699z', 3: '-1022x-1718y4z', 4: '-1043x-1304y1099z ...
                        # 
                else:
                    print("\n (STEP 45F3/800) OF COLOR_TENSES4XI ** SKIPPED GETTING AND RECEIVING TWO - FAILED RUNNING PROCESS NAME: ", name2two)             
    
            else:
                print("\n (STEP 45F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING AND RECEIVING TWO - FAILED RUNNING PROCESS NAME: ", name2two)                                         
        else:
            print("\n (STEP 45F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING AND RECEIVING TWO - FAILED IN CREATING THE PROCESS TWO ", time4xi())                    

    if DirectionKB4Xi[3] is True:              
        #========
        # THREE [ACK] 
        #======== 
     
        if ack2three4process is True:
    
            if ack2three4start is True:
    
                if ack2three4run is True:
        
                    # -----------------------------------------------------------------------------------------    
                    # 3 - RECEIVE INFO ABOUT SUCCESFULL DICTIONARY PUT VIA PIPE
                    # -----------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 46F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE FROM PIPE THREE CONSUMER_CHANNEL: ", pipe2three_consumer_channel) 
                        # <pipeconnection4xi.PipeConnection4Xi object at 0x0000000003732320>
                    
                    message2receive4three = pipe2three_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 46F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE THREE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " MESSAGE  ABOUT DICTIONARY PUT: ", message2receive4three)
                        # <pipeconnection4xi.PipeConnection4Xi object at 0x0000000003732320>  MESSAGE  ABOUT DICTIONARY PUT:  <ack2put4xi>queue2five</ack2put4xi>
                else:
                    print("\n (STEP 46F3/800) OF COLOR_TENSES4XI ** SKIPPED GETTING AND RECEIVING THREE - FAILED RUNNING PROCESS NAME: ", name2three)                 
    
            else:
                print("\n (STEP 46F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING AND RECEIVING THREE - FAILED RUNNING PROCESS NAME: ", name2three)                                         
        else:
            print("\n (STEP 46F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING AND RECEIVING THREE - FAILED IN CREATING THE PROCESS THREE ", time4xi())                    
    
    if DirectionKB4Xi[4] is True:          
        #===========
        # FOUR [ACK]
        #=========== 
    
        if ack2four4process is True:
    
            if ack2four4start is True:
    
                if ack2four4run is True:
        
                    # -----------------------------------------------------------------------------------------    
                    # 4 - RECEIVE INFO ABOUT SUCCESFULL DICTIONARY PUT VIA PIPE
                    # -----------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 47F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE FROM PIPE FOUR CONSUMER_CHANNEL: ", pipe2four_consumer_channel) 
                        # <pipeconnection4xi.PipeConnection4Xi object at 0x00000000037322B0>
                    
                    message2receive4four = pipe2four_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 47F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE FOUR CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " MESSAGE  ABOUT DICTIONARY PUT: ", message2receive4four)
                        # { Queue4Xi : _feed ; (Step 8/9l) passing; object-passing-to-send-by-feed-of-Queue4Xi: {1: '-101x-1931y508z', 2: '-1020x-1571y699z', 3: '-1022x-1718y4z', 4: '-1043x-1304y1099z' ...
                        # <pipeconnection4xi.PipeConnection4Xi object at 0x00000000037322B0>  MESSAGE  ABOUT DICTIONARY PUT:  <ack2put4xi>queue2four</ack2put4xi>
                else:
                    print("\n (STEP 47F3/800) OF COLOR_TENSES4XI ** SKIPPED GETTING AND RECEIVING FOUR - FAILED RUNNING PROCESS NAME: ", name2four)                        
        
            else:
                print("\n (STEP 47F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING AND RECEIVING FOUR - FAILED RUNNING PROCESS NAME: ", name2four)                                         
        else:
            print("\n (STEP 47C5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING AND RECEIVING FOUR - FAILED IN CREATING THE PROCESS FOUR ", time4xi())                    
        
    if DirectionKB4Xi[5] is True:      
        #===========
        # FIVE [ACK]
        #=========== 
    
        if ack2five4process is True:
    
            if ack2five4start is True:
    
                if ack2five4run is True:
        
                    # -----------------------------------------------------------------------------------------    
                    # 5 - RECEIVE INFO ABOUT SUCCESFULL DICTIONARY PUT VIA PIPE
                    # -----------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 48F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE FROM PIPE FIVE CONSUMER_CHANNEL: ", pipe2five_consumer_channel) 
                        # <pipeconnection4xi.PipeConnection4Xi object at 0x0000000003732320>
                    
                    message2receive4five = pipe2five_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 48F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE FIVE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " MESSAGE  ABOUT DICTIONARY PUT: ", message2receive4five)
                        # <pipeconnection4xi.PipeConnection4Xi object at 0x0000000003732320>  MESSAGE  ABOUT DICTIONARY PUT:  <ack2put4xi>queue2five</ack2put4xi>
                else:
                    print("\n (STEP 48F3/800) OF COLOR_TENSES4XI ** SKIPPED GETTING AND RECEIVING FIVE - FAILED RUNNING PROCESS NAME: ", name2five)                    
    
            else:
                print("\n (STEP 48F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING AND RECEIVING FIVE - FAILED RUNNING PROCESS NAME: ", name2five)                                         
        else:
            print("\n (STEP 48F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING AND RECEIVING FIVE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())                    
            
    if DirectionKB4Xi[6] is True:      
        #===========
        # SIX [ACK]
        #===========         
    
        if ack2six4process is True:
    
            if ack2six4start is True:
    
                if ack2six4run is True:
        
                    # -----------------------------------------------------------------------------------------    
                    # 6 - RECEIVE INFO ABOUT SUCCESFULL DICTIONARY PUT VIA PIPE
                    # -----------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 49F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE FROM PIPE SIX CONSUMER_CHANNEL: ", pipe2six_consumer_channel) 
                        # <pipeconnection4xi.PipeConnection4Xi object at 0x0000000003732390>
                    
                    message2receive4six = pipe2six_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 49F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE SIX CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " MESSAGE  ABOUT DICTIONARY PUT: ", message2receive4six)
                        # <pipeconnection4xi.PipeConnection4Xi object at 0x0000000003732390>  MESSAGE  ABOUT DICTIONARY PUT:  <ack2put4xi>queue2six</ack2put4xi>
                else:
                    print("\n (STEP 49F3/800) OF COLOR_TENSES4XI ** SKIPPED GETTING AND RECEIVING SIX - FAILED RUNNING PROCESS NAME: ", name2six)               
    
            else:
                print("\n (STEP 49F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING AND RECEIVING SIX - FAILED RUNNING PROCESS NAME: ", name2six)                                         
        else:
            print("\n (STEP 49F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING AND RECEIVING SIX - FAILED IN CREATING THE PROCESS SIX ", time4xi())                    
            
    if DirectionKB4Xi[7] is True:          
        #=============
        # SEVEN [ACK]
        #=============              
    
        if ack2seven4process is True:
    
            if ack2seven4start is True:
    
                if ack2seven4run is True:
        
                    # -----------------------------------------------------------------------------------------    
                    # 7 - RECEIVE INFO ABOUT SUCCESFULL DICTIONARY PUT VIA PIPE
                    # -----------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 50F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE FROM PIPE SEVEN CONSUMER_CHANNEL: ", pipe2seven_consumer_channel) 
                        # <pipeconnection4xi.PipeConnection4Xi object at 0x0000000003732400>
                    
                    message2receive4seven = pipe2seven_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 50F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE SEVEN CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " MESSAGE  ABOUT DICTIONARY PUT: ", message2receive4seven)
                        # <pipeconnection4xi.PipeConnection4Xi object at 0x0000000003732400>  MESSAGE  ABOUT DICTIONARY PUT:  <ack2put4xi>queue2seven</ack2put4xi>
                else:
                    print("\n (STEP 50F3/800) OF COLOR_TENSES4XI ** SKIPPED GETTING AND RECEIVING SEVEN - FAILED RUNNING PROCESS NAME: ", name2seven)               
    
            else:
                print("\n (STEP 50F3/800) OF COLOR_TENSES4XI ** SKIPPED GETTING AND RECEIVING SEVEN - FAILED RUNNING PROCESS NAME: ", name2seven)                                         
        else:
            print("\n (STEP 50F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING AND RECEIVING SEVEN - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())                    
            
    if DirectionKB4Xi[8] is True:      
        #=============
        # EIGHT [ACK]
        #=============              
     
        if ack2eight4process is True:
    
            if ack2eight4start is True:
    
                if ack2eight4run is True:
        
                    
                    # -----------------------------------------------------------------------------------------    
                    # 8 - RECEIVE INFO ABOUT SUCCESFULL DICTIONARY PUT VIA PIPE
                    # -----------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 51F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE FROM PIPE EIGHT CONSUMER_CHANNEL: ", pipe2eight_consumer_channel) 
                        # <pipeconnection4xi.PipeConnection4Xi object at 0x0000000003732470> 
                    
                    message2receive4eight = pipe2eight_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 51F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE EIGHT CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " : ", message2receive4eight)
                        # <pipeconnection4xi.PipeConnection4Xi object at 0x0000000003732470>  :  <ack2put4xi>queue2eight</ack2put4xi>
                else:
                    print("\n (STEP 51F3/800) OF COLOR_TENSES4XI ** SKIPPED GETTING AND RECEIVING EIGHT - FAILED RUNNING PROCESS NAME: ", name2eight)
            else:
                print("\n (STEP 51F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING AND RECEIVING EIGHT - FAILED RUNNING PROCESS NAME: ", name2eight)                                         
        else:
            print("\n (STEP 51F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING AND RECEIVING EIGHT - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())                    
           
    # ===========================================================================================================   
    # [ACK] - EOF RECEIVING INFO ABOUT SUCCESFULL DICTIONARY PUT VIA PIPES FROM EACH PROCESS/DIRECTION - MASTER ONES ONLY
    # ===========================================================================================================      
    if ack2debug is True:
        print("\n (STEP 51F6/800) OF COLOR_TENSES4XI - DONE TRIALS TO RECEIVE INFO ABOUT SUCCESFULL DICTIONARY PUT VIA PIPES FROM REQUIRED PROCESS/DIRECTION ", time4xi())
        # [ACK] simulatanoeusly with Queue4Xi
        # 06:15:20 02/06/13 Pacific Standard Time
        keys2direction = DirectionKB4Xi.keys()
        for key2direction in keys2direction:
            if key2direction > 0:
                print(key2direction, ': ',DirectionKB4Xi[key2direction])
                # 1 :  True
                # 2 :  True
                # 3 :  True
                # 4 :  True
                # 5 :  True
                # 6 :  True
                # 7 :  True
                # 8 :  True           
    # =========================================================================================================   
    # [NACK] GET DICTIONARIES FROM QUEUES ONE ... EIGHT MASTER MODULES
    # =========================================================================================================      
    if ack2debug is True:
        print("\n (STEP 52F0/800) OF COLOR_TENSES4XI - TRYING TO GET DICTIONARIES FROM QUEUES OF REQUIRED DIRECTIONS ", time4xi())
        # 04:23:00 02/05/13 Pacific Standard Time
        keys2direction = DirectionKB4Xi.keys()
        for key2direction in keys2direction:
            if key2direction > 0:
                print(key2direction, ': ',DirectionKB4Xi[key2direction])
                # 1 :  True
                # 2 :  True
                # 3 :  True
                # 4 :  True
                # 5 :  True
                # 6 :  True
                # 7 :  True
                # 8 :  True
                  
    if DirectionKB4Xi[1] is True:             
        #========
        # ONE [NACK]
        #========
    
        if ack2one4process is True:
    
            if ack2one4start is True:
    
                if ack2one4run is True:
        
                    # -------------------------------------------------------------------------------------    
                    # 1 - GET DICTIONARY FROM QUEUE WHERE PROCESS TARGET FUNCTION HAS PUT IT
                    # -------------------------------------------------------------------------------------                    
                    if ack2debug is True:
                        print("\n (STEP 52F1/800) OF COLOR_TENSES4XI - TRYING TO GET FROM QUEUE ONE ", queue2one)  
                        # <queue4xi.Queue4Xi object at 0x0000000004FD1400>
                    
                    dictionary2get4one = {} 
                    try:
                        
                        dictionary2get4one = queue2one.get() 
                        if dictionary2get4one is None:
                            dictionary2get4one = shot2one104xi 
                            print("\n (STEP 52Z1/800) OF COLOR_TENSES4XI *** FAILED TO GET FROM QUEUE ONE - USING SHOT2ONE104XI: ", shot2one104xi)
                            # 
                        else:     
                            if ack2debug is True:
                                print("\n (STEP 52F2/800) OF COLOR_TENSES4XI -  GOT FROM QUEUE ONE: ", queue2one, " DICTIONARY: ", dictionary2get4one) 
                                # {1: '0x0y19z', 2: '0x0y39z', 3: '0x0y59z', 4: '0x0y89z', 5: '0x13y14z', 6: '0x13y15z', 7: '0x1y39z', 8: '0x1y59z' ...
                            
                    except:
                        # expected - trace it: {1: '0x0y19z', 2: '0x0y39z', 3: '0x0y59z', 4: '0x0y89z', 5: '0x13y14z', 6: '0x13y15z', 7: '0x1y39z', 8: '0x1y59z'
                        # STEP 7B/33) OF CHARGE2ONE4XI - RECEIVED MESSAGE2RECEIVE4ONE:  <copy4xi>copy2one</copy4xi>
                        # (STEP 7C/33) OF CHARGE2ONE4XI - SET MESSAGE2SEND4ONE:  <roger4xi>roger2one</roger4xi>
                        # (STEP 8A/33) OF CHARGE2ONE4XI - TRYING TO SEND DATA TO CHANNEL2PUBLISHER4ONE:  <pipeconnection4xi.PipeConnection4Xi object at 0x0000000005112D30>
                        # (STEP 8B/33) OF CHARGE2ONE4XI - SENT MESSAGE2SEND4ONE:  <roger4xi>roger2one</roger4xi>  CHANNEL2PUBLISHER4ONE:  <pipeconnection4xi.PipeConnection4Xi object at 0x0000000005112D30>
                        # (STEP 9A/33) OF CHARGE2ONE4XI - CREATING A DUMMY PROCESS4XI
                        # (STEP 9B/33) OF CHARGE2ONE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2ONE:  <DummyProcess4Xi(Thread-1, initial)>
                        # (STEP 9D/33) OF CHARGE2ONE4XI - STARTING THE DUMMY PROCESS4XI TIME:  07:41:53 02/04/13 Pacific Standard Time
                        # { Queue4Xi : put ; started; put-of-Queue4Xi-started: ; time: 07:41:53 02/04/13 Pacific Standard Time}
                        # { Queue4Xi : put ; passed; object-passed-to-put-of-Queue4Xi: {1: '0x0y19z', 2: '0x0y39z', 3: '0x0y59z', 4: '0x0y89z' <-- THEY ARE PUT AND SHOULD BE AVAILABLE! 
                        
                        
                        dictionary2get4one = shot2one104xi 
                        print("\n (STEP 52Z2/800) OF COLOR_TENSES4XI *** FAILED TO GET FROM QUEUE ONE - USING SHOT2ONE104XI: ", shot2one104xi)
                        # trace of <queue4xi.Queue4Xi object at 0x0000000004FD1400>
                        # { Queue4Xi : __init__ ; (Step 9/11b) performed; after-fork-of-queue2xi-performed-by-init-of-Queue4Xi: <bound method Queue4Xi._after_fork of <queue4xi.Queue4Xi object at 0x0000000004FD1400>>
                        # (STEP 2D2/800) OF COLOR_TENSES4XI - CREATED QUEUE ONE:  <queue4xi.Queue4Xi object at 0x0000000004FD1400>
                        
                        # { Queue4Xi : put ; (Step 4/8b) performed; start-thread-of-queue2xi-performed-by-put-of-Queue4Xi: <bound method Queue4Xi._start_thread of <queue4xi.Queue4Xi object at 0x0000000004FD1400>>
                        # (STEP 3C1/800) OF COLOR_TENSES4XI - PUT TO QUEUE ONE:  <queue4xi.Queue4Xi object at 0x0000000004FD1400>  MESSAGE2PUT4ONE:  <copy4xi>copy2one</copy4xi>
                        # STEP 2/33) OF CHARGE2ONE4XI, QUEUE2WORK4ONE:  <queue4xi.Queue4Xi object at 0x0000000004FD1400>
                        # (STEP 6B/33) OF CHARGE2ONE4XI - PUT TO QUEUE2WORK4ONE:  <queue4xi.Queue4Xi object at 0x0000000004FD1400>  MESSAGE2PUT4ONE:  <roger4xi>roger2one</roger4xi>
                        # (STEP 28F1/800) OF COLOR_TENSES4XI - TRYING TO GET CONTROL MESSAGE FROM QUEUE  <queue4xi.Queue4Xi object at 0x0000000004FD1400>
                        # (STEP 28F2/800) OF COLOR_TENSES4XI -  GOT FROM QUEUE CONTROL MESSAGE :  <queue4xi.Queue4Xi object at 0x0000000004FD1400>  MESSAGE:  <roger4xi>roger2one</roger4xi>
                        # (STEP 52F1/800) OF COLOR_TENSES4XI - TRYING TO GET FROM QUEUE ONE  <queue4xi.Queue4Xi object at 0x0000000004FD1400>
                        # { Queue4Xi : get ; (Step 0/14a) started; get-of-Queue4Xi-started: ; time: 07:42:11 02/04/13 Pacific Standard Time}
                        # { Queue4Xi : get ; (Step 0/14b) passed; block-passed-to-get-of-Queue4Xi: True; time: 07:42:11 02/04/13 Pacific Standard Time}
                        # { Queue4Xi : get ; (Step 0/14c) passed; timeout-passed-to-get-of-Queue4Xi: None; time: 07:42:11 02/04/13 Pacific Standard Time}
                        # { Queue4Xi : get ; (Step 0/14d) set; timeout-set-by-get-of-Queue4Xi to: 0.4; time: 07:42:11 02/04/13 Pacific Standard Time}
                        # { Queue4Xi : get ; (Step 7/14a) set; timeout-set-by-get-of-Queue4Xi to: 0.4; time: 07:42:11 02/04/13 Pacific Standard Time}
                        # { Queue4Xi : get ; (Step 7/14b) set; deadline-set-by-get-of-Queue4Xi to: 1359992531.830451; time: 07:42:11 02/04/13 Pacific Standard Time}
                        # { Queue4Xi : get ; (Step 8/14a) set; timeout-set-by-get-of-Queue4Xi to: 0.4; time: 07:42:11 02/04/13 Pacific Standard Time}
                        # { Queue4Xi : get ; (Step 9/14a) trying; recv-of-queue2xi-trying-by-get-of-Queue4Xi: <bound method PipeConnection4Xi.recv of <pipeconnection4xi.PipeConnection4Xi object at 0x0000000004FD1518>>; time: 07:42:11 02/04/13 Pacific Standard Time}
                        # { Queue4Xi : get ; (Step 9/14b) calculated; pollparameter2xi-calculated-by-get-of-Queue4Xi: 0.8000001907348633; time: 07:42:11 02/04/13 Pacific Standard Time}
                        # { Queue4Xi : get ; (Step 9/14c) passing; pollparameter2xi-passing-to-poll-of-queue2xi-by-get-of-Queue4Xi: 0.8000001907348633; time: 07:42:11 02/04/13 Pacific Standard Time}
                        # { Queue4Xi : get ; (Step 9/14d) calling; poll-of-queue2xi-calling-by-get-of-Queue4Xi: <bound method PipeConnection4Xi.poll of <pipeconnection4xi.PipeConnection4Xi object at 0x0000000004FD1518>>; time: 07:42:11 02/04/13 Pacific Standard Time}
                        # { Queue4Xi : get ; (Step 10/14a) calling; recv-of-queue2xi-calling-by-get-of-Queue4Xi: <bound method PipeConnection4Xi.recv of <pipeconnection4xi.PipeConnection4Xi object at 0x0000000004FD1518>>; time: 07:42:11 02/04/13 Pacific Standard Time}
                        # 
                        # { Queue4Xi : _feed ; (Step 8/9m) sent; object-sent-by-feed-of-Queue4Xi: {1: '-1001x2475y-842z', 2: '-1020x1507y-2127z', 3: '-1085x1435y-2145z', 4: '-1089x2411y-914z', 5: '-1126x2411y-868z', 6: '-1144x1360y-2163z', 7: '-1199x1282y-2180z', 8: '-1209x2343y-941z', 9: '-1246x2341y-895z', 10: '-1249x1202y-2198z', 11: '-1293x1121y-2215z', 12: '-1325x2268y-967z', 13: '-1333x1038y-2232z', 14: '-1362x2265y-921z', 15: '-1367x954y-2249z', 16: '-1396x869y-2265z', 17: '-139x1102y-2570z', 18: '-1409x47y-2418z', 19: '-1419x784y-2282z', 20: '-1429x122y-2404z', 21: '-1437x2187y-993z', 22: '-1438x698y-2298z', 23: '-1444x200y-2390z', 24: '-1451x613y-2314z', 25: '-1455x280y-2375z', 26: '-1460x528y-2329z', 27: '-1461x362y-2360z', 28: '-1463x444y-2345z', 29: '-1474x2183y-948z', 30: '-1543x2101y-1019z', 31: '-1580x2095y-974z', 32: '-1645x2009y-1045z', 33: '-1681x2002y-1000z', 34: '-1740x1913y-1071z', 35: '-1766x2172y-8z', 36: '-1777x1904y-1026z', 37: '-1830x1811y-1097z', 38: '-1867x1801y-1052z', 39: '-1878x2076y-36z', 40: '-1914x1706y-1123z', 41: '-192x1067y-2581z', 42: '-1950x1694y-1078z', 43: '-1983x1974y-64z', 44: '-1992x1596y-1148z', 45: '-2028x1582y-1104z', 46: '-2064x1483y-1174z', 47: '-2083x1867y-92z', 48: '-2099x1468y-1130z', 49: '-2128x1366y-1199z', 50: '-2163x1350y-1155z', 51: '-2177x1755y-120z', 52: '-2187x1247y-1224z', 53: '-2220x1229y-1181z', 54: '-2238x1125y-1250z', 55: '-2265x1638y-148z', 56: '-2282x1001y-1275z', 57: '-2319x876y-1299z', 58: '-2347x1516y-175z', 59: '-2350x749y-1324z', 60: '-2352x1145y-1249z', 61: '-2373x622y-1349z', 62: '-2389x494y-1373z', 63: '-2394x112y-1446z', 64: '-2398x366y-1398z', 65: '-2399x239y-1422z', 66: '-2421x1390y-203z', 67: '-242x1031y-2591z', 68: '-247x1989y-1954z', 69: '-2489x1261y-231z', 70: '-2549x1128y-259z', 71: '-2602x992y-287z', 72: '-2647x853y-315z', 73: '-2685x713y-343z', 74: '-2715x570y-371z', 75: '-2738x427y-398z', 76: '-2752x283y-426z', 77: '-2759x138y-454z', 78: '-288x992y-2602z', 79: '-295x2680y-754z', 80: '-331x951y-2612z', 81: '-347x1954y-1974z', 82: '-371x908y-2622z', 83: '-384x11y-2773z', 84: '-407x863y-2632z', 85: '-411x34y-2769z', 86: '-434x2653y-781z', 87: '-436x59y-2765z', 88: '-439x818y-2641z', 89: '-444x1913y-1994z', 90: '-459x87y-2760z', 91: '-467x771y-2650z', 92: '-470x2660y-734z', 93: '-481x117y-2755z', 94: '-492x723y-2659z', 95: '-501x150y-2750z', 96: '-513x675y-2668z', 97: '-518x186y-2745z', 98: '-530x627y-2676z', 99: '-533x223y-2739z', 100: '-538x1868y-2014z', 101: '-544x579y-2684z', 102: '-545x263y-2733z', 103: '-554x304y-2727z', 104: '-554x531y-2692z', 105: '-561x347y-2721z', 106: '-561x484y-2700z', 107: '-564x391y-2714z', 108: '-564x437y-2707z', 109: '-571x2619y-808z', 110: '-607x2625y-761z', 111: '-629x1818y-2033z', 112: '-705x2577y-834z', 113: '-716x1764y-2052z', 114: '-741x2582y-788z', 115: '-798x1705y-2071z', 116: '-836x2529y-861z', 117: '-83x1133y-2558z', 118: '-873x2532y-815z', 119: '-877x1643y-2090z', 120: '-951x1577y-2108z', 121: '-964x2473y-888z'}; time: 07:42:11 02/04/13 Pacific Standard Time}
                        # { Queue4Xi : _feed ; (Step 8/9h) set; object-set-by-feed-of-Queue4Xi to: {1: '-1037x2563y-872z', 2: '-1056x1561y-2203z', 3: '-1123x1486y-2221z', 4: '-1127x2498y-947z', 5: '-1166x2497y-899z', 6: '-1185x1408y-2240z', 7: '-1242x1328y-2258z', 8: '-1252x2427y-974z', 9: '-1291x2425y-927z', 10: '-1293x1245y-2276z', 11: '-1340x1161y-2294z', 12: '-1373x2349y-1002z', 13: '-1380x1075y-2312z', 14: '-1411x2346y-954z', 15: '-1416x988y-2329z', 16: '-1446x900y-2346z', 17: '-144x1141y-2661z', 18: '-1459x48y-2505z', 19: '-1470x812y-2363z', 20: '-1480x127y-2490z', 21: '-1488x2266y-1029z', 22: '-1489x723y-2380z', 23: '-1496x207y-2475z', 24: '-1503x635y-2396z', 25: '-1507x290y-2460z', 26: '-1512x547y-2413z', 27: '-1514x375y-2444z', 28: '-1515x460y-2429z', 29: '-1527x2261y-982z', 30: '-1598x2176y-1056z', 31: '-1637x2170y-1009z', 32: '-1703x2081y-1083z', 33: '-1742x2073y-1036z', 34: '-1803x1981y-1110z', 35: '-1830x2249y-8z', 36: '-1841x1972y-1063z', 37: '-1896x1876y-1136z', 38: '-1933x1865y-1090z', 39: '-1945x2150y-37z', 40: '-1983x1767y-1163z', 41: '-199x1106y-2673z', 42: '-2020x1754y-1117z', 43: '-2054x2045y-66z', 44: '-2063x1653y-1189z', 45: '-2100x1639y-1144z', 46: '-2137x1536y-1216z', 47: '-2158x1934y-95z', 48: '-2174x1520y-1170z', 49: '-2205x1415y-1242z', 50: '-2240x1398y-1197z', 51: '-2255x1818y-124z', 52: '-2265x1292y-1268z', 53: '-2300x1273y-1223z', 54: '-2318x1165y-1294z', 55: '-2346x1696y-153z', 56: '-2364x1037y-1320z', 57: '-2402x907y-1346z', 58: '-2430x1570y-182z', 59: '-2433x1185y-1292z', 60: '-2433x776y-1371z', 61: '-2457x644y-1397z', 62: '-2474x512y-1422z', 63: '-2480x116y-1497z', 64: '-2483x380y-1447z', 65: '-2485x248y-1473z', 66: '-2508x1440y-211z', 67: '-251x1068y-2684z', 68: '-256x2060y-2024z', 69: '-2577x1306y-240z', 70: '-2640x1168y-268z', 71: '-2695x1027y-297z', 72: '-2742x884y-326z', 73: '-2781x738y-355z', 74: '-2812x591y-384z', 75: '-2836x442y-412z', 76: '-2851x293y-441z', 77: '-2858x143y-470z', 78: '-299x1027y-2695z', 79: '-306x2775y-781z', 80: '-343x985y-2705z', 81: '-360x2023y-2045z', 82: '-384x940y-2716z', 83: '-398x12y-2872z', 84: '-421x894y-2726z', 85: '-426x35y-2868z', 86: '-450x2748y-809z', 87: '-452x61y-2863z', 88: '-454x847y-2735z', 89: '-460x1982y-2065z', 90: '-476x90y-2859z', 91: '-484x798y-2745z', 92: '-487x2755y-761z', 93: '-498x122y-2854z', 94: '-510x749y-2754z', 95: '-518x156y-2848z', 96: '-531x699y-2763z', 97: '-536x192y-2843z', 98: '-549x650y-2772z', 99: '-552x231y-2837z', 100: '-558x1935y-2086z', 101: '-564x272y-2831z', 102: '-564x600y-2780z', 103: '-574x315y-2824z', 104: '-574x550y-2788z', 105: '-581x359y-2818z', 106: '-581x501y-2796z', 107: '-584x405y-2811z', 108: '-584x453y-2804z', 109: '-591x2712y-837z', 110: '-629x2718y-788z', 111: '-651x1883y-2106z', 112: '-730x2669y-864z', 113: '-741x1827y-2126z', 114: '-768x2674y-816z', 115: '-827x1766y-2145z', 116: '-866x2619y-892z', 117: '-86x1173y-2650z', 118: '-904x2622y-844z', 119: '-908x1702y-2165z', 120: '-985x1633y-2184z', 121: '-999x2562y-919z'}; time: 07:42:11 02/04/13 Pacific Standard Time}
                        # { Queue4Xi : _feed ; (Step 8/9l) passing; object-passing-to-send-by-feed-of-Queue4Xi: {1: '-1037x2563y-872z', 2: '-1056x1561y-2203z', 3: '-1123x1486y-2221z', 4: '-1127x2498y-947z', 5: '-1166x2497y-899z', 6: '-1185x1408y-2240z', 7: '-1242x1328y-2258z', 8: '-1252x2427y-974z', 9: '-1291x2425y-927z', 10: '-1293x1245y-2276z', 11: '-1340x1161y-2294z', 12: '-1373x2349y-1002z', 13: '-1380x1075y-2312z', 14: '-1411x2346y-954z', 15: '-1416x988y-2329z', 16: '-1446x900y-2346z', 17: '-144x1141y-2661z', 18: '-1459x48y-2505z', 19: '-1470x812y-2363z', 20: '-1480x127y-2490z', 21: '-1488x2266y-1029z', 22: '-1489x723y-2380z', 23: '-1496x207y-2475z', 24: '-1503x635y-2396z', 25: '-1507x290y-2460z', 26: '-1512x547y-2413z', 27: '-1514x375y-2444z', 28: '-1515x460y-2429z', 29: '-1527x2261y-982z', 30: '-1598x2176y-1056z', 31: '-1637x2170y-1009z', 32: '-1703x2081y-1083z', 33: '-1742x2073y-1036z', 34: '-1803x1981y-1110z', 35: '-1830x2249y-8z', 36: '-1841x1972y-1063z', 37: '-1896x1876y-1136z', 38: '-1933x1865y-1090z', 39: '-1945x2150y-37z', 40: '-1983x1767y-1163z', 41: '-199x1106y-2673z', 42: '-2020x1754y-1117z', 43: '-2054x2045y-66z', 44: '-2063x1653y-1189z', 45: '-2100x1639y-1144z', 46: '-2137x1536y-1216z', 47: '-2158x1934y-95z', 48: '-2174x1520y-1170z', 49: '-2205x1415y-1242z', 50: '-2240x1398y-1197z', 51: '-2255x1818y-124z', 52: '-2265x1292y-1268z', 53: '-2300x1273y-1223z', 54: '-2318x1165y-1294z', 55: '-2346x1696y-153z', 56: '-2364x1037y-1320z', 57: '-2402x907y-1346z', 58: '-2430x1570y-182z', 59: '-2433x1185y-1292z', 60: '-2433x776y-1371z', 61: '-2457x644y-1397z', 62: '-2474x512y-1422z', 63: '-2480x116y-1497z', 64: '-2483x380y-1447z', 65: '-2485x248y-1473z', 66: '-2508x1440y-211z', 67: '-251x1068y-2684z', 68: '-256x2060y-2024z', 69: '-2577x1306y-240z', 70: '-2640x1168y-268z', 71: '-2695x1027y-297z', 72: '-2742x884y-326z', 73: '-2781x738y-355z', 74: '-2812x591y-384z', 75: '-2836x442y-412z', 76: '-2851x293y-441z', 77: '-2858x143y-470z', 78: '-299x1027y-2695z', 79: '-306x2775y-781z', 80: '-343x985y-2705z', 81: '-360x2023y-2045z', 82: '-384x940y-2716z', 83: '-398x12y-2872z', 84: '-421x894y-2726z', 85: '-426x35y-2868z', 86: '-450x2748y-809z', 87: '-452x61y-2863z', 88: '-454x847y-2735z', 89: '-460x1982y-2065z', 90: '-476x90y-2859z', 91: '-484x798y-2745z', 92: '-487x2755y-761z', 93: '-498x122y-2854z', 94: '-510x749y-2754z', 95: '-518x156y-2848z', 96: '-531x699y-2763z', 97: '-536x192y-2843z', 98: '-549x650y-2772z', 99: '-552x231y-2837z', 100: '-558x1935y-2086z', 101: '-564x272y-2831z', 102: '-564x600y-2780z', 103: '-574x315y-2824z', 104: '-574x550y-2788z', 105: '-581x359y-2818z', 106: '-581x501y-2796z', 107: '-584x405y-2811z', 108: '-584x453y-2804z', 109: '-591x2712y-837z', 110: '-629x2718y-788z', 111: '-651x1883y-2106z', 112: '-730x2669y-864z', 113: '-741x1827y-2126z', 114: '-768x2674y-816z', 115: '-827x1766y-2145z', 116: '-866x2619y-892z', 117: '-86x1173y-2650z', 118: '-904x2622y-844z', 119: '-908x1702y-2165z', 120: '-985x1633y-2184z', 121: '-999x2562y-919z'}; time: 07:42:11 02/04/13 Pacific Standard Time}
                        # 
                        # { Queue4Xi : get ; (Step 10/14b) received; response-received-by-get-of-Queue4Xi: None; time: 07:42:11 02/04/13 Pacific Standard Time} <-- THEY ARE PUT AND SHOULD BE AVAILABLE! 
                        # { Queue4Xi : get ; (Step 11/14a) released; semaphore-released-by-get-of-Queue4Xi: <built-in method release of _multiprocessing.SemLock object at 0x000000000513D620>; time: 07:42:11 02/04/13 Pacific Standard Time}
                        # { Queue4Xi : get ; (Step 13/14) released; recursive-semaphore-released-by-get-of-Queue4Xi: <built-in method release of _multiprocessing.SemLock object at 0x0000000005BE26C0>; time: 07:42:11 02/04/13 Pacific Standard Time}
                        # { Queue4Xi : get ; (Step 14/14a) warned; response-warned-by-get-of-Queue4Xi:  ** None response returning ** ; time: 07:42:11 02/04/13 Pacific Standard Time}
                        # { Queue4Xi : get ; (Step 14/14b) returning; response-returning-by-get-of-Queue4Xi: None; time: 07:42:11 02/04/13 Pacific Standard Time}
                        # (STEP 52Z1/800) OF COLOR_TENSES4XI *** FAILED TO GET FROM QUEUE ONE - USING SHOT2ONE104XI:  {1: '0x0y19z', 2: '0x0y39z', 3: '0x0y59z', 4: '0x0y89z', 5: '0x13y14z', 6: '0x13y15z', 7: '0x1y39z', 8: '0x1y59z', 9: '0x2y69z', 10: '0x30y25z', 11: '0x3y69z', 12: '0x4y69z', 13: '0x50y32z', 14: '0x72y34z', 15: '10x18y21z', 16: '10x47y34z', 17: '10x70y36z', 18: '11x16y21z', 19: '11x17y21z', 20: '12x0y15z', 21: '12x16y21z', 22: '13x14y22z', 23: '13x15y22z', 24: '13x46y35z', 25: '14x12y22z', 26: '14x13y22z', 27: '14x69y37z', 28: '15x10y23z', 29: '15x11y22z', 30: '15x45y35z', 31: '16x35y30z', 32: '17x44y36z', 33: '18x34y31z', 34: '18x67y38z', 35: '1x12y15z', 36: '1x30y25z', 37: '20x33y31z', 38: '21x32y31z', 39: '21x66y39z', 40: '23x30y32z', 41: '24x29y32z', 42: '24x64y39z', 43: '25x27y32z', 44: '26x25y33z', 45: '27x24y33z', 46: '27x63y40z', 47: '28x22y34z', 48: '29x20y34z', 49: '2x12y15z', 50: '2x30y26z', 51: '2x5y7z', 52: '2x5y8z', 53: '31x61y41z', 54: '33x59y41z', 55: '34x47y37z', 56: '35x0y34z', 57: '36x45y38z', 58: '36x56y42z', 59: '38x43y38z', 60: '3x11y15z', 61: '3x12y15z', 62: '3x3y8z', 63: '3x49y33z', 64: '3x4y8z', 65: '3x71y35z', 66: '40x40y39z', 67: '42x38y40z', 68: '44x35y40z', 69: '45x33y41z', 70: '4x29y26z', 71: '4x3y8z', 72: '56x0y41z', 73: '5x29y26z', 74: '6x49y33z', 75: '7x28y26z', 76: '7x70y36z', 77: '8x19y20z', 78: '8x27y27z', 79: '8x48y34z', 80: '9x19y21z', 81: '9x27y27z'}
    
                else:
                    print("\n (STEP 52F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING ONE- FAILED RUNNING PROCESS NAME: ", name2one)               
                
            else:
                print("\n (STEP 52F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING ONE - FAILED STARTING PROCESS NAME: ", name2one)                                         
        else:
            print("\n (STEP 52F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING ONE - FAILED IN CREATING THE PROCESS ONE ", time4xi())                    
        
    if DirectionKB4Xi[2] is True:      
        #=========
        # TWO[NACK]
        #=========
    
        if ack2two4process is True:
    
            if ack2two4start is True:
    
                if ack2two4run is True:
        
                    # -------------------------------------------------------------------------------------    
                    # 2 - GET DICTIONARY FROM QUEUE WHERE PROCESS TARGET FUNCTION HAS PUT IT
                    # -------------------------------------------------------------------------------------                    
                    if ack2debug is True:
                        print("\n (STEP 53F1/800) OF COLOR_TENSES4XI - TRYING TO GET FROM QUEUE TWO ", queue2two)  
                        # 
                    
                    dictionary2get4two = {} 
                    try:
                        
                        dictionary2get4two = queue2two.get()
                        if dictionary2get4two is None:
                            dictionary2get4two = shot2two104xi 
                            print("\n (STEP 53Z1/800) OF COLOR_TENSES4XI *** FAILED TO GET FROM QUEUE TWO  - USING SHOT2TWO104XI: ", shot2two104xi)
                        else:     
                            if ack2debug is True:
                                print("\n (STEP 53F2/800) OF COLOR_TENSES4XI -  GOT FROM QUEUE TWO : ", queue2two, " DICTIONARY: ", dictionary2get4two)
                                # {1: '0x-27y-41z', 2: '0x-27y-42z', 3: '0x-6y-7z', 4: '0x0y-29z', 5: '0x0y-69z', 6: '10x-20y-44z', 7: '10x-21y-44z', 8: '11x-19y-44z' ...
                            
                    except:
                        dictionary2get4two = shot2two104xi 
                        print("\n (STEP 53Z2/800) OF COLOR_TENSES4XI *** FAILED TO GET FROM QUEUE TWO  - USING SHOT2TWO104XI: ", shot2two104xi)
                 
                else:
                    print("\n (STEP 53F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING TWO  - FAILED RUNNING PROCESS NAME: ", name2two)                   
            else:
                print("\n (STEP 53F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING TWO  - FAILED RUNNING PROCESS NAME: ", name2two)                                         
        else:
            print("\n (STEP 53F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING TWO  - FAILED IN CREATING THE PROCESS TWO ", time4xi()) 
                               
    if DirectionKB4Xi[3] is True:      
        #========
        # THREE [NACK]
        #======== 
    
        if ack2three4process is True:
    
            if ack2three4start is True:
    
                if ack2three4run is True:
        
                    # -------------------------------------------------------------------------------------    
                    # 3 - GET DICTIONARY FROM QUEUE WHERE PROCESS TARGET FUNCTION HAS PUT IT
                    # -------------------------------------------------------------------------------------                    
                    if ack2debug is True:
                        print("\n (STEP 54F1/800) OF COLOR_TENSES4XI - TRYING TO GET FROM QUEUE THREE ", queue2three)  
                        # TRYING TO GET FROM QUEUE <queue4xi.Queue4Xi object at 0x03630710> 
                    
                    dictionary2get4three = {} 
                    try:
                        
                        dictionary2get4three = queue2three.get()
                        if dictionary2get4three is None:
                            dictionary2get4three = shot2three104xi 
                            print("\n (STEP 54Z1/800) OF COLOR_TENSES4XI *** FAILED TO GET FROM QUEUE THREE  - USING SHOT2THREE104XI: ", shot2three104xi)
                        else:     
                            if ack2debug is True:
                                print("\n (STEP 54F2/800) OF COLOR_TENSES4XI -  GOT FROM QUEUE THREE : ", queue2three, " DICTIONARY: ", dictionary2get4three)
                                # {1: '0x0y-39z', 2: '0x0y-69z', 3: '0x19y-4z', 4: '0x1y-69z', 5: '0x2y-69z', 6: '0x3y-69z', 7: '0x4y-69z', 8: '0x53y-26z' ...
                           
                    except:
                        dictionary2get4three = shot2three104xi 
                        print("\n (STEP 54Z2/800) OF COLOR_TENSES4XI *** FAILED TO GET FROM QUEUE THREE  - USING SHOT2THREE104XI: ", shot2three104xi)
                 
                else:
                    print("\n (STEP 54F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING THREE  - FAILED RUNNING PROCESS NAME: ", name2three)                
            else:
                print("\n (STEP 54F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING THREE  - FAILED RUNNING PROCESS NAME: ", name2three)                                         
        else:
            print("\n (STEP 54F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING THREE  - FAILED IN CREATING THE PROCESS THREE ", time4xi())                    
    
    if DirectionKB4Xi[4] is True:      
        #===========
        # FOUR [NACK]
        #=========== 
    
        if ack2four4process is True:
    
            if ack2four4start is True:
    
                if ack2four4run is True:
        
                    # -------------------------------------------------------------------------------------    
                    # 4 - GET DICTIONARY FROM QUEUE WHERE PROCESS TARGET FUNCTION HAS PUT IT
                    # -------------------------------------------------------------------------------------                    
                    if ack2debug is True:
                        print("\n (STEP 55F1/800) OF COLOR_TENSES4XI - TRYING TO GET FROM QUEUE FOUR ", queue2four)  
                        # 
                    
                    dictionary2get4four = {} 
                    try:
                        
                        dictionary2get4four = queue2four.get()
                        if dictionary2get4four is None:
                            dictionary2get4four = shot2four104xi 
                            print("\n (STEP 55Z1/800) OF COLOR_TENSES4XI *** FAILED TO GET FROM QUEUE FOUR  - USING SHOT2FOUR104XI: ", shot2four104xi)
                        else:    
                            if ack2debug is True:
                                print("\n (STEP 55F2/800) OF COLOR_TENSES4XI -  GOT FROM QUEUE FOUR : ", queue2four, " DICTIONARY: ", dictionary2get4four)
                                # {1: '0x-9y2z', 2: '11x-23y53z', 3: '11x-9y47z', 4: '12x-15y2z', 5: '12x-23y53z', 6: '12x-9y47z', 7: '13x-14y2z', 8: '13x-9y47z' ...
                            
                    except:
                        dictionary2get4four = shot2four104xi 
                        print("\n (STEP 55Z2/800) OF COLOR_TENSES4XI *** FAILED TO GET FROM QUEUE FOUR  - USING SHOT2FOUR104XI: ", shot2four104xi)
                else:
                    print("\n (STEP 55F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING FOUR  - FAILED RUNNING PROCESS NAME: ", name2four)                
                
            else:
                print("\n (STEP 55F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING FOUR  - FAILED RUNNING PROCESS NAME: ", name2four)                                         
        else:
            print("\n (STEP 55F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING FOUR  - FAILED IN CREATING THE PROCESS FOUR ", time4xi())                    
            
    if DirectionKB4Xi[5] is True:      
        #===========
        # FIVE [NACK]
        #=========== 
    
        if ack2five4process is True:
    
            if ack2five4start is True:
    
                if ack2five4run is True:
        
                    # -------------------------------------------------------------------------------------    
                    # 5 - GET DICTIONARY FROM QUEUE WHERE PROCESS TARGET FUNCTION HAS PUT IT
                    # -------------------------------------------------------------------------------------                    
                    if ack2debug is True:
                        print("\n (STEP 56F1/800) OF COLOR_TENSES4XI - TRYING TO GET FROM QUEUE FIVE ", queue2five)  
                        # 
                    
                    dictionary2get4five = {} 
                    try:
                        
                        dictionary2get4five = queue2five.get()
                        if dictionary2get4five is None:
                            dictionary2get4five = shot2five104xi 
                            print("\n (STEP 56Z1/800) OF COLOR_TENSES4XI *** FAILED TO GET FROM QUEUE FIVE  - USING SHOT2FIVE104XI: ", shot2five104xi)
                        else:     
                            if ack2debug is True:
                                print("\n (STEP 56F2/800) OF COLOR_TENSES4XI -  GOT FROM QUEUE FIVE : ", queue2five, " DICTIONARY: ", dictionary2get4five)
                                # {1: '-10x10y12z', 2: '-10x12y36z', 3: '-10x45y17z', 4: '-11x10y12z', 5: '-11x11y36z', 6: '-11x49y61z', 7: '-12x11y36z', 8: '-12x45y17z' ...
                            
                    except:
                        dictionary2get4five = shot2five104xi 
                        print("\n (STEP 56Z2/800) OF COLOR_TENSES4XI *** FAILED TO GET FROM QUEUE FIVE  - USING SHOT2FIVE104XI: ", shot2five104xi)
                else:
                    print("\n (STEP 56F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING FIVE  - FAILED RUNNING PROCESS NAME: ", name2five)          
                
            else:
                print("\n (STEP 56F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING FIVE  - FAILED RUNNING PROCESS NAME: ", name2five)                                         
        else:
            print("\n (STEP 56F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING FIVE  - FAILED IN CREATING THE PROCESS FIVE ", time4xi())                    
            
    if DirectionKB4Xi[6] is True:      
        #===========
        # SIX [NACK]
        #===========         
    
        if ack2six4process is True:
    
            if ack2six4start is True:
    
                if ack2six4run is True:
        
                    # -------------------------------------------------------------------------------------    
                    # 6 - GET DICTIONARY FROM QUEUE WHERE PROCESS TARGET FUNCTION HAS PUT IT
                    # -------------------------------------------------------------------------------------                    
                    if ack2debug is True:
                        print("\n (STEP 57F1/800) OF COLOR_TENSES4XI - TRYING TO GET FROM QUEUE SIX ", queue2six)  
                        # 
                    
                    dictionary2get4six = {} 
                    try:
                        
                        dictionary2get4six = queue2six.get()
                        if dictionary2get4six is None:
                            dictionary2get4six = shot2six104xi 
                            print("\n (STEP 57Z1/800) OF COLOR_TENSES4XI *** FAILED TO GET FROM QUEUE SIX  - USING SHOT2SIX104XI: ", shot2six104xi)
                        else:     
                            if ack2debug is True:
                                print("\n (STEP 57F2/800) OF COLOR_TENSES4XI -  GOT FROM QUEUE SIX: ", queue2six, " DICTIONARY: ", dictionary2get4six)
                                # {1: '-11x47y-49z', 2: '-12x13y-7z', 3: '-13x12y-7z', 4: '-13x12y-8z', 5: '-13x46y-50z', 6: '-14x10y-8z', 7: '-14x11y-8z', 8: '-15x45y-50z' ...
                            
                    except:
                        dictionary2get4six = shot2six104xi 
                        print("\n (STEP 57Z2/800) OF COLOR_TENSES4XI *** FAILED TO GET FROM QUEUE SIX  - USING SHOT2SIX104XI: ", shot2six104xi)
                else:
                    print("\n (STEP 57F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING SIX  - FAILED RUNNING PROCESS NAME: ", name2six)              
                
            else:
                print("\n (STEP 57F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING SIX  - FAILED RUNNING PROCESS NAME: ", name2six)                                         
        else:
            print("\n (STEP 57F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING SIX  - FAILED IN CREATING THE PROCESS SIX ", time4xi())                    
            
    if DirectionKB4Xi[7] is True:          
        #=============
        # SEVEN [NACK]
        #=============              
    
        if ack2seven4process is True:
    
            if ack2seven4start is True:
     
                if ack2seven4run is True:
        
                    # -------------------------------------------------------------------------------------    
                    # 7 - GET DICTIONARY FROM QUEUE WHERE PROCESS TARGET FUNCTION HAS PUT IT
                    # -------------------------------------------------------------------------------------                    
                    if ack2debug is True:
                        print("\n (STEP 58F1/800) OF COLOR_TENSES4XI - TRYING TO GET FROM QUEUE SEVEN ", queue2seven)  
                        # 
                    
                    dictionary2get4seven = {} 
                    try:
                        
                        dictionary2get4seven = queue2seven.get()
                        if dictionary2get4seven is None:
                            dictionary2get4seven = shot2seven104xi 
                            print("\n (STEP 58Z1/800) OF COLOR_TENSES4XI *** FAILED TO GET FROM QUEUE SEVEN  - USING SHOT2SEVEN104XI: ", shot2seven104xi)
                        else:     
                            if ack2debug is True:
                                print("\n (STEP 58F2/800) OF COLOR_TENSES4XI -  GOT FROM QUEUE SEVEN : ", queue2seven, " DICTIONARY: ", dictionary2get4seven)
                                # {1: '-10x-11y36z', 2: '-10x-12y36z', 3: '-10x-13y36z', 4: '-10x-15y6z', 5: '-10x-15y7z', 6: '-11x-10y36z', 7: '-11x-14y7z', 8: '-11x-8y37z' ...
                            
                    except:
                        dictionary2get4seven = shot2seven104xi 
                        print("\n (STEP 58Z2/800) OF COLOR_TENSES4XI *** FAILED TO GET FROM QUEUE SEVEN  - USING SHOT2SEVEN104XI: ", shot2seven104xi)
                else:
                    print("\n (STEP 58F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING SEVEN  - FAILED RUNNING PROCESS NAME: ", name2seven)             
                
            else:
                print("\n (STEP 58F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING SEVEN  - FAILED RUNNING PROCESS NAME: ", name2seven)                                         
        else:
            print("\n (STEP 58F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING SEVEN  - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())                    
            
    if DirectionKB4Xi[8] is True:      
        #=============
        # EIGHT [NACK]
        #=============              
    
        if ack2eight4process is True:
    
            if ack2eight4start is True:
    
                if ack2eight4run is True:
                    
                    # -------------------------------------------------------------------------------------    
                    # 8 - GET DICTIONARY FROM QUEUE WHERE PROCESS TARGET FUNCTION HAS PUT IT
                    # -------------------------------------------------------------------------------------                    
                    if ack2debug is True:
                        print("\n (STEP 59F1/800) OF COLOR_TENSES4XI - TRYING TO GET FROM QUEUE EIGHT ", queue2eight)  
                        # 
                    
                    dictionary2get4eight = {} 
                    try:
                        
                        dictionary2get4eight = queue2eight.get()
                        if dictionary2get4eight is None:
                            dictionary2get4eight = shot2eight104xi 
                            print("\n (STEP 59Z1/800) OF COLOR_TENSES4XI *** FAILED TO GET FROM QUEUE EIGHT  - USING SHOT2EIGHT104XI: ", shot2eight104xi)
                        else:     
                            if ack2debug is True:
                                print("\n (STEP 59F2/800) OF COLOR_TENSES4XI -  GOT FROM QUEUE EIGHT : ", queue2eight, " DICTIONARY: ", dictionary2get4eight)
                                # {1: '-10x-10y-12z', 2: '-10x-11y-13z', 3: '-10x-3y-27z', 4: '-10x-58y-6z', 5: '-10x-7y-37z', 6: '-11x-1y-27z', 7: '-11x-2y-27z', 8: '-11x-48y-4z' ...
                                 
                        shot2eight104xi = dictionary2get4eight
                        
                    except:
                        dictionary2get4eight = shot2eight104xi 
                        print("\n (STEP 59Z2/800) OF COLOR_TENSES4XI *** FAILED TO GET FROM QUEUE EIGHT  - USING SHOT2EIGHT104XI: ", shot2eight104xi)
                        # { Queue4Xi : put ; passed; object-passed-to-put-of-Queue4Xi: {1: '-10x-10y-12z', 2: '-10x-11y-13z', 3: '-10x-3y-27z', 4: '-10x-58y-6z'
                        # (STEP 9E/33) OF CHARGE2EIGHT4XI - STARTED THE DUMMY PROCESS4XI DUMMY2EIGHT:  <DummyProcess4Xi(Thread-246, started 4716)>
                        # { Queue4Xi : put ; passed; object-passed-to-put-of-Queue4Xi: {1: '-10x-10y-12z', 2: '-10x-11y-13z', 3: '-10x-3y-27z', 4: '-10x-58y-6z'
                        # { Queue4Xi : put ; (Step 5/8a) passing; object-passing-to-buffer-append-of-queue2xi-by-put-of-Queue4Xi: {1: '-10x-10y-12z', 2: '-10x-11y-13z', 3: '-10x-3y-27z', 4: '-10x-58y-6z'
                        # { Queue4Xi : put ; (Step 5/8b) performed; buffer-append-of-queue2xi-performed-by-put-of-Queue4Xi: <built-in method append of collections.deque object at 0x000000000372FD48>
                        # { Queue4Xi : put ; (Step 6/8) performed; notempty-notify-of-queue2xi-performed-by-put-of-Queue4Xi: <bound method Condition.notify of <Condition(<_thread.lock object at 0x0000000004E140A8>, 0)>>
                        # { Queue4Xi : put ; (Step 7/8) performed; notempty-release-of-queue2xi-performed-by-put-of-Queue4Xi: <built-in method release of _thread.lock object at 0x0000000004E140A8>
                        # { Queue4Xi : put ; (Step 8/8) returning; put-of-Queue4Xi-returning: 05:54:02 02/04/13 Pacific Standard Time}
                        # (STEP 2B/33) OF FIRE10EIGHT4XI - SUCCEEDED TO PUT COORDINATE DICTIONARY TO QUEUE EIGHT:
                else:
                    print("\n (STEP 59F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING AND RECEIVING EIGHT  - FAILED RUNNING PROCESS NAME: ", name2eight)             
                
            else:
                print("\n (STEP 59F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING AND RECEIVING EIGHT  - FAILED RUNNING PROCESS NAME: ", name2eight)                                         
        else:
            print("\n (STEP 59F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING AND RECEIVING EIGHT  - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())    
           
    # =========================================================================================================   
    # [ACK] EOF GETTING DICTIONARIES FROM QUEUES ONE ... EIGHT - MASTER ONES ONLY
    # =========================================================================================================      
    if ack2debug is True:
        print("\n (STEP 59F7/800) OF COLOR_TENSES4XI - [ACK] DONE TRIALS TO GET DICTIONARIES FROM QUEUES OF REQUIRED DIRECTIONS ", time4xi()) 
        # (STEP 59F2/800) OF COLOR_TENSES4XI -  GOT FROM QUEUE EIGHT :  <queue4xi.Queue4Xi object at 0x0000000003FC8A20>  DICTIONARY:  {1: '-10x-10y-12z', 2: '-10x-11y-13z', 3: '-10x-3y-27z', 4: '-10x-58y-6z' ...
        # 06:15:20 02/06/13 Pacific Standard Time
        keys2direction = DirectionKB4Xi.keys()
        for key2direction in keys2direction:
            if key2direction > 0:
                print(key2direction, ': ',DirectionKB4Xi[key2direction])              
                # 1 :  True
                # 2 :  True
                # 3 :  True
                # 4 :  True
                # 5 :  True
                # 6 :  True
                # 7 :  True
                # 8 :  True   
    if ack2debug is True:
        print("\n (STEP 60/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE ACK ABOUT PUT AND TO GET FROM LAYERS 10, 100 ...3300 OF REQUIRED DIRECTIONS ", time4xi())
        # 
        keys2direction = DirectionKB4Xi.keys()
        for key2direction in keys2direction:
            if key2direction > 0:
                print(key2direction, ': ',DirectionKB4Xi[key2direction]) 
                            
    if DirectionKB4Xi[1] is True:             
        # =========================================================================================================   
        # I/I ONE DIRECTION LAYERS 10, 100 ...3300 PIPE INFORMATION
        # =========================================================================================================      
        if ack2debug is True:
            print("\n (STEP 60F0/800) OF COLOR_TENSES4XI - TRYING RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES FOR DIRECTION ONE LAYERS 10, 100 ...3300  ", time4xi())
            #         
        #========
        # 10 ONE
        #========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES - AS TO CONFIRM PUT
        # =============================================================================================  
        if ack2one4process is True:
    
            if ack2one4start is True:
    
                if ack2one4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 60F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE ONE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                        # 
                    
                    message2receive4one = pipe2one_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 60F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE ONE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message2receive4one) 
                        # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 256>  CONTROL MESSAGE:  <ack2put4xi>queue2one8shot2one104xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 60F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE ONE - FAILED RUNNING PROCESS ONE ", time4xi())                 
            else:
                print("\n (STEP 60F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE ONE - FAILED STARTING PROCESS ONE ", time4xi())                                         
        else:
            print("\n (STEP 60F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE ONE - FAILED IN CREATING THE PROCESS ONE ", time4xi())                    
        
        #========
        # 100 ONE
        #========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2one4process is True:
    
            if ack2one4start is True:
    
                if ack2one4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 61F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                        # 
                    
                    message2receive4one = pipe2one_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 61F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message2receive4one)
                        # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 256>  CONTROL MESSAGE:  <ack2put4xi>queue2one8shot2one1004xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 61F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS ONE ", time4xi())                 
            else:
                print("\n (STEP 61F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS ONE ", time4xi())                                         
        else:
            print("\n (STEP 61F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())                    
        
        #========
        # 200 ONE
        #========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2one4process is True:
    
            if ack2one4start is True:
    
                if ack2one4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 62F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE ONE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                        # 
                    
                    message2receive4one = pipe2one_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 62F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE ONE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message2receive4one)
                        # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 256>  CONTROL MESSAGE:  <ack2put4xi>queue2one8shot2one2004xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 62F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE ONE - FAILED RUNNING PROCESS ONE ", time4xi())                 
            else:
                print("\n (STEP 62F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE ONE - FAILED STARTING PROCESS ONE ", time4xi())                                         
        else:
            print("\n (STEP 62F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE ONE - FAILED IN CREATING THE PROCESS ONE ", time4xi())                    
                                                    
                                      
        
        #========
        # 300 ONE
        #========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2one4process is True:
    
            if ack2one4start is True:
    
                if ack2one4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 63F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                        # 
                    
                    message2receive4one = pipe2one_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 63F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message2receive4one)
                        # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 256>  CONTROL MESSAGE:  <ack2put4xi>queue2one8shot2one3004xi</ack2put4xi>
                    
                else:
                    print("\n (STEP 63F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS ONE ", time4xi())                 
            else:
                print("\n (STEP 63F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS ONE ", time4xi())                                         
        else:
            print("\n (STEP 63F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())                    
        
        #========
        # 400 ONE
        #========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2one4process is True:
    
            if ack2one4start is True:
    
                if ack2one4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 64F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE ONE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                        # 
                    
                    message2receive4one = pipe2one_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 64F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE ONE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message2receive4one)
                        # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 256>  CONTROL MESSAGE:  <ack2put4xi>queue2one8shot2one4004xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 64F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE ONE - FAILED RUNNING PROCESS ONE ", time4xi())                 
            else:
                print("\n (STEP 64F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE ONE - FAILED STARTING PROCESS ONE ", time4xi())                                         
        else:
            print("\n (STEP 64F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE ONE - FAILED IN CREATING THE PROCESS ONE ", time4xi())
                                
        #========
        # 500 ONE
        #========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2one4process is True:
    
            if ack2one4start is True:
    
                if ack2one4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 65F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                        # 
                    
                    message2receive4one = pipe2one_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 65F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message2receive4one)
                        # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 256>  CONTROL MESSAGE:  <ack2put4xi>queue2one8shot2one5004xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 65F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS ONE ", time4xi())                 
            else:
                print("\n (STEP 65F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS ONE ", time4xi())                                         
        else:
            print("\n (STEP 65F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())                    
                                                                                           
        #========
        # 600 ONE
        #========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2one4process is True:
    
            if ack2one4start is True:
    
                if ack2one4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 66F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE ONE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                        # 
                    
                    message2receive4one = pipe2one_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 66F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE ONE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message2receive4one)
                        # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 256>  CONTROL MESSAGE:  <ack2put4xi>queue2one8shot2one6004xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 66F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE ONE - FAILED RUNNING PROCESS ONE ", time4xi())                 
            else:
                print("\n (STEP 66F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE ONE - FAILED STARTING PROCESS ONE ", time4xi())                                         
        else:
            print("\n (STEP 64F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE ONE - FAILED IN CREATING THE PROCESS ONE ", time4xi())                    
         
        #========
        # 700 ONE
        #========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2one4process is True:
    
            if ack2one4start is True:
    
                if ack2one4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 67F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                        # 
                    
                    message2receive4one = pipe2one_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 67F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message2receive4one)
                        # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 256>  CONTROL MESSAGE:  <ack2put4xi>queue2one8shot2one7004xi</ack2put4xi>
                    
                else:
                    print("\n (STEP 67F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS ONE ", time4xi())                 
            else:
                print("\n (STEP 67F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS ONE ", time4xi())                                         
        else:
            print("\n (STEP 67F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())                    
           
        #========
        # 800 ONE
        #========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2one4process is True:
    
            if ack2one4start is True:
    
                if ack2one4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 68F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE ONE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                        # 
                    
                    message2receive4one = pipe2one_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 68F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE ONE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message2receive4one)
                        # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 256>  CONTROL MESSAGE:  <ack2put4xi>queue2one8shot2one8004xi</ack2put4xi>
                    
                else:
                    print("\n (STEP 68F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE ONE - FAILED RUNNING PROCESS ONE ", time4xi())                 
            else:
                print("\n (STEP 68F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE ONE - FAILED STARTING PROCESS ONE ", time4xi())                                         
        else:
            print("\n (STEP 68F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE ONE - FAILED IN CREATING THE PROCESS ONE ", time4xi())                    
         
        #========
        # 900 ONE
        #========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2one4process is True:
    
            if ack2one4start is True:
    
                if ack2one4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 69F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                        # 
                    
                    message2receive4one = pipe2one_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 69F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message2receive4one)
                        # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 256>  CONTROL MESSAGE:  <ack2put4xi>queue2one8shot2one9004xi</ack2put4xi>
                    
                else:
                    print("\n (STEP 69F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS ONE ", time4xi())                 
            else:
                print("\n (STEP 69F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS ONE ", time4xi())                                         
        else:
            print("\n (STEP 69F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())                    
          
               
         
        #=========
        # 1000 ONE
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2one4process is True:
    
            if ack2one4start is True:
    
                if ack2one4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 70F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE ONE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                        # 
                    
                    message2receive4one = pipe2one_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 70F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE ONE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message2receive4one)
                        # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 256>  CONTROL MESSAGE:  <ack2put4xi>queue2one8shot2one10004xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 70F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE ONE - FAILED RUNNING PROCESS ONE ", time4xi())                 
            else:
                print("\n (STEP 70F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE ONE - FAILED STARTING PROCESS ONE ", time4xi())                                         
        else:
            print("\n (STEP 70F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE ONE - FAILED IN CREATING THE PROCESS ONE ", time4xi())                    
         
        #=========
        # 1100 ONE
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2one4process is True:
    
            if ack2one4start is True:
    
                if ack2one4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 71F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                        # 
                    
                    message2receive4one = pipe2one_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 71F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message2receive4one)
                        # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 256>  CONTROL MESSAGE:  <ack2put4xi>queue2one8shot2one11004xi</ack2put4xi>
                    
                else:
                    print("\n (STEP 71F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS ONE ", time4xi())                 
            else:
                print("\n (STEP 71F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS ONE ", time4xi())                                         
        else:
            print("\n (STEP 71F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())                    
         
        #=========
        # 1200 ONE
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2one4process is True:
    
            if ack2one4start is True:
    
                if ack2one4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 72F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE ONE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                        # 
                    
                    message2receive4one = pipe2one_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 72F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE ONE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message2receive4one)
                        # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 256>  CONTROL MESSAGE:  <ack2put4xi>queue2one8shot2one12004xi</ack2put4xi>
                    
                else:
                    print("\n (STEP 72F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE ONE - FAILED RUNNING PROCESS ONE ", time4xi())                 
            else:
                print("\n (STEP 72F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE ONE - FAILED STARTING PROCESS ONE ", time4xi())                                         
        else:
            print("\n (STEP 72F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE ONE - FAILED IN CREATING THE PROCESS ONE ", time4xi())                    
         
        #=========
        # 1300 ONE
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2one4process is True:
    
            if ack2one4start is True:
    
                if ack2one4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 73F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                        # 
                    
                    message2receive4one = pipe2one_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 73F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message2receive4one)
                        # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 256>  CONTROL MESSAGE:  <ack2put4xi>queue2one8shot2one13004xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 73F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS ONE ", time4xi())                 
            else:
                print("\n (STEP 73F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS ONE ", time4xi())                                         
        else:
            print("\n (STEP 73F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())                    
         
        #=========
        # 1400 ONE
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2one4process is True:
    
            if ack2one4start is True:
    
                if ack2one4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 74F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE ONE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                        # 
                    
                    message2receive4one = pipe2one_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 74F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE ONE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message2receive4one)
                        # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 256>  CONTROL MESSAGE:  <ack2put4xi>queue2one8shot2one14004xi</ack2put4xi>
                    
                else:
                    print("\n (STEP 74F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE ONE - FAILED RUNNING PROCESS ONE ", time4xi())                 
            else:
                print("\n (STEP 74F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE ONE - FAILED STARTING PROCESS ONE ", time4xi())                                         
        else:
            print("\n (STEP 74F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE ONE - FAILED IN CREATING THE PROCESS ONE ", time4xi())                    
         
        #=========
        # 1500 ONE
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2one4process is True:
    
            if ack2one4start is True:
    
                if ack2one4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 75F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                        # 
                    
                    message2receive4one = pipe2one_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 75F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message2receive4one)
                        # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 256>  CONTROL MESSAGE:  <ack2put4xi>queue2one8shot2one15004xi</ack2put4xi>
                    
                else:
                    print("\n (STEP 75F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS ONE ", time4xi())                 
            else:
                print("\n (STEP 75F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS ONE ", time4xi())                                         
        else:
            print("\n (STEP 75F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())                    
         
        #=========
        # 1600 ONE
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2one4process is True:
    
            if ack2one4start is True:
    
                if ack2one4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 76F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE ONE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                        # 
                    
                    message2receive4one = pipe2one_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 76F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE ONE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message2receive4one)
                        # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 256>  CONTROL MESSAGE:  <ack2put4xi>queue2one8shot2one16004xi</ack2put4xi>
                    
                else:
                    print("\n (STEP 76F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE ONE - FAILED RUNNING PROCESS ONE ", time4xi())                 
            else:
                print("\n (STEP 76F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE ONE - FAILED STARTING PROCESS ONE ", time4xi())                                         
        else:
            print("\n (STEP 76F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE ONE - FAILED IN CREATING THE PROCESS ONE ", time4xi())                    
         
        #=========
        # 1700 ONE
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2one4process is True:
    
            if ack2one4start is True:
    
                if ack2one4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 77F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                        # 
                    
                    message2receive4one = pipe2one_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 77F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message2receive4one)
                        # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 256>  CONTROL MESSAGE:  <ack2put4xi>queue2one8shot2one17004xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 77F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS ONE ", time4xi())                 
            else:
                print("\n (STEP 77F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS ONE ", time4xi())                                         
        else:
            print("\n (STEP 77F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())                    
         
        #=========
        # 1800 ONE
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2one4process is True:
    
            if ack2one4start is True:
    
                if ack2one4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 78F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE ONE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                        # 
                    
                    message2receive4one = pipe2one_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 78F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE ONE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message2receive4one)
                        # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 256>  CONTROL MESSAGE:  <ack2put4xi>queue2one8shot2one18004xi</ack2put4xi>
                    
                else:
                    print("\n (STEP 78F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE ONE - FAILED RUNNING PROCESS ONE ", time4xi())                 
            else:
                print("\n (STEP 78F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE ONE - FAILED STARTING PROCESS ONE ", time4xi())                                         
        else:
            print("\n (STEP 78F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE ONE - FAILED IN CREATING THE PROCESS ONE ", time4xi())                    
         
        #=========
        # 1900 ONE
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2one4process is True:
    
            if ack2one4start is True:
    
                if ack2one4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 79F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                        # 
                    
                    message2receive4one = pipe2one_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 79F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message2receive4one)
                        # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 256>  CONTROL MESSAGE:  <ack2put4xi>queue2one8shot2one19004xi</ack2put4xi>
                    
                else:
                    print("\n (STEP 79F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS ONE ", time4xi())                 
            else:
                print("\n (STEP 79F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS ONE ", time4xi())                                         
        else:
            print("\n (STEP 79F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())  
            
         
        #=========
        # 2000 ONE
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2one4process is True:
    
            if ack2one4start is True:
    
                if ack2one4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 80F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE ONE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                        # 
                    
                    message2receive4one = pipe2one_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 80F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE ONE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message2receive4one)
                        # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 256>  CONTROL MESSAGE:  <ack2put4xi>queue2one8shot2one20004xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 80F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE ONE - FAILED RUNNING PROCESS ONE ", time4xi())                 
            else:
                print("\n (STEP 80F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE ONE - FAILED STARTING PROCESS ONE ", time4xi())                                         
        else:
            print("\n (STEP 80F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE ONE - FAILED IN CREATING THE PROCESS ONE ", time4xi())  
         
        #=========
        # 2100 ONE
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2one4process is True:
    
            if ack2one4start is True:
    
                if ack2one4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 81F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                        # 
                    
                    message2receive4one = pipe2one_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 81F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message2receive4one)
                        # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 256>  CONTROL MESSAGE:  <ack2put4xi>queue2one8shot2one21004xi</ack2put4xi>
                    
                else:
                    print("\n (STEP 81F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS ONE ", time4xi())                 
            else:
                print("\n (STEP 81F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS ONE ", time4xi())                                         
        else:
            print("\n (STEP 81F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())  
         
        #=========
        # 2200 ONE
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2one4process is True:
    
            if ack2one4start is True:
    
                if ack2one4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 82F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE ONE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                        # 
                    
                    message2receive4one = pipe2one_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 82F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE ONE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message2receive4one)
                        # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 256>  CONTROL MESSAGE:  <ack2put4xi>queue2one8shot2one22004xi</ack2put4xi>
                    
                else:
                    print("\n (STEP 82F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE ONE - FAILED RUNNING PROCESS ONE ", time4xi())                 
            else:
                print("\n (STEP 82F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE ONE - FAILED STARTING PROCESS ONE ", time4xi())                                         
        else:
            print("\n (STEP 82F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE ONE - FAILED IN CREATING THE PROCESS ONE ", time4xi())  
         
        #=========
        # 2300 ONE
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2one4process is True:
    
            if ack2one4start is True:
    
                if ack2one4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 83F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                        # 
                    
                    message2receive4one = pipe2one_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 83F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message2receive4one)
                        # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 256>  CONTROL MESSAGE:  <ack2put4xi>queue2one8shot2one23004xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 83F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS ONE ", time4xi())                 
            else:
                print("\n (STEP 83F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS ONE ", time4xi())                                         
        else:
            print("\n (STEP 83F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())  
         
        #=========
        # 2400 ONE
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2one4process is True:
    
            if ack2one4start is True:
    
                if ack2one4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 84F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE ONE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                        # 
                    
                    message2receive4one = pipe2one_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 84F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE ONE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message2receive4one)
                        # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 256>  CONTROL MESSAGE:  <ack2put4xi>queue2one8shot2one24004xi</ack2put4xi>
                    
                else:
                    print("\n (STEP 84F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE ONE - FAILED RUNNING PROCESS ONE ", time4xi())                 
            else:
                print("\n (STEP 84F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE ONE - FAILED STARTING PROCESS ONE ", time4xi())                                         
        else:
            print("\n (STEP 84F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE ONE - FAILED IN CREATING THE PROCESS ONE ", time4xi())  
         
        #=========
        # 2500 ONE
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2one4process is True:
    
            if ack2one4start is True:
    
                if ack2one4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 85F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                        # 
                    
                    message2receive4one = pipe2one_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 85F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message2receive4one)
                        # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 256>  CONTROL MESSAGE:  <ack2put4xi>queue2one8shot2one25004xi</ack2put4xi>
                    
                else:
                    print("\n (STEP 85F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS ONE ", time4xi())                 
            else:
                print("\n (STEP 85F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS ONE ", time4xi())                                         
        else:
            print("\n (STEP 85F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())  
         
        #=========
        # 2600 ONE
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2one4process is True:
    
            if ack2one4start is True:
    
                if ack2one4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 86F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE ONE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                        # 
                    
                    message2receive4one = pipe2one_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 86F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE ONE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message2receive4one)
                        # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 256>  CONTROL MESSAGE:  <ack2put4xi>queue2one8shot2one26004xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 86F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE ONE - FAILED RUNNING PROCESS ONE ", time4xi())                 
            else:
                print("\n (STEP 86F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE ONE - FAILED STARTING PROCESS ONE ", time4xi())                                         
        else:
            print("\n (STEP 86F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE ONE - FAILED IN CREATING THE PROCESS ONE ", time4xi())  
         
        #=========
        # 2700 ONE
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2one4process is True:
    
            if ack2one4start is True:
    
                if ack2one4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 87F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                        # 
                    
                    message2receive4one = pipe2one_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 87F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message2receive4one)
                        # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 256>  CONTROL MESSAGE:  <ack2put4xi>queue2one8shot2one27004xi</ack2put4xi>
                    
                else:
                    print("\n (STEP 87F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS ONE ", time4xi())                 
            else:
                print("\n (STEP 87F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS ONE ", time4xi())                                         
        else:
            print("\n (STEP 87F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())  
         
        #=========
        # 2800 ONE
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2one4process is True:
    
            if ack2one4start is True:
    
                if ack2one4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 88F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE ONE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                        # 
                    
                    message2receive4one = pipe2one_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 88F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE ONE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message2receive4one)
                        # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 256>  CONTROL MESSAGE:  <ack2put4xi>queue2one8shot2one28004xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 88F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE ONE - FAILED RUNNING PROCESS ONE ", time4xi())                 
            else:
                print("\n (STEP 88F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE ONE - FAILED STARTING PROCESS ONE ", time4xi())                                         
        else:
            print("\n (STEP 88F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE ONE - FAILED IN CREATING THE PROCESS ONE ", time4xi())  
         
        #=========
        # 2900 ONE
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2one4process is True:
    
            if ack2one4start is True:
    
                if ack2one4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 89F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                        # 
                    
                    message2receive4one = pipe2one_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 89F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message2receive4one)
                        # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 256>  CONTROL MESSAGE:  <ack2put4xi>queue2one8shot2one29004xi</ack2put4xi>
                    
                else:
                    print("\n (STEP 89F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS ONE ", time4xi())                 
            else:
                print("\n (STEP 89F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS ONE ", time4xi())                                         
        else:
            print("\n (STEP 89F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())  
         
        #=========
        # 3000 ONE
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2one4process is True:
    
            if ack2one4start is True:
    
                if ack2one4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 90F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE ONE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                        # 
                    
                    message2receive4one = pipe2one_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 90F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE ONE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message2receive4one)
                        # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 256>  CONTROL MESSAGE:  <ack2put4xi>queue2one8shot2one30004xi</ack2put4xi>
                    
                else:
                    print("\n (STEP 90F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE ONE - FAILED RUNNING PROCESS ONE ", time4xi())                 
            else:
                print("\n (STEP 90F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE ONE - FAILED STARTING PROCESS ONE ", time4xi())                                         
        else:
            print("\n (STEP 90F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE ONE - FAILED IN CREATING THE PROCESS ONE ", time4xi())  
         
        #=========
        # 3100 ONE
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2one4process is True:
    
            if ack2one4start is True:
    
                if ack2one4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 91F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                        # 
                    
                    message2receive4one = pipe2one_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 91F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message2receive4one)
                        # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 256>  CONTROL MESSAGE:  <ack2put4xi>queue2one8shot2one31004xi</ack2put4xi>
                    
                else:
                    print("\n (STEP 91F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS ONE ", time4xi())                 
            else:
                print("\n (STEP 91F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS ONE ", time4xi())                                         
        else:
            print("\n (STEP 91F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())  
         
        #=========
        # 3200 ONE
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2one4process is True:
    
            if ack2one4start is True:
    
                if ack2one4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 92F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE ONE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                        # 
                    
                    message2receive4one = pipe2one_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 92F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE ONE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message2receive4one)
                        # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 256>  CONTROL MESSAGE:  <ack2put4xi>queue2one8shot2one32004xi</ack2put4xi>
                    
                else:
                    print("\n (STEP 92F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE ONE - FAILED RUNNING PROCESS ONE ", time4xi())                 
            else:
                print("\n (STEP 92F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE ONE - FAILED STARTING PROCESS ONE ", time4xi())                                         
        else:
            print("\n (STEP 92F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE ONE - FAILED IN CREATING THE PROCESS ONE ", time4xi())  
         
        #=========
        # 3300 ONE
        #=========
       
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2one4process is True:
    
            if ack2one4start is True:
    
                if ack2one4run is True:
        
                    # -----------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -----------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 93F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE ONE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                        # 
                    
                    message2receive4one = pipe2one_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 93F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE ONE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message2receive4one)
                        # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 256>  CONTROL MESSAGE:  <ack2put4xi>queue2one8shot2one33004xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 93F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE ONE - FAILED RUNNING PROCESS ONE ", time4xi())                 
            else:
                print("\n (STEP 93F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE ONE - FAILED STARTING PROCESS ONE ", time4xi())                                         
        else:
            print("\n (STEP 93F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE ONE - FAILED IN CREATING THE PROCESS ONE ", time4xi())  
    
          
        # ==========================================================================================================================   
        # I/I EOF TRIALS TO RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES FOR DIRECTION ONE LAYERS 10, 100 ...3300
        # ==========================================================================================================================       
        if ack2debug is True:
            print("\n (STEP 93F6/800) OF COLOR_TENSES4XI - DONE TRIALS TO RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES FOR DIRECTION ONE LAYERS 10, 100 ...3300 ", time4xi())
            # <pipeconnection4xi.PipeConnection4Xi object at 0x00000000036F3E10>  CONTROL MESSAGE:  <ack2put4xi>queue2one8shot2one33004xi</ack2put4xi>
            # 06:15:20 02/06/13 Pacific Standard Time
             
                          
        # =========================================================================================================   
        # II/I GET ONE DIRECTION LAYERS 10, 100 ...3300 QUEUE DIRECTORIES
        # =========================================================================================================      
        if ack2debug is True:
            print("\n (STEP 94F0/800) OF COLOR_TENSES4XI - TRYING GET ONE DIRECTION LAYERS 10, 100 ...3300 QUEUE DIRECTORIES  ", time4xi())
            #       
        
    
        #========
        # 10 ONE
        #========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2one104xi = {}
        
        if ack2one4process is True:
    
            if ack2one4start is True:
    
                if ack2one4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 94F1/800) OF COLOR_TENSES4XI - TRYING TO GET COORDINATE 10 ONE: ", queue2one)
                        # 
                               
                    fire2one104xi = queue2one.get()
                    if ack2debug is True:
                        print("\n (STEP 94F2/800) OF COLOR_TENSES4XI -  GOT FROM QUEUE ONE: ", queue2one, " FIRE2ONE104XI: ", fire2one104xi) 
                        # FIRE2ONE104XI:  {1: '0x0y19z', 2: '0x0y39z', 3: '0x0y59z', 4: '0x0y89z' ...
                        
                else:
                    print("\n (STEP 94F3/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE ONE - FAILED RUNNING PROCESS ONE ", time4xi())                 
            else:
                print("\n (STEP 94F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE ONE - FAILED STARTING PROCESS ONE ", time4xi())                                         
        else:
            print("\n (STEP 94F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE ONE - FAILED IN CREATING PROCESS ONE ", time4xi())
        
        if ack2debug is True:
            print("\n (STEP 94F6/800) OF COLOR_TENSES4XI -  FIRE2ONE104XI: ", fire2one104xi) 
            
      
           
        #========
        # 100 ONE
        #========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2one1004xi = {}
    
        if ack2one4process is True:
    
            if ack2one4start is True:
    
                if ack2one4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 101F1/800) OF COLOR_TENSES4XI - TRYING TO GET 100 ONE: ", queue2one)
                        # 
                             
                    fire2one1004xi = queue2one.get()
                    if ack2debug is True:
                        print("\n (STEP 101F2/800) OF COLOR_TENSES4XI -  GOT FROM QUEUE ONE: ", queue2one, " FIRE2ONE1004XI: ", fire2one1004xi) 
                        # FIRE2ONE1004XI:  {1: '0x0y99z', 2: '0x10y99z', 3: '0x11y99z', 4: '0x12y99z' ...
                        
                else:
                    print("\n (STEP 101F3/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
            else:
                print("\n (STEP 101F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
        else:
            print("\n (STEP 101F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
          
    
        #========
        # 200 ONE
        #========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2one2004xi = {}
        
        if ack2one4process is True:
    
            if ack2one4start is True:
    
                if ack2one4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 102F1/800) OF COLOR_TENSES4XI - TRYING TO GET 200 ONE: ", queue2one)
                        # 
                                
                    fire2one2004xi = queue2one.get()
                    if ack2debug is True:
                        print("\n (STEP 102F2/800) OF COLOR_TENSES4XI -  GOT FROM QUEUE ONE: ", queue2one, " FIRE2ONE2004XI: ", fire2one2004xi) 
                        # FIRE2ONE2004XI:  {1: '0x0y199z', 2: '0x132y149z', 3: '0x180y87z', 4: '0x23y198z', 5: '0x25y198z', 6: '0x2y199z', 7: '0x4y199z', 8: '0x6y199z' ...
                        
                else:
                    print("\n (STEP 102F3/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
            else:
                print("\n (STEP 102F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
        else:
            print("\n (STEP 102F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
                                        
                                      
          
    
    
           
        #========
        # 300 ONE
        #========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2one3004xi = {}
        
        if ack2one4process is True:
    
            if ack2one4start is True:
    
                if ack2one4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 103F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2ONE3004XI FROM QUEUE: ", queue2one)
                        # 
                                    
                    fire2one3004xi = queue2one.get()
                    if ack2debug is True:
                        print("\n (STEP 103F2/800) OF COLOR_TENSES4XI -  GOT FROM QUEUE ONE: ", queue2one, " FIRE2ONE3004XI: ", fire2one3004xi) 
                        # FIRE2ONE3004XI:  {1: '0x0y299z', 2: '0x12y299z', 3: '0x198y224z', 4: '0x270y130z', 5: '0x38y297z', 6: '0x3y299z', 7: '0x6y299z', 8: '0x9y299z' ...
                        
                else:
                    print("\n (STEP 103F3/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
            else:
                print("\n (STEP 103F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
        else:
            print("\n (STEP 103F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
                   
    
    
           
        #========
        # 400 ONE
        #========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2one4004xi = {}
        
        if ack2one4process is True:
    
            if ack2one4start is True:
    
                if ack2one4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 104F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2ONE4004XI FROM QUEUE: ", queue2one)
                        # 
                    fire2one4004xi = queue2one.get()
                    if ack2debug is True:
                        print("\n (STEP 104F2/800) OF COLOR_TENSES4XI -  GOT FROM QUEUE ONE: ", queue2one, " FIRE2ONE4004XI: ", fire2one4004xi) 
                        # FIRE2ONE4004XI:  {1: '0x0y399z', 2: '0x12y399z', 3: '0x16y399z', 4: '0x264y299z', 5: '0x360y174z', 6: '0x4y399z', 7: '0x51y396z', 8: '0x8y399z' ...
                        
                else:
                    print("\n (STEP 104F3/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
            else:
                print("\n (STEP 104F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
        else:
            print("\n (STEP 104F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
                   
    
    
                                   
        #========
        # 500 ONE
        #========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2one5004xi = {}
        
        if ack2one4process is True:
    
            if ack2one4start is True:
    
                if ack2one4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 105F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2ONE5004XI FROM QUEUE: ", queue2one)
                        # 
                                
                    fire2one5004xi = queue2one.get()
                    if ack2debug is True:
                        print("\n (STEP 105F2/800) OF COLOR_TENSES4XI -  GOT FROM QUEUE ONE: ", queue2one, " FIRE2ONE5004XI: ", fire2one5004xi) 
                        # FIRE2ONE5004XI:  {1: '0x0y499z', 2: '0x10y499z', 3: '0x15y499z', 4: '0x20y499z', 5: '0x331y374z', 6: '0x450y217z', 7: '0x5y499z', 8: '0x64y495z' ...
                        
                else:
                    print("\n (STEP 105F3/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
            else:
                print("\n (STEP 105F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
        else:
            print("\n (STEP 105F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
                                      
          
    
                                                                                              
        #========
        # 600 ONE
        #========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2one6004xi = {}
        
        if ack2one4process is True:
    
            if ack2one4start is True:
    
                if ack2one4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 106F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2ONE6004XI FROM QUEUE: ", queue2one)
                        # 
                                
                    fire2one6004xi = queue2one.get()
                    if ack2debug is True:
                        print("\n (STEP 106F2/800) OF COLOR_TENSES4XI -  GOT FROM QUEUE ONE: ", queue2one, " FIRE2ONE6004XI: ", fire2one6004xi) 
                        # FIRE2ONE6004XI:  {1: '0x0y599z', 2: '0x12y599z', 3: '0x18y599z', 4: '0x397y449z', 5: '0x540y261z', 6: '0x6y599z', 7: '103x542y234z', 8: '107x429y404z' ...
                        
                else:
                    print("\n (STEP 106F3/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
            else:
                print("\n (STEP 106F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
        else:
            print("\n (STEP 106F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
                   
    
    
            
        #========
        # 700 ONE
        #========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2one7004xi = {}
        
        if ack2one4process is True:
    
            if ack2one4start is True:
    
                if ack2one4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 107F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2ONE7004XI FROM QUEUE: ", queue2one)
                        # 
                                   
                    fire2one7004xi = queue2one.get()
                    if ack2debug is True:
                        print("\n (STEP 107F2/800) OF COLOR_TENSES4XI -  GOT FROM QUEUE ONE: ", queue2one, " FIRE2ONE7004XI: ", fire2one7004xi) 
                        # FIRE2ONE7004XI:  {1: '0x0y699z', 2: '0x14y699z', 3: '0x1y699z', 4: '0x21y699z', 5: '0x463y524z', 6: '0x7y699z', 7: '10x18y699z', 8: '113x421y547z' ...
                        
                      
                else:
                    print("\n (STEP 107F3/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
            else:
                print("\n (STEP 107F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
        else:
            print("\n (STEP 107F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
                   
    
    
              
        #========
        # 800 ONE
        #========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2one8004xi = {}
        
        if ack2one4process is True:
    
            if ack2one4start is True:
    
                if ack2one4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 108F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2ONE8004XI FROM QUEUE: ", queue2one)
                        # 
                                
                    fire2one8004xi = queue2one.get()
                    if ack2debug is True:
                        print("\n (STEP 108F2/800) OF COLOR_TENSES4XI -  GOT FROM QUEUE ONE: ", queue2one, " FIRE2ONE8004XI: ", fire2one8004xi) 
                        # FIRE2ONE8004XI:  {1: '0x0y799z', 2: '0x16y799z', 3: '0x1y799z', 4: '0x24y799z', 5: '0x529y599z', 6: '0x8y799z', 7: '100x732y304z', 8: '105x494y620z' ...
                        
                else:
                    print("\n (STEP 108F3/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
            else:
                print("\n (STEP 108F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
        else:
            print("\n (STEP 108F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
                   
    
    
            
        #========
        # 900 ONE
        #========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2one9004xi = {}
        
        if ack2one4process is True:
    
            if ack2one4start is True:
    
                if ack2one4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 109F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2ONE9004XI FROM QUEUE: ", queue2one)
                        # 
                    
                    fire2one9004xi = queue2one.get()
                    if ack2debug is True:
                        print("\n (STEP 109F2/800) OF COLOR_TENSES4XI -  GOT FROM QUEUE ONE: ", queue2one, " FIRE2ONE9004XI: ", fire2one9004xi) 
                        # FIRE2ONE9004XI:  {1: '0x0y899z', 2: '0x1y899z', 3: '0x27y899z', 4: '0x595y674z', 5: '0x9y899z', 6: '113x824y342z', 7: '118x556y697z', 8: '123x788y416z' ...
                        
                else:
                    print("\n (STEP 109F3/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
            else:
                print("\n (STEP 109F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
        else:
            print("\n (STEP 109F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
                   
    
    
            
        #=========
        # 1000 ONE
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2one10004xi = {}
        
        if ack2one4process is True:
    
            if ack2one4start is True:
    
                if ack2one4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 110F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2ONE10004XI FROM QUEUE: ", queue2one)
                        # 
                              
                    fire2one10004xi = queue2one.get()
                    if ack2debug is True:
                        print("\n (STEP 110F2/800) OF COLOR_TENSES4XI -  GOT FROM QUEUE ONE: ", queue2one, " FIRE2ONE10004XI: ", fire2one10004xi) 
                        # FIRE2ONE10004XI:  {1: '0x0y999z', 2: '0x1y999z', 3: '0x30y999z', 4: '0x662y749z', 5: '100x631y768z', 6: '100x819y563z', 7: '104x744y659z', 8: '10x16y999z' ...
                        
                else:
                    print("\n (STEP 110F3/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
            else:
                print("\n (STEP 110F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
        else:
            print("\n (STEP 110F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
                   
    
            
        #=========
        # 1100 ONE
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2one11004xi = {}
        
        if ack2one4process is True:
    
            if ack2one4start is True:
    
                if ack2one4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 111F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2ONE11004XI FROM QUEUE: ", queue2one)
                        # 
                           
                    fire2one11004xi = queue2one.get()
                    if ack2debug is True:
                        print("\n (STEP 111F2/800) OF COLOR_TENSES4XI -  GOT FROM QUEUE ONE: ", queue2one, " FIRE2ONE11004XI: ", fire2one11004xi) 
                        # FIRE2ONE11004XI:  {1: '0x0y1099z', 2: '0x1y1099z', 3: '0x33y1099z', 4: '0x728y824z', 5: '100x975y498z', 6: '10x120y1093z', 7: '110x694y845z', 8: '110x901y620z' ...
                        
                else:
                    print("\n (STEP 111F3/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
            else:
                print("\n (STEP 111F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
        else:
            print("\n (STEP 111F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
                   
    
    
            
        #=========
        # 1200 ONE
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2one12004xi = {}
        
        if ack2one4process is True:
    
            if ack2one4start is True:
    
                if ack2one4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 112F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2ONE12004XI FROM QUEUE: ", queue2one)
                        # 
                                  
                    fire2one12004xi = queue2one.get()
                    if ack2debug is True:
                        print("\n (STEP 112F2/800) OF COLOR_TENSES4XI -  GOT FROM QUEUE ONE: ", queue2one, " FIRE2ONE12004XI: ", fire2one12004xi) 
                        # FIRE2ONE12004XI:  {1: '0x0y1199z', 2: '0x36y1199z', 3: '0x794y899z', 4: '110x1063y544z', 5: '11x131y1192z', 6: '120x757y922z', 7: '120x983y676z', 8: '125x892y791z' ...
                        
                else:
                    print("\n (STEP 112F3/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
            else:
                print("\n (STEP 112F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
        else:
            print("\n (STEP 112F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
                   
    
    
            
        #=========
        # 1300 ONE
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2one13004xi = {}
        
        if ack2one4process is True:
    
            if ack2one4start is True:
    
                if ack2one4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 113F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2ONE13004XI FROM QUEUE: ", queue2one)
                        # 
                                  
                    fire2one13004xi = queue2one.get()
                    if ack2debug is True:
                        print("\n (STEP 113F2/800) OF COLOR_TENSES4XI -  GOT FROM QUEUE ONE: ", queue2one, " FIRE2ONE13004XI: ", fire2one13004xi) 
                        # FIRE2ONE13004XI:  {1: '0x0y1299z', 2: '0x39y1299z', 3: '0x860y974z', 4: '101x1202y483z', 5: '119x1152y589z', 6: '12x142y1292z', 7: '130x1065y732z', 8: '130x820y999z' ...
                        
                else:
                    print("\n (STEP 113F3/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
            else:
                print("\n (STEP 113F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
        else:
            print("\n (STEP 113F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
                   
    
            
        #=========
        # 1400 ONE
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2one14004xi = {}
        
        if ack2one4process is True:
    
            if ack2one4start is True:
    
                if ack2one4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 114F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2ONE14004XI FROM QUEUE: ", queue2one)
                        # 
                               
                    fire2one14004xi = queue2one.get()
                    if ack2debug is True:
                        print("\n (STEP 114F2/800) OF COLOR_TENSES4XI -  GOT FROM QUEUE ONE: ", queue2one, " FIRE2ONE14004XI: ", fire2one14004xi) 
                        # FIRE2ONE14004XI:  {1: '0x0y1399z', 2: '0x42y1399z', 3: '0x926y1049z', 4: '109x1295y520z', 5: '128x1241y634z', 6: '13x153y1391z', 7: '140x1147y789z', 8: '140x884y1076z' ...
                        
                else:
                    print("\n (STEP 114F3/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
            else:
                print("\n (STEP 114F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
        else:
            print("\n (STEP 114F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
                   
    
            
        #=========
        # 1500 ONE
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2one15004xi = {}
        
        if ack2one4process is True:
    
            if ack2one4start is True:
    
                if ack2one4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 115F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2ONE15004XI FROM QUEUE: ", queue2one)
                        # 
                                
                    fire2one15004xi = queue2one.get()
                    if ack2debug is True:
                        print("\n (STEP 115F2/800) OF COLOR_TENSES4XI -  GOT FROM QUEUE ONE: ", queue2one, " FIRE2ONE15004XI: ", fire2one15004xi) 
                        # FIRE2ONE15004XI:  {1: '0x0y1499z', 2: '0x45y1499z', 3: '0x993y1124z', 4: '101x965y1143z', 5: '1024x777y772z', 6: '116x1387y557z', 7: '137x1329y680z', 8: '14x164y1490z' ...
                        
                else:
                    print("\n (STEP 115F3/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
            else:
                print("\n (STEP 115F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
        else:
            print("\n (STEP 115F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
                   
    
            
        #=========
        # 1600 ONE
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2one16004xi = {}
        
        if ack2one4process is True:
    
            if ack2one4start is True:
    
                if ack2one4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 116F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2ONE16004XI FROM QUEUE: ", queue2one)
                        # 
                                  
                    fire2one16004xi = queue2one.get()
                    if ack2debug is True:
                        print("\n (STEP 116F2/800) OF COLOR_TENSES4XI -  GOT FROM QUEUE ONE: ", queue2one, " FIRE2ONE16004XI: ", fire2one16004xi) 
                        # FIRE2ONE16004XI:  {1: '0x0y1599z', 2: '0x1059y1199z', 3: '0x48y1599z', 4: '1010x820y930z', 5: '1011x949y796z', 6: '1044x761y943z', 7: '1054x890y809z', 8: '105x1208y1043z' ...
                        
                else:
                    print("\n (STEP 116F3/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
            else:
                print("\n (STEP 116F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
        else:
            print("\n (STEP 116F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
                   
    
            
        #=========
        # 1700 ONE
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2one17004xi = {}
        
        if ack2one4process is True:
    
            if ack2one4start is True:
    
                if ack2one4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 117F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2ONE17004XI FROM QUEUE: ", queue2one)
                        # 
                              
                    fire2one17004xi = queue2one.get()
                    if ack2debug is True:
                        print("\n (STEP 117F2/800) OF COLOR_TENSES4XI -  GOT FROM QUEUE ONE: ", queue2one, " FIRE2ONE17004XI: ", fire2one17004xi) 
                        # FIRE2ONE17004XI:  {1: '0x0y1699z', 2: '0x1125y1274z', 3: '0x51y1699z', 4: '1010x708y1169z', 5: '1026x1070y831z', 6: '1033x933y974z', 7: '1073x872y988z', 8: '1075x1009y845z' ...
                        
                else:
                    print("\n (STEP 117F3/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
            else:
                print("\n (STEP 117F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
        else:
            print("\n (STEP 117F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
                   
    
            
        #=========
        # 1800 ONE
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2one18004xi = {}
        
        if ack2one4process is True:
    
            if ack2one4start is True:
    
                if ack2one4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 118F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2ONE18004XI FROM QUEUE: ", queue2one)
                        # 
                                 
                    fire2one18004xi = queue2one.get()
                    if ack2debug is True:
                        print("\n (STEP 118F2/800) OF COLOR_TENSES4XI -  GOT FROM QUEUE ONE: ", queue2one, " FIRE2ONE18004XI: ", fire2one18004xi) 
                        # FIRE2ONE18004XI:  {1: '0x0y1799z', 2: '0x1191y1348z', 3: '0x54y1799z', 4: '1003x873y1212z', 5: '100x148y1791z', 6: '101x169y1789z', 7: '101x190y1787z', 8: '1032x1195y864z' ...
                        
                else:
                    print("\n (STEP 118F3/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
            else:
                print("\n (STEP 118F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
        else:
            print("\n (STEP 118F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
                   
    
            
        #=========
        # 1900 ONE
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2one19004xi = {}
        
        if ack2one4process is True:
    
            if ack2one4start is True:
    
                if ack2one4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 119F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2ONE19004XI FROM QUEUE: ", queue2one)
                        # 
                            
                    fire2one19004xi = queue2one.get()
                    if ack2debug is True:
                        print("\n (STEP 119F2/800) OF COLOR_TENSES4XI -  GOT FROM QUEUE ONE: ", queue2one, " FIRE2ONE19004XI: ", fire2one19004xi) 
                        # FIRE2ONE19004XI:  {1: '0x0y1899z', 2: '0x1257y1423z', 3: '0x57y1899z', 4: '1002x676y1465z', 5: '1018x984y1265z', 6: '1027x1323y895z', 7: '102x136y1892z', 8: '1054x1174y1058z' ...
                        
                else:
                    print("\n (STEP 119F3/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
            else:
                print("\n (STEP 119F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
        else:
            print("\n (STEP 119F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
                   
          
    
            
        #=========
        # 2000 ONE
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2one20004xi = {}
        
        if ack2one4process is True:
    
            if ack2one4start is True:
    
                if ack2one4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 120F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2ONE20004XI FROM QUEUE: ", queue2one)
                        # 
                                               
                    fire2one20004xi = queue2one.get()
                    if ack2debug is True:
                        print("\n (STEP 120F2/800) OF COLOR_TENSES4XI -  GOT FROM QUEUE ONE: ", queue2one, " FIRE2ONE20004XI: ", fire2one20004xi) 
                        # FIRE2ONE20004XI:  {1: '0x0y1999z', 2: '0x1324y1498z', 3: '0x60y1999z', 4: '1012x1455y924z', 5: '1025x1101y1317z', 6: '1029x775y1529z', 7: '102x122y1993z', 8: '1050x1301y1097z' ...
                        
                else:
                    print("\n (STEP 120F3/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
            else:
                print("\n (STEP 120F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
        else:
            print("\n (STEP 120F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
                   
    
            
        #=========
        # 2100 ONE
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2one21004xi = {}
        
        if ack2one4process is True:
    
            if ack2one4start is True:
    
                if ack2one4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 121F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2ONE21004XI FROM QUEUE: ", queue2one)
                        # 
                                  
                    fire2one21004xi = queue2one.get()
                    if ack2debug is True:
                        print("\n (STEP 121F2/800) OF COLOR_TENSES4XI -  GOT FROM QUEUE ONE: ", queue2one, " FIRE2ONE21004XI: ", fire2one21004xi) 
                        # FIRE2ONE21004XI:  {1: '0x0y2099z', 2: '0x1390y1573z', 3: '0x63y2099z', 4: '100x107y2094z', 5: '1012x944y1578z', 6: '1023x1221y1367z', 7: '1036x1431y1134z', 8: '1048x880y1592z' ...
                        
                else:
                    print("\n (STEP 121F3/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
            else:
                print("\n (STEP 121F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
        else:
            print("\n (STEP 121F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
                   
    
            
        #=========
        # 2200 ONE
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2one22004xi = {}
        
        if ack2one4process is True:
    
            if ack2one4start is True:
    
                if ack2one4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 122F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2ONE22004XI FROM QUEUE: ", queue2one)
                        # 
                                    
                    fire2one22004xi = queue2one.get()
                    if ack2debug is True:
                        print("\n (STEP 122F2/800) OF COLOR_TENSES4XI -  GOT FROM QUEUE ONE: ", queue2one, " FIRE2ONE22004XI: ", fire2one22004xi) 
                        # FIRE2ONE22004XI:  {1: '0x0y2199z', 2: '0x1456y1648z', 3: '0x66y2199z', 4: '1012x1345y1415z', 5: '1012x1564y1169z', 6: '1019x1055y1639z', 7: '1033x1666y997z', 8: '105x112y2194z' ...
                        
                else:
                    print("\n (STEP 122F3/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
            else:
                print("\n (STEP 122F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
        else:
            print("\n (STEP 122F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
                   
    
            
        #=========
        # 2300 ONE
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2one23004xi = {}
        
        if ack2one4process is True:
    
            if ack2one4start is True:
    
                if ack2one4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 123F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2ONE23004XI FROM QUEUE: ", queue2one)
                        # 
                                    
                    fire2one23004xi = queue2one.get()
                    if ack2debug is True:
                        print("\n (STEP 123F2/800) OF COLOR_TENSES4XI -  GOT FROM QUEUE ONE: ", queue2one, " FIRE2ONE23004XI: ", fire2one23004xi) 
                        # FIRE2ONE23004XI:  {1: '0x0y2299z', 2: '0x1522y1723z', 3: '0x69y2298z', 4: '1017x1170y1698z', 5: '104x2057y1022z', 6: '1058x1406y1479z', 7: '1058x1635y1223z', 8: '1065x1103y1713z' ...
                       
                else:
                    print("\n (STEP 123F3/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
            else:
                print("\n (STEP 123F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
        else:
            print("\n (STEP 123F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
                   
    
            
        #=========
        # 2400 ONE
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2one24004xi = {}
        
        if ack2one4process is True:
    
            if ack2one4start is True:
    
                if ack2one4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 124F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2ONE24004XI FROM QUEUE: ", queue2one)
                        # 
                                    
                    fire2one24004xi = queue2one.get()
                    if ack2debug is True:
                        print("\n (STEP 124F2/800) OF COLOR_TENSES4XI -  GOT FROM QUEUE ONE: ", queue2one, " FIRE2ONE24004XI: ", fire2one24004xi) 
                        # FIRE2ONE24004XI:  {1: '0x0y2399z', 2: '0x1589y1798z', 3: '0x72y2398z', 4: '1004x729y2054z', 5: '1007x1289y1755z', 6: '1019x1772y1255z', 7: '1035x1536y1525z', 8: '1036x1883y1067z' ...
                        
                else:
                    print("\n (STEP 124F3/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
            else:
                print("\n (STEP 124F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
        else:
            print("\n (STEP 124F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
                   
    
            
        #=========
        # 2500 ONE
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2one25004xi = {}
        
        if ack2one4process is True:
    
            if ack2one4start is True:
    
                if ack2one4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 125F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2ONE25004XI FROM QUEUE: ", queue2one)
                        # 
                                    
                    fire2one25004xi = queue2one.get()
                    if ack2debug is True:
                        print("\n (STEP 125F2/800) OF COLOR_TENSES4XI -  GOT FROM QUEUE ONE: ", queue2one, " FIRE2ONE25004XI: ", fire2one25004xi) 
                        # FIRE2ONE25004XI:  {1: '0x0y2499z', 2: '0x1655y1873z', 3: '0x75y2498z', 4: '1001x1668y1569z', 5: '1021x827y2126z', 6: '1046x760y2139z', 7: '1049x1343y1828z', 8: '1062x1846y1308z' ...
                        
                else:
                    print("\n (STEP 125F3/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
            else:
                print("\n (STEP 125F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
        else:
            print("\n (STEP 125F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
                   
    
            
        #=========
        # 2600 ONE
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2one26004xi = {}
        
        if ack2one4process is True:
    
            if ack2one4start is True:
    
                if ack2one4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 126F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2ONE26004XI FROM QUEUE: ", queue2one)
                        # 
                                    
                    fire2one26004xi = queue2one.get()
                    if ack2debug is True:
                        print("\n (STEP 126F2/800) OF COLOR_TENSES4XI -  GOT FROM QUEUE ONE: ", queue2one, " FIRE2ONE26004XI: ", fire2one26004xi) 
                        # FIRE2ONE26004XI:  {1: '0x0y2599z', 2: '0x1721y1948z', 3: '0x78y2598z', 4: '1008x1987y1338z', 5: '1019x2106y1132z', 6: '1027x1467y1884z', 7: '1032x929y2197z', 8: '1041x1734y1632z' ...
                        
                else:
                    print("\n (STEP 126F3/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
            else:
                print("\n (STEP 126F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
        else:
            print("\n (STEP 126F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
                   
    
            
        #=========
        # 2700 ONE
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2one27004xi = {}
        
        if ack2one4process is True:
    
            if ack2one4start is True:
    
                if ack2one4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 127F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2ONE27004XI FROM QUEUE: ", queue2one)
                        # 
                                    
                    fire2one27004xi = queue2one.get()
                    if ack2debug is True:
                        print("\n (STEP 127F2/800) OF COLOR_TENSES4XI -  GOT FROM QUEUE ONE: ", queue2one, " FIRE2ONE27004XI: ", fire2one27004xi) 
                        # FIRE2ONE27004XI:  {1: '0x0y2699z', 2: '0x1787y2023z', 3: '0x81y2698z', 4: '101x88y2696z', 5: '1036x1036y2267z', 6: '1047x2064y1389z', 7: '1058x2187y1176z', 8: '1067x1523y1956z' ...
                        
                else:
                    print("\n (STEP 127F3/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
            else:
                print("\n (STEP 127F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
        else:
            print("\n (STEP 127F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
                   
    
            
        #=========
        # 2800 ONE
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2one28004xi = {}
        
        if ack2one4process is True:
    
            if ack2one4start is True:
    
                if ack2one4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 128F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2ONE28004XI FROM QUEUE: ", queue2one)
                        # 
                                    
                    fire2one28004xi = queue2one.get()
                    if ack2debug is True:
                        print("\n (STEP 128F2/800) OF COLOR_TENSES4XI -  GOT FROM QUEUE ONE: ", queue2one, " FIRE2ONE28004XI: ", fire2one28004xi) 
                        # FIRE2ONE28004XI:  {1: '0x0y2799z', 2: '0x1853y2098z', 3: '0x84y2798z', 4: '1030x1939y1736z', 5: '1032x1146y2336z', 6: '1033x1653y2009z', 7: '105x91y2796z', 8: '1074x1074y2351z' ...
                        
                else:
                    print("\n (STEP 128F3/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
            else:
                print("\n (STEP 128F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
        else:
            print("\n (STEP 128F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
                   
    
            
        #=========
        # 2900 ONE
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2one29004xi = {}
        
        if ack2one4process is True:
    
            if ack2one4start is True:
    
                if ack2one4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 129F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2ONE29004XI FROM QUEUE: ", queue2one)
                        # 
                                    
                    fire2one29004xi = queue2one.get()
                    if ack2debug is True:
                        print("\n (STEP 129F2/800) OF COLOR_TENSES4XI -  GOT FROM QUEUE ONE: ", queue2one, " FIRE2ONE29004XI: ", fire2one29004xi) 
                        # FIRE2ONE29004XI:  {1: '0x0y2899z', 2: '0x1920y2173z', 3: '0x87y2898z', 4: '1013x2286y1467z', 5: '1017x2417y1237z', 6: '1020x1260y2403z', 7: '1066x2009y1798z', 8: '1069x1187y2420z' ...
                        
                else:
                    print("\n (STEP 129F3/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
            else:
                print("\n (STEP 129F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
        else:
            print("\n (STEP 129F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
                   
    
            
        #=========
        # 3000 ONE
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2one30004xi = {}
        
        if ack2one4process is True:
    
            if ack2one4start is True:
    
                if ack2one4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 130F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2ONE30004XI FROM QUEUE: ", queue2one)
                        # 
                                    
                    fire2one30004xi = queue2one.get()
                    if ack2debug is True:
                        print("\n (STEP 130F2/800) OF COLOR_TENSES4XI -  GOT FROM QUEUE ONE: ", queue2one, " FIRE2ONE30004XI: ", fire2one30004xi) 
                        # FIRE2ONE30004XI:  {1: '0x0y2999z', 2: '0x1986y2248z', 3: '0x90y2998z', 4: '1000x1377y2469z', 5: '1001x2150y1836z', 6: '1023x1845y2132z', 7: '102x1960y2268z', 8: '1048x2365y1518z' ...
                       
                else:
                    print("\n (STEP 130F3/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
            else:
                print("\n (STEP 130F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
        else:
            print("\n (STEP 130F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
                   
    
            
        #=========
        # 3100 ONE
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2one31004xi = {}
        
        if ack2one4process is True:
    
            if ack2one4start is True:
    
                if ack2one4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 131F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2ONE31004XI FROM QUEUE: ", queue2one)
                        # 
                                    
                    fire2one31004xi = queue2one.get()
                    if ack2debug is True:
                        print("\n (STEP 131F2/800) OF COLOR_TENSES4XI -  GOT FROM QUEUE ONE: ", queue2one, " FIRE2ONE31004XI: ", fire2one31004xi) 
                        # FIRE2ONE31004XI:  {1: '0x0y3099z', 2: '0x2052y2323z', 3: '0x93y3098z', 4: '1034x1423y2552z', 5: '1034x2221y1898z', 6: '1057x1907y2203z', 7: '106x2026y2343z', 8: '1083x2444y1568z' ...
                        
                else:
                    print("\n (STEP 131F3/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
            else:
                print("\n (STEP 131F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
        else:
            print("\n (STEP 131F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
                   
    
            
        #=========
        # 3200 ONE
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2one32004xi = {}
        
        if ack2one4process is True:
    
            if ack2one4start is True:
    
                if ack2one4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 132F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2ONE32004XI FROM QUEUE: ", queue2one)
                        # 
                                    
                    fire2one32004xi = queue2one.get()
                    if ack2debug is True:
                        print("\n (STEP 132F2/800) OF COLOR_TENSES4XI -  GOT FROM QUEUE ONE: ", queue2one, " FIRE2ONE32004XI: ", fire2one32004xi) 
                        # FIRE2ONE32004XI:  {1: '0x0y3199z', 2: '0x2118y2398z', 3: '0x96y3198z', 4: '1003x1545y2616z', 5: '100x78y3197z', 6: '1067x1469y2634z', 7: '1068x2293y1959z', 8: '1091x1968y2274z' ...
                        
                else:
                    print("\n (STEP 132F3/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
            else:
                print("\n (STEP 132F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
        else:
            print("\n (STEP 132F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
                   
    
            
        #=========
        # 3300 ONE
        #=========
      
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2one33004xi = {}
        
        if ack2one4process is True:
    
            if ack2one4start is True:
    
                if ack2one4run is True:
        
                    # -----------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                    # -----------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 133F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2ONE33004XI FROM QUEUE: ", queue2one)
                        # 
                                    
                    fire2one33004xi = queue2one.get()  
                    if ack2debug is True:
                        print("\n (STEP 133F2/800) OF COLOR_TENSES4XI -  GOT FROM QUEUE ONE: ", queue2one, " FIRE2ONE33004XI: ", fire2one33004xi) 
                        # FIRE2ONE33004XI:  {1: '0x0y3299z', 2: '0x2184y2473z', 3: '0x99y3298z', 4: '1016x2820y1378z', 5: '1021x2674y1641z', 6: '1027x2107y2322z', 7: '1034x1593y2698z', 8: '104x81y3297z' ...
                        
                else:
                    print("\n (STEP 133F3/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
            else:
                print("\n (STEP 133F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
        else:
            print("\n (STEP 133F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
          
        # =========================================================================================================   
        # II/I EOF ONE DIRECTION LAYERS 10, 100 ...3300 QUEUE DICTIONARIES
        # =========================================================================================================      
        if ack2debug is True:
            print("\n (STEP 133F6/800) OF COLOR_TENSES4XI - DONE TRIALS TO GET ONE DIRECTION LAYERS 10, 100 ...3300 QUEUE DIRECTORIES  ", time4xi())
            # GOT FROM QUEUE ONE:  <queue4xi.Queue4Xi object at 0x00000000036F3E80>  FIRE2ONE33004XI:  {1: '0x0y3299z', 2: '0x2184y2473z', 3: '0x99y3298z', 4: '1016x2820y1378z' ...
            # 06:15:20 02/06/13 Pacific Standard Time  
                       
    if DirectionKB4Xi[2] is True:        
        # =========================================================================================================   
        # I/II TWO DIRECTION LAYERS 10, 100 ...3300 PIPE INFORMATION FIRST
        # =========================================================================================================      
        if ack2debug is True:
            print("\n (STEP 134F0/800) OF COLOR_TENSES4XI - TRYING TO GET TWO DIRECTION LAYERS 10, 100 ...3300 PIPE ONE INFORMATION  ", time4xi())
            # 
                 
        #========
        # 10 TWO 
        #========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE ONE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2two4process is True:
    
            if ack2two4start is True:
    
                if ack2two4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 134F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE TWO CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                        # 
                    
                    message2receive4two = pipe2two_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 134F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE TWO CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message2receive4two) 
                        # 
                    
                else:
                    print("\n (STEP 134F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED RUNNING PROCESS TWO ", time4xi())                 
            else:
                print("\n (STEP 134F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED STARTING PROCESS TWO ", time4xi())                                         
        else:
            print("\n (STEP 134F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED IN CREATING THE PROCESS TWO ", time4xi())                    
        
        #========
        # 100 TWO
        #========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2two4process is True:
    
            if ack2two4start is True:
    
                if ack2two4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 201F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE TWO CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                        # 
                    
                    message2receive4two = pipe2two_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 201F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE TWO CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message2receive4two)
                        # 
                    
                else:
                    print("\n (STEP 201F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED RUNNING PROCESS TWO ", time4xi())                 
            else:
                print("\n (STEP 201F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED STARTING PROCESS TWO ", time4xi())                                         
        else:
            print("\n (STEP 201F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED IN CREATING THE PROCESS TWO ", time4xi())                    
        
        #========
        # 200 TWO 
        #========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2two4process is True:
    
            if ack2two4start is True:
    
                if ack2two4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 202F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE TWO CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                        # 
                    
                    message2receive4two = pipe2two_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 202F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE TWO CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message2receive4two)
                        #  
                    
                else:
                    print("\n (STEP 202F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED RUNNING PROCESS TWO ", time4xi())                 
            else:
                print("\n (STEP 202F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED STARTING PROCESS TWO ", time4xi())                                         
        else:
            print("\n (STEP 202F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED IN CREATING THE PROCESS TWO ", time4xi())                    
                                                    
                                      
        
        #========
        # 300 TWO
        #========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2two4process is True:
    
            if ack2two4start is True:
    
                if ack2two4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 203F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE TWO CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                        # 
                    
                    message2receive4two = pipe2two_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 203F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE TWO CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message2receive4two)
                        # 
                    
                else:
                    print("\n (STEP 203F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED RUNNING PROCESS TWO ", time4xi())                 
            else:
                print("\n (STEP 203F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED STARTING PROCESS TWO ", time4xi())                                         
        else:
            print("\n (STEP 203F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED IN CREATING THE PROCESS TWO ", time4xi())                    
        
        #========
        # 400 TWO
        #========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2two4process is True:
    
            if ack2two4start is True:
    
                if ack2two4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 204F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE TWO CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                        # 
                    
                    message2receive4two = pipe2two_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 204F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE TWO CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message2receive4two)
                        # 
                    
                else:
                    print("\n (STEP 204F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED RUNNING PROCESS TWO ", time4xi())                 
            else:
                print("\n (STEP 204F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED STARTING PROCESS TWO ", time4xi())                                         
        else:
            print("\n (STEP 204F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED IN CREATING THE PROCESS TWO ", time4xi())
                                
        #========
        # 500 TWO
        #========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2two4process is True:
    
            if ack2two4start is True:
    
                if ack2two4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 205F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE TWO CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                        # 
                    
                    message2receive4two = pipe2two_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 205F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE TWO CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message2receive4two)
                        # 
                    
                else:
                    print("\n (STEP 205F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED RUNNING PROCESS TWO ", time4xi())                 
            else:
                print("\n (STEP 205F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED STARTING PROCESS TWO ", time4xi())                                         
        else:
            print("\n (STEP 205F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED IN CREATING THE PROCESS TWO ", time4xi())                    
                                                                                           
        #========
        # 600 TWO
        #========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2two4process is True:
    
            if ack2two4start is True:
    
                if ack2two4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 206F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE TWO CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                        # 
                    
                    message2receive4two = pipe2two_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 206F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE TWO CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message2receive4two)
                        # 
                else:
                    print("\n (STEP 206F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED RUNNING PROCESS TWO ", time4xi())                 
            else:
                print("\n (STEP 206F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED STARTING PROCESS TWO ", time4xi())                                         
        else:
            print("\n (STEP 204F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED IN CREATING THE PROCESS TWO ", time4xi())                    
         
        #========
        # 700 TWO
        #========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2two4process is True:
    
            if ack2two4start is True:
    
                if ack2two4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 207F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE TWO CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                        # 
                    
                    message2receive4two = pipe2two_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 207F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE TWO CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message2receive4two)
                        # 
                    
                else:
                    print("\n (STEP 207F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED RUNNING PROCESS TWO ", time4xi())                 
            else:
                print("\n (STEP 207F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED STARTING PROCESS TWO ", time4xi())                                         
        else:
            print("\n (STEP 207F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED IN CREATING THE PROCESS TWO ", time4xi())                    
           
        #========
        # 800 TWO
        #========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2two4process is True:
    
            if ack2two4start is True:
    
                if ack2two4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 208F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE TWO CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                        # 
                    
                    message2receive4two = pipe2two_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 208F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE TWO CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message2receive4two)
                        # 
                    
                else:
                    print("\n (STEP 208F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED RUNNING PROCESS TWO ", time4xi())                 
            else:
                print("\n (STEP 208F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED STARTING PROCESS TWO ", time4xi())                                         
        else:
            print("\n (STEP 208F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED IN CREATING THE PROCESS TWO ", time4xi())                    
         
        #========
        # 900 TWO
        #========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2two4process is True:
    
            if ack2two4start is True:
    
                if ack2two4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 209F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE TWO CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                        # 
                    
                    message2receive4two = pipe2two_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 209F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE TWO CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message2receive4two)
                        # 
                    
                else:
                    print("\n (STEP 209F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED RUNNING PROCESS TWO ", time4xi())                 
            else:
                print("\n (STEP 209F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED STARTING PROCESS TWO ", time4xi())                                         
        else:
            print("\n (STEP 209F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED IN CREATING THE PROCESS TWO ", time4xi())                    
          
               
         
        #=========
        # 1000 TWO
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2two4process is True:
    
            if ack2two4start is True:
    
                if ack2two4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 210F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE TWO CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                        # 
                    
                    message2receive4two = pipe2two_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 210F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE TWO CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message2receive4two)
                        # 
                    
                else:
                    print("\n (STEP 210F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED RUNNING PROCESS TWO ", time4xi())                 
            else:
                print("\n (STEP 210F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED STARTING PROCESS TWO ", time4xi())                                         
        else:
            print("\n (STEP 210F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED IN CREATING THE PROCESS TWO ", time4xi())                    
         
        #=========
        # 1100 TWO
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2two4process is True:
    
            if ack2two4start is True:
    
                if ack2two4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 211F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE TWO CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                        # 
                    
                    message2receive4two = pipe2two_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 211F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE TWO CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message2receive4two)
                        # 
                    
                else:
                    print("\n (STEP 211F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED RUNNING PROCESS TWO ", time4xi())                 
            else:
                print("\n (STEP 211F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED STARTING PROCESS TWO ", time4xi())                                         
        else:
            print("\n (STEP 211F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED IN CREATING THE PROCESS TWO ", time4xi())                    
         
        #=========
        # 1200 TWO
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2two4process is True:
    
            if ack2two4start is True:
    
                if ack2two4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 212F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE TWO CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                        # 
                    
                    message2receive4two = pipe2two_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 212F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE TWO CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message2receive4two)
                        # 
                    
                else:
                    print("\n (STEP 212F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED RUNNING PROCESS TWO ", time4xi())                 
            else:
                print("\n (STEP 212F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED STARTING PROCESS TWO ", time4xi())                                         
        else:
            print("\n (STEP 212F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED IN CREATING THE PROCESS TWO ", time4xi())                    
         
        #=========
        # 1300 TWO
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2two4process is True:
    
            if ack2two4start is True:
    
                if ack2two4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 213F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE TWO CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                        # 
                    
                    message2receive4two = pipe2two_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 213F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE TWO CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message2receive4two)
                        # 
                    
                else:
                    print("\n (STEP 213F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED RUNNING PROCESS TWO ", time4xi())                 
            else:
                print("\n (STEP 213F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED STARTING PROCESS TWO ", time4xi())                                         
        else:
            print("\n (STEP 213F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED IN CREATING THE PROCESS TWO ", time4xi())                    
         
        #=========
        # 1400 TWO
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2two4process is True:
    
            if ack2two4start is True:
    
                if ack2two4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 214F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE TWO CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                        # 
                    
                    message2receive4two = pipe2two_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 214F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE TWO CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message2receive4two)
                        # 
                    
                else:
                    print("\n (STEP 214F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED RUNNING PROCESS TWO ", time4xi())                 
            else:
                print("\n (STEP 214F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED STARTING PROCESS TWO ", time4xi())                                         
        else:
            print("\n (STEP 214F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED IN CREATING THE PROCESS TWO ", time4xi())                    
         
        #=========
        # 1500 TWO
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2two4process is True:
    
            if ack2two4start is True:
    
                if ack2two4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 215F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE TWO CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                        # 
                    
                    message2receive4two = pipe2two_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 215F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE TWO CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message2receive4two)
                        # 
                    
                else:
                    print("\n (STEP 215F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED RUNNING PROCESS TWO ", time4xi())                 
            else:
                print("\n (STEP 215F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED STARTING PROCESS TWO ", time4xi())                                         
        else:
            print("\n (STEP 215F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED IN CREATING THE PROCESS TWO ", time4xi())                    
         
        #=========
        # 1600 TWO
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2two4process is True:
    
            if ack2two4start is True:
    
                if ack2two4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 216F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE TWO CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                        # 
                    
                    message2receive4two = pipe2two_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 216F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE TWO CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message2receive4two)
                        # 
                    
                else:
                    print("\n (STEP 216F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED RUNNING PROCESS TWO ", time4xi())                 
            else:
                print("\n (STEP 216F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED STARTING PROCESS TWO ", time4xi())                                         
        else:
            print("\n (STEP 216F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED IN CREATING THE PROCESS TWO ", time4xi())                    
         
        #=========
        # 1700 TWO
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2two4process is True:
    
            if ack2two4start is True:
    
                if ack2two4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 217F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE TWO CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                        # 
                    
                    message2receive4two = pipe2two_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 217F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE TWO CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message2receive4two)
                        #  
                    
                else:
                    print("\n (STEP 217F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED RUNNING PROCESS TWO ", time4xi())                 
            else:
                print("\n (STEP 217F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED STARTING PROCESS TWO ", time4xi())                                         
        else:
            print("\n (STEP 217F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED IN CREATING THE PROCESS TWO ", time4xi())                    
         
        #=========
        # 1800 TWO
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2two4process is True:
    
            if ack2two4start is True:
    
                if ack2two4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 218F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE TWO CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                        # 
                    
                    message2receive4two = pipe2two_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 218F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE TWO CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message2receive4two)
                        # 
                    
                else:
                    print("\n (STEP 218F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED RUNNING PROCESS TWO ", time4xi())                 
            else:
                print("\n (STEP 218F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED STARTING PROCESS TWO ", time4xi())                                         
        else:
            print("\n (STEP 218F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED IN CREATING THE PROCESS TWO ", time4xi())                    
         
        #=========
        # 1900 TWO
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2two4process is True:
    
            if ack2two4start is True:
    
                if ack2two4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 219F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE TWO CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                        # 
                    
                    message2receive4two = pipe2two_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 219F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE TWO CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message2receive4two)
                        # 
                    
                else:
                    print("\n (STEP 219F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED RUNNING PROCESS TWO ", time4xi())                 
            else:
                print("\n (STEP 219F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED STARTING PROCESS TWO ", time4xi())                                         
        else:
            print("\n (STEP 219F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED IN CREATING THE PROCESS TWO ", time4xi())  
            
         
        #=========
        # 2000 TWO
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2two4process is True:
    
            if ack2two4start is True:
    
                if ack2two4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 220F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE TWO CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                        # 
                    
                    message2receive4two = pipe2two_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 220F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE TWO CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message2receive4two)
                        # 
                    
                else:
                    print("\n (STEP 220F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED RUNNING PROCESS TWO ", time4xi())                 
            else:
                print("\n (STEP 220F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED STARTING PROCESS TWO ", time4xi())                                         
        else:
            print("\n (STEP 220F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED IN CREATING THE PROCESS TWO ", time4xi())  
         
        #=========
        # 2100 TWO
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2two4process is True:
    
            if ack2two4start is True:
    
                if ack2two4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 221F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE TWO CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                        # 
                    
                    message2receive4two = pipe2two_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 221F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE TWO CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message2receive4two)
                        # 
                    
                else:
                    print("\n (STEP 221F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED RUNNING PROCESS TWO ", time4xi())                 
            else:
                print("\n (STEP 221F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED STARTING PROCESS TWO ", time4xi())                                         
        else:
            print("\n (STEP 221F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED IN CREATING THE PROCESS TWO ", time4xi())  
         
        #=========
        # 2200 TWO
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2two4process is True:
    
            if ack2two4start is True:
    
                if ack2two4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 222F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE TWO CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                        # 
                    
                    message2receive4two = pipe2two_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 222F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE TWO CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message2receive4two)
                        # 
                    
                else:
                    print("\n (STEP 222F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED RUNNING PROCESS TWO ", time4xi())                 
            else:
                print("\n (STEP 222F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED STARTING PROCESS TWO ", time4xi())                                         
        else:
            print("\n (STEP 222F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED IN CREATING THE PROCESS TWO ", time4xi())  
         
        #=========
        # 2300 TWO
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2two4process is True:
    
            if ack2two4start is True:
    
                if ack2two4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 223F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE TWO CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                        # 
                    
                    message2receive4two = pipe2two_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 223F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE TWO CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message2receive4two)
                        # 
                    
                else:
                    print("\n (STEP 223F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED RUNNING PROCESS TWO ", time4xi())                 
            else:
                print("\n (STEP 223F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED STARTING PROCESS TWO ", time4xi())                                         
        else:
            print("\n (STEP 223F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED IN CREATING THE PROCESS TWO ", time4xi())  
         
        #=========
        # 2400 TWO
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2two4process is True:
    
            if ack2two4start is True:
    
                if ack2two4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 224F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE TWO CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                        # 
                    
                    message2receive4two = pipe2two_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 224F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE TWO CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message2receive4two)
                        # 
                    
                else:
                    print("\n (STEP 224F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED RUNNING PROCESS TWO ", time4xi())                 
            else:
                print("\n (STEP 224F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED STARTING PROCESS TWO ", time4xi())                                         
        else:
            print("\n (STEP 224F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED IN CREATING THE PROCESS TWO ", time4xi())  
         
        #=========
        # 2500 TWO
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2two4process is True:
    
            if ack2two4start is True:
    
                if ack2two4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 225F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE TWO CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                        # 
                    
                    message2receive4two = pipe2two_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 225F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE TWO CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message2receive4two)
                        # 
                    
                else:
                    print("\n (STEP 225F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED RUNNING PROCESS TWO ", time4xi())                 
            else:
                print("\n (STEP 225F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED STARTING PROCESS TWO ", time4xi())                                         
        else:
            print("\n (STEP 225F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED IN CREATING THE PROCESS TWO ", time4xi())  
         
        #=========
        # 2600 TWO
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2two4process is True:
    
            if ack2two4start is True:
    
                if ack2two4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 226F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE TWO CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                        # 
                    
                    message2receive4two = pipe2two_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 226F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE TWO CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message2receive4two)
                        # 
                    
                else:
                    print("\n (STEP 226F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED RUNNING PROCESS TWO ", time4xi())                 
            else:
                print("\n (STEP 226F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED STARTING PROCESS TWO ", time4xi())                                         
        else:
            print("\n (STEP 226F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED IN CREATING THE PROCESS TWO ", time4xi())  
         
        #=========
        # 2700 TWO
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2two4process is True:
    
            if ack2two4start is True:
    
                if ack2two4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 227F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE TWO CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                        # 
                    
                    message2receive4two = pipe2two_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 227F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE TWO CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message2receive4two)
                        # 
                    
                else:
                    print("\n (STEP 227F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED RUNNING PROCESS TWO ", time4xi())                 
            else:
                print("\n (STEP 227F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED STARTING PROCESS TWO ", time4xi())                                         
        else:
            print("\n (STEP 227F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED IN CREATING THE PROCESS TWO ", time4xi())  
         
        #=========
        # 2800 TWO
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2two4process is True:
    
            if ack2two4start is True:
    
                if ack2two4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 228F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE TWO CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                        # 
                    
                    message2receive4two = pipe2two_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 228F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE TWO CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message2receive4two)
                        # 
                    
                else:
                    print("\n (STEP 228F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED RUNNING PROCESS TWO ", time4xi())                 
            else:
                print("\n (STEP 228F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED STARTING PROCESS TWO ", time4xi())                                         
        else:
            print("\n (STEP 228F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED IN CREATING THE PROCESS TWO ", time4xi())  
         
        #=========
        # 2900 TWO
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2two4process is True:
    
            if ack2two4start is True:
    
                if ack2two4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 229F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE TWO CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                        # 
                    
                    message2receive4two = pipe2two_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 229F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE TWO CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message2receive4two)
                        # 
                    
                else:
                    print("\n (STEP 229F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED RUNNING PROCESS TWO ", time4xi())                 
            else:
                print("\n (STEP 229F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED STARTING PROCESS TWO ", time4xi())                                         
        else:
            print("\n (STEP 229F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED IN CREATING THE PROCESS TWO ", time4xi())  
         
        #=========
        # 3000 TWO
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2two4process is True:
    
            if ack2two4start is True:
    
                if ack2two4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 230F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE TWO CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                        # 
                    
                    message2receive4two = pipe2two_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 230F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE TWO CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message2receive4two)
                        # 
                    
                else:
                    print("\n (STEP 230F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED RUNNING PROCESS TWO ", time4xi())                 
            else:
                print("\n (STEP 230F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED STARTING PROCESS TWO ", time4xi())                                         
        else:
            print("\n (STEP 230F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED IN CREATING THE PROCESS TWO ", time4xi())  
         
        #=========
        # 3100 TWO
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2two4process is True:
    
            if ack2two4start is True:
    
                if ack2two4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 231F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE TWO CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                        # 
                    
                    message2receive4two = pipe2two_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 231F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE TWO CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message2receive4two)
                        # 
                    
                else:
                    print("\n (STEP 231F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED RUNNING PROCESS TWO ", time4xi())                 
            else:
                print("\n (STEP 231F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED STARTING PROCESS TWO ", time4xi())                                         
        else:
            print("\n (STEP 231F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED IN CREATING THE PROCESS TWO ", time4xi())  
         
        #=========
        # 3200 TWO
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2two4process is True:
    
            if ack2two4start is True:
    
                if ack2two4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 232F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE TWO CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                        # 
                    
                    message2receive4two = pipe2two_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 232F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE TWO CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message2receive4two)
                        # 
                    
                else:
                    print("\n (STEP 232F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED RUNNING PROCESS TWO ", time4xi())                 
            else:
                print("\n (STEP 232F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED STARTING PROCESS TWO ", time4xi())                                         
        else:
            print("\n (STEP 232F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED IN CREATING THE PROCESS TWO ", time4xi())  
         
        #=========
        # 3300 TWO
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2two4process is True:
    
            if ack2two4start is True:
    
                if ack2two4run is True:
        
                    # -----------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -----------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 233F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE TWO CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                        # 
                    
                    message2receive4two = pipe2two_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 233F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE TWO CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message2receive4two)
                        # <read-write PipeConnection, handle 264>  CONTROL MESSAGE FROM PIPE TWO:  <ack2put4xi>queue2two8shot2two33004xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 233F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED RUNNING PROCESS TWO ", time4xi())                 
            else:
                print("\n (STEP 233F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED STARTING PROCESS TWO ", time4xi())                                         
        else:
            print("\n (STEP 233F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING CONTROL MESSAGE FROM PIPE TWO - FAILED IN CREATING PROCESS TWO ", time4xi())  
    
               
        # =========================================================================================================   
        # I/II EOF TWO DIRECTION LAYERS 10, 100 ...3300 PIPE INFORMATION FIRST 
        # =========================================================================================================      
        if ack2debug is True:
            print("\n (STEP 233F6/800) OF COLOR_TENSES4XI - DONE TRIALS TO GET TWO DIRECTION LAYERS 10, 100 ...3300 PIPE INFORMATION  ", time4xi())
            #           
    
    
    
               
        # =========================================================================================================   
        # II/II TWO DIRECTION LAYERS 10, 100 ...3300 QUEUE DIRECTORIES 
        # =========================================================================================================      
        if ack2debug is True:
            print("\n (STEP 234F0/800) OF COLOR_TENSES4XI - TRYING TO GET TWO DIRECTION LAYERS 10, 100 ...3300 QUEUE DIRECTORIES  ", time4xi())
            # 
                
        #========
        # 10 TWO   
        #========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE TWO 
        # =============================================================================================  
        fire2two104xi = {}
        
        if ack2two4process is True:
    
            if ack2two4start is True:
    
                if ack2two4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE TWO  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 234F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2TWO104XI FROM QUEUE TWO: ", queue2two)
                        # 
                                    
                    fire2two104xi = queue2two.get()
                    if ack2debug is True:
                        print("\n (STEP 234F2/800) OF COLOR_TENSES4XI -  GOT FROM QUEUE TWO: ", queue2two, " FIRE2TWO104XI: ", fire2two104xi) 
                        # GOT FROM QUEUE TWO:  <queue4xi.Queue4Xi object at 0x02B072D0>  FIRE2TWO104XI:  {1: '0x-27y-41z', 2: '0x-27y-42z', 3: '0x-6y-7z', 4: '0x0y-29z', 5: '0x0y-69z', 6: '10x-20y-44z', 7: '10x-21y-44z', 8: '11x-19y-44z', 9: '11x-27y0z', 10: '12x-1y-27z', 11: '12x-27y0z', 12: '12x0y-27z', 13: '13x-1y-26z', 14: '13x-2y-26z', 15: '13x-3y-26z', 16: '13x-4y-26z', 17: '13x-5y-26z', 18: '13x-68y-4z', 19: '14x-26y0z', 20: '15x-20y-53z', 21: '15x-22y-53z', 22: '15x-25y0z', 23: '16x-19y-54z', 24: '16x-24y0z', 25: '16x-67y-4z', 26: '17x-16y-54z', 27: '17x-18y-54z', 28: '18x-13y-55z', 29: '18x-14y-55z', 30: '18x-15y-54z', 31: '18x-23y0z', 32: '19x-10y-55z', 33: '19x-11y-55z', 34: '19x-22y-1z', 35: '19x-7y-56z', 36: '19x-9y-56z', 37: '19x0y-67z', 38: '1x-5y-7z', 39: '1x-6y-7z', 40: '20x-1y-67z', 41: '20x-21y-1z', 42: '20x-2y-66z', 43: '20x-66y-5z', 44: '21x-20y-1z', 45: '21x-3y-66z', 46: '21x-5y-66z', 47: '21x-6y-66z', 48: '22x-19y-2z', 49: '22x-7y-65z', 50: '23x-18y-2z', 51: '27x-74y-7z', 52: '2x-26y-42z', 53: '2x-5y-7z', 54: '2x-5y-8z', 55: '2x-69y-2z', 56: '31x-73y-8z', 57: '32x-22y-3z', 58: '33x-21y-3z', 59: '34x-19y-4z', 60: '34x-71y-8z', 61: '35x-17y-4z', 62: '36x-15y-5z', 63: '37x-11y-5z', 64: '37x-13y-5z', 65: '38x-5y-7z', 66: '38x-69y-9z', 67: '38x-7y-6z', 68: '38x-9y-6z', 69: '39x-1y-7z', 70: '39x-3y-7z', 71: '3x-25y-42z', 72: '42x-67y-10z', 73: '45x-64y-11z', 74: '48x-62y-12z', 75: '4x-25y-42z', 76: '51x-59y-12z', 77: '54x-56y-13z', 78: '57x-53y-14z', 79: '5x-10y-16z', 80: '5x-24y-43z', 81: '60x-50y-15z', 82: '62x-47y-15z', 83: '6x-69y-2z', 84: '6x-9y-16z', 85: '72x-49y-18z', 86: '7x-23y-43z', 87: '7x-6y0z', 88: '7x-7y-16z', 89: '7x-7y0z', 90: '7x-8y-16z', 91: '8x-23y-43z', 92: '8x-4y-17z', 93: '8x-4y0z', 94: '8x-5y-17z', 95: '8x-5y0z', 96: '8x-6y-16z', 97: '8x-6y-17z', 98: '8x-7y-16z', 99: '9x-1y0z', 100: '9x-22y-43z', 101: '9x-28y0z', 102: '9x-2y0z', 103: '9x-3y0z', 104: '9x-4y0z', 105: '9x-69y-3z', 106: '9x0y0z'}
     
                    
                else:
                    print("\n (STEP 234F3/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED RUNNING PROCESS TWO ", time4xi())                 
            else:
                print("\n (STEP 234F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED STARTING PROCESS TWO ", time4xi())                                         
        else:
            print("\n (STEP 234F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED IN CREATING PROCESS TWO ", time4xi())
        
        if ack2debug is True:
            print("\n (STEP 234F6/800) OF COLOR_TENSES4XI -  FIRE2TWO104XI: ", fire2two104xi) 
            
          
               
        #========
        # 100 TWO
        #========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE TWO 
        # =============================================================================================  
        fire2two1004xi = {}
    
        if ack2two4process is True:
    
            if ack2two4start is True:
    
                if ack2two4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE TWO  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 241F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2TWO1004XI FROM QUEUE TWO: ", queue2two)
                        # 
                                    
                    fire2two1004xi = queue2two.get()
                    if ack2debug is True:
                        print("\n (STEP 241F2/800) OF COLOR_TENSES4XI -  GOT FROM QUEUE TWO: ", queue2two, " FIRE2TWO1004XI: ", fire2two1004xi) 
                        # GOT FROM QUEUE TWO:  <queue4xi.Queue4Xi object at 0x02B072D0>  FIRE2TWO1004XI:  {1: '0x-44y-89z', 2: '0x-66y-74z', 3: '0x0y-99z', 4: '10x-63y-76z', 5: '11x-37y-92z', 6: '11x-49y-86z', 7: '13x-35y-92z', 8: '13x-62y-77z', 9: '13x-98y-5z', 10: '14x-47y-86z', 11: '16x-46y-87z', 12: '16x-60y-77z', 13: '18x-44y-87z', 14: '19x-58y-78z', 15: '19x-97y-6z', 16: '1x-43y-90z', 17: '1x-54y-84z', 18: '20x-42y-88z', 19: '21x-40y-88z', 20: '22x-56y-79z', 21: '23x-38y-89z', 22: '24x-54y-79z', 23: '24x-96y-7z', 24: '25x-36y-89z', 25: '26x-34y-89z', 26: '27x-32y-90z', 27: '27x-52y-80z', 28: '27x0y-96z', 29: '28x-2y-95z', 30: '28x-30y-90z', 31: '29x-28y-91z', 32: '29x-3y-95z', 33: '29x-50y-80z', 34: '29x-68y-185z', 35: '29x-95y-8z', 36: '30x-23y-92z', 37: '30x-26y-91z', 38: '30x-5y-95z', 39: '30x-7y-94z', 40: '31x-11y-94z', 41: '31x-13y-93z', 42: '31x-15y-93z', 43: '31x-17y-93z', 44: '31x-19y-92z', 45: '31x-21y-92z', 46: '31x-48y-81z', 47: '31x-9y-94z', 48: '33x-46y-82z', 49: '34x-93y-9z', 50: '35x-43y-82z', 51: '37x-41y-83z', 52: '38x-38y-83z', 53: '38x-91y-10z', 54: '3x-42y-90z', 55: '3x-65y-75z', 56: '3x-99y-3z', 57: '40x-35y-84z', 58: '41x-33y-84z', 59: '42x-1y-90z', 60: '42x-30y-85z', 61: '43x-24y-86z', 62: '43x-27y-85z', 63: '43x-4y-90z', 64: '43x-6y-89z', 65: '43x-89y-11z', 66: '44x-11y-88z', 67: '44x-14y-88z', 68: '44x-16y-87z', 69: '44x-19y-87z', 70: '44x-22y-86z', 71: '44x-9y-89z', 72: '46x-88y0z', 73: '48x-86y-12z', 74: '4x-53y-84z', 75: '51x-85y0z', 76: '52x-84y-13z', 77: '55x-82y-1z', 78: '56x-81y-14z', 79: '60x-77y-15z', 80: '60x-79y-2z', 81: '64x-74y-16z', 82: '64x-76y-3z', 83: '68x-70y-17z', 84: '68x-73y-4z', 85: '6x-41y-90z', 86: '6x-51y-85z', 87: '71x-67y-18z', 88: '71x-69y-5z', 89: '75x-63y-18z', 90: '75x-65y-6z', 91: '78x-58y-19z', 92: '78x-61y-7z', 93: '7x-64y-75z', 94: '81x-54y-20z', 95: '81x-57y-8z', 96: '83x-50y-21z', 97: '84x-52y-9z', 98: '85x-45y-22z', 99: '86x-48y-10z', 100: '88x-40y-23z', 101: '89x-36y-24z', 102: '89x-43y-11z', 103: '8x-39y-91z', 104: '8x-99y-4z', 105: '91x-31y-25z', 106: '91x-38y-12z', 107: '92x-26y-26z', 108: '93x-21y-27z', 109: '93x-33y-13z', 110: '94x-11y-29z', 111: '94x-16y-28z', 112: '94x-1y-31z', 113: '94x-28y-14z', 114: '94x-6y-30z', 115: '95x-23y-15z', 116: '95x-30y0z', 117: '96x-18y-16z', 118: '96x-25y0z', 119: '97x-13y-17z', 120: '97x-20y-1z', 121: '97x-3y-19z', 122: '97x-8y-18z', 123: '98x-15y-2z', 124: '99x-10y-3z', 125: '99x-5y-4z', 126: '9x-38y-91z', 127: '9x-50y-85z'}
     
                      
                else:
                    print("\n (STEP 241F3/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED RUNNING PROCESS TWO ", time4xi())                 
            else:
                print("\n (STEP 241F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED STARTING PROCESS TWO ", time4xi())                                         
        else:
            print("\n (STEP 241F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED IN CREATING PROCESS TWO ", time4xi())                    
          
    
        #========
        # 200 TWO
        #========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE TWO 
        # =============================================================================================  
        fire2two2004xi = {}
        
        if ack2two4process is True:
    
            if ack2two4start is True:
    
                if ack2two4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE TWO  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 242F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2TWO2004XI FROM QUEUE TWO: ", queue2two)
                        # 
                                    
                    fire2two2004xi = queue2two.get()
                    if ack2debug is True:
                        print("\n (STEP 242F2/800) OF COLOR_TENSES4XI -  GOT FROM QUEUE TWO: ", queue2two, " FIRE2TWO2004XI: ", fire2two2004xi) 
                        # GOT FROM QUEUE TWO:  <queue4xi.Queue4Xi object at 0x02B072D0>  FIRE2TWO2004XI:  {1: '0x-133y-149z', 2: '0x-88y-179z', 3: '0x0y-199z', 4: '103x-171y-1z', 5: '105x-168y-26z', 6: '111x-165y-3z', 7: '113x-162y-28z', 8: '120x-159y-5z', 9: '121x-155y-30z', 10: '128x-153y-7z', 11: '129x-148y-32z', 12: '12x-82y-181z', 13: '136x-141y-34z', 14: '136x-146y-9z', 15: '13x-103y-170z', 16: '143x-134y-36z', 17: '143x-138y-11z', 18: '14x-129y-151z', 19: '150x-126y-37z', 20: '150x-130y-13z', 21: '156x-117y-39z', 22: '157x-122y-15z', 23: '162x-109y-41z', 24: '163x-114y-17z', 25: '167x-100y-43z', 26: '168x-105y-19z', 27: '16x-79y-182z', 28: '171x-91y-45z', 29: '173x-96y-21z', 30: '176x-81y-47z', 31: '178x-87y-23z', 32: '179x-72y-49z', 33: '17x-199y-8z', 34: '182x-62y-51z', 35: '182x-77y-25z', 36: '185x-53y-53z', 37: '186x-67y-27z', 38: '187x-43y-55z', 39: '188x-33y-57z', 40: '189x-13y-61z', 41: '189x-23y-59z', 42: '189x-3y-63z', 43: '189x-57y-29z', 44: '18x-101y-171z', 45: '191x-47y-31z', 46: '193x-37y-33z', 47: '193x-51y0z', 48: '194x-27y-35z', 49: '195x-17y-37z', 50: '195x-41y-2z', 51: '195x-6y-39z', 52: '197x-31y-4z', 53: '198x-20y-6z', 54: '199x-10y-8z', 55: '19x-77y-183z', 56: '20x-126y-153z', 57: '23x-98y-172z', 58: '27x-124y-154z', 59: '27x-197y-10z', 60: '28x-95y-173z', 61: '2x-108y-168z', 62: '32x-92y-174z', 63: '33x-120y-155z', 64: '34x-111y-276z', 65: '36x-88y-175z', 66: '38x-117y-157z', 67: '38x-195y-12z', 68: '3x-86y-180z', 69: '40x-85y-176z', 70: '43x-81y-177z', 71: '44x-113y-158z', 72: '47x-77y-178z', 73: '48x-193y-14z', 74: '49x-109y-159z', 75: '50x-73y-179z', 76: '52x-69y-179z', 77: '54x-105y-160z', 78: '55x-1y-192z', 79: '55x-65y-180z', 80: '57x-4y-191z', 81: '57x-60y-181z', 82: '58x-190y-16z', 83: '58x-7y-190z', 84: '59x-101y-161z', 85: '59x-56y-182z', 86: '60x-11y-190z', 87: '60x-52y-183z', 88: '61x-14y-189z', 89: '61x-47y-184z', 90: '62x-18y-189z', 91: '62x-43y-184z', 92: '63x-22y-188z', 93: '63x-26y-187z', 94: '63x-30y-187z', 95: '63x-34y-186z', 96: '63x-39y-185z', 97: '63x-96y-163z', 98: '67x-92y-164z', 99: '68x-187y-18z', 100: '71x-87y-165z', 101: '74x-82y-166z', 102: '77x-183y-20z', 103: '77x-76y-167z', 104: '7x-131y-150z', 105: '7x-199y-6z', 106: '7x-84y-180z', 107: '80x-71y-168z', 108: '82x-66y-169z', 109: '84x-3y-181z', 110: '84x-60y-170z', 111: '86x-55y-171z', 112: '86x-8y-180z', 113: '87x-13y-179z', 114: '87x-178y-22z', 115: '87x-49y-172z', 116: '88x-18y-178z', 117: '88x-44y-173z', 118: '89x-23y-177z', 119: '89x-28y-176z', 120: '89x-33y-175z', 121: '89x-39y-174z', 122: '8x-106y-169z', 123: '93x-176y0z', 124: '96x-173y-24z'}
     
                      
                else:
                    print("\n (STEP 242F3/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED RUNNING PROCESS TWO ", time4xi())                 
            else:
                print("\n (STEP 242F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED STARTING PROCESS TWO ", time4xi())                                         
        else:
            print("\n (STEP 242F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED IN CREATING PROCESS TWO ", time4xi())                    
                                        
                                      
          
    
    
           
        #========
        # 300 TWO
        #========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE TWO 
        # =============================================================================================  
        fire2two3004xi = {}
        
        if ack2two4process is True:
    
            if ack2two4start is True:
    
                if ack2two4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE TWO  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 243F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2TWO3004XI FROM QUEUE TWO: ", queue2two)
                        # 
                                    
                    fire2two3004xi = queue2two.get()
                    if ack2debug is True:
                        print("\n (STEP 243F2/800) OF COLOR_TENSES4XI -  GOT FROM QUEUE TWO: ", queue2two, " FIRE2TWO3004XI: ", fire2two3004xi) 
                        # GOT FROM QUEUE TWO:  <queue4xi.Queue4Xi object at 0x02B072D0>  FIRE2TWO3004XI:  {1: '0x0y-299z', 2: '101x-138y-246z', 3: '102x-280y-27z', 4: '107x-130y-247z', 5: '10x-299y-9z', 6: '112x-123y-249z', 7: '116x-115y-251z', 8: '116x-274y-30z', 9: '11x-127y-271z', 10: '11x-197y-225z', 11: '120x-107y-252z', 12: '124x-99y-254z', 13: '126x-91y-256z', 14: '127x-5y-271z', 15: '129x-12y-270z', 16: '129x-82y-257z', 17: '12x-159y-253z', 18: '130x-267y-33z', 19: '131x-19y-269z', 20: '131x-74y-259z', 21: '132x-27y-267z', 22: '132x-66y-260z', 23: '133x-34y-266z', 24: '133x-58y-262z', 25: '134x-42y-264z', 26: '134x-50y-263z', 27: '140x-264y0z', 28: '144x-260y-36z', 29: '154x-257y-2z', 30: '157x-252y-39z', 31: '167x-248y-5z', 32: '170x-243y-42z', 33: '180x-239y-8z', 34: '182x-233y-45z', 35: '18x-123y-272z', 36: '192x-229y-11z', 37: '194x-223y-48z', 38: '1x-199y-223z', 39: '204x-219y-14z', 40: '205x-212y-51z', 41: '20x-155y-255z', 42: '215x-201y-54z', 43: '215x-208y-17z', 44: '21x-193y-227z', 45: '225x-189y-56z', 46: '225x-196y-20z', 47: '234x-176y-59z', 48: '235x-184y-23z', 49: '243x-163y-62z', 50: '244x-171y-26z', 51: '24x-119y-273z', 52: '250x-150y-65z', 53: '253x-158y-29z', 54: '257x-136y-68z', 55: '260x-144y-32z', 56: '264x-122y-71z', 57: '267x-130y-35z', 58: '269x-108y-74z', 59: '26x-298y-12z', 60: '273x-116y-38z', 61: '274x-94y-77z', 62: '277x-79y-80z', 63: '279x-101y-41z', 64: '27x-152y-257z', 65: '280x-64y-83z', 66: '283x-49y-86z', 67: '283x-86y-44z', 68: '284x-19y-91z', 69: '284x-34y-88z', 70: '284x-4y-94z', 71: '287x-71y-47z', 72: '289x-77y0z', 73: '290x-56y-50z', 74: '292x-41y-53z', 75: '293x-10y-59z', 76: '293x-25y-56z', 77: '293x-62y-3z', 78: '296x-46y-6z', 79: '298x-31y-9z', 80: '299x-15y-12z', 81: '29x-115y-275z', 82: '31x-190y-229z', 83: '34x-111y-276z', 84: '35x-147y-258z', 85: '3x-162y-252z', 86: '40x-186y-231z', 87: '41x-296y-15z', 88: '42x-143y-260z', 89: '48x-138y-261z', 90: '49x-181y-233z', 91: '52x-142y-370z', 92: '54x-133y-263z', 93: '57x-293y-18z', 94: '58x-176y-235z', 95: '5x-130y-270z', 96: '60x-127y-264z', 97: '65x-122y-265z', 98: '66x-170y-237z', 99: '70x-116y-267z', 100: '72x-290y-21z', 101: '74x-164y-239z', 102: '75x-110y-268z', 103: '79x-104y-269z', 104: '82x-158y-240z', 105: '82x-97y-271z', 106: '83x-2y-288z', 107: '85x-7y-287z', 108: '86x-91y-272z', 109: '87x-285y-24z', 110: '88x-11y-286z', 111: '88x-84y-273z', 112: '89x-152y-242z', 113: '90x-17y-285z', 114: '91x-78y-274z', 115: '92x-22y-284z', 116: '92x-71y-276z', 117: '93x-27y-283z', 118: '94x-33y-282z', 119: '94x-65y-277z', 120: '95x-145y-244z', 121: '95x-39y-281z', 122: '95x-45y-280z', 123: '95x-52y-279z', 124: '95x-58y-278z'}
     
                      
                else:
                    print("\n (STEP 243F3/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED RUNNING PROCESS TWO ", time4xi())                 
            else:
                print("\n (STEP 243F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED STARTING PROCESS TWO ", time4xi())                                         
        else:
            print("\n (STEP 243F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED IN CREATING PROCESS TWO ", time4xi())                    
                   
    
    
           
        #========
        # 400 TWO
        #========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE TWO 
        # =============================================================================================  
        fire2two4004xi = {}
        
        if ack2two4process is True:
    
            if ack2two4start is True:
    
                if ack2two4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE TWO  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 244F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2TWO4004XI FROM QUEUE TWO: ", queue2two)
                        # 
                                    
                    fire2two4004xi = queue2two.get()
                    if ack2debug is True:
                        print("\n (STEP 244F2/800) OF COLOR_TENSES4XI -  GOT FROM QUEUE TWO: ", queue2two, " FIRE2TWO4004XI: ", fire2two4004xi) 
                        # GOT FROM QUEUE TWO:  <queue4xi.Queue4Xi object at 0x02B072D0>  FIRE2TWO4004XI:  {1: '0x0y-399z', 2: '100x-147y-358z', 3: '105x-138y-359z', 4: '109x-211y-321z', 5: '110x-130y-361z', 6: '111x-3y-384z', 7: '114x-121y-363z', 8: '114x-9y-383z', 9: '116x-381y-32z', 10: '117x-15y-381z', 11: '118x-112y-365z', 12: '118x-202y-323z', 13: '120x-22y-380z', 14: '121x-104y-366z', 15: '122x-29y-379z', 16: '123x-95y-368z', 17: '124x-37y-378z', 18: '125x-86y-369z', 19: '126x-45y-376z', 20: '126x-78y-371z', 21: '127x-193y-326z', 22: '127x-53y-375z', 23: '127x-61y-374z', 24: '127x-69y-372z', 25: '135x-184y-328z', 26: '136x-374y-36z', 27: '142x-174y-330z', 28: '149x-164y-332z', 29: '14x-399y-12z', 30: '155x-153y-335z', 31: '155x-366y-40z', 32: '15x-169y-361z', 33: '15x-262y-301z', 34: '160x-143y-337z', 35: '165x-132y-339z', 36: '169x-121y-341z', 37: '169x-7y-362z', 38: '16x-212y-338z', 39: '172x-110y-343z', 40: '172x-17y-360z', 41: '174x-26y-358z', 42: '174x-357y-44z', 43: '175x-99y-345z', 44: '176x-36y-356z', 45: '176x-88y-347z', 46: '178x-46y-355z', 47: '178x-56y-353z', 48: '178x-67y-351z', 49: '178x-78y-349z', 50: '187x-353y0z', 51: '192x-347y-48z', 52: '1x-266y-298z', 53: '206x-342y-3z', 54: '210x-336y-52z', 55: '223x-331y-7z', 56: '227x-324y-56z', 57: '240x-319y-11z', 58: '243x-311y-60z', 59: '24x-164y-363z', 60: '256x-306y-15z', 61: '259x-297y-64z', 62: '26x-207y-340z', 63: '272x-292y-19z', 64: '273x-283y-68z', 65: '287x-268y-72z', 66: '287x-277y-23z', 67: '28x-258y-303z', 68: '300x-252y-75z', 69: '301x-261y-27z', 70: '313x-235y-79z', 71: '314x-245y-31z', 72: '324x-218y-83z', 73: '326x-228y-35z', 74: '32x-159y-365z', 75: '334x-200y-87z', 76: '337x-210y-39z', 77: '343x-182y-91z', 78: '347x-192y-43z', 79: '352x-163y-95z', 80: '356x-174y-47z', 81: '359x-144y-99z', 82: '35x-398y-16z', 83: '365x-125y-103z', 84: '365x-154y-51z', 85: '36x-202y-342z', 86: '370x-106y-107z', 87: '372x-135y-55z', 88: '374x-86y-110z', 89: '377x-66y-114z', 90: '378x-115y-59z', 91: '379x-26y-122z', 92: '379x-46y-118z', 93: '379x-6y-126z', 94: '383x-95y-63z', 95: '386x-103y-1z', 96: '387x-75y-67z', 97: '389x-54y-71z', 98: '391x-13y-79z', 99: '391x-34y-75z', 100: '391x-83y-5z', 101: '394x-62y-9z', 102: '397x-41y-13z', 103: '399x-20y-17z', 104: '39x-154y-366z', 105: '41x-253y-306z', 106: '46x-197y-344z', 107: '54x-248y-309z', 108: '55x-395y-20z', 109: '56x-191y-346z', 110: '58x-185y-460z', 111: '5x-216y-336z', 112: '64x-184y-348z', 113: '66x-241y-311z', 114: '73x-177y-350z', 115: '76x-391y-24z', 116: '77x-235y-314z', 117: '7x-173y-360z', 118: '80x-170y-352z', 119: '87x-163y-354z', 120: '88x-227y-316z', 121: '94x-155y-356z', 122: '96x-387y-28z', 123: '99x-219y-318z'}
     
                      
                else:
                    print("\n (STEP 244F3/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED RUNNING PROCESS TWO ", time4xi())                 
            else:
                print("\n (STEP 244F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED STARTING PROCESS TWO ", time4xi())                                         
        else:
            print("\n (STEP 244F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED IN CREATING PROCESS TWO ", time4xi())                    
                   
    
    
                                   
        #========
        # 500 TWO
        #========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE TWO 
        # =============================================================================================  
        fire2two5004xi = {}
        
        if ack2two4process is True:
    
            if ack2two4start is True:
    
                if ack2two4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE TWO  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 245F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2TWO5004XI FROM QUEUE TWO: ", queue2two)
                        # 
                                    
                    fire2two5004xi = queue2two.get()
                    if ack2debug is True:
                        print("\n (STEP 245F2/800) OF COLOR_TENSES4XI -  GOT FROM QUEUE TWO: ", queue2two, " FIRE2TWO5004XI: ", fire2two5004xi) 
                        # GOT FROM QUEUE TWO:  <queue4xi.Queue4Xi object at 0x02B072D0>  FIRE2TWO5004XI:  {1: '0x0y-499z', 2: '100x-213y-440z', 3: '109x-203y-443z', 4: '111x-284y-395z', 5: '118x-193y-445z', 6: '120x-483y-35z', 7: '124x-274y-398z', 8: '125x-183y-447z', 9: '132x-173y-449z', 10: '136x-264y-401z', 11: '138x-162y-452z', 12: '138x-4y-480z', 13: '143x-11y-478z', 14: '143x-152y-454z', 15: '145x-476y-40z', 16: '147x-141y-456z', 17: '147x-19y-477z', 18: '148x-253y-404z', 19: '150x-28y-475z', 20: '151x-130y-458z', 21: '153x-37y-474z', 22: '154x-119y-460z', 23: '155x-46y-472z', 24: '156x-108y-462z', 25: '157x-56y-471z', 26: '158x-66y-469z', 27: '158x-97y-464z', 28: '159x-242y-407z', 29: '159x-76y-467z', 30: '159x-87y-465z', 31: '169x-230y-410z', 32: '170x-467y-45z', 33: '178x-217y-413z', 34: '17x-499y-15z', 35: '186x-205y-416z', 36: '194x-192y-418z', 37: '194x-457y-50z', 38: '19x-211y-452z', 39: '19x-328y-376z', 40: '1x-332y-373z', 41: '200x-178y-421z', 42: '206x-165y-424z', 43: '20x-265y-423z', 44: '211x-151y-426z', 45: '211x-9y-452z', 46: '215x-138y-429z', 47: '215x-21y-450z', 48: '218x-124y-431z', 49: '218x-33y-448z', 50: '218x-446y-55z', 51: '220x-45y-446z', 52: '221x-111y-434z', 53: '222x-58y-443z', 54: '222x-97y-436z', 55: '223x-71y-441z', 56: '223x-84y-439z', 57: '234x-441y0z', 58: '240x-433y-60z', 59: '257x-428y-4z', 60: '262x-420y-65z', 61: '279x-414y-9z', 62: '284x-405y-70z', 63: '300x-399y-14z', 64: '304x-389y-75z', 65: '30x-206y-454z', 66: '321x-382y-19z', 67: '323x-372y-80z', 68: '33x-259y-425z', 69: '340x-365y-24z', 70: '342x-354y-85z', 71: '359x-335y-90z', 72: '359x-346y-29z', 73: '35x-323y-379z', 74: '376x-315y-94z', 75: '376x-327y-34z', 76: '391x-294y-99z', 77: '392x-306y-39z', 78: '405x-273y-104z', 79: '407x-285y-44z', 80: '40x-199y-456z', 81: '418x-251y-109z', 82: '421x-263y-49z', 83: '429x-228y-114z', 84: '434x-240y-54z', 85: '43x-497y-20z', 86: '440x-204y-119z', 87: '446x-217y-59z', 88: '449x-181y-124z', 89: '456x-157y-129z', 90: '456x-193y-64z', 91: '463x-132y-133z', 92: '465x-169y-69z', 93: '468x-107y-138z', 94: '46x-253y-428z', 95: '471x-82y-143z', 96: '472x-144y-74z', 97: '473x-57y-148z', 98: '474x-32y-153z', 99: '474x-8y-157z', 100: '478x-119y-79z', 101: '482x-129y-1z', 102: '483x-94y-84z', 103: '487x-68y-89z', 104: '489x-103y-6z', 105: '489x-17y-99z', 106: '489x-42y-94z', 107: '493x-78y-11z', 108: '496x-52y-16z', 109: '498x-26y-21z', 110: '49x-192y-458z', 111: '52x-317y-383z', 112: '58x-246y-431z', 113: '67x-310y-386z', 114: '69x-222y-552z', 115: '69x-494y-25z', 116: '6x-270y-420z', 117: '70x-238y-433z', 118: '81x-230y-436z', 119: '82x-302y-389z', 120: '91x-222y-438z', 121: '95x-489y-30z', 122: '97x-293y-392z', 123: '9x-217y-450z'}
     
                      
                else:
                    print("\n (STEP 245F3/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED RUNNING PROCESS TWO ", time4xi())                 
            else:
                print("\n (STEP 245F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED STARTING PROCESS TWO ", time4xi())                                         
        else:
            print("\n (STEP 245F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED IN CREATING PROCESS TWO ", time4xi())                    
                                      
          
    
                                                                                              
        #========
        # 600 TWO
        #========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE TWO 
        # =============================================================================================  
        fire2two6004xi = {}
        
        if ack2two4process is True:
    
            if ack2two4start is True:
    
                if ack2two4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE TWO  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 246F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2TWO6004XI FROM QUEUE TWO: ", queue2two)
                        # 
                                    
                    fire2two6004xi = queue2two.get()
                    if ack2debug is True:
                        print("\n (STEP 246F2/800) OF COLOR_TENSES4XI -  GOT FROM QUEUE TWO: ", queue2two, " FIRE2TWO6004XI: ", fire2two6004xi) 
                        # GOT FROM QUEUE TWO:  <queue4xi.Queue4Xi object at 0x02B072D0>  FIRE2TWO6004XI:  {1: '0x0y-599z', 2: '109x-266y-526z', 3: '10x-260y-540z', 4: '114x-587y-36z', 5: '116x-352y-471z', 6: '121x-255y-528z', 7: '131x-244y-531z', 8: '133x-341y-474z', 9: '141x-232y-534z', 10: '145x-580y-42z', 11: '149x-329y-478z', 12: '150x-220y-537z', 13: '158x-208y-539z', 14: '164x-317y-481z', 15: '165x-195y-542z', 16: '166x-4y-576z', 17: '171x-14y-574z', 18: '172x-182y-545z', 19: '175x-571y-48z', 20: '176x-23y-572z', 21: '177x-169y-547z', 22: '178x-304y-485z', 23: '180x-34y-571z', 24: '182x-156y-549z', 25: '184x-44y-569z', 26: '185x-143y-552z', 27: '187x-55y-567z', 28: '188x-130y-554z', 29: '189x-67y-565z', 30: '190x-117y-556z', 31: '190x-79y-563z', 32: '191x-104y-559z', 33: '191x-290y-489z', 34: '191x-91y-561z', 35: '203x-276y-492z', 36: '204x-561y-54z', 37: '214x-261y-495z', 38: '21x-599y-18z', 39: '224x-246y-499z', 40: '22x-394y-451z', 41: '233x-230y-502z', 42: '233x-549y-60z', 43: '23x-254y-542z', 44: '241x-214y-505z', 45: '248x-198y-508z', 46: '24x-318y-507z', 47: '253x-182y-512z', 48: '254x-11y-543z', 49: '258x-165y-515z', 50: '258x-25y-540z', 51: '261x-535y-66z', 52: '262x-149y-518z', 53: '262x-39y-538z', 54: '265x-133y-521z', 55: '265x-54y-535z', 56: '267x-117y-524z', 57: '267x-69y-532z', 58: '268x-101y-527z', 59: '268x-85y-529z', 60: '281x-529y0z', 61: '289x-520y-72z', 62: '2x-399y-447z', 63: '309x-514y-5z', 64: '315x-504y-78z', 65: '335x-497y-11z', 66: '340x-486y-84z', 67: '360x-478y-17z', 68: '365x-467y-90z', 69: '36x-247y-545z', 70: '385x-459y-23z', 71: '388x-446y-96z', 72: '408x-438y-29z', 73: '40x-311y-511z', 74: '410x-425y-102z', 75: '430x-416y-35z', 76: '431x-402y-108z', 77: '43x-387y-455z', 78: '451x-378y-113z', 79: '451x-392y-41z', 80: '469x-353y-119z', 81: '471x-368y-47z', 82: '486x-327y-125z', 83: '489x-342y-53z', 84: '48x-239y-547z', 85: '501x-301y-131z', 86: '506x-316y-59z', 87: '515x-273y-137z', 88: '521x-289y-65z', 89: '528x-245y-143z', 90: '52x-597y-24z', 91: '535x-261y-71z', 92: '538x-217y-149z', 93: '547x-232y-77z', 94: '548x-188y-154z', 95: '555x-159y-160z', 96: '558x-203y-83z', 97: '55x-304y-514z', 98: '561x-129y-166z', 99: '566x-99y-172z', 100: '567x-173y-89z', 101: '568x-69y-177z', 102: '569x-39y-183z', 103: '569x-9y-189z', 104: '574x-143y-95z', 105: '579x-155y-1z', 106: '580x-112y-101z', 107: '584x-82y-107z', 108: '586x-124y-7z', 109: '587x-20y-118z', 110: '587x-51y-112z', 111: '592x-93y-13z', 112: '596x-62y-19z', 113: '598x-31y-25z', 114: '59x-231y-550z', 115: '62x-380y-459z', 116: '70x-295y-517z', 117: '7x-324y-504z', 118: '81x-259y-644z', 119: '81x-372y-463z', 120: '83x-593y-30z', 121: '84x-286y-520z', 122: '97x-277y-523z', 123: '99x-362y-467z'}
     
                      
                else:
                    print("\n (STEP 246F3/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED RUNNING PROCESS TWO ", time4xi())                 
            else:
                print("\n (STEP 246F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED STARTING PROCESS TWO ", time4xi())                                         
        else:
            print("\n (STEP 246F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED IN CREATING PROCESS TWO ", time4xi())                    
                   
    
    
            
        #========
        # 700 TWO
        #========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE TWO 
        # =============================================================================================  
        fire2two7004xi = {}
        
        if ack2two4process is True:
    
            if ack2two4start is True:
    
                if ack2two4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE TWO  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 247F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2TWO7004XI FROM QUEUE TWO: ", queue2two)
                        # 
                                    
                    fire2two7004xi = queue2two.get()
                    if ack2debug is True:
                        print("\n (STEP 247F2/800) OF COLOR_TENSES4XI -  GOT FROM QUEUE TWO: ", queue2two, " FIRE2TWO7004XI: ", fire2two7004xi) 
                        # GOT FROM QUEUE TWO:  <queue4xi.Queue4Xi object at 0x02B072D0>  FIRE2TWO7004XI:  {1: '0x0y-699z', 2: '113x-323y-610z', 3: '116x-423y-545z', 4: '127x-311y-613z', 5: '12x-304y-630z', 6: '133x-685y-42z', 7: '136x-411y-549z', 8: '141x-298y-617z', 9: '153x-285y-620z', 10: '155x-398y-553z', 11: '165x-271y-623z', 12: '169x-677y-49z', 13: '174x-384y-558z', 14: '175x-257y-626z', 15: '185x-242y-629z', 16: '191x-370y-562z', 17: '193x-227y-632z', 18: '194x-5y-672z', 19: '200x-16y-670z', 20: '200x-212y-635z', 21: '204x-667y-56z', 22: '205x-27y-668z', 23: '207x-197y-638z', 24: '207x-354y-566z', 25: '210x-39y-666z', 26: '212x-182y-641z', 27: '214x-52y-664z', 28: '216x-167y-644z', 29: '218x-65y-661z', 30: '219x-151y-647z', 31: '220x-78y-659z', 32: '221x-136y-649z', 33: '222x-121y-652z', 34: '222x-338y-570z', 35: '222x-92y-657z', 36: '223x-107y-654z', 37: '236x-322y-574z', 38: '238x-654y-63z', 39: '249x-304y-578z', 40: '24x-699y-21z', 41: '261x-287y-582z', 42: '26x-459y-527z', 43: '271x-268y-586z', 44: '272x-640y-70z', 45: '27x-296y-633z', 46: '281x-250y-590z', 47: '289x-231y-593z', 48: '28x-371y-592z', 49: '296x-13y-633z', 50: '296x-212y-597z', 51: '2x-465y-522z', 52: '301x-193y-601z', 53: '301x-29y-630z', 54: '305x-46y-627z', 55: '305x-625y-77z', 56: '306x-174y-604z', 57: '309x-155y-608z', 58: '309x-63y-624z', 59: '311x-136y-611z', 60: '311x-81y-621z', 61: '312x-118y-614z', 62: '312x-99y-618z', 63: '328x-618y0z', 64: '337x-607y-84z', 65: '360x-599y-6z', 66: '368x-588y-91z', 67: '391x-580y-13z', 68: '397x-567y-98z', 69: '421x-558y-20z', 70: '426x-545y-105z', 71: '42x-288y-636z', 72: '449x-535y-27z', 73: '453x-521y-112z', 74: '46x-363y-596z', 75: '476x-511y-34z', 76: '479x-495y-119z', 77: '502x-485y-41z', 78: '503x-469y-126z', 79: '50x-452y-531z', 80: '526x-441y-132z', 81: '527x-458y-48z', 82: '548x-412y-139z', 83: '549x-429y-55z', 84: '567x-382y-146z', 85: '56x-279y-639z', 86: '571x-399y-62z', 87: '585x-351y-153z', 88: '590x-369y-69z', 89: '601x-319y-160z', 90: '608x-337y-76z', 91: '616x-286y-167z', 92: '61x-696y-28z', 93: '624x-304y-83z', 94: '628x-253y-173z', 95: '638x-271y-90z', 96: '639x-219y-180z', 97: '648x-185y-187z', 98: '64x-354y-599z', 99: '651x-237y-97z', 100: '655x-150y-194z', 101: '660x-116y-200z', 102: '661x-202y-104z', 103: '663x-81y-207z', 104: '664x-11y-220z', 105: '664x-46y-214z', 106: '670x-167y-111z', 107: '676x-181y-1z', 108: '677x-131y-117z', 109: '682x-95y-124z', 110: '684x-145y-8z', 111: '684x-59y-131z', 112: '685x-23y-138z', 113: '691x-109y-15z', 114: '695x-73y-22z', 115: '698x-36y-29z', 116: '69x-270y-642z', 117: '72x-443y-536z', 118: '81x-345y-603z', 119: '8x-378y-588z', 120: '93x-297y-736z', 121: '94x-434y-540z', 122: '97x-692y-35z', 123: '98x-334y-606z'}
     
                      
                else:
                    print("\n (STEP 247F3/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED RUNNING PROCESS TWO ", time4xi())                 
            else:
                print("\n (STEP 247F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED STARTING PROCESS TWO ", time4xi())                                         
        else:
            print("\n (STEP 247F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED IN CREATING PROCESS TWO ", time4xi())                    
                   
    
    
              
        #========
        # 800 TWO
        #========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE TWO 
        # =============================================================================================  
        fire2two8004xi = {}
        
        if ack2two4process is True:
    
            if ack2two4start is True:
    
                if ack2two4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE TWO  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 248F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2TWO8004XI FROM QUEUE TWO: ", queue2two)
                        # 
                                    
                    fire2two8004xi = queue2two.get()
                    if ack2debug is True:
                        print("\n (STEP 248F2/800) OF COLOR_TENSES4XI -  GOT FROM QUEUE TWO: ", queue2two, " FIRE2TWO8004XI: ", fire2two8004xi) 
                        # GOT FROM QUEUE TWO:  <queue4xi.Queue4Xi object at 0x02B072D0>  FIRE2TWO8004XI:  {1: '104x-334y-829z', 2: '108x-496y-618z', 3: '10x-432y-672z', 4: '111x-791y-40z', 5: '112x-382y-693z', 6: '129x-369y-697z', 7: '132x-483y-623z', 8: '146x-355y-701z', 9: '14x-347y-720z', 10: '152x-783y-48z', 11: '155x-470y-628z', 12: '161x-341y-705z', 13: '175x-326y-709z', 14: '177x-455y-632z', 15: '188x-310y-712z', 16: '193x-774y-56z', 17: '198x-439y-637z', 18: '200x-294y-716z', 19: '211x-277y-719z', 20: '218x-423y-642z', 21: '221x-260y-723z', 22: '222x-6y-768z', 23: '229x-18y-766z', 24: '229x-243y-726z', 25: '233x-762y-64z', 26: '235x-31y-763z', 27: '236x-225y-730z', 28: '237x-405y-647z', 29: '240x-45y-761z', 30: '242x-208y-733z', 31: '245x-59y-759z', 32: '247x-190y-736z', 33: '249x-74y-756z', 34: '251x-173y-739z', 35: '252x-90y-753z', 36: '253x-156y-742z', 37: '254x-106y-751z', 38: '254x-122y-748z', 39: '254x-139y-745z', 40: '254x-387y-652z', 41: '270x-368y-656z', 42: '272x-748y-72z', 43: '285x-348y-661z', 44: '28x-799y-24z', 45: '298x-328y-665z', 46: '30x-525y-602z', 47: '310x-307y-670z', 48: '311x-732y-80z', 49: '31x-339y-723z', 50: '321x-286y-674z', 51: '32x-424y-677z', 52: '330x-264y-678z', 53: '338x-15y-724z', 54: '338x-243y-682z', 55: '344x-34y-721z', 56: '345x-221y-686z', 57: '348x-714y-88z', 58: '349x-53y-717z', 59: '350x-199y-691z', 60: '353x-177y-695z', 61: '353x-72y-713z', 62: '356x-156y-698z', 63: '356x-93y-710z', 64: '357x-113y-706z', 65: '357x-134y-702z', 66: '375x-706y0z', 67: '385x-694y-96z', 68: '3x-532y-597z', 69: '412x-685y-7z', 70: '420x-672y-104z', 71: '447x-663y-15z', 72: '454x-648y-112z', 73: '481x-638y-23z', 74: '487x-622y-120z', 75: '48x-329y-727z', 76: '513x-612y-31z', 77: '518x-595y-128z', 78: '53x-415y-681z', 79: '544x-584y-39z', 80: '547x-566y-136z', 81: '574x-554y-47z', 82: '575x-536y-144z', 83: '57x-517y-607z', 84: '601x-504y-151z', 85: '602x-523y-55z', 86: '626x-471y-159z', 87: '628x-490y-63z', 88: '648x-437y-167z', 89: '64x-319y-730z', 90: '652x-457y-71z', 91: '669x-401y-175z', 92: '675x-421y-79z', 93: '687x-365y-183z', 94: '695x-385y-87z', 95: '704x-327y-190z', 96: '70x-796y-32z', 97: '713x-348y-95z', 98: '718x-289y-198z', 99: '730x-251y-206z', 100: '730x-309y-103z', 101: '73x-405y-685z', 102: '741x-212y-214z', 103: '744x-270y-111z', 104: '749x-172y-221z', 105: '754x-132y-229z', 106: '756x-231y-119z', 107: '758x-92y-237z', 108: '759x-12y-252z', 109: '759x-52y-244z', 110: '766x-191y-126z', 111: '772x-207y-2z', 112: '774x-150y-134z', 113: '779x-109y-142z', 114: '782x-166y-10z', 115: '782x-68y-150z', 116: '783x-27y-158z', 117: '789x-125y-18z', 118: '795x-83y-26z', 119: '798x-41y-34z', 120: '79x-308y-733z', 121: '83x-507y-612z', 122: '93x-394y-689z'}
     
                      
                else:
                    print("\n (STEP 248F3/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED RUNNING PROCESS TWO ", time4xi())                 
            else:
                print("\n (STEP 248F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED STARTING PROCESS TWO ", time4xi())                                         
        else:
            print("\n (STEP 248F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED IN CREATING PROCESS TWO ", time4xi())                    
                   
    
    
            
        #========
        # 900 TWO
        #========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE TWO 
        # =============================================================================================  
        fire2two9004xi = {}
        
        if ack2two4process is True:
    
            if ack2two4start is True:
    
                if ack2two4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE TWO  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 249F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2TWO9004XI FROM QUEUE TWO: ", queue2two)
                        # 
                                    
                    fire2two9004xi = queue2two.get()
                    if ack2debug is True:
                        print("\n (STEP 249F2/800) OF COLOR_TENSES4XI -  GOT FROM QUEUE TWO: ", queue2two, " FIRE2TWO9004XI: ", fire2two9004xi) 
                        # GOT FROM QUEUE TWO:  <queue4xi.Queue4Xi object at 0x02B072D0>  FIRE2TWO9004XI:  {1: '105x-443y-775z', 2: '116x-371y-921z', 3: '11x-486y-757z', 4: '122x-558y-695z', 5: '125x-890y-45z', 6: '126x-430y-780z', 7: '145x-415y-784z', 8: '149x-544y-700z', 9: '164x-400y-789z', 10: '16x-390y-810z', 11: '171x-881y-54z', 12: '175x-529y-706z', 13: '181x-383y-793z', 14: '197x-366y-797z', 15: '200x-512y-712z', 16: '212x-349y-801z', 17: '217x-870y-63z', 18: '223x-494y-717z', 19: '226x-330y-805z', 20: '238x-312y-809z', 21: '246x-476y-722z', 22: '248x-293y-813z', 23: '249x-7y-864z', 24: '257x-21y-862z', 25: '258x-273y-817z', 26: '262x-857y-72z', 27: '264x-35y-859z', 28: '266x-254y-821z', 29: '267x-456y-728z', 30: '271x-51y-856z', 31: '273x-234y-824z', 32: '276x-67y-853z', 33: '278x-214y-828z', 34: '280x-83y-851z', 35: '282x-195y-831z', 36: '283x-101y-848z', 37: '285x-119y-844z', 38: '285x-175y-835z', 39: '286x-137y-841z', 40: '286x-156y-838z', 41: '286x-435y-733z', 42: '304x-414y-738z', 43: '306x-842y-81z', 44: '31x-899y-27z', 45: '321x-391y-743z', 46: '336x-369y-748z', 47: '349x-345y-753z', 48: '34x-591y-677z', 49: '350x-824y-90z', 50: '35x-381y-814z', 51: '361x-321y-758z', 52: '36x-477y-761z', 53: '372x-297y-763z', 54: '380x-273y-768z', 55: '381x-17y-815z', 56: '387x-38y-811z', 57: '388x-248y-772z', 58: '392x-803y-99z', 59: '393x-224y-777z', 60: '393x-59y-807z', 61: '397x-82y-803z', 62: '398x-200y-781z', 63: '3x-598y-671z', 64: '400x-104y-799z', 65: '400x-175y-786z', 66: '402x-128y-794z', 67: '402x-151y-790z', 68: '422x-794y0z', 69: '433x-781y-108z', 70: '463x-771y-8z', 71: '473x-756y-117z', 72: '503x-745y-17z', 73: '511x-729y-126z', 74: '541x-718y-26z', 75: '548x-700y-135z', 76: '54x-370y-818z', 77: '578x-688y-35z', 78: '583x-670y-144z', 79: '60x-467y-766z', 80: '613x-657y-44z', 81: '616x-637y-153z', 82: '646x-624y-53z', 83: '647x-603y-162z', 84: '64x-581y-683z', 85: '677x-567y-170z', 86: '677x-589y-62z', 87: '704x-530y-179z', 88: '706x-552y-71z', 89: '729x-491y-188z', 90: '72x-359y-821z', 91: '734x-514y-80z', 92: '752x-451y-197z', 93: '759x-474y-89z', 94: '773x-410y-206z', 95: '782x-433y-98z', 96: '78x-895y-36z', 97: '792x-368y-214z', 98: '803x-391y-107z', 99: '808x-326y-223z', 100: '821x-348y-116z', 101: '822x-282y-232z', 102: '833x-238y-240z', 103: '837x-304y-125z', 104: '83x-456y-771z', 105: '842x-194y-249z', 106: '849x-149y-258z', 107: '851x-260y-133z', 108: '853x-104y-266z', 109: '853x-14y-284z', 110: '854x-59y-275z', 111: '862x-214y-142z', 112: '869x-232y-2z', 113: '870x-169y-151z', 114: '876x-123y-160z', 115: '880x-187y-11z', 116: '880x-77y-169z', 117: '881x-30y-178z', 118: '888x-140y-20z', 119: '894x-94y-29z', 120: '897x-47y-38z', 121: '89x-347y-825z', 122: '93x-570y-689z'}
    
                      
                else:
                    print("\n (STEP 249F3/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED RUNNING PROCESS TWO ", time4xi())                 
            else:
                print("\n (STEP 249F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED STARTING PROCESS TWO ", time4xi())                                         
        else:
            print("\n (STEP 249F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED IN CREATING PROCESS TWO ", time4xi())                    
                   
    
    
            
        #=========
        # 1000 TWO
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE TWO 
        # =============================================================================================  
        fire2two10004xi = {}
        
        if ack2two4process is True:
    
            if ack2two4start is True:
    
                if ack2two4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE TWO  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 250F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2TWO10004XI FROM QUEUE TWO: ", queue2two)
                        # 
                                    
                    fire2two10004xi = queue2two.get()
                    if ack2debug is True:
                        print("\n (STEP 250F2/800) OF COLOR_TENSES4XI -  GOT FROM QUEUE TWO: ", queue2two, " FIRE2TWO10004XI: ", fire2two10004xi) 
                        # GOT FROM QUEUE TWO:  <queue4xi.Queue4Xi object at 0x02B072D0>  FIRE2TWO10004XI:  {1: '104x-634y-766z', 2: '116x-493y-862z', 3: '127x-408y-1013z', 4: '12x-540y-841z', 5: '135x-620y-772z', 6: '139x-988y-51z', 7: '140x-477y-867z', 8: '162x-461y-872z', 9: '165x-604y-778z', 10: '182x-444y-876z', 11: '18x-434y-900z', 12: '190x-979y-61z', 13: '194x-587y-785z', 14: '201x-426y-881z', 15: '219x-407y-886z', 16: '222x-569y-791z', 17: '236x-387y-890z', 18: '241x-967y-70z', 19: '248x-549y-797z', 20: '251x-367y-895z', 21: '264x-346y-899z', 22: '273x-529y-803z', 23: '276x-325y-904z', 24: '277x-8y-960z', 25: '286x-23y-957z', 26: '286x-304y-908z', 27: '291x-953y-80z', 28: '294x-39y-954z', 29: '295x-282y-912z', 30: '296x-507y-809z', 31: '301x-56y-951z', 32: '303x-260y-916z', 33: '306x-74y-948z', 34: '309x-238y-920z', 35: '311x-93y-945z', 36: '313x-216y-924z', 37: '315x-112y-942z', 38: '316x-195y-928z', 39: '317x-132y-938z', 40: '318x-153y-935z', 41: '318x-174y-931z', 42: '318x-484y-815z', 43: '338x-460y-820z', 44: '341x-935y-90z', 45: '356x-435y-826z', 46: '35x-998y-31z', 47: '373x-410y-832z', 48: '388x-384y-837z', 49: '389x-915y-100z', 50: '38x-656y-753z', 51: '39x-423y-904z', 52: '3x-665y-746z', 53: '401x-357y-842z', 54: '40x-530y-846z', 55: '413x-330y-848z', 56: '423x-19y-905z', 57: '423x-303y-853z', 58: '431x-276y-858z', 59: '431x-42y-901z', 60: '436x-893y-110z', 61: '437x-249y-863z', 62: '437x-66y-896z', 63: '441x-91y-892z', 64: '442x-222y-868z', 65: '445x-116y-887z', 66: '445x-195y-873z', 67: '446x-142y-883z', 68: '446x-168y-878z', 69: '469x-882y0z', 70: '481x-867y-120z', 71: '515x-857y-9z', 72: '525x-840y-130z', 73: '559x-828y-19z', 74: '568x-810y-140z', 75: '601x-798y-29z', 76: '609x-778y-150z', 77: '60x-412y-909z', 78: '642x-765y-39z', 79: '647x-744y-160z', 80: '66x-519y-851z', 81: '681x-730y-49z', 82: '684x-708y-170z', 83: '718x-693y-59z', 84: '719x-670y-180z', 85: '71x-646y-759z', 86: '752x-630y-189z', 87: '752x-654y-69z', 88: '782x-589y-199z', 89: '785x-613y-79z', 90: '80x-399y-913z', 91: '810x-546y-209z', 92: '815x-571y-89z', 93: '836x-502y-219z', 94: '843x-527y-99z', 95: '859x-456y-228z', 96: '869x-481y-109z', 97: '87x-995y-41z', 98: '880x-409y-238z', 99: '892x-435y-119z', 100: '898x-362y-248z', 101: '912x-387y-129z', 102: '913x-314y-258z', 103: '926x-265y-267z', 104: '92x-506y-856z', 105: '930x-338y-138z', 106: '936x-215y-277z', 107: '943x-165y-286z', 108: '945x-289y-148z', 109: '947x-115y-296z', 110: '948x-16y-315z', 111: '949x-65y-306z', 112: '957x-238y-158z', 113: '965x-258y-2z', 114: '967x-188y-168z', 115: '974x-136y-178z', 116: '978x-207y-12z', 117: '978x-85y-188z', 118: '979x-34y-198z', 119: '987x-156y-22z', 120: '98x-385y-917z', 121: '993x-104y-32z', 122: '997x-52y-42z'}
     
                      
                else:
                    print("\n (STEP 250F3/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED RUNNING PROCESS TWO ", time4xi())                 
            else:
                print("\n (STEP 250F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED STARTING PROCESS TWO ", time4xi())                                         
        else:
            print("\n (STEP 250F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED IN CREATING PROCESS TWO ", time4xi())                    
                   
    
            
        #=========
        # 1100 TWO
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE TWO 
        # =============================================================================================  
        fire2two11004xi = {}
        
        if ack2two4process is True:
    
            if ack2two4start is True:
    
                if ack2two4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE TWO  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 251F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2TWO11004XI FROM QUEUE TWO: ", queue2two)
                        # 
                                    
                    fire2two11004xi = queue2two.get()
                    if ack2debug is True:
                        print("\n (STEP 251F2/800) OF COLOR_TENSES4XI -  GOT FROM QUEUE TWO: ", queue2two, " FIRE2TWO11004XI: ", fire2two11004xi) 
                        # GOT FROM QUEUE TWO:  <queue4xi.Queue4Xi object at 0x02B072D0>  FIRE2TWO11004XI:  {1: '1004x-426y-141z', 2: '1005x-345y-283z', 3: '1018x-291y-294z', 4: '101x-557y-942z', 5: '1023x-372y-152z', 6: '1029x-237y-305z', 7: '1037x-182y-315z', 8: '1040x-318y-163z', 9: '1042x-127y-326z', 10: '1043x-17y-347z', 11: '1044x-72y-336z', 12: '1053x-262y-174z', 13: '1062x-284y-3z', 14: '1064x-206y-185z', 15: '1071x-150y-196z', 16: '1075x-228y-14z', 17: '1076x-94y-207z', 18: '1077x-37y-217z', 19: '1086x-172y-25z', 20: '108x-424y-1008z', 21: '1093x-114y-36z', 22: '1097x-57y-47z', 23: '114x-697y-842z', 24: '128x-542y-948z', 25: '139x-445y-1105z', 26: '13x-594y-925z', 27: '149x-682y-849z', 28: '153x-1087y-56z', 29: '154x-525y-953z', 30: '178x-507y-959z', 31: '182x-665y-856z', 32: '19x-477y-990z', 33: '200x-489y-964z', 34: '210x-1077y-67z', 35: '214x-646y-863z', 36: '222x-469y-969z', 37: '241x-448y-974z', 38: '244x-626y-870z', 39: '259x-426y-980z', 40: '266x-1064y-78z', 41: '273x-604y-877z', 42: '276x-404y-984z', 43: '291x-381y-989z', 44: '300x-582y-883z', 45: '304x-358y-994z', 46: '305x-8y-1056z', 47: '314x-25y-1053z', 48: '315x-334y-999z', 49: '321x-1048y-89z', 50: '323x-43y-1050z', 51: '325x-310y-1003z', 52: '326x-557y-890z', 53: '331x-62y-1047z', 54: '333x-286y-1008z', 55: '337x-82y-1043z', 56: '340x-262y-1012z', 57: '342x-102y-1040z', 58: '345x-238y-1016z', 59: '346x-123y-1036z', 60: '348x-214y-1020z', 61: '349x-145y-1032z', 62: '350x-168y-1028z', 63: '350x-191y-1024z', 64: '350x-532y-896z', 65: '372x-506y-902z', 66: '375x-1029y-100z', 67: '38x-1098y-34z', 68: '392x-479y-909z', 69: '410x-451y-915z', 70: '427x-422y-921z', 71: '428x-1007y-110z', 72: '42x-722y-828z', 73: '43x-466y-995z', 74: '442x-393y-927z', 75: '44x-583y-931z', 76: '454x-363y-933z', 77: '465x-334y-938z', 78: '466x-21y-996z', 79: '474x-304y-944z', 80: '474x-47y-991z', 81: '479x-982y-121z', 82: '480x-73y-986z', 83: '481x-274y-950z', 84: '485x-100y-981z', 85: '486x-244y-955z', 86: '489x-128y-976z', 87: '490x-214y-961z', 88: '491x-156y-971z', 89: '491x-185y-966z', 90: '4x-731y-821z', 91: '516x-971y0z', 92: '529x-954y-132z', 93: '566x-942y-10z', 94: '578x-924y-143z', 95: '614x-911y-21z', 96: '625x-891y-154z', 97: '661x-878y-32z', 98: '669x-856y-165z', 99: '66x-453y-999z', 100: '706x-841y-43z', 101: '712x-819y-176z', 102: '73x-571y-936z', 103: '749x-803y-54z', 104: '753x-779y-187z', 105: '789x-762y-65z', 106: '78x-710y-835z', 107: '791x-737y-198z', 108: '827x-693y-208z', 109: '828x-719y-76z', 110: '861x-648y-219z', 111: '864x-675y-87z', 112: '88x-439y-1004z', 113: '892x-600y-230z', 114: '897x-628y-98z', 115: '920x-552y-241z', 116: '928x-580y-109z', 117: '945x-502y-251z', 118: '956x-530y-120z', 119: '968x-450y-262z', 120: '96x-1094y-45z', 121: '981x-478y-131z', 122: '988x-398y-273z'}
     
                      
                else:
                    print("\n (STEP 251F3/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED RUNNING PROCESS TWO ", time4xi())                 
            else:
                print("\n (STEP 251F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED STARTING PROCESS TWO ", time4xi())                                         
        else:
            print("\n (STEP 251F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED IN CREATING PROCESS TWO ", time4xi())                    
                   
    
    
            
        #=========
        # 1200 TWO
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE TWO 
        # =============================================================================================  
        fire2two12004xi = {}
        
        if ack2two4process is True:
    
            if ack2two4start is True:
    
                if ack2two4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE TWO  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 252F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2TWO12004XI FROM QUEUE TWO: ", queue2two)
                        # 
                                    
                    fire2two12004xi = queue2two.get()
                    if ack2debug is True:
                        print("\n (STEP 252F2/800) OF COLOR_TENSES4XI -  GOT FROM QUEUE TWO: ", queue2two, " FIRE2TWO12004XI: ", fire2two12004xi) 
                        # GOT FROM QUEUE TWO:  <queue4xi.Queue4Xi object at 0x02B072D0>  FIRE2TWO12004XI:  {1: '1003x-602y-263z', 2: '1012x-632y-119z', 3: '1031x-547y-274z', 4: '1043x-578y-130z', 5: '1056x-491y-286z', 6: '105x-1194y-49z', 7: '1070x-522y-142z', 8: '1077x-434y-298z', 9: '1095x-464y-154z', 10: '1096x-376y-309z', 11: '110x-608y-1028z', 12: '1111x-318y-321z', 13: '1116x-406y-166z', 14: '1123x-258y-332z', 15: '1132x-199y-344z', 16: '1134x-346y-178z', 17: '1137x-139y-355z', 18: '1138x-19y-378z', 19: '1139x-79y-367z', 20: '1149x-286y-190z', 21: '1159x-310y-3z', 22: '1161x-225y-202z', 23: '1169x-164y-214z', 24: '1173x-249y-15z', 25: '1174x-102y-225z', 26: '1175x-41y-237z', 27: '1184x-187y-27z', 28: '118x-463y-1100z', 29: '1192x-125y-39z', 30: '1197x-62y-51z', 31: '125x-761y-919z', 32: '140x-591y-1034z', 33: '151x-482y-1197z', 34: '15x-648y-1009z', 35: '162x-744y-927z', 36: '167x-1186y-61z', 37: '168x-573y-1040z', 38: '194x-554y-1046z', 39: '198x-725y-934z', 40: '219x-533y-1052z', 41: '21x-521y-1080z', 42: '229x-1175y-73z', 43: '233x-705y-942z', 44: '242x-511y-1057z', 45: '263x-489y-1063z', 46: '266x-683y-949z', 47: '283x-465y-1069z', 48: '290x-1161y-85z', 49: '298x-659y-956z', 50: '301x-441y-1074z', 51: '317x-416y-1079z', 52: '328x-634y-963z', 53: '331x-390y-1084z', 54: '333x-9y-1152z', 55: '343x-28y-1149z', 56: '344x-364y-1090z', 57: '350x-1143y-97z', 58: '353x-47y-1145z', 59: '355x-338y-1095z', 60: '356x-608y-971z', 61: '361x-68y-1142z', 62: '364x-312y-1099z', 63: '368x-89y-1138z', 64: '371x-286y-1104z', 65: '374x-111y-1134z', 66: '376x-260y-1109z', 67: '378x-135y-1130z', 68: '380x-234y-1113z', 69: '381x-159y-1126z', 70: '382x-183y-1122z', 71: '382x-208y-1118z', 72: '382x-580y-978z', 73: '406x-552y-984z', 74: '409x-1122y-109z', 75: '428x-522y-991z', 76: '42x-1198y-37z', 77: '448x-492y-998z', 78: '45x-788y-903z', 79: '466x-460y-1005z', 80: '467x-1098y-121z', 81: '47x-508y-1085z', 82: '482x-429y-1011z', 83: '48x-637y-1015z', 84: '496x-397y-1017z', 85: '4x-798y-895z', 86: '507x-364y-1024z', 87: '508x-23y-1086z', 88: '517x-331y-1030z', 89: '517x-51y-1081z', 90: '523x-1071y-132z', 91: '524x-79y-1076z', 92: '525x-299y-1036z', 93: '530x-109y-1070z', 94: '530x-266y-1042z', 95: '534x-139y-1065z', 96: '534x-234y-1048z', 97: '536x-170y-1059z', 98: '536x-202y-1054z', 99: '563x-1059y0z', 100: '578x-1041y-144z', 101: '618x-1028y-11z', 102: '630x-1008y-156z', 103: '670x-994y-23z', 104: '681x-972y-168z', 105: '721x-957y-35z', 106: '72x-494y-1090z', 107: '730x-934y-180z', 108: '770x-918y-47z', 109: '777x-893y-192z', 110: '80x-623y-1022z', 111: '817x-876y-59z', 112: '821x-850y-204z', 113: '861x-832y-71z', 114: '863x-804y-216z', 115: '86x-775y-911z', 116: '902x-756y-227z', 117: '903x-785y-83z', 118: '939x-707y-239z', 119: '942x-736y-95z', 120: '96x-479y-1095z', 121: '973x-655y-251z', 122: '979x-685y-107z'}
     
                      
                else:
                    print("\n (STEP 252F3/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED RUNNING PROCESS TWO ", time4xi())                 
            else:
                print("\n (STEP 252F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED STARTING PROCESS TWO ", time4xi())                                         
        else:
            print("\n (STEP 252F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED IN CREATING PROCESS TWO ", time4xi())                    
                   
    
    
            
        #=========
        # 1300 TWO
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE TWO 
        # =============================================================================================  
        fire2two13004xi = {}
        
        if ack2two4process is True:
    
            if ack2two4start is True:
    
                if ack2two4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE TWO  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 253F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2TWO13004XI FROM QUEUE TWO: ", queue2two)
                        # 
                                    
                    fire2two13004xi = queue2two.get()
                    if ack2debug is True:
                        print("\n (STEP 253F2/800) OF COLOR_TENSES4XI -  GOT FROM QUEUE TWO: ", queue2two, " FIRE2TWO13004XI: ", fire2two13004xi) 
                        # GOT FROM QUEUE TWO:  <queue4xi.Queue4Xi object at 0x02B072D0>  FIRE2TWO13004XI:  {1: '1017x-766y-259z', 2: '1021x-797y-103z', 3: '104x-519y-1187z', 4: '1054x-710y-272z', 5: '1060x-742y-116z', 6: '1087x-652y-285z', 7: '1097x-685y-128z', 8: '1117x-593y-297z', 9: '1130x-626y-141z', 10: '113x-1293y-53z', 11: '1144x-532y-310z', 12: '1160x-565y-154z', 13: '1167x-471y-322z', 14: '1186x-503y-167z', 15: '1187x-408y-335z', 16: '1204x-344y-348z', 17: '1209x-440y-180z', 18: '120x-659y-1114z', 19: '1217x-280y-360z', 20: '1226x-215y-373z', 21: '1229x-375y-193z', 22: '1232x-150y-385z', 23: '1233x-20y-410z', 24: '1234x-85y-397z', 25: '1245x-310y-206z', 26: '1255x-336y-3z', 27: '1257x-244y-219z', 28: '1266x-178y-231z', 29: '1271x-111y-244z', 30: '1271x-270y-16z', 31: '1273x-44y-257z', 32: '1283x-203y-29z', 33: '128x-501y-1192z', 34: '1292x-135y-42z', 35: '1297x-67y-55z', 36: '135x-824y-995z', 37: '151x-641y-1120z', 38: '162x-519y-1289z', 39: '16x-702y-1093z', 40: '176x-806y-1004z', 41: '181x-1285y-66z', 42: '182x-621y-1127z', 43: '210x-600y-1133z', 44: '215x-786y-1012z', 45: '237x-577y-1139z', 46: '23x-564y-1170z', 47: '248x-1273y-79z', 48: '253x-764y-1020z', 49: '262x-554y-1146z', 50: '285x-529y-1152z', 51: '289x-740y-1028z', 52: '307x-504y-1158z', 53: '314x-1258y-92z', 54: '323x-714y-1036z', 55: '326x-477y-1164z', 56: '343x-450y-1169z', 57: '355x-687y-1044z', 58: '359x-423y-1175z', 59: '360x-10y-1248z', 60: '372x-30y-1245z', 61: '373x-395y-1180z', 62: '379x-1238y-105z', 63: '382x-51y-1241z', 64: '384x-367y-1186z', 65: '385x-659y-1051z', 66: '391x-73y-1237z', 67: '394x-338y-1191z', 68: '399x-96y-1233z', 69: '402x-310y-1196z', 70: '405x-121y-1229z', 71: '407x-282y-1201z', 72: '409x-146y-1224z', 73: '411x-253y-1206z', 74: '412x-172y-1220z', 75: '413x-629y-1059z', 76: '414x-199y-1216z', 77: '414x-226y-1211z', 78: '439x-598y-1067z', 79: '443x-1216y-118z', 80: '463x-566y-1074z', 81: '46x-1298y-40z', 82: '485x-533y-1081z', 83: '49x-853y-979z', 84: '4x-864y-970z', 85: '505x-1190y-131z', 86: '505x-499y-1088z', 87: '51x-550y-1176z', 88: '522x-464y-1095z', 89: '52x-690y-1100z', 90: '537x-430y-1102z', 91: '550x-25y-1177z', 92: '550x-394y-1109z', 93: '560x-359y-1116z', 94: '560x-55y-1171z', 95: '566x-1160y-144z', 96: '568x-86y-1166z', 97: '569x-324y-1122z', 98: '574x-118y-1160z', 99: '575x-288y-1129z', 100: '578x-151y-1154z', 101: '579x-253y-1135z', 102: '580x-185y-1148z', 103: '580x-219y-1142z', 104: '610x-1147y0z', 105: '626x-1128y-156z', 106: '669x-1114y-12z', 107: '683x-1092y-169z', 108: '726x-1077y-25z', 109: '738x-1053y-182z', 110: '782x-1037y-38z', 111: '78x-535y-1181z', 112: '791x-1012y-195z', 113: '834x-995y-51z', 114: '842x-967y-208z', 115: '87x-675y-1107z', 116: '885x-949y-64z', 117: '890x-921y-221z', 118: '933x-901y-77z', 119: '935x-871y-234z', 120: '93x-840y-987z', 121: '978x-819y-246z', 122: '978x-850y-90z'}
    
                      
                else:
                    print("\n (STEP 253F3/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED RUNNING PROCESS TWO ", time4xi())                 
            else:
                print("\n (STEP 253F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED STARTING PROCESS TWO ", time4xi())                                         
        else:
            print("\n (STEP 253F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED IN CREATING PROCESS TWO ", time4xi())                    
                   
    
            
        #=========
        # 1400 TWO
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE TWO 
        # =============================================================================================  
        fire2two14004xi = {}
        
        if ack2two4process is True:
    
            if ack2two4start is True:
    
                if ack2two4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE TWO  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 254F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2TWO14004XI FROM QUEUE TWO: ", queue2two)
                        # 
                                    
                    fire2two14004xi = queue2two.get()
                    if ack2debug is True:
                        print("\n (STEP 254F2/800) OF COLOR_TENSES4XI -  GOT FROM QUEUE TWO: ", queue2two, " FIRE2TWO14004XI: ", fire2two14004xi) 
                        # GOT FROM QUEUE TWO:  <queue4xi.Queue4Xi object at 0x02B072D0>  FIRE2TWO14004XI:  {1: '1005x-970y-83z', 2: '1007x-938y-252z', 3: '100x-904y-1063z', 4: '1053x-882y-265z', 5: '1054x-916y-97z', 6: '1096x-824y-279z', 7: '1099x-859y-111z', 8: '112x-559y-1278z', 9: '1135x-764y-293z', 10: '1142x-799y-124z', 11: '1171x-702y-306z', 12: '1181x-738y-138z', 13: '1203x-639y-320z', 14: '1217x-674y-152z', 15: '122x-1393y-57z', 16: '1232x-573y-334z', 17: '1249x-609y-166z', 18: '1257x-507y-347z', 19: '1277x-542y-180z', 20: '1279x-439y-361z', 21: '1296x-371y-374z', 22: '129x-709y-1199z', 23: '1302x-474y-194z', 24: '1310x-301y-388z', 25: '1320x-232y-401z', 26: '1323x-404y-208z', 27: '1327x-162y-415z', 28: '1328x-22y-441z', 29: '1329x-92y-428z', 30: '1341x-334y-222z', 31: '1352x-362y-3z', 32: '1354x-263y-235z', 33: '1364x-191y-249z', 34: '1369x-119y-263z', 35: '1369x-291y-17z', 36: '1371x-47y-277z', 37: '1382x-218y-31z', 38: '138x-540y-1284z', 39: '1391x-146y-45z', 40: '1396x-73y-59z', 41: '145x-887y-1072z', 42: '163x-690y-1206z', 43: '174x-557y-1381z', 44: '17x-756y-1177z', 45: '189x-868y-1081z', 46: '195x-1384y-71z', 47: '196x-669y-1213z', 48: '226x-646y-1220z', 49: '232x-846y-1090z', 50: '255x-622y-1227z', 51: '25x-608y-1260z', 52: '267x-1371y-85z', 53: '272x-823y-1099z', 54: '282x-597y-1234z', 55: '307x-570y-1240z', 56: '311x-797y-1107z', 57: '330x-543y-1247z', 58: '338x-1354y-99z', 59: '348x-769y-1116z', 60: '351x-514y-1253z', 61: '370x-485y-1259z', 62: '382x-740y-1124z', 63: '387x-455y-1265z', 64: '388x-11y-1344z', 65: '400x-32y-1340z', 66: '401x-425y-1271z', 67: '408x-1334y-113z', 68: '411x-55y-1336z', 69: '414x-395y-1277z', 70: '415x-709y-1132z', 71: '421x-79y-1332z', 72: '424x-364y-1283z', 73: '429x-104y-1328z', 74: '433x-334y-1288z', 75: '436x-130y-1323z', 76: '439x-303y-1294z', 77: '441x-157y-1319z', 78: '443x-273y-1299z', 79: '444x-185y-1314z', 80: '445x-243y-1304z', 81: '445x-677y-1141z', 82: '446x-214y-1309z', 83: '473x-644y-1149z', 84: '477x-1309y-127z', 85: '499x-609y-1157z', 86: '49x-1398y-43z', 87: '522x-574y-1164z', 88: '53x-919y-1054z', 89: '543x-537y-1172z', 90: '544x-1281y-141z', 91: '55x-593y-1266z', 92: '562x-500y-1180z', 93: '56x-743y-1185z', 94: '578x-463y-1187z', 95: '592x-425y-1194z', 96: '593x-27y-1267z', 97: '5x-931y-1045z', 98: '603x-387y-1202z', 99: '603x-59y-1261z', 100: '610x-1250y-155z', 101: '611x-93y-1255z', 102: '612x-349y-1209z', 103: '618x-127y-1249z', 104: '619x-311y-1216z', 105: '623x-163y-1243z', 106: '623x-273y-1223z', 107: '625x-199y-1236z', 108: '625x-236y-1229z', 109: '657x-1236y0z', 110: '674x-1215y-169z', 111: '721x-1199y-13z', 112: '736x-1176y-182z', 113: '782x-1160y-27z', 114: '795x-1135y-196z', 115: '842x-1117y-41z', 116: '852x-1090y-210z', 117: '85x-577y-1272z', 118: '899x-1071y-55z', 119: '907x-1042y-224z', 120: '93x-727y-1192z', 121: '953x-1022y-69z', 122: '958x-991y-238z'}
     
                      
                else:
                    print("\n (STEP 254F3/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED RUNNING PROCESS TWO ", time4xi())                 
            else:
                print("\n (STEP 254F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED STARTING PROCESS TWO ", time4xi())                                         
        else:
            print("\n (STEP 254F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED IN CREATING PROCESS TWO ", time4xi())                    
                   
    
            
        #=========
        # 1500 TWO
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE TWO 
        # =============================================================================================  
        fire2two15004xi = {}
        
        if ack2two4process is True:
    
            if ack2two4start is True:
    
                if ack2two4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE TWO  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 255F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2TWO15004XI FROM QUEUE TWO: ", queue2two)
                        # 
                                    
                    fire2two15004xi = queue2two.get()
                    if ack2debug is True:
                        print("\n (STEP 255F2/800) OF COLOR_TENSES4XI -  GOT FROM QUEUE TWO: ", queue2two, " FIRE2TWO15004XI: ", fire2two15004xi) 
                        # GOT FROM QUEUE TWO:  <queue4xi.Queue4Xi object at 0x02B072D0>  FIRE2TWO15004XI:  {1: '100x-779y-1277z', 2: '1021x-1095y-74z', 3: '1027x-1062y-255z', 4: '1077x-1040y-89z', 5: '1079x-1005y-270z', 6: '107x-969y-1139z', 7: '1128x-946y-284z', 8: '1129x-981y-103z', 9: '1174x-883y-299z', 10: '1178x-920y-118z', 11: '120x-599y-1369z', 12: '1216x-819y-314z', 13: '1223x-856y-133z', 14: '1254x-753y-328z', 15: '1265x-790y-148z', 16: '1289x-684y-343z', 17: '1304x-722y-163z', 18: '131x-1492y-61z', 19: '1320x-614y-358z', 20: '1338x-652y-178z', 21: '1347x-543y-372z', 22: '1369x-581y-193z', 23: '1370x-471y-387z', 24: '1389x-397y-401z', 25: '138x-760y-1285z', 26: '1395x-508y-208z', 27: '1404x-323y-416z', 28: '1415x-248y-430z', 29: '1418x-433y-223z', 30: '1421x-173y-444z', 31: '1423x-24y-473z', 32: '1424x-98y-459z', 33: '1436x-358y-238z', 34: '1448x-388y-4z', 35: '1451x-282y-252z', 36: '1461x-205y-267z', 37: '1467x-128y-282z', 38: '1467x-311y-19z', 39: '1469x-51y-297z', 40: '1481x-234y-34z', 41: '148x-578y-1375z', 42: '1490x-156y-49z', 43: '1496x-78y-64z', 44: '156x-951y-1149z', 45: '175x-739y-1293z', 46: '186x-594y-1473z', 47: '18x-811y-1261z', 48: '203x-930y-1158z', 49: '209x-1483y-76z', 50: '210x-716y-1300z', 51: '243x-692y-1308z', 52: '248x-907y-1168z', 53: '274x-666y-1315z', 54: '27x-651y-1350z', 55: '286x-1469y-91z', 56: '292x-881y-1177z', 57: '302x-639y-1322z', 58: '329x-611y-1329z', 59: '333x-854y-1186z', 60: '354x-581y-1336z', 61: '362x-1451y-106z', 62: '373x-824y-1195z', 63: '376x-551y-1343z', 64: '396x-520y-1349z', 65: '410x-793y-1204z', 66: '414x-488y-1356z', 67: '416x-12y-1440z', 68: '429x-35y-1436z', 69: '430x-456y-1362z', 70: '437x-1429y-121z', 71: '441x-59y-1432z', 72: '443x-423y-1368z', 73: '445x-760y-1213z', 74: '451x-85y-1427z', 75: '455x-390y-1374z', 76: '460x-111y-1423z', 77: '463x-358y-1380z', 78: '467x-139y-1418z', 79: '470x-325y-1386z', 80: '472x-168y-1413z', 81: '475x-293y-1392z', 82: '476x-198y-1408z', 83: '477x-261y-1397z', 84: '477x-726y-1222z', 85: '478x-229y-1403z', 86: '507x-690y-1231z', 87: '511x-1403y-136z', 88: '535x-653y-1239z', 89: '53x-1498y-46z', 90: '560x-615y-1248z', 91: '57x-985y-1129z', 92: '582x-576y-1256z', 93: '583x-1373y-151z', 94: '59x-635y-1357z', 95: '5x-998y-1119z', 96: '602x-536y-1264z', 97: '60x-796y-1269z', 98: '620x-496y-1272z', 99: '634x-455y-1280z', 100: '635x-29y-1358z', 101: '646x-64y-1351z', 102: '647x-414y-1288z', 103: '654x-1339y-166z', 104: '655x-99y-1345z', 105: '656x-374y-1295z', 106: '662x-136y-1338z', 107: '663x-333y-1303z', 108: '667x-174y-1331z', 109: '668x-292y-1310z', 110: '670x-213y-1324z', 111: '670x-252y-1317z', 112: '704x-1324y0z', 113: '722x-1301y-181z', 114: '772x-1285y-14z', 115: '788x-1260y-196z', 116: '838x-1243y-29z', 117: '852x-1216y-210z', 118: '902x-1197y-44z', 119: '913x-1168y-225z', 120: '91x-618y-1363z', 121: '963x-1148y-59z', 122: '971x-1116y-240z'}
    
                      
                else:
                    print("\n (STEP 255F3/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED RUNNING PROCESS TWO ", time4xi())                 
            else:
                print("\n (STEP 255F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED STARTING PROCESS TWO ", time4xi())                                         
        else:
            print("\n (STEP 255F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED IN CREATING PROCESS TWO ", time4xi())                    
                   
    
            
        #=========
        # 1600 TWO
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE TWO 
        # =============================================================================================  
        fire2two16004xi = {}
        
        if ack2two4process is True:
    
            if ack2two4start is True:
    
                if ack2two4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE TWO  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 256F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2TWO16004XI FROM QUEUE TWO: ", queue2two)
                        # 
                                    
                    fire2two16004xi = queue2two.get()
                    if ack2debug is True:
                        print("\n (STEP 256F2/800) OF COLOR_TENSES4XI -  GOT FROM QUEUE TWO: ", queue2two, " FIRE2TWO16004XI: ", fire2two16004xi) 
                        # GOT FROM QUEUE TWO:  <queue4xi.Queue4Xi object at 0x02B072D0>  FIRE2TWO16004XI:  {1: '1027x-1224y-62z', 2: '1036x-1191y-256z', 3: '107x-831y-1362z', 4: '1089x-1168y-78z', 5: '1095x-1133y-272z', 6: '1148x-1109y-94z', 7: '114x-1034y-1215z', 8: '1151x-1072y-288z', 9: '1203x-1009y-303z', 10: '1204x-1047y-110z', 11: '1252x-942y-319z', 12: '1256x-981y-126z', 13: '128x-639y-1461z', 14: '1297x-874y-335z', 15: '1305x-914y-142z', 16: '1338x-803y-350z', 17: '1350x-843y-158z', 18: '1375x-730y-366z', 19: '1391x-771y-174z', 20: '1408x-655y-381z', 21: '140x-1592y-65z', 22: '1427x-696y-190z', 23: '1437x-579y-397z', 24: '1460x-619y-206z', 25: '1461x-502y-412z', 26: '147x-811y-1371z', 27: '1482x-424y-428z', 28: '1488x-541y-222z', 29: '1498x-345y-443z', 30: '1509x-265y-459z', 31: '1513x-462y-238z', 32: '1516x-185y-474z', 33: '1518x-25y-504z', 34: '1519x-105y-489z', 35: '1532x-382y-253z', 36: '1545x-414y-4z', 37: '1548x-300y-269z', 38: '1559x-219y-285z', 39: '1564x-332y-20z', 40: '1565x-136y-301z', 41: '1567x-54y-316z', 42: '1579x-250y-36z', 43: '158x-617y-1467z', 44: '1590x-167y-52z', 45: '1596x-83y-68z', 46: '166x-1014y-1225z', 47: '187x-788y-1379z', 48: '197x-631y-1565z', 49: '20x-865y-1345z', 50: '216x-992y-1236z', 51: '223x-1582y-81z', 52: '224x-764y-1387z', 53: '259x-738y-1395z', 54: '265x-967y-1246z', 55: '28x-694y-1440z', 56: '292x-711y-1403z', 57: '305x-1567y-97z', 58: '311x-940y-1256z', 59: '323x-682y-1410z', 60: '351x-652y-1418z', 61: '355x-911y-1265z', 62: '377x-620y-1425z', 63: '386x-1548y-113z', 64: '397x-879y-1275z', 65: '401x-588y-1432z', 66: '423x-554y-1439z', 67: '437x-846y-1285z', 68: '442x-521y-1446z', 69: '444x-12y-1537z', 70: '458x-37y-1532z', 71: '459x-486y-1453z', 72: '467x-1524y-129z', 73: '470x-63y-1527z', 74: '473x-451y-1460z', 75: '474x-811y-1294z', 76: '481x-90y-1523z', 77: '485x-416y-1466z', 78: '491x-119y-1518z', 79: '494x-381y-1472z', 80: '498x-149y-1512z', 81: '502x-347y-1478z', 82: '504x-180y-1507z', 83: '506x-312y-1485z', 84: '508x-212y-1502z', 85: '509x-244y-1496z', 86: '509x-278y-1490z', 87: '509x-774y-1304z', 88: '541x-736y-1313z', 89: '545x-1496y-145z', 90: '56x-1598y-49z', 91: '570x-696y-1322z', 92: '597x-656y-1331z', 93: '61x-1050y-1205z', 94: '621x-614y-1340z', 95: '622x-1464y-161z', 96: '63x-678y-1447z', 97: '642x-572y-1348z', 98: '64x-849y-1354z', 99: '661x-529y-1357z', 100: '677x-31y-1448z', 101: '677x-486y-1365z', 102: '689x-68y-1442z', 103: '690x-442y-1373z', 104: '697x-1428y-177z', 105: '699x-106y-1435z', 106: '6x-1064y-1194z', 107: '700x-399y-1382z', 108: '706x-145y-1427z', 109: '707x-355y-1390z', 110: '712x-186y-1420z', 111: '712x-312y-1397z', 112: '714x-227y-1413z', 113: '715x-269y-1405z', 114: '751x-1412y0z', 115: '770x-1388y-193z', 116: '824x-1371y-15z', 117: '841x-1344y-209z', 118: '894x-1326y-31z', 119: '909x-1297y-224z', 120: '962x-1277y-46z', 121: '974x-1245y-240z', 122: '97x-659y-1454z'}
    
                      
                else:
                    print("\n (STEP 256F3/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED RUNNING PROCESS TWO ", time4xi())                 
            else:
                print("\n (STEP 256F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED STARTING PROCESS TWO ", time4xi())                                         
        else:
            print("\n (STEP 256F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED IN CREATING PROCESS TWO ", time4xi())                    
                   
    
            
        #=========
        # 1700 TWO
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE TWO 
        # =============================================================================================  
        fire2two17004xi = {}
        
        if ack2two4process is True:
    
            if ack2two4start is True:
    
                if ack2two4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE TWO  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 257F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2TWO17004XI FROM QUEUE TWO: ", queue2two)
                        # 
                                    
                    fire2two17004xi = queue2two.get()
                    if ack2debug is True:
                        print("\n (STEP 257F2/800) OF COLOR_TENSES4XI -  GOT FROM QUEUE TWO: ", queue2two, " FIRE2TWO17004XI: ", fire2two17004xi) 
                        # GOT FROM QUEUE TWO:  <queue4xi.Queue4Xi object at 0x02B072D0>  FIRE2TWO17004XI:  {1: '1022x-1357y-49z', 2: '1035x-1323y-255z', 3: '103x-700y-1545z', 4: '1091x-1301y-66z', 5: '1101x-1265y-272z', 6: '113x-883y-1448z', 7: '1157x-1241y-83z', 8: '1164x-1204y-289z', 9: '121x-1098y-1291z', 10: '1220x-1178y-100z', 11: '1223x-1139y-306z', 12: '1279x-1072y-322z', 13: '1279x-1112y-117z', 14: '1330x-1001y-339z', 15: '1335x-1043y-134z', 16: '136x-679y-1552z', 17: '1378x-928y-356z', 18: '1386x-971y-151z', 19: '1422x-853y-372z', 20: '1434x-896y-168z', 21: '1461x-776y-389z', 22: '1477x-819y-185z', 23: '148x-1692y-69z', 24: '1496x-696y-405z', 25: '1517x-739y-202z', 26: '1527x-616y-422z', 27: '1551x-658y-219z', 28: '1553x-533y-438z', 29: '1574x-450y-455z', 30: '157x-861y-1456z', 31: '1581x-575y-236z', 32: '1591x-366y-471z', 33: '1603x-281y-487z', 34: '1607x-491y-252z', 35: '1611x-197y-504z', 36: '1612x-27y-536z', 37: '1614x-112y-520z', 38: '1628x-406y-269z', 39: '1642x-439y-4z', 40: '1644x-319y-286z', 41: '1656x-232y-303z', 42: '1662x-353y-21z', 43: '1663x-145y-320z', 44: '1665x-58y-336z', 45: '1678x-265y-38z', 46: '1689x-177y-55z', 47: '168x-656y-1559z', 48: '1696x-88y-72z', 49: '177x-1078y-1302z', 50: '198x-838y-1465z', 51: '209x-668y-1658z', 52: '21x-919y-1429z', 53: '230x-1054y-1313z', 54: '237x-1681y-86z', 55: '238x-812y-1474z', 56: '275x-785y-1482z', 57: '281x-1028y-1324z', 58: '30x-738y-1530z', 59: '310x-755y-1490z', 60: '324x-1665y-103z', 61: '331x-999y-1334z', 62: '343x-725y-1498z', 63: '373x-692y-1506z', 64: '378x-968y-1345z', 65: '401x-659y-1514z', 66: '411x-1645y-120z', 67: '422x-934y-1355z', 68: '426x-624y-1522z', 69: '449x-589y-1529z', 70: '464x-899y-1365z', 71: '470x-553y-1537z', 72: '471x-13y-1633z', 73: '486x-39y-1628z', 74: '487x-517y-1544z', 75: '496x-1620y-137z', 76: '500x-67y-1623z', 77: '503x-480y-1551z', 78: '504x-862y-1375z', 79: '511x-96y-1618z', 80: '515x-442y-1558z', 81: '521x-126y-1612z', 82: '525x-405y-1564z', 83: '529x-158y-1607z', 84: '533x-368y-1571z', 85: '536x-191y-1601z', 86: '538x-332y-1577z', 87: '540x-225y-1596z', 88: '541x-260y-1590z', 89: '541x-295y-1584z', 90: '541x-822y-1385z', 91: '575x-782y-1395z', 92: '579x-1590y-154z', 93: '606x-740y-1404z', 94: '60x-1698y-52z', 95: '635x-697y-1414z', 96: '64x-1116y-1280z', 97: '660x-652y-1423z', 98: '661x-1556y-171z', 99: '67x-720y-1538z', 100: '683x-607y-1433z', 101: '68x-902y-1439z', 102: '6x-1131y-1269z', 103: '702x-562y-1442z', 104: '719x-516y-1451z', 105: '720x-33y-1539z', 106: '732x-72y-1532z', 107: '733x-470y-1459z', 108: '741x-1518y-188z', 109: '743x-113y-1524z', 110: '744x-423y-1468z', 111: '751x-155y-1517z', 112: '752x-377y-1476z', 113: '756x-198y-1509z', 114: '757x-331y-1485z', 115: '759x-241y-1501z', 116: '759x-286y-1493z', 117: '818x-1475y-205z', 118: '875x-1457y-15z', 119: '893x-1428y-222z', 120: '950x-1409y-32z', 121: '966x-1378y-238z'}
    
                      
                else:
                    print("\n (STEP 257F3/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED RUNNING PROCESS TWO ", time4xi())                 
            else:
                print("\n (STEP 257F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED STARTING PROCESS TWO ", time4xi())                                         
        else:
            print("\n (STEP 257F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED IN CREATING PROCESS TWO ", time4xi())                    
                   
    
            
        #=========
        # 1800 TWO
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE TWO 
        # =============================================================================================  
        fire2two18004xi = {}
        
        if ack2two4process is True:
    
            if ack2two4start is True:
    
                if ack2two4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE TWO  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 258F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2TWO18004XI FROM QUEUE TWO: ", queue2two)
                        # 
                                    
                    fire2two18004xi = queue2two.get()
                    if ack2debug is True:
                        print("\n (STEP 258F2/800) OF COLOR_TENSES4XI -  GOT FROM QUEUE TWO: ", queue2two, " FIRE2TWO18004XI: ", fire2two18004xi) 
                        # GOT FROM QUEUE TWO:  <queue4xi.Queue4Xi object at 0x02B072D0>  FIRE2TWO18004XI:  {1: '1006x-1491y-34z', 2: '1022x-1459y-253z', 3: '1082x-1436y-52z', 4: '1096x-1401y-270z', 5: '109x-741y-1636z', 6: '1156x-1377y-70z', 7: '1166x-1340y-288z', 8: '120x-935y-1533z', 9: '1226x-1314y-88z', 10: '1232x-1275y-306z', 11: '1292x-1248y-106z', 12: '1295x-1206y-324z', 13: '129x-1163y-1367z', 14: '1354x-1135y-341z', 15: '1355x-1178y-124z', 16: '1409x-1060y-359z', 17: '1413x-1104y-142z', 18: '144x-719y-1643z', 19: '1459x-983y-377z', 20: '1468x-1028y-160z', 21: '1505x-903y-394z', 22: '1518x-949y-178z', 23: '1547x-821y-412z', 24: '1564x-867y-196z', 25: '157x-1791y-73z', 26: '1584x-737y-429z', 27: '1606x-783y-214z', 28: '1616x-652y-447z', 29: '1643x-697y-232z', 30: '1644x-565y-464z', 31: '1667x-477y-481z', 32: '166x-912y-1542z', 33: '1675x-609y-250z', 34: '1685x-388y-499z', 35: '1698x-298y-516z', 36: '1702x-520y-267z', 37: '1706x-208y-533z', 38: '1707x-28y-568z', 39: '1709x-118y-550z', 40: '1724x-429y-285z', 41: '1738x-465y-5z', 42: '1741x-338y-303z', 43: '1753x-246y-321z', 44: '1760x-374y-23z', 45: '1761x-154y-338z', 46: '1763x-61y-356z', 47: '1777x-281y-41z', 48: '1789x-188y-59z', 49: '178x-694y-1650z', 50: '1795x-94y-77z', 51: '187x-1141y-1379z', 52: '210x-887y-1551z', 53: '220x-705y-1750z', 54: '22x-973y-1514z', 55: '244x-1116y-1390z', 56: '251x-1780y-91z', 57: '252x-860y-1560z', 58: '291x-831y-1569z', 59: '298x-1088y-1401z', 60: '328x-800y-1578z', 61: '32x-781y-1621z', 62: '343x-1763y-109z', 63: '350x-1058y-1413z', 64: '363x-767y-1586z', 65: '395x-733y-1595z', 66: '400x-1025y-1424z', 67: '425x-698y-1603z', 68: '435x-1741y-127z', 69: '447x-989y-1435z', 70: '452x-661y-1611z', 71: '476x-624y-1619z', 72: '492x-952y-1445z', 73: '497x-586y-1627z', 74: '499x-14y-1729z', 75: '515x-42y-1724z', 76: '516x-547y-1635z', 77: '525x-1715y-145z', 78: '529x-71y-1718z', 79: '532x-508y-1642z', 80: '534x-912y-1456z', 81: '542x-102y-1713z', 82: '546x-469y-1649z', 83: '552x-134y-1707z', 84: '556x-429y-1656z', 85: '561x-167y-1702z', 86: '564x-390y-1663z', 87: '567x-202y-1696z', 88: '570x-351y-1670z', 89: '571x-238y-1689z', 90: '573x-275y-1683z', 91: '573x-313y-1677z', 92: '573x-871y-1467z', 93: '609x-828y-1477z', 94: '613x-1684y-163z', 95: '63x-1798y-55z', 96: '642x-783y-1487z', 97: '672x-738y-1497z', 98: '68x-1182y-1355z', 99: '699x-691y-1507z', 100: '6x-1197y-1343z', 101: '700x-1648y-181z', 102: '71x-762y-1628z', 103: '723x-643y-1517z', 104: '72x-955y-1523z', 105: '744x-595y-1526z', 106: '761x-546y-1536z', 107: '762x-35y-1630z', 108: '775x-77y-1622z', 109: '776x-497y-1545z', 110: '785x-1607y-199z', 111: '786x-119y-1614z', 112: '787x-448y-1554z', 113: '795x-164y-1606z', 114: '796x-400y-1563z', 115: '801x-209y-1598z', 116: '801x-351y-1572z', 117: '804x-256y-1589z', 118: '804x-303y-1581z', 119: '867x-1562y-217z', 120: '927x-1542y-16z', 121: '946x-1512y-235z'}
     
                      
                else:
                    print("\n (STEP 258F3/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED RUNNING PROCESS TWO ", time4xi())                 
            else:
                print("\n (STEP 258F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED STARTING PROCESS TWO ", time4xi())                                         
        else:
            print("\n (STEP 258F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED IN CREATING PROCESS TWO ", time4xi())                    
                   
    
            
        #=========
        # 1900 TWO
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE TWO 
        # =============================================================================================  
        fire2two19004xi = {}
        
        if ack2two4process is True:
    
            if ack2two4start is True:
    
                if ack2two4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE TWO  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 259F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2TWO19004XI FROM QUEUE TWO: ", queue2two)
                        # 
                                    
                    fire2two19004xi = queue2two.get()
                    if ack2debug is True:
                        print("\n (STEP 259F2/800) OF COLOR_TENSES4XI -  GOT FROM QUEUE TWO: ", queue2two, " FIRE2TWO19004XI: ", fire2two19004xi) 
                        # GOT FROM QUEUE TWO:  <queue4xi.Queue4Xi object at 0x02B072D0>  FIRE2TWO19004XI:  {1: '1062x-1574y-36z', 2: '1079x-1540y-267z', 3: '1142x-1516y-55z', 4: '1157x-1479y-285z', 5: '115x-783y-1727z', 6: '1220x-1454y-74z', 7: '1231x-1414y-304z', 8: '127x-987y-1618z', 9: '1294x-1387y-93z', 10: '1301x-1346y-323z', 11: '1364x-1317y-112z', 12: '1367x-1273y-342z', 13: '136x-1228y-1443z', 14: '1429x-1198y-360z', 15: '1430x-1243y-131z', 16: '1487x-1119y-379z', 17: '1492x-1166y-150z', 18: '152x-759y-1735z', 19: '1540x-1038y-398z', 20: '1550x-1085y-169z', 21: '1589x-953y-416z', 22: '1603x-1001y-188z', 23: '1633x-867y-435z', 24: '1651x-915y-207z', 25: '166x-1891y-77z', 26: '1672x-778y-453z', 27: '1695x-826y-226z', 28: '1706x-688y-471z', 29: '1734x-736y-245z', 30: '1735x-596y-490z', 31: '1759x-503y-508z', 32: '175x-963y-1628z', 33: '1768x-643y-263z', 34: '1778x-409y-526z', 35: '1792x-315y-545z', 36: '1796x-549y-282z', 37: '1801x-220y-563z', 38: '1802x-30y-599z', 39: '1804x-125y-581z', 40: '1820x-453y-301z', 41: '1835x-491y-5z', 42: '1838x-357y-320z', 43: '1851x-260y-338z', 44: '1858x-162y-357z', 45: '1858x-394y-24z', 46: '1861x-64y-376z', 47: '1876x-297y-43z', 48: '187x-733y-1742z', 49: '1888x-198y-62z', 50: '1895x-99y-81z', 51: '197x-1204y-1455z', 52: '222x-936y-1637z', 53: '232x-742y-1842z', 54: '24x-1027y-1598z', 55: '257x-1178y-1467z', 56: '265x-1878y-96z', 57: '266x-908y-1647z', 58: '307x-877y-1656z', 59: '315x-1149y-1479z', 60: '347x-844y-1666z', 61: '34x-825y-1711z', 62: '362x-1861y-115z', 63: '370x-1117y-1491z', 64: '383x-810y-1675z', 65: '417x-774y-1684z', 66: '422x-1082y-1503z', 67: '448x-736y-1692z', 68: '459x-1838y-134z', 69: '472x-1044y-1514z', 70: '477x-698y-1701z', 71: '502x-658y-1709z', 72: '519x-1005y-1526z', 73: '525x-618y-1717z', 74: '527x-15y-1825z', 75: '544x-44y-1819z', 76: '545x-577y-1725z', 77: '554x-1810y-153z', 78: '559x-75y-1814z', 79: '562x-536y-1733z', 80: '563x-963y-1537z', 81: '572x-107y-1808z', 82: '576x-495y-1741z', 83: '583x-141y-1802z', 84: '587x-453y-1748z', 85: '592x-177y-1796z', 86: '596x-412y-1756z', 87: '599x-214y-1790z', 88: '601x-371y-1763z', 89: '603x-251y-1783z', 90: '604x-919y-1548z', 91: '605x-290y-1777z', 92: '605x-330y-1770z', 93: '642x-874y-1559z', 94: '648x-1777y-172z', 95: '677x-827y-1570z', 96: '67x-1897y-58z', 97: '709x-779y-1580z', 98: '72x-1247y-1430z', 99: '738x-729y-1591z', 100: '739x-1739y-191z', 101: '75x-805y-1719z', 102: '763x-679y-1601z', 103: '76x-1008y-1608z', 104: '785x-628y-1611z', 105: '7x-1264y-1418z', 106: '804x-37y-1720z', 107: '804x-577y-1621z', 108: '818x-81y-1712z', 109: '819x-525y-1631z', 110: '828x-1696y-210z', 111: '830x-126y-1704z', 112: '831x-473y-1641z', 113: '839x-173y-1695z', 114: '840x-422y-1650z', 115: '845x-221y-1687z', 116: '846x-371y-1660z', 117: '848x-270y-1678z', 118: '849x-320y-1669z', 119: '915x-1649y-229z', 120: '978x-1628y-17z', 121: '999x-1596y-248z'}
     
                      
                else:
                    print("\n (STEP 259F3/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED RUNNING PROCESS TWO ", time4xi())                 
            else:
                print("\n (STEP 259F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED STARTING PROCESS TWO ", time4xi())                                         
        else:
            print("\n (STEP 259F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED IN CREATING PROCESS TWO ", time4xi())                    
                   
          
    
            
        #=========
        # 2000 TWO
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE TWO 
        # =============================================================================================  
        fire2two20004xi = {}
        
        if ack2two4process is True:
    
            if ack2two4start is True:
    
                if ack2two4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE TWO  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 260F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2TWO20004XI FROM QUEUE TWO: ", queue2two)
                        # 
                                    
                    fire2two20004xi = queue2two.get()
                    if ack2debug is True:
                        print("\n (STEP 260F2/800) OF COLOR_TENSES4XI -  GOT FROM QUEUE TWO: ", queue2two, " FIRE2TWO20004XI: ", fire2two20004xi) 
                        # GOT FROM QUEUE TWO:  <queue4xi.Queue4Xi object at 0x02B072D0>  FIRE2TWO20004XI:  {1: '1030x-1714y-18z', 2: '1051x-1680y-261z', 3: '1118x-1657y-38z', 4: '1136x-1621y-281z', 5: '1203x-1596y-58z', 6: '1218x-1557y-300z', 7: '121x-824y-1818z', 8: '1284x-1530y-78z', 9: '1295x-1489y-320z', 10: '133x-1039y-1703z', 11: '1362x-1460y-98z', 12: '1369x-1416y-340z', 13: '1436x-1386y-118z', 14: '1439x-1340y-360z', 15: '143x-1292y-1519z', 16: '1504x-1261y-379z', 17: '1505x-1308y-138z', 18: '1565x-1178y-399z', 19: '1571x-1227y-158z', 20: '160x-799y-1826z', 21: '1621x-1092y-418z', 22: '1631x-1142y-178z', 23: '1673x-1004y-438z', 24: '1687x-1054y-198z', 25: '1719x-913y-457z', 26: '1738x-963y-218z', 27: '175x-1990y-82z', 28: '1760x-819y-477z', 29: '1784x-870y-238z', 30: '1796x-724y-496z', 31: '1825x-774y-258z', 32: '1827x-628y-516z', 33: '184x-1013y-1713z', 34: '1852x-530y-535z', 35: '1861x-677y-277z', 36: '1872x-431y-554z', 37: '1886x-331y-573z', 38: '1891x-578y-297z', 39: '1895x-231y-593z', 40: '1897x-32y-631z', 41: '1899x-131y-612z', 42: '1915x-477y-317z', 43: '1931x-517y-5z', 44: '1935x-376y-337z', 45: '1948x-273y-356z', 46: '1956x-171y-376z', 47: '1956x-415y-25z', 48: '1959x-68y-396z', 49: '1974x-312y-45z', 50: '197x-771y-1834z', 51: '1987x-208y-65z', 52: '1995x-104y-85z', 53: '208x-1268y-1532z', 54: '233x-986y-1724z', 55: '244x-779y-1934z', 56: '25x-1081y-1682z', 57: '271x-1240y-1545z', 58: '279x-1977y-102z', 59: '280x-955y-1734z', 60: '324x-923y-1744z', 61: '331x-1209y-1557z', 62: '365x-889y-1753z', 63: '36x-868y-1801z', 64: '381x-1959y-122z', 65: '389x-1175y-1570z', 66: '403x-852y-1763z', 67: '439x-815y-1772z', 68: '444x-1139y-1582z', 69: '472x-775y-1781z', 70: '483x-1935y-141z', 71: '497x-1099y-1594z', 72: '502x-735y-1790z', 73: '529x-693y-1799z', 74: '546x-1058y-1606z', 75: '553x-651y-1808z', 76: '555x-16y-1921z', 77: '572x-46y-1915z', 78: '573x-608y-1816z', 79: '583x-1906y-161z', 80: '588x-79y-1909z', 81: '591x-564y-1825z', 82: '593x-1014y-1618z', 83: '602x-113y-1903z', 84: '606x-521y-1833z', 85: '613x-149y-1897z', 86: '618x-477y-1841z', 87: '623x-186y-1891z', 88: '627x-433y-1848z', 89: '630x-225y-1884z', 90: '633x-390y-1856z', 91: '635x-265y-1877z', 92: '636x-348y-1863z', 93: '636x-968y-1630z', 94: '637x-306y-1870z', 95: '676x-920y-1641z', 96: '682x-1871y-181z', 97: '70x-1997y-62z', 98: '713x-870y-1652z', 99: '747x-820y-1664z', 100: '76x-1313y-1506z', 101: '777x-768y-1675z', 102: '778x-1831y-201z', 103: '79x-847y-1809z', 104: '7x-1330y-1493z', 105: '803x-715y-1685z', 106: '80x-1061y-1693z', 107: '826x-661y-1696z', 108: '846x-607y-1707z', 109: '847x-39y-1811z', 110: '862x-553y-1717z', 111: '862x-85y-1802z', 112: '872x-1786y-221z', 113: '874x-133y-1793z', 114: '875x-498y-1727z', 115: '883x-182y-1784z', 116: '884x-444y-1737z', 117: '890x-232y-1775z', 118: '891x-390y-1747z', 119: '893x-284y-1766z', 120: '893x-337y-1757z', 121: '963x-1735y-241z'}
    
                      
                else:
                    print("\n (STEP 260F3/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED RUNNING PROCESS TWO ", time4xi())                 
            else:
                print("\n (STEP 260F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED STARTING PROCESS TWO ", time4xi())                                         
        else:
            print("\n (STEP 260F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED IN CREATING PROCESS TWO ", time4xi())                    
                   
    
            
        #=========
        # 2100 TWO
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE TWO 
        # =============================================================================================  
        fire2two21004xi = {}
        
        if ack2two4process is True:
    
            if ack2two4start is True:
    
                if ack2two4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE TWO  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 261F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2TWO21004XI FROM QUEUE TWO: ", queue2two)
                        # 
                                    
                    fire2two21004xi = queue2two.get()
                    if ack2debug is True:
                        print("\n (STEP 261F2/800) OF COLOR_TENSES4XI -  GOT FROM QUEUE TWO: ", queue2two, " FIRE2TWO21004XI: ", fire2two21004xi) 
                        # GOT FROM QUEUE TWO:  <queue4xi.Queue4Xi object at 0x02B072D0>  FIRE2TWO21004XI:  {1: '1011x-1822y-253z', 2: '1081x-1799y-19z', 3: '1104x-1765y-274z', 4: '1174x-1740y-40z', 5: '1193x-1702y-295z', 6: '1263x-1676y-61z', 7: '1279x-1635y-315z', 8: '127x-865y-1909z', 9: '1348x-1607y-82z', 10: '1360x-1563y-336z', 11: '140x-1091y-1788z', 12: '1430x-1533y-103z', 13: '1438x-1487y-357z', 14: '1507x-1456y-124z', 15: '150x-1357y-1595z', 16: '1511x-1407y-378z', 17: '1580x-1324y-398z', 18: '1581x-1374y-145z', 19: '1644x-1237y-419z', 20: '1649x-1288y-166z', 21: '168x-838y-1917z', 22: '1702x-1147y-439z', 23: '1713x-1199y-187z', 24: '1756x-1054y-460z', 25: '1772x-1107y-208z', 26: '1805x-958y-480z', 27: '1825x-1012y-229z', 28: '183x-2090y-86z', 29: '1848x-860y-501z', 30: '1874x-914y-250z', 31: '1886x-761y-521z', 32: '1916x-813y-270z', 33: '1918x-659y-541z', 34: '1945x-556y-562z', 35: '194x-1064y-1799z', 36: '1954x-711y-291z', 37: '1966x-452y-582z', 38: '1981x-348y-602z', 39: '1985x-607y-312z', 40: '1990x-243y-622z', 41: '1992x-33y-662z', 42: '1994x-138y-642z', 43: '2011x-501y-333z', 44: '2028x-543y-5z', 45: '2031x-394y-353z', 46: '2046x-287y-374z', 47: '2053x-436y-26z', 48: '2054x-179y-395z', 49: '2057x-71y-415z', 50: '2073x-328y-47z', 51: '207x-810y-1926z', 52: '2087x-219y-68z', 53: '2095x-109y-89z', 54: '218x-1331y-1608z', 55: '245x-1035y-1810z', 56: '255x-817y-2026z', 57: '26x-1135y-1766z', 58: '284x-1302y-1622z', 59: '292x-2076y-107z', 60: '294x-1003y-1820z', 61: '340x-969y-1831z', 62: '348x-1270y-1635z', 63: '37x-912y-1891z', 64: '383x-933y-1841z', 65: '401x-2057y-128z', 66: '409x-1234y-1648z', 67: '424x-895y-1851z', 68: '461x-855y-1861z', 69: '467x-1196y-1661z', 70: '496x-814y-1870z', 71: '507x-2032y-149z', 72: '522x-1154y-1674z', 73: '527x-772y-1880z', 74: '555x-728y-1889z', 75: '574x-1111y-1686z', 76: '580x-683y-1898z', 77: '582x-16y-2017z', 78: '601x-49y-2011z', 79: '602x-638y-1907z', 80: '613x-2001y-170z', 81: '617x-83y-2005z', 82: '621x-593y-1916z', 83: '623x-1064y-1699z', 84: '632x-119y-1998z', 85: '637x-547y-1924z', 86: '644x-156y-1992z', 87: '649x-501y-1933z', 88: '654x-195y-1985z', 89: '658x-455y-1941z', 90: '662x-236y-1978z', 91: '665x-410y-1949z', 92: '667x-278y-1971z', 93: '668x-1016y-1711z', 94: '668x-365y-1956z', 95: '669x-321y-1964z', 96: '710x-966y-1723z', 97: '716x-1964y-190z', 98: '749x-914y-1735z', 99: '74x-2097y-65z', 100: '784x-861y-1747z', 101: '80x-1379y-1581z', 102: '815x-806y-1758z', 103: '817x-1922y-211z', 104: '83x-890y-1900z', 105: '843x-751y-1770z', 106: '84x-1114y-1777z', 107: '868x-694y-1781z', 108: '888x-637y-1792z', 109: '889x-41y-1901z', 110: '8x-1397y-1567z', 111: '905x-580y-1803z', 112: '905x-89y-1892z', 113: '915x-1875y-232z', 114: '917x-139y-1883z', 115: '919x-523y-1814z', 116: '927x-191y-1874z', 117: '929x-466y-1824z', 118: '934x-244y-1864z', 119: '935x-410y-1834z', 120: '938x-298y-1854z', 121: '938x-354y-1844z'}
     
                      
                else:
                    print("\n (STEP 261F3/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED RUNNING PROCESS TWO ", time4xi())                 
            else:
                print("\n (STEP 261F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED STARTING PROCESS TWO ", time4xi())                                         
        else:
            print("\n (STEP 261F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED IN CREATING PROCESS TWO ", time4xi())                    
                   
    
            
        #=========
        # 2200 TWO
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE TWO 
        # =============================================================================================  
        fire2two22004xi = {}
        
        if ack2two4process is True:
    
            if ack2two4start is True:
    
                if ack2two4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE TWO  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 262F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2TWO22004XI FROM QUEUE TWO: ", queue2two)
                        # 
                                    
                    fire2two22004xi = queue2two.get()
                    if ack2debug is True:
                        print("\n (STEP 262F2/800) OF COLOR_TENSES4XI -  GOT FROM QUEUE TWO: ", queue2two, " FIRE2TWO22004XI: ", fire2two22004xi) 
                        # GOT FROM QUEUE TWO:  <queue4xi.Queue4Xi object at 0x02B072D0>  FIRE2TWO22004XI:  {1: '1059x-1909y-265z', 2: '1133x-1885y-20z', 3: '1156x-1849y-287z', 4: '1229x-1823y-42z', 5: '1250x-1783y-309z', 6: '1323x-1756y-64z', 7: '1339x-1713y-331z', 8: '133x-906y-1999z', 9: '1413x-1683y-86z', 10: '1425x-1638y-352z', 11: '147x-1143y-1873z', 12: '1498x-1607y-108z', 13: '1506x-1558y-374z', 14: '1579x-1525y-130z', 15: '157x-1421y-1671z', 16: '1583x-1475y-396z', 17: '1655x-1387y-417z', 18: '1656x-1439y-152z', 19: '1722x-1296y-439z', 20: '1728x-1350y-174z', 21: '176x-878y-2009z', 22: '1784x-1201y-460z', 23: '1794x-1256y-196z', 24: '1840x-1104y-482z', 25: '1856x-1160y-218z', 26: '1891x-1004y-503z', 27: '1912x-1060y-240z', 28: '192x-2189y-90z', 29: '1936x-901y-525z', 30: '1963x-957y-262z', 31: '1976x-797y-546z', 32: '2008x-852y-283z', 33: '2010x-690y-567z', 34: '2037x-583y-589z', 35: '203x-1115y-1885z', 36: '2047x-745y-305z', 37: '2059x-474y-610z', 38: '2075x-364y-631z', 39: '2080x-636y-327z', 40: '2085x-254y-652z', 41: '2087x-35y-694z', 42: '2089x-145y-673z', 43: '2107x-525y-349z', 44: '2125x-569y-6z', 45: '2128x-413y-370z', 46: '2143x-301y-392z', 47: '2151x-457y-28z', 48: '2152x-188y-414z', 49: '2155x-75y-435z', 50: '2172x-344y-50z', 51: '217x-848y-2017z', 52: '2186x-229y-72z', 53: '2194x-115y-94z', 54: '229x-1395y-1685z', 55: '257x-1084y-1896z', 56: '267x-854y-2118z', 57: '27x-1189y-1850z', 58: '298x-1364y-1699z', 59: '306x-2175y-112z', 60: '308x-1051y-1907z', 61: '356x-1015y-1918z', 62: '364x-1330y-1713z', 63: '39x-955y-1981z', 64: '401x-978y-1929z', 65: '420x-2155y-134z', 66: '428x-1293y-1727z', 67: '444x-938y-1939z', 68: '483x-896y-1949z', 69: '489x-1253y-1740z', 70: '519x-853y-1960z', 71: '532x-2128y-156z', 72: '547x-1209y-1754z', 73: '552x-808y-1969z', 74: '582x-763y-1979z', 75: '601x-1164y-1767z', 76: '608x-716y-1989z', 77: '610x-17y-2113z', 78: '629x-51y-2107z', 79: '631x-669y-1998z', 80: '642x-2096y-178z', 81: '647x-87y-2100z', 82: '651x-621y-2007z', 83: '652x-1115y-1780z', 84: '662x-124y-2094z', 85: '667x-573y-2016z', 86: '675x-164y-2087z', 87: '680x-525y-2025z', 88: '685x-205y-2080z', 89: '690x-477y-2033z', 90: '693x-247y-2073z', 91: '697x-429y-2041z', 92: '698x-291y-2065z', 93: '700x-1065y-1793z', 94: '700x-382y-2049z', 95: '701x-336y-2057z', 96: '744x-1012y-1805z', 97: '750x-2058y-200z', 98: '77x-2197y-68z', 99: '784x-958y-1818z', 100: '821x-902y-1830z', 101: '84x-1444y-1656z', 102: '854x-845y-1842z', 103: '856x-2014y-221z', 104: '87x-932y-1990z', 105: '884x-786y-1854z', 106: '88x-1167y-1862z', 107: '8x-1463y-1642z', 108: '909x-727y-1866z', 109: '931x-668y-1877z', 110: '932x-43y-1992z', 111: '948x-608y-1889z', 112: '948x-94y-1982z', 113: '959x-1964y-243z', 114: '961x-146y-1973z', 115: '963x-548y-1900z', 116: '971x-200y-1963z', 117: '973x-488y-1911z', 118: '979x-256y-1953z', 119: '980x-429y-1922z', 120: '982x-313y-1943z', 121: '983x-370y-1932z'}
    
                      
                else:
                    print("\n (STEP 262F3/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED RUNNING PROCESS TWO ", time4xi())                 
            else:
                print("\n (STEP 262F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED STARTING PROCESS TWO ", time4xi())                                         
        else:
            print("\n (STEP 262F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED IN CREATING PROCESS TWO ", time4xi())                    
                   
    
            
        #=========
        # 2300 TWO
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE TWO 
        # =============================================================================================  
        fire2two23004xi = {}
        
        if ack2two4process is True:
    
            if ack2two4start is True:
    
                if ack2two4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE TWO  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 263F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2TWO23004XI FROM QUEUE TWO: ", queue2two)
                        # 
                                    
                    fire2two23004xi = queue2two.get()
                    if ack2debug is True:
                        print("\n (STEP 263F2/800) OF COLOR_TENSES4XI -  GOT FROM QUEUE TWO: ", queue2two, " FIRE2TWO23004XI: ", fire2two23004xi) 
                        # GOT FROM QUEUE TWO:  <queue4xi.Queue4Xi object at 0x02B072D0>  FIRE2TWO23004XI:  {1: '1003x-2053y-254z', 2: '1005x-153y-2062z', 3: '1006x-573y-1986z', 4: '1016x-209y-2052z', 5: '1017x-511y-1998z', 6: '1023x-267y-2042z', 7: '1024x-449y-2009z', 8: '1027x-327y-2031z', 9: '1027x-387y-2020z', 10: '1107x-1996y-277z', 11: '1184x-1971y-21z', 12: '1209x-1933y-300z', 13: '1285x-1906y-44z', 14: '1307x-1864y-323z', 15: '1383x-1836y-67z', 16: '139x-948y-2090z', 17: '1400x-1791y-346z', 18: '1477x-1760y-90z', 19: '1490x-1712y-368z', 20: '153x-1195y-1959z', 21: '1566x-1680y-113z', 22: '1575x-1629y-391z', 23: '164x-1486y-1747z', 24: '1651x-1594y-136z', 25: '1655x-1542y-414z', 26: '1730x-1450y-436z', 27: '1731x-1505y-159z', 28: '1800x-1355y-459z', 29: '1806x-1411y-182z', 30: '184x-918y-2100z', 31: '1865x-1256y-481z', 32: '1876x-1313y-205z', 33: '1924x-1154y-504z', 34: '1940x-1212y-228z', 35: '1977x-1050y-526z', 36: '1999x-1108y-251z', 37: '201x-2289y-94z', 38: '2024x-942y-549z', 39: '2052x-1001y-273z', 40: '2066x-833y-571z', 41: '2099x-891y-296z', 42: '2101x-722y-593z', 43: '212x-1166y-1971z', 44: '2130x-609y-615z', 45: '2140x-779y-319z', 46: '2153x-495y-637z', 47: '2169x-381y-659z', 48: '2175x-664y-342z', 49: '2180x-266y-681z', 50: '2182x-36y-725z', 51: '2184x-151y-703z', 52: '2203x-549y-365z', 53: '2221x-595y-6z', 54: '2225x-432y-387z', 55: '2241x-314y-410z', 56: '2249x-478y-29z', 57: '2250x-196y-432z', 58: '2253x-78y-455z', 59: '2271x-359y-52z', 60: '227x-887y-2109z', 61: '2286x-240y-75z', 62: '2294x-120y-98z', 63: '239x-1458y-1762z', 64: '268x-1134y-1982z', 65: '279x-891y-2210z', 66: '29x-1243y-1934z', 67: '311x-1426y-1776z', 68: '320x-2274y-117z', 69: '322x-1099y-1994z', 70: '372x-1062y-2005z', 71: '381x-1391y-1791z', 72: '41x-999y-2071z', 73: '420x-1022y-2016z', 74: '439x-2253y-140z', 75: '448x-1352y-1805z', 76: '464x-980y-2027z', 77: '505x-937y-2038z', 78: '511x-1310y-1819z', 79: '543x-892y-2049z', 80: '556x-2225y-163z', 81: '571x-1264y-1833z', 82: '577x-845y-2059z', 83: '608x-797y-2069z', 84: '628x-1216y-1847z', 85: '636x-748y-2079z', 86: '638x-18y-2209z', 87: '658x-53y-2203z', 88: '660x-699y-2089z', 89: '671x-2191y-186z', 90: '676x-91y-2196z', 91: '680x-649y-2098z', 92: '682x-1166y-1861z', 93: '692x-130y-2189z', 94: '697x-599y-2108z', 95: '706x-171y-2182z', 96: '711x-549y-2117z', 97: '716x-214y-2174z', 98: '721x-499y-2126z', 99: '725x-259y-2167z', 100: '728x-449y-2134z', 101: '730x-305y-2159z', 102: '732x-1113y-1874z', 103: '732x-400y-2143z', 104: '733x-352y-2151z', 105: '778x-1058y-1887z', 106: '784x-2151y-209z', 107: '81x-2297y-71z', 108: '820x-1001y-1900z', 109: '859x-943y-1913z', 110: '87x-1510y-1732z', 111: '893x-883y-1926z', 112: '895x-2105y-232z', 113: '8x-1530y-1716z', 114: '91x-974y-2081z', 115: '924x-822y-1938z', 116: '92x-1220y-1946z', 117: '950x-760y-1951z', 118: '973x-698y-1963z', 119: '974x-45y-2082z', 120: '991x-98y-2073z', 121: '992x-636y-1975z'}
    
                      
                else:
                    print("\n (STEP 263F3/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED RUNNING PROCESS TWO ", time4xi())                 
            else:
                print("\n (STEP 263F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED STARTING PROCESS TWO ", time4xi())                                         
        else:
            print("\n (STEP 263F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED IN CREATING PROCESS TWO ", time4xi())                    
                   
    
            
        #=========
        # 2400 TWO
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE TWO 
        # =============================================================================================  
        fire2two24004xi = {}
        
        if ack2two4process is True:
    
            if ack2two4start is True:
    
                if ack2two4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE TWO  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 264F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2TWO24004XI FROM QUEUE TWO: ", queue2two)
                        # 
                                    
                    fire2two24004xi = queue2two.get()
                    if ack2debug is True:
                        print("\n (STEP 264F2/800) OF COLOR_TENSES4XI -  GOT FROM QUEUE TWO: ", queue2two, " FIRE2TWO24004XI: ", fire2two24004xi) 
                        # GOT FROM QUEUE TWO:  <queue4xi.Queue4Xi object at 0x02B072D0>  FIRE2TWO24004XI:  {1: '1015x-729y-2048z', 2: '1016x-47y-2173z', 3: '1034x-102y-2163z', 4: '1035x-663y-2060z', 5: '1046x-2143y-265z', 6: '1049x-159y-2152z', 7: '1050x-598y-2073z', 8: '1060x-218y-2141z', 9: '1061x-533y-2085z', 10: '1068x-279y-2131z', 11: '1069x-468y-2096z', 12: '1072x-341y-2119z', 13: '1072x-404y-2108z', 14: '1156x-2083y-289z', 15: '1236x-2057y-22z', 16: '1261x-2017y-313z', 17: '1341x-1989y-46z', 18: '1363x-1945y-337z', 19: '1443x-1915y-70z', 20: '145x-989y-2181z', 21: '1461x-1868y-361z', 22: '1541x-1837y-94z', 23: '1555x-1787y-384z', 24: '160x-1247y-2044z', 25: '1634x-1753y-118z', 26: '1643x-1700y-408z', 27: '1723x-1664y-142z', 28: '1727x-1609y-432z', 29: '172x-1551y-1823z', 30: '1805x-1513y-455z', 31: '1806x-1570y-166z', 32: '1878x-1414y-479z', 33: '1885x-1472y-190z', 34: '192x-958y-2191z', 35: '1946x-1311y-502z', 36: '1958x-1371y-214z', 37: '2007x-1204y-526z', 38: '2025x-1265y-238z', 39: '2063x-1095y-549z', 40: '2086x-1156y-261z', 41: '210x-2388y-98z', 42: '2112x-983y-572z', 43: '2141x-1044y-285z', 44: '2155x-869y-596z', 45: '2190x-929y-309z', 46: '2192x-753y-619z', 47: '221x-1216y-2056z', 48: '2223x-636y-642z', 49: '2233x-812y-333z', 50: '2247x-517y-665z', 51: '2264x-398y-688z', 52: '2269x-693y-357z', 53: '2275x-278y-711z', 54: '2277x-38y-757z', 55: '2279x-158y-734z', 56: '2299x-573y-380z', 57: '2318x-621y-6z', 58: '2322x-451y-404z', 59: '2338x-328y-428z', 60: '2347x-498y-30z', 61: '2348x-205y-451z', 62: '2351x-82y-475z', 63: '2369x-375y-54z', 64: '237x-926y-2201z', 65: '2385x-250y-78z', 66: '2394x-125y-102z', 67: '250x-1522y-1838z', 68: '280x-1183y-2069z', 69: '290x-928y-2302z', 70: '30x-1297y-2018z', 71: '325x-1488y-1854z', 72: '334x-2373y-122z', 73: '336x-1147y-2081z', 74: '388x-1108y-2092z', 75: '397x-1451y-1869z', 76: '438x-1067y-2104z', 77: '43x-1042y-2161z', 78: '458x-2351y-146z', 79: '467x-1411y-1884z', 80: '484x-1023y-2115z', 81: '527x-978y-2127z', 82: '533x-1367y-1898z', 83: '566x-930y-2138z', 84: '580x-2322y-170z', 85: '596x-1319y-1913z', 86: '602x-882y-2149z', 87: '635x-832y-2159z', 88: '656x-1269y-1927z', 89: '663x-781y-2169z', 90: '666x-19y-2305z', 91: '687x-56y-2298z', 92: '688x-729y-2180z', 93: '700x-2287y-194z', 94: '706x-94y-2291z', 95: '710x-677y-2190z', 96: '712x-1217y-1942z', 97: '722x-136y-2284z', 98: '728x-625y-2199z', 99: '736x-179y-2277z', 100: '742x-572y-2209z', 101: '748x-223y-2269z', 102: '753x-520y-2218z', 103: '756x-270y-2261z', 104: '760x-468y-2227z', 105: '762x-318y-2253z', 106: '764x-1161y-1956z', 107: '764x-367y-2244z', 108: '764x-417y-2236z', 109: '812x-1104y-1969z', 110: '818x-2245y-218z', 111: '84x-2397y-74z', 112: '856x-1045y-1983z', 113: '896x-984y-1996z', 114: '91x-1576y-1807z', 115: '932x-921y-2010z', 116: '934x-2197y-242z', 117: '95x-1017y-2171z', 118: '964x-858y-2023z', 119: '96x-1274y-2031z', 120: '992x-794y-2035z', 121: '9x-1596y-1791z'}
    
                      
                else:
                    print("\n (STEP 264F3/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED RUNNING PROCESS TWO ", time4xi())                 
            else:
                print("\n (STEP 264F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED STARTING PROCESS TWO ", time4xi())                                         
        else:
            print("\n (STEP 264F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED IN CREATING PROCESS TWO ", time4xi())                    
                   
    
            
        #=========
        # 2500 TWO
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE TWO 
        # =============================================================================================  
        fire2two25004xi = {}
        
        if ack2two4process is True:
    
            if ack2two4start is True:
    
                if ack2two4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE TWO  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 265F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2TWO25004XI FROM QUEUE TWO: ", queue2two)
                        # 
                                    
                    fire2two25004xi = queue2two.get()
                    if ack2debug is True:
                        print("\n (STEP 265F2/800) OF COLOR_TENSES4XI -  GOT FROM QUEUE TWO: ", queue2two, " FIRE2TWO25004XI: ", fire2two25004xi) 
                        # GOT FROM QUEUE TWO:  <queue4xi.Queue4Xi object at 0x02B072D0>  FIRE2TWO25004XI:  {1: '1004x-894y-2107z', 2: '100x-1327y-2116z', 3: '1033x-827y-2120z', 4: '1058x-759y-2133z', 5: '1059x-49y-2264z', 6: '1077x-106y-2253z', 7: '1078x-691y-2146z', 8: '1090x-2232y-277z', 9: '1092x-166y-2242z', 10: '1094x-623y-2159z', 11: '1104x-228y-2231z', 12: '1106x-555y-2172z', 13: '1112x-291y-2219z', 14: '1113x-488y-2184z', 15: '1116x-355y-2208z', 16: '1117x-421y-2196z', 17: '1204x-2169y-301z', 18: '1287x-2142y-23z', 19: '1314x-2101y-326z', 20: '1397x-2072y-48z', 21: '1420x-2026y-351z', 22: '1503x-1995y-73z', 23: '151x-1030y-2272z', 24: '1522x-1946y-376z', 25: '1605x-1913y-98z', 26: '1619x-1861y-400z', 27: '167x-1299y-2129z', 28: '1702x-1826y-123z', 29: '1712x-1771y-425z', 30: '1795x-1733y-148z', 31: '1799x-1676y-450z', 32: '179x-1615y-1899z', 33: '1881x-1576y-474z', 34: '1882x-1636y-173z', 35: '1957x-1473y-499z', 36: '1963x-1534y-198z', 37: '201x-998y-2282z', 38: '2027x-1365y-523z', 39: '2039x-1428y-223z', 40: '2091x-1255y-548z', 41: '2109x-1318y-248z', 42: '2149x-1141y-572z', 43: '2173x-1204y-272z', 44: '219x-2488y-102z', 45: '2200x-1024y-596z', 46: '2230x-1088y-297z', 47: '2245x-905y-621z', 48: '2282x-968y-322z', 49: '2284x-785y-645z', 50: '2315x-662y-669z', 51: '231x-1267y-2142z', 52: '2326x-846y-347z', 53: '2340x-539y-693z', 54: '2358x-414y-717z', 55: '2364x-722y-372z', 56: '2369x-289y-741z', 57: '2371x-40y-788z', 58: '2374x-164y-765z', 59: '2394x-597y-396z', 60: '2414x-647y-7z', 61: '2418x-470y-421z', 62: '2435x-342y-446z', 63: '2445x-213y-470z', 64: '2445x-519y-32z', 65: '2448x-85y-495z', 66: '2468x-390y-57z', 67: '247x-964y-2293z', 68: '2484x-261y-81z', 69: '2494x-130y-106z', 70: '260x-1585y-1915z', 71: '292x-1232y-2155z', 72: '302x-965y-2395z', 73: '31x-1351y-2102z', 74: '338x-1550y-1931z', 75: '348x-2472y-127z', 76: '350x-1194y-2167z', 77: '405x-1154y-2180z', 78: '414x-1512y-1947z', 79: '456x-1111y-2192z', 80: '45x-1085y-2251z', 81: '477x-2449y-152z', 82: '486x-1469y-1962z', 83: '504x-1066y-2204z', 84: '549x-1018y-2215z', 85: '556x-1424y-1978z', 86: '590x-969y-2227z', 87: '604x-2419y-177z', 88: '621x-1374y-1993z', 89: '627x-919y-2238z', 90: '661x-867y-2249z', 91: '683x-1322y-2008z', 92: '691x-814y-2260z', 93: '694x-20y-2401z', 94: '715x-58y-2394z', 95: '717x-760y-2270z', 96: '729x-2382y-202z', 97: '735x-98y-2387z', 98: '739x-706y-2281z', 99: '741x-1267y-2023z', 100: '752x-141y-2379z', 101: '758x-651y-2291z', 102: '767x-186y-2371z', 103: '773x-596y-2301z', 104: '779x-233y-2363z', 105: '784x-542y-2310z', 106: '788x-281y-2355z', 107: '792x-488y-2320z', 108: '794x-331y-2347z', 109: '795x-1210y-2037z', 110: '796x-382y-2338z', 111: '796x-435y-2329z', 112: '846x-1150y-2051z', 113: '852x-2339y-227z', 114: '88x-2497y-77z', 115: '892x-1088y-2066z', 116: '933x-1025y-2080z', 117: '95x-1641y-1882z', 118: '971x-960y-2093z', 119: '973x-2289y-252z', 120: '99x-1059y-2262z', 121: '9x-1663y-1866z'}
    
                      
                else:
                    print("\n (STEP 265F3/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED RUNNING PROCESS TWO ", time4xi())                 
            else:
                print("\n (STEP 265F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED STARTING PROCESS TWO ", time4xi())                                         
        else:
            print("\n (STEP 265F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED IN CREATING PROCESS TWO ", time4xi())                    
                   
    
            
        #=========
        # 2600 TWO
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE TWO 
        # =============================================================================================  
        fire2two26004xi = {}
        
        if ack2two4process is True:
    
            if ack2two4start is True:
    
                if ack2two4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE TWO  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 266F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2TWO26004XI FROM QUEUE TWO: ", queue2two)
                        # 
                                    
                    fire2two26004xi = queue2two.get()
                    if ack2debug is True:
                        print("\n (STEP 266F2/800) OF COLOR_TENSES4XI -  GOT FROM QUEUE TWO: ", queue2two, " FIRE2TWO26004XI: ", fire2two26004xi) 
                        # GOT FROM QUEUE TWO:  <queue4xi.Queue4Xi object at 0x02B072D0>  FIRE2TWO26004XI:  {1: '1010x-998y-2177z', 2: '1011x-2380y-262z', 3: '103x-1101y-2352z', 4: '1044x-929y-2191z', 5: '104x-1380y-2200z', 6: '1074x-860y-2205z', 7: '1100x-789y-2219z', 8: '1101x-51y-2354z', 9: '1120x-111y-2343z', 10: '1121x-719y-2232z', 11: '1133x-2321y-288z', 12: '1136x-173y-2332z', 13: '1138x-648y-2245z', 14: '1148x-237y-2320z', 15: '1150x-577y-2258z', 16: '1157x-302y-2308z', 17: '1158x-507y-2271z', 18: '1161x-370y-2296z', 19: '1161x-438y-2284z', 20: '1252x-2256y-313z', 21: '1339x-2228y-24z', 22: '1367x-2185y-339z', 23: '1453x-2155y-50z', 24: '1477x-2107y-365z', 25: '1564x-2075y-76z', 26: '157x-1071y-2363z', 27: '1583x-2024y-391z', 28: '1669x-1990y-102z', 29: '1684x-1935y-416z', 30: '174x-1350y-2214z', 31: '1771x-1899y-128z', 32: '1780x-1842y-442z', 33: '1866x-1802y-154z', 34: '186x-1680y-1975z', 35: '1871x-1743y-468z', 36: '1956x-1639y-493z', 37: '1957x-1701y-180z', 38: '2035x-1532y-519z', 39: '2042x-1595y-206z', 40: '209x-1038y-2374z', 41: '2108x-1420y-544z', 42: '2121x-1485y-232z', 43: '2175x-1305y-570z', 44: '2194x-1370y-257z', 45: '2235x-1187y-595z', 46: '2260x-1252y-283z', 47: '227x-2587y-106z', 48: '2288x-1065y-620z', 49: '2320x-1131y-309z', 50: '2335x-942y-645z', 51: '2373x-1007y-335z', 52: '2375x-816y-671z', 53: '2408x-689y-696z', 54: '240x-1318y-2228z', 55: '2419x-880y-361z', 56: '2434x-560y-721z', 57: '2453x-431y-746z', 58: '2458x-751y-386z', 59: '2464x-301y-770z', 60: '2466x-41y-820z', 61: '2469x-171y-795z', 62: '2490x-621y-412z', 63: '2511x-672y-7z', 64: '2515x-489y-438z', 65: '2533x-356y-463z', 66: '2542x-540y-33z', 67: '2543x-222y-489z', 68: '2546x-88y-514z', 69: '2567x-406y-59z', 70: '257x-1003y-2384z', 71: '2584x-271y-85z', 72: '2594x-135y-111z', 73: '270x-1648y-1991z', 74: '303x-1282y-2241z', 75: '313x-1002y-2487z', 76: '32x-1405y-2186z', 77: '352x-1612y-2008z', 78: '362x-2571y-132z', 79: '364x-1242y-2254z', 80: '421x-1200y-2267z', 81: '431x-1572y-2024z', 82: '46x-1129y-2341z', 83: '475x-1155y-2279z', 84: '496x-2547y-158z', 85: '506x-1528y-2041z', 86: '525x-1108y-2292z', 87: '571x-1059y-2304z', 88: '578x-1481y-2057z', 89: '614x-1008y-2316z', 90: '628x-2516y-184z', 91: '646x-1429y-2072z', 92: '652x-955y-2328z', 93: '687x-901y-2339z', 94: '710x-1375y-2088z', 95: '719x-846y-2350z', 96: '721x-20y-2497z', 97: '744x-60y-2490z', 98: '746x-790y-2361z', 99: '758x-2477y-210z', 100: '764x-102y-2482z', 101: '769x-734y-2372z', 102: '771x-1318y-2103z', 103: '782x-147y-2474z', 104: '788x-677y-2383z', 105: '798x-193y-2466z', 106: '804x-620y-2393z', 107: '810x-242y-2458z', 108: '815x-564y-2403z', 109: '819x-292y-2449z', 110: '823x-507y-2413z', 111: '825x-344y-2441z', 112: '827x-1258y-2119z', 113: '828x-398y-2432z', 114: '828x-452y-2422z', 115: '879x-1196y-2134z', 116: '886x-2432y-236z', 117: '927x-1132y-2148z', 118: '92x-2597y-80z', 119: '971x-1066y-2163z', 120: '99x-1707y-1958z', 121: '9x-1729y-1940z'}
    
                      
                else:
                    print("\n (STEP 266F3/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED RUNNING PROCESS TWO ", time4xi())                 
            else:
                print("\n (STEP 266F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED STARTING PROCESS TWO ", time4xi())                                         
        else:
            print("\n (STEP 266F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED IN CREATING PROCESS TWO ", time4xi())                    
                   
    
            
        #=========
        # 2700 TWO
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE TWO 
        # =============================================================================================  
        fire2two27004xi = {}
        
        if ack2two4process is True:
    
            if ack2two4start is True:
    
                if ack2two4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE TWO  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 267F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2TWO27004XI FROM QUEUE TWO: ", queue2two)
                        # 
                                    
                    fire2two27004xi = queue2two.get()
                    if ack2debug is True:
                        print("\n (STEP 267F2/800) OF COLOR_TENSES4XI -  GOT FROM QUEUE TWO: ", queue2two, " FIRE2TWO27004XI: ", fire2two27004xi) 
                        # GOT FROM QUEUE TWO:  <queue4xi.Queue4Xi object at 0x02B072D0>  FIRE2TWO27004XI:  {1: '1008x-1107y-2246z', 2: '103x-1773y-2033z', 3: '1049x-1037y-2261z', 4: '1050x-2472y-272z', 5: '107x-1144y-2443z', 6: '1084x-965y-2276z', 7: '108x-1433y-2285z', 8: '10x-1796y-2015z', 9: '1116x-893y-2290z', 10: '1142x-820y-2304z', 11: '1143x-53y-2445z', 12: '1163x-115y-2433z', 13: '1164x-746y-2318z', 14: '1177x-2411y-299z', 15: '1180x-179y-2421z', 16: '1181x-673y-2332z', 17: '1192x-246y-2409z', 18: '1194x-600y-2345z', 19: '1201x-314y-2397z', 20: '1202x-527y-2359z', 21: '1206x-384y-2384z', 22: '1206x-455y-2372z', 23: '1300x-2343y-326z', 24: '1390x-2314y-25z', 25: '1419x-2269y-352z', 26: '1509x-2237y-52z', 27: '1534x-2188y-379z', 28: '1624x-2155y-79z', 29: '163x-1112y-2454z', 30: '1644x-2102y-406z', 31: '1734x-2066y-106z', 32: '1749x-2010y-432z', 33: '180x-1402y-2299z', 34: '1839x-1972y-133z', 35: '1849x-1912y-459z', 36: '1938x-1872y-160z', 37: '193x-1745y-2051z', 38: '1943x-1810y-486z', 39: '2031x-1702y-512z', 40: '2032x-1767y-187z', 41: '2113x-1591y-539z', 42: '2120x-1657y-214z', 43: '217x-1078y-2465z', 44: '2189x-1475y-565z', 45: '2202x-1542y-240z', 46: '2258x-1355y-591z', 47: '2278x-1423y-267z', 48: '2321x-1232y-618z', 49: '2347x-1301y-294z', 50: '236x-2687y-110z', 51: '2376x-1106y-644z', 52: '2409x-1175y-321z', 53: '2425x-978y-670z', 54: '2464x-1046y-348z', 55: '2466x-847y-696z', 56: '249x-1368y-2313z', 57: '2501x-715y-722z', 58: '2512x-914y-375z', 59: '2527x-582y-748z', 60: '2547x-447y-774z', 61: '2553x-780y-401z', 62: '2559x-312y-800z', 63: '2561x-43y-852z', 64: '2564x-177y-826z', 65: '2586x-644y-428z', 66: '2607x-698y-7z', 67: '2612x-507y-455z', 68: '2630x-369y-481z', 69: '2640x-561y-34z', 70: '2641x-231y-508z', 71: '2644x-92y-534z', 72: '2666x-422y-61z', 73: '267x-1041y-2476z', 74: '2683x-282y-88z', 75: '2693x-141y-115z', 76: '281x-1712y-2068z', 77: '315x-1331y-2327z', 78: '325x-1039y-2579z', 79: '34x-1459y-2271z', 80: '366x-1674y-2085z', 81: '376x-2670y-137z', 82: '378x-1290y-2341z', 83: '437x-1246y-2354z', 84: '447x-1633y-2102z', 85: '48x-1172y-2431z', 86: '493x-1200y-2367z', 87: '515x-2645y-164z', 88: '525x-1587y-2119z', 89: '545x-1151y-2380z', 90: '593x-1100y-2393z', 91: '600x-1538y-2136z', 92: '637x-1047y-2405z', 93: '652x-2612y-191z', 94: '671x-1484y-2152z', 95: '678x-992y-2417z', 96: '714x-936y-2429z', 97: '738x-1428y-2168z', 98: '746x-879y-2441z', 99: '749x-21y-2593z', 100: '773x-63y-2586z', 101: '774x-821y-2452z', 102: '788x-2573y-218z', 103: '794x-106y-2578z', 104: '799x-762y-2463z', 105: '801x-1369y-2184z', 106: '813x-153y-2570z', 107: '819x-703y-2474z', 108: '828x-201y-2561z', 109: '835x-644y-2485z', 110: '841x-251y-2553z', 111: '847x-585y-2495z', 112: '851x-304y-2544z', 113: '855x-527y-2505z', 114: '857x-358y-2534z', 115: '859x-1307y-2200z', 116: '859x-469y-2515z', 117: '860x-413y-2525z', 118: '913x-1242y-2216z', 119: '920x-2526y-245z', 120: '95x-2697y-83z', 121: '963x-1175y-2231z'}
     
                      
                else:
                    print("\n (STEP 267F3/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED RUNNING PROCESS TWO ", time4xi())                 
            else:
                print("\n (STEP 267F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED STARTING PROCESS TWO ", time4xi())                                         
        else:
            print("\n (STEP 267F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED IN CREATING PROCESS TWO ", time4xi())                    
                   
    
            
        #=========
        # 2800 TWO
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE TWO 
        # =============================================================================================  
        fire2two28004xi = {}
        
        if ack2two4process is True:
    
            if ack2two4start is True:
    
                if ack2two4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE TWO  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 268F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2TWO28004XI FROM QUEUE TWO: ", queue2two)
                        # 
                                    
                    fire2two28004xi = queue2two.get()
                    if ack2debug is True:
                        print("\n (STEP 268F2/800) OF COLOR_TENSES4XI -  GOT FROM QUEUE TWO: ", queue2two, " FIRE2TWO28004XI: ", fire2two28004xi) 
                        # GOT FROM QUEUE TWO:  <queue4xi.Queue4Xi object at 0x02B072D0>  FIRE2TWO28004XI:  {1: '1045x-1148y-2329z', 2: '106x-1838y-2108z', 3: '1087x-1075y-2345z', 4: '1089x-2563y-282z', 5: '10x-1863y-2090z', 6: '111x-1186y-2533z', 7: '1125x-1001y-2360z', 8: '112x-1486y-2370z', 9: '1157x-926y-2375z', 10: '1185x-850y-2389z', 11: '1186x-55y-2535z', 12: '1206x-119y-2523z', 13: '1207x-774y-2404z', 14: '1221x-2500y-310z', 15: '1223x-186y-2511z', 16: '1225x-698y-2418z', 17: '1236x-255y-2498z', 18: '1238x-622y-2432z', 19: '1246x-326y-2486z', 20: '1247x-546y-2446z', 21: '1250x-398y-2473z', 22: '1251x-472y-2459z', 23: '1348x-2430y-338z', 24: '1442x-2399y-26z', 25: '1472x-2353y-365z', 26: '1565x-2320y-54z', 27: '1591x-2270y-393z', 28: '1684x-2235y-82z', 29: '1705x-2180y-421z', 30: '170x-1154y-2545z', 31: '1798x-2143y-110z', 32: '1814x-2084y-448z', 33: '187x-1454y-2384z', 34: '1907x-2045y-138z', 35: '1917x-1983y-476z', 36: '200x-1809y-2127z', 37: '2010x-1941y-166z', 38: '2015x-1877y-504z', 39: '2106x-1765y-531z', 40: '2108x-1832y-194z', 41: '2192x-1649y-559z', 42: '2199x-1718y-222z', 43: '225x-1118y-2556z', 44: '2270x-1529y-586z', 45: '2284x-1599y-249z', 46: '2342x-1405y-613z', 47: '2362x-1476y-277z', 48: '2407x-1278y-641z', 49: '2434x-1349y-305z', 50: '245x-2786y-114z', 51: '2464x-1147y-668z', 52: '2498x-1218y-333z', 53: '2515x-1014y-695z', 54: '2555x-1084y-361z', 55: '2558x-879y-722z', 56: '258x-1419y-2399z', 57: '2593x-742y-749z', 58: '2605x-948y-388z', 59: '2621x-603y-776z', 60: '2641x-464y-803z', 61: '2647x-809y-416z', 62: '2654x-324y-830z', 63: '2656x-44y-883z', 64: '2659x-184y-856z', 65: '2682x-668y-444z', 66: '2704x-724y-7z', 67: '2709x-526y-471z', 68: '2728x-383y-499z', 69: '2738x-582y-35z', 70: '2739x-239y-527z', 71: '2742x-95y-554z', 72: '2764x-437y-63z', 73: '277x-1080y-2568z', 74: '2783x-292y-91z', 75: '2793x-146y-119z', 76: '291x-1775y-2145z', 77: '327x-1380y-2413z', 78: '337x-1077y-2671z', 79: '35x-1513y-2355z', 80: '379x-1736y-2163z', 81: '390x-2768y-142z', 82: '392x-1338y-2427z', 83: '453x-1293y-2441z', 84: '464x-1693y-2180z', 85: '50x-1216y-2521z', 86: '511x-1244y-2455z', 87: '534x-2743y-170z', 88: '545x-1646y-2198z', 89: '565x-1194y-2468z', 90: '615x-1141y-2481z', 91: '622x-1594y-2215z', 92: '661x-1086y-2494z', 93: '677x-2709y-198z', 94: '696x-1539y-2232z', 95: '703x-1029y-2507z', 96: '740x-971y-2519z', 97: '765x-1481y-2249z', 98: '774x-911y-2531z', 99: '777x-22y-2689z', 100: '801x-65y-2681z', 101: '803x-851y-2543z', 102: '817x-2668y-226z', 103: '823x-110y-2673z', 104: '828x-790y-2555z', 105: '830x-1419y-2265z', 106: '843x-158y-2665z', 107: '849x-729y-2566z', 108: '859x-208y-2656z', 109: '866x-668y-2577z', 110: '872x-261y-2647z', 111: '878x-607y-2588z', 112: '882x-315y-2638z', 113: '887x-547y-2598z', 114: '889x-371y-2628z', 115: '891x-1355y-2282z', 116: '891x-487y-2609z', 117: '892x-428y-2619z', 118: '947x-1288y-2298z', 119: '955x-2619y-254z', 120: '999x-1219y-2314z', 121: '99x-2796y-86z'}
    
                      
                else:
                    print("\n (STEP 268F3/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED RUNNING PROCESS TWO ", time4xi())                 
            else:
                print("\n (STEP 268F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED STARTING PROCESS TWO ", time4xi())                                         
        else:
            print("\n (STEP 268F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED IN CREATING PROCESS TWO ", time4xi())                    
                   
    
            
        #=========
        # 2900 TWO
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE TWO 
        # =============================================================================================  
        fire2two29004xi = {}
        
        if ack2two4process is True:
    
            if ack2two4start is True:
    
                if ack2two4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE TWO  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 269F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2TWO29004XI FROM QUEUE TWO: ", queue2two)
                        # 
                                    
                    fire2two29004xi = queue2two.get()
                    if ack2debug is True:
                        print("\n (STEP 269F2/800) OF COLOR_TENSES4XI -  GOT FROM QUEUE TWO: ", queue2two, " FIRE2TWO29004XI: ", fire2two29004xi) 
                        # GOT FROM QUEUE TWO:  <queue4xi.Queue4Xi object at 0x02B072D0>  FIRE2TWO29004XI:  {1: '102x-2896y-90z', 2: '1034x-1262y-2396z', 3: '1083x-1189y-2412z', 4: '110x-1904y-2184z', 5: '1126x-1113y-2428z', 6: '1128x-2655y-292z', 7: '115x-1229y-2624z', 8: '1165x-1037y-2444z', 9: '116x-1539y-2454z', 10: '1198x-959y-2460z', 11: '11x-1929y-2164z', 12: '1227x-880y-2475z', 13: '1228x-57y-2626z', 14: '1250x-124y-2613z', 15: '1250x-802y-2490z', 16: '1264x-2589y-321z', 17: '1267x-193y-2601z', 18: '1269x-723y-2505z', 19: '1281x-264y-2588z', 20: '1283x-644y-2519z', 21: '1290x-337y-2574z', 22: '1291x-566y-2533z', 23: '1295x-412y-2561z', 24: '1296x-488y-2547z', 25: '1396x-2517y-350z', 26: '1493x-2485y-27z', 27: '1524x-2437y-378z', 28: '1621x-2403y-56z', 29: '1648x-2351y-407z', 30: '1744x-2315y-85z', 31: '1766x-2258y-436z', 32: '176x-1195y-2636z', 33: '1862x-2219y-114z', 34: '1879x-2159y-465z', 35: '194x-1506y-2470z', 36: '1975x-2118y-143z', 37: '1986x-2054y-493z', 38: '207x-1874y-2203z', 39: '2082x-2010y-172z', 40: '2087x-1944y-522z', 41: '2182x-1829y-550z', 42: '2183x-1897y-201z', 43: '2270x-1708y-579z', 44: '2278x-1779y-229z', 45: '233x-1158y-2648z', 46: '2351x-1584y-607z', 47: '2366x-1656y-258z', 48: '2426x-1455y-635z', 49: '2447x-1529y-287z', 50: '2493x-1323y-664z', 51: '2521x-1397y-316z', 52: '254x-2886y-119z', 53: '2552x-1188y-692z', 54: '2587x-1262y-345z', 55: '2605x-1050y-720z', 56: '2647x-1123y-374z', 57: '2649x-910y-748z', 58: '2686x-768y-776z', 59: '268x-1470y-2485z', 60: '2698x-982y-402z', 61: '2715x-625y-804z', 62: '2736x-480y-832z', 63: '2742x-838y-431z', 64: '2749x-336y-859z', 65: '2751x-46y-915z', 66: '2754x-191y-887z', 67: '2778x-692y-460z', 68: '2801x-750y-8z', 69: '2805x-545y-488z', 70: '2825x-397y-517z', 71: '2836x-602y-37z', 72: '2837x-248y-545z', 73: '2840x-99y-574z', 74: '2863x-453y-66z', 75: '286x-1119y-2659z', 76: '2882x-302y-95z', 77: '2893x-151y-124z', 78: '302x-1839y-2221z', 79: '339x-1429y-2500z', 80: '348x-1114y-2763z', 81: '36x-1567y-2439z', 82: '393x-1798y-2240z', 83: '404x-2867y-147z', 84: '406x-1386y-2514z', 85: '470x-1339y-2528z', 86: '480x-1754y-2258z', 87: '529x-1289y-2543z', 88: '52x-1259y-2611z', 89: '553x-2841y-176z', 90: '564x-1705y-2276z', 91: '585x-1236y-2556z', 92: '637x-1181y-2570z', 93: '645x-1651y-2294z', 94: '685x-1124y-2583z', 95: '701x-2806y-205z', 96: '721x-1594y-2312z', 97: '728x-1066y-2596z', 98: '767x-1005y-2609z', 99: '792x-1534y-2329z', 100: '801x-944y-2622z', 101: '805x-23y-2785z', 102: '830x-67y-2777z', 103: '832x-881y-2634z', 104: '846x-2763y-234z', 105: '853x-114y-2769z', 106: '858x-818y-2646z', 107: '860x-1470y-2346z', 108: '873x-164y-2760z', 109: '879x-755y-2658z', 110: '890x-216y-2751z', 111: '897x-692y-2669z', 112: '904x-270y-2742z', 113: '910x-629y-2680z', 114: '914x-326y-2732z', 115: '918x-566y-2691z', 116: '921x-384y-2722z', 117: '923x-1403y-2363z', 118: '923x-504y-2702z', 119: '924x-444y-2712z', 120: '981x-1334y-2380z', 121: '989x-2713y-263z'}
    
                      
                else:
                    print("\n (STEP 269F3/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED RUNNING PROCESS TWO ", time4xi())                 
            else:
                print("\n (STEP 269F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED STARTING PROCESS TWO ", time4xi())                                         
        else:
            print("\n (STEP 269F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED IN CREATING PROCESS TWO ", time4xi())                    
                   
    
            
        #=========
        # 3000 TWO
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE TWO 
        # =============================================================================================  
        fire2two30004xi = {}
        
        if ack2two4process is True:
    
            if ack2two4start is True:
    
                if ack2two4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE TWO  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 270F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2TWO30004XI FROM QUEUE TWO: ", queue2two)
                        # 
                                    
                    fire2two30004xi = queue2two.get()
                    if ack2debug is True:
                        print("\n (STEP 270F2/800) OF COLOR_TENSES4XI -  GOT FROM QUEUE TWO: ", queue2two, " FIRE2TWO30004XI: ", fire2two30004xi) 
                        # GOT FROM QUEUE TWO:  <queue4xi.Queue4Xi object at 0x02B072D0>  FIRE2TWO30004XI:  {1: '1015x-1380y-2462z', 2: '1023x-2806y-272z', 3: '106x-2996y-93z', 4: '1070x-1306y-2479z', 5: '1120x-1230y-2496z', 6: '114x-1970y-2259z', 7: '1165x-1152y-2512z', 8: '1167x-2746y-302z', 9: '119x-1271y-2714z', 10: '11x-1996y-2239z', 11: '1205x-1072y-2528z', 12: '120x-1592y-2539z', 13: '1240x-992y-2544z', 14: '1269x-911y-2560z', 15: '1270x-59y-2716z', 16: '1293x-128y-2703z', 17: '1294x-829y-2576z', 18: '1308x-2679y-332z', 19: '1311x-199y-2690z', 20: '1313x-748y-2591z', 21: '1325x-273y-2677z', 22: '1327x-666y-2606z', 23: '1335x-349y-2663z', 24: '1336x-585y-2621z', 25: '1340x-426y-2649z', 26: '1340x-505y-2635z', 27: '1445x-2603y-362z', 28: '1545x-2571y-28z', 29: '1577x-2521y-392z', 30: '1677x-2486y-58z', 31: '1704x-2432y-421z', 32: '1804x-2394y-88z', 33: '1827x-2336y-451z', 34: '182x-1236y-2727z', 35: '1926x-2296y-118z', 36: '1943x-2233y-481z', 37: '200x-1558y-2555z', 38: '2043x-2191y-148z', 39: '2054x-2125y-510z', 40: '2154x-2080y-178z', 41: '2159x-2011y-540z', 42: '215x-1939y-2279z', 43: '2257x-1892y-569z', 44: '2258x-1963y-207z', 45: '2348x-1767y-599z', 46: '2356x-1841y-237z', 47: '241x-1198y-2739z', 48: '2432x-1639y-628z', 49: '2447x-1713y-267z', 50: '2509x-1506y-657z', 51: '2531x-1581y-297z', 52: '2579x-1369y-686z', 53: '2608x-1445y-327z', 54: '262x-2985y-123z', 55: '2640x-1229y-716z', 56: '2677x-1305y-357z', 57: '2694x-1087y-745z', 58: '2738x-1162y-387z', 59: '2740x-942y-774z', 60: '2778x-795y-803z', 61: '277x-1520y-2570z', 62: '2791x-1016y-416z', 63: '2808x-646y-832z', 64: '2830x-497y-860z', 65: '2836x-867y-446z', 66: '2843x-347y-889z', 67: '2846x-48y-946z', 68: '2849x-197y-918z', 69: '2873x-716y-476z', 70: '2897x-776y-8z', 71: '2902x-564y-505z', 72: '2923x-410y-535z', 73: '2934x-623y-38z', 74: '2935x-256y-564z', 75: '2938x-102y-594z', 76: '2962x-469y-68z', 77: '296x-1157y-2751z', 78: '2981x-313y-98z', 79: '2993x-156y-128z', 80: '312x-1902y-2298z', 81: '350x-1479y-2586z', 82: '360x-1151y-2855z', 83: '37x-1622y-2523z', 84: '406x-1861y-2317z', 85: '418x-2966y-153z', 86: '420x-1433y-2601z', 87: '486x-1385y-2616z', 88: '497x-1814y-2336z', 89: '548x-1333y-2630z', 90: '54x-1303y-2701z', 91: '572x-2939y-183z', 92: '584x-1763y-2355z', 93: '605x-1279y-2644z', 94: '659x-1222y-2659z', 95: '667x-1708y-2373z', 96: '708x-1163y-2672z', 97: '725x-2903y-212z', 98: '746x-1649y-2391z', 99: '753x-1102y-2686z', 100: '793x-1040y-2699z', 101: '820x-1587y-2409z', 102: '829x-976y-2712z', 103: '832x-24y-2881z', 104: '859x-70y-2873z', 105: '860x-912y-2725z', 106: '875x-2859y-242z', 107: '882x-118y-2864z', 108: '887x-847y-2737z', 109: '890x-1521y-2427z', 110: '903x-170y-2855z', 111: '910x-781y-2749z', 112: '920x-223y-2846z', 113: '927x-716y-2761z', 114: '935x-279y-2836z', 115: '941x-650y-2773z', 116: '945x-337y-2826z', 117: '950x-586y-2784z', 118: '952x-397y-2816z', 119: '955x-1452y-2445z', 120: '955x-522y-2795z', 121: '956x-459y-2806z'}
    
                      
                else:
                    print("\n (STEP 270F3/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED RUNNING PROCESS TWO ", time4xi())                 
            else:
                print("\n (STEP 270F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED STARTING PROCESS TWO ", time4xi())                                         
        else:
            print("\n (STEP 270F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED IN CREATING PROCESS TWO ", time4xi())                    
                   
    
            
        #=========
        # 3100 TWO
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE TWO 
        # =============================================================================================  
        fire2two31004xi = {}
        
        if ack2two4process is True:
    
            if ack2two4start is True:
    
                if ack2two4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE TWO  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 271F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2TWO31004XI FROM QUEUE TWO: ", queue2two) 
                        # 
                                    
                    fire2two31004xi = queue2two.get()
                    if ack2debug is True:
                        print("\n (STEP 271F2/800) OF COLOR_TENSES4XI -  GOT FROM QUEUE TWO: ", queue2two, " FIRE2TWO31004XI: ", fire2two31004xi) 
                        # GOT FROM QUEUE TWO:  <queue4xi.Queue4Xi object at 0x02B072D0>  FIRE2TWO31004XI:  {1: '1049x-1426y-2544z', 2: '1057x-2900y-281z', 3: '109x-3096y-96z', 4: '1106x-1349y-2562z', 5: '1157x-1271y-2579z', 6: '118x-2035y-2334z', 7: '11x-2062y-2314z', 8: '1204x-1190y-2596z', 9: '1206x-2838y-312z', 10: '123x-1313y-2805z', 11: '1245x-1108y-2613z', 12: '124x-1645y-2624z', 13: '1281x-1025y-2629z', 14: '1312x-941y-2646z', 15: '1313x-61y-2807z', 16: '1336x-132y-2794z', 17: '1337x-857y-2662z', 18: '1352x-2768y-343z', 19: '1355x-206y-2780z', 20: '1357x-773y-2677z', 21: '1369x-282y-2766z', 22: '1371x-688y-2693z', 23: '1379x-361y-2752z', 24: '1381x-605y-2708z', 25: '1384x-441y-2738z', 26: '1385x-522y-2723z', 27: '1493x-2690y-374z', 28: '1596x-2657y-29z', 29: '1630x-2605y-405z', 30: '1733x-2569y-60z', 31: '1761x-2513y-435z', 32: '1864x-2474y-91z', 33: '1888x-2414y-466z', 34: '188x-1277y-2818z', 35: '1991x-2372y-122z', 36: '2008x-2308y-497z', 37: '207x-1610y-2640z', 38: '2111x-2264y-153z', 39: '2123x-2196y-527z', 40: '2226x-2149y-183z', 41: '222x-2003y-2354z', 42: '2231x-2078y-558z', 43: '2332x-1955y-588z', 44: '2333x-2028y-214z', 45: '2426x-1826y-619z', 46: '2435x-1902y-245z', 47: '249x-1238y-2830z', 48: '2513x-1693y-649z', 49: '2529x-1770y-276z', 50: '2593x-1556y-679z', 51: '2615x-1634y-307z', 52: '2665x-1415y-709z', 53: '2695x-1493y-338z', 54: '271x-3085y-127z', 55: '2728x-1270y-740z', 56: '2766x-1349y-369z', 57: '2784x-1123y-770z', 58: '2829x-1201y-399z', 59: '2832x-973y-800z', 60: '286x-1571y-2656z', 61: '2871x-821y-829z', 62: '2884x-1049y-430z', 63: '2902x-668y-859z', 64: '2924x-514y-889z', 65: '2931x-896y-461z', 66: '2938x-359y-919z', 67: '2941x-49y-978z', 68: '2944x-204y-948z', 69: '2969x-740y-491z', 70: '2994x-802y-8z', 71: '2999x-583y-522z', 72: '3020x-424y-553z', 73: '3032x-265y-583z', 74: '3032x-644y-39z', 75: '3036x-106y-613z', 76: '3061x-484y-70z', 77: '306x-1196y-2843z', 78: '3081x-323y-101z', 79: '3092x-162y-132z', 80: '322x-1965y-2375z', 81: '362x-1528y-2672z', 82: '372x-1188y-2947z', 83: '39x-1676y-2607z', 84: '420x-1923y-2394z', 85: '432x-3065y-158z', 86: '434x-1481y-2688z', 87: '502x-1431y-2703z', 88: '514x-1875y-2414z', 89: '55x-1346y-2791z', 90: '566x-1378y-2718z', 91: '592x-3037y-189z', 92: '603x-1822y-2433z', 93: '626x-1322y-2733z', 94: '681x-1263y-2747z', 95: '689x-1765y-2452z', 96: '732x-1202y-2761z', 97: '749x-2999y-220z', 98: '770x-1704y-2471z', 99: '778x-1139y-2775z', 100: '820x-1075y-2789z', 101: '847x-1640y-2490z', 102: '857x-1009y-2802z', 103: '860x-24y-2978z', 104: '887x-72y-2969z', 105: '889x-942y-2815z', 106: '904x-2954y-250z', 107: '912x-122y-2960z', 108: '917x-875y-2828z', 109: '919x-1572y-2508z', 110: '933x-175y-2950z', 111: '940x-807y-2841z', 112: '951x-231y-2941z', 113: '958x-740y-2853z', 114: '966x-289y-2931z', 115: '972x-672y-2865z', 116: '977x-349y-2921z', 117: '982x-605y-2877z', 118: '984x-411y-2910z', 119: '986x-1500y-2526z', 120: '987x-539y-2888z', 121: '988x-474y-2899z'}
     
                      
                else:
                    print("\n (STEP 271F3/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED RUNNING PROCESS TWO ", time4xi())                 
            else:
                print("\n (STEP 271F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED STARTING PROCESS TWO ", time4xi())                                         
        else:
            print("\n (STEP 271F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED IN CREATING PROCESS TWO ", time4xi())                    
                   
    
            
        #=========
        # 3200 TWO
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE TWO 
        # =============================================================================================  
        fire2two32004xi = {}
        
        if ack2two4process is True:
    
            if ack2two4start is True:
    
                if ack2two4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE TWO  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 272F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2TWO32004XI FROM QUEUE TWO: ", queue2two)
                        # 
                                    
                    fire2two32004xi = queue2two.get()
                    if ack2debug is True:
                        print("\n (STEP 272F2/800) OF COLOR_TENSES4XI -  GOT FROM QUEUE TWO: ", queue2two, " FIRE2TWO32004XI: ", fire2two32004xi) 
                        # <queue4xi.Queue4Xi object at 0x02B072D0>  FIRE2TWO32004XI:  {1: '1004x-694y-2957z', 2: '1008x-360y-3015z', 3: '1013x-625y-2970z', 4: '1016x-424y-3004z', 5: '1018x-1549y-2608z', 6: '1019x-489y-2993z', 7: '1019x-557y-2981z', 8: '1082x-1472y-2626z', 9: '1091x-2993y-290z', 10: '113x-3196y-99z', 11: '1141x-1393y-2644z', 12: '1195x-1312y-2662z', 13: '122x-2101y-2410z', 14: '1243x-1229y-2680z', 15: '1245x-2929y-322z', 16: '127x-1356y-2895z', 17: '1285x-1144y-2697z', 18: '128x-1698y-2708z', 19: '12x-2129y-2388z', 20: '1322x-1058y-2714z', 21: '1354x-972y-2731z', 22: '1355x-63y-2897z', 23: '1379x-136y-2884z', 24: '1380x-885y-2747z', 25: '1395x-2857y-354z', 26: '1398x-213y-2870z', 27: '1400x-798y-2764z', 28: '1413x-291y-2855z', 29: '1415x-711y-2780z', 30: '1424x-372y-2841z', 31: '1425x-624y-2795z', 32: '1429x-455y-2826z', 33: '1430x-539y-2811z', 34: '1541x-2777y-386z', 35: '1648x-2742y-30z', 36: '1682x-2689y-418z', 37: '1789x-2652y-62z', 38: '1818x-2594y-449z', 39: '1924x-2554y-93z', 40: '1948x-2491y-481z', 41: '194x-1319y-2909z', 42: '2055x-2449y-125z', 43: '2073x-2382y-513z', 44: '214x-1662y-2725z', 45: '2179x-2337y-157z', 46: '2191x-2267y-544z', 47: '2297x-2218y-189z', 48: '229x-2068y-2430z', 49: '2303x-2145y-576z', 50: '2407x-2018y-607z', 51: '2409x-2094y-221z', 52: '2505x-1885y-639z', 53: '2513x-1963y-253z', 54: '257x-1278y-2922z', 55: '2594x-1748y-670z', 56: '2610x-1828y-285z', 57: '2677x-1606y-701z', 58: '2700x-1687y-317z', 59: '2751x-1460y-732z', 60: '2782x-1542y-349z', 61: '280x-3184y-131z', 62: '2817x-1311y-763z', 63: '2855x-1392y-381z', 64: '2874x-1159y-794z', 65: '2920x-1239y-412z', 66: '2923x-1004y-825z', 67: '295x-1622y-2742z', 68: '2964x-848y-856z', 69: '2977x-1083y-444z', 70: '2996x-690y-887z', 71: '3019x-530y-918z', 72: '3026x-925y-476z', 73: '3033x-370y-948z', 74: '3036x-51y-1009z', 75: '3039x-210y-979z', 76: '3065x-764y-507z', 77: '3090x-828y-8z', 78: '3096x-601y-539z', 79: '3118x-438y-570z', 80: '3129x-665y-40z', 81: '3130x-273y-602z', 82: '3134x-109y-633z', 83: '3159x-500y-72z', 84: '316x-1234y-2935z', 85: '3180x-334y-104z', 86: '3192x-167y-136z', 87: '333x-2029y-2451z', 88: '374x-1577y-2758z', 89: '383x-1225y-3039z', 90: '40x-1730y-2691z', 91: '433x-1985y-2472z', 92: '446x-3164y-163z', 93: '448x-1529y-2774z', 94: '518x-1477y-2790z', 95: '530x-1935y-2492z', 96: '57x-1389y-2881z', 97: '584x-1422y-2806z', 98: '611x-3135y-195z', 99: '623x-1881y-2512z', 100: '646x-1364y-2821z', 101: '703x-1304y-2836z', 102: '711x-1822y-2531z', 103: '755x-1241y-2850z', 104: '773x-3096y-227z', 105: '795x-1759y-2551z', 106: '803x-1176y-2865z', 107: '846x-1109y-2879z', 108: '875x-1693y-2570z', 109: '884x-1042y-2893z', 110: '888x-25y-3074z', 111: '916x-74y-3065z', 112: '918x-973y-2906z', 113: '934x-3049y-259z', 114: '941x-126y-3055z', 115: '946x-903y-2920z', 116: '949x-1622y-2589z', 117: '963x-181y-3046z', 118: '970x-833y-2932z', 119: '982x-238y-3036z', 120: '989x-763y-2945z', 121: '997x-298y-3025z'}
    
                      
                else:
                    print("\n (STEP 272F3/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED RUNNING PROCESS TWO ", time4xi())                 
            else:
                print("\n (STEP 272F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED STARTING PROCESS TWO ", time4xi())                                         
        else:
            print("\n (STEP 272F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED IN CREATING PROCESS TWO ", time4xi())                    
                   
    
            
        #=========
        # 3300 TWO
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE TWO 
        # =============================================================================================  
        fire2two33004xi = {}
        
        if ack2two4process is True:
    
            if ack2two4start is True:
    
                if ack2two4run is True:
        
                    # -----------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE TWO  WHERE TARGET PUT IT
                    # -----------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 273F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2TWO33004XI FROM QUEUE TWO: ", queue2two) 
                        # 
                                    
                    fire2two33004xi = queue2two.get()
                    if ack2debug is True:
                        print("\n (STEP 273F2/800) OF COLOR_TENSES4XI -  GOT FROM QUEUE TWO: ", queue2two, " FIRE2TWO33004XI: ", fire2two33004xi) 
                        # GOT FROM QUEUE TWO:  <queue4xi.Queue4Xi object at 0x02B072D0>  FIRE2TWO33004XI:  {1: '1001x-859y-3024z', 2: '1013x-246y-3131z', 3: '1020x-787y-3037z', 4: '1028x-307y-3120z', 5: '1035x-715y-3050z', 6: '1040x-371y-3109z', 7: '1045x-644y-3062z', 8: '1048x-437y-3098z', 9: '1050x-1597y-2689z', 10: '1050x-574y-3074z', 11: '1051x-505y-3086z', 12: '1116x-1518y-2708z', 13: '1125x-3087y-300z', 14: '116x-3296y-102z', 15: '1177x-1437y-2727z', 16: '1232x-1353y-2745z', 17: '126x-2167y-2485z', 18: '1282x-1267y-2763z', 19: '1284x-3021y-332z', 20: '12x-2195y-2463z', 21: '131x-1398y-2986z', 22: '1326x-1180y-2781z', 23: '132x-1751y-2793z', 24: '1364x-1091y-2799z', 25: '1396x-1002y-2816z', 26: '1398x-65y-2988z', 27: '1422x-141y-2974z', 28: '1423x-912y-2833z', 29: '1439x-2946y-365z', 30: '1442x-219y-2959z', 31: '1444x-822y-2850z', 32: '1457x-301y-2945z', 33: '1460x-733y-2867z', 34: '1468x-384y-2930z', 35: '1470x-644y-2883z', 36: '1474x-469y-2914z', 37: '1474x-556y-2899z', 38: '1589x-2864y-398z', 39: '1699x-2828y-30z', 40: '1735x-2773y-431z', 41: '1844x-2735y-63z', 42: '1875x-2675y-463z', 43: '1985x-2634y-96z', 44: '2009x-2569y-496z', 45: '200x-1360y-2999z', 46: '2119x-2525y-129z', 47: '2138x-2457y-529z', 48: '220x-1714y-2810z', 49: '2247x-2410y-162z', 50: '2260x-2337y-561z', 51: '2369x-2288y-195z', 52: '236x-2132y-2506z', 53: '2375x-2212y-594z', 54: '2483x-2081y-626z', 55: '2484x-2159y-228z', 56: '2583x-1944y-658z', 57: '2592x-2025y-261z', 58: '265x-1318y-3013z', 59: '2676x-1802y-691z', 60: '2692x-1885y-294z', 61: '2760x-1656y-723z', 62: '2784x-1740y-327z', 63: '2837x-1506y-755z', 64: '2868x-1590y-360z', 65: '289x-3284y-135z', 66: '2905x-1352y-787z', 67: '2944x-1436y-393z', 68: '2964x-1195y-819z', 69: '3012x-1278y-425z', 70: '3015x-1036y-851z', 71: '3056x-874y-883z', 72: '305x-1673y-2828z', 73: '3070x-1117y-458z', 74: '3089x-711y-915z', 75: '3113x-547y-946z', 76: '3120x-954y-491z', 77: '3128x-382y-978z', 78: '3130x-53y-1041z', 79: '3134x-217y-1009z', 80: '3161x-788y-523z', 81: '3187x-854y-9z', 82: '3193x-620y-556z', 83: '3215x-451y-588z', 84: '3227x-686y-42z', 85: '3228x-282y-621z', 86: '3232x-112y-653z', 87: '3258x-516y-75z', 88: '326x-1273y-3026z', 89: '3280x-344y-108z', 90: '3292x-172y-141z', 91: '343x-2092y-2528z', 92: '385x-1627y-2844z', 93: '395x-1262y-3131z', 94: '41x-1784y-2775z', 95: '447x-2047y-2549z', 96: '460x-3263y-168z', 97: '462x-1577y-2861z', 98: '534x-1523y-2877z', 99: '547x-1996y-2570z', 100: '59x-1433y-2971z', 101: '602x-1467y-2893z', 102: '630x-3233y-201z', 103: '642x-1940y-2590z', 104: '666x-1407y-2909z', 105: '725x-1344y-2924z', 106: '734x-1879y-2611z', 107: '779x-1280y-2940z', 108: '798x-3193y-234z', 109: '820x-1814y-2631z', 110: '828x-1213y-2954z', 111: '873x-1144y-2969z', 112: '902x-1746y-2650z', 113: '912x-1074y-2983z', 114: '916x-26y-3170z', 115: '944x-77y-3160z', 116: '947x-1003y-2997z', 117: '963x-3144y-267z', 118: '970x-130y-3151z', 119: '976x-931y-3011z', 120: '979x-1673y-2670z', 121: '993x-187y-3141z'}
     
                      
                else:
                    print("\n (STEP 273F3/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED RUNNING PROCESS TWO ", time4xi())                 
            else:
                print("\n (STEP 273F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED STARTING PROCESS TWO ", time4xi())                                         
        else:
            print("\n (STEP 273F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE TWO - FAILED IN CREATING PROCESS TWO ", time4xi())                    
                   
               
        # =========================================================================================================   
        # II/II TWO EOF - TWO DIRECTION LAYERS 10, 100 ...3300 QUEUE DIRECTORIES 
        # =========================================================================================================      
        if ack2debug is True:
            print("\n (STEP 273F6/800) OF COLOR_TENSES4XI - DONE TRIALS TO GET TWO DIRECTION LAYERS 10, 100 ...3300 QUEUE DIRECTORIES  ", time4xi())
            #     

    if DirectionKB4Xi[3] is True:                        
        # =========================================================================================================   
        # I/III THREE DIRECTION LAYERS 10, 100 ...3300 PIPE INFORMATION FIRST 
        # =========================================================================================================      
        if ack2debug is True:
            print("\n (STEP 274F0/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE THREE DIRECTION LAYERS 10, 100 ...3300 PIPE INFORMATION  ", time4xi())
            #   
            
        #========
        # 10 THREE 
        #========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2three4process is True:
    
            if ack2three4start is True:
    
                if ack2three4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 274F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE THREE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                        # 
                    
                    message2receive4three = pipe2three_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 274F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE THREE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message2receive4three) 
                        # 
                    
                else:
                    print("\n (STEP 274F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE THREE - FAILED RUNNING PROCESS THREE ", time4xi())                 
            else:
                print("\n (STEP 274F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE THREE - FAILED STARTING PROCESS THREE ", time4xi())                                         
        else:
            print("\n (STEP 274F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE THREE - FAILED IN CREATING THE PROCESS THREE ", time4xi())                    
        
        #========
        # 100 THREE
        #========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2three4process is True:
    
            if ack2three4start is True:
    
                if ack2three4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 301F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                        # 
                    
                    message2receive4three = pipe2three_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 301F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message2receive4three)
                        # 
                    
                else:
                    print("\n (STEP 301F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS THREE ", time4xi())                 
            else:
                print("\n (STEP 301F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS THREE ", time4xi())                                         
        else:
            print("\n (STEP 301F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())                    
        
        #========
        # 200 THREE 
        #========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2three4process is True:
    
            if ack2three4start is True:
    
                if ack2three4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 302F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE THREE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                        # 
                    
                    message2receive4three = pipe2three_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 302F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE THREE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message2receive4three)
                        #  
                    
                else:
                    print("\n (STEP 302F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE THREE - FAILED RUNNING PROCESS THREE ", time4xi())                 
            else:
                print("\n (STEP 302F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE THREE - FAILED STARTING PROCESS THREE ", time4xi())                                         
        else:
            print("\n (STEP 302F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE THREE - FAILED IN CREATING THE PROCESS THREE ", time4xi())                    
                                                    
                                      
        
        #========
        # 300 THREE
        #========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2three4process is True:
    
            if ack2three4start is True:
    
                if ack2three4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 303F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                        # 
                    
                    message2receive4three = pipe2three_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 303F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message2receive4three)
                        # 
                    
                else:
                    print("\n (STEP 303F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS THREE ", time4xi())                 
            else:
                print("\n (STEP 303F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS THREE ", time4xi())                                         
        else:
            print("\n (STEP 303F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())                    
        
        #========
        # 400 THREE
        #========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2three4process is True:
    
            if ack2three4start is True:
    
                if ack2three4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 304F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE THREE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                        # 
                    
                    message2receive4three = pipe2three_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 304F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE THREE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message2receive4three)
                        # 
                    
                else:
                    print("\n (STEP 304F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE THREE - FAILED RUNNING PROCESS THREE ", time4xi())                 
            else:
                print("\n (STEP 304F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE THREE - FAILED STARTING PROCESS THREE ", time4xi())                                         
        else:
            print("\n (STEP 304F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE THREE - FAILED IN CREATING THE PROCESS THREE ", time4xi())
                                
        #========
        # 500 THREE
        #========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2three4process is True:
    
            if ack2three4start is True:
    
                if ack2three4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 305F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                        # 
                    
                    message2receive4three = pipe2three_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 305F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message2receive4three)
                        # 
                    
                else:
                    print("\n (STEP 305F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS THREE ", time4xi())                 
            else:
                print("\n (STEP 305F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS THREE ", time4xi())                                         
        else:
            print("\n (STEP 305F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())                    
                                                                                           
        #========
        # 600 THREE
        #========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2three4process is True:
    
            if ack2three4start is True:
    
                if ack2three4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 306F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE THREE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                        # 
                    
                    message2receive4three = pipe2three_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 306F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE THREE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message2receive4three)
                        # 
                else:
                    print("\n (STEP 306F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE THREE - FAILED RUNNING PROCESS THREE ", time4xi())                 
            else:
                print("\n (STEP 306F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE THREE - FAILED STARTING PROCESS THREE ", time4xi())                                         
        else:
            print("\n (STEP 304F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE THREE - FAILED IN CREATING THE PROCESS THREE ", time4xi())                    
         
        #========
        # 700 THREE
        #========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2three4process is True:
    
            if ack2three4start is True:
    
                if ack2three4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 307F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                        # 
                    
                    message2receive4three = pipe2three_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 307F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message2receive4three)
                        # 
                    
                else:
                    print("\n (STEP 307F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS THREE ", time4xi())                 
            else:
                print("\n (STEP 307F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS THREE ", time4xi())                                         
        else:
            print("\n (STEP 307F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())                    
           
        #========
        # 800 THREE
        #========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2three4process is True:
    
            if ack2three4start is True:
    
                if ack2three4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 308F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE THREE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                        # 
                    
                    message2receive4three = pipe2three_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 308F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE THREE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message2receive4three)
                        # 
                    
                else:
                    print("\n (STEP 308F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE THREE - FAILED RUNNING PROCESS THREE ", time4xi())                 
            else:
                print("\n (STEP 308F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE THREE - FAILED STARTING PROCESS THREE ", time4xi())                                         
        else:
            print("\n (STEP 308F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE THREE - FAILED IN CREATING THE PROCESS THREE ", time4xi())                    
         
        #========
        # 900 THREE
        #========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2three4process is True:
    
            if ack2three4start is True:
    
                if ack2three4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 309F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                        # 
                    
                    message2receive4three = pipe2three_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 309F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message2receive4three)
                        # 
                    
                else:
                    print("\n (STEP 309F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS THREE ", time4xi())                 
            else:
                print("\n (STEP 309F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS THREE ", time4xi())                                         
        else:
            print("\n (STEP 309F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())                    
          
               
         
        #=========
        # 1000 THREE
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2three4process is True:
    
            if ack2three4start is True:
    
                if ack2three4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 310F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE THREE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                        # 
                    
                    message2receive4three = pipe2three_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 310F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE THREE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message2receive4three)
                        # 
                    
                else:
                    print("\n (STEP 310F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE THREE - FAILED RUNNING PROCESS THREE ", time4xi())                 
            else:
                print("\n (STEP 310F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE THREE - FAILED STARTING PROCESS THREE ", time4xi())                                         
        else:
            print("\n (STEP 310F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE THREE - FAILED IN CREATING THE PROCESS THREE ", time4xi())                    
         
        #=========
        # 1100 THREE
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2three4process is True:
    
            if ack2three4start is True:
    
                if ack2three4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 311F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                        # 
                    
                    message2receive4three = pipe2three_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 311F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message2receive4three)
                        # 
                    
                else:
                    print("\n (STEP 311F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS THREE ", time4xi())                 
            else:
                print("\n (STEP 311F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS THREE ", time4xi())                                         
        else:
            print("\n (STEP 311F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())                    
         
        #=========
        # 1200 THREE
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2three4process is True:
    
            if ack2three4start is True:
    
                if ack2three4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 312F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE THREE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                        # 
                    
                    message2receive4three = pipe2three_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 312F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE THREE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message2receive4three)
                        # 
                    
                else:
                    print("\n (STEP 312F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE THREE - FAILED RUNNING PROCESS THREE ", time4xi())                 
            else:
                print("\n (STEP 312F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE THREE - FAILED STARTING PROCESS THREE ", time4xi())                                         
        else:
            print("\n (STEP 312F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE THREE - FAILED IN CREATING THE PROCESS THREE ", time4xi())                    
         
        #=========
        # 1300 THREE
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2three4process is True:
    
            if ack2three4start is True:
    
                if ack2three4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 313F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                        # 
                    
                    message2receive4three = pipe2three_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 313F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message2receive4three)
                        # 
                    
                else:
                    print("\n (STEP 313F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS THREE ", time4xi())                 
            else:
                print("\n (STEP 313F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS THREE ", time4xi())                                         
        else:
            print("\n (STEP 313F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())                    
         
        #=========
        # 1400 THREE
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2three4process is True:
    
            if ack2three4start is True:
    
                if ack2three4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 314F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE THREE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                        # 
                    
                    message2receive4three = pipe2three_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 314F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE THREE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message2receive4three)
                        # 
                    
                else:
                    print("\n (STEP 314F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE THREE - FAILED RUNNING PROCESS THREE ", time4xi())                 
            else:
                print("\n (STEP 314F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE THREE - FAILED STARTING PROCESS THREE ", time4xi())                                         
        else:
            print("\n (STEP 314F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE THREE - FAILED IN CREATING THE PROCESS THREE ", time4xi())                    
         
        #=========
        # 1500 THREE
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2three4process is True:
    
            if ack2three4start is True:
    
                if ack2three4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 315F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                        # 
                    
                    message2receive4three = pipe2three_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 315F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message2receive4three)
                        # 
                    
                else:
                    print("\n (STEP 315F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS THREE ", time4xi())                 
            else:
                print("\n (STEP 315F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS THREE ", time4xi())                                         
        else:
            print("\n (STEP 315F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())                    
         
        #=========
        # 1600 THREE
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2three4process is True:
    
            if ack2three4start is True:
    
                if ack2three4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 316F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE THREE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                        # 
                    
                    message2receive4three = pipe2three_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 316F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE THREE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message2receive4three)
                        # 
                    
                else:
                    print("\n (STEP 316F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE THREE - FAILED RUNNING PROCESS THREE ", time4xi())                 
            else:
                print("\n (STEP 316F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE THREE - FAILED STARTING PROCESS THREE ", time4xi())                                         
        else:
            print("\n (STEP 316F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE THREE - FAILED IN CREATING THE PROCESS THREE ", time4xi())                    
         
        #=========
        # 1700 THREE
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2three4process is True:
    
            if ack2three4start is True:
    
                if ack2three4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 317F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                        # 
                    
                    message2receive4three = pipe2three_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 317F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message2receive4three)
                        #  
                    
                else:
                    print("\n (STEP 317F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS THREE ", time4xi())                 
            else:
                print("\n (STEP 317F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS THREE ", time4xi())                                         
        else:
            print("\n (STEP 317F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())                    
         
        #=========
        # 1800 THREE
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2three4process is True:
    
            if ack2three4start is True:
    
                if ack2three4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 318F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE THREE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                        # 
                    
                    message2receive4three = pipe2three_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 318F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE THREE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message2receive4three)
                        # 
                    
                else:
                    print("\n (STEP 318F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE THREE - FAILED RUNNING PROCESS THREE ", time4xi())                 
            else:
                print("\n (STEP 318F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE THREE - FAILED STARTING PROCESS THREE ", time4xi())                                         
        else:
            print("\n (STEP 318F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE THREE - FAILED IN CREATING THE PROCESS THREE ", time4xi())                    
         
        #=========
        # 1900 THREE
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2three4process is True:
    
            if ack2three4start is True:
    
                if ack2three4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 319F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                        # 
                    
                    message2receive4three = pipe2three_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 319F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message2receive4three)
                        # 
                    
                else:
                    print("\n (STEP 319F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS THREE ", time4xi())                 
            else:
                print("\n (STEP 319F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS THREE ", time4xi())                                         
        else:
            print("\n (STEP 319F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())  
            
         
        #=========
        # 2000 THREE
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2three4process is True:
    
            if ack2three4start is True:
    
                if ack2three4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 320F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE THREE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                        # 
                    
                    message2receive4three = pipe2three_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 320F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE THREE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message2receive4three)
                        # 
                    
                else:
                    print("\n (STEP 320F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE THREE - FAILED RUNNING PROCESS THREE ", time4xi())                 
            else:
                print("\n (STEP 320F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE THREE - FAILED STARTING PROCESS THREE ", time4xi())                                         
        else:
            print("\n (STEP 320F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE THREE - FAILED IN CREATING THE PROCESS THREE ", time4xi())  
         
        #=========
        # 2100 THREE
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2three4process is True:
    
            if ack2three4start is True:
    
                if ack2three4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 321F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                        # 
                    
                    message2receive4three = pipe2three_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 321F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message2receive4three)
                        # 
                    
                else:
                    print("\n (STEP 321F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS THREE ", time4xi())                 
            else:
                print("\n (STEP 321F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS THREE ", time4xi())                                         
        else:
            print("\n (STEP 321F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())  
         
        #=========
        # 2200 THREE
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2three4process is True:
    
            if ack2three4start is True:
    
                if ack2three4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 322F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE THREE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                        # 
                    
                    message2receive4three = pipe2three_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 322F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE THREE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message2receive4three)
                        # 
                    
                else:
                    print("\n (STEP 322F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE THREE - FAILED RUNNING PROCESS THREE ", time4xi())                 
            else:
                print("\n (STEP 322F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE THREE - FAILED STARTING PROCESS THREE ", time4xi())                                         
        else:
            print("\n (STEP 322F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE THREE - FAILED IN CREATING THE PROCESS THREE ", time4xi())  
         
        #=========
        # 2300 THREE
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2three4process is True:
    
            if ack2three4start is True:
    
                if ack2three4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 323F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                        # 
                    
                    message2receive4three = pipe2three_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 323F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message2receive4three)
                        # 
                    
                else:
                    print("\n (STEP 323F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS THREE ", time4xi())                 
            else:
                print("\n (STEP 323F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS THREE ", time4xi())                                         
        else:
            print("\n (STEP 323F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())  
         
        #=========
        # 2400 THREE
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2three4process is True:
    
            if ack2three4start is True:
    
                if ack2three4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 324F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE THREE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                        # 
                    
                    message2receive4three = pipe2three_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 324F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE THREE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message2receive4three)
                        # 
                    
                else:
                    print("\n (STEP 324F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE THREE - FAILED RUNNING PROCESS THREE ", time4xi())                 
            else:
                print("\n (STEP 324F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE THREE - FAILED STARTING PROCESS THREE ", time4xi())                                         
        else:
            print("\n (STEP 324F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE THREE - FAILED IN CREATING THE PROCESS THREE ", time4xi())  
         
        #=========
        # 2500 THREE
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2three4process is True:
    
            if ack2three4start is True:
    
                if ack2three4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 325F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                        # 
                    
                    message2receive4three = pipe2three_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 325F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message2receive4three)
                        # 
                    
                else:
                    print("\n (STEP 325F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS THREE ", time4xi())                 
            else:
                print("\n (STEP 325F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS THREE ", time4xi())                                         
        else:
            print("\n (STEP 325F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())  
         
        #=========
        # 2600 THREE
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2three4process is True:
    
            if ack2three4start is True:
    
                if ack2three4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 326F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE THREE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                        # 
                    
                    message2receive4three = pipe2three_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 326F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE THREE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message2receive4three)
                        # 
                    
                else:
                    print("\n (STEP 326F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE THREE - FAILED RUNNING PROCESS THREE ", time4xi())                 
            else:
                print("\n (STEP 326F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE THREE - FAILED STARTING PROCESS THREE ", time4xi())                                         
        else:
            print("\n (STEP 326F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE THREE - FAILED IN CREATING THE PROCESS THREE ", time4xi())  
         
        #=========
        # 2700 THREE
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2three4process is True:
    
            if ack2three4start is True:
    
                if ack2three4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 327F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                        # 
                    
                    message2receive4three = pipe2three_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 327F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message2receive4three)
                        # 
                    
                else:
                    print("\n (STEP 327F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS THREE ", time4xi())                 
            else:
                print("\n (STEP 327F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS THREE ", time4xi())                                         
        else:
            print("\n (STEP 327F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())  
         
        #=========
        # 2800 THREE
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2three4process is True:
    
            if ack2three4start is True:
    
                if ack2three4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 328F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE THREE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                        # 
                    
                    message2receive4three = pipe2three_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 328F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE THREE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message2receive4three)
                        # 
                    
                else:
                    print("\n (STEP 328F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE THREE - FAILED RUNNING PROCESS THREE ", time4xi())                 
            else:
                print("\n (STEP 328F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE THREE - FAILED STARTING PROCESS THREE ", time4xi())                                         
        else:
            print("\n (STEP 328F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE THREE - FAILED IN CREATING THE PROCESS THREE ", time4xi())  
         
        #=========
        # 2900 THREE
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2three4process is True:
    
            if ack2three4start is True:
    
                if ack2three4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 329F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                        # TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 272> 
                    
                    message2receive4three = pipe2three_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 329F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message2receive4three)
                        # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 272>  PUT INFO MESSAGE:  <ack2put4xi>queue2three</ack2put4xi>
                    
                else:
                    print("\n (STEP 329F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS THREE ", time4xi())                 
            else:
                print("\n (STEP 329F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS THREE ", time4xi())                                         
        else:
            print("\n (STEP 329F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())  
         
        #=========
        # 3000 THREE
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2three4process is True:
    
            if ack2three4start is True:
    
                if ack2three4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 330F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE THREE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                        # 
                    
                    message2receive4three = pipe2three_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 330F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE THREE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message2receive4three)
                        # 
                    
                else:
                    print("\n (STEP 330F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE THREE - FAILED RUNNING PROCESS THREE ", time4xi())                 
            else:
                print("\n (STEP 330F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE THREE - FAILED STARTING PROCESS THREE ", time4xi())                                         
        else:
            print("\n (STEP 330F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE THREE - FAILED IN CREATING THE PROCESS THREE ", time4xi())  
         
        #=========
        # 3100 THREE
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2three4process is True:
    
            if ack2three4start is True:
    
                if ack2three4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 331F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                        # (STEP 331F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 272> 
                    
                    message2receive4three = pipe2three_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 331F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message2receive4three) 
                        # <ack2put4xi>queue2three8shot2three31004xi</ack2put4xi>
                    
                else:
                    print("\n (STEP 331F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS THREE ", time4xi())                 
            else:
                print("\n (STEP 331F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS THREE ", time4xi())                                         
        else:
            print("\n (STEP 331F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())  
         
        #=========
        # 3200 THREE
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2three4process is True:
    
            if ack2three4start is True:
    
                if ack2three4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 332F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE THREE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                        # (STEP 332F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE THREE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 272>
                    
                    message2receive4three = pipe2three_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 332F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message2receive4three)
                        # <ack2put4xi>queue2three8shot2three32004xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 332F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE THREE - FAILED RUNNING PROCESS THREE ", time4xi())                 
            else:
                print("\n (STEP 332F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE THREE - FAILED STARTING PROCESS THREE ", time4xi())                                         
        else:
            print("\n (STEP 332F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE THREE - FAILED IN CREATING THE PROCESS THREE ", time4xi())  
         
        #=========
        # 3300 THREE
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2three4process is True:
    
            if ack2three4start is True:
    
                if ack2three4run is True:
        
                    # -----------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -----------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 333F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel) 
                        # (STEP 333F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 272>
                    
                    message2receive4three = pipe2three_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 333F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message2receive4three)
                        # (STEP 333F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 272>  PUT INFO MESSAGE:  <ack2put4xi>queue2three8shot2three33004xi</ack2put4xi>
                    
                else:
                    print("\n (STEP 333F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS THREE ", time4xi())                 
            else:
                print("\n (STEP 333F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS THREE ", time4xi())                                         
        else:
            print("\n (STEP 333F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())  
    
          
               
        # =========================================================================================================   
        # I/III EOF - THREE DIRECTION LAYERS 10, 100 ...3300 PIPE INFORMATION FIRST 
        # =========================================================================================================      
        if ack2debug is True:
            print("\n (STEP 333F6/800) OF COLOR_TENSES4XI - DONE TRIALS TO RECEIVE THREE DIRECTION LAYERS 10, 100 ...3300 PIPE INFORMATION  ", time4xi())
            #           
    
     
    
               
        # =========================================================================================================   
        # II/III THREE DIRECTION LAYERS 10, 100 ...3300 QUEUE DIRECTORIES 
        # =========================================================================================================      
        if ack2debug is True:
            print("\n (STEP 334F0/800) OF COLOR_TENSES4XI - TRYING TO GET THREE DIRECTION LAYERS 10, 100 ...3300 QUEUE DIRECTORIES   ", time4xi())
            #      
        #========
        # 10 THREE   
        #========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2three104xi = {}
        
        if ack2three4process is True:
    
            if ack2three4start is True:
    
                if ack2three4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 334F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2THREE104XI FROM QUEUE: ", queue2three)
                        # 
                                    
                    fire2three104xi = queue2three.get() 
                    if fire2three104xi is None:
                        fire2three104xi = shot2three104xi
                        print("\n (STEP 334F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE THREE: ", queue2three, " - SET FIRE2THREE104XI TO SHOT2THREE104XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 334F3/800) OF COLOR_TENSES4XI -  FIRE2THREE104XI: ", fire2three104xi) 
                        # {1: '0x0y-39z', 2: '0x0y-69z', 3: '0x19y-4z', 4: '0x1y-69z' ...
                        
                else:
                    print("\n (STEP 334F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
            else:
                print("\n (STEP 334F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
        else:
            print("\n (STEP 334F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())
        
            
          
               
        #========
        # 100 THREE
        #========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2three1004xi = {}
    
        if ack2three4process is True:
    
            if ack2three4start is True:
    
                if ack2three4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 341F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2THREE1004XI FROM QUEUE: ", queue2three)
                        # 
                                    
                    fire2three1004xi = queue2three.get()
                    if fire2three1004xi is None:
                        fire2three1004xi = shot2three1004xi
                        print("\n (STEP 341F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE THREE: ", queue2three, " - SET FIRE2THREE1004XI TO SHOT2THREE1004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 341F3/800) OF COLOR_TENSES4XI -  FIRE2THREE1004XI: ", fire2three1004xi) 
                        # {1: '0x0y-199z', 2: '0x194y-48z', 3: '0x1y-199z', 4: '0x3y-199z' ...
                        
                else:
                    print("\n (STEP 341F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
            else:
                print("\n (STEP 341F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
        else:
            print("\n (STEP 341F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
          
    
        #========
        # 200 THREE
        #========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2three2004xi = {}
        
        if ack2three4process is True:
    
            if ack2three4start is True:
    
                if ack2three4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 342F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2THREE2004XI FROM QUEUE: ", queue2three)
                        # 
                                    
                    fire2three2004xi = queue2three.get()
                    if fire2three2004xi is None:
                        fire2three2004xi = shot2three2004xi
                        print("\n (STEP 342F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE THREE: ", queue2three, " - SET FIRE2THREE2004XI TO SHOT2THREE2004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 342F3/800) OF COLOR_TENSES4XI - FIRE2THREE2004XI: ", fire2three2004xi) 
                        # {1: '0x11y-299z', 2: '0x1y-299z', 3: '0x291y-72z', 4: '0x2y-299z' ...
                        
                else:
                    print("\n (STEP 342F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
            else:
                print("\n (STEP 342F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
        else:
            print("\n (STEP 342F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
                                        
                                      
          
    
    
           
        #========
        # 300 THREE
        #========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2three3004xi = {}
        
        if ack2three4process is True:
    
            if ack2three4start is True:
    
                if ack2three4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 343F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2THREE3004XI FROM QUEUE: ", queue2three)
                        # 
                                    
                    fire2three3004xi = queue2three.get()
                    if fire2three3004xi is None:
                        fire2three3004xi = shot2three3004xi
                        print("\n (STEP 343F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE THREE: ", queue2three, " - SET FIRE2THREE3004XI TO SHOT2THREE3004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 343F3/800) OF COLOR_TENSES4XI - FIRE2THREE3004XI: ", fire2three3004xi) 
                        # {1: '0x11y-399z', 2: '0x388y-96z', 3: '0x3y-399z', 4: '0x7y-399z' ...
                        
                else:
                    print("\n (STEP 343F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
            else:
                print("\n (STEP 343F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
        else:
            print("\n (STEP 343F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
                   
    
    
           
        #========
        # 400 THREE
        #========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2three4004xi = {}
        
        if ack2three4process is True:
    
            if ack2three4start is True:
    
                if ack2three4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 344F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2THREE4004XI FROM QUEUE: ", queue2three)
                        # 
                                    
                    fire2three4004xi = queue2three.get()
                    if fire2three4004xi is None:
                        fire2three4004xi = shot2three4004xi
                        print("\n (STEP 344F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE THREE: ", queue2three, " - SET FIRE2THREE4004XI TO SHOT2THREE4004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 344F3/800) OF COLOR_TENSES4XI - FIRE2THREE4004XI: ", fire2three4004xi) 
                        # {1: '0x117y-485z', 2: '0x14y-499z', 3: '0x485y-120z', 4: '0x4y-499z' ...
                        
                else:
                    print("\n (STEP 344F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
            else:
                print("\n (STEP 344F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
        else:
            print("\n (STEP 344F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
                   
    
    
                                   
        #========
        # 500 THREE
        #========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2three5004xi = {}
        
        if ack2three4process is True:
    
            if ack2three4start is True:
    
                if ack2three4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 345F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2THREE5004XI FROM QUEUE: ", queue2three)
                        # 
                                    
                    fire2three5004xi = queue2three.get()
                    if fire2three5004xi is None:
                        fire2three5004xi = shot2three5004xi
                        print("\n (STEP 373F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE THREE: ", queue2three, " - SET FIRE2THREE5004XI TO SHOT2THREE5004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 373F3/800) OF COLOR_TENSES4XI - FIRE2THREE5004XI: ", fire2three5004xi) 
                        # {1: '0x11y-599z', 2: '0x141y-583z', 3: '0x17y-599z', 4: '0x582y-144z' ...
                        
                else:
                    print("\n (STEP 345F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
            else:
                print("\n (STEP 345F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
        else:
            print("\n (STEP 345F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
                                      
          
    
                                                                                              
        #========
        # 600 THREE
        #========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2three6004xi = {}
        
        if ack2three4process is True:
    
            if ack2three4start is True:
    
                if ack2three4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 346F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2THREE6004XI FROM QUEUE: ", queue2three)
                        # 
                                    
                    fire2three6004xi = queue2three.get()
                    if fire2three6004xi is None:
                        fire2three6004xi = shot2three6004xi
                        print("\n (STEP 346F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE THREE: ", queue2three, " - SET FIRE2THREE6004XI TO SHOT2THREE6004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 346F3/800) OF COLOR_TENSES4XI FIRE2THREE6004XI: ", fire2three6004xi) 
                        # {1: '0x13y-699z', 2: '0x165y-680z', 3: '0x20y-699z', 4: '0x679y-168z' ...
                        
                else:
                    print("\n (STEP 346F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
            else:
                print("\n (STEP 346F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
        else:
            print("\n (STEP 346F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
                   
    
    
            
        #========
        # 700 THREE
        #========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2three7004xi = {}
        
        if ack2three4process is True:
    
            if ack2three4start is True:
    
                if ack2three4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 347F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2THREE7004XI FROM QUEUE: ", queue2three)
                        # 
                                    
                    fire2three7004xi = queue2three.get()
                    if fire2three7004xi is None:
                        fire2three7004xi = shot2three7004xi
                        print("\n (STEP 373F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE THREE: ", queue2three, " - SET FIRE2THREE7004XI TO SHOT2THREE7004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 347F3/800) OF COLOR_TENSES4XI FIRE2THREE7004XI: ", fire2three7004xi) 
                        # {1: '0x15y-799z', 2: '0x23y-799z', 3: '0x776y-192z', 4: '0x7y-799z' ...
                        
                else:
                    print("\n (STEP 347F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
            else:
                print("\n (STEP 347F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
        else:
            print("\n (STEP 347F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
                   
    
    
              
        #========
        # 800 THREE
        #========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2three8004xi = {}
        
        if ack2three4process is True:
    
            if ack2three4start is True:
    
                if ack2three4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 348F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2THREE8004XI FROM QUEUE: ", queue2three)
                        # 
                                    
                    fire2three8004xi = queue2three.get()
                    if fire2three8004xi is None:
                        fire2three8004xi = shot2three8004xi
                        print("\n (STEP 348F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE THREE: ", queue2three, " - SET FIRE2THREE8004XI TO SHOT2THREE8004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 348F3/800) OF COLOR_TENSES4XI - FIRE2THREE8004XI: ", fire2three8004xi) 
                        # {1: '0x17y-899z', 2: '0x26y-899z', 3: '0x873y-216z', 4: '0x8y-899z' ...
                        
                else:
                    print("\n (STEP 348F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
            else:
                print("\n (STEP 348F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
        else:
            print("\n (STEP 348F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
                   
    
    
            
        #========
        # 900 THREE
        #========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2three9004xi = {}
        
        if ack2three4process is True:
    
            if ack2three4start is True:
    
                if ack2three4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 349F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2THREE9004XI FROM QUEUE: ", queue2three)
                        # 
                                    
                    fire2three9004xi = queue2three.get()
                    if fire2three9004xi is None:
                        fire2three9004xi = shot2three9004xi
                        print("\n (STEP 349F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE THREE: ", queue2three, " - SET FIRE2THREE9004XI TO SHOT2THREE9004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 349F3/800) OF COLOR_TENSES4XI - FIRE2THREE9004XI: ", fire2three9004xi) 
                        # {1: '0x19y-999z', 2: '0x29y-999z', 3: '0x970y-240z', 4: '0x9y-999z'...
                      
                else:
                    print("\n (STEP 349F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
            else:
                print("\n (STEP 349F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
        else:
            print("\n (STEP 349F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
                   
    
    
            
        #=========
        # 1000 THREE
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2three10004xi = {}
        
        if ack2three4process is True:
    
            if ack2three4start is True:
    
                if ack2three4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 350F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2THREE10004XI FROM QUEUE: ", queue2three)
                        # 
                                    
                    fire2three10004xi = queue2three.get()
                    if fire2three10004xi is None:
                        fire2three10004xi = shot2three10004xi
                        print("\n (STEP 350F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE THREE: ", queue2three, " - SET FIRE2THREE10004XI TO SHOT2THREE10004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 350F3/800) OF COLOR_TENSES4XI - FIRE2THREE10004XI: ", fire2three10004xi) 
                        # {1: '0x1067y-264z', 2: '0x10y-1099z', 3: '0x21y-1099z', 4: '0x32y-1099z'...
                else:
                    print("\n (STEP 350F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
            else:
                print("\n (STEP 350F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
        else:
            print("\n (STEP 350F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
                   
    
            
        #=========
        # 1100 THREE
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2three11004xi = {}
        
        if ack2three4process is True:
    
            if ack2three4start is True:
    
                if ack2three4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 351F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2THREE11004XI FROM QUEUE: ", queue2three)
                        # 
                                    
                    fire2three11004xi = queue2three.get()
                    if fire2three11004xi is None:
                        fire2three11004xi = shot2three11004xi
                        print("\n (STEP 351F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE THREE: ", queue2three, " - SET FIRE2THREE11004XI TO SHOT2THREE11004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 351F3/800) OF COLOR_TENSES4XI - FIRE2THREE11004XI: ", fire2three11004xi) 
                        # {1: '0x1164y-288z', 2: '0x11y-1199z', 3: '0x23y-1199z', 4: '106x335y-1147z' ...
                      
                else:
                    print("\n (STEP 351F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
            else:
                print("\n (STEP 351F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
        else:
            print("\n (STEP 351F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
                   
    
    
            
        #=========
        # 1200 THREE
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2three12004xi = {}
        
        if ack2three4process is True:
    
            if ack2three4start is True:
    
                if ack2three4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 352F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2THREE12004XI FROM QUEUE: ", queue2three)
                        # 
                                    
                    fire2three12004xi = queue2three.get()
                    if fire2three12004xi is None:
                        fire2three12004xi = shot2three12004xi
                        print("\n (STEP 352F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE THREE: ", queue2three, " - SET FIRE2THREE12004XI TO SHOT2THREE12004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 352F3/800) OF COLOR_TENSES4XI - FIRE2THREE12004XI: ", fire2three12004xi) 
                        # {1: '0x1261y-312z', 2: '0x12y-1299z', 3: '0x25y-1299z', 4: '1007x815y-94z' ...
                        
                else:
                    print("\n (STEP 352F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
            else:
                print("\n (STEP 352F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
        else:
            print("\n (STEP 352F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
                   
    
    
            
        #=========
        # 1300 THREE
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2three13004xi = {}
        
        if ack2three4process is True:
    
            if ack2three4start is True:
    
                if ack2three4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 353F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2THREE13004XI FROM QUEUE: ", queue2three)
                        # 
                                    
                    fire2three13004xi = queue2three.get()
                    if fire2three13004xi is None:
                        fire2three13004xi = shot2three13004xi
                        print("\n (STEP 353F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE THREE: ", queue2three, " - SET FIRE2THREE13004XI TO SHOT2THREE13004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 353F3/800) OF COLOR_TENSES4XI - FIRE2THREE13004XI: ", fire2three13004xi) 
                        # {1: '0x1358y-336z', 2: '0x27y-1399z', 3: '1009x789y-564z', 4: '100x384y-1342z' ...
                        
                else:
                    print("\n (STEP 353F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
            else:
                print("\n (STEP 353F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
        else:
            print("\n (STEP 353F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
                   
    
            
        #=========
        # 1400 THREE
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2three14004xi = {}
        
        if ack2three4process is True:
    
            if ack2three4start is True:
    
                if ack2three4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 354F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2THREE14004XI FROM QUEUE: ", queue2three)
                        # 
                                    
                    fire2three14004xi = queue2three.get()
                    if fire2three14004xi is None:
                        fire2three14004xi = shot2three14004xi
                        print("\n (STEP 354F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE THREE: ", queue2three, " - SET FIRE2THREE14004XI TO SHOT2THREE14004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 354F3/800) OF COLOR_TENSES4XI - FIRE2THREE14004XI: ", fire2three14004xi) 
                        # GOT FROM QUEUE THREE:  {1: '0x1456y-360z', 2: '0x29y-1499z', 3: '101x165y-1487z', 4: '1030x897y-618z' ...
                        
                else:
                    print("\n (STEP 354F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
            else:
                print("\n (STEP 354F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
        else:
            print("\n (STEP 354F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
                   
    
            
        #=========
        # 1500 THREE
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2three15004xi = {}
        
        if ack2three4process is True:
    
            if ack2three4start is True:
    
                if ack2three4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 355F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2THREE15004XI FROM QUEUE: ", queue2three)
                        # 
                                    
                    fire2three15004xi = queue2three.get()
                    if fire2three15004xi is None:
                        fire2three15004xi = shot2three15004xi
                        print("\n (STEP 355F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE THREE: ", queue2three, " - SET FIRE2THREE15004XI TO SHOT2THREE15004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 355F3/800) OF COLOR_TENSES4XI - FIRE2THREE15004XI: ", fire2three15004xi) 
                        # {1: '0x1553y-384z', 2: '0x31y-1599z', 3: '1000x1235y-180z', 4: '1012x914y-835z' ...
                        
                else:
                    print("\n (STEP 355F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
            else:
                print("\n (STEP 355F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
        else:
            print("\n (STEP 355F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
                   
    
            
        #=========
        # 1600 THREE
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2three16004xi = {}
        
        if ack2three4process is True:
    
            if ack2three4start is True:
    
                if ack2three4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 356F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2THREE16004XI FROM QUEUE: ", queue2three)
                        # 
                                    
                    fire2three16004xi = queue2three.get() 
                    if fire2three16004xi is None:
                        fire2three16004xi = shot2three16004xi
                        print("\n (STEP 356F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE THREE: ", queue2three, " - SET FIRE2THREE1600 4XI TO SHOT2THREE1600 4XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 356F3/800) OF COLOR_TENSES4XI - FIRE2THREE16004XI: ", fire2three16004xi) 
                        # {1: '0x1650y-408z', 2: '0x33y-1699z', 3: '1017x1020y-902z', 4: '1045x1122y-731z' ...
                        
                else:
                    print("\n (STEP 356F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
            else:
                print("\n (STEP 356F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
        else:
            print("\n (STEP 356F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
                   
    
            
        #=========
        # 1700 THREE
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2three17004xi = {}
        
        if ack2three4process is True:
    
            if ack2three4start is True:
    
                if ack2three4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 357F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2THREE17004XI FROM QUEUE: ", queue2three)
                        # 
                                    
                    fire2three17004xi = queue2three.get()
                    if fire2three17004xi is None:
                        fire2three17004xi = shot2three17004xi
                        print("\n (STEP 357F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE THREE: ", queue2three, " - SET FIRE2THREE17004XI TO SHOT2THREE17004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 357F3/800) OF COLOR_TENSES4XI - FIRE2THREE17004XI: ", fire2three17004xi) 
                        # {1: '0x1747y-432z', 2: '0x35y-1799z', 3: '1012x1128y-970z', 4: '1038x1239y-790z' ...
                        
                else:
                    print("\n (STEP 357F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
            else:
                print("\n (STEP 357F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
        else:
            print("\n (STEP 357F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
                   
    
            
        #=========
        # 1800 THREE
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2three18004xi = {}
        
        if ack2three4process is True:
    
            if ack2three4start is True:
    
                if ack2three4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 358F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2THREE18004XI FROM QUEUE: ", queue2three)
                        # 
                                    
                    fire2three18004xi = queue2three.get()
                    if fire2three18004xi is None:
                        fire2three18004xi = shot2three18004xi
                        print("\n (STEP 358F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE THREE: ", queue2three, " - SET FIRE2THREE18004XI TO SHOT2THREE18004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 358F3/800) OF COLOR_TENSES4XI - FIRE2THREE18004XI: ", fire2three18004xi) 
                        # {1: '0x1844y-456z', 2: '0x37y-1899z', 3: '1021x1356y-851z', 4: '1025x1579y-251z' ...
                        
                else:
                    print("\n (STEP 358F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
            else:
                print("\n (STEP 358F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
        else:
            print("\n (STEP 358F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
                   
    
            
        #=========
        # 1900 THREE
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2three19004xi = {}
        
        if ack2three4process is True:
    
            if ack2three4start is True:
    
                if ack2three4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 359F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2THREE19004XI FROM QUEUE: ", queue2three)
                        # 
                                    
                    fire2three19004xi = queue2three.get()
                    if fire2three19004xi is None:
                        fire2three19004xi = shot2three19004xi
                        print("\n (STEP 359F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE THREE: ", queue2three, " - SET FIRE2THREE19004XI TO SHOT2THREE19004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 359F3/800) OF COLOR_TENSES4XI - FIRE2THREE19004XI: ", fire2three19004xi) 
                        # {1: '0x1941y-480z', 2: '0x39y-1999z', 3: '101x1943y-461z', 4: '103x81y-1995z' ...
                        
                else:
                    print("\n (STEP 359F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
            else:
                print("\n (STEP 359F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
        else:
            print("\n (STEP 359F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
                   
          
    
            
        #=========
        # 2000 THREE
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2three20004xi = {}
        
        if ack2three4process is True:
    
            if ack2three4start is True:
    
                if ack2three4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 360F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2THREE20004XI FROM QUEUE: ", queue2three)
                        # 
                                    
                    fire2three20004xi = queue2three.get()
                    if fire2three20004xi is None:
                        fire2three20004xi = shot2three20004xi
                        print("\n (STEP 360F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE THREE: ", queue2three, " - SET FIRE2THREE20004XI TO SHOT2THREE20004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 360F3/800) OF COLOR_TENSES4XI - FIRE2THREE20004XI: ", fire2three20004xi) 
                        # {1: '0x2038y-504z', 2: '0x41y-2099z', 3: '1023x1413y-1167z', 4: '1039x1800y-298z' ...
                        
                else:
                    print("\n (STEP 360F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
            else:
                print("\n (STEP 360F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
        else:
            print("\n (STEP 360F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
                   
    
            
        #=========
        # 2100 THREE
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2three21004xi = {}
        
        if ack2three4process is True:
    
            if ack2three4start is True:
    
                if ack2three4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 361F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2THREE21004XI FROM QUEUE: ", queue2three)
                        # 
                                    
                    fire2three21004xi = queue2three.get()
                    if fire2three21004xi is None:
                        fire2three21004xi = shot2three21004xi
                        print("\n (STEP 361F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE THREE: ", queue2three, " - SET FIRE2THREE21004XI TO SHOT2THREE21004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 361F3/800) OF COLOR_TENSES4XI - FIRE2THREE21004XI: ", fire2three21004xi) 
                        # {1: '0x2135y-528z', 2: '1001x1668y-1025z', 3: '104x217y-2186z', 4: '1072x1481y-1223z' ...
                        
                else:
                    print("\n (STEP 361F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
            else:
                print("\n (STEP 361F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
        else:
            print("\n (STEP 361F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
                   
    
            
        #=========
        # 2200 THREE
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2three22004xi = {}
        
        if ack2three4process is True:
    
            if ack2three4start is True:
    
                if ack2three4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 362F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2THREE22004XI FROM QUEUE: ", queue2three)
                        # 
                                    
                    fire2three22004xi = queue2three.get()
                    if fire2three22004xi is None:
                        fire2three22004xi = shot2three22004xi
                        print("\n (STEP 362F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE THREE: ", queue2three, " - SET FIRE2THREE22004XI TO SHOT2THREE22004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 362F3/800) OF COLOR_TENSES4XI - FIRE2THREE22004XI: ", fire2three22004xi) 
                        # {1: '0x2232y-552z', 2: '1031x1594y-1297z', 3: '1032x2025y-350z', 4: '1043x1881y-812z' ...
                        
                else:
                    print("\n (STEP 362F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
            else:
                print("\n (STEP 362F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
        else:
            print("\n (STEP 362F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
                   
    
            
        #=========
        # 2300 THREE
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2three23004xi = {}
        
        if ack2three4process is True:
    
            if ack2three4start is True:
    
                if ack2three4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 363F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2THREE23004XI FROM QUEUE: ", queue2three)
                        # 
                                    
                    fire2three23004xi = queue2three.get()
                    if fire2three23004xi is None:
                        fire2three23004xi = shot2three23004xi
                        print("\n (STEP 363F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE THREE: ", queue2three, " - SET FIRE2THREE23004XI TO SHOT2THREE23004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 363F3/800) OF COLOR_TENSES4XI - FIRE2THREE23004XI: ", fire2three23004xi) 
                        # {1: '0x2329y-577z', 2: '100x88y-2396z', 3: '1076x1663y-1354z', 4: '1076x2113y-365z' ...
                        
                else:
                    print("\n (STEP 363F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
            else:
                print("\n (STEP 363F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
        else:
            print("\n (STEP 363F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
                   
    
            
        #=========
        # 2400 THREE
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2three24004xi = {}
        
        if ack2three4process is True:
    
            if ack2three4start is True:
    
                if ack2three4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 364F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2THREE24004XI FROM QUEUE: ", queue2three)
                        # 
                                    
                    fire2three24004xi = queue2three.get()
                    
                    if fire2three24004xi is None:
                        fire2three24004xi = shot2three24004xi
                        print("\n (STEP 364F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE THREE: ", queue2three, " - SET FIRE2THREE24004XI TO SHOT2THREE24004XI ", time4xi())  
                        #     
                    if ack2debug is True:
                        print("\n (STEP 364F3/800) OF COLOR_TENSES4XI - FIRE2THREE24004XI: ", fire2three24004xi) 
                        # {1: '0x2426y-601z', 2: '1003x2253y-405z', 3: '100x1986y-1674z', 4: '1021x2094y-906z' ...
                        
                else:
                    print("\n (STEP 364F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
            else:
                print("\n (STEP 364F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
        else:
            print("\n (STEP 364F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
                   
    
            
        #=========
        # 2500 THREE
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2three25004xi = {}
        
        if ack2three4process is True:
    
            if ack2three4start is True:
    
                if ack2three4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 365F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2THREE25004XI FROM QUEUE: ", queue2three)
                        # 
                                    
                    fire2three25004xi = queue2three.get()
                    
                    if fire2three25004xi is None:
                        fire2three25004xi = shot2three25004xi
                        print("\n (STEP 365F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE THREE: ", queue2three, " - SET FIRE2THREE25004XI TO SHOT2THREE25004XI ", time4xi())  
                        #     
                    if ack2debug is True:
                        print("\n (STEP 365F3/800) OF COLOR_TENSES4XI - FIRE2THREE25004XI: ", fire2three25004xi) 
                        # {1: '0x2523y-625z', 2: '103x680y-2507z', 3: '1043x2343y-421z', 4: '104x2063y-1738z' ...
                        
                else:
                    print("\n (STEP 365F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
            else:
                print("\n (STEP 365F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
        else:
            print("\n (STEP 365F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
                   
    
            
        #=========
        # 2600 THREE
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2three26004xi = {}
        
        if ack2three4process is True:
    
            if ack2three4start is True:
    
                if ack2three4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 366F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2THREE26004XI FROM QUEUE: ", queue2three)
                        # 
                                    
                    fire2three26004xi = queue2three.get()
                    
                    if fire2three26004xi is None:
                        fire2three26004xi = shot2three26004xi
                        print("\n (STEP 366F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE THREE: ", queue2three, " - SET FIRE2THREE26004XI TO SHOT2THREE26004XI ", time4xi())  
                        #  
                    if ack2debug is True:
                        print("\n (STEP 366F3/800) OF COLOR_TENSES4XI - FIRE2THREE26004XI: ", fire2three26004xi) 
                        # {1: '0x2620y-649z', 2: '103x248y-2686z', 3: '107x706y-2603z', 4: '1083x2433y-437z' ...
                        
                else:
                    print("\n (STEP 366F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
            else:
                print("\n (STEP 366F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
        else:
            print("\n (STEP 366F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
                   
    
            
        #=========
        # 2700 THREE
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2three27004xi = {}
        
        if ack2three4process is True:
    
            if ack2three4start is True:
    
                if ack2three4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 367F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2THREE27004XI FROM QUEUE: ", queue2three)
                        # 
                                    
                    fire2three27004xi = queue2three.get()
                    
                    if fire2three27004xi is None:
                        fire2three27004xi = shot2three27004xi
                        print("\n (STEP 367F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE THREE: ", queue2three, " - SET FIRE2THREE27004XI TO SHOT2THREE27004XI ", time4xi())  
                        # 
                    if ack2debug is True:
                        print("\n (STEP 367F3/800) OF COLOR_TENSES4XI - FIRE2THREE27004XI: ", fire2three27004xi) 
                        # {1: '0x2717y-673z', 2: '1015x2392y-1041z', 3: '1031x2032y-1625z', 4: '1034x2221y-1354z' ...
                        
                else:
                    print("\n (STEP 367F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
            else:
                print("\n (STEP 367F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
        else:
            print("\n (STEP 367F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
                   
    
            
        #=========
        # 2800 THREE
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2three28004xi = {}
        
        if ack2three4process is True:
    
            if ack2three4start is True:
    
                if ack2three4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 368F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2THREE28004XI FROM QUEUE: ", queue2three)
                        # 
                                    
                    fire2three28004xi = queue2three.get()
                    
                    if fire2three28004xi is None:
                        fire2three28004xi = shot2three28004xi
                        print("\n (STEP 368F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE THREE: ", queue2three, " - SET FIRE2THREE28004XI TO SHOT2THREE28004XI ", time4xi())  
                        # 
                    if ack2debug is True:
                        print("\n (STEP 368F3/800) OF COLOR_TENSES4XI - FIRE2THREE28004XI: ", fire2three28004xi) 
                        # {1: '0x2814y-697z', 2: '1005x661y-2638z', 3: '1023x2667y-498z', 4: '1051x2478y-1078z' ...
                        
                else:
                    print("\n (STEP 368F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
            else:
                print("\n (STEP 368F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
        else:
            print("\n (STEP 368F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
                   
    
            
        #=========
        # 2900 THREE
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2three29004xi = {}
        
        if ack2three4process is True:
    
            if ack2three4start is True:
    
                if ack2three4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 369F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2THREE29004XI FROM QUEUE: ", queue2three)
                        # 
                                    
                    fire2three29004xi = queue2three.get()
                    if fire2three29004xi is None:
                        fire2three29004xi = shot2three29004xi
                        print("\n (STEP 369F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE THREE: ", queue2three, " - SET FIRE2THREE29004XI TO SHOT2THREE29004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 369F3/800) OF COLOR_TENSES4XI - FIRE2THREE29004XI: ", fire2three29004xi) 
                        # {1: '0x2912y-721z', 2: '1040x684y-2729z', 3: '1059x2759y-515z', 4: '1088x2563y-1115z' ...
                        
                else:
                    print("\n (STEP 369F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
            else:
                print("\n (STEP 369F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
        else:
            print("\n (STEP 369F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
                   
    
            
        #=========
        # 3000 THREE
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2three30004xi = {}
        
        if ack2three4process is True:
    
            if ack2three4start is True:
    
                if ack2three4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 370F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2THREE30004XI FROM QUEUE: ", queue2three)
                        # 
                                    
                    fire2three30004xi = queue2three.get()
                    if fire2three30004xi is None:
                        fire2three30004xi = shot2three30004xi
                        print("\n (STEP 370F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE THREE: ", queue2three, " - SET FIRE2THREE30004XI TO SHOT2THREE30004XI ", time4xi())  
                        #                      
                    if ack2debug is True:
                        print("\n (STEP 370F3/800) OF COLOR_TENSES4XI - FIRE2THREE30004XI: ", fire2three30004xi) 
                        # {1: '0x3009y-745z', 2: '1009x2502y-1526z', 3: '1013x745y-2833z', 4: '1015x2290y-1825z' ...
                        
                else:
                    print("\n (STEP 370F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
            else:
                print("\n (STEP 370F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
        else:
            print("\n (STEP 370F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
                   
    
            
        #=========
        # 3100 THREE
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2three31004xi = {}
        
        if ack2three4process is True:
    
            if ack2three4start is True:
    
                if ack2three4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 371F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2THREE31004XI FROM QUEUE: ", queue2three) 
                        # 
                                    
                    fire2three31004xi = queue2three.get()
                    if fire2three31004xi is None:
                        fire2three31004xi = shot2three31004xi 
                        print("\n (STEP 371F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE THREE: ", queue2three, " - SET FIRE2THREE31004XI TO SHOT2THREE31004XI ", time4xi())  
                        #                 
                    if ack2debug is True:
                        print("\n (STEP 371F3/800) OF COLOR_TENSES4XI - FIRE2THREE31004XI: ", fire2three31004xi) 
                        # {1: '0x3203y-793z', 2: '1002x3086y-599z', 3: '1012x829y-3029z', 4: '103x2968y-1438z' ...
                        
                else:
                    print("\n (STEP 371F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
            else:
                print("\n (STEP 371F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
        else:
            print("\n (STEP 371F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
                   
    
            
        #=========
        # 3200 THREE
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2three32004xi = {}
        
        if ack2three4process is True:
    
            if ack2three4start is True:
    
                if ack2three4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 372F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2THREE32004XI FROM QUEUE: ", queue2three)
                        # TRYING TO GET FIRE2THREE2004XI FROM QUEUE:  <queue4xi.Queue4Xi object at 0x02A275D0>
                                    
                    fire2three32004xi = queue2three.get()
                    if fire2three32004xi is None:
                        fire2three32004xi = shot2three32004xi
                        print("\n (STEP 373F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE THREE: ", queue2three, " - SET FIRE2THREE32004XI TO SHOT2THREE32004XI ", time4xi())  
                        # 
                                                
                    if ack2debug is True:
                        print("\n (STEP 372F3/800) OF COLOR_TENSES4XI - FIRE2THREE32004XI: ", fire2three32004xi) 
                        # {1: '0x3203y-793z', 2: '1002x3086y-599z', 3: '1012x829y-3029z', 4: '103x2968y-1438z' ....
                        
                else:
                    print("\n (STEP 372F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
            else:
                print("\n (STEP 372F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
        else:
            print("\n (STEP 372F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
                   
    
            
        #=========
        # 3300 THREE
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2three33004xi = {}
        
        if ack2three4process is True:
    
            if ack2three4start is True: 
    
                if ack2three4run is True:
        
                    # -----------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                    # -----------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 373F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2THREE33004XI FROM QUEUE: ", queue2three)   
                        # <queue4xi.Queue4Xi object at 0x02A275D0> 
                                    
                    fire2three33004xi = queue2three.get()
                    if fire2three33004xi is None:
                        print("\n (STEP 373F4/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE THREE: ", queue2three) 
                        # 
                        fire2three33004xi = shot2three33004xi
                    if ack2debug is True:
                        print("\n (STEP 373F2/800) OF COLOR_TENSES4XI - FIRE2THREE33004XI: ", fire2three33004xi) 
                        # {1: '0x3203y-793z', 2: '1002x3086y-599z', 3: '1012x829y-3029z', 4: '103x2968y-1438z' ...
                                                
                else:
                    print("\n (STEP 373F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
            else:
                print("\n (STEP 373F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
        else:
            print("\n (STEP 373F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
                   
               
        # =========================================================================================================   
        # II/III EOF - THREE DIRECTION LAYERS 10, 100 ...3300 QUEUE DIRECTORIES 
        # =========================================================================================================      
            if ack2debug is True:
                print("\n (STEP 373F7/800) OF COLOR_TENSES4XI - DONE TRIALS TO GET FOR THREE DIRECTION LAYERS 10, 100 ...3300 QUEUE DIRECTORIES   ", time4xi())
                #
                    
    if DirectionKB4Xi[4] is True:  
        # =========================================================================================================   
        # I/IV FOUR DIRECTION LAYERS 10, 100 ...3300 PIPE INFORMATION FIRST 
        # =========================================================================================================      
        if ack2debug is True:
            print("\n (STEP 474F0/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE FOUR DIRECTION LAYERS 10, 100 ...3300 PIPE INFORMATION ", time4xi())
            #       
        #========
        # 10 FOUR 
        #========
            
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2four4process is True:
        
            if ack2four4start is True:
        
                if ack2four4run is True:
            
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 474F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE FOUR CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                        # 
                        
                    message2receive4four = pipe2four_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 474F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE FOUR CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message2receive4four) 
                        # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 280>  PUT INFO MESSAGE:  <ack2put4xi>queue2four8shot2four104xi</ack2put4xi>
         
                    
                else:
                    print("\n (STEP 474F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED RUNNING PROCESS FOUR ", time4xi())                 
            else:
                print("\n (STEP 474F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED STARTING PROCESS FOUR ", time4xi())                                         
        else:
            print("\n (STEP 474F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED IN CREATING THE PROCESS FOUR ", time4xi())                    
        
        #========
        # 100 FOUR
        #========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2four4process is True:
    
            if ack2four4start is True:
    
                if ack2four4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 481F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE FOUR CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                        # 
                    
                    message2receive4four = pipe2four_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 481F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE FOUR CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message2receive4four)
                        # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 280>  PUT INFO MESSAGE:  <ack2put4xi>queue2four8shot2four1004xi</ack2put4xi>
     
                    
                else:
                    print("\n (STEP 481F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED RUNNING PROCESS FOUR ", time4xi())                 
            else:
                print("\n (STEP 481F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED STARTING PROCESS FOUR ", time4xi())                                         
        else:
            print("\n (STEP 481F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED IN CREATING THE PROCESS FOUR ", time4xi())                    
        
        #========
        # 200 FOUR 
        #========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2four4process is True:
    
            if ack2four4start is True:
    
                if ack2four4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 482F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE FOUR CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                        # 
                    
                    message2receive4four = pipe2four_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 482F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE FOUR CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message2receive4four)
                        # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 280>  PUT INFO MESSAGE:  <ack2put4xi>queue2four8shot2four2004xi</ack2put4xi>
      
                    
                else:
                    print("\n (STEP 482F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED RUNNING PROCESS FOUR ", time4xi())                 
            else:
                print("\n (STEP 482F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED STARTING PROCESS FOUR ", time4xi())                                         
        else:
            print("\n (STEP 482F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED IN CREATING THE PROCESS FOUR ", time4xi())                    
                                                    
                                      
        
        #========
        # 300 FOUR
        #========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2four4process is True:
    
            if ack2four4start is True:
    
                if ack2four4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 483F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE FOUR CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                        # 
                    
                    message2receive4four = pipe2four_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 483F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE FOUR CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message2receive4four)
                        # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 280>  PUT INFO MESSAGE:  <ack2put4xi>queue2four8shot2four3004xi</ack2put4xi>
     
                    
                else:
                    print("\n (STEP 483F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED RUNNING PROCESS FOUR ", time4xi())                 
            else:
                print("\n (STEP 483F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED STARTING PROCESS FOUR ", time4xi())                                         
        else:
            print("\n (STEP 483F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED IN CREATING THE PROCESS FOUR ", time4xi())                    
        
        #========
        # 400 FOUR
        #========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2four4process is True:
    
            if ack2four4start is True:
    
                if ack2four4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 484F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE FOUR CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                        # 
                    
                    message2receive4four = pipe2four_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 484F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE FOUR CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message2receive4four)
                        # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 280>  PUT INFO MESSAGE:  <ack2put4xi>queue2four8shot2four4004xi</ack2put4xi>
    
                    
                else:
                    print("\n (STEP 484F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED RUNNING PROCESS FOUR ", time4xi())                 
            else:
                print("\n (STEP 484F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED STARTING PROCESS FOUR ", time4xi())                                         
        else:
            print("\n (STEP 484F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED IN CREATING THE PROCESS FOUR ", time4xi())
                                
        #========
        # 500 FOUR
        #========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2four4process is True:
    
            if ack2four4start is True:
    
                if ack2four4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 485F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE FOUR CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                        # 
                    
                    message2receive4four = pipe2four_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 485F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE FOUR CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message2receive4four)
                        # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 280>  PUT INFO MESSAGE:  <ack2put4xi>queue2four8shot2four5004xi</ack2put4xi>
     
                    
                else:
                    print("\n (STEP 485F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED RUNNING PROCESS FOUR ", time4xi())                 
            else:
                print("\n (STEP 485F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED STARTING PROCESS FOUR ", time4xi())                                         
        else:
            print("\n (STEP 485F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED IN CREATING THE PROCESS FOUR ", time4xi())                    
                                                                                           
        #========
        # 600 FOUR
        #========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2four4process is True:
    
            if ack2four4start is True:
    
                if ack2four4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 486F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE FOUR CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                        # 
                    
                    message2receive4four = pipe2four_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 486F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE FOUR CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message2receive4four)
                        # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 280>  PUT INFO MESSAGE:  <ack2put4xi>queue2four8shot2four6004xi</ack2put4xi>
     
                else:
                    print("\n (STEP 486F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED RUNNING PROCESS FOUR ", time4xi())                 
            else:
                print("\n (STEP 486F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED STARTING PROCESS FOUR ", time4xi())                                         
        else:
            print("\n (STEP 484F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED IN CREATING THE PROCESS FOUR ", time4xi())                    
         
        #========
        # 700 FOUR
        #========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2four4process is True:
    
            if ack2four4start is True:
    
                if ack2four4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 487F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE FOUR CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                        # 
                    
                    message2receive4four = pipe2four_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 487F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE FOUR CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message2receive4four)
                        # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 280>  PUT INFO MESSAGE:  <ack2put4xi>queue2four8shot2four7004xi</ack2put4xi>
     
                    
                else:
                    print("\n (STEP 487F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED RUNNING PROCESS FOUR ", time4xi())                 
            else:
                print("\n (STEP 487F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED STARTING PROCESS FOUR ", time4xi())                                         
        else:
            print("\n (STEP 487F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED IN CREATING THE PROCESS FOUR ", time4xi())                    
           
        #========
        # 800 FOUR
        #========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2four4process is True:
    
            if ack2four4start is True:
    
                if ack2four4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 488F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE FOUR CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                        # 
                    
                    message2receive4four = pipe2four_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 488F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE FOUR CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message2receive4four)
                        # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 280>  PUT INFO MESSAGE:  <ack2put4xi>queue2four8shot2four8004xi</ack2put4xi>
     
                    
                else:
                    print("\n (STEP 488F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED RUNNING PROCESS FOUR ", time4xi())                 
            else:
                print("\n (STEP 488F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED STARTING PROCESS FOUR ", time4xi())                                         
        else:
            print("\n (STEP 488F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED IN CREATING THE PROCESS FOUR ", time4xi())                    
         
        #========
        # 900 FOUR
        #========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2four4process is True:
    
            if ack2four4start is True:
    
                if ack2four4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 489F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE FOUR CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                        # 
                    
                    message2receive4four = pipe2four_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 489F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE FOUR CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message2receive4four)
                        # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 280>  PUT INFO MESSAGE:  <ack2put4xi>queue2four8shot2four9004xi</ack2put4xi>
     
                    
                else:
                    print("\n (STEP 489F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED RUNNING PROCESS FOUR ", time4xi())                 
            else:
                print("\n (STEP 489F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED STARTING PROCESS FOUR ", time4xi())                                         
        else:
            print("\n (STEP 489F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED IN CREATING THE PROCESS FOUR ", time4xi())                    
          
               
         
        #=========
        # 1000 FOUR
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2four4process is True:
    
            if ack2four4start is True:
    
                if ack2four4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 490F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE FOUR CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                        # 
                    
                    message2receive4four = pipe2four_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 490F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE FOUR CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message2receive4four)
                        # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 280>  PUT INFO MESSAGE:  <ack2put4xi>queue2four8shot2four10004xi</ack2put4xi>
     
                    
                else:
                    print("\n (STEP 490F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED RUNNING PROCESS FOUR ", time4xi())                 
            else:
                print("\n (STEP 490F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED STARTING PROCESS FOUR ", time4xi())                                         
        else:
            print("\n (STEP 490F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED IN CREATING THE PROCESS FOUR ", time4xi())                    
         
        #=========
        # 1100 FOUR
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2four4process is True:
    
            if ack2four4start is True:
    
                if ack2four4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 491F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE FOUR CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                        # 
                    
                    message2receive4four = pipe2four_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 491F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE FOUR CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message2receive4four)
                        # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 280>  PUT INFO MESSAGE:  <ack2put4xi>queue2four8shot2four11004xi</ack2put4xi>
     
                    
                else:
                    print("\n (STEP 491F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED RUNNING PROCESS FOUR ", time4xi())                 
            else:
                print("\n (STEP 491F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED STARTING PROCESS FOUR ", time4xi())                                         
        else:
            print("\n (STEP 491F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED IN CREATING THE PROCESS FOUR ", time4xi())                    
         
        #=========
        # 1200 FOUR
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2four4process is True:
    
            if ack2four4start is True:
    
                if ack2four4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 492F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE FOUR CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                        # 
                    
                    message2receive4four = pipe2four_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 492F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE FOUR CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message2receive4four)
                        # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 280>  PUT INFO MESSAGE:  <ack2put4xi>queue2four8shot2four12004xi</ack2put4xi>
     
                    
                else:
                    print("\n (STEP 492F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED RUNNING PROCESS FOUR ", time4xi())                 
            else:
                print("\n (STEP 492F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED STARTING PROCESS FOUR ", time4xi())                                         
        else:
            print("\n (STEP 492F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED IN CREATING THE PROCESS FOUR ", time4xi())                    
         
        #=========
        # 1300 FOUR
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2four4process is True:
    
            if ack2four4start is True:
    
                if ack2four4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 493F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE FOUR CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                        # 
                    
                    message2receive4four = pipe2four_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 493F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE FOUR CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message2receive4four)
                        # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 280>  PUT INFO MESSAGE:  <ack2put4xi>queue2four8shot2four13004xi</ack2put4xi>
     
                    
                else:
                    print("\n (STEP 493F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED RUNNING PROCESS FOUR ", time4xi())                 
            else:
                print("\n (STEP 493F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED STARTING PROCESS FOUR ", time4xi())                                         
        else:
            print("\n (STEP 493F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED IN CREATING THE PROCESS FOUR ", time4xi())                    
         
        #=========
        # 1400 FOUR
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2four4process is True:
    
            if ack2four4start is True:
    
                if ack2four4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 494F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE FOUR CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                        # 
                    
                    message2receive4four = pipe2four_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 494F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE FOUR CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message2receive4four)
                        # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 280>  PUT INFO MESSAGE:  <ack2put4xi>queue2four8shot2four14004xi</ack2put4xi>
    
                    
                else:
                    print("\n (STEP 494F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED RUNNING PROCESS FOUR ", time4xi())                 
            else:
                print("\n (STEP 494F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED STARTING PROCESS FOUR ", time4xi())                                         
        else:
            print("\n (STEP 494F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED IN CREATING THE PROCESS FOUR ", time4xi())                    
         
        #=========
        # 1500 FOUR
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2four4process is True:
    
            if ack2four4start is True:
    
                if ack2four4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 495F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE FOUR CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                        # 
                    
                    message2receive4four = pipe2four_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 495F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE FOUR CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message2receive4four)
                        # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 280>  PUT INFO MESSAGE:  <ack2put4xi>queue2four8shot2four15004xi</ack2put4xi>
    
                    
                else:
                    print("\n (STEP 495F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED RUNNING PROCESS FOUR ", time4xi())                 
            else:
                print("\n (STEP 495F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED STARTING PROCESS FOUR ", time4xi())                                         
        else:
            print("\n (STEP 495F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED IN CREATING THE PROCESS FOUR ", time4xi())                    
         
        #=========
        # 1600 FOUR
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2four4process is True:
    
            if ack2four4start is True:
    
                if ack2four4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 496F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE FOUR CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                        # 
                    
                    message2receive4four = pipe2four_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 496F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE FOUR CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message2receive4four)
                        # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 280>  PUT INFO MESSAGE:  <ack2put4xi>queue2four8shot2four16004xi</ack2put4xi>
     
                    
                else:
                    print("\n (STEP 496F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED RUNNING PROCESS FOUR ", time4xi())                 
            else:
                print("\n (STEP 496F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED STARTING PROCESS FOUR ", time4xi())                                         
        else:
            print("\n (STEP 496F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED IN CREATING THE PROCESS FOUR ", time4xi())                    
         
        #=========
        # 1700 FOUR
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2four4process is True:
    
            if ack2four4start is True:
    
                if ack2four4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 497F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE FOUR CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                        # 
                    
                    message2receive4four = pipe2four_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 497F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE FOUR CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message2receive4four)
                        # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 280>  PUT INFO MESSAGE:  <ack2put4xi>queue2four8shot2four17004xi</ack2put4xi>
      
                    
                else:
                    print("\n (STEP 497F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED RUNNING PROCESS FOUR ", time4xi())                 
            else:
                print("\n (STEP 497F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED STARTING PROCESS FOUR ", time4xi())                                         
        else:
            print("\n (STEP 497F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED IN CREATING THE PROCESS FOUR ", time4xi())                    
         
        #=========
        # 1800 FOUR
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2four4process is True:
    
            if ack2four4start is True:
    
                if ack2four4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 498F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE FOUR CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                        # 
                    
                    message2receive4four = pipe2four_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 498F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE FOUR CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message2receive4four)
                        # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 280>  PUT INFO MESSAGE:  <ack2put4xi>queue2four8shot2four18004xi</ack2put4xi>
     
                    
                else:
                    print("\n (STEP 498F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED RUNNING PROCESS FOUR ", time4xi())                 
            else:
                print("\n (STEP 498F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED STARTING PROCESS FOUR ", time4xi())                                         
        else:
            print("\n (STEP 498F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED IN CREATING THE PROCESS FOUR ", time4xi())                    
         
        #=========
        # 1900 FOUR
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2four4process is True:
    
            if ack2four4start is True:
    
                if ack2four4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 499F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE FOUR CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                        # 
                    
                    message2receive4four = pipe2four_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 499F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE FOUR CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message2receive4four)
                        # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 280>  PUT INFO MESSAGE:  <ack2put4xi>queue2four8shot2four19004xi</ack2put4xi>
     
                    
                else:
                    print("\n (STEP 499F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED RUNNING PROCESS FOUR ", time4xi())                 
            else:
                print("\n (STEP 499F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED STARTING PROCESS FOUR ", time4xi())                                         
        else:
            print("\n (STEP 499F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED IN CREATING THE PROCESS FOUR ", time4xi())  
            
         
        #=========
        # 2000 FOUR
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2four4process is True:
    
            if ack2four4start is True:
    
                if ack2four4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 420F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE FOUR CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                        # 
                    
                    message2receive4four = pipe2four_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 420F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE FOUR CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message2receive4four)
                        # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 280>  PUT INFO MESSAGE:  <ack2put4xi>queue2four8shot2four20004xi</ack2put4xi>
     
                    
                else:
                    print("\n (STEP 420F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED RUNNING PROCESS FOUR ", time4xi())                 
            else:
                print("\n (STEP 420F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED STARTING PROCESS FOUR ", time4xi())                                         
        else:
            print("\n (STEP 420F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED IN CREATING THE PROCESS FOUR ", time4xi())  
         
        #=========
        # 2100 FOUR
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2four4process is True:
    
            if ack2four4start is True:
    
                if ack2four4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 421F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE FOUR CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                        # 
                    
                    message2receive4four = pipe2four_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 421F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE FOUR CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message2receive4four)
                        # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 280>  PUT INFO MESSAGE:  <ack2put4xi>queue2four8shot2four21004xi</ack2put4xi>
     
                    
                else:
                    print("\n (STEP 421F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED RUNNING PROCESS FOUR ", time4xi())                 
            else:
                print("\n (STEP 421F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED STARTING PROCESS FOUR ", time4xi())                                         
        else:
            print("\n (STEP 421F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED IN CREATING THE PROCESS FOUR ", time4xi())  
         
        #=========
        # 2200 FOUR
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2four4process is True:
    
            if ack2four4start is True:
    
                if ack2four4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 422F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE FOUR CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                        # 
                    
                    message2receive4four = pipe2four_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 422F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE FOUR CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message2receive4four)
                        # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 280>  PUT INFO MESSAGE:  <ack2put4xi>queue2four8shot2four22004xi</ack2put4xi>
     
                    
                else:
                    print("\n (STEP 422F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED RUNNING PROCESS FOUR ", time4xi())                 
            else:
                print("\n (STEP 422F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED STARTING PROCESS FOUR ", time4xi())                                         
        else:
            print("\n (STEP 422F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED IN CREATING THE PROCESS FOUR ", time4xi())  
         
        #=========
        # 2300 FOUR
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2four4process is True:
    
            if ack2four4start is True:
    
                if ack2four4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 423F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE FOUR CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                        # 
                    
                    message2receive4four = pipe2four_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 423F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE FOUR CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message2receive4four)
                        # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 280>  PUT INFO MESSAGE:  <ack2put4xi>queue2four8shot2four23004xi</ack2put4xi>
     
                    
                else:
                    print("\n (STEP 423F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED RUNNING PROCESS FOUR ", time4xi())                 
            else:
                print("\n (STEP 423F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED STARTING PROCESS FOUR ", time4xi())                                         
        else:
            print("\n (STEP 423F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED IN CREATING THE PROCESS FOUR ", time4xi())  
         
        #=========
        # 2400 FOUR
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2four4process is True:
    
            if ack2four4start is True:
    
                if ack2four4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 424F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE FOUR CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                        # 
                    
                    message2receive4four = pipe2four_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 424F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE FOUR CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message2receive4four)
                        # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 280>  PUT INFO MESSAGE:  <ack2put4xi>queue2four8shot2four24004xi</ack2put4xi>
     
                    
                else:
                    print("\n (STEP 424F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED RUNNING PROCESS FOUR ", time4xi())                 
            else:
                print("\n (STEP 424F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED STARTING PROCESS FOUR ", time4xi())                                         
        else:
            print("\n (STEP 424F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED IN CREATING THE PROCESS FOUR ", time4xi())  
         
        #=========
        # 2500 FOUR
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2four4process is True:
    
            if ack2four4start is True:
    
                if ack2four4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 425F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE FOUR CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                        # 
                    
                    message2receive4four = pipe2four_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 425F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE FOUR CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message2receive4four)
                        # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 280>  PUT INFO MESSAGE:  <ack2put4xi>queue2four8shot2four25004xi</ack2put4xi>
     
                    
                else:
                    print("\n (STEP 425F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED RUNNING PROCESS FOUR ", time4xi())                 
            else:
                print("\n (STEP 425F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED STARTING PROCESS FOUR ", time4xi())                                         
        else:
            print("\n (STEP 425F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED IN CREATING THE PROCESS FOUR ", time4xi())  
         
        #=========
        # 2600 FOUR
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2four4process is True:
    
            if ack2four4start is True:
    
                if ack2four4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 426F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE FOUR CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                        # 
                    
                    message2receive4four = pipe2four_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 426F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE FOUR CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message2receive4four)
                        # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 280>  PUT INFO MESSAGE:  <ack2put4xi>queue2four8shot2four26004xi</ack2put4xi>
     
                    
                else:
                    print("\n (STEP 426F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED RUNNING PROCESS FOUR ", time4xi())                 
            else:
                print("\n (STEP 426F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED STARTING PROCESS FOUR ", time4xi())                                         
        else:
            print("\n (STEP 426F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED IN CREATING THE PROCESS FOUR ", time4xi())  
         
        #=========
        # 2700 FOUR
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2four4process is True:
    
            if ack2four4start is True:
    
                if ack2four4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 427F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE FOUR CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                        # 
                    
                    message2receive4four = pipe2four_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 427F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE FOUR CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message2receive4four)
                        # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 280>  PUT INFO MESSAGE:  <ack2put4xi>queue2four8shot2four27004xi</ack2put4xi>
    
                    
                else:
                    print("\n (STEP 427F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED RUNNING PROCESS FOUR ", time4xi())                 
            else:
                print("\n (STEP 427F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED STARTING PROCESS FOUR ", time4xi())                                         
        else:
            print("\n (STEP 427F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED IN CREATING THE PROCESS FOUR ", time4xi())  
         
        #=========
        # 2800 FOUR
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2four4process is True:
    
            if ack2four4start is True:
    
                if ack2four4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 428F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE FOUR CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                        # 
                    
                    message2receive4four = pipe2four_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 428F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE FOUR CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message2receive4four)
                        # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 280>  PUT INFO MESSAGE:  <ack2put4xi>queue2four8shot2four28004xi</ack2put4xi>
     
                    
                else:
                    print("\n (STEP 428F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED RUNNING PROCESS FOUR ", time4xi())                 
            else:
                print("\n (STEP 428F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED STARTING PROCESS FOUR ", time4xi())                                         
        else:
            print("\n (STEP 428F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED IN CREATING THE PROCESS FOUR ", time4xi())  
         
        #=========
        # 2900 FOUR
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2four4process is True:
    
            if ack2four4start is True:
    
                if ack2four4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 429F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE FOUR CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                        # 
                    message2receive4four = pipe2four_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 429F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE FOUR CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message2receive4four)
                        # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 280>  PUT INFO MESSAGE:  <ack2put4xi>queue2four8shot2four29004xi</ack2put4xi>
     
                else:
                    print("\n (STEP 429F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED RUNNING PROCESS FOUR ", time4xi())                 
            else:
                print("\n (STEP 429F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED STARTING PROCESS FOUR ", time4xi())                                         
        else:
            print("\n (STEP 429F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED IN CREATING THE PROCESS FOUR ", time4xi())  
         
        #=========
        # 3000 FOUR
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2four4process is True:
    
            if ack2four4start is True:
    
                if ack2four4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 430F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE FOUR CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                        # 
                    
                    message2receive4four = pipe2four_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 430F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE FOUR CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message2receive4four)
                        # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 280>  PUT INFO MESSAGE:  <ack2put4xi>queue2four8shot2four30004xi</ack2put4xi>
     
                    
                else:
                    print("\n (STEP 430F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED RUNNING PROCESS FOUR ", time4xi())                 
            else:
                print("\n (STEP 430F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED STARTING PROCESS FOUR ", time4xi())                                         
        else:
            print("\n (STEP 430F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED IN CREATING THE PROCESS FOUR ", time4xi())  
         
        #=========
        # 3100 FOUR
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2four4process is True:
    
            if ack2four4start is True:
    
                if ack2four4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 431F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE FOUR CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                        # 
                        
                    message2receive4four = pipe2four_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 431F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE FOUR CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message2receive4four) 
                        # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 280>  PUT INFO MESSAGE:  <ack2put4xi>queue2four8shot2four31004xi</ack2put4xi>
     
                else:
                    print("\n (STEP 431F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED RUNNING PROCESS FOUR ", time4xi())                 
            else:
                print("\n (STEP 431F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED STARTING PROCESS FOUR ", time4xi())                                         
        else:
            print("\n (STEP 431F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED IN CREATING THE PROCESS FOUR ", time4xi())  
         
        #=========
        # 3200 FOUR
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2four4process is True:
    
            if ack2four4start is True:
    
                if ack2four4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 432F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE FOUR CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                        # 
                    message2receive4four = pipe2four_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 432F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE FOUR CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message2receive4four)
                        # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 280>  PUT INFO MESSAGE:  <ack2put4xi>queue2four8shot2four32004xi</ack2put4xi>
     
                else:
                    print("\n (STEP 432F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED RUNNING PROCESS FOUR ", time4xi())                 
            else:
                print("\n (STEP 432F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED STARTING PROCESS FOUR ", time4xi())                                         
        else:
            print("\n (STEP 432F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED IN CREATING THE PROCESS FOUR ", time4xi())  
         
        #=========
        # 3300 FOUR
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2four4process is True:
    
            if ack2four4start is True:
    
                if ack2four4run is True:
        
                    # -----------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -----------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 433F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE FOUR CONSUMER_CHANNEL: ", pipe2four_consumer_channel) 
                        # 
                    message2receive4four = pipe2four_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 433F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE FOUR CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message2receive4four)
                        # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 280>  PUT INFO MESSAGE:  <ack2put4xi>queue2four8shot2four33004xi</ack2put4xi>
     
                else:
                    print("\n (STEP 433F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED RUNNING PROCESS FOUR ", time4xi())                 
            else:
                print("\n (STEP 433F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED STARTING PROCESS FOUR ", time4xi())                                         
        else:
            print("\n (STEP 433F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FOUR - FAILED IN CREATING THE PROCESS FOUR ", time4xi())  
    
          
               
        # =========================================================================================================   
        # I/IV EOF - FOUR DIRECTION LAYERS 10, 100 ...3300 PIPE INFORMATION FIRST
        # =========================================================================================================      
        if ack2debug is True:
            print("\n (STEP 433F7/800) OF COLOR_TENSES4XI - DONE TRIALS TO RECEIVE FOUR DIRECTION LAYERS 10, 100 ...3300 PIPE INFORMATION ", time4xi())
            #               
    
     
    
               
        # =========================================================================================================   
        # II/IV FOUR DIRECTION LAYERS 10, 100 ...3300 QUEUE DIRECTORIES 
        # =========================================================================================================      
        if ack2debug is True:
            print("\n (STEP 434F0/800) OF COLOR_TENSES4XI - TRYING TO GET FOUR DIRECTION LAYERS 10, 100 ...3300 QUEUE DIRECTORIES ", time4xi())
            #        
        #========
        # 10 FOUR   
        #========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE FOUR 
        # =============================================================================================  
        fire2four104xi = {}
        
        if ack2four4process is True:
    
            if ack2four4start is True:
    
                if ack2four4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE FOUR  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 434F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2FOUR104XI FROM QUEUE FOUR: ", queue2four)
                        # 
                                    
                    fire2four104xi = queue2four.get() 
                    if fire2four104xi is None:
                        fire2four104xi = shot2four104xi
                        print("\n (STEP 434F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE FOUR: ", queue2four, " - SET FIRE2FOUR104XI TO SHOT2FOUR104XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 434F3/800) OF COLOR_TENSES4XI -  FIRE2FOUR104XI: ", fire2four104xi) 
                        # {1: '0x-9y2z', 2: '11x-23y53z', 3: '11x-9y47z', 4: '12x-15y2z' ...
                        
                else:
                    print("\n (STEP 434F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED RUNNING PROCESS FOUR ", time4xi())                 
            else:
                print("\n (STEP 434F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED STARTING PROCESS FOUR ", time4xi())                                         
        else:
            print("\n (STEP 434F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED IN CREATING PROCESS FOUR ", time4xi())
        
            
          
               
        #========
        # 100 FOUR
        #========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE FOUR 
        # =============================================================================================  
        fire2four1004xi = {}
    
        if ack2four4process is True:
    
            if ack2four4start is True:
    
                if ack2four4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE FOUR  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 441F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2FOUR1004XI FROM QUEUE FOUR: ", queue2four)
                        # 
                                    
                    fire2four1004xi = queue2four.get()
                    if fire2four1004xi is None:
                        fire2four1004xi = shot2four1004xi
                        print("\n (STEP 441F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE FOUR: ", queue2four, " - SET FIRE2FOUR1004XI TO SHOT2FOUR1004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 441F3/800) OF COLOR_TENSES4XI -  FIRE2FOUR1004XI: ", fire2four1004xi) 
                        # {1: '10x-4y99z', 2: '10x-96y22z', 3: '11x-20y97z', 4: '11x-4y99z' ...
                        
                else:
                    print("\n (STEP 441F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED RUNNING PROCESS FOUR ", time4xi())                 
            else:
                print("\n (STEP 441F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED STARTING PROCESS FOUR ", time4xi())                                         
        else:
            print("\n (STEP 441F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
          
    
        #========
        # 200 FOUR
        #========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE FOUR 
        # =============================================================================================  
        fire2four2004xi = {}
        
        if ack2four4process is True:
    
            if ack2four4start is True:
    
                if ack2four4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE FOUR  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 442F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2FOUR2004XI FROM QUEUE FOUR: ", queue2four)
                        # 
                                    
                    fire2four2004xi = queue2four.get()
                    if fire2four2004xi is None:
                        fire2four2004xi = shot2four2004xi
                        print("\n (STEP 442F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE FOUR: ", queue2four, " - SET FIRE2FOUR2004XI TO SHOT2FOUR2004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 442F3/800) OF COLOR_TENSES4XI -  FIRE2FOUR2004XI: ", fire2four2004xi) 
                        # {1: '103x-122y118z', 2: '103x-43y165z', 3: '103x-89y145z', 4: '107x-166y27z' ...
                        
                else:
                    print("\n (STEP 442F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED RUNNING PROCESS FOUR ", time4xi())                 
            else:
                print("\n (STEP 442F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED STARTING PROCESS FOUR ", time4xi())                                         
        else:
            print("\n (STEP 442F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
                                        
                                      
          
    
    
           
        #========
        # 300 FOUR
        #========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE FOUR 
        # =============================================================================================  
        fire2four3004xi = {}
        
        if ack2four4process is True:
    
            if ack2four4start is True:
    
                if ack2four4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE FOUR  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 443F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2FOUR3004XI FROM QUEUE FOUR: ", queue2four)
                        # 
                                    
                    fire2four3004xi = queue2four.get()
                    if fire2four3004xi is None:
                        fire2four3004xi = shot2four3004xi
                        print("\n (STEP 443F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE FOUR: ", queue2four, " - SET FIRE2FOUR3004XI TO SHOT2FOUR3004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 443F3/800) OF COLOR_TENSES4XI -  FIRE2FOUR3004XI: ", fire2four3004xi) 
                        # {1: '101x-107y261z', 2: '103x-36y279z', 3: '105x-275y52z', 4: '107x-32y278z' ...
                        
                else:
                    print("\n (STEP 443F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED RUNNING PROCESS FOUR ", time4xi())                 
            else:
                print("\n (STEP 443F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED STARTING PROCESS FOUR ", time4xi())                                         
        else:
            print("\n (STEP 443F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
                   
    
    
           
        #========
        # 400 FOUR
        #========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE FOUR 
        # =============================================================================================  
        fire2four4004xi = {}
        
        if ack2four4process is True:
    
            if ack2four4start is True:
    
                if ack2four4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE FOUR  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 444F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2FOUR4004XI FROM QUEUE FOUR: ", queue2four)
                        # 
                                    
                    fire2four4004xi = queue2four.get()
                    if fire2four4004xi is None:
                        fire2four4004xi = shot2four4004xi
                        print("\n (STEP 444F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE FOUR: ", queue2four, " - SET FIRE2FOUR4004XI TO SHOT2FOUR4004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 444F3/800) OF COLOR_TENSES4XI -  FIRE2FOUR4004XI: ", fire2four4004xi) 
                        # {1: '101x-378y78z', 2: '105x-153y353z', 3: '105x-72y379z', 4: '106x-225y312z' ...
                        
                else:
                    print("\n (STEP 444F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED RUNNING PROCESS FOUR ", time4xi())                 
            else:
                print("\n (STEP 444F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED STARTING PROCESS FOUR ", time4xi())                                         
        else:
            print("\n (STEP 444F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
                   
    
    
                                   
        #========
        # 500 FOUR
        #========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE FOUR 
        # =============================================================================================  
        fire2four5004xi = {}
        
        if ack2four4process is True:
    
            if ack2four4start is True:
    
                if ack2four4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE FOUR  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 445F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2FOUR5004XI FROM QUEUE FOUR: ", queue2four)
                        # 
                                    
                    fire2four5004xi = queue2four.get()
                    if fire2four5004xi is None:
                        fire2four5004xi = shot2four5004xi
                        print("\n (STEP 373F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE FOUR: ", queue2four, " - SET FIRE2FOUR5004XI TO SHOT2FOUR5004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 373F3/800) OF COLOR_TENSES4XI -  FIRE2FOUR5004XI: ", fire2four5004xi) 
                        # {1: '101x-478y102z', 2: '105x-100y478z', 3: '106x-197y446z', 4: '114x-97y476z' ...
                        
                else:
                    print("\n (STEP 445F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED RUNNING PROCESS FOUR ", time4xi())                 
            else:
                print("\n (STEP 445F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED STARTING PROCESS FOUR ", time4xi())                                         
        else:
            print("\n (STEP 445F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
                                      
          
    
                                                                                              
        #========
        # 600 FOUR
        #========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE FOUR 
        # =============================================================================================  
        fire2four6004xi = {}
        
        if ack2four4process is True:
    
            if ack2four4start is True:
    
                if ack2four4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE FOUR  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 446F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2FOUR6004XI FROM QUEUE FOUR: ", queue2four)
                        # 
                                    
                    fire2four6004xi = queue2four.get()
                    if fire2four6004xi is None:
                        fire2four6004xi = shot2four6004xi
                        print("\n (STEP 446F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE FOUR: ", queue2four, " - SET FIRE2FOUR6004XI TO SHOT2FOUR6004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 446F3/800) OF COLOR_TENSES4XI -  FIRE2FOUR6004XI: ", fire2four6004xi) 
                        # {1: '103x-13y590z', 2: '105x-123y577z', 3: '109x-8y589z', 4: '112x-238y538z' ...
                        
                else:
                    print("\n (STEP 446F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED RUNNING PROCESS FOUR ", time4xi())                 
            else:
                print("\n (STEP 446F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED STARTING PROCESS FOUR ", time4xi())                                         
        else:
            print("\n (STEP 446F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
                   
    
    
            
        #========
        # 700 FOUR
        #========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE FOUR 
        # =============================================================================================  
        fire2four7004xi = {}
        
        if ack2four4process is True:
    
            if ack2four4start is True:
    
                if ack2four4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE FOUR  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 447F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2FOUR7004XI FROM QUEUE FOUR: ", queue2four)
                        # 
                                    
                    fire2four7004xi = queue2four.get()
                    if fire2four7004xi is None:
                        fire2four7004xi = shot2four7004xi
                        print("\n (STEP 373F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE FOUR: ", queue2four, " - SET FIRE2FOUR7004XI TO SHOT2FOUR7004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 447F3/800) OF COLOR_TENSES4XI -  FIRE2FOUR7004XI: ", fire2four7004xi) 
                        # {1: '105x-25y691z', 2: '106x-675y150z', 3: '111x-145y675z', 4: '112x-20y690z' ...
                        
                else:
                    print("\n (STEP 447F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED RUNNING PROCESS FOUR ", time4xi())                 
            else:
                print("\n (STEP 447F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED STARTING PROCESS FOUR ", time4xi())                                         
        else:
            print("\n (STEP 447F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
                   
    
    
              
        #========
        # 800 FOUR
        #========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE FOUR 
        # =============================================================================================  
        fire2four8004xi = {}
        
        if ack2four4process is True:
    
            if ack2four4start is True:
    
                if ack2four4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE FOUR  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 448F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2FOUR8004XI FROM QUEUE FOUR: ", queue2four)
                        # 
                                    
                    fire2four8004xi = queue2four.get()
                    if fire2four8004xi is None:
                        fire2four8004xi = shot2four8004xi
                        print("\n (STEP 448F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE FOUR: ", queue2four, " - SET FIRE2FOUR8004XI TO SHOT2FOUR8004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 448F3/800) OF COLOR_TENSES4XI -  FIRE2FOUR8004XI: ", fire2four8004xi) 
                        # {1: '101x-165y776z', 2: '101x-35y792z', 3: '110x-32y791z', 4: '114x-166y774z' ...
                        
                else:
                    print("\n (STEP 448F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED RUNNING PROCESS FOUR ", time4xi())                 
            else:
                print("\n (STEP 448F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED STARTING PROCESS FOUR ", time4xi())                                         
        else:
            print("\n (STEP 448F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
                   
    
    
            
        #========
        # 900 FOUR
        #========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE FOUR 
        # =============================================================================================  
        fire2four9004xi = {}
        
        if ack2four4process is True:
    
            if ack2four4start is True:
    
                if ack2four4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE FOUR  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 449F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2FOUR9004XI FROM QUEUE FOUR: ", queue2four)
                        # 
                                    
                    fire2four9004xi = queue2four.get()
                    if fire2four9004xi is None:
                        fire2four9004xi = shot2four9004xi
                        print("\n (STEP 449F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE FOUR: ", queue2four, " - SET FIRE2FOUR9004XI TO SHOT2FOUR9004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 449F3/800) OF COLOR_TENSES4XI -  FIRE2FOUR9004XI: ", fire2four9004xi) 
                        # {1: '103x-42y892z', 2: '113x-186y873z', 3: '114x-40y891z', 4: '124x-36y890z' ...
                        
                else:
                    print("\n (STEP 449F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED RUNNING PROCESS FOUR ", time4xi())                 
            else:
                print("\n (STEP 449F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED STARTING PROCESS FOUR ", time4xi())                                         
        else:
            print("\n (STEP 449F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
                   
    
    
            
        #=========
        # 1000 FOUR
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE FOUR 
        # =============================================================================================  
        fire2four10004xi = {}
        
        if ack2four4process is True:
    
            if ack2four4start is True:
    
                if ack2four4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE FOUR  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 450F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2FOUR10004XI FROM QUEUE FOUR: ", queue2four)
                        # 
                                    
                    fire2four10004xi = queue2four.get()
                    if fire2four10004xi is None:
                        fire2four10004xi = shot2four10004xi
                        print("\n (STEP 450F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE FOUR: ", queue2four, " - SET FIRE2FOUR10004XI TO SHOT2FOUR10004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 450F3/800) OF COLOR_TENSES4XI -  FIRE2FOUR10004XI: ", fire2four10004xi) 
                        # {1: '101x-968y225z', 2: '103x-49y993z', 3: '110x-204y972z', 4: '115x-47y992z' ...
                        
                else:
                    print("\n (STEP 450F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED RUNNING PROCESS FOUR ", time4xi())                 
            else:
                print("\n (STEP 450F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED STARTING PROCESS FOUR ", time4xi())                                         
        else:
            print("\n (STEP 450F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
                   
    
            
        #=========
        # 1100 FOUR
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE FOUR 
        # =============================================================================================  
        fire2four11004xi = {}
        
        if ack2four4process is True:
    
            if ack2four4start is True:
    
                if ack2four4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE FOUR  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 451F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2FOUR11004XI FROM QUEUE FOUR: ", queue2four)
                        # 
                                    
                    fire2four11004xi = queue2four.get()
                    if fire2four11004xi is None:
                        fire2four11004xi = shot2four11004xi
                        print("\n (STEP 451F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE FOUR: ", queue2four, " - SET FIRE2FOUR11004XI TO SHOT2FOUR11004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 451F3/800) OF COLOR_TENSES4XI -  FIRE2FOUR11004XI: ", fire2four11004xi) 
                        # {1: '1004x-447y29z', 2: '101x-54y1093z', 3: '1026x-394y18z', 4: '1046x-339y7z' ...
                        
                else:
                    print("\n (STEP 451F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED RUNNING PROCESS FOUR ", time4xi())                 
            else:
                print("\n (STEP 451F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED STARTING PROCESS FOUR ", time4xi())                                         
        else:
            print("\n (STEP 451F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
                   
    
    
            
        #=========
        # 1200 FOUR
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE FOUR 
        # =============================================================================================  
        fire2four12004xi = {}
        
        if ack2four4process is True:
    
            if ack2four4start is True:
    
                if ack2four4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE FOUR  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 452F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2FOUR12004XI FROM QUEUE FOUR: ", queue2four)
                        # 
                                    
                    fire2four12004xi = queue2four.get()
                    if fire2four12004xi is None:
                        fire2four12004xi = shot2four12004xi
                        print("\n (STEP 452F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE FOUR: ", queue2four, " - SET FIRE2FOUR12004XI TO SHOT2FOUR12004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 452F3/800) OF COLOR_TENSES4XI -  FIRE2FOUR12004XI: ", fire2four12004xi) 
                        # {1: '1004x-652y68z', 2: '1038x-599y56z', 3: '1051x-377y663z', 4: '1068x-544y44z' ...
                        
                else:
                    print("\n (STEP 452F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED RUNNING PROCESS FOUR ", time4xi())                 
            else:
                print("\n (STEP 452F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED STARTING PROCESS FOUR ", time4xi())                                         
        else:
            print("\n (STEP 452F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
                   
    
    
            
        #=========
        # 1300 FOUR
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE FOUR 
        # =============================================================================================  
        fire2four13004xi = {}
        
        if ack2four4process is True:
    
            if ack2four4start is True:
    
                if ack2four4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE FOUR  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 453F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2FOUR13004XI FROM QUEUE FOUR: ", queue2four)
                        # 
                                    
                    fire2four13004xi = queue2four.get()
                    if fire2four13004xi is None:
                        fire2four13004xi = shot2four13004xi
                        print("\n (STEP 453F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE FOUR: ", queue2four, " - SET FIRE2FOUR13004XI TO SHOT2FOUR13004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 453F3/800) OF COLOR_TENSES4XI -  FIRE2FOUR13004XI: ", fire2four13004xi) 
                        # {1: '1005x-29y823z', 2: '1007x-815y100z', 3: '1024x-429y674z', 4: '1049x-762y87z' ...
                        
                else:
                    print("\n (STEP 453F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED RUNNING PROCESS FOUR ", time4xi())                 
            else:
                print("\n (STEP 453F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED STARTING PROCESS FOUR ", time4xi())                                         
        else:
            print("\n (STEP 453F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
                   
    
            
        #=========
        # 1400 FOUR
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE FOUR 
        # =============================================================================================  
        fire2four14004xi = {}
        
        if ack2four4process is True:
    
            if ack2four4start is True:
    
                if ack2four4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE FOUR  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 454F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2FOUR14004XI FROM QUEUE FOUR: ", queue2four)
                        # 
                                    
                    fire2four14004xi = queue2four.get()
                    if fire2four14004xi is None:
                        fire2four14004xi = shot2four14004xi
                        print("\n (STEP 454F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE FOUR: ", queue2four, " - SET FIRE2FOUR14004XI TO SHOT2FOUR14004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 454F3/800) OF COLOR_TENSES4XI -  FIRE2FOUR14004XI: ", fire2four14004xi) 
                        # {1: '1017x-248y929z', 2: '1036x-568y750z', 3: '1036x-933y121z', 4: '1037x-196y918z' ...
                        
                else:
                    print("\n (STEP 454F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED RUNNING PROCESS FOUR ", time4xi())                 
            else:
                print("\n (STEP 454F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED STARTING PROCESS FOUR ", time4xi())                                         
        else:
            print("\n (STEP 454F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
                   
    
            
        #=========
        # 1500 FOUR
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE FOUR 
        # =============================================================================================  
        fire2four15004xi = {}
        
        if ack2four4process is True:
    
            if ack2four4start is True:
    
                if ack2four4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE FOUR  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 455F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2FOUR15004XI FROM QUEUE FOUR: ", queue2four)
                        # 
                                    
                    fire2four15004xi = queue2four.get()
                    if fire2four15004xi is None:
                        fire2four15004xi = shot2four15004xi
                        print("\n (STEP 455F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE FOUR: ", queue2four, " - SET FIRE2FOUR15004XI TO SHOT2FOUR15004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 455F3/800) OF COLOR_TENSES4XI -  FIRE2FOUR15004XI: ", fire2four15004xi) 
                        # {1: '1006x-421y1028z', 2: '101x-287y1468z', 3: '1026x-712y829z', 4: '1037x-371y1018z' ...
                        
                else:
                    print("\n (STEP 455F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED RUNNING PROCESS FOUR ", time4xi())                 
            else:
                print("\n (STEP 455F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED STARTING PROCESS FOUR ", time4xi())                                         
        else:
            print("\n (STEP 455F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
                   
    
            
        #=========
        # 1600 FOUR
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE FOUR 
        # =============================================================================================  
        fire2four16004xi = {}
        
        if ack2four4process is True:
    
            if ack2four4start is True:
    
                if ack2four4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE FOUR  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 456F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2FOUR16004XI FROM QUEUE FOUR: ", queue2four)
                        # 
                                    
                    fire2four16004xi = queue2four.get() 
                    if fire2four16004xi is None:
                        fire2four16004xi = shot2four16004xi
                        print("\n (STEP 456F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE FOUR: ", queue2four, " - SET FIRE2FOUR1600 4XI TO SHOT2FOUR1600 4XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 456F3/800) OF COLOR_TENSES4XI -  FIRE2FOUR16004XI: ", fire2four16004xi) 
                        # {1: '1000x-1234y187z', 2: '1001x-548y1120z', 3: '1039x-500y1109z', 4: '1046x-810y898z' ...
                        
                else:
                    print("\n (STEP 456F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED RUNNING PROCESS FOUR ", time4xi())                 
            else:
                print("\n (STEP 456F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED STARTING PROCESS FOUR ", time4xi())                                         
        else:
            print("\n (STEP 456F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
                   
    
            
        #=========
        # 1700 FOUR
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE FOUR 
        # =============================================================================================  
        fire2four17004xi = {}
        
        if ack2four4process is True:
    
            if ack2four4start is True:
    
                if ack2four4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE FOUR  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 457F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2FOUR17004XI FROM QUEUE FOUR: ", queue2four)
                        # 
                                    
                    fire2four17004xi = queue2four.get()
                    if fire2four17004xi is None:
                        fire2four17004xi = shot2four17004xi
                        print("\n (STEP 457F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE FOUR: ", queue2four, " - SET FIRE2FOUR17004XI TO SHOT2FOUR17004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 457F3/800) OF COLOR_TENSES4XI -  FIRE2FOUR17004XI: ", fire2four17004xi) 
                        # {1: '1002x-959y982z', 2: '1012x-135y1358z', 3: '101x-77y1695z', 4: '1022x-631y1202z' ...
                        
                else:
                    print("\n (STEP 457F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED RUNNING PROCESS FOUR ", time4xi())                 
            else:
                print("\n (STEP 457F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED STARTING PROCESS FOUR ", time4xi())                                         
        else:
            print("\n (STEP 457F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
                   
    
            
        #=========
        # 1800 FOUR
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE FOUR 
        # =============================================================================================  
        fire2four18004xi = {}
        
        if ack2four4process is True:
    
            if ack2four4start is True:
    
                if ack2four4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE FOUR  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 458F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2FOUR18004XI FROM QUEUE FOUR: ", queue2four)
                        # 
                                    
                    fire2four18004xi = queue2four.get()
                    if fire2four18004xi is None:
                        fire2four18004xi = shot2four18004xi
                        print("\n (STEP 458F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE FOUR: ", queue2four, " - SET FIRE2FOUR18004XI TO SHOT2FOUR18004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 458F3/800) OF COLOR_TENSES4XI -  FIRE2FOUR18004XI: ", fire2four18004xi) 
                        # FIRE2FOUR18004XI:  {1: '1023x-248y1459z', 2: '1035x-716y1286z', 3: '1049x-1444y228z', 4: '1049x-196y1449z' ...
                        
                else:
                    print("\n (STEP 458F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED RUNNING PROCESS FOUR ", time4xi())                 
            else:
                print("\n (STEP 458F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED STARTING PROCESS FOUR ", time4xi())                                         
        else:
            print("\n (STEP 458F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
                   
    
            
        #=========
        # 1900 FOUR
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE FOUR 
        # =============================================================================================  
        fire2four19004xi = {}
        
        if ack2four4process is True:
    
            if ack2four4start is True:
    
                if ack2four4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE FOUR  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 459F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2FOUR19004XI FROM QUEUE FOUR: ", queue2four)
                        # 
                                    
                    fire2four19004xi = queue2four.get()
                    if fire2four19004xi is None:
                        fire2four19004xi = shot2four19004xi
                        print("\n (STEP 459F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE FOUR: ", queue2four, " - SET FIRE2FOUR19004XI TO SHOT2FOUR19004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 459F3/800) OF COLOR_TENSES4XI -  FIRE2FOUR19004XI: ", fire2four19004xi) 
                        # {1: '1017x-362y1562z', 2: '1025x-1578y259z', 3: '1040x-804y1370z', 4: '1050x-313y1552z' ...
                        
                else:
                    print("\n (STEP 459F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED RUNNING PROCESS FOUR ", time4xi())                 
            else:
                print("\n (STEP 459F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED STARTING PROCESS FOUR ", time4xi())                                         
        else:
            print("\n (STEP 459F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
                   
          
    
            
        #=========
        # 2000 FOUR
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE FOUR 
        # =============================================================================================  
        fire2four20004xi = {}
        
        if ack2four4process is True:
    
            if ack2four4start is True:
    
                if ack2four4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE FOUR  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 460F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2FOUR20004XI FROM QUEUE FOUR: ", queue2four)
                        # 
                                    
                    fire2four20004xi = queue2four.get()
                    if fire2four20004xi is None:
                        fire2four20004xi = shot2four20004xi
                        print("\n (STEP 460F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE FOUR: ", queue2four, " - SET FIRE2FOUR20004XI TO SHOT2FOUR20004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 460F3/800) OF COLOR_TENSES4XI -  FIRE2FOUR20004XI: ", fire2four20004xi) 
                        # {1: '101x-1941y469z', 2: '1034x-431y1656z', 3: '1038x-893y1456z', 4: '1039x-1228y1187z' ...
                        
                else:
                    print("\n (STEP 460F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED RUNNING PROCESS FOUR ", time4xi())                 
            else:
                print("\n (STEP 460F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED STARTING PROCESS FOUR ", time4xi())                                         
        else:
            print("\n (STEP 460F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
                   
    
            
        #=========
        # 2100 FOUR
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE FOUR 
        # =============================================================================================  
        fire2four21004xi = {}
        
        if ack2four4process is True:
    
            if ack2four4start is True:
    
                if ack2four4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE FOUR  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 461F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2FOUR21004XI FROM QUEUE FOUR: ", queue2four)
                        # 
                                    
                    fire2four21004xi = queue2four.get()
                    if fire2four21004xi is None:
                        fire2four21004xi = shot2four21004xi
                        print("\n (STEP 461F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE FOUR: ", queue2four, " - SET FIRE2FOUR21004XI TO SHOT2FOUR21004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 461F3/800) OF COLOR_TENSES4XI -  FIRE2FOUR21004XI: ", fire2four21004xi) 
                        # {1: '1002x-547y1762z', 2: '1014x-1334y1264z', 3: '1029x-983y1543z', 4: '1038x-1798y307z' ...
                        
                else:
                    print("\n (STEP 461F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED RUNNING PROCESS FOUR ", time4xi())                 
            else:
                print("\n (STEP 461F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED STARTING PROCESS FOUR ", time4xi())                                         
        else:
            print("\n (STEP 461F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
                   
    
            
        #=========
        # 2200 FOUR
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE FOUR 
        # =============================================================================================  
        fire2four22004xi = {}
        
        if ack2four4process is True:
    
            if ack2four4start is True:
    
                if ack2four4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE FOUR  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 462F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2FOUR22004XI FROM QUEUE FOUR: ", queue2four)
                        # 
                                    
                    fire2four22004xi = queue2four.get()
                    if fire2four22004xi is None:
                        fire2four22004xi = shot2four22004xi
                        print("\n (STEP 462F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE FOUR: ", queue2four, " - SET FIRE2FOUR22004XI TO SHOT2FOUR22004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 462F3/800) OF COLOR_TENSES4XI -  FIRE2FOUR22004XI: ", fire2four22004xi) 
                        # {1: '1002x-617y1858z', 2: '1011x-1073y1632z', 3: '1049x-573y1846z', 4: '1063x-1398y1324z' ...
                        
                else:
                    print("\n (STEP 462F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED RUNNING PROCESS FOUR ", time4xi())                 
            else:
                print("\n (STEP 462F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED STARTING PROCESS FOUR ", time4xi())                                         
        else:
            print("\n (STEP 462F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
                   
    
            
        #=========
        # 2300 FOUR
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE FOUR 
        # =============================================================================================  
        fire2four23004xi = {}
        
        if ack2four4process is True:
    
            if ack2four4start is True:
    
                if ack2four4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE FOUR  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 463F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2FOUR23004XI FROM QUEUE FOUR: ", queue2four)
                        # 
                                    
                    fire2four23004xi = queue2four.get()
                    if fire2four23004xi is None:
                        fire2four23004xi = shot2four23004xi
                        print("\n (STEP 463F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE FOUR: ", queue2four, " - SET FIRE2FOUR23004XI TO SHOT2FOUR23004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 463F3/800) OF COLOR_TENSES4XI -  FIRE2FOUR23004XI: ", fire2four23004xi) 
                        # {1: '1025x-1506y1402z', 2: '1031x-2024y360z', 3: '1048x-645y1942z', 4: '1057x-1122y1706z' ...
                        
                else:
                    print("\n (STEP 463F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED RUNNING PROCESS FOUR ", time4xi())                 
            else:
                print("\n (STEP 463F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED STARTING PROCESS FOUR ", time4xi())                                         
        else:
            print("\n (STEP 463F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
                   
    
            
        #=========
        # 2400 FOUR
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE FOUR 
        # =============================================================================================  
        fire2four24004xi = {}
        
        if ack2four4process is True:
    
            if ack2four4start is True:
    
                if ack2four4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE FOUR  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 464F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2FOUR24004XI FROM QUEUE FOUR: ", queue2four)
                        # 
                                    
                    fire2four24004xi = queue2four.get()
                    
                    if fire2four24004xi is None:
                        fire2four24004xi = shot2four24004xi
                        print("\n (STEP 464F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE FOUR: ", queue2four, " - SET FIRE2FOUR24004XI TO SHOT2FOUR24004XI ", time4xi())  
                        #     
                    if ack2debug is True:
                        print("\n (STEP 464F3/800) OF COLOR_TENSES4XI -  FIRE2FOUR24004XI: ", fire2four24004xi) 
                        # {1: '1010x-26y2176z', 2: '1029x-1213y1796z', 3: '1040x-718y2039z', 4: '1070x-1572y1463z' ...
                        
                else:
                    print("\n (STEP 464F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED RUNNING PROCESS FOUR ", time4xi())                 
            else:
                print("\n (STEP 464F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED STARTING PROCESS FOUR ", time4xi())                                         
        else:
            print("\n (STEP 464F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
                   
    
            
        #=========
        # 2500 FOUR
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE FOUR 
        # =============================================================================================  
        fire2four25004xi = {}
        
        if ack2four4process is True:
    
            if ack2four4start is True:
    
                if ack2four4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE FOUR  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 465F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2FOUR25004XI FROM QUEUE FOUR: ", queue2four)
                        # 
                                    
                    fire2four25004xi = queue2four.get()
                    
                    if fire2four25004xi is None:
                        fire2four25004xi = shot2four25004xi
                        print("\n (STEP 465F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE FOUR: ", queue2four, " - SET FIRE2FOUR25004XI TO SHOT2FOUR25004XI ", time4xi())  
                        #     
                    if ack2debug is True:
                        print("\n (STEP 465F3/800) OF COLOR_TENSES4XI -  FIRE2FOUR25004XI: ", fire2four25004xi) 
                        # {1: '1002x-2252y416z', 2: '1019x-1680y1544z', 3: '1026x-791y2138z', 4: '1027x-81y2277z' ...
                        
                else:
                    print("\n (STEP 465F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED RUNNING PROCESS FOUR ", time4xi())                 
            else:
                print("\n (STEP 465F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED STARTING PROCESS FOUR ", time4xi())                                         
        else:
            print("\n (STEP 465F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
                   
    
            
        #=========
        # 2600 FOUR
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE FOUR 
        # =============================================================================================  
        fire2four26004xi = {}
        
        if ack2four4process is True:
    
            if ack2four4start is True:
    
                if ack2four4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE FOUR  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 466F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2FOUR26004XI FROM QUEUE FOUR: ", queue2four)
                        # 
                                    
                    fire2four26004xi = queue2four.get()
                    
                    if fire2four26004xi is None:
                        fire2four26004xi = shot2four26004xi
                        print("\n (STEP 466F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE FOUR: ", queue2four, " - SET FIRE2FOUR26004XI TO SHOT2FOUR26004XI ", time4xi())  
                        #  
                    if ack2debug is True:
                        print("\n (STEP 466F3/800) OF COLOR_TENSES4XI -  FIRE2FOUR26004XI: ", fire2four26004xi) 
                        # {1: '1005x-862y2236z', 2: '1006x-187y2389z', 3: '1032x-1355y1963z', 4: '1038x-137y2379z' ...
                        
                else:
                    print("\n (STEP 466F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED RUNNING PROCESS FOUR ", time4xi())                 
            else:
                print("\n (STEP 466F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED STARTING PROCESS FOUR ", time4xi())                                         
        else:
            print("\n (STEP 466F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
                   
    
            
        #=========
        # 2700 FOUR
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE FOUR 
        # =============================================================================================  
        fire2four27004xi = {}
        
        if ack2four4process is True:
    
            if ack2four4start is True:
    
                if ack2four4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE FOUR  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 467F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2FOUR27004XI FROM QUEUE FOUR: ", queue2four)
                        # 
                                    
                    fire2four27004xi = queue2four.get()
                    
                    if fire2four27004xi is None:
                        fire2four27004xi = shot2four27004xi
                        print("\n (STEP 467F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE FOUR: ", queue2four, " - SET FIRE2FOUR27004XI TO SHOT2FOUR27004XI ", time4xi())  
                        # 
                    if ack2debug is True:
                        print("\n (STEP 467F3/800) OF COLOR_TENSES4XI -  FIRE2FOUR27004XI: ", fire2four27004xi) 
                        # {1: '1009x-242y2492z', 2: '1044x-896y2322z', 3: '1045x-194y2481z', 4: '1072x-1407y2039z' ...
                        
                else:
                    print("\n (STEP 467F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED RUNNING PROCESS FOUR ", time4xi())                 
            else:
                print("\n (STEP 467F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED STARTING PROCESS FOUR ", time4xi())                                         
        else:
            print("\n (STEP 467F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
                   
    
            
        #=========
        # 2800 FOUR
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE FOUR 
        # =============================================================================================  
        fire2four28004xi = {}
        
        if ack2four4process is True:
    
            if ack2four4start is True:
    
                if ack2four4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE FOUR  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 468F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2FOUR28004XI FROM QUEUE FOUR: ", queue2four)
                        # 
                                    
                    fire2four28004xi = queue2four.get()
                    
                    if fire2four28004xi is None:
                        fire2four28004xi = shot2four28004xi
                        print("\n (STEP 468F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE FOUR: ", queue2four, " - SET FIRE2FOUR28004XI TO SHOT2FOUR28004XI ", time4xi())  
                        # 
                    if ack2debug is True:
                        print("\n (STEP 468F3/800) OF COLOR_TENSES4XI -  FIRE2FOUR28004XI: ", fire2four28004xi) 
                        # {1: '1007x-298y2595z', 2: '1015x-968y2423z', 3: '1022x-1498y2132z', 4: '1033x-1924y1751z' ...
                        
                else:
                    print("\n (STEP 468F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED RUNNING PROCESS FOUR ", time4xi())                 
            else:
                print("\n (STEP 468F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED STARTING PROCESS FOUR ", time4xi())                                         
        else:
            print("\n (STEP 468F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
                   
    
            
        #=========
        # 2900 FOUR
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE FOUR 
        # =============================================================================================  
        fire2four29004xi = {}
        
        if ack2four4process is True:
    
            if ack2four4start is True:
    
                if ack2four4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE FOUR  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 469F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2FOUR29004XI FROM QUEUE FOUR: ", queue2four)
                        # 
                                    
                    fire2four29004xi = queue2four.get()
                    if fire2four29004xi is None:
                        fire2four29004xi = shot2four29004xi
                        print("\n (STEP 469F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE FOUR: ", queue2four, " - SET FIRE2FOUR29004XI TO SHOT2FOUR29004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 469F3/800) OF COLOR_TENSES4XI -  FIRE2FOUR29004XI: ", fire2four29004xi) 
                        # {1: '1000x-354y2698z', 2: '1022x-2664y511z', 3: '1043x-309y2687z', 4: '1051x-1002y2509z' ...
                        
                else:
                    print("\n (STEP 469F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED RUNNING PROCESS FOUR ", time4xi())                 
            else:
                print("\n (STEP 469F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED STARTING PROCESS FOUR ", time4xi())                                         
        else:
            print("\n (STEP 469F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
                   
    
            
        #=========
        # 3000 FOUR
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE FOUR 
        # =============================================================================================  
        fire2four30004xi = {}
        
        if ack2four4process is True:
    
            if ack2four4start is True:
    
                if ack2four4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE FOUR  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 470F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2FOUR30004XI FROM QUEUE FOUR: ", queue2four)
                        # 
                                    
                    fire2four30004xi = queue2four.get()
                    if fire2four30004xi is None:
                        fire2four30004xi = shot2four30004xi
                        print("\n (STEP 470F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE FOUR: ", queue2four, " - SET FIRE2FOUR30004XI TO SHOT2FOUR30004XI ", time4xi())  
                        #                      
                    if ack2debug is True:
                        print("\n (STEP 470F3/800) OF COLOR_TENSES4XI -  FIRE2FOUR30004XI: ", fire2four30004xi) 
                        # {1: '1014x-1073y2611z', 2: '1035x-367y2791z', 3: '1058x-2756y528z', 4: '1079x-320y2780z' ...
                        
                else:
                    print("\n (STEP 470F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED RUNNING PROCESS FOUR ", time4xi())                 
            else:
                print("\n (STEP 470F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED STARTING PROCESS FOUR ", time4xi())                                         
        else:
            print("\n (STEP 470F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
                   
    
            
        #=========
        # 3100 FOUR
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE FOUR 
        # =============================================================================================  
        fire2four31004xi = {}
        
        if ack2four4process is True:
    
            if ack2four4start is True:
    
                if ack2four4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE FOUR  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 471F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2FOUR31004XI FROM QUEUE FOUR: ", queue2four) 
                        # 
                                    
                    fire2four31004xi = queue2four.get()
                    if fire2four31004xi is None:
                        fire2four31004xi = shot2four31004xi
                        print("\n (STEP 471F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE FOUR: ", queue2four, " - SET FIRE2FOUR31004XI TO SHOT2FOUR31004XI ", time4xi())  
                        #                 
                    if ack2debug is True:
                        print("\n (STEP 471F3/800) OF COLOR_TENSES4XI -  FIRE2FOUR31004XI: ", fire2four31004xi) 
                        # {1: '1021x-423y2895z', 2: '1031x-1696y2381z', 3: '1048x-1109y2698z', 4: '1069x-379y2884z' ...
                                          
                else:
                    print("\n (STEP 471F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED RUNNING PROCESS FOUR ", time4xi())                 
            else:
                print("\n (STEP 471F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED STARTING PROCESS FOUR ", time4xi())                                         
        else:
            print("\n (STEP 471F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
                   
    
            
        #=========
        # 3200 FOUR
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE FOUR 
        # =============================================================================================  
        fire2four32004xi = {}
        
        if ack2four4process is True:
    
            if ack2four4start is True:
    
                if ack2four4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE FOUR  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 472F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2FOUR32004XI FROM QUEUE FOUR: ", queue2four)
                                        # 
                    fire2four32004xi = queue2four.get()
                    if fire2four32004xi is None:
                        fire2four32004xi = shot2four32004xi
                        print("\n (STEP 473F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE FOUR: ", queue2four, " - SET FIRE2FOUR32004XI TO SHOT2FOUR32004XI ", time4xi())  
                        # 
                                                
                    if ack2debug is True:
                        print("\n (STEP 472F3/800) OF COLOR_TENSES4XI - FIRE2FOUR32004XI: ", fire2four32004xi) 
                        # FIRE2FOUR32004XI:  {1: '1002x-1179y2800z', 2: '1003x-479y3000z', 3: '1054x-437y2989z', 4: '1064x-1750y2458z', 5: '1082x-1145y2785z', 6: '1104x-391y2977z', 7: '1128x-2940y564z', 8: '1151x-341y2965z', 9: '1160x-1106y2769z', 10: '1168x-1712y2437z', 11: '1181x-2199y2002z', 12: '1196x-287y2953z', 13: '1237x-1062y2753z', 14: '1239x-230y2941z', 15: '1270x-1668y2416z', 16: '1278x-168y2928z', 17: '1283x-2882y532z', 18: '1305x-2151y1976z', 19: '1313x-1012y2736z', 20: '1314x-104y2915z', 21: '1347x-35y2902z', 22: '1372x-1618y2395z', 23: '1387x-957y2719z', 24: '1427x-2096y1951z', 25: '1434x-2816y500z', 26: '1458x-898y2702z', 27: '1471x-1561y2374z', 28: '1527x-833y2685z', 29: '1546x-2034y1926z', 30: '1568x-1498y2352z', 31: '1582x-2741y469z', 32: '1592x-764y2668z', 33: '162x-3106y751z', 34: '1655x-689y2650z', 35: '1662x-1429y2330z', 36: '1663x-1964y1900z', 37: '1713x-611y2632z', 38: '1726x-2658y437z', 39: '1753x-1355y2308z', 40: '1768x-528y2613z', 41: '1776x-1888y1874z', 42: '1819x-441y2595z', 43: '1840x-1274y2286z', 44: '1865x-2567y405z', 45: '1865x-350y2576z', 46: '1886x-1806y1848z', 47: '1906x-255y2557z', 48: '190x-145y3191z', 49: '1924x-1188y2263z', 50: '1942x-157y2538z', 51: '1973x-56y2518z', 52: '1992x-1717y1822z', 53: '2000x-2469y374z', 54: '2003x-1097y2241z', 55: '2078x-1000y2218z', 56: '2093x-1621y1796z', 57: '2128x-2364y342z', 58: '2147x-898y2195z', 59: '217x-613y3133z', 60: '2190x-1519y1769z', 61: '2212x-792y2171z', 62: '223x-153y3188z', 63: '2252x-2252y310z', 64: '2271x-681y2148z', 65: '2282x-1412y1742z', 66: '2325x-566y2124z', 67: '2368x-1299y1715z', 68: '2369x-2133y278z', 69: '2372x-448y2100z', 70: '2413x-326y2076z', 71: '2447x-201y2051z', 72: '2448x-1180y1688z', 73: '2475x-73y2026z', 74: '2479x-2007y246z', 75: '2522x-1057y1661z', 76: '2583x-1876y214z', 77: '258x-157y3185z', 78: '260x-630y3126z', 79: '2670x-958y1685z', 80: '2679x-1739y182z', 81: '2768x-1598y150z', 82: '2849x-1451y119z', 83: '2922x-1301y87z', 84: '294x-159y3182z', 85: '2987x-1146y55z', 86: '3043x-988y23z', 87: '306x-644y3119z', 88: '325x-3100y720z', 89: '331x-157y3178z', 90: '355x-654y3112z', 91: '368x-151y3175z', 92: '405x-142y3170z', 93: '405x-661y3104z', 94: '443x-130y3166z', 95: '456x-665y3096z', 96: '480x-114y3161z', 97: '488x-3086y689z', 98: '509x-664y3088z', 99: '516x-94y3156z', 100: '524x-1273y2888z', 101: '552x-71y3151z', 102: '563x-660y3079z', 103: '586x-45y3145z', 104: '602x-1270y2874z', 105: '618x-652y3071z', 106: '619x-15y3139z', 107: '651x-3063y658z', 108: '674x-640y3061z', 109: '681x-1262y2860z', 110: '730x-624y3052z', 111: '761x-1249y2845z', 112: '785x-603y3042z', 113: '812x-3031y626z', 114: '841x-1231y2831z', 115: '841x-578y3032z', 116: '854x-1807y2498z', 117: '896x-549y3022z', 118: '922x-1207y2816z', 119: '950x-516y3011z', 120: '959x-1782y2478z', 121: '971x-2990y595z'}
     
                      
                else:
                    print("\n (STEP 472F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED RUNNING PROCESS FOUR ", time4xi())                 
            else:
                print("\n (STEP 472F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED STARTING PROCESS FOUR ", time4xi())                                         
        else:
            print("\n (STEP 472F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
                   
    
            
        #=========
        # 3300 FOUR
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE FOUR 
        # =============================================================================================  
        fire2four33004xi = {}
        
        if ack2four4process is True:
    
            if ack2four4start is True: 
    
                if ack2four4run is True:
        
                    # -----------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE FOUR  WHERE TARGET PUT IT
                    # -----------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 473F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2FOUR33004XI FROM QUEUE FOUR: ", queue2four)   
                                        # 
                    fire2four33004xi = queue2four.get()
                    if fire2four33004xi is None:
                        fire2four33004xi = shot2four33004xi
                        print("\n (STEP 474F3/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE FOUR: ", queue2four, " SET FIRE2FOUR33004XI TO SHOT2FOUR33004XI ", time4xi()) 
                        
                    if ack2debug is True:
                        print("\n (STEP 473F2/800) OF COLOR_TENSES4XI -  FIRE2FOUR33004XI: ", fire2four33004xi) 
                        # FIRE2FOUR33004XI:  {1: '1001x-3083y614z', 2: '1033x-1216y2888z', 3: '1034x-494y3094z', 4: '1087x-451y3082z' ...                            
                else:
                    print("\n (STEP 473F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED RUNNING PROCESS FOUR ", time4xi())                 
            else:
                print("\n (STEP 473F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED STARTING PROCESS FOUR ", time4xi())                                         
        else:
            print("\n (STEP 473F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FOUR - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
                   
               
        # =========================================================================================================   
        # II/IV EOF - FOUR DIRECTION LAYERS 10, 100 ...3300 QUEUE DIRECTORIES 
        # =========================================================================================================      
        if ack2debug is True:
            print("\n (STEP 473F7/800) OF COLOR_TENSES4XI - DONE TRIALS TO GET FOUR DIRECTION LAYERS 10, 100 ...3300 QUEUE DIRECTORIES ", time4xi())
            #
                       
    if DirectionKB4Xi[5] is True:        
        # =========================================================================================================   
        # I/V FIVE DIRECTION LAYERS 10, 100 ...3300 PIPE INFORMATION FIRST 
        # =========================================================================================================      
        if ack2debug is True:
            print("\n (STEP 473F7/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE FIVE DIRECTION LAYERS 10, 100 ...3300 PIPE INFORMATION ", time4xi())
            #      
        #========
        # 10 FIVE 
        #========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2five4process is True:
    
            if ack2five4start is True:
    
                if ack2five4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE FIVE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 474F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE FIVE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                        # 
                    
                    message2receive4five = pipe2five_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 474F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE FIVE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message2receive4five) 
                        # <ack2put4xi>queue2five8shot2five104xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 474F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
            else:
                print("\n (STEP 474F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
        else:
            print("\n (STEP 474F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())                    
        
        #========
        # 100 FIVE
        #========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2five4process is True:
    
            if ack2five4start is True:
    
                if ack2five4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE FIVE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 581F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE FIVE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                        # 
                    
                    message2receive4five = pipe2five_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 581F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE FIVE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message2receive4five)
                        # <ack2put4xi>queue2five8shot2five1004xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 581F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
            else:
                print("\n (STEP 581F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
        else:
            print("\n (STEP 581F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())                    
        
        #========
        # 200 FIVE 
        #========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2five4process is True:
    
            if ack2five4start is True:
    
                if ack2five4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE FIVE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 582F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE FIVE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                        # 
                    
                    message2receive4five = pipe2five_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 582F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE FIVE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message2receive4five)
                        # <ack2put4xi>queue2five8shot2five2004xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 582F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
            else:
                print("\n (STEP 582F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
        else:
            print("\n (STEP 582F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())                    
                                                    
                                      
        
        #========
        # 300 FIVE
        #========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2five4process is True:
    
            if ack2five4start is True:
    
                if ack2five4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE FIVE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 583F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE FIVE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                        # 
                    
                    message2receive4five = pipe2five_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 583F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE FIVE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message2receive4five)
                        # <ack2put4xi>queue2five8shot2five3004xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 583F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
            else:
                print("\n (STEP 583F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
        else:
            print("\n (STEP 583F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())                    
        
        #========
        # 400 FIVE
        #========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2five4process is True:
    
            if ack2five4start is True:
    
                if ack2five4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE FIVE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 584F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE FIVE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                        # 
                    
                    message2receive4five = pipe2five_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 584F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE FIVE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message2receive4five)
                        # <ack2put4xi>queue2five8shot2five4004xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 584F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
            else:
                print("\n (STEP 584F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
        else:
            print("\n (STEP 584F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())
                                
        #========
        # 500 FIVE
        #========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2five4process is True:
    
            if ack2five4start is True:
    
                if ack2five4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE FIVE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 585F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE FIVE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                        # 
                    
                    message2receive4five = pipe2five_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 585F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE FIVE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message2receive4five)
                        # <ack2put4xi>queue2five8shot2five5004xi</ack2put4xi>
     
                    
                else:
                    print("\n (STEP 585F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
            else:
                print("\n (STEP 585F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
        else:
            print("\n (STEP 585F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())                    
                                                                                           
        #========
        # 600 FIVE
        #========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2five4process is True:
    
            if ack2five4start is True:
    
                if ack2five4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE FIVE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 586F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE FIVE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                        # 
                    
                    message2receive4five = pipe2five_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 586F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE FIVE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message2receive4five)
                        # <ack2put4xi>queue2five8shot2five6004xi</ack2put4xi> 
                else:
                    print("\n (STEP 586F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
            else:
                print("\n (STEP 586F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
        else:
            print("\n (STEP 584F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())                    
         
        #========
        # 700 FIVE
        #========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2five4process is True:
    
            if ack2five4start is True:
    
                if ack2five4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE FIVE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 587F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE FIVE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                        # 
                    
                    message2receive4five = pipe2five_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 587F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE FIVE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message2receive4five)
                        # <ack2put4xi>queue2five8shot2five7004xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 587F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
            else:
                print("\n (STEP 587F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
        else:
            print("\n (STEP 587F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())                    
           
        #========
        # 800 FIVE
        #========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2five4process is True:
    
            if ack2five4start is True:
    
                if ack2five4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE FIVE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 588F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE FIVE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                        # 
                    
                    message2receive4five = pipe2five_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 588F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE FIVE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message2receive4five)
                        # <ack2put4xi>queue2five8shot2five8004xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 588F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
            else:
                print("\n (STEP 588F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
        else:
            print("\n (STEP 588F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())                    
         
        #========
        # 900 FIVE
        #========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2five4process is True:
    
            if ack2five4start is True:
    
                if ack2five4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE FIVE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 589F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE FIVE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                        # 
                    
                    message2receive4five = pipe2five_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 589F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE FIVE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message2receive4five)
                        # <ack2put4xi>queue2five8shot2five9004xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 589F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
            else:
                print("\n (STEP 589F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
        else:
            print("\n (STEP 589F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())                    
          
               
         
        #=========
        # 1000 FIVE
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2five4process is True:
    
            if ack2five4start is True:
    
                if ack2five4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE FIVE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 590F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE FIVE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                        # 
                    
                    message2receive4five = pipe2five_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 590F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE FIVE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message2receive4five)
                        # <ack2put4xi>queue2five8shot2five10004xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 590F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
            else:
                print("\n (STEP 590F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
        else:
            print("\n (STEP 590F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())                    
         
        #=========
        # 1100 FIVE
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2five4process is True:
    
            if ack2five4start is True:
    
                if ack2five4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE FIVE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 591F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE FIVE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                        # 
                    
                    message2receive4five = pipe2five_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 591F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE FIVE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message2receive4five)
                        #  <ack2put4xi>queue2five8shot2five11004xi</ack2put4xi>
                    
                else:
                    print("\n (STEP 591F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
            else:
                print("\n (STEP 591F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
        else:
            print("\n (STEP 591F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())                    
         
        #=========
        # 1200 FIVE
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2five4process is True:
    
            if ack2five4start is True:
    
                if ack2five4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE FIVE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 592F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE FIVE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                        # 
                    
                    message2receive4five = pipe2five_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 592F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE FIVE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message2receive4five)
                        # <ack2put4xi>queue2five8shot2five12004xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 592F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
            else:
                print("\n (STEP 592F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
        else:
            print("\n (STEP 592F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())                    
         
        #=========
        # 1300 FIVE
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2five4process is True:
    
            if ack2five4start is True:
    
                if ack2five4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE FIVE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 593F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE FIVE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                        # 
                    
                    message2receive4five = pipe2five_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 593F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE FIVE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message2receive4five)
                        # <ack2put4xi>queue2five8shot2five13004xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 593F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
            else:
                print("\n (STEP 593F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
        else:
            print("\n (STEP 593F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())                    
         
        #=========
        # 1400 FIVE
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2five4process is True:
    
            if ack2five4start is True:
    
                if ack2five4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE FIVE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 594F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE FIVE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                        # 
                    
                    message2receive4five = pipe2five_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 594F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE FIVE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message2receive4five)
                        # <ack2put4xi>queue2five8shot2five14004xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 594F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
            else:
                print("\n (STEP 594F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
        else:
            print("\n (STEP 594F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())                    
         
        #=========
        # 1500 FIVE
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2five4process is True:
    
            if ack2five4start is True:
    
                if ack2five4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE FIVE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 595F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE FIVE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                        # 
                    
                    message2receive4five = pipe2five_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 595F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE FIVE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message2receive4five)
                        # <ack2put4xi>queue2five8shot2five15004xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 595F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
            else:
                print("\n (STEP 595F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
        else:
            print("\n (STEP 595F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())                    
         
        #=========
        # 1600 FIVE
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2five4process is True:
    
            if ack2five4start is True:
    
                if ack2five4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE FIVE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 596F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE FIVE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                        # 
                    
                    message2receive4five = pipe2five_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 596F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE FIVE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message2receive4five)
                        # <ack2put4xi>queue2five8shot2five16004xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 596F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
            else:
                print("\n (STEP 596F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
        else:
            print("\n (STEP 596F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())                    
         
        #=========
        # 1700 FIVE
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2five4process is True:
    
            if ack2five4start is True:
    
                if ack2five4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE FIVE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 597F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE FIVE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                        # 
                    
                    message2receive4five = pipe2five_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 597F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE FIVE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message2receive4five)
                        # <ack2put4xi>queue2five8shot2five17004xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 597F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
            else:
                print("\n (STEP 597F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
        else:
            print("\n (STEP 597F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())                    
         
        #=========
        # 1800 FIVE
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2five4process is True:
    
            if ack2five4start is True:
    
                if ack2five4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE FIVE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 598F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE FIVE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                        # 
                    
                    message2receive4five = pipe2five_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 598F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE FIVE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message2receive4five)
                        # <ack2put4xi>queue2five8shot2five18004xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 598F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
            else:
                print("\n (STEP 598F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
        else:
            print("\n (STEP 598F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())                    
         
        #=========
        # 1900 FIVE
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2five4process is True:
    
            if ack2five4start is True:
    
                if ack2five4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE FIVE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 599F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE FIVE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                        # 
                    
                    message2receive4five = pipe2five_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 599F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE FIVE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message2receive4five)
                        # <ack2put4xi>queue2five8shot2five19004xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 599F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
            else:
                print("\n (STEP 599F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
        else:
            print("\n (STEP 599F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())  
            
         
        #=========
        # 2000 FIVE
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2five4process is True:
    
            if ack2five4start is True:
    
                if ack2five4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE FIVE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 600F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE FIVE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                        # 
                    
                    message2receive4five = pipe2five_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 600F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE FIVE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message2receive4five)
                        # <ack2put4xi>queue2five8shot2five20004xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 600F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
            else:
                print("\n (STEP 600F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
        else:
            print("\n (STEP 600F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())  
         
        #=========
        # 2100 FIVE
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2five4process is True:
    
            if ack2five4start is True:
    
                if ack2five4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE FIVE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 621F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE FIVE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                        # 
                    
                    message2receive4five = pipe2five_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 621F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE FIVE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message2receive4five)
                        # <ack2put4xi>queue2five8shot2five21004xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 621F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
            else:
                print("\n (STEP 621F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
        else:
            print("\n (STEP 621F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())  
         
        #=========
        # 2200 FIVE
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2five4process is True:
    
            if ack2five4start is True:
    
                if ack2five4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE FIVE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 622F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE FIVE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                        # 
                    
                    message2receive4five = pipe2five_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 622F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE FIVE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message2receive4five)
                        # <ack2put4xi>queue2five8shot2five22004xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 622F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
            else:
                print("\n (STEP 622F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
        else:
            print("\n (STEP 622F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())  
         
        #=========
        # 2300 FIVE
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2five4process is True:
    
            if ack2five4start is True:
    
                if ack2five4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE FIVE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 623F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE FIVE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                        # 
                    
                    message2receive4five = pipe2five_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 623F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE FIVE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message2receive4five)
                        # <ack2put4xi>queue2five8shot2five23004xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 623F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
            else:
                print("\n (STEP 623F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
        else:
            print("\n (STEP 623F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())  
         
        #=========
        # 2400 FIVE
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2five4process is True:
    
            if ack2five4start is True:
    
                if ack2five4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE FIVE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 624F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE FIVE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                        # 
                    
                    message2receive4five = pipe2five_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 624F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE FIVE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message2receive4five)
                        # <ack2put4xi>queue2five8shot2five24004xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 624F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
            else:
                print("\n (STEP 624F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
        else:
            print("\n (STEP 624F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())  
         
        #=========
        # 2500 FIVE
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2five4process is True:
    
            if ack2five4start is True:
    
                if ack2five4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE FIVE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 625F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE FIVE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                        # 
                    
                    message2receive4five = pipe2five_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 625F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE FIVE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message2receive4five)
                        # <ack2put4xi>queue2five8shot2five25004xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 625F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
            else:
                print("\n (STEP 625F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
        else:
            print("\n (STEP 625F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())  
         
        #=========
        # 2600 FIVE
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2five4process is True:
    
            if ack2five4start is True:
    
                if ack2five4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE FIVE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 626F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE FIVE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                        # 
                    
                    message2receive4five = pipe2five_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 626F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE FIVE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message2receive4five)
                        # <ack2put4xi>queue2five8shot2five26004xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 626F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
            else:
                print("\n (STEP 626F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
        else:
            print("\n (STEP 626F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())  
         
        #=========
        # 2700 FIVE
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2five4process is True:
    
            if ack2five4start is True:
    
                if ack2five4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE FIVE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 627F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE FIVE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                        # 
                    
                    message2receive4five = pipe2five_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 627F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE FIVE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message2receive4five)
                        # <ack2put4xi>queue2five8shot2five27004xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 627F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
            else:
                print("\n (STEP 627F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
        else:
            print("\n (STEP 627F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())  
         
        #=========
        # 2800 FIVE
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2five4process is True:
    
            if ack2five4start is True:
    
                if ack2five4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE FIVE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 628F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE FIVE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                        # 
                    
                    message2receive4five = pipe2five_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 628F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE FIVE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message2receive4five)
                        # <ack2put4xi>queue2five8shot2five28004xi</ack2put4xi>
                    
                else:
                    print("\n (STEP 628F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
            else:
                print("\n (STEP 628F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
        else:
            print("\n (STEP 628F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())  
         
        #=========
        # 2900 FIVE
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2five4process is True:
    
            if ack2five4start is True:
    
                if ack2five4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE FIVE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 629F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE FIVE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                        # 
                    message2receive4five = pipe2five_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 629F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE FIVE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message2receive4five)
                        # <ack2put4xi>queue2five8shot2five29004xi</ack2put4xi> 
                else:
                    print("\n (STEP 629F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
            else:
                print("\n (STEP 629F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
        else:
            print("\n (STEP 629F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())  
         
        #=========
        # 3000 FIVE
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2five4process is True:
    
            if ack2five4start is True:
    
                if ack2five4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE FIVE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 630F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE FIVE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                        # 
                    
                    message2receive4five = pipe2five_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 630F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE FIVE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message2receive4five)
                        # <ack2put4xi>queue2five8shot2five30004xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 630F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
            else:
                print("\n (STEP 630F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
        else:
            print("\n (STEP 630F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())  
         
        #=========
        # 3100 FIVE
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2five4process is True:
    
            if ack2five4start is True:
    
                if ack2five4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE FIVE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 631F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE FIVE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                        # 
                        
                    message2receive4five = pipe2five_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 631F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE FIVE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message2receive4five) 
                        # <ack2put4xi>queue2five8shot2five31004xi</ack2put4xi> 
                else:
                    print("\n (STEP 631F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
            else:
                print("\n (STEP 631F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
        else:
            print("\n (STEP 631F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())  
         
        #=========
        # 3200 FIVE
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2five4process is True:
    
            if ack2five4start is True:
    
                if ack2five4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE FIVE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 632F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE FIVE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                        # 
                    message2receive4five = pipe2five_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 632F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE FIVE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message2receive4five)
                        # <ack2put4xi>queue2five8shot2five32004xi</ack2put4xi> 
                else:
                    print("\n (STEP 632F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
            else:
                print("\n (STEP 632F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
        else:
            print("\n (STEP 632F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())  
         
        #=========
        # 3300 FIVE
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2five4process is True:
    
            if ack2five4start is True:
    
                if ack2five4run is True:
        
                    # -----------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE FIVE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -----------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 633F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE FIVE CONSUMER_CHANNEL: ", pipe2five_consumer_channel) 
                        # 
                    message2receive4five = pipe2five_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 633F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE FIVE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message2receive4five)
                        # <ack2put4xi>queue2five8shot2five33004xi</ack2put4xi> 
                else:
                    print("\n (STEP 633F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
            else:
                print("\n (STEP 633F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
        else:
            print("\n (STEP 633F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE FIVE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())  
    
          
               
        # =========================================================================================================   
        # I/V EOF - FIVE DIRECTION LAYERS 10, 100 ...3300 PIPE INFORMATION FIRST 
        # =========================================================================================================      
        if ack2debug is True:
            print("\n (STEP 633F6/800) OF COLOR_TENSES4XI - DONE TRIALS TO RECEIVE FIVE DIRECTION LAYERS 10, 100 ...3300 PIPE INFORMATION ", time4xi())
            #             
        
         
        
                   
        # =========================================================================================================   
        # II/V FIVE DIRECTION LAYERS 10, 100 ...3300 QUEUE DIRECTORIES 
        # =========================================================================================================      
        if ack2debug is True:
            print("\n (STEP 434F0/800) OF COLOR_TENSES4XI - TRYING TO GET FIVE DIRECTION LAYERS 10, 100 ...3300 QUEUE DIRECTORIES  ", time4xi())
            #    
        #========
        # 10 FIVE   
        #========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2five104xi = {}
        
        if ack2five4process is True:
    
            if ack2five4start is True:
    
                if ack2five4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE FIVE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 434F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2FIVE104XI FROM QUEUE FIVE: ", queue2five)
                        # 
                                     
                    fire2five104xi = queue2five.get() 
                    if fire2five104xi is None:
                        fire2five104xi = shot2five104xi
                        print("\n (STEP 434F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE FIVE : ", queue2five, " - SET FIRE2FIVE104XI TO SHOT2FIVE104XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 434F3/800) OF COLOR_TENSES4XI - FIRE2FIVE104XI: ", fire2five104xi) 
                        # {1: '-10x10y12z', 2: '-10x12y36z', 3: '-10x45y17z', 4: '-11x10y12z' ...
                        
                else:
                    print("\n (STEP 434F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
            else:
                print("\n (STEP 434F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
        else:
            print("\n (STEP 434F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED IN CREATING PROCESS FIVE ", time4xi())
        
            
          
               
        #========
        # 100 FIVE
        #========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2five1004xi = {}
    
        if ack2five4process is True:
    
            if ack2five4start is True:
    
                if ack2five4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE FIVE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 441F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2FIVE1004XI FROM QUEUE FIVE: ", queue2five)
                        # 
                                    
                    fire2five1004xi = queue2five.get()
                    if fire2five1004xi is None:
                        fire2five1004xi = shot2five1004xi
                        print("\n (STEP 441F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE FIVE: ", queue2five, " - SET FIRE2FIVE1004XI TO SHOT2FIVE1004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 441F3/800) OF COLOR_TENSES4XI - FIRE2FIVE1004XI: ", fire2five1004xi) 
                        # {1: '-10x31y94z', 2: '-10x62y77z', 3: '-10x67y72z', 4: '-10x92y37z' ...
                        
                else:
                    print("\n (STEP 441F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
            else:
                print("\n (STEP 441F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
        else:
            print("\n (STEP 441F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
          
    
        #========
        # 200 FIVE
        #========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2five2004xi = {}
        
        if ack2five4process is True:
    
            if ack2five4start is True:
    
                if ack2five4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE FIVE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 542F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2FIVE2004XI FROM QUEUE FIVE: ", queue2five)
                        # 
                                    
                    fire2five2004xi = queue2five.get()
                    if fire2five2004xi is None:
                        fire2five2004xi = shot2five2004xi
                        print("\n (STEP 542F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE FIVE: ", queue2five, " - SET FIRE2FIVE2004XI TO SHOT2FIVE2004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 542F3/800) OF COLOR_TENSES4XI - FIRE2FIVE2004XI: ", fire2five2004xi) 
                        # {1: '-100x21y171z', 2: '-101x112y129z', 3: '-102x100y138z', 4: '-103x16y170z' ...
                        
                else:
                    print("\n (STEP 542F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
            else:
                print("\n (STEP 542F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
        else:
            print("\n (STEP 542F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
                                        
                                      
          
    
    
           
        #========
        # 300 FIVE
        #========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2five3004xi = {}
        
        if ack2five4process is True:
    
            if ack2five4start is True:
    
                if ack2five4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE FIVE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 543F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2FIVE3004XI FROM QUEUE FIVE: ", queue2five)
                        # 
                                    
                    fire2five3004xi = queue2five.get()
                    if fire2five3004xi is None:
                        fire2five3004xi = shot2five3004xi
                        print("\n (STEP 543F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE FIVE: ", queue2five, " - SET FIRE2FIVE3004XI TO SHOT2FIVE3004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 543F3/800) OF COLOR_TENSES4XI - FIRE2FIVE3004XI: ", fire2five3004xi) 
                        # {1: '-101x82y269z', 2: '-104x176y218z', 3: '-105x263y97z', 4: '-107x78y268z' ...
                        
                else:
                    print("\n (STEP 543F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
            else:
                print("\n (STEP 543F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
        else:
            print("\n (STEP 543F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
                   
    
    
           
        #========
        # 400 FIVE
        #========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2five4004xi = {}
        
        if ack2five4process is True:
    
            if ack2five4start is True:
    
                if ack2five4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE FIVE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 544F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2FIVE4004XI FROM QUEUE FIVE: ", queue2five)
                        # 
                                    
                    fire2five4004xi = queue2five.get()
                    if fire2five4004xi is None:
                        fire2five4004xi = shot2five4004xi
                        print("\n (STEP 544F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE FIVE: ", queue2five, " - SET FIRE2FIVE4004XI TO SHOT2FIVE4004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 544F3/800) OF COLOR_TENSES4XI - FIRE2FIVE4004XI: ", fire2five4004xi) 
                        # {1: '-100x124y366z', 2: '-102x266y280z', 3: '-102x361y136z', 4: '-109x121y364z' ...
                        
                else:
                    print("\n (STEP 544F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
            else:
                print("\n (STEP 544F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
        else:
            print("\n (STEP 544F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
                   
    
    
                                   
        #========
        # 500 FIVE
        #========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2five5004xi = {}
        
        if ack2five4process is True:
    
            if ack2five4start is True:
    
                if ack2five4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE FIVE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 545F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2FIVE5004XI FROM QUEUE FIVE: ", queue2five)
                        # 
                                    
                    fire2five5004xi = queue2five.get()
                    if fire2five5004xi is None:
                        fire2five5004xi = shot2five5004xi
                        print("\n (STEP 373F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE FIVE: ", queue2five, " - SET FIRE2FIVE5004XI TO SHOT2FIVE5004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 373F3/800) OF COLOR_TENSES4XI - FIRE2FIVE5004XI: ", fire2five5004xi) 
                        # {1: '-103x160y462z', 2: '-103x456y175z', 3: '-104x309y378z', 4: '-109x335y354z' ...
                        
                else:
                    print("\n (STEP 545F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
            else:
                print("\n (STEP 545F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
        else:
            print("\n (STEP 545F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
                                      
          
    
                                                                                              
        #========
        # 600 FIVE
        #========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2five6004xi = {}
        
        if ack2five4process is True:
    
            if ack2five4start is True:
    
                if ack2five4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE FIVE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 546F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2FIVE6004XI FROM QUEUE FIVE: ", queue2five)
                        # 
                                    
                    fire2five6004xi = queue2five.get()
                    if fire2five6004xi is None:
                        fire2five6004xi = shot2five6004xi
                        print("\n (STEP 546F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE FIVE: ", queue2five, " - SET FIRE2FIVE6004XI TO SHOT2FIVE6004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 546F3/800) OF COLOR_TENSES4XI - FIRE2FIVE6004XI: ", fire2five6004xi) 
                        # {1: '-104x373y457z', 2: '-108x404y429z', 3: '-111x193y556z', 4: '-124x192y554z' ...
                        
                else:
                    print("\n (STEP 546F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
            else:
                print("\n (STEP 546F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
        else:
            print("\n (STEP 546F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
                   
    
    
            
        #========
        # 700 FIVE
        #========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2five7004xi = {}
        
        if ack2five4process is True:
    
            if ack2five4start is True:
    
                if ack2five4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE FIVE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 547F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2FIVE7004XI FROM QUEUE FIVE: ", queue2five)
                        # 
                                    
                    fire2five7004xi = queue2five.get()
                    if fire2five7004xi is None:
                        fire2five7004xi = shot2five7004xi
                        print("\n (STEP 373F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE FIVE: ", queue2five, " - SET FIRE2FIVE7004XI TO SHOT2FIVE7004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 547F3/800) OF COLOR_TENSES4XI - FIRE2FIVE7004XI: ", fire2five7004xi) 
                        # {1: '-100x473y505z', 2: '-110x643y252z', 3: '-114x226y652z', 4: '-122x435y534z' ...
                        
                else:
                    print("\n (STEP 547F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
            else:
                print("\n (STEP 547F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
        else:
            print("\n (STEP 547F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
                   
    
    
              
        #========
        # 800 FIVE
        #========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2five8004xi = {}
        
        if ack2five4process is True:
    
            if ack2five4start is True:
    
                if ack2five4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE FIVE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 548F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2FIVE8004XI FROM QUEUE FIVE: ", queue2five)
                        # 
                                    
                    fire2five8004xi = queue2five.get()
                    if fire2five8004xi is None:
                        fire2five8004xi = shot2five8004xi
                        print("\n (STEP 548F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE FIVE: ", queue2five, " - SET FIRE2FIVE8004XI TO SHOT2FIVE8004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 548F3/800) OF COLOR_TENSES4XI - FIRE2FIVE8004XI: ", fire2five8004xi) 
                        # {1: '-112x498y615z', 2: '-114x258y748z', 3: '-115x541y577z', 4: '-126x735y288z' ...
                        
                else:
                    print("\n (STEP 548F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
            else:
                print("\n (STEP 548F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
        else:
            print("\n (STEP 548F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
                   
    
    
            
        #========
        # 900 FIVE
        #========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2five9004xi = {}
        
        if ack2five4process is True:
    
            if ack2five4start is True:
    
                if ack2five4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE FIVE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 549F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2FIVE9004XI FROM QUEUE FIVE: ", queue2five)
                        # 
                                    
                    fire2five9004xi = queue2five.get()
                    if fire2five9004xi is None:
                        fire2five9004xi = shot2five9004xi
                        print("\n (STEP 549F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE FIVE: ", queue2five, " - SET FIRE2FIVE9004XI TO SHOT2FIVE9004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 549F3/800) OF COLOR_TENSES4XI - FIRE2FIVE9004XI: ", fire2five9004xi) 
                        # {1: '-10x3y899z', 2: '-110x289y844z', 3: '-126x560y692z', 4: '-128x291y841z' ...
                        
                else:
                    print("\n (STEP 549F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
            else:
                print("\n (STEP 549F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
        else:
            print("\n (STEP 549F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
                   
    
    
            
        #=========
        # 1000 FIVE
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2five10004xi = {}
        
        if ack2five4process is True:
    
            if ack2five4start is True:
    
                if ack2five4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE FIVE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 550F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2FIVE10004XI FROM QUEUE FIVE: ", queue2five)
                        # 
                                    
                    fire2five10004xi = queue2five.get()
                    if fire2five10004xi is None:
                        fire2five10004xi = shot2five10004xi
                        print("\n (STEP 550F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE FIVE: ", queue2five, " - SET FIRE2FIVE10004XI TO SHOT2FIVE10004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 550F3/800) OF COLOR_TENSES4XI - FIRE2FIVE10004XI: ", fire2five10004xi) 
                        #  {1: '-102x318y942z', 2: '-106x621y775z', 3: '-107x675y729z', 4: '-109x922y370z' ...
                        
                else:
                    print("\n (STEP 550F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
            else:
                print("\n (STEP 550F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
        else:
            print("\n (STEP 550F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
                   
    
            
        #=========
        # 1100 FIVE
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2five11004xi = {}
        
        if ack2five4process is True:
    
            if ack2five4start is True:
    
                if ack2five4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE FIVE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 551F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2FIVE11004XI FROM QUEUE FIVE: ", queue2five)
                        # 
                                    
                    fire2five11004xi = queue2five.get()
                    if fire2five11004xi is None:
                        fire2five11004xi = shot2five11004xi
                        print("\n (STEP 551F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE FIVE: ", queue2five, " - SET FIRE2FIVE11004XI TO SHOT2FIVE11004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 551F3/800) OF COLOR_TENSES4XI - FIRE2FIVE11004XI: ", fire2five11004xi) 
                        #  {1: '-1017x374y185z', 2: '-1037x321y174z', 3: '-1054x267y163z', 4: '-1068x212y152z' ...
                        
                else:
                    print("\n (STEP 551F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
            else:
                print("\n (STEP 551F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
        else:
            print("\n (STEP 551F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
                   
    
    
            
        #=========
        # 1200 FIVE
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2five12004xi = {}
        
        if ack2five4process is True:
    
            if ack2five4start is True:
    
                if ack2five4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE FIVE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 552F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2FIVE12004XI FROM QUEUE FIVE: ", queue2five)
                        # 
                                    
                    fire2five12004xi = queue2five.get()
                    if fire2five12004xi is None:
                        fire2five12004xi = shot2five12004xi
                        print("\n (STEP 552F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE FIVE: ", queue2five, " - SET FIRE2FIVE12004XI TO SHOT2FIVE12004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 552F3/800) OF COLOR_TENSES4XI - FIRE2FIVE12004XI: ", fire2five12004xi) 
                        #  {1: '-1006x105y644z', 2: '-1017x53y634z', 3: '-1024x0y624z', 4: '-1026x574y237z' ...
                        
                else:
                    print("\n (STEP 552F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
            else:
                print("\n (STEP 552F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
        else:
            print("\n (STEP 552F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
                   
    
    
            
        #=========
        # 1300 FIVE
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2five13004xi = {}
        
        if ack2five4process is True:
    
            if ack2five4start is True:
    
                if ack2five4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE FIVE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 553F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2FIVE13004XI FROM QUEUE FIVE: ", queue2five)
                        # 
                                    
                    fire2five13004xi = queue2five.get()
                    if fire2five13004xi is None:
                        fire2five13004xi = shot2five13004xi
                        print("\n (STEP 553F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE FIVE: ", queue2five, " - SET FIRE2FIVE13004XI TO SHOT2FIVE13004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 553F3/800) OF COLOR_TENSES4XI - FIRE2FIVE13004XI: ", fire2five13004xi) 
                        #  {1: '-1008x201y795z', 2: '-1015x329y741z', 3: '-1025x149y784z', 4: '-1036x731y282z' ...
                        
                else:
                    print("\n (STEP 553F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
            else:
                print("\n (STEP 553F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
        else:
            print("\n (STEP 553F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
                   
    
            
        #=========
        # 1400 FIVE
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2five14004xi = {}
        
        if ack2five4process is True:
    
            if ack2five4start is True:
    
                if ack2five4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE FIVE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 554F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2FIVE14004XI FROM QUEUE FIVE: ", queue2five)
                        # 
                                    
                    fire2five14004xi = queue2five.get()
                    if fire2five14004xi is None:
                        fire2five14004xi = shot2five14004xi
                        print("\n (STEP 554F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE FIVE: ", queue2five, " - SET FIRE2FIVE14004XI TO SHOT2FIVE14004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 554F3/800) OF COLOR_TENSES4XI - FIRE2FIVE14004XI: ", fire2five14004xi) 
                        #  {1: '-1002x510y832z', 2: '-1014x374y889z', 3: '-101x0y1396z', 4: '-1022x896y331z' ...
                        
                else:
                    print("\n (STEP 554F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
            else:
                print("\n (STEP 554F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
        else:
            print("\n (STEP 554F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
                   
    
            
        #=========
        # 1500 FIVE
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2five15004xi = {}
        
        if ack2five4process is True:
    
            if ack2five4start is True:
    
                if ack2five4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE FIVE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 555F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2FIVE15004XI FROM QUEUE FIVE: ", queue2five)
                        # 
                                    
                    fire2five15004xi = queue2five.get()
                    if fire2five15004xi is None:
                        fire2five15004xi = shot2five15004xi
                        print("\n (STEP 555F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE FIVE: ", queue2five, " - SET FIRE2FIVE15004XI TO SHOT2FIVE15004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 555F3/800) OF COLOR_TENSES4XI - FIRE2FIVE15004XI: ", fire2five15004xi) 
                        #  {1: '-1021x504y975z', 2: '-1036x598y904z', 3: '-1041x1013y370z', 4: '-1055x454y964z' ...
                        
                else:
                    print("\n (STEP 555F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
            else:
                print("\n (STEP 555F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
        else:
            print("\n (STEP 555F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
                   
    
            
        #=========
        # 1600 FIVE
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2five16004xi = {}
        
        if ack2five4process is True:
    
            if ack2five4start is True:
    
                if ack2five4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE FIVE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 556F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2FIVE16004XI FROM QUEUE FIVE: ", queue2five)
                        # 
                                    
                    fire2five16004xi = queue2five.get() 
                    if fire2five16004xi is None:
                        fire2five16004xi = shot2five16004xi
                        print("\n (STEP 556F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE FIVE: ", queue2five, " - SET FIRE2FIVE1600 4XI TO SHOT2FIVE1600 4XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 556F3/800) OF COLOR_TENSES4XI - FIRE2FIVE16004XI: ", fire2five16004xi) 
                        #  {1: '-1009x637y1064z', 2: '-1016x738y990z', 3: '-103x494y1518z', 4: '-1050x1135y410z' ...
                        
                else:
                    print("\n (STEP 556F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
            else:
                print("\n (STEP 556F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
        else:
            print("\n (STEP 556F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
                   
    
            
        #=========
        # 1700 FIVE
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2five17004xi = {}
        
        if ack2five4process is True:
    
            if ack2five4start is True:
    
                if ack2five4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE FIVE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 557F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2FIVE17004XI FROM QUEUE FIVE: ", queue2five)
                        # 
                                    
                    fire2five17004xi = queue2five.get()
                    if fire2five17004xi is None:
                        fire2five17004xi = shot2five17004xi
                        print("\n (STEP 557F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE FIVE: ", queue2five, " - SET FIRE2FIVE17004XI TO SHOT2FIVE17004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 557F3/800) OF COLOR_TENSES4XI - FIRE2FIVE17004XI: ", fire2five17004xi) 
                        #  {1: '-1026x726y1144z', 2: '-1029x833y1065z', 3: '-1048x1259y452z', 4: '-106x6y1696z' ...
                        
                else:
                    print("\n (STEP 557F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
            else:
                print("\n (STEP 557F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
        else:
            print("\n (STEP 557F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
                   
    
            
        #=========
        # 1800 FIVE
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2five18004xi = {}
        
        if ack2five4process is True:
    
            if ack2five4start is True:
    
                if ack2five4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE FIVE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 558F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2FIVE18004XI FROM QUEUE FIVE: ", queue2five)
                        # 
                                    
                    fire2five18004xi = queue2five.get()
                    if fire2five18004xi is None:
                        fire2five18004xi = shot2five18004xi
                        print("\n (STEP 558F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE FIVE: ", queue2five, " - SET FIRE2FIVE18004XI TO SHOT2FIVE18004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 558F3/800) OF COLOR_TENSES4XI - FIRE2FIVE18004XI: ", fire2five18004xi) 
                        #  {1: '-1034x931y1141z', 2: '-1035x1385y496z', 3: '-1035x817y1224z', 4: '-1086x769y1211z' ...
                        
                else:
                    print("\n (STEP 558F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
            else:
                print("\n (STEP 558F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
        else:
            print("\n (STEP 558F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
                   
    
            
        #=========
        # 1900 FIVE
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2five19004xi = {}
        
        if ack2five4process is True:
    
            if ack2five4start is True:
    
                if ack2five4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE FIVE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 559F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2FIVE19004XI FROM QUEUE FIVE: ", queue2five)
                        # 
                                    
                    fire2five19004xi = queue2five.get()
                    if fire2five19004xi is None:
                        fire2five19004xi = shot2five19004xi
                        print("\n (STEP 559F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE FIVE: ", queue2five, " - SET FIRE2FIVE19004XI TO SHOT2FIVE19004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 559F3/800) OF COLOR_TENSES4XI - FIRE2FIVE19004XI: ", fire2five19004xi) 
                        #  {1: '-1005x108y1608z', 2: '-1012x1513y542z', 3: '-1026x57y1598z', 4: '-1029x1029y1219z' ...
                        
                else:
                    print("\n (STEP 559F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
            else:
                print("\n (STEP 559F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
        else:
            print("\n (STEP 559F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
                   
          
    
            
        #=========
        # 2000 FIVE
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2five20004xi = {}
        
        if ack2five4process is True:
    
            if ack2five4start is True:
    
                if ack2five4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE FIVE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 560F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2FIVE20004XI FROM QUEUE FIVE: ", queue2five)
                        # 
                                    
                    fire2five20004xi = queue2five.get()
                    if fire2five20004xi is None:
                        fire2five20004xi = shot2five20004xi
                        print("\n (STEP 560F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE FIVE: ", queue2five, " - SET FIRE2FIVE20004XI TO SHOT2FIVE20004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 560F3/800) OF COLOR_TENSES4XI - FIRE2FIVE20004XI: ", fire2five20004xi) 
                        #  {1: '-1007x217y1713z', 2: '-1017x1129y1299z', 3: '-1029x1004y1389z', 4: '-1034x167y1703z' ...
                        
                else:
                    print("\n (STEP 560F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
            else:
                print("\n (STEP 560F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
        else:
            print("\n (STEP 560F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
                   
    
            
        #=========
        # 2100 FIVE
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2five21004xi = {}
        
        if ack2five4process is True:
    
            if ack2five4start is True:
    
                if ack2five4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE FIVE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 561F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2FIVE21004XI FROM QUEUE FIVE: ", queue2five)
                        # 
                                    
                    fire2five21004xi = queue2five.get()
                    if fire2five21004xi is None:
                        fire2five21004xi = shot2five21004xi
                        print("\n (STEP 561F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE FIVE: ", queue2five, " - SET FIRE2FIVE21004XI TO SHOT2FIVE21004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 561F3/800) OF COLOR_TENSES4XI - FIRE2FIVE21004XI: ", fire2five21004xi) 
                        #  {1: '-1014x1098y1474z', 2: '-1026x1724y619z', 3: '-1027x278y1810z', 4: '-1057x228y1799z' ...
                        
                else:
                    print("\n (STEP 561F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
            else:
                print("\n (STEP 561F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
        else:
            print("\n (STEP 561F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
                   
    
            
        #=========
        # 2200 FIVE
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2five22004xi = {}
        
        if ack2five4process is True:
    
            if ack2five4start is True:
    
                if ack2five4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE FIVE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 562F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2FIVE22004XI FROM QUEUE FIVE: ", queue2five)
                        # 
                                    
                    fire2five22004xi = queue2five.get()
                    if fire2five22004xi is None:
                        fire2five22004xi = shot2five22004xi
                        print("\n (STEP 562F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE FIVE: ", queue2five, " - SET FIRE2FIVE22004XI TO SHOT2FIVE22004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 562F3/800) OF COLOR_TENSES4XI - FIRE2FIVE22004XI: ", fire2five22004xi) 
                        #   {1: '-1004x389y1918z', 2: '-103x666y2094z', 3: '-1041x341y1907z', 4: '-1043x1288y1446z' ...
                        
                else:
                    print("\n (STEP 562F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
            else:
                print("\n (STEP 562F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
        else:
            print("\n (STEP 562F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
                   
    
            
        #=========
        # 2300 FIVE
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2five23004xi = {}
        
        if ack2five4process is True:
    
            if ack2five4start is True:
    
                if ack2five4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE FIVE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 563F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2FIVE23004XI FROM QUEUE FIVE: ", queue2five)
                        # 
                                    
                    fire2five23004xi = queue2five.get()
                    if fire2five23004xi is None:
                        fire2five23004xi = shot2five23004xi
                        print("\n (STEP 563F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE FIVE: ", queue2five, " - SET FIRE2FIVE23004XI TO SHOT2FIVE23004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 563F3/800) OF COLOR_TENSES4XI - FIRE2FIVE23004XI: ", fire2five23004xi) 
                        #  {1: '-1008x452y2016z', 2: '-1009x1390y1528z', 3: '-1020x1938y700z', 4: '-1036x1247y1630z' ...
                        
                else:
                    print("\n (STEP 563F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
            else:
                print("\n (STEP 563F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
        else:
            print("\n (STEP 563F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
                   
    
            
        #=========
        # 2400 FIVE
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2five24004xi = {}
        
        if ack2five4process is True:
    
            if ack2five4start is True:
    
                if ack2five4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE FIVE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 564F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2FIVE24004XI FROM QUEUE FIVE: ", queue2five)
                        # 
                                    
                    fire2five24004xi = queue2five.get()
                    
                    if fire2five24004xi is None:
                        fire2five24004xi = shot2five24004xi
                        print("\n (STEP 564F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE FIVE: ", queue2five, " - SET FIRE2FIVE24004XI TO SHOT2FIVE24004XI ", time4xi())  
                        #     
                    if ack2debug is True:
                        print("\n (STEP 564F3/800) OF COLOR_TENSES4XI - FIRE2FIVE24004XI: ", fire2five24004xi) 
                        #  {1: '-1001x1342y1718z', 2: '-1007x517y2115z', 3: '-100x16y2397z', 4: '-1052x472y2104z' ...
                        
                else:
                    print("\n (STEP 564F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
            else:
                print("\n (STEP 564F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
        else:
            print("\n (STEP 564F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
                   
    
            
        #=========
        # 2500 FIVE
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2five25004xi = {}
        
        if ack2five4process is True:
    
            if ack2five4start is True:
    
                if ack2five4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE FIVE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 565F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2FIVE25004XI FROM QUEUE FIVE: ", queue2five)
                        # 
                                    
                    fire2five25004xi = queue2five.get()
                    
                    if fire2five25004xi is None:
                        fire2five25004xi = shot2five25004xi
                        print("\n (STEP 565F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE FIVE: ", queue2five, " - SET FIRE2FIVE25004XI TO SHOT2FIVE25004XI ", time4xi())  
                        #     
                    if ack2debug is True:
                        print("\n (STEP 565F3/800) OF COLOR_TENSES4XI - FIRE2FIVE25004XI: ", fire2five25004xi) 
                        #  {1: '-1000x582y2215z', 2: '-1008x1552y1680z', 3: '-1042x1398y1790z', 4: '-1049x538y2204z' ...
                        
                else:
                    print("\n (STEP 565F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
            else:
                print("\n (STEP 565F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
        else:
            print("\n (STEP 565F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
                   
    
            
        #=========
        # 2600 FIVE
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2five26004xi = {}
        
        if ack2five4process is True:
    
            if ack2five4start is True:
    
                if ack2five4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE FIVE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 566F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2FIVE26004XI FROM QUEUE FIVE: ", queue2five)
                        # 
                                    
                    fire2five26004xi = queue2five.get()
                    
                    if fire2five26004xi is None:
                        fire2five26004xi = shot2five26004xi
                        print("\n (STEP 566F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE FIVE: ", queue2five, " - SET FIRE2FIVE26004XI TO SHOT2FIVE26004XI ", time4xi())  
                        #  
                    if ack2debug is True:
                        print("\n (STEP 566F3/800) OF COLOR_TENSES4XI - FIRE2FIVE26004XI: ", fire2five26004xi) 
                        #  {1: '-1034x2241y816z', 2: '-1040x605y2304z', 3: '-1048x1614y1747z', 4: '-1084x1454y1861z' ...
                        
                else:
                    print("\n (STEP 566F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
            else:
                print("\n (STEP 566F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
        else:
            print("\n (STEP 566F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
                   
    
            
        #=========
        # 2700 FIVE
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2five27004xi = {}
        
        if ack2five4process is True:
    
            if ack2five4start is True:
    
                if ack2five4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE FIVE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 567F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2FIVE27004XI FROM QUEUE FIVE: ", queue2five)
                        # 
                                    
                    fire2five27004xi = queue2five.get()
                    
                    if fire2five27004xi is None:
                        fire2five27004xi = shot2five27004xi
                        print("\n (STEP 567F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE FIVE: ", queue2five, " - SET FIRE2FIVE27004XI TO SHOT2FIVE27004XI ", time4xi())  
                        # 
                    if ack2debug is True:
                        print("\n (STEP 567F3/800) OF COLOR_TENSES4XI - FIRE2FIVE27004XI: ", fire2five27004xi) 
                        #  {1: '-1026x671y2405z', 2: '-1035x1551y1952z', 3: '-1074x2327y847z', 4: '-1080x628y2393z' ...
                        
                else:
                    print("\n (STEP 567F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
            else:
                print("\n (STEP 567F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
        else:
            print("\n (STEP 567F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
                   
    
            
        #=========
        # 2800 FIVE
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2five28004xi = {}
        
        if ack2five4process is True:
    
            if ack2five4start is True:
    
                if ack2five4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE FIVE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 568F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2FIVE28004XI FROM QUEUE FIVE: ", queue2five)
                        # 
                                    
                    fire2five28004xi = queue2five.get()
                    
                    if fire2five28004xi is None:
                        fire2five28004xi = shot2five28004xi
                        print("\n (STEP 568F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE FIVE: ", queue2five, " - SET FIRE2FIVE28004XI TO SHOT2FIVE28004XI ", time4xi())  
                        # 
                    if ack2debug is True:
                        print("\n (STEP 568F3/800) OF COLOR_TENSES4XI - FIRE2FIVE28004XI: ", fire2five28004xi) 
                        #  {1: '-1006x736y2507z', 2: '-1027x1778y1902z', 3: '-1064x696y2494z', 4: '-1073x1608y2024z' ...
                        
                else:
                    print("\n (STEP 568F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
            else:
                print("\n (STEP 568F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
        else:
            print("\n (STEP 568F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
                   
    
            
        #=========
        # 2900 FIVE
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2five29004xi = {}
        
        if ack2five4process is True:
    
            if ack2five4start is True:
    
                if ack2five4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE FIVE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 569F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2FIVE29004XI FROM QUEUE FIVE: ", queue2five)
                        # 
                                    
                    fire2five29004xi = queue2five.get()
                    if fire2five29004xi is None:
                        fire2five29004xi = shot2five29004xi
                        print("\n (STEP 569F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE FIVE: ", queue2five, " - SET FIRE2FIVE29004XI TO SHOT2FIVE29004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 569F3/800) OF COLOR_TENSES4XI - FIRE2FIVE29004XI: ", fire2five29004xi) 
                        #  {1: '-1012x1704y2116z', 2: '-1018x2548y937z', 3: '-1042x762y2596z', 4: '-1063x1842y1970z' ...
                        
                else:
                    print("\n (STEP 569F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
            else:
                print("\n (STEP 569F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
        else:
            print("\n (STEP 569F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
                   
    
            
        #=========
        # 3000 FIVE
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2five30004xi = {}
        
        if ack2five4process is True:
    
            if ack2five4start is True:
    
                if ack2five4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE FIVE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 570F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2FIVE30004XI FROM QUEUE FIVE: ", queue2five)
                        # 
                                    
                    fire2five30004xi = queue2five.get()
                    if fire2five30004xi is None:
                        fire2five30004xi = shot2five30004xi
                        print("\n (STEP 570F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE FIVE: ", queue2five, " - SET FIRE2FIVE30004XI TO SHOT2FIVE30004XI ", time4xi())  
                        #                      
                    if ack2debug is True:
                        print("\n (STEP 570F3/800) OF COLOR_TENSES4XI - FIRE2FIVE30004XI: ", fire2five30004xi) 
                        #  {1: '-1014x826y2699z', 2: '-1047x1762y2189z', 3: '-1053x2636y970z', 4: '-1078x788y2686z' ...
                        
                else:
                    print("\n (STEP 570F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
            else:
                print("\n (STEP 570F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
        else:
            print("\n (STEP 570F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
                   
    
            
        #=========
        # 3100 FIVE
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2five31004xi = {}
        
        if ack2five4process is True:
    
            if ack2five4start is True:
    
                if ack2five4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE FIVE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 571F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2FIVE31004XI FROM QUEUE FIVE: ", queue2five) 
                        # 
                                    
                    fire2five31004xi = queue2five.get()
                    if fire2five31004xi is None:
                        fire2five31004xi = shot2five31004xi
                        print("\n (STEP 571F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE FIVE: ", queue2five, " - SET FIRE2FIVE31004XI TO SHOT2FIVE31004XI ", time4xi())  
                        #                 
                    if ack2debug is True:
                        print("\n (STEP 571F3/800) OF COLOR_TENSES4XI - FIRE2FIVE31004XI: ", fire2five31004xi) 
                        #  {1: '-1022x2007y2129z', 2: '-1048x854y2789z', 3: '-1082x1821y2262z', 4: '-1088x2724y1002z' ...
                        
                else:
                    print("\n (STEP 571F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
            else:
                print("\n (STEP 571F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
        else:
            print("\n (STEP 571F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
                   
    
            
        #=========
        # 3200 FIVE
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2five32004xi = {}
        
        if ack2five4process is True:
    
            if ack2five4start is True:
    
                if ack2five4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE FIVE  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 572F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2FIVE32004XI FROM QUEUE FIVE: ", queue2five)
                                        # 
                    fire2five32004xi = queue2five.get()
                    if fire2five32004xi is None:
                        fire2five32004xi = shot2five32004xi
                        print("\n (STEP 573F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE FIVE: ", queue2five, " - SET FIRE2FIVE32004XI TO SHOT2FIVE32004XI ", time4xi())  
                        # 
                                                
                    if ack2debug is True:
                        print("\n (STEP 572F3/800) OF COLOR_TENSES4XI - FIRE2FIVE32004XI: ", fire2five32004xi) 
                        # FIRE2FIVE32004XI:  {1: '-1006x1915y2357z', 2: '-1013x918y2893z', 3: '-101x22y3198z', 4: '-1055x2072y2198z', 5: '-1082x882y2879z', 6: '-1116x1880y2335z', 7: '-1123x2811y1034z', 8: '-1150x841y2865z', 9: '-1173x2033y2174z', 10: '-1216x795y2850z', 11: '-1226x1838y2313z', 12: '-1273x2758y1004z', 13: '-1281x745y2836z', 14: '-1290x1986y2151z', 15: '-1335x1790y2291z', 16: '-1343x689y2821z', 17: '-134x21y3197z', 18: '-1403x630y2805z', 19: '-1405x1933y2127z', 20: '-1420x2696y974z', 21: '-1441x1735y2269z', 22: '-1460x565y2790z', 23: '-150x969y3046z', 24: '-1514x497y2774z', 25: '-1517x1874y2103z', 26: '-1545x1674y2246z', 27: '-1564x2627y943z', 28: '-1565x424y2758z', 29: '-1612x348y2742z', 30: '-1627x1807y2079z', 31: '-1647x1606y2223z', 32: '-1655x267y2725z', 33: '-167x18y3195z', 34: '-1693x183y2708z', 35: '-1705x2549y912z', 36: '-1728x96y2691z', 37: '-1734x1734y2054z', 38: '-1745x1533y2200z', 39: '-1757x5y2674z', 40: '-1838x1655y2029z', 41: '-1840x1453y2177z', 42: '-1841x2463y882z', 43: '-1931x1367y2153z', 44: '-1938x1569y2005z', 45: '-1973x2370y851z', 46: '-199x11y3193z', 47: '-2018x1275y2129z', 48: '-2033x1477y1980z', 49: '-207x989y3036z', 50: '-2100x2270y820z', 51: '-2101x1178y2105z', 52: '-2124x1379y1954z', 53: '-2178x1076y2081z', 54: '-2210x1276y1929z', 55: '-2222x2162y789z', 56: '-2251x969y2057z', 57: '-226x2154y2355z', 58: '-2291x1167y1903z', 59: '-2318x857y2032z', 60: '-231x1y3191z', 61: '-2338x2048y758z', 62: '-2366x1053y1878z', 63: '-2379x740y2007z', 64: '-2433x620y1982z', 65: '-2436x935y1852z', 66: '-2448x1928y727z', 67: '-2482x495y1957z', 68: '-2499x812y1825z', 69: '-2524x367y1932z', 70: '-2551x1801y696z', 71: '-2555x684y1799z', 72: '-2559x237y1906z', 73: '-2605x553y1772z', 74: '-2648x1669y664z', 75: '-2648x419y1746z', 76: '-2667x106y1939z', 77: '-266x1006y3025z', 78: '-2684x282y1719z', 79: '-2712x142y1692z', 80: '-2732x0y1664z', 81: '-2737x1531y633z', 82: '-2819x1388y602z', 83: '-2893x1241y570z', 84: '-2959x1090y539z', 85: '-3017x935y507z', 86: '-3067x777y476z', 87: '-3108x616y444z', 88: '-3140x453y412z', 89: '-3164x289y380z', 90: '-3178x123y349z', 91: '-327x1020y3015z', 92: '-340x1989y2483z', 93: '-342x2162y2333z', 94: '-350x2951y1184z', 95: '-38x12y3199z', 96: '-391x1029y3004z', 97: '-449x1993y2462z', 98: '-457x1035y2993z', 99: '-460x2164y2311z', 100: '-506x2940y1155z', 101: '-524x1036y2981z', 102: '-559x1990y2442z', 103: '-578x2159y2289z', 104: '-592x1033y2969z', 105: '-661x1026y2957z', 106: '-662x2921y1125z', 107: '-671x1981y2421z', 108: '-697x2148y2266z', 109: '-69x18y3199z', 110: '-731x1014y2945z', 111: '-782x1966y2400z', 112: '-7x2y3199z', 113: '-802x997y2932z', 114: '-817x2129y2244z', 115: '-817x2893y1095z', 116: '-872x975y2919z', 117: '-894x1944y2379z', 118: '-936x2104y2221z', 119: '-943x949y2906z', 120: '-96x945y3055z', 121: '-971x2856y1065z'}
     
                      
                else:
                    print("\n (STEP 572F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
            else:
                print("\n (STEP 572F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
        else:
            print("\n (STEP 572F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
                   
    
            
        #=========
        # 3300 FIVE
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2five33004xi = {}
        
        if ack2five4process is True:
    
            if ack2five4start is True: 
    
                if ack2five4run is True:
        
                    # -----------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE FIVE  WHERE TARGET PUT IT
                    # -----------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 573F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2FIVE33004XI FROM QUEUE FIVE: ", queue2five)   
                                        # 
                    fire2five33004xi = queue2five.get()
                    if fire2five33004xi is None:
                        print("\n (STEP 574F3/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE FIVE: ", queue2five, " - SET FIRE2FIVE33004XI TO SHOT2FIVE33004XI ", time4xi()) 
                        fire2five33004xi = shot2five33004xi
    
                    if ack2debug is True:
                        print("\n (STEP 573F2/800) OF COLOR_TENSES4XI - FIRE2FIVE33004XI: ", fire2five33004xi) 
                        #  {1: '-1001x2946y1098z', 2: '-1037x1975y2431z', 3: '-1044x946y2983z', 4: '-104x22y3298z' ...
                                     
                else:
                    print("\n (STEP 573F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
            else:
                print("\n (STEP 573F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
        else:
            print("\n (STEP 573F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE FIVE - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
                   
    
               
        # =========================================================================================================   
        # II/V EOF - FIVE DIRECTION LAYERS 10, 100 ...3300 QUEUE FIVE DIRECTORIES 
        # =========================================================================================================      
        if ack2debug is True:
            print("\n (STEP 573F7/800) OF COLOR_TENSES4XI - DONE TRIALS TO GET FIVE DIRECTION LAYERS 10, 100 ...3300 QUEUE FIVE DIRECTORIES  ", time4xi())
            #          
                                
    if DirectionKB4Xi[6] is True:        
        # =========================================================================================================   
        # I/VI SIX DIRECTION LAYERS 10, 100 ...3300 PIPE INFORMATION FIRST 
        # =========================================================================================================      
        if ack2debug is True:
            print("\n (STEP 474F0/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE SIX DIRECTION LAYERS 10, 100 ...3300 PIPE INFORMATION  ", time4xi())
            #     
        #========
        # 10 SIX 
        #========
            
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
            # =============================================================================================  
        if ack2six4process is True:
    
            if ack2six4start is True:
    
                if ack2six4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 474F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE SIX CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                        # 
                    
                    message2receive4six = pipe2six_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 474F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE SIX CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message2receive4six) 
                        # <ack2put4xi>queue2six8shot2six10x4xi</ack2put4xi>
                    
                else:
                    print("\n (STEP 474F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED RUNNING PROCESS SIX ", time4xi())                 
            else:
                print("\n (STEP 474F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED STARTING PROCESS SIX ", time4xi())                                         
        else:
            print("\n (STEP 474F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED IN CREATING THE PROCESS SIX ", time4xi())                    
    
        #========
        # 100 SIX
        #========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2six4process is True:
    
            if ack2six4start is True:
    
                if ack2six4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 581F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE SIX CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                        # 
                    
                    message2receive4six = pipe2six_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 581F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE SIX CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message2receive4six)
                        # <ack2put4xi>queue2six8shot2six100x4xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 581F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED RUNNING PROCESS SIX ", time4xi())                 
            else:
                print("\n (STEP 581F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED STARTING PROCESS SIX ", time4xi())                                         
        else:
            print("\n (STEP 581F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED IN CREATING THE PROCESS SIX ", time4xi())                    
        
        #========
        # 200 SIX 
        #========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2six4process is True:
    
            if ack2six4start is True:
    
                if ack2six4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 582F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE SIX CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                        # 
                    
                    message2receive4six = pipe2six_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 582F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE SIX CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message2receive4six)
                        # <ack2put4xi>queue2six8shot2six200x4xi</ack2put4xi>
                    
                else:
                    print("\n (STEP 582F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED RUNNING PROCESS SIX ", time4xi())                 
            else:
                print("\n (STEP 582F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED STARTING PROCESS SIX ", time4xi())                                         
        else:
            print("\n (STEP 582F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED IN CREATING THE PROCESS SIX ", time4xi())                    
                                                    
                                      
        
        #========
        # 300 SIX
        #========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2six4process is True:
    
            if ack2six4start is True:
    
                if ack2six4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 583F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE SIX CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                        # 
                    
                    message2receive4six = pipe2six_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 583F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE SIX CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message2receive4six)
                        # <ack2put4xi>queue2six8shot2six300x4xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 583F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED RUNNING PROCESS SIX ", time4xi())                 
            else:
                print("\n (STEP 583F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED STARTING PROCESS SIX ", time4xi())                                         
        else:
            print("\n (STEP 583F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED IN CREATING THE PROCESS SIX ", time4xi())                    
        
        #========
        # 400 SIX
        #========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2six4process is True:
    
            if ack2six4start is True:
    
                if ack2six4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 584F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE SIX CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                        # 
                    
                    message2receive4six = pipe2six_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 584F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE SIX CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message2receive4six)
                        # <ack2put4xi>queue2six8shot2six400x4xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 584F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED RUNNING PROCESS SIX ", time4xi())                 
            else:
                print("\n (STEP 584F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED STARTING PROCESS SIX ", time4xi())                                         
        else:
            print("\n (STEP 584F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED IN CREATING THE PROCESS SIX ", time4xi())
                                
        #========
        # 500 SIX
        #========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2six4process is True:
    
            if ack2six4start is True:
    
                if ack2six4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 585F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE SIX CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                        # 
                    
                    message2receive4six = pipe2six_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 585F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE SIX CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message2receive4six)
                        # <ack2put4xi>queue2six8shot2six500x4xi</ack2put4xi> 
     
                    
                else:
                    print("\n (STEP 585F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED RUNNING PROCESS SIX ", time4xi())                 
            else:
                print("\n (STEP 585F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED STARTING PROCESS SIX ", time4xi())                                         
        else:
            print("\n (STEP 585F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED IN CREATING THE PROCESS SIX ", time4xi())                    
                                                                                           
        #========
        # 600 SIX
        #========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2six4process is True:
    
            if ack2six4start is True:
    
                if ack2six4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 586F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE SIX CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                        # 
                    
                    message2receive4six = pipe2six_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 586F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE SIX CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message2receive4six)
                        #  <ack2put4xi>queue2six8shot2six600x4xi</ack2put4xi>
                else:
                    print("\n (STEP 586F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED RUNNING PROCESS SIX ", time4xi())                 
            else:
                print("\n (STEP 586F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED STARTING PROCESS SIX ", time4xi())                                         
        else:
            print("\n (STEP 584F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED IN CREATING THE PROCESS SIX ", time4xi())                    
         
        #========
        # 700 SIX
        #========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2six4process is True:
    
            if ack2six4start is True:
    
                if ack2six4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 587F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE SIX CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                        # 
                    
                    message2receive4six = pipe2six_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 587F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE SIX CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message2receive4six)
                        # <ack2put4xi>queue2six8shot2six700x4xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 587F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED RUNNING PROCESS SIX ", time4xi())                 
            else:
                print("\n (STEP 587F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED STARTING PROCESS SIX ", time4xi())                                         
        else:
            print("\n (STEP 587F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED IN CREATING THE PROCESS SIX ", time4xi())                    
           
        #========
        # 800 SIX
        #========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2six4process is True:
    
            if ack2six4start is True:
    
                if ack2six4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 588F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE SIX CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                        # 
                    
                    message2receive4six = pipe2six_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 588F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE SIX CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message2receive4six)
                        # <ack2put4xi>queue2six8shot2six800x4xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 588F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED RUNNING PROCESS SIX ", time4xi())                 
            else:
                print("\n (STEP 588F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED STARTING PROCESS SIX ", time4xi())                                         
        else:
            print("\n (STEP 588F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED IN CREATING THE PROCESS SIX ", time4xi())                    
         
        #========
        # 900 SIX
        #========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2six4process is True:
    
            if ack2six4start is True:
    
                if ack2six4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 589F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE SIX CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                        # 
                    
                    message2receive4six = pipe2six_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 589F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE SIX CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message2receive4six)
                        # <ack2put4xi>queue2six8shot2six900x4xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 589F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED RUNNING PROCESS SIX ", time4xi())                 
            else:
                print("\n (STEP 589F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED STARTING PROCESS SIX ", time4xi())                                         
        else:
            print("\n (STEP 589F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED IN CREATING THE PROCESS SIX ", time4xi())                    
          
               
         
        #=========
        # 1000 SIX
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2six4process is True:
    
            if ack2six4start is True:
    
                if ack2six4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 590F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE SIX CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                        # 
                    
                    message2receive4six = pipe2six_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 590F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE SIX CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message2receive4six)
                        # <ack2put4xi>queue2six8shot2six1000x4xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 590F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED RUNNING PROCESS SIX ", time4xi())                 
            else:
                print("\n (STEP 590F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED STARTING PROCESS SIX ", time4xi())                                         
        else:
            print("\n (STEP 590F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED IN CREATING THE PROCESS SIX ", time4xi())                    
         
        #=========
        # 1100 SIX
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2six4process is True:
    
            if ack2six4start is True:
    
                if ack2six4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 591F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE SIX CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                        # 
                    
                    message2receive4six = pipe2six_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 591F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE SIX CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message2receive4six)
                        # <ack2put4xi>queue2six8shot2six1100x4xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 591F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED RUNNING PROCESS SIX ", time4xi())                 
            else:
                print("\n (STEP 591F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED STARTING PROCESS SIX ", time4xi())                                         
        else:
            print("\n (STEP 591F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED IN CREATING THE PROCESS SIX ", time4xi())                    
         
        #=========
        # 1200 SIX
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2six4process is True:
    
            if ack2six4start is True:
    
                if ack2six4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 592F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE SIX CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                        # 
                    
                    message2receive4six = pipe2six_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 592F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE SIX CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message2receive4six)
                        # <ack2put4xi>queue2six8shot2six1200x4xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 592F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED RUNNING PROCESS SIX ", time4xi())                 
            else:
                print("\n (STEP 592F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED STARTING PROCESS SIX ", time4xi())                                         
        else:
            print("\n (STEP 592F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED IN CREATING THE PROCESS SIX ", time4xi())                    
         
        #=========
        # 1300 SIX
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2six4process is True:
    
            if ack2six4start is True:
    
                if ack2six4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 593F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE SIX CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                        # 
                    
                    message2receive4six = pipe2six_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 593F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE SIX CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message2receive4six)
                        # <ack2put4xi>queue2six8shot2six1300x4xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 593F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED RUNNING PROCESS SIX ", time4xi())                 
            else:
                print("\n (STEP 593F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED STARTING PROCESS SIX ", time4xi())                                         
        else:
            print("\n (STEP 593F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED IN CREATING THE PROCESS SIX ", time4xi())                    
         
        #=========
        # 1400 SIX
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2six4process is True:
    
            if ack2six4start is True:
    
                if ack2six4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 594F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE SIX CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                        # 
                    
                    message2receive4six = pipe2six_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 594F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE SIX CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message2receive4six)
                        # <ack2put4xi>queue2six8shot2six1400x4xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 594F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED RUNNING PROCESS SIX ", time4xi())                 
            else:
                print("\n (STEP 594F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED STARTING PROCESS SIX ", time4xi())                                         
        else:
            print("\n (STEP 594F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED IN CREATING THE PROCESS SIX ", time4xi())                    
         
        #=========
        # 1500 SIX
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2six4process is True:
    
            if ack2six4start is True:
    
                if ack2six4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 595F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE SIX CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                        # 
                    
                    message2receive4six = pipe2six_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 595F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE SIX CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message2receive4six)
                        # <ack2put4xi>queue2six8shot2six1500x4xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 595F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED RUNNING PROCESS SIX ", time4xi())                 
            else:
                print("\n (STEP 595F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED STARTING PROCESS SIX ", time4xi())                                         
        else:
            print("\n (STEP 595F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED IN CREATING THE PROCESS SIX ", time4xi())                    
         
        #=========
        # 1600 SIX
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2six4process is True:
    
            if ack2six4start is True:
    
                if ack2six4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 596F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE SIX CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                        # 
                    
                    message2receive4six = pipe2six_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 596F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE SIX CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message2receive4six)
                        # <ack2put4xi>queue2six8shot2six1600x4xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 596F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED RUNNING PROCESS SIX ", time4xi())                 
            else:
                print("\n (STEP 596F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED STARTING PROCESS SIX ", time4xi())                                         
        else:
            print("\n (STEP 596F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED IN CREATING THE PROCESS SIX ", time4xi())                    
         
        #=========
        # 1700 SIX
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2six4process is True:
    
            if ack2six4start is True:
    
                if ack2six4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 597F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE SIX CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                        # 
                    
                    message2receive4six = pipe2six_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 597F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE SIX CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message2receive4six)
                        # <ack2put4xi>queue2six8shot2six1700x4xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 597F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED RUNNING PROCESS SIX ", time4xi())                 
            else:
                print("\n (STEP 597F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED STARTING PROCESS SIX ", time4xi())                                         
        else:
            print("\n (STEP 597F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED IN CREATING THE PROCESS SIX ", time4xi())                    
         
        #=========
        # 1800 SIX
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2six4process is True:
    
            if ack2six4start is True:
    
                if ack2six4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 598F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE SIX CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                        # 
                    
                    message2receive4six = pipe2six_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 598F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE SIX CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message2receive4six)
                        # <ack2put4xi>queue2six8shot2six1800x4xi</ack2put4xi>
                    
                else:
                    print("\n (STEP 598F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED RUNNING PROCESS SIX ", time4xi())                 
            else:
                print("\n (STEP 598F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED STARTING PROCESS SIX ", time4xi())                                         
        else:
            print("\n (STEP 598F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED IN CREATING THE PROCESS SIX ", time4xi())                    
         
        #=========
        # 1900 SIX
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2six4process is True:
    
            if ack2six4start is True:
    
                if ack2six4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 599F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE SIX CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                        # 
                    
                    message2receive4six = pipe2six_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 599F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE SIX CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message2receive4six)
                        # <ack2put4xi>queue2six8shot2six1900x4xi</ack2put4xi>
                    
                else:
                    print("\n (STEP 599F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED RUNNING PROCESS SIX ", time4xi())                 
            else:
                print("\n (STEP 599F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED STARTING PROCESS SIX ", time4xi())                                         
        else:
            print("\n (STEP 599F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED IN CREATING THE PROCESS SIX ", time4xi())  
            
         
        #=========
        # 2000 SIX
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2six4process is True:
    
            if ack2six4start is True:
    
                if ack2six4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 600F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE SIX CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                        # 
                    
                    message2receive4six = pipe2six_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 600F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE SIX CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message2receive4six)
                        # <ack2put4xi>queue2six8shot2six2000x4xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 600F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED RUNNING PROCESS SIX ", time4xi())                 
            else:
                print("\n (STEP 600F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED STARTING PROCESS SIX ", time4xi())                                         
        else:
            print("\n (STEP 600F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED IN CREATING THE PROCESS SIX ", time4xi())  
         
        #=========
        # 2100 SIX
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2six4process is True:
    
            if ack2six4start is True:
    
                if ack2six4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 621F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE SIX CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                        # 
                    
                    message2receive4six = pipe2six_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 621F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE SIX CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message2receive4six)
                        # <ack2put4xi>queue2six8shot2six2100x4xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 621F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED RUNNING PROCESS SIX ", time4xi())                 
            else:
                print("\n (STEP 621F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED STARTING PROCESS SIX ", time4xi())                                         
        else:
            print("\n (STEP 621F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED IN CREATING THE PROCESS SIX ", time4xi())  
         
        #=========
        # 2200 SIX
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2six4process is True:
    
            if ack2six4start is True:
    
                if ack2six4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 622F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE SIX CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                        # 
                    
                    message2receive4six = pipe2six_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 622F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE SIX CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message2receive4six)
                        # <ack2put4xi>queue2six8shot2six2200x4xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 622F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED RUNNING PROCESS SIX ", time4xi())                 
            else:
                print("\n (STEP 622F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED STARTING PROCESS SIX ", time4xi())                                         
        else:
            print("\n (STEP 622F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED IN CREATING THE PROCESS SIX ", time4xi())  
         
        #=========
        # 2300 SIX
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2six4process is True:
    
            if ack2six4start is True:
    
                if ack2six4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 623F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE SIX CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                        # 
                    
                    message2receive4six = pipe2six_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 623F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE SIX CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message2receive4six)
                        # <ack2put4xi>queue2six8shot2six2300x4xi</ack2put4xi>
                    
                else:
                    print("\n (STEP 623F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED RUNNING PROCESS SIX ", time4xi())                 
            else:
                print("\n (STEP 623F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED STARTING PROCESS SIX ", time4xi())                                         
        else:
            print("\n (STEP 623F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED IN CREATING THE PROCESS SIX ", time4xi())  
         
        #=========
        # 2400 SIX
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2six4process is True:
    
            if ack2six4start is True:
    
                if ack2six4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 624F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE SIX CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                        # 
                    
                    message2receive4six = pipe2six_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 624F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE SIX CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message2receive4six)
                        # <ack2put4xi>queue2six8shot2six2400x4xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 624F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED RUNNING PROCESS SIX ", time4xi())                 
            else:
                print("\n (STEP 624F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED STARTING PROCESS SIX ", time4xi())                                         
        else:
            print("\n (STEP 624F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED IN CREATING THE PROCESS SIX ", time4xi())  
         
        #=========
        # 2500 SIX
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2six4process is True:
    
            if ack2six4start is True:
    
                if ack2six4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 625F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE SIX CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                        # 
                    
                    message2receive4six = pipe2six_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 625F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE SIX CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message2receive4six)
                        # <ack2put4xi>queue2six8shot2six2500x4xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 625F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED RUNNING PROCESS SIX ", time4xi())                 
            else:
                print("\n (STEP 625F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED STARTING PROCESS SIX ", time4xi())                                         
        else:
            print("\n (STEP 625F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED IN CREATING THE PROCESS SIX ", time4xi())  
         
        #=========
        # 2600 SIX
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2six4process is True:
    
            if ack2six4start is True:
    
                if ack2six4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 626F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE SIX CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                        # 
                    
                    message2receive4six = pipe2six_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 626F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE SIX CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message2receive4six)
                        # <ack2put4xi>queue2six8shot2six2600x4xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 626F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED RUNNING PROCESS SIX ", time4xi())                 
            else:
                print("\n (STEP 626F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED STARTING PROCESS SIX ", time4xi())                                         
        else:
            print("\n (STEP 626F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED IN CREATING THE PROCESS SIX ", time4xi())  
         
        #=========
        # 2700 SIX
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2six4process is True:
    
            if ack2six4start is True:
    
                if ack2six4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 627F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE SIX CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                        # 
                    
                    message2receive4six = pipe2six_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 627F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE SIX CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message2receive4six)
                        # <ack2put4xi>queue2six8shot2six2700x4xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 627F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED RUNNING PROCESS SIX ", time4xi())                 
            else:
                print("\n (STEP 627F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED STARTING PROCESS SIX ", time4xi())                                         
        else:
            print("\n (STEP 627F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED IN CREATING THE PROCESS SIX ", time4xi())  
         
        #=========
        # 2800 SIX
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2six4process is True:
    
            if ack2six4start is True:
    
                if ack2six4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 628F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE SIX CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                        # 
                    
                    message2receive4six = pipe2six_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 628F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE SIX CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message2receive4six)
                        # <ack2put4xi>queue2six8shot2six2800x4xi</ack2put4xi> 
                        
                    
                else:
                    print("\n (STEP 628F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED RUNNING PROCESS SIX ", time4xi())                 
            else:
                print("\n (STEP 628F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED STARTING PROCESS SIX ", time4xi())                                         
        else:
            print("\n (STEP 628F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED IN CREATING THE PROCESS SIX ", time4xi())  
         
        #=========
        # 2900 SIX
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2six4process is True:
    
            if ack2six4start is True:
    
                if ack2six4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 629F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE SIX CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                        # 
                    message2receive4six = pipe2six_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 629F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE SIX CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message2receive4six)
                        # <ack2put4xi>queue2six8shot2six2900x4xi</ack2put4xi> 
                        
                else:
                    print("\n (STEP 629F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED RUNNING PROCESS SIX ", time4xi())                 
            else:
                print("\n (STEP 629F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED STARTING PROCESS SIX ", time4xi())                                         
        else:
            print("\n (STEP 629F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED IN CREATING THE PROCESS SIX ", time4xi())  
         
        #=========
        # 3000 SIX
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2six4process is True:
    
            if ack2six4start is True:
    
                if ack2six4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 630F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE SIX CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                        # 
                    
                    message2receive4six = pipe2six_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 630F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE SIX CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message2receive4six)
                        # <ack2put4xi>queue2six8shot2six3000x4xi</ack2put4xi> 
                        
                    
                else:
                    print("\n (STEP 630F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED RUNNING PROCESS SIX ", time4xi())                 
            else:
                print("\n (STEP 630F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED STARTING PROCESS SIX ", time4xi())                                         
        else:
            print("\n (STEP 630F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED IN CREATING THE PROCESS SIX ", time4xi())  
         
        #=========
        # 3100 SIX
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2six4process is True:
    
            if ack2six4start is True:
    
                if ack2six4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 631F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE SIX CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                        # 
                        
                    message2receive4six = pipe2six_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 631F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE SIX CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message2receive4six) 
                        # <ack2put4xi>queue2six8shot2six3100x4xi</ack2put4xi> 
                        
                else:
                    print("\n (STEP 631F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED RUNNING PROCESS SIX ", time4xi())                 
            else:
                print("\n (STEP 631F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED STARTING PROCESS SIX ", time4xi())                                         
        else:
            print("\n (STEP 631F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED IN CREATING THE PROCESS SIX ", time4xi())  
         
        #=========
        # 3200 SIX
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2six4process is True:
    
            if ack2six4start is True:
    
                if ack2six4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 632F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE SIX CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                        # 
                    message2receive4six = pipe2six_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 632F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE SIX CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message2receive4six)
                        # <ack2put4xi>queue2six8shot2six3200x4xi</ack2put4xi> 
                        
                else:
                    print("\n (STEP 632F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED RUNNING PROCESS SIX ", time4xi())                 
            else:
                print("\n (STEP 632F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED STARTING PROCESS SIX ", time4xi())                                         
        else:
            print("\n (STEP 632F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED IN CREATING THE PROCESS SIX ", time4xi())  
         
        #=========
        # 3300 SIX
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2six4process is True:
    
            if ack2six4start is True:
    
                if ack2six4run is True:
        
                    # -----------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -----------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 633F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE SIX CONSUMER_CHANNEL: ", pipe2six_consumer_channel) 
                        # 
                    message2receive4six = pipe2six_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 633F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE SIX CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message2receive4six)
                        # <ack2put4xi>queue2six8shot2six3300x4xi</ack2put4xi> 
                         
                else:
                    print("\n (STEP 633F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED RUNNING PROCESS SIX ", time4xi())                 
            else:
                print("\n (STEP 633F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED STARTING PROCESS SIX ", time4xi())                                         
        else:
            print("\n (STEP 633F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SIX - FAILED IN CREATING THE PROCESS SIX ", time4xi())  
    
          
               
        # =========================================================================================================   
        # I/VI EOF - SIX DIRECTION LAYERS 10, 100 ...3300 PIPE INFORMATION FIRST 
        # =========================================================================================================      
        if ack2debug is True:
            print("\n (STEP 633F6/800) OF COLOR_TENSES4XI - DONE TRIALS TO RECEIVE SIX DIRECTION LAYERS 10, 100 ...3300 PIPE INFORMATION  ", time4xi())
            #             
    
     
    
               
        # =========================================================================================================   
        # II/VI SIX DIRECTION LAYERS 10, 100 ...3300 QUEUE DIRECTORIES 
        # =========================================================================================================      
        if ack2debug is True:
            print("\n (STEP 434F0/800) OF COLOR_TENSES4XI - TRYING TO GET SIX DIRECTION LAYERS 10, 100 ...3300 QUEUE DIRECTORIES  ", time4xi())
            #      
        #========
        # 10 SIX   
        #========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2six104xi = {}
        
        if ack2six4process is True:
    
            if ack2six4start is True:
    
                if ack2six4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE SIX  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 434F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2SIX104XI FROM QUEUE SIX: ", queue2six)
                        # 
                                     
                    fire2six104xi = queue2six.get() 
                    if fire2six104xi is None:
                        fire2six104xi = shot2six104xi
                        print("\n (STEP 434F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE SIX: ", queue2six, " - SET FIRE2SIX104XI TO SHOT2SIX104XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 434F3/800) OF COLOR_TENSES4XI - FIRE2SIX104XI: ", fire2six104xi) 
                        # FIRE2SIX104XI:  {1: '-11x47y-49z', 2: '-12x13y-7z', 3: '-13x12y-7z', 4: '-13x12y-8z' ...
                        
                else:
                    print("\n (STEP 434F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED RUNNING PROCESS SIX ", time4xi())                 
            else:
                print("\n (STEP 434F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED STARTING PROCESS SIX ", time4xi())                                         
        else:
            print("\n (STEP 434F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED IN CREATING PROCESS SIX ", time4xi())
        
            
          
               
        #========
        # 100 SIX
        #========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2six1004xi = {}
    
        if ack2six4process is True:
    
            if ack2six4start is True:
    
                if ack2six4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE SIX  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 441F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2SIX1004XI FROM QUEUE SIX: ", queue2six)
                        # 
                                    
                    fire2six1004xi = queue2six.get()
                    if fire2six1004xi is None:
                        fire2six1004xi = shot2six1004xi
                        print("\n (STEP 441F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE SIX: ", queue2six, " - SET FIRE2SIX1004XI TO SHOT2SIX1004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 441F3/800) OF COLOR_TENSES4XI - FIRE2SIX1004XI: ", fire2six1004xi) 
                        # {1: '-10x35y-92z', 2: '-10x95y-26z', 3: '-11x0y-99z', 4: '-11x33y-93z' ...
                        
                else:
                    print("\n (STEP 441F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED RUNNING PROCESS SIX ", time4xi())                 
            else:
                print("\n (STEP 441F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED STARTING PROCESS SIX ", time4xi())                                         
        else:
            print("\n (STEP 441F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED IN CREATING PROCESS SIX ", time4xi())                    
          
    
        #========
        # 200 SIX
        #========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2six2004xi = {}
        
        if ack2six4process is True:
    
            if ack2six4start is True:
    
                if ack2six4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE SIX  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 542F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2SIX2004XI FROM QUEUE SIX: ", queue2six)
                        # 
                                    
                    fire2six2004xi = queue2six.get()
                    if fire2six2004xi is None:
                        fire2six2004xi = shot2six2004xi
                        print("\n (STEP 542F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE SIX: ", queue2six, " - SET FIRE2SIX2004XI TO SHOT2SIX2004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 542F3/800) OF COLOR_TENSES4XI - FIRE2SIX2004XI: ", fire2six2004xi) 
                        # {1: '-100x3y-172z', 2: '-101x56y-163z', 3: '-102x156y-70z', 4: '-102x49y-164z' ...
                        
                else:
                    print("\n (STEP 542F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED RUNNING PROCESS SIX ", time4xi())                 
            else:
                print("\n (STEP 542F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED STARTING PROCESS SIX ", time4xi())                                         
        else:
            print("\n (STEP 542F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED IN CREATING PROCESS SIX ", time4xi())                    
                                        
                                      
          
    
    
           
        #========
        # 300 SIX
        #========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2six3004xi = {}
        
        if ack2six4process is True:
    
            if ack2six4start is True:
    
                if ack2six4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE SIX  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 543F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2SIX3004XI FROM QUEUE SIX: ", queue2six)
                        # 
                                    
                    fire2six3004xi = queue2six.get()
                    if fire2six3004xi is None:
                        fire2six3004xi = shot2six3004xi
                        print("\n (STEP 543F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE SIX: ", queue2six, " - SET FIRE2SIX3004XI TO SHOT2SIX3004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 543F3/800) OF COLOR_TENSES4XI - FIRE2SIX3004XI: ", fire2six3004xi) 
                        # {1: '-101x168y-225z', 2: '-103x265y-95z', 3: '-107x265y-90z', 4: '-109x161y-227z' ...
                        
                else:
                    print("\n (STEP 543F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED RUNNING PROCESS SIX ", time4xi())                 
            else:
                print("\n (STEP 543F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED STARTING PROCESS SIX ", time4xi())                                         
        else:
            print("\n (STEP 543F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED IN CREATING PROCESS SIX ", time4xi())                    
                   
    
    
           
        #========
        # 400 SIX
        #========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2six4004xi = {}
        
        if ack2six4process is True:
    
            if ack2six4start is True:
    
                if ack2six4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE SIX  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 544F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2SIX4004XI FROM QUEUE SIX: ", queue2six)
                        # 
                                    
                    fire2six4004xi = queue2six.get()
                    if fire2six4004xi is None:
                        fire2six4004xi = shot2six4004xi
                        print("\n (STEP 544F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE SIX: ", queue2six, " - SET FIRE2SIX4004XI TO SHOT2SIX4004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 544F3/800) OF COLOR_TENSES4XI - FIRE2SIX4004XI: ", fire2six4004xi) 
                        # {1: '-100x368y-119z', 2: '-102x252y-293z', 3: '-105x368y-112z', 4: '-114x243y-295z' ...
                        
                else:
                    print("\n (STEP 544F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED RUNNING PROCESS SIX ", time4xi())                 
            else:
                print("\n (STEP 544F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED STARTING PROCESS SIX ", time4xi())                                         
        else:
            print("\n (STEP 544F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED IN CREATING PROCESS SIX ", time4xi())                    
                   
    
    
                                   
        #========
        # 500 SIX
        #========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2six5004xi = {}
        
        if ack2six4process is True:
    
            if ack2six4start is True:
    
                if ack2six4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE SIX  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 545F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2SIX5004XI FROM QUEUE SIX: ", queue2six)
                        # 
                                    
                    fire2six5004xi = queue2six.get()
                    if fire2six5004xi is None:
                        fire2six5004xi = shot2six5004xi
                        print("\n (STEP 373F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE SIX: ", queue2six, " - SET FIRE2SIX5004XI TO SHOT2SIX5004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 373F3/800) OF COLOR_TENSES4XI - FIRE2SIX5004XI: ", fire2six5004xi) 
                        # {1: '-100x62y-485z', 2: '-100x69y-484z', 3: '-100x78y-483z', 4: '-100x86y-482z' ...
                        
                else:
                    print("\n (STEP 545F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED RUNNING PROCESS SIX ", time4xi())                 
            else:
                print("\n (STEP 545F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED STARTING PROCESS SIX ", time4xi())                                         
        else:
            print("\n (STEP 545F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED IN CREATING PROCESS SIX ", time4xi())                    
                                      
          
    
                                                                                              
        #========
        # 600 SIX
        #========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2six6004xi = {}
        
        if ack2six4process is True:
    
            if ack2six4start is True:
    
                if ack2six4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE SIX  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 546F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2SIX6004XI FROM QUEUE SIX: ", queue2six)
                        # 
                                    
                    fire2six6004xi = queue2six.get()
                    if fire2six6004xi is None:
                        fire2six6004xi = shot2six6004xi
                        print("\n (STEP 546F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE SIX: ", queue2six, " - SET FIRE2SIX6004XI TO SHOT2SIX6004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 546F3/800) OF COLOR_TENSES4XI - FIRE2SIX6004XI: ", fire2six6004xi) 
                        # {1: '-100x165y-568z', 2: '-100x570y-157z', 3: '-103x25y-590z', 4: '-105x155y-569z' ...
                        
                else:
                    print("\n (STEP 546F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED RUNNING PROCESS SIX ", time4xi())                 
            else:
                print("\n (STEP 546F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED STARTING PROCESS SIX ", time4xi())                                         
        else:
            print("\n (STEP 546F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED IN CREATING PROCESS SIX ", time4xi())                    
                   
    
    
            
        #========
        # 700 SIX
        #========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2six7004xi = {}
        
        if ack2six4process is True:
    
            if ack2six4start is True:
    
                if ack2six4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE SIX  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 547F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2SIX7004XI FROM QUEUE SIX: ", queue2six)
                        # 
                                    
                    fire2six7004xi = queue2six.get()
                    if fire2six7004xi is None:
                        fire2six7004xi = shot2six7004xi
                        print("\n (STEP 373F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE SIX: ", queue2six, " - SET FIRE2SIX7004XI TO SHOT2SIX7004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 547F3/800) OF COLOR_TENSES4XI - FIRE2SIX7004XI: ", fire2six7004xi) 
                        # {1: '-101x215y-658z', 2: '-102x8y-692z', 3: '-108x663y-195z', 4: '-109x14y-691z' ...
                        
                else:
                    print("\n (STEP 547F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED RUNNING PROCESS SIX ", time4xi())                 
            else:
                print("\n (STEP 547F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED STARTING PROCESS SIX ", time4xi())                                         
        else:
            print("\n (STEP 547F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED IN CREATING PROCESS SIX ", time4xi())                    
                   
    
    
              
        #========
        # 800 SIX
        #========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2six8004xi = {}
        
        if ack2six4process is True:
    
            if ack2six4start is True:
    
                if ack2six4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE SIX  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 548F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2SIX8004XI FROM QUEUE SIX: ", queue2six)
                        # 
                                    
                    fire2six8004xi = queue2six.get()
                    if fire2six8004xi is None:
                        fire2six8004xi = shot2six8004xi
                        print("\n (STEP 548F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE SIX: ", queue2six, " - SET FIRE2SIX8004XI TO SHOT2SIX8004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 548F3/800) OF COLOR_TENSES4XI - FIRE2SIX8004XI: ", fire2six8004xi) 
                        # {1: '-106x259y-749z', 2: '-109x3y-792z', 3: '-116x246y-752z', 4: '-117x9y-791z' ...
                        
                else:
                    print("\n (STEP 548F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED RUNNING PROCESS SIX ", time4xi())                 
            else:
                print("\n (STEP 548F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED STARTING PROCESS SIX ", time4xi())                                         
        else:
            print("\n (STEP 548F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED IN CREATING PROCESS SIX ", time4xi())                    
                   
    
    
            
        #========
        # 900 SIX
        #========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2six9004xi = {}
        
        if ack2six4process is True:
    
            if ack2six4start is True:
    
                if ack2six4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE SIX  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 549F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2SIX9004XI FROM QUEUE SIX: ", queue2six)
                        # 
                                    
                    fire2six9004xi = queue2six.get()
                    if fire2six9004xi is None:
                        fire2six9004xi = shot2six9004xi
                        print("\n (STEP 549F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE SIX: ", queue2six, " - SET FIRE2SIX9004XI TO SHOT2SIX9004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 549F3/800) OF COLOR_TENSES4XI - FIRE2SIX9004XI: ", fire2six9004xi) 
                        # {1: '-106x305y-839z', 2: '-111x628y-634z', 3: '-119x291y-842z', 4: '-123x3y-891z' ...
                        
                else:
                    print("\n (STEP 549F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED RUNNING PROCESS SIX ", time4xi())                 
            else:
                print("\n (STEP 549F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED STARTING PROCESS SIX ", time4xi())                                         
        else:
            print("\n (STEP 549F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED IN CREATING PROCESS SIX ", time4xi())                    
                   
    
    
            
        #=========
        # 1000 SIX
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2six10004xi = {}
        
        if ack2six4process is True:
    
            if ack2six4start is True:
    
                if ack2six4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE SIX  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 550F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2SIX10004XI FROM QUEUE SIX: ", queue2six)
                        # 
                                    
                    fire2six10004xi = queue2six.get()
                    if fire2six10004xi is None:
                        fire2six10004xi = shot2six10004xi
                        print("\n (STEP 550F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE SIX: ", queue2six, " - SET FIRE2SIX10004XI TO SHOT2SIX10004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 550F3/800) OF COLOR_TENSES4XI - FIRE2SIX10004XI: ", fire2six10004xi) 
                        # {1: '-103x354y-929z', 2: '-105x957y-269z', 3: '-118x339y-933z', 4: '-124x697y-705z' ...
                        
                else:
                    print("\n (STEP 550F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED RUNNING PROCESS SIX ", time4xi())                 
            else:
                print("\n (STEP 550F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED STARTING PROCESS SIX ", time4xi())                                         
        else:
            print("\n (STEP 550F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED IN CREATING PROCESS SIX ", time4xi())                    
                   
    
            
        #=========
        # 1100 SIX
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2six11004xi = {}
        
        if ack2six4process is True:
    
            if ack2six4start is True:
    
                if ack2six4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE SIX  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 551F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2SIX11004XI FROM QUEUE SIX: ", queue2six)
                        # 
                                    
                    fire2six11004xi = queue2six.get()
                    if fire2six11004xi is None:
                        fire2six11004xi = shot2six11004xi
                        print("\n (STEP 551F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE SIX: ", queue2six, " - SET FIRE2SIX11004XI TO SHOT2SIX11004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 551F3/800) OF COLOR_TENSES4XI - FIRE2SIX11004XI: ", fire2six11004xi) 
                        # FIRE2SIX11004XI:  {1: '-1001x443y-102z', 2: '-1022x389y-112z', 3: '-1040x335y-123z', 4: '-1055x280y-134z' ...
                        
                else:
                    print("\n (STEP 551F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED RUNNING PROCESS SIX ", time4xi())                 
            else:
                print("\n (STEP 551F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED STARTING PROCESS SIX ", time4xi())                                         
        else:
            print("\n (STEP 551F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED IN CREATING PROCESS SIX ", time4xi())                    
                   
    
    
            
        #=========
        # 1200 SIX
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2six12004xi = {}
        
        if ack2six4process is True:
    
            if ack2six4start is True:
    
                if ack2six4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE SIX  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 552F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2SIX12004XI FROM QUEUE SIX: ", queue2six)
                        # 
                                    
                    fire2six12004xi = queue2six.get()
                    if fire2six12004xi is None:
                        fire2six12004xi = shot2six12004xi
                        print("\n (STEP 552F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE SIX: ", queue2six, " - SET FIRE2SIX12004XI TO SHOT2SIX12004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 552F3/800) OF COLOR_TENSES4XI - FIRE2SIX12004XI: ", fire2six12004xi) 
                        # FIRE2SIX12004XI:  {1: '-1005x650y-75z', 2: '-1007x321y-567z', 3: '-1017x266y-578z', 4: '-1023x212y-588z' ...
                        
                else:
                    print("\n (STEP 552F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED RUNNING PROCESS SIX ", time4xi())                 
            else:
                print("\n (STEP 552F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED STARTING PROCESS SIX ", time4xi())                                         
        else:
            print("\n (STEP 552F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED IN CREATING PROCESS SIX ", time4xi())                    
                   
    
    
            
        #=========
        # 1300 SIX
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2six13004xi = {}
        
        if ack2six4process is True:
    
            if ack2six4start is True:
    
                if ack2six4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE SIX  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 553F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2SIX13004XI FROM QUEUE SIX: ", queue2six)
                        # 
                                    
                    fire2six13004xi = queue2six.get()
                    if fire2six13004xi is None:
                        fire2six13004xi = shot2six13004xi
                        print("\n (STEP 553F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE SIX: ", queue2six, " - SET FIRE2SIX13004XI TO SHOT2SIX13004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 553F3/800) OF COLOR_TENSES4XI - FIRE2SIX13004XI: ", fire2six13004xi) 
                        # FIRE2SIX13004XI:  {1: '-1004x626y-536z', 2: '-1011x815y-55z', 3: '-1015x579y-568z', 4: '-1031x570y-548z' ...
                        
                else:
                    print("\n (STEP 553F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED RUNNING PROCESS SIX ", time4xi())                 
            else:
                print("\n (STEP 553F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED STARTING PROCESS SIX ", time4xi())                                         
        else:
            print("\n (STEP 553F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED IN CREATING PROCESS SIX ", time4xi())                    
                   
    
            
        #=========
        # 1400 SIX
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2six14004xi = {}
        
        if ack2six4process is True:
    
            if ack2six4start is True:
    
                if ack2six4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE SIX  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 554F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2SIX14004XI FROM QUEUE SIX: ", queue2six)
                        # 
                                    
                    fire2six14004xi = queue2six.get()
                    if fire2six14004xi is None:
                        fire2six14004xi = shot2six14004xi
                        print("\n (STEP 554F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE SIX: ", queue2six, " - SET FIRE2SIX14004XI TO SHOT2SIX14004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 554F3/800) OF COLOR_TENSES4XI - FIRE2SIX14004XI: ", fire2six14004xi) 
                        # FIRE2SIX14004XI:  {1: '-1014x791y-552z', 2: '-1032x741y-587z', 3: '-1041x933y-46z', 4: '-1049x734y-565z' ...
                        
                else:
                    print("\n (STEP 554F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED RUNNING PROCESS SIX ", time4xi())                 
            else:
                print("\n (STEP 554F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED STARTING PROCESS SIX ", time4xi())                                         
        else:
            print("\n (STEP 554F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED IN CREATING PROCESS SIX ", time4xi())                    
                   
    
            
        #=========
        # 1500 SIX
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2six15004xi = {}
        
        if ack2six4process is True:
    
            if ack2six4start is True:
    
                if ack2six4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE SIX  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 555F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2SIX15004XI FROM QUEUE SIX: ", queue2six)
                        # 
                                    
                    fire2six15004xi = queue2six.get()
                    if fire2six15004xi is None:
                        fire2six15004xi = shot2six15004xi
                        print("\n (STEP 555F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE SIX: ", queue2six, " - SET FIRE2SIX15004XI TO SHOT2SIX15004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 555F3/800) OF COLOR_TENSES4XI - FIRE2SIX15004XI: ", fire2six15004xi) 
                        # FIRE2SIX15004XI:  {1: '-1000x964y-564z', 2: '-1006x1112y-19z', 3: '-1025x914y-601z', 4: '-103x572y-1382z' ...
                        
                else:
                    print("\n (STEP 555F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED RUNNING PROCESS SIX ", time4xi())                 
            else:
                print("\n (STEP 555F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED STARTING PROCESS SIX ", time4xi())                                         
        else:
            print("\n (STEP 555F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED IN CREATING PROCESS SIX ", time4xi())                    
                   
    
            
        #=========
        # 1600 SIX
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2six16004xi = {}
        
        if ack2six4process is True:
    
            if ack2six4start is True:
    
                if ack2six4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE SIX  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 556F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2SIX16004XI FROM QUEUE SIX: ", queue2six)
                        # 
                                     
                    fire2six16004xi = queue2six.get() 
                    if fire2six16004xi is None:
                        fire2six16004xi = shot2six16004xi
                        print("\n (STEP 556F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE SIX: ", queue2six, " - SET FIRE2SIX1600 4XI TO SHOT2SIX1600 4XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 556F3/800) OF COLOR_TENSES4XI - FIRE2SIX16004XI: ", fire2six16004xi) 
                        # FIRE2SIX16004XI:  {1: '-1009x1241y-4z', 2: '-1015x1088y-586z', 3: '-1046x1035y-627z', 4: '-1067x1029y-601z' ...
                        
                else:
                    print("\n (STEP 556F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED RUNNING PROCESS SIX ", time4xi())                 
            else:
                print("\n (STEP 556F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED STARTING PROCESS SIX ", time4xi())                                         
        else:
            print("\n (STEP 556F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED IN CREATING PROCESS SIX ", time4xi())                    
                   
    
            
        #=========
        # 1700 SIX
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2six17004xi = {}
        
        if ack2six4process is True:
    
            if ack2six4start is True:
    
                if ack2six4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE SIX  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 557F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2SIX17004XI FROM QUEUE SIX: ", queue2six)
                        # 
                                    
                    fire2six17004xi = queue2six.get()
                    if fire2six17004xi is None:
                        fire2six17004xi = shot2six17004xi
                        print("\n (STEP 557F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE SIX: ", queue2six, " - SET FIRE2SIX17004XI TO SHOT2SIX17004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 557F3/800) OF COLOR_TENSES4XI - FIRE2SIX17004XI: ", fire2six17004xi) 
                        # FIRE2SIX17004XI:  {1: '-1021x1215y-607z', 2: '-1056x1161y-650z', 3: '-1072x1318y-4z', 4: '-1079x1156y-623z' ...
                        
                else:
                    print("\n (STEP 557F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED RUNNING PROCESS SIX ", time4xi())                 
            else:
                print("\n (STEP 557F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED STARTING PROCESS SIX ", time4xi())                                         
        else:
            print("\n (STEP 557F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED IN CREATING PROCESS SIX ", time4xi())                    
                   
    
            
        #=========
        # 1800 SIX
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2six18004xi = {}
        
        if ack2six4process is True:
    
            if ack2six4start is True:
    
                if ack2six4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE SIX  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 558F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2SIX18004XI FROM QUEUE SIX: ", queue2six)
                        # 
                                    
                    fire2six18004xi = queue2six.get()
                    if fire2six18004xi is None:
                        fire2six18004xi = shot2six18004xi
                        print("\n (STEP 558F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE SIX: ", queue2six, " - SET FIRE2SIX18004XI TO SHOT2SIX18004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 558F3/800) OF COLOR_TENSES4XI - FIRE2SIX18004XI: ", fire2six18004xi) 
                        # FIRE2SIX18004XI:  {1: '-1016x1347y-626z', 2: '-1057x1292y-672z', 3: '-1081x1287y-643z', 4: '-1119x1229y-689z' ...
                        
                else:
                    print("\n (STEP 558F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED RUNNING PROCESS SIX ", time4xi())                 
            else:
                print("\n (STEP 558F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED STARTING PROCESS SIX ", time4xi())                                         
        else:
            print("\n (STEP 558F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED IN CREATING PROCESS SIX ", time4xi())                    
                   
    
            
        #=========
        # 1900 SIX
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2six19004xi = {}
        
        if ack2six4process is True:
    
            if ack2six4start is True:
    
                if ack2six4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE SIX  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 559F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2SIX19004XI FROM QUEUE SIX: ", queue2six)
                        # 
                                    
                    fire2six19004xi = queue2six.get()
                    if fire2six19004xi is None:
                        fire2six19004xi = shot2six19004xi
                        print("\n (STEP 559F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE SIX: ", queue2six, " - SET FIRE2SIX19004XI TO SHOT2SIX19004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 559F3/800) OF COLOR_TENSES4XI - FIRE2SIX19004XI: ", fire2six19004xi) 
                        # FIRE2SIX19004XI:  {1: '-1000x1481y-643z', 2: '-1047x1426y-692z', 3: '-1072x1421y-661z', 4: '-1116x1363y-709z' ...
                        
                else:
                    print("\n (STEP 559F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED RUNNING PROCESS SIX ", time4xi())                 
            else:
                print("\n (STEP 559F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED STARTING PROCESS SIX ", time4xi())                                         
        else:
            print("\n (STEP 559F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED IN CREATING PROCESS SIX ", time4xi())                    
                   
          
    
            
        #=========
        # 2000 SIX
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2six20004xi = {}
        
        if ack2six4process is True:
    
            if ack2six4start is True:
    
                if ack2six4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE SIX  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 560F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2SIX20004XI FROM QUEUE SIX: ", queue2six)
                        # 
                                    
                    fire2six20004xi = queue2six.get()
                    if fire2six20004xi is None:
                        fire2six20004xi = shot2six20004xi
                        print("\n (STEP 560F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE SIX: ", queue2six, " - SET FIRE2SIX20004XI TO SHOT2SIX20004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 560F3/800) OF COLOR_TENSES4XI - FIRE2SIX20004XI: ", fire2six20004xi) 
                        # FIRE2SIX20004XI:  {1: '-1006x33y-1727z', 2: '-1014x560y-1630z', 3: '-1020x87y-1717z', 4: '-1026x1562y-709z' ...
                        
                else:
                    print("\n (STEP 560F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED RUNNING PROCESS SIX ", time4xi())                 
            else:
                print("\n (STEP 560F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED STARTING PROCESS SIX ", time4xi())                                         
        else:
            print("\n (STEP 560F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED IN CREATING PROCESS SIX ", time4xi())                    
                   
    
            
        #=========
        # 2100 SIX
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2six21004xi = {}
        
        if ack2six4process is True:
    
            if ack2six4start is True:
    
                if ack2six4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE SIX  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 561F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2SIX21004XI FROM QUEUE SIX: ", queue2six)
                        # 
                                    
                    fire2six21004xi = queue2six.get()
                    if fire2six21004xi is None:
                        fire2six21004xi = shot2six21004xi
                        print("\n (STEP 561F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE SIX: ", queue2six, " - SET FIRE2SIX21004XI TO SHOT2SIX21004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 561F3/800) OF COLOR_TENSES4XI - FIRE2SIX21004XI: ", fire2six21004xi) 
                        # FIRE2SIX21004XI:  {1: '-1022x1699y-691z', 2: '-1025x715y-1687z', 3: '-1047x652y-1699z', 4: '-104x826y-1927z' ...
                        
                else:
                    print("\n (STEP 561F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED RUNNING PROCESS SIX ", time4xi())                 
            else:
                print("\n (STEP 561F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED STARTING PROCESS SIX ", time4xi())                                         
        else:
            print("\n (STEP 561F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED IN CREATING PROCESS SIX ", time4xi())                    
                   
    
            
        #=========
        # 2200 SIX
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2six22004xi = {}
        
        if ack2six4process is True:
    
            if ack2six4start is True:
    
                if ack2six4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE SIX  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 562F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2SIX22004XI FROM QUEUE SIX: ", queue2six)
                        # 
                                    
                    fire2six22004xi = queue2six.get()
                    if fire2six22004xi is None:
                        fire2six22004xi = shot2six22004xi
                        print("\n (STEP 562F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE SIX: ", queue2six, " - SET FIRE2SIX22004XI TO SHOT2SIX22004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 562F3/800) OF COLOR_TENSES4XI - FIRE2SIX22004XI: ", fire2six22004xi) 
                        # FIRE2SIX22004XI:  {1: '-1016x880y-1740z', 2: '-1041x1782y-760z', 3: '-1047x815y-1754z', 4: '-1070x1780y-724z' ...
                        
                else:
                    print("\n (STEP 562F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED RUNNING PROCESS SIX ", time4xi())                 
            else:
                print("\n (STEP 562F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED STARTING PROCESS SIX ", time4xi())                                         
        else:
            print("\n (STEP 562F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED IN CREATING PROCESS SIX ", time4xi())                    
                   
    
            
        #=========
        # 2300 SIX
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2six23004xi = {}
        
        if ack2six4process is True:
    
            if ack2six4start is True:
    
                if ack2six4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE SIX  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 563F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2SIX23004XI FROM QUEUE SIX: ", queue2six)
                        # 
                                    
                    fire2six23004xi = queue2six.get()
                    if fire2six23004xi is None:
                        fire2six23004xi = shot2six23004xi
                        print("\n (STEP 563F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE SIX: ", queue2six, " - SET FIRE2SIX23004XI TO SHOT2SIX23004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 563F3/800) OF COLOR_TENSES4XI - FIRE2SIX23004XI: ", fire2six23004xi) 
                        # FIRE2SIX23004XI:  {1: '-1024x1923y-735z', 2: '-1026x987y-1805z', 3: '-1062x921y-1819z', 4: '-1088x1863y-794z' ...
                        
                else:
                    print("\n (STEP 563F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED RUNNING PROCESS SIX ", time4xi())                 
            else:
                print("\n (STEP 563F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED STARTING PROCESS SIX ", time4xi())                                         
        else:
            print("\n (STEP 563F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED IN CREATING PROCESS SIX ", time4xi())                    
                   
    
            
        #=========
        # 2400 SIX
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2six24004xi = {}
        
        if ack2six4process is True:
    
            if ack2six4start is True:
    
                if ack2six4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE SIX  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 564F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2SIX24004XI FROM QUEUE SIX: ", queue2six)
                        # 
                                    
                    fire2six24004xi = queue2six.get()
                    
                    if fire2six24004xi is None:
                        fire2six24004xi = shot2six24004xi
                        print("\n (STEP 564F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE SIX: ", queue2six, " - SET FIRE2SIX24004XI TO SHOT2SIX24004XI ", time4xi())  
                        #     
                    if ack2debug is True:
                        print("\n (STEP 564F3/800) OF COLOR_TENSES4XI - FIRE2SIX24004XI: ", fire2six24004xi) 
                        # FIRE2SIX24004XI:  {1: '-1028x1099y-1869z', 2: '-1036x2008y-806z', 3: '-1068x2007y-767z', 4: '-1070x1030y-1884z' ...
                        
                else:
                    print("\n (STEP 564F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED RUNNING PROCESS SIX ", time4xi())                 
            else:
                print("\n (STEP 564F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED STARTING PROCESS SIX ", time4xi())                                         
        else:
            print("\n (STEP 564F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED IN CREATING PROCESS SIX ", time4xi())                    
                   
    
            
        #=========
        # 2500 SIX
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2six25004xi = {}
        
        if ack2six4process is True:
    
            if ack2six4start is True:
    
                if ack2six4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE SIX  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 565F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2SIX25004XI FROM QUEUE SIX: ", queue2six)
                        # 
                                    
                    fire2six25004xi = queue2six.get()
                    
                    if fire2six25004xi is None:
                        fire2six25004xi = shot2six25004xi
                        print("\n (STEP 565F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE SIX: ", queue2six, " - SET FIRE2SIX25004XI TO SHOT2SIX25004XI ", time4xi())  
                        #     
                    if ack2debug is True:
                        print("\n (STEP 565F3/800) OF COLOR_TENSES4XI - FIRE2SIX25004XI: ", fire2six25004xi) 
                        #  FIRE2SIX25004XI:  {1: '-1005x2153y-775z', 2: '-1022x1214y-1931z', 3: '-1071x1145y-1947z', 4: '-1079x2092y-840z' ...
                        
                else:
                    print("\n (STEP 565F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED RUNNING PROCESS SIX ", time4xi())                 
            else:
                print("\n (STEP 565F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED STARTING PROCESS SIX ", time4xi())                                         
        else:
            print("\n (STEP 565F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED IN CREATING PROCESS SIX ", time4xi())                    
                   
    
            
        #=========
        # 2600 SIX
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2six26004xi = {}
        
        if ack2six4process is True:
    
            if ack2six4start is True:
    
                if ack2six4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE SIX  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 566F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2SIX26004XI FROM QUEUE SIX: ", queue2six)
                        # 
                                    
                    fire2six26004xi = queue2six.get()
                    
                    if fire2six26004xi is None:
                        fire2six26004xi = shot2six26004xi
                        print("\n (STEP 566F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE SIX: ", queue2six, " - SET FIRE2SIX26004XI TO SHOT2SIX26004XI ", time4xi())  
                        #  
                    if ack2debug is True:
                        print("\n (STEP 566F3/800) OF COLOR_TENSES4XI - FIRE2SIX26004XI: ", fire2six26004xi) 
                        # FIRE2SIX26004XI:  {1: '-1007x1332y-1992z', 2: '-1011x2239y-849z', 3: '-1045x2239y-806z', 4: '-1063x1262y-2008z' ...
                        
                else:
                    print("\n (STEP 566F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED RUNNING PROCESS SIX ", time4xi())                 
            else:
                print("\n (STEP 566F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED STARTING PROCESS SIX ", time4xi())                                         
        else:
            print("\n (STEP 566F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED IN CREATING PROCESS SIX ", time4xi())                    
                   
    
            
        #=========
        # 2700 SIX
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2six27004xi = {}
        
        if ack2six4process is True:
    
            if ack2six4start is True:
    
                if ack2six4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE SIX  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 567F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2SIX27004XI FROM QUEUE SIX: ", queue2six)
                        # 
                                    
                    fire2six27004xi = queue2six.get()
                    
                    if fire2six27004xi is None:
                        fire2six27004xi = shot2six27004xi
                        print("\n (STEP 567F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE SIX: ", queue2six, " - SET FIRE2SIX27004XI TO SHOT2SIX27004XI ", time4xi())  
                        # 
                    if ack2debug is True:
                        print("\n (STEP 567F3/800) OF COLOR_TENSES4XI - FIRE2SIX27004XI: ", fire2six27004xi) 
                        # FIRE2SIX27004XI:  {1: '-1046x1384y-2068z', 2: '-1050x2325y-882z', 3: '-1085x2325y-837z', 4: '-1103x1311y-2085z' ...
                        
                else:
                    print("\n (STEP 567F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED RUNNING PROCESS SIX ", time4xi())                 
            else:
                print("\n (STEP 567F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED STARTING PROCESS SIX ", time4xi())                                         
        else:
            print("\n (STEP 567F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED IN CREATING PROCESS SIX ", time4xi())                    
                   
    
            
        #=========
        # 2800 SIX
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2six28004xi = {}
        
        if ack2six4process is True:
    
            if ack2six4start is True:
    
                if ack2six4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE SIX  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 568F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2SIX28004XI FROM QUEUE SIX: ", queue2six)
                        # 
                                    
                    fire2six28004xi = queue2six.get()
                    
                    if fire2six28004xi is None:
                        fire2six28004xi = shot2six28004xi
                        print("\n (STEP 568F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE SIX: ", queue2six, " - SET FIRE2SIX28004XI TO SHOT2SIX28004XI ", time4xi())  
                        # 
                    if ack2debug is True:
                        print("\n (STEP 568F3/800) OF COLOR_TENSES4XI - FIRE2SIX28004XI: ", fire2six28004xi) 
                        # FIRE2SIX28004XI:  {1: '-1001x2475y-842z', 2: '-1020x1507y-2127z', 3: '-1085x1435y-2145z', 4: '-1089x2411y-914z' ...
                        
                else:
                    print("\n (STEP 568F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED RUNNING PROCESS SIX ", time4xi())                 
            else:
                print("\n (STEP 568F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED STARTING PROCESS SIX ", time4xi())                                         
        else:
            print("\n (STEP 568F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED IN CREATING PROCESS SIX ", time4xi())                    
                   
    
            
        #=========
        # 2900 SIX
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2six29004xi = {}
        
        if ack2six4process is True:
    
            if ack2six4start is True:
    
                if ack2six4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE SIX  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 569F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2SIX29004XI FROM QUEUE SIX: ", queue2six)
                        # 
                                    
                    fire2six29004xi = queue2six.get()
                    if fire2six29004xi is None:
                        fire2six29004xi = shot2six29004xi
                        print("\n (STEP 569F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE SIX: ", queue2six, " - SET FIRE2SIX29004XI TO SHOT2SIX29004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 569F3/800) OF COLOR_TENSES4XI - FIRE2SIX29004XI: ", fire2six29004xi) 
                        # FIRE2SIX29004XI:  {1: '-1037x2563y-872z', 2: '-1056x1561y-2203z', 3: '-1123x1486y-2221z', 4: '-1127x2498y-947z' ...
                        
                else:
                    print("\n (STEP 569F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED RUNNING PROCESS SIX ", time4xi())                 
            else:
                print("\n (STEP 569F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED STARTING PROCESS SIX ", time4xi())                                         
        else:
            print("\n (STEP 569F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED IN CREATING PROCESS SIX ", time4xi())                    
                   
    
            
        #=========
        # 3000 SIX
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2six30004xi = {}
        
        if ack2six4process is True:
    
            if ack2six4start is True:
    
                if ack2six4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE SIX  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 570F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2SIX30004XI FROM QUEUE SIX: ", queue2six)
                        # 
                                    
                    fire2six30004xi = queue2six.get()
                    if fire2six30004xi is None:
                        fire2six30004xi = shot2six30004xi
                        print("\n (STEP 570F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE SIX: ", queue2six, " - SET FIRE2SIX30004XI TO SHOT2SIX30004XI ", time4xi())  
                        #                      
                    if ack2debug is True:
                        print("\n (STEP 570F3/800) OF COLOR_TENSES4XI - FIRE2SIX30004XI: ", fire2six30004xi) 
                        # FIRE2SIX30004XI:  {1: '-1018x1689y-2259z', 2: '-1033x2650y-951z', 3: '-1073x2652y-902z', 4: '-1093x1615y-2279z' ...
                        
                else:
                    print("\n (STEP 570F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED RUNNING PROCESS SIX ", time4xi())                 
            else:
                print("\n (STEP 570F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED STARTING PROCESS SIX ", time4xi())                                         
        else:
            print("\n (STEP 570F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED IN CREATING PROCESS SIX ", time4xi())                    
                   
    
            
        #=========
        # 3100 SIX
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2six31004xi = {}
        
        if ack2six4process is True:
    
            if ack2six4start is True:
    
                if ack2six4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE SIX  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 571F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2SIX31004XI FROM QUEUE SIX: ", queue2six) 
                        # 
                                    
                    fire2six31004xi = queue2six.get()
                    if fire2six31004xi is None:
                        fire2six31004xi = shot2six31004xi
                        print("\n (STEP 571F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE SIX: ", queue2six, " - SET FIRE2SIX31004XI TO SHOT2SIX31004XI ", time4xi())  
                        #                 
                    if ack2debug is True:
                        print("\n (STEP 571F3/800) OF COLOR_TENSES4XI - FIRE2SIX31004XI: ", fire2six31004xi) 
                        # FIRE2SIX31004XI:  {1: '-1052x1746y-2334z', 2: '-1067x2739y-983z', 3: '-1108x2740y-932z', 4: '-1129x1669y-2355z' ...
                        
                else:
                    print("\n (STEP 571F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED RUNNING PROCESS SIX ", time4xi())                 
            else:
                print("\n (STEP 571F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED STARTING PROCESS SIX ", time4xi())                                         
        else:
            print("\n (STEP 571F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED IN CREATING PROCESS SIX ", time4xi())                    
                   
    
            
        #=========
        # 3200 SIX
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2six32004xi = {}
        
        if ack2six4process is True:
    
            if ack2six4start is True:
    
                if ack2six4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE SIX  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 572F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2SIX32004XI FROM QUEUE SIX: ", queue2six)
                                        # 
                    fire2six32004xi = queue2six.get()
                    if fire2six32004xi is None:
                        fire2six32004xi = shot2six32004xi
                        print("\n (STEP 573F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE SIX: ", queue2six, " - SET FIRE2SIX32004XI TO SHOT2SIX32004XI ", time4xi())  
                        # 
                                                
                    if ack2debug is True:
                        print("\n (STEP 572F3/800) OF COLOR_TENSES4XI - FIRE2SIX32004XI: ", fire2six32004xi) 
                        # FIRE2SIX32004XI:  {1: '-1002x1878y-2389z', 2: '-1086x1802y-2410z', 3: '-1102x2827y-1015z', 4: '-1144x2828y-962z', 5: '-1166x1723y-2431z', 6: '-1240x1640y-2451z', 7: '-1244x2756y-1045z', 8: '-1287x2756y-993z', 9: '-1308x1554y-2472z', 10: '-1370x1465y-2492z', 11: '-1382x2678y-1075z', 12: '-1424x2676y-1023z', 13: '-1427x1374y-2512z', 14: '-1478x1281y-2532z', 15: '-1515x2592y-1105z', 16: '-1523x1186y-2551z', 17: '-1557x2589y-1053z', 18: '-1562x1090y-2570z', 19: '-1595x993y-2589z', 20: '-159x1259y-2937z', 21: '-1611x53y-2764z', 22: '-1622x896y-2608z', 23: '-1633x140y-2748z', 24: '-1642x2500y-1135z', 25: '-1643x798y-2626z', 26: '-1651x229y-2731z', 27: '-1659x701y-2644z', 28: '-1663x320y-2714z', 29: '-1668x604y-2662z', 30: '-1670x413y-2697z', 31: '-1672x508y-2680z', 32: '-1684x2495y-1083z', 33: '-1764x2401y-1165z', 34: '-1806x2394y-1113z', 35: '-1880x2297y-1195z', 36: '-1922x2288y-1143z', 37: '-1989x2186y-1224z', 38: '-2019x2482y-9z', 39: '-2031x2176y-1173z', 40: '-2092x2070y-1254z', 41: '-2134x2058y-1203z', 42: '-2146x2373y-41z', 43: '-2188x1949y-1283z', 44: '-220x1220y-2949z', 45: '-2229x1936y-1232z', 46: '-2267x2257y-73z', 47: '-2277x1824y-1313z', 48: '-2318x1809y-1262z', 49: '-2359x1695y-1342z', 50: '-2381x2134y-105z', 51: '-2399x1677y-1291z', 52: '-2433x1562y-1371z', 53: '-2472x1543y-1320z', 54: '-2489x2006y-137z', 55: '-2499x1425y-1399z', 56: '-2538x1405y-1350z', 57: '-2558x1286y-1428z', 58: '-2589x1872y-169z', 59: '-2608x1145y-1457z', 60: '-2651x1001y-1485z', 61: '-2677x1303y-1422z', 62: '-2682x1733y-201z', 63: '-2685x857y-1513z', 64: '-2712x711y-1542z', 65: '-2730x565y-1569z', 66: '-2737x129y-1652z', 67: '-2740x419y-1597z', 68: '-2742x273y-1625z', 69: '-2767x1589y-233z', 70: '-277x1178y-2962z', 71: '-282x2273y-2234z', 72: '-2844x1441y-264z', 73: '-2913x1289y-296z', 74: '-2974x1134y-328z', 75: '-3026x975y-360z', 76: '-3069x815y-392z', 77: '-3103x652y-424z', 78: '-3129x488y-455z', 79: '-3146x323y-487z', 80: '-3153x158y-518z', 81: '-330x1133y-2974z', 82: '-338x3063y-862z', 83: '-379x1086y-2985z', 84: '-397x2233y-2257z', 85: '-424x1037y-2997z', 86: '-439x13y-3169z', 87: '-465x987y-3008z', 88: '-470x39y-3165z', 89: '-496x3032y-892z', 90: '-498x68y-3160z', 91: '-501x934y-3018z', 92: '-508x2187y-2279z', 93: '-525x99y-3154z', 94: '-534x881y-3029z', 95: '-537x3040y-839z', 96: '-550x134y-3149z', 97: '-562x827y-3039z', 98: '-572x172y-3143z', 99: '-586x772y-3049z', 100: '-592x212y-3137z', 101: '-606x717y-3058z', 102: '-609x255y-3131z', 103: '-615x2135y-2301z', 104: '-622x662y-3068z', 105: '-623x300y-3124z', 106: '-634x348y-3117z', 107: '-634x607y-3077z', 108: '-641x397y-3109z', 109: '-641x553y-3085z', 110: '-645x447y-3102z', 111: '-645x500y-3094z', 112: '-652x2993y-923z', 113: '-694x3000y-870z', 114: '-719x2078y-2324z', 115: '-805x2946y-954z', 116: '-818x2016y-2345z', 117: '-847x2951y-901z', 118: '-912x1949y-2367z', 119: '-956x2890y-984z', 120: '-95x1295y-2924z', 121: '-998x2893y-932z'}
    
                      
                else:
                    print("\n (STEP 572F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED RUNNING PROCESS SIX ", time4xi())                 
            else:
                print("\n (STEP 572F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED STARTING PROCESS SIX ", time4xi())                                         
        else:
            print("\n (STEP 572F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED IN CREATING PROCESS SIX ", time4xi())                    
                   
    
            
        #=========
        # 3300 SIX
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2six33004xi = {}
        
        if ack2six4process is True:
    
            if ack2six4start is True: 
    
                if ack2six4run is True:
        
                    # -----------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE SIX  WHERE TARGET PUT IT
                    # -----------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 573F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2SIX33004XI FROM QUEUE SIX: ", queue2six)   
                                        # 
                    fire2six33004xi = queue2six.get()
                    if fire2six33004xi is None:
                        print("\n (STEP 574F3/800) OF COLOR_TENSES4XI ** YIELDED GETTING DICTIONARY FROM QUEUE SIX: ", queue2six, "- SET FIRE2SIX33004XI TO SHOT2SIX33004XI ", time4xi())  
                        fire2six33004xi = shot2six33004xi
                     
                    if ack2debug is True:
                        print("\n (STEP 573F2/800) OF COLOR_TENSES4XI - FIRE2SIX33004XI: ", fire2six33004xi) 
                        # FIRE2SIX33004XI:  {1: '-1029x2984y-961z', 2: '-1033x1936y-2463z', 3: '-1120x1858y-2485z', 4: '-1136x2915y-1046z' ...            
                else:
                    print("\n (STEP 573F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED RUNNING PROCESS SIX ", time4xi())                 
            else:
                print("\n (STEP 573F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED STARTING PROCESS SIX ", time4xi())                                         
        else:
            print("\n (STEP 573F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SIX - FAILED IN CREATING PROCESS SIX ", time4xi())                    
                   
    
               
        # =========================================================================================================   
        # II/VI EOF - SIX DIRECTION LAYERS 10, 100 ...3300 QUEUE SIX DIRECTORIES 
        # =========================================================================================================      
        if ack2debug is True:
            print("\n (STEP 573F7/800) OF COLOR_TENSES4XI - DONE TRIALS TO GET SIX DIRECTION LAYERS 10, 100 ...3300 DIRECTORIES FROM QUEUE SIX ", time4xi())
            #  
            
    if DirectionKB4Xi[7] is True:              
        # =========================================================================================================   
        # I/VII SEVEN DIRECTION LAYERS 10, 100 ...3300 PIPE INFORMATION FIRST 
        # =========================================================================================================      
        if ack2debug is True:
            print("\n (STEP 574F0/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE SEVEN DIRECTION LAYERS 10, 100 ...3300 PIPE INFORMATION ", time4xi())
            #      
        #========
        # 10 SEVEN 
        #========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2seven4process is True:
    
            if ack2seven4start is True:
    
                if ack2seven4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 574F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE SEVEN CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                        # 
                    
                    message2receive4seven = pipe2seven_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 574F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE SEVEN CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message2receive4seven) 
                        # <ack2put4xi>queue2seven8shot2seven10x4xi</ack2put4xi>
                    
                else:
                    print("\n (STEP 574F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SEVEN - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
            else:
                print("\n (STEP 574F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SEVEN - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
        else:
            print("\n (STEP 574F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPESE VEN - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())                    
        
        #========
        # 100 SEVEN
        #========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2seven4process is True:
    
            if ack2seven4start is True:
    
                if ack2seven4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 581F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE SEVEN CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                        # 
                    
                    message2receive4seven = pipe2seven_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 581F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE SEVEN CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message2receive4seven)
                        # <ack2put4xi>queue2seven8shot2seven100x4xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 581F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SEVEN - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
            else:
                print("\n (STEP 581F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SEVEN - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
        else:
            print("\n (STEP 581F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPESE VEN - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())                    
        
        #========
        # 200 SEVEN 
        #========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2seven4process is True:
    
            if ack2seven4start is True:
    
                if ack2seven4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 582F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE SEVEN  CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                        # 
                    
                    message2receive4seven = pipe2seven_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 582F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE SEVEN  CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message2receive4seven)
                        # <ack2put4xi>queue2seven8shot2seven200x4xi</ack2put4xi>
                    
                else:
                    print("\n (STEP 582F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SEVEN  - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
            else:
                print("\n (STEP 582F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SEVEN  - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
        else:
            print("\n (STEP 582F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPESEV EN  - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())                    
                                                    
                                      
        
        #========
        # 300 SEVEN
        #========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2seven4process is True:
    
            if ack2seven4start is True:
    
                if ack2seven4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 583F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE SEVEN CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                        # 
                    
                    message2receive4seven = pipe2seven_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 583F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE SEVEN CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message2receive4seven)
                        # <ack2put4xi>queue2seven8shot2seven300x4xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 583F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SEVEN - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
            else:
                print("\n (STEP 583F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SEVEN - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
        else:
            print("\n (STEP 583F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPESE VEN - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())                    
        
        #========
        # 400 SEVEN
        #========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2seven4process is True:
    
            if ack2seven4start is True:
    
                if ack2seven4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 584F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE SEVEN CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                        # 
                    
                    message2receive4seven = pipe2seven_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 584F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE SEVEN CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message2receive4seven)
                        # <ack2put4xi>queue2seven8shot2seven400x4xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 584F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SEVEN - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
            else:
                print("\n (STEP 584F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SEVEN - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
        else:
            print("\n (STEP 584F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPESE VEN - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())
                                
        #========
        # 500 SEVEN
        #========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2seven4process is True:
    
            if ack2seven4start is True:
    
                if ack2seven4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 585F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE SEVEN CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                        # 
                    
                    message2receive4seven = pipe2seven_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 585F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE SEVEN CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message2receive4seven)
                        # <ack2put4xi>queue2seven8shot2seven500x4xi</ack2put4xi> 
     
                    
                else:
                    print("\n (STEP 585F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SEVEN - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
            else:
                print("\n (STEP 585F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SEVEN - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
        else:
            print("\n (STEP 585F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPESE VEN - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())                    
                                                                                           
        #========
        # 600 SEVEN
        #========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2seven4process is True:
    
            if ack2seven4start is True:
    
                if ack2seven4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 586F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE SEVEN CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                        # 
                    
                    message2receive4seven = pipe2seven_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 586F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE SEVEN CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message2receive4seven)
                        #  <ack2put4xi>queue2seven8shot2seven600x4xi</ack2put4xi>
                else:
                    print("\n (STEP 586F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SEVEN - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
            else:
                print("\n (STEP 586F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SEVEN - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
        else:
            print("\n (STEP 584F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPESE VEN - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())                    
         
        #========
        # 700 SEVEN
        #========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2seven4process is True:
    
            if ack2seven4start is True:
    
                if ack2seven4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 587F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE SEVEN CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                        # 
                    
                    message2receive4seven = pipe2seven_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 587F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE SEVEN CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message2receive4seven)
                        # <ack2put4xi>queue2seven8shot2seven700x4xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 587F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SEVEN - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
            else:
                print("\n (STEP 587F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SEVEN - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
        else:
            print("\n (STEP 587F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPESE VEN - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())                    
           
        #========
        # 800 SEVEN
        #========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2seven4process is True:
    
            if ack2seven4start is True:
    
                if ack2seven4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 588F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE SEVEN CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                        # 
                    
                    message2receive4seven = pipe2seven_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 588F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE SEVEN CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message2receive4seven)
                        # <ack2put4xi>queue2seven8shot2seven800x4xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 588F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SEVEN - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
            else:
                print("\n (STEP 588F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SEVEN - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
        else:
            print("\n (STEP 588F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPESE VEN - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())                    
         
        #========
        # 900 SEVEN
        #========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2seven4process is True:
    
            if ack2seven4start is True:
    
                if ack2seven4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 589F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE SEVEN CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                        # 
                    
                    message2receive4seven = pipe2seven_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 589F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE SEVEN CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message2receive4seven)
                        # <ack2put4xi>queue2seven8shot2seven900x4xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 589F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SEVEN - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
            else:
                print("\n (STEP 589F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SEVEN - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
        else:
            print("\n (STEP 589F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPESE VEN - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())                    
          
               
         
        #=========
        # 1000 SEVEN
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2seven4process is True:
    
            if ack2seven4start is True:
    
                if ack2seven4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 590F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE SEVEN CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                        # 
                    
                    message2receive4seven = pipe2seven_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 590F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE SEVEN CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message2receive4seven)
                        # <ack2put4xi>queue2seven8shot2seven1000x4xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 590F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SEVEN - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
            else:
                print("\n (STEP 590F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SEVEN - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
        else:
            print("\n (STEP 590F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPESE VEN - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())                    
         
        #=========
        # 1100 SEVEN
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2seven4process is True:
    
            if ack2seven4start is True:
    
                if ack2seven4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 591F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE SEVEN CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                        # 
                    
                    message2receive4seven = pipe2seven_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 591F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE SEVEN CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message2receive4seven)
                        # <ack2put4xi>queue2seven8shot2seven1100x4xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 591F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SEVEN - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
            else:
                print("\n (STEP 591F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SEVEN - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
        else:
            print("\n (STEP 591F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPESE VEN - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())                    
         
        #=========
        # 1200 SEVEN
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2seven4process is True:
    
            if ack2seven4start is True:
    
                if ack2seven4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 592F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE SEVEN CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                        # 
                    
                    message2receive4seven = pipe2seven_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 592F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE SEVEN CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message2receive4seven)
                        # <ack2put4xi>queue2seven8shot2seven1200x4xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 592F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SEVEN - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
            else:
                print("\n (STEP 592F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SEVEN - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
        else:
            print("\n (STEP 592F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPESE VEN - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())                    
         
        #=========
        # 1300 SEVEN
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2seven4process is True:
    
            if ack2seven4start is True:
    
                if ack2seven4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 593F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE SEVEN CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                        # 
                    
                    message2receive4seven = pipe2seven_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 593F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE SEVEN CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message2receive4seven)
                        # <ack2put4xi>queue2seven8shot2seven1300x4xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 593F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SEVEN - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
            else:
                print("\n (STEP 593F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SEVEN - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
        else:
            print("\n (STEP 593F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPESE VEN - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())                    
         
        #=========
        # 1400 SEVEN
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2seven4process is True:
    
            if ack2seven4start is True:
    
                if ack2seven4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 594F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE SEVEN CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                        # 
                    
                    message2receive4seven = pipe2seven_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 594F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE SEVEN CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message2receive4seven)
                        # <ack2put4xi>queue2seven8shot2seven1400x4xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 594F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SEVEN - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
            else:
                print("\n (STEP 594F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SEVEN - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
        else:
            print("\n (STEP 594F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPESE VEN - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())                    
         
        #=========
        # 1500 SEVEN
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2seven4process is True:
    
            if ack2seven4start is True:
    
                if ack2seven4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 595F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE SEVEN CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                        # 
                    
                    message2receive4seven = pipe2seven_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 595F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE SEVEN CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message2receive4seven)
                        # <ack2put4xi>queue2seven8shot2seven1500x4xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 595F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SEVEN - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
            else:
                print("\n (STEP 595F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SEVEN - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
        else:
            print("\n (STEP 595F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPESE VEN - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())                    
         
        #=========
        # 1600 SEVEN
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2seven4process is True:
    
            if ack2seven4start is True:
    
                if ack2seven4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 596F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE SEVEN CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                        # 
                    
                    message2receive4seven = pipe2seven_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 596F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE SEVEN CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message2receive4seven)
                        # <ack2put4xi>queue2seven8shot2seven1600x4xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 596F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SEVEN - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
            else:
                print("\n (STEP 596F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SEVEN - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
        else:
            print("\n (STEP 596F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPESE VEN - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())                    
         
        #=========
        # 1700 SEVEN
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2seven4process is True:
    
            if ack2seven4start is True:
    
                if ack2seven4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 597F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE SEVEN CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                        # 
                    
                    message2receive4seven = pipe2seven_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 597F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE SEVEN CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message2receive4seven)
                        # <ack2put4xi>queue2seven8shot2seven1700x4xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 597F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SEVEN - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
            else:
                print("\n (STEP 597F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SEVEN - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
        else:
            print("\n (STEP 597F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPESE VEN - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())                    
         
        #=========
        # 1800 SEVEN
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2seven4process is True:
    
            if ack2seven4start is True:
    
                if ack2seven4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 598F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE SEVEN CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                        # 
                    
                    message2receive4seven = pipe2seven_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 598F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE SEVEN CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message2receive4seven)
                        # <ack2put4xi>queue2seven8shot2seven1800x4xi</ack2put4xi>
                    
                else:
                    print("\n (STEP 598F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SEVEN - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
            else:
                print("\n (STEP 598F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SEVEN - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
        else:
            print("\n (STEP 598F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPESE VEN - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())                    
         
        #=========
        # 1900 SEVEN
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2seven4process is True:
    
            if ack2seven4start is True:
    
                if ack2seven4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 599F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE SEVEN CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                        # 
                    
                    message2receive4seven = pipe2seven_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 599F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE SEVEN CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message2receive4seven)
                        # <ack2put4xi>queue2seven8shot2seven1900x4xi</ack2put4xi>
                    
                else:
                    print("\n (STEP 599F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SEVEN - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
            else:
                print("\n (STEP 599F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SEVEN - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
        else:
            print("\n (STEP 599F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPESE VEN - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())  
            
         
        #=========
        # 2000 SEVEN
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2seven4process is True:
    
            if ack2seven4start is True:
    
                if ack2seven4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 600F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE SEVEN CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                        # 
                    
                    message2receive4seven = pipe2seven_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 600F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE SEVEN CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message2receive4seven)
                        # <ack2put4xi>queue2seven8shot2seven2000x4xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 600F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SEVEN - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
            else:
                print("\n (STEP 600F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SEVEN - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
        else:
            print("\n (STEP 600F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPESE VEN - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())  
         
        #=========
        # 2100 SEVEN
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2seven4process is True:
    
            if ack2seven4start is True:
    
                if ack2seven4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 621F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE SEVEN CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                        # 
                    
                    message2receive4seven = pipe2seven_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 621F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE SEVEN CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message2receive4seven)
                        # <ack2put4xi>queue2seven8shot2seven2100x4xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 621F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SEVEN - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
            else:
                print("\n (STEP 621F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SEVEN - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
        else:
            print("\n (STEP 621F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPESE VEN - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())  
         
        #=========
        # 2200 SEVEN
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2seven4process is True:
    
            if ack2seven4start is True:
    
                if ack2seven4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 622F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE SEVEN CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                        # 
                    
                    message2receive4seven = pipe2seven_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 622F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE SEVEN CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message2receive4seven)
                        # <ack2put4xi>queue2seven8shot2seven2200x4xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 622F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SEVEN - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
            else:
                print("\n (STEP 622F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SEVEN - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
        else:
            print("\n (STEP 622F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPESE VEN - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())  
         
        #=========
        # 2300 SEVEN
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2seven4process is True:
    
            if ack2seven4start is True:
    
                if ack2seven4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 623F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE SEVEN CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                        # 
                    
                    message2receive4seven = pipe2seven_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 623F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE SEVEN CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message2receive4seven)
                        # <ack2put4xi>queue2seven8shot2seven2300x4xi</ack2put4xi>
                    
                else:
                    print("\n (STEP 623F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SEVEN - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
            else:
                print("\n (STEP 623F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SEVEN - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
        else:
            print("\n (STEP 623F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPESE VEN - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())  
         
        #=========
        # 2400 SEVEN
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2seven4process is True:
    
            if ack2seven4start is True:
    
                if ack2seven4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 624F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE SEVEN CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                        # 
                    
                    message2receive4seven = pipe2seven_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 624F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE SEVEN CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message2receive4seven)
                        # <ack2put4xi>queue2seven8shot2seven2400x4xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 624F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SEVEN - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
            else:
                print("\n (STEP 624F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SEVEN - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
        else:
            print("\n (STEP 624F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPESE VEN - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())  
         
        #=========
        # 2500 SEVEN
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2seven4process is True:
    
            if ack2seven4start is True:
    
                if ack2seven4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 625F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE SEVEN CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                        # 
                    
                    message2receive4seven = pipe2seven_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 625F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE SEVEN CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message2receive4seven)
                        # <ack2put4xi>queue2seven8shot2seven2500x4xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 625F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SEVEN - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
            else:
                print("\n (STEP 625F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SEVEN - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
        else:
            print("\n (STEP 625F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPESE VEN - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())  
         
        #=========
        # 2600 SEVEN
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2seven4process is True:
    
            if ack2seven4start is True:
    
                if ack2seven4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 626F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE SEVEN CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                        # 
                    
                    message2receive4seven = pipe2seven_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 626F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE SEVEN CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message2receive4seven)
                        # <ack2put4xi>queue2seven8shot2seven2600x4xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 626F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SEVEN - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
            else:
                print("\n (STEP 626F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SEVEN - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
        else:
            print("\n (STEP 626F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPESE VEN - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())  
         
        #=========
        # 2700 SEVEN
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2seven4process is True:
    
            if ack2seven4start is True:
    
                if ack2seven4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 627F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE SEVEN CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                        # 
                    
                    message2receive4seven = pipe2seven_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 627F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE SEVEN CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message2receive4seven)
                        # <ack2put4xi>queue2seven8shot2seven2700x4xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 627F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SEVEN - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
            else:
                print("\n (STEP 627F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SEVEN - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
        else:
            print("\n (STEP 627F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPESE VEN - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())  
         
        #=========
        # 2800 SEVEN
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2seven4process is True:
    
            if ack2seven4start is True:
    
                if ack2seven4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 628F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE SEVEN CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                        # 
                    
                    message2receive4seven = pipe2seven_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 628F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE SEVEN CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message2receive4seven)
                        # <ack2put4xi>queue2seven8shot2seven2800x4xi</ack2put4xi> 
                        
                    
                else:
                    print("\n (STEP 628F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SEVEN - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
            else:
                print("\n (STEP 628F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SEVEN - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
        else:
            print("\n (STEP 628F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPESE VEN - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())  
         
        #=========
        # 2900 SEVEN
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2seven4process is True:
    
            if ack2seven4start is True:
    
                if ack2seven4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 629F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE SEVEN CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                        # 
                    message2receive4seven = pipe2seven_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 629F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE SEVEN CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message2receive4seven)
                        # <ack2put4xi>queue2seven8shot2seven2900x4xi</ack2put4xi> 
                        
                else:
                    print("\n (STEP 629F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SEVEN - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
            else:
                print("\n (STEP 629F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SEVEN - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
        else:
            print("\n (STEP 629F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPESE VEN - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())  
         
        #=========
        # 3000 SEVEN
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2seven4process is True:
    
            if ack2seven4start is True:
    
                if ack2seven4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 630F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE SEVEN CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                        # 
                    
                    message2receive4seven = pipe2seven_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 630F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE SEVEN CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message2receive4seven)
                        # <ack2put4xi>queue2seven8shot2seven3000x4xi</ack2put4xi> 
                        
                    
                else:
                    print("\n (STEP 630F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SEVEN - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
            else:
                print("\n (STEP 630F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SEVEN - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
        else:
            print("\n (STEP 630F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPESE VEN - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())  
         
        #=========
        # 3100 SEVEN
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2seven4process is True:
    
            if ack2seven4start is True:
    
                if ack2seven4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 631F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE SEVEN CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                        # 
                        
                    message2receive4seven = pipe2seven_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 631F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE SEVEN CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message2receive4seven) 
                        # <ack2put4xi>queue2seven8shot2seven3100x4xi</ack2put4xi> 
                        
                else:
                    print("\n (STEP 631F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SEVEN - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
            else:
                print("\n (STEP 631F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SEVEN - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
        else:
            print("\n (STEP 631F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPESE VEN - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())  
         
        #=========
        # 3200 SEVEN
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2seven4process is True:
    
            if ack2seven4start is True:
    
                if ack2seven4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 632F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE SEVEN CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                        # 
                    message2receive4seven = pipe2seven_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 632F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE SEVEN CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message2receive4seven)
                        # <ack2put4xi>queue2seven8shot2seven3200x4xi</ack2put4xi> 
                        
                else:
                    print("\n (STEP 632F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SEVEN - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
            else:
                print("\n (STEP 632F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SEVEN - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
        else:
            print("\n (STEP 632F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPESE VEN - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())  
         
        #=========
        # 3300 SEVEN
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2seven4process is True:
    
            if ack2seven4start is True:
    
                if ack2seven4run is True:
        
                    # -----------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -----------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 633F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE SEVEN CONSUMER_CHANNEL: ", pipe2seven_consumer_channel) 
                        # 
                    message2receive4seven = pipe2seven_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 633F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE SEVEN CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message2receive4seven)
                        # <ack2put4xi>queue2seven8shot2seven3300x4xi</ack2put4xi> 
                         
                else:
                    print("\n (STEP 633F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SEVEN - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
            else:
                print("\n (STEP 633F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE SEVEN - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
        else:
            print("\n (STEP 633F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPESE VEN - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())  
    
          
               
        # =========================================================================================================   
        # I/VII EOF - SEVEN DIRECTION LAYERS 10, 100 ...3300 PIPE SEVEN INFORMATION FIRST 
        # =========================================================================================================      
        if ack2debug is True:
            print("\n (STEP 633F6/800) OF COLOR_TENSES4XI - DONE TRIALS TO RECEIVE SEVEN DIRECTION LAYERS 10, 100 ...3300 PIPE SEVEN INFORMATION ", time4xi())
            #            
    
     
    
               
        # =========================================================================================================   
        # II/VII SEVEN DIRECTION LAYERS 10, 100 ...3300 QUEUE DIRECTORIES 
        # =========================================================================================================      
        if ack2debug is True:
            print("\n (STEP 633F6/800) OF COLOR_TENSES4XI - TRYING TO GET SEVEN DIRECTION LAYERS 10, 100 ...3300 QUEUE DIRECTORIES ", time4xi())
            #       
        #========
        # 10 SEVEN   
        #========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2seven104xi = {}
        
        if ack2seven4process is True:
    
            if ack2seven4start is True:
    
                if ack2seven4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE SEVEN  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 634F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2SEVEN104XI FROM QUEUE SEVEN: ", queue2seven)
                        # 
                                     
                    fire2seven104xi = queue2seven.get() 
                    if fire2seven104xi is None:
                        fire2seven104xi = shot2seven104xi
                        print("\n (STEP 634F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE SEVEN: ", queue2seven, " - SET FIRE2SEVEN104XI TO SHOT2SEVEN104XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 634F3/800) OF COLOR_TENSES4XI - FIRE2SEVEN104XI: ", fire2seven104xi) 
                        # FIRE2SEVEN104XI:  {1: '-10x-11y36z', 2: '-10x-12y36z', 3: '-10x-13y36z', 4: '-10x-15y6z' ...
                        
                else:
                    print("\n (STEP 634F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
            else:
                print("\n (STEP 634F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
        else:
            print("\n (STEP 634F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED IN CREATING PROCESS SEVEN ", time4xi())
        
            
          
               
        #========
        # 100 SEVEN
        #========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2seven1004xi = {}
    
        if ack2seven4process is True:
    
            if ack2seven4start is True:
    
                if ack2seven4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE SEVEN  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 641F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2SEVEN1004XI FROM QUEUE SEVEN: ", queue2seven)
                        # 
                                    
                    fire2seven1004xi = queue2seven.get()
                    if fire2seven1004xi is None:
                        fire2seven1004xi = shot2seven1004xi
                        print("\n (STEP 641F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE SEVEN: ", queue2seven, " - SET FIRE2SEVEN1004XI TO SHOT2SEVEN1004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 641F3/800) OF COLOR_TENSES4XI - FIRE2SEVEN1004XI: ", fire2seven1004xi) 
                        # FIRE2SEVEN1004XI:  {1: '-10x-95y26z', 2: '-11x-47y87z', 3: '-13x-45y87z', 4: '-13x-87y46z' ...
                        
                else:
                    print("\n (STEP 641F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
            else:
                print("\n (STEP 641F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
        else:
            print("\n (STEP 641F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
          
    
        #========
        # 200 SEVEN
        #========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2seven2004xi = {}
        
        if ack2seven4process is True:
    
            if ack2seven4start is True:
    
                if ack2seven4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE SEVEN  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 642F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2SEVEN2004XI FROM QUEUE SEVEN: ", queue2seven)
                        # 
                                    
                    fire2seven2004xi = queue2seven.get()
                    if fire2seven2004xi is None:
                        fire2seven2004xi = shot2seven2004xi
                        print("\n (STEP 642F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE SEVEN: ", queue2seven, " - SET FIRE2SEVEN2004XI TO SHOT2SEVEN2004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 642F3/800) OF COLOR_TENSES4XI - FIRE2SEVEN2004XI: ", fire2seven2004xi) 
                        # FIRE2SEVEN2004XI:  {1: '-102x-157y69z', 2: '-102x-171y0z', 3: '-103x-119y255z', 4: '-104x-130y109z' ...
                        
                else:
                    print("\n (STEP 642F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
            else:
                print("\n (STEP 642F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
        else:
            print("\n (STEP 642F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
                                        
                                      
          
    
    
           
        #========
        # 300 SEVEN
        #========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2seven3004xi = {}
        
        if ack2seven4process is True:
    
            if ack2seven4start is True:
    
                if ack2seven4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE SEVEN  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 643F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2SEVEN3004XI FROM QUEUE SEVEN: ", queue2seven)
                        # 
                                    
                    fire2seven3004xi = queue2seven.get()
                    if fire2seven3004xi is None:
                        fire2seven3004xi = shot2seven3004xi
                        print("\n (STEP 643F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE SEVEN: ", queue2seven, " - SET FIRE2SEVEN3004XI TO SHOT2SEVEN3004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 643F3/800) OF COLOR_TENSES4XI - FIRE2SEVEN3004XI: ", fire2seven3004xi) 
                        # FIRE2SEVEN3004XI:  {1: '-102x-266y93z', 2: '-103x-236y152z', 3: '-107x-111y256z', 4: '-111x-104y258z' ...
                        
                else:
                    print("\n (STEP 643F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
            else:
                print("\n (STEP 643F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
        else:
            print("\n (STEP 643F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
                   
    
    
           
        #========
        # 400 SEVEN
        #========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2seven4004xi = {}
        
        if ack2seven4process is True:
    
            if ack2seven4start is True:
    
                if ack2seven4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE SEVEN  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 644F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2SEVEN4004XI FROM QUEUE SEVEN: ", queue2seven)
                        # 
                                    
                    fire2seven4004xi = queue2seven.get()
                    if fire2seven4004xi is None:
                        fire2seven4004xi = shot2seven4004xi
                        print("\n (STEP 644F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE SEVEN: ", queue2seven, " - SET FIRE2SEVEN4004XI TO SHOT2SEVEN4004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 644F3/800) OF COLOR_TENSES4XI - FIRE2SEVEN4004XI: ", fire2seven4004xi) 
                        # FIRE2SEVEN4004XI:  {1: '-101x-131y363z', 2: '-105x-123y365z', 3: '-105x-332y196z', 4: '-109x-115y367z' ...
                        
                else:
                    print("\n (STEP 644F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
            else:
                print("\n (STEP 644F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
        else:
            print("\n (STEP 644F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
                   
    
    
                                   
        #========
        # 500 SEVEN
        #========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2seven5004xi = {}
        
        if ack2seven4process is True:
    
            if ack2seven4start is True:
    
                if ack2seven4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE SEVEN  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 645F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2SEVEN5004XI FROM QUEUE SEVEN: ", queue2seven)
                        # 
                                    
                    fire2seven5004xi = queue2seven.get()
                    if fire2seven5004xi is None:
                        fire2seven5004xi = shot2seven5004xi
                        print("\n (STEP 373F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE SEVEN: ", queue2seven, " - SET FIRE2SEVEN5004XI TO SHOT2SEVEN5004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 373F3/800) OF COLOR_TENSES4XI - FIRE2SEVEN5004XI: ", fire2seven5004xi) 
                        # FIRE2SEVEN5004XI:  {1: '-105x-194y448z', 2: '-10x-13y499z', 3: '-10x-60y496z', 4: '-110x-423y240z' ...
                        
                else:
                    print("\n (STEP 645F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
            else:
                print("\n (STEP 645F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
        else:
            print("\n (STEP 645F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
                                      
          
    
                                                                                              
        #========
        # 600 SEVEN
        #========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2seven6004xi = {}
        
        if ack2seven4process is True:
    
            if ack2seven4start is True:
    
                if ack2seven4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE SEVEN  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 646F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2SEVEN6004XI FROM QUEUE SEVEN: ", queue2seven)
                        # 
                                    
                    fire2seven6004xi = queue2seven.get()
                    if fire2seven6004xi is None:
                        fire2seven6004xi = shot2seven6004xi
                        print("\n (STEP 646F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE SEVEN: ", queue2seven, " - SET FIRE2SEVEN6004XI TO SHOT2SEVEN6004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 646F3/800) OF COLOR_TENSES4XI - FIRE2SEVEN6004XI: ", fire2seven6004xi) 
                        # FIRE2SEVEN6004XI:  {1: '-106x-255y532z', 2: '-106x-517y283z', 3: '-116x-244y535z', 4: '-119x-562y169z' ...
                        
                else:
                    print("\n (STEP 646F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
            else:
                print("\n (STEP 646F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
        else:
            print("\n (STEP 646F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
                   
    
    
            
        #========
        # 700 SEVEN
        #========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2seven7004xi = {}
        
        if ack2seven4process is True:
    
            if ack2seven4start is True:
    
                if ack2seven4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE SEVEN  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 647F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2SEVEN7004XI FROM QUEUE SEVEN: ", queue2seven)
                        # 
                                    
                    fire2seven7004xi = queue2seven.get()
                    if fire2seven7004xi is None:
                        fire2seven7004xi = shot2seven7004xi
                        print("\n (STEP 373F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE SEVEN: ", queue2seven, " - SET FIRE2SEVEN7004XI TO SHOT2SEVEN7004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 647F3/800) OF COLOR_TENSES4XI - FIRE2SEVEN7004XI: ", fire2seven7004xi) 
                        # FIRE2SEVEN7004XI:  {1: '-105x-664y191z', 2: '-10x-12y699z', 3: '-110x-309y618z', 4: '-11x-92y693z' ...
                        
                else:
                    print("\n (STEP 647F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
            else:
                print("\n (STEP 647F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
        else:
            print("\n (STEP 647F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
                   
    
    
              
        #========
        # 800 SEVEN
        #========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2seven8004xi = {}
        
        if ack2seven4process is True:
    
            if ack2seven4start is True:
    
                if ack2seven4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE SEVEN  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 648F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2SEVEN8004XI FROM QUEUE SEVEN: ", queue2seven)
                        # 
                                    
                    fire2seven8004xi = queue2seven.get()
                    if fire2seven8004xi is None:
                        fire2seven8004xi = shot2seven8004xi
                        print("\n (STEP 648F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE SEVEN: ", queue2seven, " - SET FIRE2SEVEN8004XI TO SHOT2SEVEN8004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 648F3/800) OF COLOR_TENSES4XI - FIRE2SEVEN8004XI: ", fire2seven8004xi) 
                        # FIRE2SEVEN8004XI:  {1: '-106x-700y371z', 2: '-109x-366y702z', 3: '-11x-416y682z', 4: '-120x-759y218z' ...
                        
                else:
                    print("\n (STEP 648F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
            else:
                print("\n (STEP 648F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
        else:
            print("\n (STEP 648F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
                   
    
    
            
        #========
        # 900 SEVEN
        #========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2seven9004xi = {}
        
        if ack2seven4process is True:
    
            if ack2seven4start is True:
    
                if ack2seven4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE SEVEN  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 649F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2SEVEN9004XI FROM QUEUE SEVEN: ", queue2seven)
                        # 
                                    
                    fire2seven9004xi = queue2seven.get()
                    if fire2seven9004xi is None:
                        fire2seven9004xi = shot2seven9004xi
                        print("\n (STEP 649F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE SEVEN: ", queue2seven, " - SET FIRE2SEVEN9004XI TO SHOT2SEVEN9004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 649F3/800) OF COLOR_TENSES4XI - FIRE2SEVEN9004XI: ", fire2seven9004xi) 
                        # FIRE2SEVEN9004XI:  {1: '-102x-425y786z', 2: '-120x-788y417z', 3: '-122x-412y790z', 4: '-12x-469y768z' ...
                        
                else:
                    print("\n (STEP 649F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
            else:
                print("\n (STEP 649F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
        else:
            print("\n (STEP 549F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
                   
    
    
            
        #=========
        # 1000 SEVEN
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2seven10004xi = {}
        
        if ack2seven4process is True:
    
            if ack2seven4start is True:
    
                if ack2seven4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE SEVEN  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 650F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2SEVEN10004XI FROM QUEUE SEVEN: ", queue2seven)
                        # 
                                    
                    fire2seven10004xi = queue2seven.get()
                    if fire2seven10004xi is None:
                        fire2seven10004xi = shot2seven10004xi
                        print("\n (STEP 650F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE SEVEN: ", queue2seven, " - SET FIRE2SEVEN10004XI TO SHOT2SEVEN10004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 650F3/800) OF COLOR_TENSES4XI - FIRE2SEVEN10004XI: ", fire2seven10004xi) 
                        # FIRE2SEVEN10004XI:  {1: '-100x-959y264z', 2: '-114x-473y873z', 3: '-133x-875y463z', 4: '-136x-458y878z' ...
                        
                else:
                    print("\n (STEP 650F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
            else:
                print("\n (STEP 650F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
        else:
            print("\n (STEP 650F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
                   
    
            
        #=========
        # 1100 SEVEN
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2seven11004xi = {}
        
        if ack2seven4process is True:
    
            if ack2seven4start is True:
    
                if ack2seven4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE SEVEN  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 651F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2SEVEN11004XI FROM QUEUE SEVEN: ", queue2seven)
                        # 
                                    
                    fire2seven11004xi = queue2seven.get()
                    if fire2seven11004xi is None:
                        fire2seven11004xi = shot2seven11004xi
                        print("\n (STEP 651F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE SEVEN: ", queue2seven, " - SET FIRE2SEVEN11004XI TO SHOT2SEVEN11004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 651F3/800) OF COLOR_TENSES4XI - FIRE2SEVEN11004XI: ", fire2seven11004xi) 
                        # FIRE2SEVEN11004XI:  {1: '-1003x-431y134z', 2: '-1022x-377y145z', 3: '-1039x-323y156z', 4: '-1053x-267y166z' ...
                        
                else:
                    print("\n (STEP 651F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
            else:
                print("\n (STEP 651F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
        else:
            print("\n (STEP 651F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
                   
    
    
            
        #=========
        # 1200 SEVEN
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2seven12004xi = {}
        
        if ack2seven4process is True:
    
            if ack2seven4start is True:
    
                if ack2seven4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE SEVEN  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 652F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2SEVEN12004XI FROM QUEUE SEVEN: ", queue2seven)
                        # 
                                    
                    fire2seven12004xi = queue2seven.get()
                    if fire2seven12004xi is None:
                        fire2seven12004xi = shot2seven12004xi
                        print("\n (STEP 652F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE SEVEN: ", queue2seven, " - SET FIRE2SEVEN12004XI TO SHOT2SEVEN12004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 652F3/800) OF COLOR_TENSES4XI - FIRE2SEVEN12004XI: ", fire2seven12004xi) 
                        # FIRE2SEVEN12004XI:  {1: '-1008x-327y561z', 2: '-1010x-637y110z', 3: '-1018x-272y572z', 4: '-1026x-218y582z' ...
                        
                else:
                    print("\n (STEP 652F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
            else:
                print("\n (STEP 652F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
        else:
            print("\n (STEP 652F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
                   
    
    
            
        #=========
        # 1300 SEVEN
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2seven13004xi = {}
        
        if ack2seven4process is True:
    
            if ack2seven4start is True:
    
                if ack2seven4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE SEVEN  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 653F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2SEVEN13004XI FROM QUEUE SEVEN: ", queue2seven)
                        # 
                                    
                    fire2seven13004xi = queue2seven.get()
                    if fire2seven13004xi is None:
                        fire2seven13004xi = shot2seven13004xi
                        print("\n (STEP 653F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE SEVEN: ", queue2seven, " - SET FIRE2SEVEN13004XI TO SHOT2SEVEN13004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 653F3/800) OF COLOR_TENSES4XI - FIRE2SEVEN13004XI: ", fire2seven13004xi) 
                        # FIRE2SEVEN13004XI:  {1: '-1015x-586y562z', 2: '-1018x-802y93z', 3: '-1039x-529y573z', 4: '-1057x-747y106z' ...
                        
                else:
                    print("\n (STEP 653F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
            else:
                print("\n (STEP 653F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
        else:
            print("\n (STEP 653F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
                   
    
            
        #=========
        # 1400 SEVEN
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2seven14004xi = {}
        
        if ack2seven4process is True:
    
            if ack2seven4start is True:
    
                if ack2seven4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE SEVEN  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 654F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2SEVEN14004XI FROM QUEUE SEVEN: ", queue2seven)
                        # 
                                    
                    fire2seven14004xi = queue2seven.get()
                    if fire2seven14004xi is None:
                        fire2seven14004xi = shot2seven14004xi
                        print("\n (STEP 654F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE SEVEN: ", queue2seven, " - SET FIRE2SEVEN14004XI TO SHOT2SEVEN14004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 654F3/800) OF COLOR_TENSES4XI - FIRE2SEVEN14004XI: ", fire2seven14004xi) 
                        # FIRE2SEVEN14004XI:  {1: '-1001x-975y73z', 2: '-1012x-395y882z', 3: '-1022x-338y893z', 4: '-1030x-282y904z' ...
                        
                else:
                    print("\n (STEP 654F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
            else:
                print("\n (STEP 654F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
        else:
            print("\n (STEP 654F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
                   
    
            
        #=========
        # 1500 SEVEN
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2seven15004xi = {}
        
        if ack2seven4process is True:
    
            if ack2seven4start is True:
    
                if ack2seven4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE SEVEN  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 655F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2SEVEN15004XI FROM QUEUE SEVEN: ", queue2seven)
                        # 
                                    
                    fire2seven15004xi = queue2seven.get()
                    if fire2seven15004xi is None:
                        fire2seven15004xi = shot2seven15004xi
                        print("\n (STEP 655F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE SEVEN: ", queue2seven, " - SET FIRE2SEVEN15004XI TO SHOT2SEVEN15004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 655F3/800) OF COLOR_TENSES4XI - FIRE2SEVEN15004XI: ", fire2seven15004xi) 
                        # FIRE2SEVEN15004XI:  {1: '-1003x-660y898z', 2: '-1017x-1100y63z', 3: '-1023x-921y594z', 4: '-1028x-602y910z' ...
                        
                else:
                    print("\n (STEP 655F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
            else:
                print("\n (STEP 655F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
        else:
            print("\n (STEP 655F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
                   
    
            
        #=========
        # 1600 SEVEN
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2seven16004xi = {}
        
        if ack2seven4process is True:
    
            if ack2seven4start is True:
    
                if ack2seven4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE SEVEN  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 656F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2SEVEN16004XI FROM QUEUE SEVEN: ", queue2seven)
                        # 
                                     
                    fire2seven16004xi = queue2seven.get() 
                    if fire2seven16004xi is None:
                        fire2seven16004xi = shot2seven16004xi
                        print("\n (STEP 656F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE SEVEN: ", queue2seven, " - SET FIRE2SEVEN1600 4XI TO SHOT2SEVEN1600 4XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 656F3/800) OF COLOR_TENSES4XI - FIRE2SEVEN16004XI: ", fire2seven16004xi) 
                        # FIRE2SEVEN16004XI:  {1: '-1005x-824y932z', 2: '-1022x-1229y51z', 3: '-1039x-764y945z', 4: '-1043x-1043y618z' ...
                        
                else:
                    print("\n (STEP 656F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
            else:
                print("\n (STEP 656F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
        else:
            print("\n (STEP 656F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
                   
    
            
        #=========
        # 1700 SEVEN
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2seven17004xi = {}
        
        if ack2seven4process is True:
    
            if ack2seven4start is True:
    
                if ack2seven4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE SEVEN  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 657F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2SEVEN17004XI FROM QUEUE SEVEN: ", queue2seven)
                        # 
                                    
                    fire2seven17004xi = queue2seven.get()
                    if fire2seven17004xi is None:
                        fire2seven17004xi = shot2seven17004xi
                        print("\n (STEP 657F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE SEVEN: ", queue2seven, " - SET FIRE2SEVEN17004XI TO SHOT2SEVEN17004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 657F3/800) OF COLOR_TENSES4XI - FIRE2SEVEN17004XI: ", fire2seven17004xi) 
                        # FIRE2SEVEN17004XI:  {1: '-1016x-1361y37z', 2: '-1028x-936y977z', 3: '-1053x-1169y641z', 4: '-1068x-875y991z' ...
                        
                else:
                    print("\n (STEP 657F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
            else:
                print("\n (STEP 657F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
        else:
            print("\n (STEP 657F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
                   
    
            
        #=========
        # 1800 SEVEN
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2seven18004xi = {}
        
        if ack2seven4process is True:
    
            if ack2seven4start is True:
    
                if ack2seven4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE SEVEN  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 658F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2SEVEN18004XI FROM QUEUE SEVEN: ", queue2seven)
                        # 
                                    
                    fire2seven18004xi = queue2seven.get()
                    if fire2seven18004xi is None:
                        fire2seven18004xi = shot2seven18004xi
                        print("\n (STEP 658F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE SEVEN: ", queue2seven, " - SET FIRE2SEVEN18004XI TO SHOT2SEVEN18004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 658F3/800) OF COLOR_TENSES4XI - FIRE2SEVEN18004XI: ", fire2seven18004xi) 
                        # FIRE2SEVEN18004XI:  {1: '-1042x-1054y1019z', 2: '-1053x-1300y662z', 3: '-1076x-1442y40z', 4: '-1088x-991y1034z' ...
                        
                else:
                    print("\n (STEP 658F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
            else:
                print("\n (STEP 658F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
        else:
            print("\n (STEP 658F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
                   
    
            
        #=========
        # 1900 SEVEN
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2seven19004xi = {}
        
        if ack2seven4process is True:
    
            if ack2seven4start is True:
    
                if ack2seven4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE SEVEN  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 659F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2SEVEN19004XI FROM QUEUE SEVEN: ", queue2seven)
                        # 
                                    
                    fire2seven19004xi = queue2seven.get()
                    if fire2seven19004xi is None:
                        fire2seven19004xi = shot2seven19004xi
                        print("\n (STEP 659F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE SEVEN: ", queue2seven, " - SET FIRE2SEVEN19004XI TO SHOT2SEVEN19004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 659F3/800) OF COLOR_TENSES4XI - FIRE2SEVEN19004XI: ", fire2seven19004xi) 
                        # FIRE2SEVEN19004XI:  {1: '-1042x-1434y682z', 2: '-1047x-1177y1060z', 3: '-1055x-1579y23z', 4: '-1100x-1113y1076z' ...
                        
                else:
                    print("\n (STEP 659F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
            else:
                print("\n (STEP 659F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
        else:
            print("\n (STEP 659F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
                   
          
    
            
        #=========
        # 2000 SEVEN
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2seven20004xi = {}
        
        if ack2seven4process is True:
    
            if ack2seven4start is True:
    
                if ack2seven4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE SEVEN  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 660F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2SEVEN20004XI FROM QUEUE SEVEN: ", queue2seven)
                        # 
                                    
                    fire2seven20004xi = queue2seven.get()
                    if fire2seven20004xi is None:
                        fire2seven20004xi = shot2seven20004xi
                        print("\n (STEP 660F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE SEVEN: ", queue2seven, " - SET FIRE2SEVEN20004XI TO SHOT2SEVEN20004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 660F3/800) OF COLOR_TENSES4XI - FIRE2SEVEN20004XI: ", fire2seven20004xi) 
                        # FIRE2SEVEN20004XI:  {1: '-101x-1931y508z', 2: '-1020x-1571y699z', 3: '-1022x-1718y4z', 4: '-1043x-1304y1099z' ...
                        
                else:
                    print("\n (STEP 660F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
            else:
                print("\n (STEP 660F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
        else:
            print("\n (STEP 660F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
                   
    
            
        #=========
        # 2100 SEVEN
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2seven21004xi = {}
        
        if ack2seven4process is True:
    
            if ack2seven4start is True:
    
                if ack2seven4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE SEVEN  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 661F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2SEVEN21004XI FROM QUEUE SEVEN: ", queue2seven)
                        # 
                                    
                    fire2seven21004xi = queue2seven.get()
                    if fire2seven21004xi is None:
                        fire2seven21004xi = shot2seven21004xi
                        print("\n (STEP 661F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE SEVEN: ", queue2seven, " - SET FIRE2SEVEN21004XI TO SHOT2SEVEN21004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 661F3/800) OF COLOR_TENSES4XI - FIRE2SEVEN21004XI: ", fire2seven21004xi) 
                        # FIRE2SEVEN21004XI:  {1: '-1029x-1434y1137z', 2: '-106x-2028y534z', 3: '-1071x-1650y734z', 4: '-1073x-1804y4z' ...
                        
                else:
                    print("\n (STEP 661F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
            else:
                print("\n (STEP 661F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
        else:
            print("\n (STEP 661F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
                   
    
            
        #=========
        # 2200 SEVEN
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2seven22004xi = {}
        
        if ack2seven4process is True:
    
            if ack2seven4start is True:
    
                if ack2seven4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE SEVEN  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 662F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2SEVEN22004XI FROM QUEUE SEVEN: ", queue2seven)
                        # 
                                    
                    fire2seven22004xi = queue2seven.get()
                    if fire2seven22004xi is None:
                        fire2seven22004xi = shot2seven22004xi
                        print("\n (STEP 662F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE SEVEN: ", queue2seven, " - SET FIRE2SEVEN22004XI TO SHOT2SEVEN22004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 662F3/800) OF COLOR_TENSES4XI - FIRE2SEVEN22004XI: ", fire2seven22004xi) 
                        # FIRE2SEVEN22004XI:  {1: '-1004x-1566y1172z', 2: '-1034x-1791y748z', 3: '-1078x-1502y1191z', 4: '-111x-2124y559z' ...
                        
                else:
                    print("\n (STEP 662F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
            else:
                print("\n (STEP 662F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
        else:
            print("\n (STEP 662F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
                   
    
            
        #=========
        # 2300 SEVEN
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2seven23004xi = {}
        
        if ack2seven4process is True:
    
            if ack2seven4start is True:
    
                if ack2seven4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE SEVEN  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 663F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2SEVEN23004XI FROM QUEUE SEVEN: ", queue2seven)
                        # 
                                    
                    fire2seven23004xi = queue2seven.get()
                    if fire2seven23004xi is None:
                        fire2seven23004xi = shot2seven23004xi
                        print("\n (STEP 663F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE SEVEN: ", queue2seven, " - SET FIRE2SEVEN23004XI TO SHOT2SEVEN23004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 663F3/800) OF COLOR_TENSES4XI - FIRE2SEVEN23004XI: ", fire2seven23004xi) 
                        # FIRE2SEVEN23004XI:  {1: '-1050x-1638y1226z', 2: '-1081x-1873y782z', 3: '-1127x-1570y1245z', 4: '-116x-2221y585z' ...
                                          
                else:
                    print("\n (STEP 663F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
            else:
                print("\n (STEP 663F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
        else:
            print("\n (STEP 663F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
                   
    
            
        #=========
        # 2400 SEVEN
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2seven24004xi = {}
        
        if ack2seven4process is True:
    
            if ack2seven4start is True:
    
                if ack2seven4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE SEVEN  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 664F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2SEVEN24004XI FROM QUEUE SEVEN: ", queue2seven)
                        # 
                                    
                    fire2seven24004xi = queue2seven.get()
                    
                    if fire2seven24004xi is None:
                        fire2seven24004xi = shot2seven24004xi
                        print("\n (STEP 664F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE SEVEN: ", queue2seven, " - SET FIRE2SEVEN24004XI TO SHOT2SEVEN24004XI ", time4xi())  
                        #     
                    if ack2debug is True:
                        print("\n (STEP 664F3/800) OF COLOR_TENSES4XI - FIRE2SEVEN24004XI: ", fire2seven24004xi) 
                        # FIRE2SEVEN24004XI:  {1: '-1011x-1775y1259z', 2: '-1028x-2017y794z', 3: '-1095x-1709y1279z', 4: '-1128x-1954y816z' ...
                        
                else:
                    print("\n (STEP 664F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
            else:
                print("\n (STEP 664F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
        else:
            print("\n (STEP 664F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
                   
    
            
        #=========
        # 2500 SEVEN
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2seven25004xi = {}
        
        if ack2seven4process is True:
    
            if ack2seven4start is True:
    
                if ack2seven4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE SEVEN  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 665F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2SEVEN25004XI FROM QUEUE SEVEN: ", queue2seven)
                        # 
                                    
                    fire2seven25004xi = queue2seven.get()
                    
                    if fire2seven25004xi is None:
                        fire2seven25004xi = shot2seven25004xi
                        print("\n (STEP 665F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE SEVEN: ", queue2seven, " - SET FIRE2SEVEN25004XI TO SHOT2SEVEN25004XI ", time4xi())  
                        #     
                    if ack2debug is True:
                        print("\n (STEP 665F3/800) OF COLOR_TENSES4XI - FIRE2SEVEN25004XI: ", fire2seven25004xi) 
                        # FIRE2SEVEN25004XI:  {1: '-1013x-612y2201z', 2: '-1024x-548y2213z', 3: '-102x-1277y2146z', 4: '-1032x-484y2224z' ...
                        
                else:
                    print("\n (STEP 665F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
            else:
                print("\n (STEP 665F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
        else:
            print("\n (STEP 665F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
                   
    
            
        #=========
        # 2600 SEVEN
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2seven26004xi = {}
        
        if ack2seven4process is True:
    
            if ack2seven4start is True:
    
                if ack2seven4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE SEVEN  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 666F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2SEVEN26004XI FROM QUEUE SEVEN: ", queue2seven)
                        # 
                                    
                    fire2seven26004xi = queue2seven.get()
                    
                    if fire2seven26004xi is None:
                        fire2seven26004xi = shot2seven26004xi
                        print("\n (STEP 666F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE SEVEN: ", queue2seven, " - SET FIRE2SEVEN26004XI TO SHOT2SEVEN26004XI ", time4xi())  
                        #  
                    if ack2debug is True:
                        print("\n (STEP 666F3/800) OF COLOR_TENSES4XI - FIRE2SEVEN26004XI: ", fire2seven26004xi) 
                        # FIRE2SEVEN26004XI:  {1: '-1001x-2249y835z', 2: '-1001x-939y2324z', 3: '-1018x-771y2264z', 4: '-1038x-704y2277z' ...
                        
                else:
                    print("\n (STEP 666F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
            else:
                print("\n (STEP 666F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
        else:
            print("\n (STEP 666F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
                   
    
            
        #=========
        # 2700 SEVEN
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2seven27004xi = {}
        
        if ack2seven4process is True:
    
            if ack2seven4start is True:
    
                if ack2seven4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE SEVEN  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 667F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2SEVEN27004XI FROM QUEUE SEVEN: ", queue2seven)
                        # 
                                    
                    fire2seven27004xi = queue2seven.get()
                    
                    if fire2seven27004xi is None:
                        fire2seven27004xi = shot2seven27004xi
                        print("\n (STEP 667F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE SEVEN: ", queue2seven, " - SET FIRE2SEVEN27004XI TO SHOT2SEVEN27004XI ", time4xi())  
                        # 
                    if ack2debug is True:
                        print("\n (STEP 667F3/800) OF COLOR_TENSES4XI - FIRE2SEVEN27004XI: ", fire2seven27004xi) 
                        # FIRE2SEVEN27004XI:  {1: '-1031x-870y2338z', 2: '-1037x-2066y1393z', 3: '-1039x-2335y867z', 4: '-1039x-973y2410z' ...
                        
                else:
                    print("\n (STEP 667F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
            else:
                print("\n (STEP 667F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
        else:
            print("\n (STEP 667F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
                   
    
            
        #=========
        # 2800 SEVEN
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2seven28004xi = {}
        
        if ack2seven4process is True:
    
            if ack2seven4start is True:
    
                if ack2seven4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE SEVEN  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 668F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2SEVEN28004XI FROM QUEUE SEVEN: ", queue2seven)
                        # 
                                    
                    fire2seven28004xi = queue2seven.get()
                    
                    if fire2seven28004xi is None:
                        fire2seven28004xi = shot2seven28004xi
                        print("\n (STEP 668F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE SEVEN: ", queue2seven, " - SET FIRE2SEVEN28004XI TO SHOT2SEVEN28004XI ", time4xi())  
                        # 
                    if ack2debug is True:
                        print("\n (STEP 668F3/800) OF COLOR_TENSES4XI - FIRE2SEVEN28004XI: ", fire2seven28004xi) 
                        # FIRE2SEVEN28004XI:  {1: '-1070x-902y2424z', 2: '-1076x-1008y2496z', 3: '-1076x-2143y1445z', 4: '-1078x-2422y899z' ...
                        
                else:
                    print("\n (STEP 668F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
            else:
                print("\n (STEP 668F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
        else:
            print("\n (STEP 668F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
                   
    
            
        #=========
        # 2900 SEVEN
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2seven29004xi = {}
        
        if ack2seven4process is True:
    
            if ack2seven4start is True:
    
                if ack2seven4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE SEVEN  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 669F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2SEVEN29004XI FROM QUEUE SEVEN: ", queue2seven)
                        # 
                                    
                    fire2seven29004xi = queue2seven.get()
                    if fire2seven29004xi is None:
                        fire2seven29004xi = shot2seven29004xi
                        print("\n (STEP 669F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE SEVEN: ", queue2seven, " - SET FIRE2SEVEN29004XI TO SHOT2SEVEN29004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 669F3/800) OF COLOR_TENSES4XI - FIRE2SEVEN29004XI: ", fire2seven29004xi) 
                        # FIRE2SEVEN29004XI:  {1: '-1002x-2288y1471z', 2: '-1108x-934y2511z', 3: '-1113x-1043y2582z', 4: '-1114x-2219y1496z' ...
                        
                else:
                    print("\n (STEP 669F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
            else:
                print("\n (STEP 669F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
        else:
            print("\n (STEP 669F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
                   
    
            
        #=========
        # 3000 SEVEN
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2seven30004xi = {}
        
        if ack2seven4process is True:
    
            if ack2seven4start is True:
    
                if ack2seven4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE SEVEN  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 670F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2SEVEN30004XI FROM QUEUE SEVEN: ", queue2seven)
                        # 
                                    
                    fire2seven30004xi = queue2seven.get()
                    if fire2seven30004xi is None:
                        fire2seven30004xi = shot2seven30004xi
                        print("\n (STEP 670F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE SEVEN: ", queue2seven, " - SET FIRE2SEVEN30004XI TO SHOT2SEVEN30004XI ", time4xi())  
                        #                      
                    if ack2debug is True:
                        print("\n (STEP 670F3/800) OF COLOR_TENSES4XI - FIRE2SEVEN30004XI: ", fire2seven30004xi) 
                        # FIRE2SEVEN30004XI:  {1: '-1021x-2661y935z', 2: '-1037x-2367y1522z', 3: '-1146x-967y2598z', 4: '-1150x-1078y2669z' ...
                        
                else:
                    print("\n (STEP 670F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
            else:
                print("\n (STEP 670F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
        else:
            print("\n (STEP 670F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
                   
    
            
        #=========
        # 3100 SEVEN
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2seven31004xi = {}
        
        if ack2seven4process is True:
    
            if ack2seven4start is True:
    
                if ack2seven4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE SEVEN  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 671F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2SEVEN31004XI FROM QUEUE SEVEN: ", queue2seven) 
                        # 
                                    
                    fire2seven31004xi = queue2seven.get()
                    if fire2seven31004xi is None:
                        fire2seven31004xi = shot2seven31004xi
                        print("\n (STEP 671F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE SEVEN: ", queue2seven, " - SET FIRE2SEVEN31004XI TO SHOT2SEVEN31004XI ", time4xi())  
                        #                 
                    if ack2debug is True:
                        print("\n (STEP 671F3/800) OF COLOR_TENSES4XI - FIRE2SEVEN31004XI: ", fire2seven31004xi) 
                        # FIRE2SEVEN31004XI:  {1: '-1055x-2749y966z', 2: '-1072x-2446y1573z', 3: '-1184x-999y2684z', 4: '-1187x-1113y2755z' ...
                        
                else:
                    print("\n (STEP 671F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
            else:
                print("\n (STEP 671F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
        else:
            print("\n (STEP 671F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
                   
    
            
        #=========
        # 3200 SEVEN
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2seven32004xi = {}
        
        if ack2seven4process is True:
    
            if ack2seven4start is True:
    
                if ack2seven4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE SEVEN  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 672F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2SEVEN32004XI FROM QUEUE SEVEN: ", queue2seven)
                                        # 
                    fire2seven32004xi = queue2seven.get()
                    if fire2seven32004xi is None:
                        fire2seven32004xi = shot2seven32004xi
                        print("\n (STEP 673F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE SEVEN: ", queue2seven, " - SET FIRE2SEVEN32004XI TO SHOT2SEVEN32004XI ", time4xi())  
                        # 
                                                
                    if ack2debug is True:
                        print("\n (STEP 672F3/800) OF COLOR_TENSES4XI - FIRE2SEVEN32004XI: ", fire2seven32004xi) 
                        # FIRE2SEVEN32004XI:  {1: '-1089x-2838y998z', 2: '-1106x-2525y1624z', 3: '-1222x-1031y2771z', 4: '-1224x-1147y2841z', 5: '-1230x-2449y1651z', 6: '-1232x-2768y1028z', 7: '-1253x-949y2787z', 8: '-1277x-866y2802z', 9: '-1297x-784y2818z', 10: '-130x-1635y2747z', 11: '-1311x-701y2833z', 12: '-1321x-620y2847z', 13: '-1325x-539y2862z', 14: '-133x-2860y1427z', 15: '-1348x-2367y1678z', 16: '-1370x-2690y1058z', 17: '-1461x-2279y1706z', 18: '-1504x-2605y1088z', 19: '-1568x-2185y1733z', 20: '-161x-3090y813z', 21: '-1632x-2514y1118z', 22: '-1635x-2750y7z', 23: '-1669x-2086y1759z', 24: '-1755x-2416y1148z', 25: '-1764x-1983y1786z', 26: '-1777x-2660y39z', 27: '-1853x-1875y1813z', 28: '-1872x-2312y1178z', 29: '-1913x-2563y71z', 30: '-1935x-1763y1839z', 31: '-1982x-2202y1208z', 32: '-2011x-1648y1865z', 33: '-2044x-2459y103z', 34: '-2079x-1529y1891z', 35: '-2086x-2086y1237z', 36: '-212x-1599y2763z', 37: '-2140x-1408y1917z', 38: '-2169x-2348y135z', 39: '-2183x-1966y1267z', 40: '-2194x-1284y1942z', 41: '-2241x-1158y1967z', 42: '-2273x-1841y1296z', 43: '-2281x-1031y1993z', 44: '-2288x-2230y167z', 45: '-2313x-903y2017z', 46: '-2338x-774y2042z', 47: '-2355x-645y2067z', 48: '-2356x-1711y1325z', 49: '-2365x-517y2091z', 50: '-2400x-2106y199z', 51: '-2431x-1578y1354z', 52: '-2498x-1442y1383z', 53: '-2506x-1976y231z', 54: '-2558x-1303y1412z', 55: '-2604x-1840y263z', 56: '-2610x-1162y1441z', 57: '-2653x-1018y1469z', 58: '-2689x-873y1498z', 59: '-2694x-1700y295z', 60: '-2716x-727y1526z', 61: '-2736x-581y1554z', 62: '-2747x-435y1582z', 63: '-2750x-289y1609z', 64: '-2777x-1555y326z', 65: '-281x-2835y1455z', 66: '-2851x-1406y358z', 67: '-290x-1558y2779z', 68: '-2917x-1254y390z', 69: '-2975x-1098y422z', 70: '-29x-31y3199z', 71: '-3025x-939y453z', 72: '-3065x-779y485z', 73: '-30x-456y3167z', 74: '-322x-3069y844z', 75: '-365x-1514y2795z', 76: '-427x-2802y1484z', 77: '-436x-1466y2810z', 78: '-45x-1667y2730z', 79: '-481x-3039y875z', 80: '-48x-57y3199z', 81: '-502x-1414y2825z', 82: '-50x-423y3171z', 83: '-565x-1360y2840z', 84: '-570x-2761y1512z', 85: '-623x-1303y2855z', 86: '-638x-3001y906z', 87: '-64x-85y3198z', 88: '-677x-1243y2869z', 89: '-67x-388y3175z', 90: '-710x-2713y1540z', 91: '-726x-1182y2883z', 92: '-770x-1118y2897z', 93: '-77x-115y3196z', 94: '-791x-2955y937z', 95: '-7x-489y3162z', 96: '-80x-353y3179z', 97: '-810x-1053y2910z', 98: '-845x-987y2923z', 99: '-846x-2657y1568z', 100: '-876x-920y2936z', 101: '-87x-147y3195z', 102: '-895x-164y3067z', 103: '-8x-7y3199z', 104: '-901x-853y2949z', 105: '-90x-318y3182z', 106: '-915x-218y3058z', 107: '-922x-786y2961z', 108: '-931x-274y3048z', 109: '-938x-718y2973z', 110: '-942x-2900y967z', 111: '-944x-333y3039z', 112: '-94x-179y3193z', 113: '-950x-651y2985z', 114: '-954x-393y3028z', 115: '-957x-585y2996z', 116: '-959x-456y3018z', 117: '-960x-520y3007z', 118: '-96x-282y3186z', 119: '-978x-2594y1596z', 120: '-98x-213y3191z', 121: '-99x-247y3188z', 122: '0x-3102y783z'}
     
                      
                else:
                    print("\n (STEP 672F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
            else:
                print("\n (STEP 672F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
        else:
            print("\n (STEP 672F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
                   
    
            
        #=========
        # 3300 SEVEN
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2seven33004xi = {}
        
        if ack2seven4process is True:
    
            if ack2seven4start is True: 
    
                if ack2seven4run is True:
        
                    # -----------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE SEVEN  WHERE TARGET PUT IT
                    # -----------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 673F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2SEVEN33004XI FROM QUEUE SEVEN: ", queue2seven)   
                                        # 
                    fire2seven33004xi = queue2seven.get()
                    if fire2seven33004xi is None:
                        print("\n (STEP 674F3/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE SEVEN: ", queue2seven, " - SET FIRE2SEVEN33004XI TO SHOT2SEVEN33004XI ", time4xi())   
                        fire2seven33004xi = shot2seven33004xi
    
                    if ack2debug is True:
                        print("\n (STEP 673F2/800) OF COLOR_TENSES4XI - FIRE2SEVEN33004XI: ", fire2seven33004xi) 
                        # FIRE2SEVEN33004XI:  {1: '-1009x-2675y1646z', 2: '-101x-220y3291z', 3: '-102x-255y3288z', 4: '-1123x-2927y1029z' ...            
                else:
                    print("\n (STEP 673F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
            else:
                print("\n (STEP 673F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
        else:
            print("\n (STEP 673F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE SEVEN - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
                   
    
               
        # =========================================================================================================   
        # II/VII EOF - SEVEN DIRECTION LAYERS 10, 100 ...3300 QUEUE SEVEN DIRECTORIES 
        # =========================================================================================================  
        if ack2debug is True:
            print("\n (STEP 673F7/800) OF COLOR_TENSES4XI - DONE TRIALS TO GET SEVEN DIRECTION LAYERS 10, 100 ...3300 QUEUE SEVEN DIRECTORIES ", time4xi())
            #  
              
    if DirectionKB4Xi[8] is True:  
        # =========================================================================================================   
        # I/VIII EIGHT DIRECTION LAYERS 10, 100 ...3300 PIPE INFORMATION FIRST
        # =========================================================================================================      
        if ack2debug is True:
            print("\n (STEP 674F0/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE EIGHT DIRECTION LAYERS 10, 100 ...3300 PIPE INFORMATION ", time4xi())
            #        
        #========
        # 10 EIGHT 
        #========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2eight4process is True:
    
            if ack2eight4start is True:
    
                if ack2eight4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 674F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE EIGHT CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                        # 
                    
                    message2receive4eight = pipe2eight_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 674F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE EIGHT CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message2receive4eight) 
                        # <ack2put4xi>queue2eight8shot2eight10x4xi</ack2put4xi>
                    
                else:
                    print("\n (STEP 674F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
            else:
                print("\n (STEP 674F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
        else:
            print("\n (STEP 674F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())                    
        
        #========
        # 100 EIGHT
        #========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2eight4process is True:
    
            if ack2eight4start is True:
    
                if ack2eight4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 681F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE EIGHT CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                        # 
                    
                    message2receive4eight = pipe2eight_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 681F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE EIGHT CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message2receive4eight)
                        # <ack2put4xi>queue2eight8shot2eight100x4xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 681F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
            else:
                print("\n (STEP 681F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
        else:
            print("\n (STEP 681F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())                    
        
        #========
        # 200 EIGHT 
        #========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2eight4process is True:
    
            if ack2eight4start is True:
    
                if ack2eight4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 682F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE EIGHT CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                        # 
                    
                    message2receive4eight = pipe2eight_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 682F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE EIGHT CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message2receive4eight)
                        # <ack2put4xi>queue2eight8shot2eight200x4xi</ack2put4xi>
                    
                else:
                    print("\n (STEP 682F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
            else:
                print("\n (STEP 682F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
        else:
            print("\n (STEP 682F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())                    
                                                    
                                      
        
        #========
        # 300 EIGHT
        #========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2eight4process is True:
    
            if ack2eight4start is True:
    
                if ack2eight4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 683F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE EIGHT CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                        # 
                    
                    message2receive4eight = pipe2eight_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 683F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE EIGHT CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message2receive4eight)
                        # <ack2put4xi>queue2eight8shot2eight300x4xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 683F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
            else:
                print("\n (STEP 683F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
        else:
            print("\n (STEP 683F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())                    
        
        #========
        # 400 EIGHT
        #========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2eight4process is True:
    
            if ack2eight4start is True:
    
                if ack2eight4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 684F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE EIGHT CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                        # 
                    
                    message2receive4eight = pipe2eight_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 684F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE EIGHT CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message2receive4eight)
                        # <ack2put4xi>queue2eight8shot2eight400x4xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 684F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
            else:
                print("\n (STEP 684F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
        else:
            print("\n (STEP 684F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())
                                
        #========
        # 500 EIGHT
        #========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2eight4process is True:
    
            if ack2eight4start is True:
    
                if ack2eight4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 685F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE EIGHT CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                        # 
                    
                    message2receive4eight = pipe2eight_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 685F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE EIGHT CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message2receive4eight)
                        # <ack2put4xi>queue2eight8shot2eight500x4xi</ack2put4xi> 
     
                    
                else:
                    print("\n (STEP 685F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
            else:
                print("\n (STEP 685F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
        else:
            print("\n (STEP 685F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())                    
                                                                                           
        #========
        # 600 EIGHT
        #========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2eight4process is True:
    
            if ack2eight4start is True:
    
                if ack2eight4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 686F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE EIGHT CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                        # 
                    
                    message2receive4eight = pipe2eight_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 686F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE EIGHT CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message2receive4eight)
                        #  <ack2put4xi>queue2eight8shot2eight600x4xi</ack2put4xi>
                else:
                    print("\n (STEP 686F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
            else:
                print("\n (STEP 686F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
        else:
            print("\n (STEP 684F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())                    
         
        #========
        # 700 EIGHT
        #========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2eight4process is True:
    
            if ack2eight4start is True:
    
                if ack2eight4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 687F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE EIGHT CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                        # 
                    
                    message2receive4eight = pipe2eight_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 687F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE EIGHT CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message2receive4eight)
                        # <ack2put4xi>queue2eight8shot2eight700x4xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 687F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
            else:
                print("\n (STEP 687F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
        else:
            print("\n (STEP 687F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())                    
           
        #========
        # 800 EIGHT
        #========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2eight4process is True:
    
            if ack2eight4start is True:
    
                if ack2eight4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 688F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE EIGHT CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                        # 
                    
                    message2receive4eight = pipe2eight_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 688F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE EIGHT CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message2receive4eight)
                        # <ack2put4xi>queue2eight8shot2eight800x4xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 688F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
            else:
                print("\n (STEP 688F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
        else:
            print("\n (STEP 688F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())                    
         
        #========
        # 900 EIGHT
        #========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2eight4process is True:
    
            if ack2eight4start is True:
    
                if ack2eight4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 689F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE EIGHT CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                        # 
                    
                    message2receive4eight = pipe2eight_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 689F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE EIGHT CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message2receive4eight)
                        # <ack2put4xi>queue2eight8shot2eight900x4xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 689F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
            else:
                print("\n (STEP 689F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
        else:
            print("\n (STEP 689F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())                    
          
               
         
        #=========
        # 1000 EIGHT
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2eight4process is True:
    
            if ack2eight4start is True:
    
                if ack2eight4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 690F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE EIGHT CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                        # 
                    
                    message2receive4eight = pipe2eight_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 690F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE EIGHT CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message2receive4eight)
                        # <ack2put4xi>queue2eight8shot2eight1000x4xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 690F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
            else:
                print("\n (STEP 690F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
        else:
            print("\n (STEP 690F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())                    
         
        #=========
        # 1100 EIGHT
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2eight4process is True:
    
            if ack2eight4start is True:
    
                if ack2eight4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 691F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE EIGHT CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                        # 
                    
                    message2receive4eight = pipe2eight_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 691F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE EIGHT CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message2receive4eight)
                        # <ack2put4xi>queue2eight8shot2eight1100x4xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 691F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
            else:
                print("\n (STEP 691F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
        else:
            print("\n (STEP 691F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())                    
         
        #=========
        # 1200 EIGHT
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2eight4process is True:
    
            if ack2eight4start is True:
    
                if ack2eight4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 692F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE EIGHT CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                        # 
                    
                    message2receive4eight = pipe2eight_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 692F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE EIGHT CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message2receive4eight)
                        # <ack2put4xi>queue2eight8shot2eight1200x4xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 692F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
            else:
                print("\n (STEP 692F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
        else:
            print("\n (STEP 692F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())                    
         
        #=========
        # 1300 EIGHT
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2eight4process is True:
    
            if ack2eight4start is True:
    
                if ack2eight4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 693F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE EIGHT CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                        # 
                    
                    message2receive4eight = pipe2eight_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 693F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE EIGHT CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message2receive4eight)
                        # <ack2put4xi>queue2eight8shot2eight1300x4xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 693F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
            else:
                print("\n (STEP 693F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
        else:
            print("\n (STEP 693F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())                    
         
        #=========
        # 1400 EIGHT
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2eight4process is True:
    
            if ack2eight4start is True:
    
                if ack2eight4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 694F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE EIGHT CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                        # 
                    
                    message2receive4eight = pipe2eight_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 694F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE EIGHT CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message2receive4eight)
                        # <ack2put4xi>queue2eight8shot2eight1400x4xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 694F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
            else:
                print("\n (STEP 694F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
        else:
            print("\n (STEP 694F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())                    
         
        #=========
        # 1500 EIGHT
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2eight4process is True:
    
            if ack2eight4start is True:
    
                if ack2eight4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 695F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE EIGHT CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                        # 
                    
                    message2receive4eight = pipe2eight_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 695F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE EIGHT CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message2receive4eight)
                        # <ack2put4xi>queue2eight8shot2eight1500x4xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 695F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
            else:
                print("\n (STEP 695F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
        else:
            print("\n (STEP 695F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())                    
         
        #=========
        # 1600 EIGHT
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2eight4process is True:
    
            if ack2eight4start is True:
    
                if ack2eight4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 696F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE EIGHT CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                        # 
                    
                    message2receive4eight = pipe2eight_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 696F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE EIGHT CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message2receive4eight)
                        # <ack2put4xi>queue2eight8shot2eight1600x4xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 696F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
            else:
                print("\n (STEP 696F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
        else:
            print("\n (STEP 696F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())                    
         
        #=========
        # 1700 EIGHT
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2eight4process is True:
    
            if ack2eight4start is True:
    
                if ack2eight4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 697F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE EIGHT CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                        # 
                    
                    message2receive4eight = pipe2eight_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 697F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE EIGHT CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message2receive4eight)
                        # <ack2put4xi>queue2eight8shot2eight1700x4xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 697F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
            else:
                print("\n (STEP 697F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
        else:
            print("\n (STEP 697F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())                    
         
        #=========
        # 1800 EIGHT
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2eight4process is True:
    
            if ack2eight4start is True:
    
                if ack2eight4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 698F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE EIGHT CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                        # 
                    
                    message2receive4eight = pipe2eight_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 698F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE EIGHT CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message2receive4eight)
                        # <ack2put4xi>queue2eight8shot2eight1800x4xi</ack2put4xi>
                    
                else:
                    print("\n (STEP 698F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
            else:
                print("\n (STEP 698F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
        else:
            print("\n (STEP 698F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())                    
         
        #=========
        # 1900 EIGHT
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2eight4process is True:
    
            if ack2eight4start is True:
    
                if ack2eight4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 699F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE EIGHT CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                        # 
                    
                    message2receive4eight = pipe2eight_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 699F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE EIGHT CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message2receive4eight)
                        # <ack2put4xi>queue2eight8shot2eight1900x4xi</ack2put4xi>
                    
                else:
                    print("\n (STEP 699F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
            else:
                print("\n (STEP 699F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
        else:
            print("\n (STEP 699F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())  
            
         
        #=========
        # 2000 EIGHT
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2eight4process is True:
    
            if ack2eight4start is True:
    
                if ack2eight4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 600F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE EIGHT CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                        # 
                    
                    message2receive4eight = pipe2eight_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 600F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE EIGHT CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message2receive4eight)
                        # <ack2put4xi>queue2eight8shot2eight2000x4xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 600F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
            else:
                print("\n (STEP 600F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
        else:
            print("\n (STEP 600F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())  
         
        #=========
        # 2100 EIGHT
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2eight4process is True:
    
            if ack2eight4start is True:
    
                if ack2eight4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 621F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE EIGHT CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                        # 
                    
                    message2receive4eight = pipe2eight_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 621F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE EIGHT CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message2receive4eight)
                        # <ack2put4xi>queue2eight8shot2eight2100x4xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 621F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
            else:
                print("\n (STEP 621F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
        else:
            print("\n (STEP 621F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())  
         
        #=========
        # 2200 EIGHT
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2eight4process is True:
    
            if ack2eight4start is True:
    
                if ack2eight4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 622F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE EIGHT CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                        # 
                    
                    message2receive4eight = pipe2eight_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 622F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE EIGHT CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message2receive4eight)
                        # <ack2put4xi>queue2eight8shot2eight2200x4xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 622F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
            else:
                print("\n (STEP 622F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
        else:
            print("\n (STEP 622F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())  
         
        #=========
        # 2300 EIGHT
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2eight4process is True:
    
            if ack2eight4start is True:
    
                if ack2eight4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 623F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE EIGHT CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                        # 
                    
                    message2receive4eight = pipe2eight_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 623F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE EIGHT CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message2receive4eight)
                        # <ack2put4xi>queue2eight8shot2eight2300x4xi</ack2put4xi>
                    
                else:
                    print("\n (STEP 623F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
            else:
                print("\n (STEP 623F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
        else:
            print("\n (STEP 623F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())  
         
        #=========
        # 2400 EIGHT
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2eight4process is True:
    
            if ack2eight4start is True:
    
                if ack2eight4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 624F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE EIGHT CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                        # 
                    
                    message2receive4eight = pipe2eight_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 624F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE EIGHT CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message2receive4eight)
                        # <ack2put4xi>queue2eight8shot2eight2400x4xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 624F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
            else:
                print("\n (STEP 624F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
        else:
            print("\n (STEP 624F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())  
         
        #=========
        # 2500 EIGHT
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2eight4process is True:
    
            if ack2eight4start is True:
    
                if ack2eight4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 625F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE EIGHT CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                        # 
                    
                    message2receive4eight = pipe2eight_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 625F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE EIGHT CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message2receive4eight)
                        # <ack2put4xi>queue2eight8shot2eight2500x4xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 625F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
            else:
                print("\n (STEP 625F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
        else:
            print("\n (STEP 625F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())  
         
        #=========
        # 2600 EIGHT
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2eight4process is True:
    
            if ack2eight4start is True:
    
                if ack2eight4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 626F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE EIGHT CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                        # 
                    
                    message2receive4eight = pipe2eight_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 626F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE EIGHT CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message2receive4eight)
                        # <ack2put4xi>queue2eight8shot2eight2600x4xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 626F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
            else:
                print("\n (STEP 626F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
        else:
            print("\n (STEP 626F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())  
         
        #=========
        # 2700 EIGHT
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2eight4process is True:
    
            if ack2eight4start is True:
    
                if ack2eight4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 627F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE EIGHT CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                        # 
                    
                    message2receive4eight = pipe2eight_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 627F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE EIGHT CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message2receive4eight)
                        # <ack2put4xi>queue2eight8shot2eight2700x4xi</ack2put4xi> 
                    
                else:
                    print("\n (STEP 627F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
            else:
                print("\n (STEP 627F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
        else:
            print("\n (STEP 627F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())  
         
        #=========
        # 2800 EIGHT
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2eight4process is True:
    
            if ack2eight4start is True:
    
                if ack2eight4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 628F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE EIGHT CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                        # 
                    
                    message2receive4eight = pipe2eight_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 628F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE EIGHT CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message2receive4eight)
                        # <ack2put4xi>queue2eight8shot2eight2800x4xi</ack2put4xi> 
                        
                    
                else:
                    print("\n (STEP 628F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
            else:
                print("\n (STEP 628F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
        else:
            print("\n (STEP 628F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())  
         
        #=========
        # 2900 EIGHT
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2eight4process is True:
    
            if ack2eight4start is True:
    
                if ack2eight4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 629F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE EIGHT CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                        # 
                    message2receive4eight = pipe2eight_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 629F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE EIGHT CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message2receive4eight)
                        # <ack2put4xi>queue2eight8shot2eight2900x4xi</ack2put4xi> 
                        
                else:
                    print("\n (STEP 629F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
            else:
                print("\n (STEP 629F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
        else:
            print("\n (STEP 629F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())  
         
        #=========
        # 3000 EIGHT
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2eight4process is True:
    
            if ack2eight4start is True:
    
                if ack2eight4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 630F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE EIGHT CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                        # 
                    
                    message2receive4eight = pipe2eight_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 630F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE EIGHT CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message2receive4eight)
                        # <ack2put4xi>queue2eight8shot2eight3000x4xi</ack2put4xi> 
                        
                    
                else:
                    print("\n (STEP 630F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
            else:
                print("\n (STEP 630F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
        else:
            print("\n (STEP 630F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())  
         
        #=========
        # 3100 EIGHT
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2eight4process is True:
    
            if ack2eight4start is True:
    
                if ack2eight4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 631F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE EIGHT CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                        # 
                        
                    message2receive4eight = pipe2eight_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 631F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE EIGHT CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message2receive4eight) 
                        # <ack2put4xi>queue2eight8shot2eight3100x4xi</ack2put4xi> 
                        
                else:
                    print("\n (STEP 631F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
            else:
                print("\n (STEP 631F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
        else:
            print("\n (STEP 631F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())  
         
        #=========
        # 3200 EIGHT
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2eight4process is True:
    
            if ack2eight4start is True:
    
                if ack2eight4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 632F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE EIGHT CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                        # 
                    message2receive4eight = pipe2eight_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 632F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE EIGHT CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message2receive4eight)
                        # <ack2put4xi>queue2eight8shot2eight3200x4xi</ack2put4xi> 
                else:
                    print("\n (STEP 632F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
            else:
                print("\n (STEP 632F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
        else:
            print("\n (STEP 632F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())  
         
        #=========
        # 3300 EIGHT
        #=========
        
        # =============================================================================================   
        # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
        # =============================================================================================  
        if ack2eight4process is True:
    
            if ack2eight4start is True:
    
                if ack2eight4run is True:
        
                    # -----------------------------------------------------------------------------------------    
                    # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                    # -----------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 633F1/800) OF COLOR_TENSES4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE EIGHT CONSUMER_CHANNEL: ", pipe2eight_consumer_channel) 
                        # 
                    message2receive4eight = pipe2eight_consumer_channel.recv()
                    if ack2debug is True:
                        print("\n (STEP 633F2/800) OF COLOR_TENSES4XI - RECEIVED FROM PIPE EIGHT CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message2receive4eight)
                        # <ack2put4xi>queue2eight8shot2eight3300x4xi</ack2put4xi> 
                        
                else:
                    print("\n (STEP 633F3/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
            else:
                print("\n (STEP 633F4/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
        else:
            print("\n (STEP 633F5/800) OF COLOR_TENSES4XI ** SKIPPED RECEIVING PUT INFO MESSAGE FROM PIPE EIGHT - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())  
    
          
               
        # =========================================================================================================   
        # I/VII EOF - EIGHT DIRECTION LAYERS 10, 100 ...3300 PIPE EIGHT INFORMATION FIRST
        # =========================================================================================================      
        if ack2debug is True:
            print("\n (STEP 633F6/800) OF COLOR_TENSES4XI - DONE TRIALS TO RECEIVE EIGHT DIRECTION LAYERS 10, 100 ...3300 PIPE EIGHT INFORMATION ", time4xi())
            # <ack2put4xi>queue2eight8shot2eight33004xi</ack2put4xi>
            # 06:15:20 02/06/13 Pacific Standard Time      

 

           
        # =========================================================================================================   
        # II/VIII EIGHT DIRECTION LAYERS 10, 100 ...3300 QUEUE DIRECTORIES 
        # =========================================================================================================      
        if ack2debug is True:
            print("\n (STEP 634F0/800) OF COLOR_TENSES4XI - TRYING TO GET EIGHT DIRECTION LAYERS 10, 100 ...3300 QUEUE DIRECTORIES ", time4xi())
            #      
        #========
        # 10 EIGHT   
        #========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2eight104xi = {}
        
        if ack2eight4process is True:
    
            if ack2eight4start is True:
    
                if ack2eight4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE EIGHT  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 634F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2EIGHT104XI FROM QUEUE EIGHT: ", queue2eight)
                        # 
                                    
                    fire2eight104xi = queue2eight.get() 
                    if fire2eight104xi is None:
                        fire2eight104xi = shot2eight104xi
                        print("\n (STEP 634F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE EIGHT: ", queue2eight, " - SET FIRE2EIGHT104XI TO SHOT2EIGHT104XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 634F3/800) OF COLOR_TENSES4XI -  FIRE2EIGHT104XI: ", fire2eight104xi) 
                        # FIRE2EIGHT104XI:  {1: '-10x-10y-12z', 2: '-10x-11y-13z', 3: '-10x-3y-27z', 4: '-10x-58y-6z' ...
                        
                else:
                    print("\n (STEP 634F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
            else:
                print("\n (STEP 634F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
        else:
            print("\n (STEP 634F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED IN CREATING PROCESS EIGHT ", time4xi())
        
            
          
               
        #========
        # 100 EIGHT
        #========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2eight1004xi = {}
    
        if ack2eight4process is True:
    
            if ack2eight4start is True:
    
                if ack2eight4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE EIGHT  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 641F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2EIGHT1004XI FROM QUEUE EIGHT: ", queue2eight)
                        # 
                                    
                    fire2eight1004xi = queue2eight.get()
                    if fire2eight1004xi is None:
                        fire2eight1004xi = shot2eight1004xi
                        print("\n (STEP 641F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE EIGHT: ", queue2eight, " - SET FIRE2EIGHT1004XI TO SHOT2EIGHT1004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 641F3/800) OF COLOR_TENSES4XI -  FIRE2EIGHT1004XI: ", fire2eight1004xi) 
                        # FIRE2EIGHT1004XI:  {1: '-10x-19y-97z', 2: '-10x-67y-73z', 3: '-11x-34y-93z', 4: '-11x-76y-62z' ...
                        
                else:
                    print("\n (STEP 641F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
            else:
                print("\n (STEP 641F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
        else:
            print("\n (STEP 641F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
          
    
        #========
        # 200 EIGHT
        #========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2eight2004xi = {}
        
        if ack2eight4process is True:
    
            if ack2eight4start is True:
    
                if ack2eight4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE EIGHT  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 642F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2EIGHT2004XI FROM QUEUE EIGHT: ", queue2eight)
                        # 
                                    
                    fire2eight2004xi = queue2eight.get()
                    if fire2eight2004xi is None:
                        fire2eight2004xi = shot2eight2004xi
                        print("\n (STEP 642F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE EIGHT: ", queue2eight, " - SET FIRE2EIGHT2004XI TO SHOT2EIGHT2004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 642F3/800) OF COLOR_TENSES4XI -  FIRE2EIGHT2004XI: ", fire2eight2004xi) 
                        # FIRE2EIGHT2004XI:  {1: '-100x-112y-130z', 2: '-102x-26y-169z', 3: '-103x-131y-109z', 4: '-103x-170y-7z' ...
                        
                else:
                    print("\n (STEP 642F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
            else:
                print("\n (STEP 642F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
        else:
            print("\n (STEP 642F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
                                        
                                      
          
    
    
           
        #========
        # 300 EIGHT
        #========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2eight3004xi = {}
        
        if ack2eight4process is True:
    
            if ack2eight4start is True:
    
                if ack2eight4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE EIGHT  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 643F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2EIGHT3004XI FROM QUEUE EIGHT: ", queue2eight)
                        # 
                                    
                    fire2eight3004xi = queue2eight.get()
                    if fire2eight3004xi is None:
                        fire2eight3004xi = shot2eight3004xi
                        print("\n (STEP 643F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE EIGHT: ", queue2eight, " - SET FIRE2EIGHT3004XI TO SHOT2EIGHT3004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 643F3/800) OF COLOR_TENSES4XI -  FIRE2EIGHT3004XI: ", fire2eight3004xi) 
                        # FIRE2EIGHT3004XI:  {1: '-101x-37y-279z', 2: '-101x-90y-267z', 3: '-105x-32y-278z', 4: '-108x-190y-205z' ...
                        
                else:
                    print("\n (STEP 643F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
            else:
                print("\n (STEP 643F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
        else:
            print("\n (STEP 643F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
                   
    
    
           
        #========
        # 400 EIGHT
        #========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2eight4004xi = {}
        
        if ack2eight4process is True:
    
            if ack2eight4start is True:
    
                if ack2eight4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE EIGHT  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 644F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2EIGHT4004XI FROM QUEUE EIGHT: ", queue2eight)
                        # 
                                    
                    fire2eight4004xi = queue2eight.get()
                    if fire2eight4004xi is None:
                        fire2eight4004xi = shot2eight4004xi
                        print("\n (STEP 644F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE EIGHT: ", queue2eight, " - SET FIRE2EIGHT4004XI TO SHOT2EIGHT4004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 644F3/800) OF COLOR_TENSES4XI -  FIRE2EIGHT4004XI: ", fire2eight4004xi) 
                        # FIRE2EIGHT4004XI:  {1: '-100x-265y-282z', 2: '-102x-71y-379z', 3: '-108x-131y-361z', 4: '-109x-68y-378z' ...
                        
                else:
                    print("\n (STEP 644F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
            else:
                print("\n (STEP 644F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
        else:
            print("\n (STEP 644F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
                   
    
    
                                   
        #========
        # 500 EIGHT
        #========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2eight5004xi = {}
        
        if ack2eight4process is True:
    
            if ack2eight4start is True:
    
                if ack2eight4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE EIGHT  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 645F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2EIGHT5004XI FROM QUEUE EIGHT: ", queue2eight)
                        # 
                                    
                    fire2eight5004xi = queue2eight.get()
                    if fire2eight5004xi is None:
                        fire2eight5004xi = shot2eight5004xi
                        print("\n (STEP 373F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE EIGHT: ", queue2eight, " - SET FIRE2EIGHT5004XI TO SHOT2EIGHT5004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 373F3/800) OF COLOR_TENSES4XI -  FIRE2EIGHT5004XI: ", fire2eight5004xi) 
                        # FIRE2EIGHT5004XI:  {1: '-101x-172y-458z', 2: '-101x-98y-479z', 3: '-106x-334y-356z', 4: '-10x-494y-69z' ...
                        
                else:
                    print("\n (STEP 645F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
            else:
                print("\n (STEP 645F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
        else:
            print("\n (STEP 645F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
                                      
          
    
                                                                                              
        #========
        # 600 EIGHT
        #========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2eight6004xi = {}
        
        if ack2eight4process is True:
    
            if ack2eight4start is True:
    
                if ack2eight4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE EIGHT  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 646F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2EIGHT6004XI FROM QUEUE EIGHT: ", queue2eight)
                        # 
                                    
                    fire2eight6004xi = queue2eight.get()
                    if fire2eight6004xi is None:
                        fire2eight6004xi = shot2eight6004xi
                        print("\n (STEP 646F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE EIGHT: ", queue2eight, " - SET FIRE2EIGHT6004XI TO SHOT2EIGHT6004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 646F3/800) OF COLOR_TENSES4XI -  FIRE2EIGHT6004XI: ", fire2eight6004xi) 
                        # FIRE2EIGHT6004XI:  {1: '-101x-121y-578z', 2: '-105x-403y-431z', 3: '-106x-586y-65z', 4: '-107x-207y-552z' ...
                        
                else:
                    print("\n (STEP 646F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
            else:
                print("\n (STEP 646F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
        else:
            print("\n (STEP 646F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
                   
    
    
            
        #========
        # 700 EIGHT
        #========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2eight7004xi = {}
        
        if ack2eight4process is True:
    
            if ack2eight4start is True:
    
                if ack2eight4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE EIGHT  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 647F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2EIGHT7004XI FROM QUEUE EIGHT: ", queue2eight)
                        # 
                                    
                    fire2eight7004xi = queue2eight.get()
                    if fire2eight7004xi is None:
                        fire2eight7004xi = shot2eight7004xi
                        print("\n (STEP 373F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE EIGHT: ", queue2eight, " - SET FIRE2EIGHT7004XI TO SHOT2EIGHT7004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 647F3/800) OF COLOR_TENSES4XI -  FIRE2EIGHT7004XI: ", fire2eight7004xi) 
                        # FIRE2EIGHT7004XI:  {1: '-107x-142y-676z', 2: '-107x-538y-434z', 3: '-110x-242y-647z', 4: '-118x-142y-675z' ...
                        
                else:
                    print("\n (STEP 647F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
            else:
                print("\n (STEP 647F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
        else:
            print("\n (STEP 647F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
                   
    
    
              
        #========
        # 800 EIGHT
        #========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2eight8004xi = {}
        
        if ack2eight4process is True:
    
            if ack2eight4start is True:
    
                if ack2eight4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE EIGHT  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 648F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2EIGHT8004XI FROM QUEUE EIGHT: ", queue2eight)
                        # 
                                    
                    fire2eight8004xi = queue2eight.get()
                    if fire2eight8004xi is None:
                        fire2eight8004xi = shot2eight8004xi
                        print("\n (STEP 648F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE EIGHT: ", queue2eight, " - SET FIRE2EIGHT8004XI TO SHOT2EIGHT8004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 648F3/800) OF COLOR_TENSES4XI -  FIRE2EIGHT8004XI: ", fire2eight8004xi) 
                        # FIRE2EIGHT8004XI:  {1: '-100x-787y-95z', 2: '-108x-276y-742z', 3: '-109x-163y-775z', 4: '-111x-538y-580z' ...
                        
                else:
                    print("\n (STEP 648F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
            else:
                print("\n (STEP 648F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
        else:
            print("\n (STEP 648F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
                   
    
    
            
        #========
        # 900 EIGHT
        #========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2eight9004xi = {}
        
        if ack2eight4process is True:
    
            if ack2eight4start is True:
    
                if ack2eight4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE EIGHT  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 649F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2EIGHT9004XI FROM QUEUE EIGHT: ", queue2eight)
                        # 
                                    
                    fire2eight9004xi = queue2eight.get()
                    if fire2eight9004xi is None:
                        fire2eight9004xi = shot2eight9004xi
                        print("\n (STEP 649F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE EIGHT: ", queue2eight, " - SET FIRE2EIGHT9004XI TO SHOT2EIGHT9004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 649F3/800) OF COLOR_TENSES4XI -  FIRE2EIGHT9004XI: ", fire2eight9004xi) 
                        # FIRE2EIGHT9004XI:  {1: '-101x-692y-565z', 2: '-103x-309y-838z', 3: '-108x-182y-874z', 4: '-112x-886y-107z' ...
                        
                else:
                    print("\n (STEP 649F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
            else:
                print("\n (STEP 649F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
        else:
            print("\n (STEP 649F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
                   
    
    
            
        #=========
        # 1000 EIGHT
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2eight10004xi = {}
        
        if ack2eight4process is True:
    
            if ack2eight4start is True:
    
                if ack2eight4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE EIGHT  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 650F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2EIGHT10004XI FROM QUEUE EIGHT: ", queue2eight)
                        # 
                    
                    fire2eight10004xi = queue2eight.get()
                    if fire2eight10004xi is None:
                        fire2eight10004xi = shot2eight10004xi
                        print("\n (STEP 650F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE EIGHT: ", queue2eight, " - SET FIRE2EIGHT10004XI TO SHOT2EIGHT10004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 650F3/800) OF COLOR_TENSES4XI -  FIRE2EIGHT10004XI: ", fire2eight10004xi) 
                        # FIRE2EIGHT10004XI:  {1: '-102x-672y-733z', 2: '-105x-199y-974z', 3: '-112x-769y-628z', 4: '-114x-343y-931z' ...
                        
                else:
                    print("\n (STEP 650F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
            else:
                print("\n (STEP 650F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
        else:
            print("\n (STEP 650F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
                   
    
            
        #=========
        # 1100 EIGHT
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2eight11004xi = {}
        
        if ack2eight4process is True:
    
            if ack2eight4start is True:
    
                if ack2eight4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE EIGHT  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 651F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2EIGHT11004XI FROM QUEUE EIGHT: ", queue2eight)
                        # 
                                    
                    fire2eight11004xi = queue2eight.get()
                    if fire2eight11004xi is None:
                        fire2eight11004xi = shot2eight11004xi
                        print("\n (STEP 651F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE EIGHT: ", queue2eight, " - SET FIRE2EIGHT11004XI TO SHOT2EIGHT11004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 651F3/800) OF COLOR_TENSES4XI -  FIRE2EIGHT11004XI: ", fire2eight11004xi) 
                        # FIRE2EIGHT11004XI:  {1: '-100x-215y-1073z', 2: '-103x-374y-1029z', 3: '-10x-161y-1087z', 4: '-113x-739y-806z' ...
                        
                else:
                    print("\n (STEP 651F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
            else:
                print("\n (STEP 651F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
        else:
            print("\n (STEP 651F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
                   
    
    
            
        #=========
        # 1200 EIGHT
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2eight12004xi = {}
        
        if ack2eight4process is True:
    
            if ack2eight4start is True:
    
                if ack2eight4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE EIGHT  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 652F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2EIGHT12004XI FROM QUEUE EIGHT: ", queue2eight)
                        # 
                                    
                    fire2eight12004xi = queue2eight.get()
                    if fire2eight12004xi is None:
                        fire2eight12004xi = shot2eight12004xi
                        print("\n (STEP 652F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE EIGHT: ", queue2eight, " - SET FIRE2EIGHT12004XI TO SHOT2EIGHT12004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 652F3/800) OF COLOR_TENSES4XI -  FIRE2EIGHT12004XI: ", fire2eight12004xi) 
                        # FIRE2EIGHT12004XI:  {1: '-1002x-110y-650z', 2: '-1013x-342y-543z', 3: '-1035x-290y-532z', 4: '-1054x-236y-521z' ...
                        
                else:
                    print("\n (STEP 652F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
            else:
                print("\n (STEP 652F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
        else:
            print("\n (STEP 652F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
                   
    
    
            
        #=========
        # 1300 EIGHT
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2eight13004xi = {}
        
        if ack2eight4process is True:
    
            if ack2eight4start is True:
    
                if ack2eight4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE EIGHT  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 653F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2EIGHT13004XI FROM QUEUE EIGHT: ", queue2eight)
                        # 
                                    
                    fire2eight13004xi = queue2eight.get()
                    if fire2eight13004xi is None:
                        fire2eight13004xi = shot2eight13004xi
                        print("\n (STEP 653F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE EIGHT: ", queue2eight, " - SET FIRE2EIGHT13004XI TO SHOT2EIGHT13004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 653F3/800) OF COLOR_TENSES4XI -  FIRE2EIGHT13004XI: ", fire2eight13004xi) 
                        # FIRE2EIGHT13004XI:  {1: '-1009x-333y-747z', 2: '-1010x-529y-623z', 3: '-1032x-282y-737z', 4: '-1042x-478y-611z' ...
                        
                else:
                    print("\n (STEP 653F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
            else:
                print("\n (STEP 653F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
        else:
            print("\n (STEP 653F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
                   
    
            
        #=========
        # 1400 EIGHT
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2eight14004xi = {}
        
        if ack2eight4process is True:
    
            if ack2eight4start is True:
    
                if ack2eight4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE EIGHT  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 654F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2EIGHT14004XI FROM QUEUE EIGHT: ", queue2eight)
                        # 
                                    
                    fire2eight14004xi = queue2eight.get()
                    if fire2eight14004xi is None:
                        fire2eight14004xi = shot2eight14004xi
                        print("\n (STEP 654F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE EIGHT: ", queue2eight, " - SET FIRE2EIGHT14004XI TO SHOT2EIGHT14004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 654F3/800) OF COLOR_TENSES4XI -  FIRE2EIGHT14004XI: ", fire2eight14004xi) 
                        # FIRE2EIGHT14004XI:  {1: '-100x-1075y-890z', 2: '-1011x-673y-695z', 3: '-1028x-464y-827z', 4: '-103x-1384y-181z' ...
                        
                else:
                    print("\n (STEP 654F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
            else:
                print("\n (STEP 654F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
        else:
            print("\n (STEP 654F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
                   
    
            
        #=========
        # 1500 EIGHT
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2eight15004xi = {}
        
        if ack2eight4process is True:
    
            if ack2eight4start is True:
    
                if ack2eight4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE EIGHT  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 655F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2EIGHT15004XI FROM QUEUE EIGHT: ", queue2eight)
                        # 
                                    
                    fire2eight15004xi = queue2eight.get()
                    if fire2eight15004xi is None:
                        fire2eight15004xi = shot2eight15004xi
                        print("\n (STEP 655F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE EIGHT: ", queue2eight, " - SET FIRE2EIGHT15004XI TO SHOT2EIGHT15004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 655F3/800) OF COLOR_TENSES4XI -  FIRE2EIGHT15004XI: ", fire2eight15004xi) 
                        # FIRE2EIGHT15004XI:  {1: '-100x-1004y-1109z', 2: '-1027x-1092y0z', 3: '-1028x-601y-911z', 4: '-1038x-772y-758z' ...
                        
                else:
                    print("\n (STEP 655F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
            else:
                print("\n (STEP 655F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
        else:
            print("\n (STEP 655F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
                   
    
            
        #=========
        # 1600 EIGHT
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2eight16004xi = {}
        
        if ack2eight4process is True:
    
            if ack2eight4start is True:
    
                if ack2eight4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE EIGHT  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 656F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2EIGHT16004XI FROM QUEUE EIGHT: ", queue2eight)
                        # 
                                     
                    fire2eight16004xi = queue2eight.get() 
                    if fire2eight16004xi is None:
                        fire2eight16004xi = shot2eight16004xi
                        print("\n (STEP 656F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE EIGHT: ", queue2eight, " - SET FIRE2EIGHT1600 4XI TO SHOT2EIGHT1600 4XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 656F3/800) OF COLOR_TENSES4XI -  FIRE2EIGHT16004XI: ", fire2eight16004xi) 
                        # FIRE2EIGHT16004XI:  {1: '-1003x-924y-836z', 2: '-1008x-740y-997z', 3: '-101x-297y-1568z', 4: '-1033x-1220y-15z' ...
                        
                else:
                    print("\n (STEP 656F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
            else:
                print("\n (STEP 656F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
        else:
            print("\n (STEP 656F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
                   
    
            
        #=========
        # 1700 EIGHT
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2eight17004xi = {}
        
        if ack2eight4process is True:
    
            if ack2eight4start is True:
    
                if ack2eight4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE EIGHT  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 657F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2EIGHT17004XI FROM QUEUE EIGHT: ", queue2eight)
                        # 
                                    
                    fire2eight17004xi = queue2eight.get()
                    if fire2eight17004xi is None:
                        fire2eight17004xi = shot2eight17004xi
                        print("\n (STEP 657F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE EIGHT: ", queue2eight, " - SET FIRE2EIGHT17004XI TO SHOT2EIGHT17004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 657F3/800) OF COLOR_TENSES4XI -  FIRE2EIGHT17004XI: ", fire2eight17004xi) 
                        # FIRE2EIGHT17004XI:  {1: '-1006x-1030y-902z', 2: '-1020x-835y-1072z', 3: '-1028x-1352y-33z', 4: '-1066x-982y-888z' ...
                        
                else:
                    print("\n (STEP 657F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
            else:
                print("\n (STEP 657F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
        else:
            print("\n (STEP 657F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
                   
    
            
        #=========
        # 1800 EIGHT
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2eight18004xi = {}
        
        if ack2eight4process is True:
    
            if ack2eight4start is True:
    
                if ack2eight4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE EIGHT  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 658F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2EIGHT18004XI FROM QUEUE EIGHT: ", queue2eight)
                        # 
                                    
                    fire2eight18004xi = queue2eight.get()
                    if fire2eight18004xi is None:
                        fire2eight18004xi = shot2eight18004xi
                        print("\n (STEP 658F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE EIGHT: ", queue2eight, " - SET FIRE2EIGHT18004XI TO SHOT2EIGHT18004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 658F3/800) OF COLOR_TENSES4XI -  FIRE2EIGHT18004XI: ", fire2eight18004xi) 
                        # FIRE2EIGHT18004XI:  {1: '-1001x-1137y-971z', 2: '-1012x-1487y-53z', 3: '-1024x-932y-1149z', 4: '-1066x-1090y-955z' ...
                        
                else:
                    print("\n (STEP 658F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
            else:
                print("\n (STEP 658F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
        else:
            print("\n (STEP 658F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
                   
    
            
        #=========
        # 1900 EIGHT
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2eight19004xi = {}
        
        if ack2eight4process is True:
    
            if ack2eight4start is True:
    
                if ack2eight4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE EIGHT  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 659F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2EIGHT19004XI FROM QUEUE EIGHT: ", queue2eight)
                        # 
                                    
                    fire2eight19004xi = queue2eight.get()
                    if fire2eight19004xi is None:
                        fire2eight19004xi = shot2eight19004xi
                        print("\n (STEP 659F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE EIGHT: ", queue2eight, " - SET FIRE2EIGHT19004XI TO SHOT2EIGHT19004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 659F3/800) OF COLOR_TENSES4XI -  FIRE2EIGHT19004XI: ", fire2eight19004xi) 
                        # FIRE2EIGHT19004XI:  {1: '-1019x-1030y-1228z', 2: '-104x-626y-1790z', 3: '-1056x-1200y-1025z', 4: '-1069x-1569y-56z' ...
                        
                else:
                    print("\n (STEP 659F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
            else:
                print("\n (STEP 659F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
        else:
            print("\n (STEP 659F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
                   
          
    
            
        #=========
        # 2000 EIGHT
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2eight20004xi = {}
        
        if ack2eight4process is True:
    
            if ack2eight4start is True:
    
                if ack2eight4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE EIGHT  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 660F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2EIGHT20004XI FROM QUEUE EIGHT: ", queue2eight)
                        # 
                                    
                    fire2eight20004xi = queue2eight.get()
                    if fire2eight20004xi is None:
                        fire2eight20004xi = shot2eight20004xi
                        print("\n (STEP 660F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE EIGHT: ", queue2eight, " - SET FIRE2EIGHT20004XI TO SHOT2EIGHT20004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 660F3/800) OF COLOR_TENSES4XI -  FIRE2EIGHT20004XI: ", fire2eight20004xi) 
                        # FIRE2EIGHT20004XI:  {1: '-1006x-1129y-1307z', 2: '-1029x-267y-1693z', 3: '-102x-359y-1964z', 4: '-1036x-1708y-79z' ...
                        
                else:
                    print("\n (STEP 660F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
            else:
                print("\n (STEP 660F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
        else:
            print("\n (STEP 660F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
                   
    
            
        #=========
        # 2100 EIGHT
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2eight21004xi = {}
        
        if ack2eight4process is True:
    
            if ack2eight4start is True:
    
                if ack2eight4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE EIGHT  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 661F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2EIGHT21004XI FROM QUEUE EIGHT: ", queue2eight)
                        # 
                                    
                    fire2eight21004xi = queue2eight.get()
                    if fire2eight21004xi is None:
                        fire2eight21004xi = shot2eight21004xi
                        print("\n (STEP 661F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE EIGHT: ", queue2eight, " - SET FIRE2EIGHT21004XI TO SHOT2EIGHT21004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 661F3/800) OF COLOR_TENSES4XI -  FIRE2EIGHT21004XI: ", fire2eight21004xi) 
                        # FIRE2EIGHT21004XI:  {1: '-1009x-1423y-1168z', 2: '-1012x-380y-1800z', 3: '-1048x-331y-1789z', 4: '-1056x-1186y-1373z' ...
                        
                else:
                    print("\n (STEP 661F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
            else:
                print("\n (STEP 661F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
        else:
            print("\n (STEP 661F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
                   
    
            
        #=========
        # 2200 EIGHT
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2eight22004xi = {}
        
        if ack2eight4process is True:
    
            if ack2eight4start is True:
    
                if ack2eight4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE EIGHT  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 662F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2EIGHT22004XI FROM QUEUE EIGHT: ", queue2eight)
                        # 
                    
                    fire2eight22004xi = queue2eight.get()
                    if fire2eight22004xi is None:
                        fire2eight22004xi = shot2eight22004xi
                        print("\n (STEP 662F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE EIGHT: ", queue2eight, " - SET FIRE2EIGHT22004XI TO SHOT2EIGHT22004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 662F3/800) OF COLOR_TENSES4XI -  FIRE2EIGHT22004XI: ", fire2eight22004xi) 
                        # FIRE2EIGHT22004XI:  {1: '-1020x-445y-1897z', 2: '-1031x-1287y-1455z', 3: '-1040x-1935y-109z', 4: '-1057x-1491y-1223z' ...
                        
                else:
                    print("\n (STEP 662F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
            else:
                print("\n (STEP 662F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
        else:
            print("\n (STEP 662F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
                   
    
            
        #=========
        # 2300 EIGHT
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2eight23004xi = {}
        
        if ack2eight4process is True:
    
            if ack2eight4start is True:
    
                if ack2eight4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE EIGHT  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 663F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2EIGHT23004XI FROM QUEUE EIGHT: ", queue2eight)
                        # 
                                    
                    fire2eight23004xi = queue2eight.get()
                    if fire2eight23004xi is None:
                        fire2eight23004xi = shot2eight23004xi
                        print("\n (STEP 663F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE EIGHT: ", queue2eight, " - SET FIRE2EIGHT23004XI TO SHOT2EIGHT23004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 663F3/800) OF COLOR_TENSES4XI -  FIRE2EIGHT23004XI: ", fire2eight23004xi) 
                        # FIRE2EIGHT23004XI:  {1: '-1015x-1603y-1298z', 2: '-1023x-512y-1994z', 3: '-1067x-465y-1983z', 4: '-1078x-1346y-1521z' ...
                        
                else:
                    print("\n (STEP 663F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
            else:
                print("\n (STEP 663F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
        else:
            print("\n (STEP 663F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
                   
    
            
        #=========
        # 2400 EIGHT
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2eight24004xi = {}
        
        if ack2eight4process is True:
    
            if ack2eight4start is True:
    
                if ack2eight4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE EIGHT  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 664F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2EIGHT24004XI FROM QUEUE EIGHT: ", queue2eight)
                        # 
                                    
                    fire2eight24004xi = queue2eight.get()
                    
                    if fire2eight24004xi is None:
                        fire2eight24004xi = shot2eight24004xi
                        print("\n (STEP 664F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE EIGHT: ", queue2eight, " - SET FIRE2EIGHT24004XI TO SHOT2EIGHT24004XI ", time4xi())  
                        #     
                    if ack2debug is True:
                        print("\n (STEP 664F3/800) OF COLOR_TENSES4XI -  FIRE2EIGHT24004XI: ", fire2eight24004xi) 
                        # FIRE2EIGHT24004XI:  {1: '-1020x-579y-2093z', 2: '-1022x-2166y-143z', 3: '-1040x-1448y-1605z', 4: '-1060x-1673y-1354z' ...
                        
                else:
                    print("\n (STEP 664F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
            else:
                print("\n (STEP 664F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
        else:
            print("\n (STEP 664F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
                   
    
            
        #=========
        # 2500 EIGHT
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2eight25004xi = {}
        
        if ack2eight4process is True:
    
            if ack2eight4start is True:
    
                if ack2eight4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE EIGHT  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 665F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2EIGHT25004XI FROM QUEUE EIGHT: ", queue2eight)
                        # 
                                    
                    fire2eight25004xi = queue2eight.get()
                    
                    if fire2eight25004xi is None:
                        fire2eight25004xi = shot2eight25004xi
                        print("\n (STEP 665F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE EIGHT: ", queue2eight, " - SET FIRE2EIGHT25004XI TO SHOT2EIGHT25004XI ", time4xi())  
                        #     
                    if ack2debug is True:
                        print("\n (STEP 665F3/800) OF COLOR_TENSES4XI -  FIRE2EIGHT25004XI: ", fire2eight25004xi) 
                        # FIRE2EIGHT25004XI:  {1: '-1004x-1786y-1431z', 2: '-1010x-90y-2284z', 3: '-1011x-646y-2192z', 4: '-1063x-603y-2180z' ...
                        
                else:
                    print("\n (STEP 665F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
            else:
                print("\n (STEP 665F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
        else:
            print("\n (STEP 665F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
                   
    
            
        #=========
        # 2600 EIGHT
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2eight26004xi = {}
        
        if ack2eight4process is True:
    
            if ack2eight4start is True:
    
                if ack2eight4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE EIGHT  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 666F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2EIGHT26004XI FROM QUEUE EIGHT: ", queue2eight)
                        # 
                                    
                    fire2eight26004xi = queue2eight.get()
                    
                    if fire2eight26004xi is None:
                        fire2eight26004xi = shot2eight26004xi
                        print("\n (STEP 666F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE EIGHT: ", queue2eight, " - SET FIRE2EIGHT26004XI TO SHOT2EIGHT26004XI ", time4xi())  
                        #  
                    if ack2debug is True:
                        print("\n (STEP 666F3/800) OF COLOR_TENSES4XI -  FIRE2EIGHT26004XI: ", fire2eight26004xi) 
                        # FIRE2EIGHT26004XI:  {1: '-1021x-145y-2386z', 2: '-102x-448y-2558z', 3: '-1034x-1611y-1758z', 4: '-1044x-1857y-1489z' ...
                        
                else:
                    print("\n (STEP 666F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
            else:
                print("\n (STEP 666F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
        else:
            print("\n (STEP 666F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
                   
    
            
        #=========
        # 2700 EIGHT
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2eight27004xi = {}
        
        if ack2eight4process is True:
    
            if ack2eight4start is True:
    
                if ack2eight4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE EIGHT  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 667F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2EIGHT27004XI FROM QUEUE EIGHT: ", queue2eight)
                        # 
                                    
                    fire2eight27004xi = queue2eight.get()
                    
                    if fire2eight27004xi is None:
                        fire2eight27004xi = shot2eight27004xi
                        print("\n (STEP 667F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE EIGHT: ", queue2eight, " - SET FIRE2EIGHT27004XI TO SHOT2EIGHT27004XI ", time4xi())  
                        # 
                    if ack2debug is True:
                        print("\n (STEP 667F3/800) OF COLOR_TENSES4XI -  FIRE2EIGHT27004XI: ", fire2eight27004xi) 
                        # FIRE2EIGHT27004XI:  {1: '-101x-904y-2648z', 2: '-1020x-2492y-188z', 3: '-1026x-202y-2488z', 4: '-1035x-740y-2381z' ...
                        
                else:
                    print("\n (STEP 667F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
            else:
                print("\n (STEP 667F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
        else:
            print("\n (STEP 667F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
                   
    
            
        #=========
        # 2800 EIGHT
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2eight28004xi = {}
        
        if ack2eight4process is True:
    
            if ack2eight4start is True:
    
                if ack2eight4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE EIGHT  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 668F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2EIGHT28004XI FROM QUEUE EIGHT: ", queue2eight)
                        # 
                                    
                    fire2eight28004xi = queue2eight.get()
                    
                    if fire2eight28004xi is None:
                        fire2eight28004xi = shot2eight28004xi
                        print("\n (STEP 668F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE EIGHT: ", queue2eight, " - SET FIRE2EIGHT28004XI TO SHOT2EIGHT28004XI ", time4xi())  
                        # 
                    if ack2debug is True:
                        print("\n (STEP 668F3/800) OF COLOR_TENSES4XI -  FIRE2EIGHT28004XI: ", fire2eight28004xi) 
                        # FIRE2EIGHT28004XI:  {1: '-1011x-2042y-1626z', 2: '-1012x-1774y-1914z', 3: '-1012x-807y-2482z', 4: '-1027x-258y-2591z' ...
                        
                else:
                    print("\n (STEP 668F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
            else:
                print("\n (STEP 668F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
        else:
            print("\n (STEP 668F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
                   
    
            
        #=========
        # 2900 EIGHT
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2eight29004xi = {}
        
        if ack2eight4process is True:
    
            if ack2eight4start is True:
    
                if ack2eight4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE EIGHT  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 669F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2EIGHT29004XI FROM QUEUE EIGHT: ", queue2eight)
                        # 
                                    
                    fire2eight29004xi = queue2eight.get()
                    if fire2eight29004xi is None:
                        fire2eight29004xi = shot2eight29004xi
                        print("\n (STEP 669F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE EIGHT: ", queue2eight, " - SET FIRE2EIGHT29004XI TO SHOT2EIGHT29004XI ", time4xi())  
                        #                     
                    if ack2debug is True:
                        print("\n (STEP 669F3/800) OF COLOR_TENSES4XI -  FIRE2EIGHT29004XI: ", fire2eight29004xi) 
                        # FIRE2EIGHT29004XI:  {1: '-1022x-315y-2695z', 2: '-1047x-2115y-1684z', 3: '-1048x-1838y-1982z', 4: '-1048x-836y-2571z' ...
                        
                else:
                    print("\n (STEP 669F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
            else:
                print("\n (STEP 669F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
        else:
            print("\n (STEP 669F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
                   
    
            
        #=========
        # 3000 EIGHT
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2eight30004xi = {}
        
        if ack2eight4process is True:
    
            if ack2eight4start is True:
    
                if ack2eight4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE EIGHT  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 670F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2EIGHT30004XI FROM QUEUE EIGHT: ", queue2eight)
                        # 
                    
                    fire2eight30004xi = queue2eight.get()
                    if fire2eight30004xi is None:
                        fire2eight30004xi = shot2eight30004xi
                        print("\n (STEP 670F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE EIGHT: ", queue2eight, " - SET FIRE2EIGHT30004XI TO SHOT2EIGHT30004XI ", time4xi())  
                        #                      
                    if ack2debug is True:
                        print("\n (STEP 670F3/800) OF COLOR_TENSES4XI -  FIRE2EIGHT30004XI: ", fire2eight30004xi) 
                        # FIRE2EIGHT30004XI:  {1: '-1013x-371y-2799z', 2: '-1018x-903y-2673z', 3: '-1058x-326y-2788z', 4: '-1083x-2188y-1742z' ...
                        
                else:
                    print("\n (STEP 670F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
            else:
                print("\n (STEP 670F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
        else:
            print("\n (STEP 670F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
                   
    
            
        #=========
        # 3100 EIGHT
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2eight31004xi = {}
        
        if ack2eight4process is True:
    
            if ack2eight4start is True:
    
                if ack2eight4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE EIGHT  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 671F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2EIGHT31004XI FROM QUEUE EIGHT: ", queue2eight) 
                        # 
                                    
                    fire2eight31004xi = queue2eight.get()
                    if fire2eight31004xi is None:
                        fire2eight31004xi = shot2eight31004xi
                        print("\n (STEP 671F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE EIGHT: ", queue2eight, " - SET FIRE2EIGHT31004XI TO SHOT2EIGHT31004XI ", time4xi())  
                        #                 
                    if ack2debug is True:
                        print("\n (STEP 671F3/800) OF COLOR_TENSES4XI -  FIRE2EIGHT31004XI: ", fire2eight31004xi) 
                        # FIRE2EIGHT31004XI:  {1: '-1006x-2002y-2141z', 2: '-1019x-2917y-247z', 3: '-1047x-383y-2892z', 4: '-1052x-933y-2762z' ...
                        
                else:
                    print("\n (STEP 671F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
            else:
                print("\n (STEP 671F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
        else:
            print("\n (STEP 671F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
                   
    
            
        #=========
        # 3200 EIGHT
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2eight32004xi = {}
        
        if ack2eight4process is True:
    
            if ack2eight4start is True:
    
                if ack2eight4run is True:
        
                    # -------------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE EIGHT  WHERE TARGET PUT IT
                    # -------------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 672F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2EIGHT32004XI FROM QUEUE EIGHT: ", queue2eight)
                                        # 
                    fire2eight32004xi = queue2eight.get()
                    if fire2eight32004xi is None:
                        fire2eight32004xi = shot2eight32004xi
                        print("\n (STEP 673F2/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE EIGHT: ", queue2eight, " - SET FIRE2EIGHT32004XI TO SHOT2EIGHT32004XI ", time4xi())  
                        # 
                                                
                    if ack2debug is True:
                        print("\n (STEP 672F3/800) OF COLOR_TENSES4XI - FIRE2EIGHT32004XI: ", fire2eight32004xi) 
                        # FIRE2EIGHT32004XI:  {1: '-100x-2126y-2388z', 2: '-100x-2445y-2061z', 3: '-1013x-998y-2866z', 4: '-1024x-2374y-1884z', 5: '-1031x-440y-2997z', 6: '-1039x-2066y-2211z', 7: '-1052x-3011y-255z', 8: '-1080x-396y-2985z', 9: '-1086x-963y-2851z', 10: '-1128x-347y-2974z', 11: '-1156x-2334y-1858z', 12: '-1157x-2028y-2187z', 13: '-1157x-923y-2836z', 14: '-1174x-295y-2962z', 15: '-119x-1065y-3120z', 16: '-1209x-2954y-223z', 17: '-1216x-239y-2949z', 18: '-1227x-877y-2822z', 19: '-1256x-179y-2937z', 20: '-126x-552y-3149z', 21: '-1273x-1983y-2164z', 22: '-1285x-2286y-1832z', 23: '-1293x-116y-2924z', 24: '-1295x-827y-2806z', 25: '-1360x-772y-2791z', 26: '-1362x-2888y-191z', 27: '-1387x-1931y-2140z', 28: '-1413x-2231y-1806z', 29: '-1424x-712y-2775z', 30: '-1485x-648y-2759z', 31: '-1500x-1872y-2116z', 32: '-1513x-2815y-159z', 33: '-1538x-2168y-1779z', 34: '-1542x-579y-2743z', 35: '-1596x-505y-2726z', 36: '-1610x-1807y-2092z', 37: '-163x-575y-3143z', 38: '-1647x-428y-2709z', 39: '-1659x-2733y-127z', 40: '-1660x-2099y-1753z', 41: '-1717x-1735y-2068z', 42: '-175x-1055y-3015z', 43: '-1780x-2022y-1726z', 44: '-1800x-2643y-95z', 45: '-1821x-1657y-2043z', 46: '-1895x-1938y-1699z', 47: '-1921x-1572y-2019z', 48: '-1936x-2546y-63z', 49: '-2006x-1848y-1672z', 50: '-2016x-1481y-1994z', 51: '-203x-595y-3137z', 52: '-2067x-2441y-31z', 53: '-2108x-1384y-1969z', 54: '-2113x-1751y-1644z', 55: '-213x-2142y-2367z', 56: '-2192x-2330y0z', 57: '-2194x-1282y-1943z', 58: '-2215x-1648y-1617z', 59: '-2276x-1174y-1918z', 60: '-230x-2457y-2036z', 61: '-2311x-1538y-1589z', 62: '-2351x-1061y-1892z', 63: '-235x-3164y-414z', 64: '-236x-1074y-3004z', 65: '-2402x-1423y-1561z', 66: '-2421x-944y-1866z', 67: '-246x-613y-3131z', 68: '-2485x-821y-1840z', 69: '-2487x-1303y-1533z', 70: '-2542x-695y-1814z', 71: '-2566x-1177y-1505z', 72: '-2593x-565y-1787z', 73: '-2636x-431y-1761z', 74: '-2638x-1047y-1477z', 75: '-2672x-295y-1734z', 76: '-2703x-912y-1448z', 77: '-2761x-773y-1420z', 78: '-2811x-631y-1391z', 79: '-291x-627y-3124z', 80: '-300x-1089y-2993z', 81: '-31x-470y-3165z', 82: '-329x-2151y-2345z', 83: '-338x-639y-3117z', 84: '-361x-2462y-2011z', 85: '-366x-1100y-2982z', 86: '-387x-647y-3109z', 87: '-401x-3151y-382z', 88: '-434x-1107y-2970z', 89: '-437x-652y-3102z', 90: '-446x-2154y-2323z', 91: '-489x-653y-3094z', 92: '-493x-2459y-1986z', 93: '-504x-1110y-2958z', 94: '-543x-650y-3085z', 95: '-564x-2150y-2301z', 96: '-566x-3129y-350z', 97: '-575x-1108y-2946z', 98: '-597x-643y-3077z', 99: '-60x-499y-3160z', 100: '-626x-2449y-1961z', 101: '-647x-1102y-2933z', 102: '-652x-632y-3068z', 103: '-682x-2139y-2279z', 104: '-69x-3167y-446z', 105: '-6x-440y-3169z', 106: '-707x-618y-3058z', 107: '-720x-1091y-2920z', 108: '-730x-3099y-319z', 109: '-759x-2431y-1936z', 110: '-763x-599y-3049z', 111: '-793x-1075y-2907z', 112: '-801x-2122y-2256z', 113: '-818x-575y-3039z', 114: '-867x-1054y-2893z', 115: '-872x-548y-3029z', 116: '-892x-2406y-1910z', 117: '-892x-3059y-287z', 118: '-91x-527y-3154z', 119: '-920x-2097y-2234z', 120: '-926x-516y-3018z', 121: '-940x-1029y-2880z', 122: '-979x-480y-3008z'}
     
                      
                else:
                    print("\n (STEP 672F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
            else:
                print("\n (STEP 672F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
        else:
            print("\n (STEP 672F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
                   
    
            
        #=========
        # 3300 EIGHT
        #=========
        
        # =============================================================================================   
        # GET COORDINATE DICTIONARY FROM QUEUE 
        # =============================================================================================  
        fire2eight33004xi = {}
        
        if ack2eight4process is True:
    
            if ack2eight4start is True: 
    
                if ack2eight4run is True:
        
                    # -----------------------------------------------------------------------------------------    
                    # 1 - GET COORDINATE DICTIONARY FROM QUEUE EIGHT  WHERE TARGET PUT IT
                    # -----------------------------------------------------------------------------------------     
                    if ack2debug is True:
                        print("\n (STEP 673F1/800) OF COLOR_TENSES4XI - TRYING TO GET FIRE2EIGHT33004XI FROM QUEUE EIGHT: ", queue2eight)   
                                        # 
                    fire2eight33004xi = queue2eight.get()
                    if fire2eight33004xi is None:
                        print("\n (STEP 674F3/800) OF COLOR_TENSES4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE EIGHT: ", queue2eight, " - SET FIRE2EIGHT33004XI TO SHOT2EIGHT33004XI ", time4xi())
                        fire2eight33004xi = shot2eight33004xi
    
                    if ack2debug is True:
                        print("\n (STEP 673F2/800) OF COLOR_TENSES4XI -  FIRE2EIGHT33004XI: ", fire2eight33004xi) 
                        # FIRE2EIGHT33004XI:  {1: '-1010x-495y-3102z', 2: '-103x-2193y-2463z', 3: '-103x-2522y-2125z', 4: '-1045x-1030y-2955z' ...            
                else:
                    print("\n (STEP 673F4/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
            else:
                print("\n (STEP 673F5/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
        else:
            print("\n (STEP 673F6/800) OF COLOR_TENSES4XI ** SKIPPED GETTING COORDINATE DICTIONARY FROM QUEUE EIGHT - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
                   
                
        # =========================================================================================================   
        # II/VIII EOF - EIGHT DIRECTION LAYERS 10, 100 ...3300 QUEUE EIGHT DIRECTORIES 
        # =========================================================================================================  
        if ack2debug is True:
            print("\n (STEP 673F7/800) OF COLOR_TENSES4XI - DONE TRIALS TO GET EIGHT DIRECTION LAYERS 10, 100 ...3300 QUEUE EIGHT DIRECTORIES ", time4xi())
            # FIRE2EIGHT33004XI:  {1: '-1010x-495y-3102z', 2: '-103x-2193y-2463z', 3: '-103x-2522y-2125z', 4: '-1045x-1030y-2955z' ...
            # 06:15:20 02/06/13 Pacific Standard Time 
            
    # =========================================================================================================   
    # 
    # =========================================================================================================             
    if ack2debug is True:
        print("\n (STEP 700/800) OF COLOR_TENSES4XI - DONE TRIALS TO RECEIVE ACK ABOUT PUT AND TO GET FROM LAYERS 10, 100 ...3300 OF REQUIRED DIRECTIONS ", time4xi())
        # 04:23:00 02/05/13 Pacific Standard Time
        keys2direction = DirectionKB4Xi.keys()
        for key2direction in keys2direction:
            if key2direction > 0:
                print(key2direction, ': ',DirectionKB4Xi[key2direction])   
                # 1 :  True
                # 2 :  True
                # 3 :  True
                # 4 :  True
                # 5 :  True
                # 6 :  True
                # 7 :  True
                # 8 :  True    
    skip2alphaorder = False   # <-- JATKA True
    if skip2alphaorder is True:
        if ack2debug is True:
            print("\n (STEP 701/800) OF COLOR_TENSES4XI - SKIPPING VERB KNOWLEDGEBASE IN ALPHABETIC ORDER ", time4xi())
            # 04:23:00 02/05/13 Pacific Standard Time
    else:
        # =========================================================================================================  
        # GO THROUGH VERB KNOWLEDGEBASE IN ALPHABETIC ORDER
        # =========================================================================================================   
        if ack2debug is True:
            print('=' *70)
            print("\n JATKA (STEP 1A/21) OF COLOR-TENSES4XI - STARTING TO GO THROUGH VERB KNOWLEDGEBASE IN ALPHABETIC ORDER ", time4xi())  
            # 03:12:16 02/06/13 Pacific Standard Time
            print('=' *70)
        try:                
            for key2alpha in sorted(keys2alpha):                             # '_', 'a', 'b' ....                            
                
                count2alpha = count2alpha + 1
                        
                # -------------------------------------------------------------------------------------
                # (STEP 1/21) - PROCESS EACH ALPHA-CLUSTER OF VERB - 'a', 'b' .... 
                # ------------------------------------------------------------------------------------- 
                  
                keys2verb = VerbKB4Xi[key2alpha].keys()                      # zero, zeroed, zeroing ... color-zero, color-zeroed, color-zeroing ...
                if ack2debug is True:                                        # hit
                    print('(STEP 1B/21) OF COLOR-TENSES4XI - KEYS2VERB: ', keys2verb)   
                
                key2accept = None
                   
                for key2verb in keys2verb:
                 
                    # ---------------------------------------------------------------------------------                                   
                    # (STEP 2/21) - PROCESS EACH VERB TENSE 
                    # ---------------------------------------------------------------------------------
                                
                    if ack2debug is True:
                        print('(STEP 2/21) OF COLOR-TENSES4XI - KEY2VERB: ', key2verb)            # done, born                      
        
                    count2key = count2key + 1
                    
                
                    i_xi2=str.find(key2verb,'color-')                        # color-zero, color-zeroed, color-zeroing ...
                    if i_xi2 == -1:                                          # not a color key
                    
                        # -----------------------------------------------------------------------------
                        # (STEP 3/21) NOT A COLOR ATTRIBUTE
                        # -----------------------------------------------------------------------------
                        if ack2debug is True:
                            print('(STEP 3/21) OF COLOR-TENSES4XI - SKIPPED KEY2VERB: ', key2verb) # wrap, wrapped, wrapping, reference-wraped, definition-wrap, symbol-wraping, cluster-wraped ... 
                        pass
        
                    else:
                        # -----------------------------------------------------------------------------
                        # (STEP 6/21) KEY IS A COLOR ATTRIBUTE               
                        # ----------------------------------------------------------------------------- 
                        if ack2debug is True:
                            print('(STEP 4A/21) OF COLOR-TENSES4XI - A GRAPH ATTRIBUTE: ', key2verb)    # color-start, color-started, color-starting ...  
                        
                        key2color = key2verb[i_xi2+6:]                            # start, started, starting    
                        try:
                            Colors2Verbs[key2color] = VerbKB4Xi[key2alpha] [key2verb] # #6EA637, #93BD68, #63A223 
                            if ack2debug is True:
                                print('(STEP 4B/21) OF COLOR-TENSES4XI - COLORS2VERBS[', key2color, '] = ', VerbKB4Xi[key2alpha] [key2verb])    # color-start, color-started, color-starting ...                 
                        except:
                            print('(STEP 4C/21) *** FAILED WITH KEY2COLOR: ', key2color, ' KEY2ALPHA = ', key2alpha, ' KEY2VERB = ', key2verb)                                                  
        except:
            print('=' *70)
            print("\n (STEP 1Z/21) OF COLOR-TENSES4XI *** FAILED TO GO THROUGH VERB KNOWLEDGEBASE IN ALPHABETIC ORDER ", time4xi())  
            print('=' *70)
                             
        # -----------------------------------------------------------------------------------------
        # (STEP 5/21) 
        # ----------------------------------------------------------------------------------------- 
        if ack2debug is True:
        
            # -------------------------------------------------------------------------------------
            # PRINT COLOR OF EACH VERB TENSE
            # -------------------------------------------------------------------------------------     
            print('=' *70)        
            print('(STEP 5A/21) OF COLOR-TENSES4XI - CREATED COLORS2VERBS: ', time4xi())  
            
            keys2colors = Colors2Verbs.keys() 
            
            
            for key2color in sorted(keys2colors): 
                 
    
                print(key2color, ' : ', Colors2Verbs[key2color])
                
                #  bear  :  #FDFD44
                #  born  :  #656542
                #  borned  :  #848451
                #  borning  :  #F7F745 
                           
                #  did  :  #7B7BB7
                #  discard  :  #953B3B
                #  discarded  :  #DF8686
                #  discarding  :  #B24040
                #  disconnect  :  #CB2F7D
                #  disconnected  :  #E49ABF
                #  disconnecting  :  #C7357E
                #  discover  :  #EEA24B
                #  discovered  :  #F5DEC5
                #  discovering  :  #EC9531
                #  dispatch  :  #34608B
                #  dispatched  :  #7A8FA4
                #  dispatching  :  #1F65AC
                #  do  :  #DF0101
                #  doing  :  #3232BA
                #  done  :  #C0C0D8
                # ...
                #  yield  :  #DF0101
                #  yielded  :  #E82121
                #  yielding  :  #DA0D0D
        
    # -------------------------------------------------------------------------------------
    # RETURN VERB TENSE COLOR DICTIONARY
    # ------------------------------------------------------------------------------------- 
    if ack2debug is True:        
        print('=' *70)        
        print('(STEP 5B/21) OF COLOR-TENSES4XI - RETURNING COLORS2VERBS ', time4xi())  
                         
    return Colors2Verbs
            
    
#</function4xi>
            
            
# -------------------------------------------------------------------------------------------------
#<function4xi function = "coordinate_tenses4xi" usage = "to coordinate tenses"> 
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------
def coordinate_tenses4xi(reason_file): 
    '''
    coordinate tenses of given reason-file                            
    '''
    # -----------------------------------------------------------------------------------------
    # Globals used 
    # -----------------------------------------------------------------------------------------    
    global ClusterColor4Xi
    global ClusterColorStatistics4Xi
    global ClusterKB4Xi    
    
    global load2one
    global load2two 
    global load2three 
    global load2four          
    global load2five
    global load2six 
    global load2seven 
    global load2eight    
    
    global Mavericks2Verbs
    
    global SuperClusterColor4Xi
    global SuperClusterColorStatistics4Xi
    
    global VerbKB4Xi
    # -----------------------------------------------------------------------------------------
    # order2cast - keeping track of the latest available (x,y,z)-coordinate order number (1...)
    # -----------------------------------------------------------------------------------------
    order2cast = {
        #========
        # ONE
        #======== 
        10:  1,             
        100: 1,
        101: 1,
        102: 1,
        103: 1,
        104: 1,
        105: 1,
        106: 1,
        107: 1,
        108: 1,
        109: 1,
        110: 1,
        111: 1,
        112: 1,
        113: 1,
        114: 1,
        115: 1,
        116: 1,
        117: 1,
        118: 1,
        119: 1,
        120: 1,
        121: 1,
        122: 1,
        123: 1,
        124: 1,
        125: 1,
        126: 1,
        127: 1,
        128: 1,
        129: 1,
        130: 1,
        131: 1,
        132: 1,
        133: 1,
        
        #========
        # TWO
        #======== 
        20:   1,             
        200:  1,
        201:  1,
        202:  1,
        203:  1,
        204:  1,
        205:  1,
        206:  1,
        207:  1,
        208:  1,
        209:  1,
        210:  1,
        211:  1,
        212:  1,
        213:  1,
        214:  1,
        215:  1,
        216:  1,
        217:  1,
        218:  1,
        219:  1,
        220:  1,
        221:  1,
        222:  1,
        223:  1,
        224:  1,
        225:  1,
        226:  1,
        227:  1,
        228:  1,
        229:  1,
        230:  1,
        231:  1,
        232:  1,
        233:  1,
        
        #========
        # THREE
        #======== 
        30:   1,             
        300:  1,
        301:  1,
        302:  1,
        303:  1,
        304:  1,
        305:  1,
        306:  1,
        307:  1,
        308:  1,
        309:  1,
        310:  1,
        311:  1,
        312:  1,
        313:  1,
        314:  1,
        315:  1,
        316:  1,
        317:  1,
        318:  1,
        319:  1,
        320:  1,
        321:  1,
        322:  1,
        323:  1,
        324:  1,
        325:  1,
        326:  1,
        327:  1,
        328:  1,
        329:  1,
        330:  1,
        331:  1,
        332:  1,
        333:  1,
        
        #========
        # FOUR
        #======== 
        40:   1,             
        400:  1,
        401:  1,
        402:  1,
        403:  1,
        404:  1,
        405:  1,
        406:  1,
        407:  1,
        408:  1,
        409:  1,
        410:  1,
        411:  1,
        412:  1,
        413:  1,
        414:  1,
        415:  1,
        416:  1,
        417:  1,
        418:  1,
        419:  1,
        420:  1,
        421:  1,
        422:  1,
        423:  1,
        424:  1,
        425:  1,
        426:  1,
        427:  1,
        428:  1,
        429:  1,
        430:  1,
        431:  1,
        432:  1,
        433:  1,
         
        #========
        # FIVE
        #======== 
        50:   1,             
        500:  1,
        501:  1,
        502:  1,
        503:  1,
        504:  1,
        505:  1,
        506:  1,
        507:  1,
        508:  1,
        509:  1,
        510:  1,
        511:  1,
        512:  1,
        513:  1,
        514:  1,
        515:  1,
        516:  1,
        517:  1,
        518:  1,
        519:  1,
        520:  1,
        521:  1,
        522:  1,
        523:  1,
        524:  1,
        525:  1,
        526:  1,
        527:  1,
        528:  1,
        529:  1,
        530:  1,
        531:  1,
        532:  1,
        533:  1,
        
        #========
        # SIX
        #========
        60:   1,              
        600:  1,
        601:  1,
        602:  1,
        603:  1,
        604:  1,
        605:  1,
        606:  1,
        607:  1,
        608:  1,
        609:  1,
        610:  1,
        611:  1,
        612:  1,
        613:  1,
        614:  1,
        615:  1,
        616:  1,
        617:  1,
        618:  1,
        619:  1,
        620:  1,
        621:  1,
        622:  1,
        623:  1,
        624:  1,
        625:  1,
        626:  1,
        627:  1,
        628:  1,
        629:  1,
        630:  1,
        631:  1,
        632:  1,
        633:  1,
         
        #========
        # SEVEN
        #======== 
        70:   1,             
        700:  1,
        701:  1,
        702:  1,
        703:  1,
        704:  1,
        705:  1,
        706:  1,
        707:  1,
        708:  1,
        709:  1,
        710:  1,
        711:  1,
        712:  1,
        713:  1,
        714:  1,
        715:  1,
        716:  1,
        717:  1,
        718:  1,
        719:  1,
        720:  1,
        721:  1,
        722:  1,
        723:  1,
        724:  1,
        725:  1,
        726:  1,
        727:  1,
        728:  1,
        729:  1,
        730:  1,
        731:  1,
        732:  1,
        733:  1,
         
        #========
        # EIGHT
        #========
        80:   1,              
        800:  1,
        801:  1,
        802:  1,
        803:  1,
        804:  1,
        805:  1,
        806:  1,
        807:  1,
        808:  1,
        809:  1,
        810:  1,
        811:  1,
        812:  1,
        813:  1,
        814:  1,
        815:  1,
        816:  1,
        817:  1,
        818:  1,
        819:  1,
        820:  1,
        821:  1,
        822:  1,
        823:  1,
        824:  1,
        825:  1,
        826:  1,
        827:  1,
        828:  1,
        829:  1,
        830:  1,
        831:  1,
        832:  1,
        833:  1}
                                                               
    # -----------------------------------------------------------------------------------------
    # (STEP 1A1/33) - INITIALIZE 
    # -----------------------------------------------------------------------------------------
    ack2debug = True 

    total2cluster = 0
    total2super = 0
                          
    keys2cluster = ClusterColorStatistics4Xi.keys()
    for key2cluster in sorted(keys2cluster):
        ClusterColorStatistics4Xi[key2cluster] = 0

    keys2super = SuperClusterColorStatistics4Xi.keys()
    for key2super in sorted(keys2super):
        SuperClusterColorStatistics4Xi[key2super] = 0
            
    # -----------------------------------------------------------------------------------------
    # (STEP 1A2/33) - INITIALIZE (X+,Y+,Z+) - COORDINATES FOR ONE 
    # -----------------------------------------------------------------------------------------
    if ack2debug is True:
        print('(STEP 1A2/33) OF COORDINATE_TENSES4XI - INITIALIZING (X+,Y+,Z+) COORDINATES ', time4xi())    
        # 01:02:29 02/05/13 Pacific Standard Time
    try:
        if load2one is True:
            if ack2debug is True:
                print('(STEP 15A21/33) OF COORDINATE_TENSES4XI - (X+,Y+,Z+) WITH LOAD2ONE4XI')        
                # 
            load2one4xi()
            if ack2debug is True:
                print('(STEP 15A22/33) OF COORDINATE_TENSES4XI - (X+,Y+,Z+) PERFORMED LOAD2ONE4XI')
                # 
        else:
            if ack2debug is True:
                print('(STEP 15A23/33) OF COORDINATE_TENSES4XI - (X+,Y+,Z+) WITH SHOOT2ONE4XI-RAM')
                # (X+,Y+,Z+) WITH SHOOT2ONE4XI-RAM
    except:
        print('(STEP 15A24/33) OF COORDINATE_TENSES4XI *** FAILED TO PERFORM LOAD2ONE4XI ***')    
    
            
    # -----------------------------------------------------------------------------------------
    # (STEP 1A3/33) - INITIALIZE (X+,Y-,Z-) - COORDINATES FOR TWO 
    # -----------------------------------------------------------------------------------------
      
    if ack2debug is True:
        print('(STEP 1A3/33) OF COORDINATE_TENSES4XI - INITIALIZING (X+,Y-,Z-) COORDINATES ', time4xi())   
        # 01:02:29 02/05/13 Pacific Standard Time
    try:
        if load2two is True:
            if ack2debug is True:
                print('(STEP 15A31/33) OF COORDINATE_TENSES4XI - (X+,Y-,Z-) WITH LOAD2TWO4XI')        
                # 
            load2two4xi()
            if ack2debug is True:
                print('(STEP 15A32/33) OF COORDINATE_TENSES4XI - (X+,Y-,Z-) PERFORMED LOAD2TWO4XI')
                # 
        else:
            if ack2debug is True:
                print('(STEP 15A33/33) OF COORDINATE_TENSES4XI - (X+,Y-,Z-) WITH SHOOT2TWO4XI-RAM')
                # (X+,Y-,Z-) WITH SHOOT2TWO4XI-RAM 
    except:
        print('(STEP 15A34/33) OF COORDINATE_TENSES4XI *** FAILED TO PERFORM LOAD2TWO4XI *** ', time4xi())    
    
            
    # -----------------------------------------------------------------------------------------
    # (STEP 1A4/33) - INITIALIZE (X+,Y+,Z-) - COORDINATES FOR THREE
    # -----------------------------------------------------------------------------------------
      
    if ack2debug is True:
        print('(STEP 1A4/33) OF COORDINATE_TENSES4XI - INITIALIZING (X+,Y-,Z-) COORDINATES ', time4xi())   
        # 01:02:29 02/05/13 Pacific Standard Time
    try:
        if load2three is True:
            if ack2debug is True:
                print('(STEP 15A41/33) OF COORDINATE_TENSES4XI - (X+,Y-,Z-) WITH LOAD2THREE4XI')        
                # 
            load2three4xi()
            if ack2debug is True:
                print('(STEP 15A42/33) OF COORDINATE_TENSES4XI - (X+,Y-,Z-) PERFORMED LOAD2THREE4XI')
                # 
        else:
            if ack2debug is True:
                print('(STEP 15A43/33) OF COORDINATE_TENSES4XI - (X+,Y-,Z-) WITH SHOOT2THREE4XI-RAM')
                # (X+,Y-,Z-) WITH SHOOT2THREE4XI-RAM
    except:
        print('(STEP 15A44/33) OF COORDINATE_TENSES4XI *** FAILED TO PERFORM LOAD2THREE4XI ***')    
                    
            
    # -----------------------------------------------------------------------------------------
    # (STEP 1A5/33) - INITIALIZE (X+,Y-,Z+) - COORDINATES FOR FOUR
    # -----------------------------------------------------------------------------------------
      
    if ack2debug is True:
        print('(STEP 1A5/33) OF COORDINATE_TENSES4XI - INITIALIZING (X+,Y-,Z+) COORDINATES ', time4xi())   
        # 01:02:29 02/05/13 Pacific Standard Time 
    try:
        if load2four is True:
            if ack2debug is True:
                print('(STEP 15A51/33) OF COORDINATE_TENSES4XI - (X+,Y-,Z+) WITH LOAD2FOUR4XI')        
                # 
            load2four4xi()
            if ack2debug is True:
                print('(STEP 15A52/33) OF COORDINATE_TENSES4XI - (X+,Y-,Z+) PERFORMED LOAD2FOUR4XI')
                # 
        else:
            if ack2debug is True:
                print('(STEP 15A53/33) OF COORDINATE_TENSES4XI - (X+,Y-,Z+) WITH SHOOT2FOUR4XI-RAM')
                # (X+,Y-,Z+) WITH SHOOT2FOUR4XI-RAM
    except:
        print('(STEP 15A54/33) OF COORDINATE_TENSES4XI *** FAILED TO PERFORM LOAD2FOUR4XI ***')    
                  
            
    # -----------------------------------------------------------------------------------------
    # (STEP 1A6/33) - INITIALIZE (X+,Y-,Z+) - COORDINATES FOR FIVE
    # -----------------------------------------------------------------------------------------
      
    if ack2debug is True:
        print('(STEP 1A6/33) OF COORDINATE_TENSES4XI - INITIALIZING (X+,Y-,Z+) COORDINATES ', time4xi())   
        # 01:02:29 02/05/13 Pacific Standard Time
    try:
        if load2five is True:
            if ack2debug is True:
                print('(STEP 15A61/33) OF COORDINATE_TENSES4XI - (X+,Y-,Z+) WITH LOAD2FIVE4XI')        
                # 
            load2five4xi()
            if ack2debug is True:
                print('(STEP 15A62/33) OF COORDINATE_TENSES4XI - (X+,Y-,Z+) PERFORMED LOAD2FIVE4XI')
                # 
        else:
            if ack2debug is True:
                print('(STEP 15A63/33) OF COORDINATE_TENSES4XI - (X+,Y-,Z+) WITH SHOOT2FIVE4XI-RAM')
                # (X+,Y-,Z+) WITH SHOOT2FIVE4XI-RAM
    except:
        print('(STEP 15A64/33) OF COORDINATE_TENSES4XI *** FAILED TO PERFORM LOAD2FIVE4XI ***')    

            
    # -----------------------------------------------------------------------------------------
    # (STEP 1A7/33) - INITIALIZE (X-,Y+,Z-) - COORDINATES FOR SIX
    # -----------------------------------------------------------------------------------------
      
    if ack2debug is True:
        print('(STEP 1A7/33) OF COORDINATE_TENSES4XI - INITIALIZING (X-,Y+,Z-) COORDINATES ', time4xi())   
        # 01:02:29 02/05/13 Pacific Standard Time
    try:
        if load2six is True:
            if ack2debug is True:
                print('(STEP 15A71/33) OF COORDINATE_TENSES4XI - (X-,Y+,Z-) WITH LOAD2SIX4XI')        
                # 
            load2six4xi()
            if ack2debug is True:
                print('(STEP 15A72/33) OF COORDINATE_TENSES4XI - (X-,Y+,Z-) PERFORMED LOAD2SIX4XI')
                # 
        else:
            if ack2debug is True:
                print('(STEP 15A73/33) OF COORDINATE_TENSES4XI - (X-,Y+,Z-) WITH SHOOT2SIX4XI-RAM')
                # (X-,Y+,Z-) WITH SHOOT2SIX4XI-RAM 
    except:
        print('(STEP 15A74/33) OF COORDINATE_TENSES4XI *** FAILED TO PERFORM LOAD2SIX4XI ***')    

            
    # -----------------------------------------------------------------------------------------
    # (STEP 1A8/33) - INITIALIZE (X-,Y-,Z+) - COORDINATES FOR SEVEN
    # -----------------------------------------------------------------------------------------
      
    if ack2debug is True:
        print('(STEP 1A8/33) OF COORDINATE_TENSES4XI - INITIALIZING (X-,Y-,Z+) COORDINATES ', time4xi())  
        # 01:02:29 02/05/13 Pacific Standard Time
    try:
        if load2seven is True:
            if ack2debug is True:
                print('(STEP 15A81/33) OF COORDINATE_TENSES4XI - (X-,Y-,Z+) WITH LOAD2SEVEN4XI')        
                # 
            load2seven4xi()
            if ack2debug is True:
                print('(STEP 15A82/33) OF COORDINATE_TENSES4XI - (X-,Y-,Z+) PERFORMED LOAD2SEVEN4XI')
                # 
        else:
            if ack2debug is True:
                print('(STEP 15A83/33) OF COORDINATE_TENSES4XI - (X-,Y-,Z+) WITH SHOOT2SEVEN4XI-RAM')
                # (X-,Y-,Z+) WITH SHOOT2SEVEN4XI-RAM
    except:
        print('(STEP 15A84/33) OF COORDINATE_TENSES4XI *** FAILED TO PERFORM LOAD2SEVEN4XI ***')    
      
            
    # -----------------------------------------------------------------------------------------
    # (STEP 1A9/33) - INITIALIZE (X-,Y-,Z-) - COORDINATES FOR EIGHT
    # -----------------------------------------------------------------------------------------
      
    if ack2debug is True:
        print('(STEP 1A9/33) OF COORDINATE_TENSES4XI - INITIALIZING (X-,Y-,Z-) COORDINATES ', time4xi())   
        # 01:02:29 02/05/13 Pacific Standard Time
    try:
        if load2eight is True:
            if ack2debug is True:
                print('(STEP 15A91/33) OF COORDINATE_TENSES4XI - (X-,Y-,Z-) WITH LOAD2EIGHT4XI')        
                # 
            load2eight4xi()
            if ack2debug is True:
                print('(STEP 15A92/33) OF COORDINATE_TENSES4XI - (X-,Y-,Z-) PERFORMED LOAD2EIGHT4XI')
                # 
        else:
            if ack2debug is True:
                print('(STEP 15A93/33) OF COORDINATE_TENSES4XI - (X-,Y-,Z-) WITH SHOOT2EIGHT4XI-RAM')
                # (X-,Y-,Z-) WITH SHOOT2EIGHT4XI-RAM
    except:
        print('(STEP 15A94/33) OF COORDINATE_TENSES4XI *** FAILED TO PERFORM LOAD2EIGHT4XI ***')    

      
                                      
            
    # -----------------------------------------------------------------------------------------
    # (STEP 1b/33) - PRINT INPUT XML-FILE 
    # -----------------------------------------------------------------------------------------        
    if ack2debug is True:                                        
        print('(STEP 1a/33) OF COORDINATE_TENSES4XI - PASSED REASON_FILE: ', reason_file)
        # ..//..//xml//reason-test-skeleton-print4xi.xml 
                                                      
    # -----------------------------------------------------------------------------------------
    # (STEP 2/33) - CHECK INPUT XML FILE
    # -----------------------------------------------------------------------------------------        
    
    name2xi = os.path.splitext(reason_file)
    if ack2debug is True:
        print ('(STEP 1b/33) OF COORDINATE_TENSES4XI - name2xi: ', name2xi)
        #('..//..//xml//reason-test-skeleton-print4xi', '.xml') 
        print ('(STEP 1c/33) OF COORDINATE_TENSES4XI - name2xi[0]: ', name2xi[0])
        # ..//..//xml//reason-test-skeleton-print4xi 
        print ('(STEP 1d/33) OF COORDINATE_TENSES4XI - name2xi[1]: ', name2xi[1])
        # .xml   
    if name2xi[1] == '.xml':
        if ack2debug is True:
            print('(STEP 2a/33) OF COORDINATE_TENSES4XI - ACCEPTED INPUT FILE AS XML-FILE: ', reason_file) 
            # ..//..//xml//reason-test-skeleton-print4xi.xml
    else:
        if ack2debug is True:
            print('(STEP 2b/33) OF COORDINATE_TENSES4XI - *** NON XML FILE PASSED TO COORDINATE_TENSES4XI: ', reason_file)
            # 
        return None                       
        
    # -----------------------------------------------------------------------------------------
    # (STEP 3/33) - OPEN INPUT XML-FILE
    # -----------------------------------------------------------------------------------------            
    
    try:
        input_fd2xi = open(reason_file)
        if ack2debug is True:                                        
            print('(STEP 3a/33) OF COORDINATE_TENSES4XI - OPENED INPUTFD2XI: ', input_fd2xi)
            # _io.TextIOWrapper name='..//..//xml//reason-test-skeleton-print4xi.xml' encoding='cp1252'>   
    except:
        print('(STEP 3b/33) OF COORDINATE_TENSES4XI - *** FAILED TO OPEN REASON_FILE: ', reason_file)
        return None           
        
        
    # -----------------------------------------------------------------------------------------
    # (STEP 4/33) - CREATE OUTPUT SCOPE XML-FILE
    # -----------------------------------------------------------------------------------------            
    i_xi2=str.find(reason_file,'reason-')                                                       # ..//..//xml//reason-test-skeleton-print4xi.xml 
                                                                     
    output_name2xi = 'scope-' + reason_file[i_xi2+0:]                                           # was +7 in the previous version                 

    if ack2debug is True:                                        
        print('(STEP 4a/33) OF COORDINATE_TENSES4XI - OUTPUT_NAME2XI: ', output_name2xi)        # scope-reason-test-skeleton-print4xi.xml           
    
    output_folder2xi = reason_file[0:i_xi2]                                                     # ..//..//xml//
    if ack2debug is True:                                        
        print('(STEP 4b/33) OF COORDINATE_TENSES4XI - OUTPUT_FOLDER2XI: ', output_folder2xi)               
            
    output_path2xi =  output_folder2xi + output_name2xi   
    if ack2debug is True:                                        
        print('(STEP 4c/33) OF COORDINATE_TENSES4XI - OUTPUT_PATH2XI: ', output_path2xi)        # ..//..//xml//scope-reason-test-skeleton-print4xi.xml            

    i2scope = str.find(output_name2xi,'scope-') 
    i2extension = str.find(output_name2xi,'.xml')
    galaxy2xi = output_name2xi[i2scope+6:i2extension]   
    if ack2debug is True:                                        
        print('(STEP 4d/33) OF COORDINATE_TENSES4XI - GALAXY2Xi: ', galaxy2xi)                  # test-skeleton-print4xi              
                
    # -----------------------------------------------------------------------------------------
    # 
    # -----------------------------------------------------------------------------------------            
    if ack2debug is True:                                        
        print('(STEP 5A/33) OF COORDINATE_TENSES4XI - TRYING TO PRODUCE SCOPE OUTPUT XML-FILE ', time4xi())
        # 01:41:44 02/05/13 Pacific Standard Time    
    try:
    
        # -------------------------------------------------------------------------------------
        # (STEP 5/33) - OPEN SCOPE OUTPUT XML-FILE
        # ------------------------------------------------------------------------------------- 
                 
        output_fd2xi=open(output_path2xi, 'w')    
        if ack2debug is True:                                        
            print('(STEP 5B/33) OF COORDINATE_TENSES4XI - OUTPUT_FD2XI: ', output_fd2xi)    
            # <_io.TextIOWrapper name='..//..//xml//scope-reason-test-skeleton-print4xi.xml' mode='w' encoding='cp1252'>
        f2xi = output_fd2xi    
        
    
        # -------------------------------------------------------------------------------------
        # (STEP 30/33) - CREATE XML HEADERS
        # ------------------------------------------------------------------------------------- 
            
        f2xi.write('<?xml version="1.0"?>\n')
        f2xi.write('<rdf:RDF\n')
        f2xi.write('   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"\n')
        f2xi.write('   xmlns:xsd="http://www.w3.org/2001/XMLSchema#"\n')
        f2xi.write('   xmlns:owl="http://www.w3.org/2002/07/owl#"\n')
        f2xi.write('   xmlns:rdfs="http://www.w3.org/2000/01/rdf-schema#"\n')
        
        namespace2xi = '   xmlns="http://www.yourdragonxi.org/web/lib/owl/verbs4xi.owl#"\n'     
        f2xi.write(namespace2xi)
        
        f2xi.write('   xmlns:p1="http://www.owl-ontologies.com/assert.owl#"\n')
        
        xmlbase2xi = '   xml:base="http://www.yourdragonxi.org.com/web/lib/owl/verbs4xi.owl">\n'
        f2xi.write(xmlbase2xi)
    
        # -------------------------------------------------------------------------------------
        # (STEP 7/33) - CREATE ONTOLOGY
        # ------------------------------------------------------------------------------------- 
             
        ontology_about2xi = '   <owl:Ontology rdf:about="Verbs4Xi">\n'
        f2xi.write(ontology_about2xi)
        
        ontology_comment2xi = '      <define4xi xml:lang="en">Verbs for Dragon4Xi</define4xi>\n'    
        f2xi.write(ontology_comment2xi)
        
        f2xi.write('      <owl:versionInfo xml:lang="en">Version ' + strftime("%a, %d %b %Y %H:%M:%S",localtime()) + '</owl:versionInfo>\n')
        
        class2xi = '   <owl:Class rdf:ID="VerbWaves4Xi">\n'
        f2xi.write(class2xi)         
        
        operation_comment2xi = '      <define4xi xml:lang="en">Waves of Verbs</define4xi>\n'
        f2xi.write(operation_comment2xi)
        
        f2xi.write('   </owl:Class>\n')
        
    
        # -------------------------------------------------------------------------------------
        # (STEP 8/33) - ORIGINATE TO (0,0,0)  
        # ------------------------------------------------------------------------------------- 
              
        object_property2xi =         '   <owl:ObjectProperty rdf:ID="0x0y0z">\n'
        f2xi.write(object_property2xi)
        
        sub_property2xi =            '      <rdfs:subPropertyOf rdf:resource="#0x0y0z">\n'
        f2xi.write(sub_property2xi)
    
        object_property_comment2xi = '         <define4xi xml:lang="en">[ack] clusterize verb tenses.</define4xi>\n'    
        f2xi.write(object_property_comment2xi)
      
        object_property_comment2xi = '         <define4xi xml:lang="en">[ack] color verb tenses.</define4xi>\n'    
        f2xi.write(object_property_comment2xi)
          
        object_property_comment2xi = '         <define4xi xml:lang="en">[ack] coordinate each verb tense to (x,y,z).</define4xi>\n'    
        f2xi.write(object_property_comment2xi)
        
        object_property_comment2xi = '         <define4xi xml:lang="en">[ack] define with verb tense 1.</define4xi>\n'    
        f2xi.write(object_property_comment2xi)
    
        object_property_comment2xi = '         <define4xi xml:lang="en">[ack] direct each verb tense.</define4xi>\n'    
        f2xi.write(object_property_comment2xi)
          
        object_property_comment2xi = '         <define4xi xml:lang="en">[ack] set verb tense distance to layer.</define4xi>\n'    
        f2xi.write(object_property_comment2xi)
        
        object_property_comment2xi = '         <define4xi xml:lang="en">[ack] calculate ray.</define4xi>\n'    
        f2xi.write(object_property_comment2xi)
              
        object_property_comment2xi = '         <define4xi xml:lang="en">[ack] calculate deviation.</define4xi>\n'    
        f2xi.write(object_property_comment2xi)                  
              
        object_property_comment2xi = '         <define4xi xml:lang="en">[ack] fire each verb tense with order number.</define4xi>\n'    
        f2xi.write(object_property_comment2xi)
   
        object_property_comment2xi = '         <define4xi xml:lang="en">[ack] refer with tense 2.</define4xi>\n'    
        f2xi.write(object_property_comment2xi)
    
        object_property_comment2xi = '         <define4xi xml:lang="en">[ack] symbolize with tense 3.</define4xi>\n'    
        f2xi.write(object_property_comment2xi)
            
        object_property_comment2xi = '         <define4xi xml:lang="en">[ack] have tense 1,2,3 and 4 to each verb (if different).</define4xi>\n'    
        f2xi.write(object_property_comment2xi)
        
        object_property_comment2xi = '         <define4xi xml:lang="en">[ack] identify method.</define4xi>\n'    
        f2xi.write(object_property_comment2xi)
      
        object_property_comment2xi = '         <define4xi xml:lang="en">[ack] get message.</define4xi>\n'    
        f2xi.write(object_property_comment2xi)
                       
        end2subproperty =            '      </rdfs:subPropertyOf>\n'
        f2xi.write(end2subproperty)
        
        end2onproperty =             '   </owl:ObjectProperty>\n'
        f2xi.write(end2onproperty)
        

        # -------------------------------------------------------------------------------------
        # (STEP 9a/33) - SKELETONIZE TO (1,1,1) - Direction ONE - (X + ,Y + ,Z + ) 
        # ------------------------------------------------------------------------------------- 
              
        object_property2xi = '   <owl:ObjectProperty rdf:ID="1x1y1z">\n'
        f2xi.write(object_property2xi)
        
        sub_property2xi =            '      <rdfs:subPropertyOf rdf:resource="#1x1y1z">\n'
        f2xi.write(sub_property2xi)

        object_property_object2xi =   '      <rdf:object>skeletonize</rdf:object>\n'    
        f2xi.write(object_property_object2xi)
        
        object_property_color2xi =   '      <color4xi>#E8D5D5</color4xi>\n'    
        f2xi.write(object_property_color2xi)        

        object_property_fire2xi =   '      <fire4xi>1</fire4xi>\n'    
        f2xi.write(object_property_fire2xi)
    
        object_property_direct2xi =   '      <direct4xi>1</direct4xi>\n'    
        f2xi.write(object_property_direct2xi)
    
        object_property_distance2xi =   '      <distance4xi>2</distance4xi>\n'    
        f2xi.write(object_property_distance2xi)
            
        object_property_fire2xi =   '      <ray4xi>1.7325080757</ray4xi>\n'    
        f2xi.write(object_property_fire2xi)        
        
        object_property_fire2xi =   '      <deviate4xi>0.267949192431</deviate4xi>\n'             
        f2xi.write(object_property_fire2xi)     
           
        object_property_comment2xi = '      <define4xi xml:lang="en">to reduce to a skeleton.</define4xi>\n'    
        f2xi.write(object_property_comment2xi)
        
        object_property_reference2xi =   '      <refer4xi>1790</refer4xi>\n'    
        f2xi.write(object_property_reference2xi)                  
        
        object_property_symbol2xi =   '      <symbolize4xi>1790</symbolize4xi>\n'    
        f2xi.write(object_property_symbol2xi)            
        
        object_property_subclassof2xi =   '      <rdfs:subClassOf >1</rdfs:subClassOf >\n'    
        f2xi.write(object_property_subclassof2xi)

        f2xi.write(end2subproperty)
        
        f2xi.write(end2onproperty)        
     

        # -------------------------------------------------------------------------------------
        # (STEP 9b/33) - SKELETONIZE TO (1,1-,1-) - Direction TWO - (X + ,Y - ,Z - ) 
        # ------------------------------------------------------------------------------------- 
              
        object_property2xi = '   <owl:ObjectProperty rdf:ID="1x-1y-1z">\n'
        f2xi.write(object_property2xi)
        
        sub_property2xi =            '      <rdfs:subPropertyOf rdf:resource="#1x-1y-1z">\n'
        f2xi.write(sub_property2xi)

        object_property_object2xi =   '      <rdf:object>skeletonize</rdf:object>\n'    
        f2xi.write(object_property_object2xi)
        
        object_property_color2xi =   '      <color4xi>#EB7474</color4xi>\n'    
        f2xi.write(object_property_color2xi)        

        object_property_fire2xi =   '      <fire4xi>2</fire4xi>\n'    
        f2xi.write(object_property_fire2xi)
   
        object_property_direct2xi =   '      <direct4xi>2</direct4xi>\n'    
        f2xi.write(object_property_direct2xi)
   
        object_property_distance2xi =   '      <distance4xi>2</distance4xi>\n'    
        f2xi.write(object_property_distance2xi)
        object_property_comment2xi = '      <define4xi xml:lang="en">to reduce to a skeleton.</define4xi>\n'    
        f2xi.write(object_property_comment2xi)
            
        object_property_fire2xi =   '      <ray4xi>1.7325080757</ray4xi>\n'    
        f2xi.write(object_property_fire2xi)        
        
        object_property_fire2xi =   '      <deviate4xi>0.267949192431</deviate4xi>\n'             
        f2xi.write(object_property_fire2xi)     
                
        object_property_reference2xi =   '      <refer4xi>1790</refer4xi>\n'    
        f2xi.write(object_property_reference2xi)                  
                                      
        object_property_comment2xi = '      <define4xi xml:lang="en">to reduce to a skeleton.</define4xi>\n'    
        f2xi.write(object_property_comment2xi)
        
        object_property_reference2xi =   '      <refer4xi>1790</refer4xi>\n'    
        f2xi.write(object_property_reference2xi)      
        
        object_property_symbol2xi =   '      <symbolize4xi>1790</symbolize4xi>\n'    
        f2xi.write(object_property_symbol2xi)            
                
        object_property_subclassof2xi =   '      <rdfs:subClassOf >1</rdfs:subClassOf >\n'    
        f2xi.write(object_property_subclassof2xi)

        f2xi.write(end2subproperty)
        
        f2xi.write(end2onproperty)             
    
        # -------------------------------------------------------------------------------------
        # (STEP 9c/33) - SKELETONIZED TO (1,1,-1) - Direction THREE - (X + ,Y + ,Z - ) 
        # ------------------------------------------------------------------------------------- 
        object_property2xi = '   <owl:ObjectProperty rdf:ID="1x1y-1z">\n'
        f2xi.write(object_property2xi)
        
        sub_property2xi =            '      <rdfs:subPropertyOf rdf:resource="#1x1y-1z">\n'
        f2xi.write(sub_property2xi)

        object_property_object2xi =   '      <rdf:object>skeletonized</rdf:object>\n'    
        f2xi.write(object_property_object2xi)
        
        object_property_color2xi =   '      <color4xi>#F2E8E8</color4xi>\n'    
        f2xi.write(object_property_color2xi)        

        object_property_fire2xi =   '      <fire4xi>3</fire4xi>\n'    
        f2xi.write(object_property_fire2xi)
   
        object_property_direct2xi =   '      <direct4xi>3</direct4xi>\n'    
        f2xi.write(object_property_direct2xi)
    
        object_property_distance2xi =   '      <distance4xi>2</distance4xi>\n'    
        f2xi.write(object_property_distance2xi)
            
        object_property_fire2xi =   '      <ray4xi>1.7325080757</ray4xi>\n'    
        f2xi.write(object_property_fire2xi)        
        
        object_property_fire2xi =   '      <deviate4xi>0.267949192431</deviate4xi>\n'             
        f2xi.write(object_property_fire2xi)     
                                      
        object_property_comment2xi = '      <define4xi xml:lang="en">reduced to a skeleton.</define4xi>\n'    
        f2xi.write(object_property_comment2xi)
        
        object_property_reference2xi =   '      <refer4xi>1790</refer4xi>\n'    
        f2xi.write(object_property_reference2xi)                 
        
        object_property_symbol2xi =   '      <symbolize4xi>1790</symbolize4xi>\n'    
        f2xi.write(object_property_symbol2xi)            
             
        object_property_subclassof2xi =   '      <rdfs:subClassOf >1</rdfs:subClassOf >\n'    
        f2xi.write(object_property_subclassof2xi)

        object_property_type2xi =   '      <rdfs:type>1</rdfs:type>\n'    
        f2xi.write(object_property_type2xi)

        f2xi.write(end2subproperty)
        
        f2xi.write(end2onproperty)              
    
        # -------------------------------------------------------------------------------------
        # (STEP 9d/33) - SKELETONIZED TO (1,-1,1) - Direction FOUR - (X + ,Y - ,Z + ) 
        # ------------------------------------------------------------------------------------- 
        object_property2xi = '   <owl:ObjectProperty rdf:ID="1x-1y1z">\n'
        f2xi.write(object_property2xi)
        
        sub_property2xi =            '      <rdfs:subPropertyOf rdf:resource="#1x-1y1z">\n'
        f2xi.write(sub_property2xi)

        object_property_object2xi =   '      <rdf:object>skeletonized</rdf:object>\n'    
        f2xi.write(object_property_object2xi)
        
        object_property_color2xi =   '      <color4xi>#D86868</color4xi>\n'    
        f2xi.write(object_property_color2xi)        

        object_property_fire2xi =   '      <fire4xi>4</fire4xi>\n'    
        f2xi.write(object_property_fire2xi)
   
        object_property_direct2xi =   '      <direct4xi>4</direct4xi>\n'    
        f2xi.write(object_property_direct2xi)
   
        object_property_distance2xi =   '      <distance4xi>2</distance4xi>\n'    
        f2xi.write(object_property_distance2xi)
            
        object_property_fire2xi =   '      <ray4xi>1.7325080757</ray4xi>\n'    
        f2xi.write(object_property_fire2xi)        
        
        object_property_fire2xi =   '      <deviate4xi>0.267949192431</deviate4xi>\n'             
        f2xi.write(object_property_fire2xi)     
                                  
        object_property_comment2xi = '      <define4xi xml:lang="en">reduced to a skeleton.</define4xi>\n'    
        f2xi.write(object_property_comment2xi)
        
        object_property_reference2xi =   '      <refer4xi>1790</refer4xi>\n'    
        f2xi.write(object_property_reference2xi)      
        
        object_property_symbol2xi =   '      <symbolize4xi>1790</symbolize4xi>\n'    
        f2xi.write(object_property_symbol2xi)            
             
        object_property_subclassof2xi =   '      <rdfs:subClassOf >1</rdfs:subClassOf >\n'    
        f2xi.write(object_property_subclassof2xi)

        f2xi.write(end2subproperty)
        
        f2xi.write(end2onproperty)              

        
    
        # -------------------------------------------------------------------------------------
        # (STEP 9e/33) - SKELETONIZING TO (-1,1,1) - Direction FIVE - (X - ,Y + ,Z + ) 
        # ------------------------------------------------------------------------------------- 
        object_property2xi = '   <owl:ObjectProperty rdf:ID="-1x1y1z">\n'
        f2xi.write(object_property2xi)
        
        sub_property2xi =            '      <rdfs:subPropertyOf rdf:resource="#-1x1y1z">\n'
        f2xi.write(sub_property2xi)

        object_property_object2xi =   '      <rdf:object>skeletonizing</rdf:object>\n'    
        f2xi.write(object_property_object2xi)
        
        object_property_color2xi =   '      <color4xi>#D7B4B4</color4xi>\n'    
        f2xi.write(object_property_color2xi)        

        object_property_fire2xi =   '      <fire4xi>5</fire4xi>\n'    
        f2xi.write(object_property_fire2xi)
   
        object_property_direct2xi =   '      <direct4xi>5</direct4xi>\n'    
        f2xi.write(object_property_direct2xi)
  
        object_property_distance2xi =   '      <distance4xi>2</distance4xi>\n'    
        f2xi.write(object_property_distance2xi)
            
        object_property_fire2xi =   '      <ray4xi>1.7325080757</ray4xi>\n'    
        f2xi.write(object_property_fire2xi)        
        
        object_property_fire2xi =   '      <deviate4xi>0.267949192431</deviate4xi>\n'             
        f2xi.write(object_property_fire2xi)     
                                   
        object_property_comment2xi = '      <define4xi xml:lang="en">reducing to a skeleton.</define4xi>\n'    
        f2xi.write(object_property_comment2xi)
        
        object_property_reference2xi =   '      <refer4xi>1790</refer4xi>\n'    
        f2xi.write(object_property_reference2xi)       
        
        object_property_symbol2xi =   '      <symbolize4xi>1790</symbolize4xi>\n'    
        f2xi.write(object_property_symbol2xi)            
                 
        object_property_subclassof2xi =   '      <rdfs:subClassOf >1</rdfs:subClassOf >\n'    
        f2xi.write(object_property_subclassof2xi)

        f2xi.write(end2subproperty)
        
        f2xi.write(end2onproperty)              
    
        # -------------------------------------------------------------------------------------
        # (STEP 9f/33) - SKELETONIZING TO (-1,1,-1) - Direction SIX - (X - ,Y + ,Z - ) 
        # ------------------------------------------------------------------------------------- 
        object_property2xi = '   <owl:ObjectProperty rdf:ID="-1x1y-1z">\n'
        f2xi.write(object_property2xi)
        
        sub_property2xi =            '      <rdfs:subPropertyOf rdf:resource="#-1x1y-1z">\n'
        f2xi.write(sub_property2xi)

        object_property_object2xi =   '      <rdf:object>skeletonizing</rdf:object>\n'    
        f2xi.write(object_property_object2xi)
        
        object_property_color2xi =   '      <color4xi>#C66060</color4xi>\n'    
        f2xi.write(object_property_color2xi)        

        object_property_fire2xi =   '      <fire4xi>6</fire4xi>\n'    
        f2xi.write(object_property_fire2xi)
   
        object_property_direct2xi =   '      <direct4xi>6</direct4xi>\n'    
        f2xi.write(object_property_direct2xi)
   
        object_property_distance2xi =   '      <distance4xi>2</distance4xi>\n'    
        f2xi.write(object_property_distance2xi)
            
        object_property_fire2xi =   '      <ray4xi>1.7325080757</ray4xi>\n'    
        f2xi.write(object_property_fire2xi)        
        
        object_property_fire2xi =   '      <deviate4xi>0.267949192431</deviate4xi>\n'             
        f2xi.write(object_property_fire2xi)     
                                  
        object_property_comment2xi = '      <define4xi xml:lang="en">reducing to a skeleton.</define4xi>\n'    
        f2xi.write(object_property_comment2xi)
        
        object_property_reference2xi =   '      <refer4xi>1790</refer4xi>\n'    
        f2xi.write(object_property_reference2xi)        
        
        object_property_symbol2xi =   '      <symbolize4xi>1790</symbolize4xi>\n'    
        f2xi.write(object_property_symbol2xi)            
                 
        object_property_subclassof2xi =   '      <rdfs:subClassOf >1</rdfs:subClassOf >\n'    
        f2xi.write(object_property_subclassof2xi)

        f2xi.write(end2subproperty)
        
        f2xi.write(end2onproperty)
    
        # -------------------------------------------------------------------------------------
        # (STEP 9f/33) - SKELETONIZING TO (-1,-1,1) - Direction SEVEN - (X - ,Y - ,Z + ) 
        # ------------------------------------------------------------------------------------- 
        object_property2xi = '   <owl:ObjectProperty rdf:ID="-1x-1y1z">\n'
        f2xi.write(object_property2xi)
        
        sub_property2xi =            '      <rdfs:subPropertyOf rdf:resource="#-1x-1y1z">\n'
        f2xi.write(sub_property2xi)

        object_property_object2xi =   '      <rdf:object>skeletonizing</rdf:object>\n'    
        f2xi.write(object_property_object2xi)
        
        object_property_color2xi =   '      <color4xi>#C66060</color4xi>\n'    
        f2xi.write(object_property_color2xi)        

        object_property_fire2xi =   '      <fire4xi>7</fire4xi>\n'    
        f2xi.write(object_property_fire2xi)
   
        object_property_direct2xi =   '      <direct4xi>7</direct4xi>\n'    
        f2xi.write(object_property_direct2xi)
   
        object_property_distance2xi =   '      <distance4xi>2</distance4xi>\n'    
        f2xi.write(object_property_distance2xi)
            
        object_property_fire2xi =   '      <ray4xi>1.7325080757</ray4xi>\n'    
        f2xi.write(object_property_fire2xi)        
        
        object_property_fire2xi =   '      <deviate4xi>0.267949192431</deviate4xi>\n'             
        f2xi.write(object_property_fire2xi)     
                                  
        object_property_comment2xi = '      <define4xi xml:lang="en">reducing to a skeleton.</define4xi>\n'    
        f2xi.write(object_property_comment2xi)
        
        object_property_reference2xi =   '      <refer4xi>1790</refer4xi>\n'    
        f2xi.write(object_property_reference2xi)     
        
        object_property_symbol2xi =   '      <symbolize4xi>1790</symbolize4xi>\n'    
        f2xi.write(object_property_symbol2xi)            
                 
        object_property_subclassof2xi =   '      <rdfs:subClassOf >1</rdfs:subClassOf >\n'    
        f2xi.write(object_property_subclassof2xi)

        f2xi.write(end2subproperty)
        
        f2xi.write(end2onproperty)                 
    
        # -------------------------------------------------------------------------------------
        # (STEP 9f/33) - SKELETONIZING TO (-1,-1,-1) - Direction EIGHT - (X - ,Y - ,Z - ) 
        # ------------------------------------------------------------------------------------- 
        object_property2xi = '   <owl:ObjectProperty rdf:ID="-1x-1y-1z">\n'
        f2xi.write(object_property2xi)
        
        sub_property2xi =            '      <rdfs:subPropertyOf rdf:resource="#-1x-1y-1z">\n'
        f2xi.write(sub_property2xi)

        object_property_object2xi =   '      <rdf:object>skeletonizing</rdf:object>\n'    
        f2xi.write(object_property_object2xi)
        
        object_property_color2xi =   '      <color4xi>#C66060</color4xi>\n'    
        f2xi.write(object_property_color2xi)        

        object_property_fire2xi =   '      <fire4xi>8</fire4xi>\n'    
        f2xi.write(object_property_fire2xi)
   
        object_property_direct2xi =   '      <direct4xi>8</direct4xi>\n'    
        f2xi.write(object_property_direct2xi)
    
        object_property_distance2xi =   '      <distance4xi>2</distance4xi>\n'    
        f2xi.write(object_property_distance2xi)
            
        object_property_fire2xi =   '      <ray4xi>1.7325080757</ray4xi>\n'    
        f2xi.write(object_property_fire2xi)        
        
        object_property_fire2xi =   '      <deviate4xi>0.267949192431</deviate4xi>\n'             
        f2xi.write(object_property_fire2xi)     
                                 
        object_property_comment2xi = '      <define4xi xml:lang="en">reducing to a skeleton.</define4xi>\n'    
        f2xi.write(object_property_comment2xi)
        
        object_property_reference2xi =   '      <refer4xi>1790</refer4xi>\n'    
        f2xi.write(object_property_reference2xi)      
        
        object_property_symbol2xi =   '      <symbolize4xi>1790</symbolize4xi>\n'    
        f2xi.write(object_property_symbol2xi)            
                 
        object_property_subclassof2xi =   '      <rdfs:subClassOf >1</rdfs:subClassOf >\n'    
        f2xi.write(object_property_subclassof2xi)

        f2xi.write(end2subproperty)
        
        f2xi.write(end2onproperty)                 

                     
    except:
    
        # -------------------------------------------------------------------------------------
        # 
        # ------------------------------------------------------------------------------------- 
        print('(STEP 5Z/33) OF COORDINATE_TENSES4XI *** FAILED TO PRODUCE SCOPE OUTPUT XML-FILE ', time4xi())         
        
        return None          
                
    if ack2debug is True:
        print('(STEP 6A/33) OF COORDINATE_TENSES4XI - TRYING TO CREATE VERB AND COLOR KNOWLEDGEBASE AND RUN COLOR TENSES GETTING (X,Y,Z) ', time4xi())
    try:         
        # -----------------------------------------------------------------------------------------
        # (STEP 10/33) - CREATE VERB AND COLOR KNOWLEDGEBASE AND RUN COLOR TENSES GETTING (X,Y,Z)
        # -----------------------------------------------------------------------------------------      
        kb2verbs = VerbKB4Xi
        # if ack2debug is True:                                         
        #     print('(STEP 10a/33) OF COORDINATE_TENSES4XI - KB2VERBS: ', kb2verbs)                   # VerbKB4Xi = {'a': Verb2a4Xi, 'b': Verb2b4Xi ...'_': Verb2_4Xi} 
        
        keys2alpha = VerbKB4Xi.keys()                                    
        # if ack2debug is True:
        #     print('(STEP 10b/33) OF COORDINATE_TENSES4XI - KEYS2ALPHA: ', keys2alpha)               # dict_keys(['_', 'a', 'c', 'b', 'e', 'd', 'g', 'f', 'i', 'h', 'k', 'j', 'm', 'l', 'o', 'n', 'q', 'p', 's', 'r', 'u', 't', 'w', 'v', 'y', 'x', 'z'])
        
        Colors2Verbs = color_tenses4xi()                                 
        # if ack2debug is True:                                            
        #     print('(STEP 10c/33) OF COORDINATE_TENSES4XI - COLORS2VERBS: ',  Colors2Verbs)          # {'looped': '#9797B7', 'skip': '#F78181', 'zeroed': '#2E9895', 'activated': '#51510E', 'sleep': '#FE2E2E', 'scheming': '#6B4111', 'functioned': '#B2A392',  
        
      
        # -----------------------------------------------------------------------------------------------------------------
        # (STEP 11/33)
        # ----------------------------------------------------------------------------------------------------------------- 
        order2xi = 10                                                               # default start for order
        max2order = 1
        linecount2xi = 0
    
        ack2id        = False
        
        ack2tense     = False                                                       #     
         
        ack2class     = False                                                       # 
        ack2method    = False                                                       # 
        ack2message   = False                                                       # 
        
        ack2dragon    = False                                                       # 
        ack2definition= False                                                       # 
        ack2reference = False                                                       # 
        ack2symbol    = False                                                       #      
    
        class2xi    =  'Dummy'                                                      #  
        method2xi   =  'dummy'                                                      # depicts both method and function
        message2xi  =  'dummy message'
        tense2xi    =  'skeletonize'
        
        # -----------------------------------------------------------------------------------------------------------------
        # 
        # -----------------------------------------------------------------------------------------------------------------             
        while 1:
                
            # -------------------------------------------------------------------------------------------------------------
            # PROCESS THE INPUT REASON XML-FILE  
            # ------------------------------------------------------------------------------------------------------------- 
     
            input_line2xi = input_fd2xi.readline()                                 # tense + sequence
            if not input_line2xi:
                break                                                              # all lines read, finish
            else:
                # ---------------------------------------------------------------------------------------------------------
                # INPUT LINE PROCESSING - LEVEL I
                # ---------------------------------------------------------------------------------------------------------         
                if ack2debug is True:
                    print('(STEP 11A/33) OF COORDINATE_TENSES4XI - INPUT_LINE2XI: ', input_line2xi)
                                                                                   # <owl:Class rdf:ID="aced#000000060">
                                                                                   # 
                linecount2xi = linecount2xi + 1
    
                i2id = str.find(input_line2xi,'<owl:Class rdf:ID=')                # <owl:Class rdf:ID="aced#000000060">
     
                if i2id == -1:
                    # -----------------------------------------------------------------------------------------------------
                    # INPUT LINE PROCESSING - LEVEL II - NON-ID LINE
                    # -----------------------------------------------------------------------------------------------------                
                    ack2id = False 
                    
                    i2class = str.find(input_line2xi,'<class4xi>')                 # 
                    if i2class == -1:
                        pass
                    else:
                        # -------------------------------------------------------------------------------------------------
                        # CLASS
                        # -------------------------------------------------------------------------------------------------                   
                        end2class = str.find(input_line2xi,'</class4xi>')          # 
                        if end2class == -1:
                            print('(STEP 11Ba/33) OF COORDINATE_TENSES4XI *** FAILED TO FIND </class4xi> - LINE: ', input_line2xi) #
                        else:
                            class2xi = input_line2xi[i2class+10:end2class]
                            if ack2debug is True:
                                print('(STEP 11Bb/33) OF COORDINATE_TENSES4XI - CLASS2XI: ', class2xi)                    #ZSkeleton4Xi
                            ack2class  = True
                            ack2dragon  = True 
                            
                    # -------------------------------------------------------------------------------------------------
                    # INPUT LINE PROCESSING - LEVEL II - NON-ID LINE 
                    # -------------------------------------------------------------------------------------------------  
                    i2method = str.find(input_line2xi,'<method4xi>')               # <method4xi>init_zskeleton4xi</method4xi> 
                    if i2method == -1:
                        pass
                    else:
                        # -------------------------------------------------------------------------------------------------
                        # METHOD or FUNCTION
                        # -------------------------------------------------------------------------------------------------                   
                        end2method = str.find(input_line2xi,'</method4xi>')
                        if end2method == -1:
                            print('(STEP 11Ba/33) OF COORDINATE_TENSES4XI *** FAILED TO FIND </method4xi> - LINE: ', input_line2xi)  
                        else:
                            method2xi = input_line2xi[i2method+11:end2method]
                            if ack2debug is True:
                                print('(STEP 11Bb/33) OF COORDINATE_TENSES4XI - METHOD2XI: ', method2xi)                  # ace
                            ack2method  = True
                            ack2dragon  = True 
               
                    # -------------------------------------------------------------------------------------------------
                    # INPUT LINE PROCESSING - LEVEL II - NON-ID LINE 
                    # -------------------------------------------------------------------------------------------------                              
                    i2message = str.find(input_line2xi,'<message4xi>')                                                    # 
                    if i2message == -1:
                        pass
                    else:
                        # ---------------------------------------------------------------------------------------------
                        # MESSAGE
                        # ---------------------------------------------------------------------------------------------                        
                        end2message = str.find(input_line2xi,'</message4xi>')
                        if end2message == -1:
                            print('(STEP 11E/33) OF COORDINATE_TENSES4XI *** FAILED TO FIND </message4xi> - LINE: ', input_line2xi)
                        else:
                            message2xi = input_line2xi[i2message+12:end2message]
                            if ack2debug is True:
                                print('(STEP 11De/33) OF COORDINATE_TENSES4XI - MESSAGE2XI: ', message2xi)                 # {aced; ZSkeleton4Xi-aced-by-ace-of-ZSkeleton4Xi: class 'zskeleton4xi.ZSkeleton4Xi'; time: 02:13:34 10/26/10 Pacific Daylight Time}
                            ack2message = True
                            ack2dragon  = True
                            
                            
                                                              
                    # -----------------------------------------------------------------------------------------------------
                    # INPUT LINE PROCESSING - LEVEL II - NON-ID LINE 
                    # -----------------------------------------------------------------------------------------------------                                      
                    i2end4class = str.find(input_line2xi,'</owl:Class>')
                    if i2end4class == -1:
                        ack2dragon = False                                                                                 # <rdf:RDF xmlns:rdf="; <owl:Ontology ; <rdfs:comment; </rdf:RDF> ; </owl:Ontology>
                    else:        
                        print('(STEP 11F1a/33) OF COORDINATE_TENSES4XI - TRYING TO NOTE ABOUT END OF DRAGON DATA')
                        try:
                            if ack2tense is True:                                                                          # </owl:Class> end of one dragon
                                ack2dragon = True
                            if ack2debug is True:
                                print('(STEP 11F1b/33) OF COORDINATE_TENSES4XI - MET END OF DRAGON DATA', ' ACK2DRAGON: ', ack2dragon, ' ACK2TENSE: ', ack2tense) # ACK2DRAGON:  True  ACK2TENSE:  True 
                        except:
                            print('(STEP 11F1c/33) OF COORDINATE_TENSES4XI *** FAILED TO NOTE ABOUT END OF DRAGON DATA')
                                                    
                        # -----------------------------------------------------------------------------------------------------
                        # END OF CLASS TAG 
                        # -----------------------------------------------------------------------------------------------------                         
                        # if ((ack2dragon is True) and (ack2tense is True) and (ack2id is True)):
                        if ack2dragon is True:
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                            # (STEP 11F2/33) - UPDATE XML-FILE FOR TENSE 
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~   
                            if ack2debug is True:
                                print('(STEP 11F2a/33) OF COORDINATE_TENSES4XI - TRYING ON_PROPERTY4LINE') 
                            try:
                                begin2on_property4line = '   <owl:OnProperty rdf:ID="'
                                end2on_property4line = '">\n'                              
                                on_property4line = begin2on_property4line + coordinate2xi + end2on_property4line           # <owl:OnProperty rdf:ID="548x0y0z">
                                f2xi.write(on_property4line)
                                if ack2debug is True:
                                    print('(STEP 11F2b/33) OF COORDINATE_TENSES4XI - WROTE ON-PROPERTY4LINE: ', on_property4line)                             
                            except:
                                print('(STEP 11F2c/33) OF COORDINATE_TENSES4XI *** FAILED ON_PROPERTY4LINE')
                                                                                 
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                            # (STEP 11F3/33) - SUBPROPERTY FOR TENSE  
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~   
                            if ack2debug is True:
                                print('(STEP 11F3a/33) OF COORDINATE_TENSES4XI - TRYING ON_PROPERTY4LINE') 
                            try:                      
                                begin2sub_property4line = '         <rdfs:subPropertyOf rdf:resource="#'
                                end2sub_property4line = '">\n'
                                sub_property4line = begin2sub_property4line + coordinate2xi + end2sub_property4line        # <rdfs:subPropertyOf rdf:resource="#548x0y0z"/>\n'
                                f2xi.write(sub_property4line)
                                if ack2debug is True:
                                    print('(STEP 11F2b/33) OF COORDINATE_TENSES4XI - WROTE ON-PROPERTY4LINE: ', on_property4line)                             
                            except:
                                print('(STEP 11F3c/33) OF COORDINATE_TENSES4XI *** FAILED ON_PROPERTY4LINE') 
                                                       
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                            # (STEP 11F4/33) - OBJECT FOR TENSE  
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ 
                            if ack2debug is True:
                                print('(STEP 11F4a/33) OF COORDINATE_TENSES4XI - TRYING ON_PROPERTY4LINE')                         
                            try:                         
                                end2tense4line =    '</rdf:object>\n'   
                                begin2tense4line =  '            <rdf:object>'
                                                             
                                tense2property4line = begin2tense4line + tense2xi + end2tense4line
                                f2xi.write(tense2property4line)
                                if ack2debug is True:
                                    print('(STEP 11F4b/33) OF COORDINATE_TENSES4XI - TENSE2PROPERTY4LINE: ', tense2property4line)               
                                                                                                                           #                             
                            except:
                                print('(STEP 11F4c/33) OF COORDINATE_TENSES4XI *** FAILED ON_PROPERTY4LINE')
                                                 
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                            # (STEP 11F5/33) - COLOR FOR TENSE            
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ 
                            if ack2debug is True:
                                print('(STEP 11F5a/33) OF COORDINATE_TENSES4XI - TRYING TO GET COLOR FOR TENSE: ', tense2xi)                      # ZSkeleton4Xi  
                            try:
                                if tense2xi == 'ReasonDragon4Xi':
                                    pass
                                else:
                                    if ack2debug is True:
                                        print('(STEP 11F5b/33) OF COORDINATE_TENSES4XI - TRYING TO SET COLOR FOR TENSE: ', tense2xi)   
                                    color2xi = Colors2Verbs[tense2xi]                                                       # {'looped': '#9797B7', 'skip': '#F78181', 'zeroed': '#2E9895', 'activated': '#51510E', 
                                    if ack2debug is True:
                                        print('(STEP 11F5c/33) OF COORDINATE_TENSES4XI - SET COLOR FOR TENSE: ', tense2xi)                              
                            except:
                                print('(STEP 11F5d/33) OF COORDINATE_TENSES4XI -  *** FAILED TO FIND COLOR FOR TENSE: ', tense2xi)  
                                color2xi = '#DF0101' 
                                                        
                            if ack2debug is True:
                                print('(STEP 11F5e/33) OF COORDINATE_TENSES4XI - TRYING ON_PROPERTY4LINE')
                            try:         
                                end2range4line = '</color4xi>\n'
                                begin2range4line = '            <color4xi>'
                                range2object_property4line = begin2range4line + color2xi + end2range4line
                                f2xi.write(range2object_property4line)
                                if ack2debug is True:
                                    print('(STEP 11F5f/33) OF COORDINATE_TENSES4XI - WROTE RANGE2OBJECT_PROPERTY4LINE: ', range2object_property4line)    # <color4xi>#04B404</color4xi>                            
                            except:
                                print('(STEP 11F5g/33) OF COORDINATE_TENSES4XI *** FAILED ON_PROPERTY4LINE')    
                                                        
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                            # (STEP 11F6/33) - DEFINITION FOR TENSE 1  
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ 
                            if ack2definition is True:
                                if ack2debug is True:
                                    print('(STEP 11F6a/33) OF COORDINATE_TENSES4XI - TRYING TO WRITE DEFINITOON FOR TENSE 1: ', tense2xi)                        
                                try: 
                                    end2define4line = '</define4xi>\n'   
                                    begin2define4line = '            <define4xi xml:lang="en">'
                                                     
                                    comment2object_property4line = begin2define4line + definition2xi + end2define4line
                                    f2xi.write(comment2object_property4line)
                                    if ack2debug is True:
                                        print('(STEP 11F6b/33) OF COORDINATE_TENSES4XI - WROTE COMMENT2OBJECT_PROPERTY4LINE: ', comment2object_property4line) # <define4xi xml:lang="en">to come into possession or ownership of.</define4xi>
                                           
                                except:
                                    print('(11F6c/33) OF COORDINATE_TENSES4XI *** FAILED TO WRITE DEFINITOON FOR TENSE 1: ', tense2xi) 
                            else:
                                pass
                                
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                            # (STEP 11F7/33) - REFERENCE FOR TENSE 2  
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ 
                            if ack2reference is True:
                                if ack2debug is True:
                                    print('(STEP 11F7a/33) OF COORDINATE_TENSES4XI - TRYING TO WRITE DEFINITOON FOR TENSE 2: ', tense2xi)                         
                                try: 
                                    end2refer4line =    '</refer4xi>\n'   
                                    begin2refer4line =  '            <refer4xi>'
                                                         
                                    object2property4line = begin2refer4line + str(reference2xi) + end2refer4line
                                    f2xi.write(object2property4line)
                                    if ack2debug is True:
                                        print('(STEP 11F7b/33) OF COORDINATE_TENSES4XI - WROTE OBJECT2PROPERTY4LINE: ', object2property4line)                #                                
                                except:
                                    print('(STEP 11F7c/33) OF COORDINATE_TENSES4XI *** FAILED TO WRITE DEFINITOON FOR TENSE 2: ', tense2xi)                                        
                            else:
                                pass 
                                
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                            # (STEP 11F8/33) - SYMBOL FOR TENSE 3  
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ 
                            if ack2symbol is True:
                                if ack2debug is True:
                                    print('(STEP 11F8a/33) OF COORDINATE_TENSES4XI - TRYING TO WRITE DEFINITOON FOR TENSE 3: ', tense2xi)                         
                                try: 
                                    end2symbolize4line =    '</symbolize4xi>\n'   
                                    begin2symbolize4line =  '            <symbolize4xi>'
                                                             
                                    object2property4line = begin2symbolize4line + str(symbol2xi) + end2symbolize4line
                                    f2xi.write(object2property4line)
                                    if ack2debug is True:
                                        print('(STEP 11F8b/33) OF COORDINATE_TENSES4XI - WROTE OBJECT2PROPERTY4LINE: ', object2property4line)                #                                
                                except:
                                    print('(STEP 11F8c/33) OF COORDINATE_TENSES4XI *** FAILED TO WRITE DEFINITOON FOR TENSE 3: ', tense2xi)      
                                                                                                                                            
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                            # (STEP 11F9/33) - DIRECTION FOR TENSE   
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ 
                            if ack2debug is True:
                                print('(STEP 11F9a/33) OF COORDINATE_TENSES4XI - TRYING TO SET DIRECTION2TENSE')                       
                    
                            try: 
                                end2tense4line =    '</direct4xi>\n'   
                                begin2tense4line =  '            <direct4xi>'
                                                             
                                tense2property4line = begin2tense4line + str(direction2tense) + end2tense4line
                                f2xi.write(tense2property4line)
                                if ack2debug is True:
                                    print('(STEP 11F9b/33) OF COORDINATE_TENSES4XI - TENSE2PROPERTY4LINE: ', tense2property4line)                 
                                                                                                                           # <direct4xi>2</direct4xi>                            
                            except:
                                print('(STEP 11F9c/33) OF COORDINATE_TENSES4XI *** FAILED TO SET DIRECTION2TENSE')  
                
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                            # (STEP 11F10/33) - DISTANCE 
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ 
                            if ack2debug is True:
                                print('(STEP 11F10a/33) OF COORDINATE_TENSES4XI - TRYING TO USE RADIUS2COORDINATE')                         
                            try: 
                                end2tense4line =    '</distance4xi>\n'   
                                begin2tense4line =  '            <distance4xi>'
                                
                                layer2check = context2cast['layer']
                                deviation2radius = int(radius2coordinate - layer2check)
                                if deviation2radius > 100:
                                    print('(STEP 11F10b/33) OF COORDINATE_TENSES4XI *** FAILED LAYER2CHECK: ', layer2check, ' RADIUS2COORDINATE: ', radius2coordinate, ' DEVIATION2RADIUS:', deviation2radius, ' OF COORDINATE2XI:', coordinate2xi)                            
                                    context2cast['layer'] = 3100
                                else:
                                    if ack2debug is True:
                                        print('(11F10c/33) OF COORDINATE_TENSES4XI - PASSED LAYER2CHECK: ', layer2check, ' RADIUS2COORDINATE: ', radius2coordinate, ' DEVIATION2RADIUS:', deviation2radius, ' OF COORDINATE2XI:', coordinate2xi)                            
                    
                                tense2property4line = begin2tense4line + str(context2cast['layer']) + end2tense4line
                                f2xi.write(tense2property4line)
                                if ack2debug is True:
                                    print('(STEP 11F10d/33) OF COORDINATE_TENSES4XI - WROTE TENSE2PROPERTY4LINE: ', tense2property4line)                 
                                                                                                                        # <distance4xi>100</distance4xi>                                
                            except:
                                print('(STEP 11F10e/33) OF COORDINATE_TENSES4XI *** FAILED TO USE RADIUS2COORDINATE')
                
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                            # (STEP 11F10/33) - RADIUS 
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~     
                            if ack2debug is True:
                                print('(STEP 11F10a/33) OF COORDINATE_TENSES4XI - TRYING TO WRITE TENSE2PROPERTY4LINE WITH RADIUS2COORDINATE')                         
                            try: 
                                end2ray4line =    '</ray4xi>\n'   
                                begin2ray4line =  '            <ray4xi>'
                                                
                                tense2property4line = begin2ray4line + str(radius2coordinate) + end2ray4line
                                f2xi.write(tense2property4line)
                                if ack2debug is True:
                                    print('(STEP 11F10b/33) OF COORDINATE_TENSES4XI - WROTE TENSE2PROPERTY4LINE: ', tense2property4line)                 
                                                                                                                        #                                  
                            except:
                                print('(STEP 11F10c/33) OF COORDINATE_TENSES4XI ***FAILED TO WRITE TENSE2PROPERTY4LINE WITH RADIUS2COORDINATE')
                
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                            # (STEP 11F11/33) - DEVIATION 
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~                                  
                            if ack2debug is True:
                                print('(STEP 11F11a/33) OF COORDINATE_TENSES4XI - TRYING TO WRITE TENSE2PROPERTY4LINE WITH DEVIATION2RADIUS')  
                            try: 
                                end2deviator4line =    '</deviate4xi>\n'   
                                begin2deviator4line =  '            <deviate4xi>'
                                                
                                tense2property4line = begin2deviator4line + str(deviation2radius) + end2deviator4line
                                f2xi.write(tense2property4line)
                                if ack2debug is True:
                                    print('(STEP 11F11b/33) OF COORDINATE_TENSES4XI - TENSE2PROPERTY4LINE: ', tense2property4line)                 
                                                                                                                        #          
                            except:
                                print('(STEP 11F11c/33) OF COORDINATE_TENSES4XI *** FAILED TO WRITE TENSE2PROPERTY4LINE WITH DEVIATION2RADIUS')
                                
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                            # (STEP 11F12/33) - CLUSTER FOR TENSE 
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ 
                            if ack2debug is True:
                                print('(STEP 11F12a/33) OF COORDINATE_TENSES4XI - TRYING TO WRITE TENSE2PROPERTY4LINE WITH KEY2CLUSTER') 
                            try: 
                                end2cluster4line =    '</cluster4xi>\n'   
                                begin2cluster4line =  '            <cluster4xi>'
                                                         
                                tense2property4line = begin2cluster4line + str(key2cluster) + end2cluster4line
                                f2xi.write(tense2property4line)
                                if ack2debug is True:
                                    print('(STEP 11F12b/33) OF COORDINATE_TENSES4XI - WROTE TENSE2PROPERTY4LINE: ', tense2property4line)
                                                                                                                       # <cluster4xi>3</cluster4xi>                                            
                            except:
                                print('(STEP 11F12c/33) OF COORDINATE_TENSES4XI *** FAILED TO WRITE TENSE2PROPERTY4LINE WITH KEY2CLUSTER')
                                                                        
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                            # (STEP 11F13/33) - FIRE FOR TENSE  
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ 
                            if ack2debug is True:
                                print('(STEP 11F13a/33) OF COORDINATE_TENSES4XI - TRYING TO WRITE TENSE2PROPERTY4LINE WITH ORDER2XI') 
                            try: 
                                end2fire4line =    '</fire4xi>\n'   
                                begin2fire4line =  '            <fire4xi>'
                                                         
                                tense2property4line = begin2fire4line + str(order2xi) + end2fire4line
                                f2xi.write(tense2property4line)
                                if ack2debug is True:
                                    print('(STEP 11F13b/33) OF COORDINATE_TENSES4XI - WROTE TENSE2PROPERTY4LINE: ', tense2property4line)                
                                                                                                                       # <fire4xi>6</fire4xi>                            
                            except:
                                print('(STEP 11F13c/33) OF COORDINATE_TENSES4XI *** FAILED TO WRITE TENSE2PROPERTY4LINE WITH ORDER2XI') 
                                                                               
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                            # (STEP 11F14/33) - CLASS
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ 
                            if ack2debug is True:
                                print('(STEP 11F14a/33) OF COORDINATE_TENSES4XI - TRYING TO WRITE CLASS FOR TENSE: ', tense2xi)
                            try:
                                if ack2class is True:
                                    end2class4line =    '</class4xi>\n'             
                                    begin2class4line =  '            <class4xi>'     
                                    tense2property4line = begin2class4line + class2xi + end2class4line
                                    f2xi.write(tense2property4line)
                                    if ack2debug is True:
                                        print('(STEP 11F14b/33) OF COORDINATE_TENSES4XI - WROTE TENSE2PROPERTY4LINE: ', tense2property4line)                                              
                                else:
                                    pass                       
                            except:
                                print('*** FAILED IN (STEP 11F14c/33) OF COORDINATE_TENSES4XI - TO WRITE CLASS FOR TENSE: ', tense2xi) 
                                                                                                                
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                            # (STEP 11F15/33) - METHOD
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ 
                            if ack2debug is True:
                                print('(STEP 11F15a/33) OF COORDINATE_TENSES4XI - TRYING TO WRITE METHOD FOR TENSE: ', tense2xi)
                            try:
                                if ack2method is True:
                                    end2method4line =    '</method4xi>\n'   
                                    begin2method4line =  '            <method4xi>'
                                    tense2property4line = begin2method4line + method2xi + end2method4line
                                    f2xi.write(tense2property4line)
                                    if ack2debug is True:
                                        print('(STEP 11F15b/33) OF COORDINATE_TENSES4XI - WROTE TENSE2PROPERTY4LINE: ', tense2property4line)                                                 
                                else:
                                    pass                       
                            except:
                                print('*** FAILED IN (STEP 11F15c/33) OF COORDINATE_TENSES4XI - TO WRITE METHOD FOR TENSE: ', tense2xi) 
                                                                                                           
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                            # (STEP 11F16/33) - MESSAGE/FUNCTION
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~            
                            if ack2debug is True:
                                print('(STEP 11F16a/33) OF COORDINATE_TENSES4XI - CHECKING WHETHER TO WRITE MESSAGE FOR TENSE: ', tense2xi)                            
                            try:
                                if ack2message is True:
                                    end2message4line =    '</message4xi>\n'   
                                    begin2message4line =  '            <message4xi>'
                                    tense2property4line = begin2message4line + message2xi + end2message4line
                                    f2xi.write(tense2property4line)
                                    if ack2debug is True:
                                        print('(STEP 11F16b/33) OF COORDINATE_TENSES4XI - WROTE TENSE2PROPERTY4LINE: ', tense2property4line)                                                
                                else:
                                    pass
                            except:
                                print('*** FAILED IN (STEP 11F16c/33) OF COORDINATE_TENSES4XI - TO WRITE MESSAGE FOR TENSE: ', tense2xi)
                                                                    
                                                                                                                       
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                            # (STEP 11F17/33) - END OF SUBPROPERTY FOR TENSE  
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                            if ack2debug is True:
                                print('(STEP 11F17a/33) OF COORDINATE_TENSES4XI - TRYING TO WRITE END OF SUBPROPERTY FOR TENSE: ', tense2xi) 
                            
                            try:
                                end2subproperty = '         </rdfs:subPropertyOf>\n'
                                f2xi.write(end2subproperty)
                                if ack2debug is True:
                                    print('(STEP 11F17a/33) OF COORDINATE_TENSES4XI -WROTE END2SUBPROPERTY: ', end2subproperty)                                    
                            except:
                                print('*** FAILED IN (STEP 11F17b/33) OF COORDINATE_TENSES4XI - TO WRITE END OF SUBPROPERTY FOR TENSE: ', tense2xi)
                                print('(STEP 11F17c/33) OF COORDINATE_TENSES4XI - ACKS for TENSE: ', tense2xi, 'ACK2TENSE: ' ,ack2tense, ' ACK2METHOD:' , ack2method, ' ACK2MESSAGE:' , ack2message)
                                print('(STEP 11F17d/33) OF COORDINATE_TENSES4XI - METHOD:' , method2xi, ' MESSAGE:' , message2xi)                                    
              
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                            # (STEP 11F18/33) - END OF PROPERTY FOR TENSE  
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ 
                            if ack2debug is True:
                                print('(STEP 11F18a/33) OF COORDINATE_TENSES4XI - TRYING TO WRITE END OF PROPERTY FOR TENSE: ', tense2xi)                                        
    
                            try:
                                end2onproperty = '   </owl:OnProperty>\n'
                                f2xi.write(end2onproperty)
                                if ack2debug is True:
                                    print('(STEP 11F18a/33) OF COORDINATE_TENSES4XI - WROTE END2ONPROPERTY: ', end2onproperty)                                            
                            except:
                                print('*** FAILED IN (STEP 11F18b/33) OF COORDINATE_TENSES4XI - TO WRITE END OF PROPERTY FOR TENSE: ', tense2xi)
                                print('(STEP 11F17c/33) OF COORDINATE_TENSES4XI - ACKS for TENSE: ', tense2xi, 'ACK2TENSE: ' ,ack2tense, 'ACK2DRAGON: ', ack2dragon, ' ACK2METHOD:' , ack2method, ' ACK2MESSAGE:' , ack2message)
                                print('(STEP 11F18d/33) OF COORDINATE_TENSES4XI - METHOD:' , method2xi, ' MESSAGE:' , message2xi)                                    
       
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                            # 
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                        else:
                            if ack2debug is True:
                                print('(STEP 12B/33) OF COORDINATE_TENSES4XI - PASSING WITH INPUT_LINE2XI: ', input_line2xi, 'ACK2DRAGON: ', ack2dragon, 'ACK2ID: ', ack2id, ' TENSE: ', tense2xi, 'ACK2TENSE: ' ,ack2tense, ' ACK2METHOD:' , ack2method, ' ACK2MESSAGE:' , ack2message)  
                                    
                        # -------------------------------------------------------------------------------------------------
                        # DONE END OF CLASS TAG
                        # -------------------------------------------------------------------------------------------------  
                        if ack2debug is True:
                            print('(STEP 12C1/33) OF COORDINATE_TENSES4XI - DONE END OF CLASS TAG WITH INPUT_LINE2XI: ', input_line2xi) # </owl:Class>
                            print('(STEP 12C2/33) OF COORDINATE_TENSES4XI - TENSE: ', tense2xi, 'ACK2DRAGON: ', ack2dragon, 'ACK2ID: ', ack2id, 'ACK2TENSE: ' ,ack2tense, ' METHOD2XI: ', method2xi,' ACK2METHOD:' , ack2method, ' MESSAGE2XI: ', message2xi, ' ACK2MESSAGE:' , ack2message) 
                            # 
                    
                    # -----------------------------------------------------------------------------------------------------
                    # INPUT LINE PROCESSING - LEVEL II - DONE NON-ID LINE
                    # -----------------------------------------------------------------------------------------------------         
                    if ack2debug is True:
                        print('(STEP 12D/33) OF COORDINATE_TENSES4XI - DONE NON-ID LINE WITH INPUT_LINE2XI: ', input_line2xi)
                        print('(STEP 12C2/33) OF COORDINATE_TENSES4XI - TENSE: ', tense2xi, 'ACK2DRAGON: ', ack2dragon, 'ACK2ID: ', ack2id, 'ACK2TENSE: ' ,ack2tense, ' METHOD2XI: ', method2xi, ' ACK2METHOD:' , ack2method, ' MESSAGE2XI: ', message2xi, ' ACK2MESSAGE:' , ack2message)  
                
                # ---------------------------------------------------------------------------------------------------------
                # INPUT LINE PROCESSING - LEVEL I
                # ---------------------------------------------------------------------------------------------------------                                           
                else:
                    # -----------------------------------------------------------------------------------------------------
                    # INPUT LINE PROCESSING - LEVEL II
                    # -----------------------------------------------------------------------------------------------------             
                    if ack2debug is True:    
                        print('(STEP 12E/33) OF COORDINATE_TENSES4XI - ANALYSING ID LINE: ', input_line2xi)                           
                    
                    # -----------------------------------------------------------------------------------------------------
                    # INPUT LINE PROCESSING - LEVEL II - ID-LINE - VALIDITY REQUIRED 
                    # -----------------------------------------------------------------------------------------------------                    
                    if ack2debug is True:    
                        print('(STEP 13A/33) OF COORDINATE_TENSES4XI - CHECKING VALIDITY - INPUT_LINE2XI: ', input_line2xi) 
                    try:           
                        i2skip = str.find(input_line2xi,'reasoned#000000')             
    
                        if i2skip == - 1:
                            i2skip = str.find(input_line2xi,'reason#000000')                                                # reason-verb4xi.xml: <owl:ObjectProperty rdf:ID="reason#000000">
      
                            if i2skip == - 1:
                                i2skip = str.find(input_line2xi,'ReasonDragon4Xi#000000')                                   # reason-verb4xi.xml: <owl:Class rdf:ID="ReasonDragon4Xi#000000">
    
                                if i2skip == - 1:
                                    if ack2debug is True: 
                                        print('(STEP 13B/33) OF COORDINATE_TENSES4XI -  ACCEPTED ID LINE: ', input_line2xi) # <owl:Class rdf:ID="aced#000000060">
                                    # --------------------------------------------------------------------------------------
                                    # VALID ID DRAGON
                                    # --------------------------------------------------------------------------------------                                   
                                    ack2id = True
                                    ack2dragon = True
                                    ack2tense  = True
                                else:
                                    if ack2debug is True:
                                        print('(STEP 13C/33) OF COORDINATE_TENSES4XI - SKIPPED : ', input_line2xi)          # <owl:Class rdf:ID="ReasonDragon4Xi#000000">
                        else:
                            print('(STEP 13D/33) OF COORDINATE_TENSES4XI - SKIPPED : ', input_line2xi)                      # <owl:Class rdf:ID="reasoned#000000">  
                    except:
                        print('(STEP 13E/33) OF COORDINATE_TENSES4XI *** FAILED TO CHECK VALIDITY - INPUT_LINE2XI: ', input_line2xi)
                        
                    # -----------------------------------------------------------------------------------------------------
                    # INPUT LINE PROCESSING - LEVEL II - ID-LINE - VALIDITY EXAMINED
                    # -----------------------------------------------------------------------------------------------------                     
                    
                # ---------------------------------------------------------------------------------------------------------
                # INPUT LINE PROCESSING - LEVEL I 
                # --------------------------------------------------------------------------------------------------------- 
                
                if ((ack2dragon is True) and (ack2tense is True) and (ack2id is True)): 
                        
                    # -----------------------------------------------------------------------------------------------------
                    # INPUT LINE PROCESSING - LEVEL II
                    # -----------------------------------------------------------------------------------------------------                     
                          
                    # ---------------------------------------------------------------------------------------------------------------------------------
                    # (STEP 14/33) - VERB TENSE FOUND - ORDER DEPENDS WHEN VERB HAS BEEN USED - IN SKELETON CLASS METHODS ARE PERFORMED AFTER FUNCTIONS
                    # --------------------------------------------------------------------------------------------------------------------------------- 
                                                                        
                    i2endverb = str.find(input_line2xi,'#')
    
                    if i2endverb == -1: 
                        # -----------------------------------------------------------------------------------------------------------------------------
                        # ALL AVAILABLE VERBS REASON FILE - NO ORDER NUMBER PROVIDED - INPUT FILE IS REASON-VERB4XI.XML
                        # ----------------------------------------------------------------------------------------------------------------------------- 
                        i2endverb = str.find(input_line2xi,'">')                                                        # reason-verb4xi.xml has no order numbers because it has been created from all available verbs (not from actions as others)
                        tense2xi = input_line2xi[i2id+19:i2endverb]                                        
                        
                        order2xi = order2xi + 1
                        if order2xi == 80:                                                                              # max for fire10one4xi.py ... fire10eight4xi.py
                            order2xi = 100                                                                              # force to the next layer                                         
                        else:
                            pass                                                                                        # other fires provide at least 100 shots
                                                                           
                                                                                                        
                        if ack2debug is True:
                            print('(STEP 13F/33) OF COORDINATE_TENSES4XI - TENSE2XI: ', tense2xi, ' ORDER2XI: ', order2xi) # _pertain  ORDER2XI:  20; _pertained  ORDER2XI:  30 ...        
                    else: 
                        # -----------------------------------------------------------------------------------------------------------------------------
                        # TYPICAL REASON FILE - ORDER NUMBER PROVIDED - INPUT FILE IS FROM A TEST - SUCH AS REASON-TEST-SKELETON-PRINT4XI.XML
                        # ----------------------------------------------------------------------------------------------------------------------------- 
                        tense2xi = input_line2xi[i2id+19:i2endverb]                        
                        if ack2debug is True:
                            print('(STEP 13G/33) OF COORDINATE_TENSES4XI - TENSE2XI: ', tense2xi)                        #                           
                            print('(STEP 13H/33) OF COORDINATE_TENSES4XI - TRYING TO SET ORDER2XI USING ID-LINE')                                                               
                        try:
                            order2xi = int(input_line2xi[i2endverb+1:i2endverb+10:])                                     # <owl:Class rdf:ID="accepted#00012308">
                            if ack2debug is True:
                                print('(STEP 13I/33) OF COORDINATE_TENSES4XI - ORDER2XI: ', order2xi)                    # 221; 222 ... 6047 ...
                        except:                                                                                       
                            order2xi = 10 
                            print('(STEP 13J/33) OF COORDINATE_TENSES4XI ** YIELDED ORDER2XI: ', order2xi, 'INPUT_LINE2XI[I2ENDVERB+1:I2ENDVERB+10:] ' , input_line2xi[i2endverb+1:i2endverb+10:]) 
                            # 
                                                                                   
                        
                    # -----------------------------------------------------------------------------------------------------
                    # INPUT LINE PROCESSING - LEVEL II
                    # -----------------------------------------------------------------------------------------------------                     
                         
                    if order2xi > max2order:
                        max2order = order2xi
      
                    key2alpha = tense2xi[0]                                        # activated => a, broke => b ...
                    key2alpha = key2alpha.lower()
                           
                    # ---------------------------------------------------------------------------------------------------------------------------------
                    # TENSE
                    # --------------------------------------------------------------------------------------------------------------------------------- 
                      
                    try:
                        # ----------------------------------------------------------------------------------------------------------------------------- 
                        # INPUT LINE PROCESSING - LEVEL III - TENSE
                        # -----------------------------------------------------------------------------------------------------------------------------  
                        key2try = 'definition-' + tense2xi                                                                # 'definition-bear'
                        
                        # ----------------------------------------------------------------------------------------------------------------------------- 
                        # (STEP 14/33) - CLUSTER AND SUPER-CLUSTER 
                        # -----------------------------------------------------------------------------------------------------------------------------  
                           
                        definition2xi = VerbKB4Xi[key2alpha] [key2try]
                        ack2definition = True
                        if ack2debug is True:
                            print('(STEP 14a/33) OF COORDINATE_TENSES4XI -  TENSE1: ', tense2xi, ' DEFINITION: ', definition2xi)                                               
    
                        key2cluster = ClusterKB4Xi[key2alpha] [tense2xi] 
                        if ack2debug is True:
                            print('(STEP 14b/33) OF COORDINATE_TENSES4XI - KEY2CLUSTER: ', key2cluster)                                      # abbreviate=19, 
                        
                        name2cluster = ClusterColor4Xi[key2cluster] [6]                     
                        if ack2debug is True:
                            print('(STEP 14c/33) OF COORDINATE_TENSES4XI - NAME2CLUSTER: ', name2cluster)                                    # documentation
                        
                        key2super = ClusterColor4Xi[key2cluster] [5] 
                        if key2super == 0:
                            key2super = 8 
                        if ack2debug is True:
                            print('(STEP 14d/33) OF COORDINATE_TENSES4XI - KEY2SUPER: ', key2super)                                          # 7 
                                                                                   
                        name2super = SuperClusterColor4Xi[key2super] [5]                     
                        if ack2debug is True:
                            print('(STEP 14e/33) OF COORDINATE_TENSES4XI - NAME2SUPER: ', name2super)
                            
                        ClusterColorStatistics4Xi [key2cluster] = ClusterColorStatistics4Xi [key2cluster] + 1
                        if ack2debug is True:
                            print('(STEP 14f/33) OF COORDINATE_TENSES4XI - CLUSTERCOLORSTATISTICS4XI[', key2cluster, '] = ', ClusterColorStatistics4Xi[key2cluster])
                            
                        SuperClusterColorStatistics4Xi [key2super] = SuperClusterColorStatistics4Xi [key2super] + 1
                        if ack2debug is True:
                            print('(STEP 14g/33) OF COORDINATE_TENSES4XI - SUPERCLUSTERCOLORSTATISTICS4XI[', key2super, '] = ', SuperClusterColorStatistics4Xi[key2super])                                             
                                                    
                        # ========================================================================================= 
                        # (STEP 15/33) - TENSE1 & OTHER TENSES OF RARE VERBS SUCH AS PUT AND SET                   # abbreviate, put ...
                        # =========================================================================================            
                        
                         
                        # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                        # (STEP 15A/33) - CREATE (X,Y,Z) FOR TENSE 1 - LAYER DEPENDS ON ORDER(=TIME) - DIRECTION(1...8) DEPENDS ON SUPER-CLUSTER 
                        # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~   
                               
                                                           
                        direction2tense = key2super                                                                # direction 1...8 depends on super-cluster
                        if direction2tense == 0:
                            direction2tense = 8
                            if ack2debug is True:
                                print('(STEP 15A0/33) OF COORDINATE_TENSES4XI - DIRECTION2TENSE: ', direction2tense)
                                # TENSE2XI:  check - ORDER2XI:  600 -  TENSE1:  check  DEFINITION:  to inspect or test the performance, condition, etc. of (something).
                                # KEY2CLUSTER:  11 - NAME2CLUSTER:  sensing - KEY2SUPER:  0 - NAME2SUPER:  theater - DIRECTION2TENSE:  8
                        else:    
                            if ack2debug is True:
                                print('(STEP 15A1/33) OF COORDINATE_TENSES4XI - DIRECTION2TENSE: ', direction2tense)   # - tense2xi:         abbreviate
                                                                                                                   # - order2xi:         550
                                                                                                                   # - definition:       to reduce in length, duration etc.
                                                                                                                   # - key2cluster:      19
                                                                                                                   # - name2cluster:     documentation 
                                                                                                                   # - key2super:        7
                                                                                                                   # - name2super:       miscellaneous
                                                                                                                   # - direction2tense:  7
                        # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                        # (STEP 15A2/33) - CONTEXT 
                        # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~                                                                                                                
                        status2update = True                      
                        context2update =  {'tense':       tense2xi,
                                         'definition':  definition2xi,
                                         'clusterkey':  key2cluster,
                                         'clustername': name2cluster,
                                         'superkey':    key2super,
                                         'supername':   name2super,
                                         'direction':   direction2tense,
                                         'order':       order2xi,
                                         'status':      status2update,
                                         'simulation':  'nack',
                                         'layer':       0}
                        if ack2debug is True:
                            print('(STEP 15A2/33) OF COORDINATE_TENSES4XI - TRYING TO UPGRADE CONTEXT2CAST: ', context2update)     
                            # {'status': False, 'direction': 7, 'tense': 'abbreviate', 'supername': 'miscellaneous', 'definition': 'to reduce in length, duration etc.', 'clustername': 'documentation', 'clusterkey': 19, 'y': 0, 'x': 0, 'z': 0, 'order': 550, 'superkey': 7}
     
                        # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                        # (STEP 15A3/33) - CAST COORDINATE CONTEXT FOR TENSE 1 
                        # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~   
                        context2cast = {}
                        try:             
                            context2cast = cast2tense4xi(context2update)
                            if ack2debug is True:
                                print('(STEP 15A3a/33) OF COORDINATE_TENSES4XI - GOT CONTEXT2TENSE: ', context2cast) 
                        except:
                            print('(STEP 15A4/33) OF COORDINATE_TENSES4XI *** FAILED TO UPGRADE CONTEXT2UPDATE: ', context2update) # 
                            
                        # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                        # (STEP 15A4/33) - DETERMINE INDEX TO (X,Y,Z) FROM CONTEXT FOR TENSE 1 
                        # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~   
                        if ack2debug is True:
                            print("(STEP 15A4a/33) OF COORDINATE_TENSES4XI - TRYING TO DETERMINE INDEX2CAST")
                        try:
                            index2order = int(context2cast['indexfire'])
                            if ack2debug is True:
                                print("(STEP 15A4b/33) OF COORDINATE_TENSES4XI - INDEX2ORDER", index2order)       # 20
                                    
                            index2cast = order2cast[index2order]                                              # use the first available (x,y,z) INDEX to this direction and for the required distance
                            if ack2debug is True:                                                             
                                print('(STEP 15A4c/33) OF COORDINATE_TENSES4XI - INDEX2CAST: ', index2cast, ' WITH INDEX2ORDER: ', index2order)
                                # INDEX2CAST:  1  WITH INDEX2ORDER:  20                                                                               
                        except:
                            index2cast = 1  
                            print('(STEP 15A4c/33) OF COORDINATE_TENSES4XI *** FAILED TO SET INDEX TO ACCESS (X,Y,X) - USED INDEX2CAST: ', index2cast)
                            
                        # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                        # (STEP 15A5/33) - SET DICTIONARY FOR TENSE 1 FROM CONTEXT RECEIVED
                        # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~                              
                        dictionary2cast = {}
                        try:
                            dictionary2cast = context2cast['dictionary']
                            if ack2debug is True:
                                print('(STEP 15A5a/33) OF COORDINATE_TENSES4XI - DICTIONARY2CAST: ', dictionary2cast)
                                # {1: '-106x-255y532z', 2: '-106x-517y283z', 3: '-116x-244y535z', 4: '-119x-562y169z', 5: '-126x-233y538z', 6: '-12x-16y599z', 7: '-12x-72y595z', 8: '-133x-508y288z', 9: '-136x-221y540z', 10: '-144x-209y543z', 11: '-148x-554y175z', 12: '-14x-21y599z', 13: '-151x-197y545z', 14: '-158x-185y548z', 15: '-158x-498y294z', 16: '-15x-66y596z', 17: '-164x-172y550z', 18: '-167x-30y575z', 19: '-169x-160y552z', 20: '-16x-27y599z', 21: '-16x-59y596z', 22: '-171x-40y573z', 23: '-172x-147y555z', 24: '-174x-51y571z', 25: '-176x-134y557z', 26: '-176x-543y181z', 27: '-177x-62y569z', 28: '-178x-122y559z', 29: '-178x-73y567z', 30: '-179x-109y561z', 31: '-179x-85y565z', 32: '-17x-33y598z', 33: '-180x-97y563z', 34: '-183x-486y299z', 35: '-18x-40y598z', 36: '-18x-46y597z', 37: '-18x-53y597z', 38: '-1x-1y599z', 39: '-1x-91y592z', 40: '-204x-532y187z', 41: '-207x-473y304z', 42: '-229x-193y519z', 43: '-230x-459y309z', 44: '-231x-519y192z', 45: '-234x-177y522z', 46: '-239x-162y525z', 47: '-243x-147y528z', 48: '-245x-131y531z', 49: '-247x-116y533z', 50: '-248x-101y536z', 51: '-24x-306y515z', 52: '-24x-536y267z', 53: '-252x-443y314z', 54: '-257x-504y198z', 55: '-259x-243y602z', 56: '-273x-427y319z', 57: '-282x-488y204z', 58: '-294x-409y324z', 59: '-306x-471y209z', 60: '-306x-515y1z', 61: '-30x-579y152z', 62: '-313x-391y329z', 63: '-329x-453y215z', 64: '-330x-371y334z', 65: '-333x-498y7z', 66: '-347x-351y339z', 67: '-351x-433y220z', 68: '-358x-480y13z', 69: '-362x-330y344z', 70: '-371x-412y226z', 71: '-377x-309y349z', 72: '-383x-461y19z', 73: '-389x-286y354z', 74: '-391x-391y232z', 75: '-39x-299y518z', 76: '-401x-264y359z', 77: '-406x-440y25z', 78: '-409x-368y237z', 79: '-411x-240y364z', 80: '-420x-217y368z', 81: '-426x-345y243z', 82: '-427x-193y373z', 83: '-429x-418y31z', 84: '-433x-169y378z', 85: '-438x-145y383z', 86: '-441x-121y387z', 87: '-441x-320y248z', 88: '-443x-97y392z', 89: '-450x-394y37z', 90: '-455x-296y254z', 91: '-468x-270y259z', 92: '-469x-370y43z', 93: '-479x-244y264z', 94: '-488x-345y49z', 95: '-489x-217y270z', 96: '-497x-190y275z', 97: '-504x-163y280z', 98: '-505x-318y55z', 99: '-509x-136y286z', 100: '-513x-109y291z', 101: '-515x-54y301z', 102: '-515x-81y296z', 103: '-520x-291y61z', 104: '-52x-531y272z', 105: '-534x-263y67z', 106: '-547x-235y73z', 107: '-54x-292y521z', 108: '-557x-205y79z', 109: '-567x-176y85z', 110: '-574x-146y91z', 111: '-5x-5y599z', 112: '-5x-85y593z', 113: '-60x-575y158z', 114: '-68x-283y524z', 115: '-80x-525y278z', 116: '-81x-274y526z', 117: '-8x-312y512z', 118: '-90x-569y164z', 119: '-94x-265y529z', 120: '-9x-10y599z', 121: '-9x-79y594z', 122: '0x-581y146z'}
    
                        except:
                            print('(STEP 15A5b/33) OF COORDINATE_TENSES4XI ** FAILED TO SET DICTIONARY2CAST *** ')
                            # 
                            
                        # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                        # (STEP 15A5/33) - DETERMINE (X,Y,Z) FOR TENSE 1 USING THE FIRST AVAILABLE INDEX AND RECEIVED CONTEXT
                        # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~                           
                        if ack2debug is True:
                            print('(STEP 15A5c/33) OF COORDINATE_TENSES4XI USING INDEX2CAST: ', index2cast)
                            # (STEP 15A5c/33) OF COORDINATE_TENSES4XI USING INDEX2CAST:  1
                        
                        try:                                                                          
                            coordinate2xi = dictionary2cast[index2cast]                               # use the dictionary of the context and the calculated index into it
                            if ack2debug is True:
                                print('(STEP 15A5d1/33) OF COORDINATE_TENSES4XI - COORDINATE2XI: ', coordinate2xi) 
                                # -106x-255y532z ...
                                
                            i2x = str.find(coordinate2xi,"x")
                            i2y = str.find(coordinate2xi,"y") 
                            i2z = str.find(coordinate2xi,"z")
                            
                            x2coordinate = int(coordinate2xi[0:i2x])
                            y2coordinate = int(coordinate2xi[i2x+1:i2y])
                            z2coordinate = int(coordinate2xi[i2y+1:i2z])
                            if ack2debug is True:
                                print('(STEP 15A5d2/33) OF COORDINATE_TENSES4XI - X: ', x2coordinate, ' Y: ', y2coordinate, ' Z: ', z2coordinate)      # X:  0  Y:  -27  Z:  -41                            
                                 
                            radius2coordinate = (x2coordinate**2 + y2coordinate**2 + z2coordinate**2) ** (1/2)
                            if ack2debug is True:
                                print('(STEP 15A5d3/33) OF COORDINATE_TENSES4XI - RADIUS: ', radius2coordinate, 'FOR COORDINATE2XI: ', coordinate2xi)  # 49.0917508345 FOR COORDINATE2XI:  0x-27y-41z
                        # ----------------------------------------------------------------------------------------------------------------------------- 
                        # INPUT LINE PROCESSING - LEVEL III - TENSE
                        # -----------------------------------------------------------------------------------------------------------------------------                                  
                        except:
                            print('(STEP 15A5d4/33) OF COORDINATE_TENSES4XI - TRYING TO REUSE INDEX2CAST: ', index2cast, ' >= DICTIONARY SIZE:', len(dictionary2cast)) 
                            # 
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                            # EVEN IN EXCEPTIONS WE USE TRY !
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                            try:
                                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                                # 
                                #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~                            
                                ack2new = False
                                index2replace = index2cast
                                max2use = len(dictionary2cast)
                                while ack2new is False:                                       
                                    index2replace = index2replace - max2use                   
                                    if index2replace < max2use:
                                        if index2replace == 0:
                                            index2replace = 1                                 
                                        ack2new = True
                                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                                # AND TRY!
                                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~     
                                try:    
                                    coordinate2xi = dictionary2cast[index2replace]
                                    print('(STEP 15A5f/33) OF COORDINATE_TENSES4XI ** WARNED: OVERFLOW WITH TENSE: ', tense2xi, ' INDEX2REPLACE: ', index2replace, ' (X,Y,Z) RE-USED = ', coordinate2xi, ' DIRECTION: ', direction2tense) 
                                    # ** WARNED: OVERFLOW WITH TENSE:  ConstantProcess4Xi  INDEX2REPLACE:  1  (X,Y,Z) REUSED =  -1052x1746y-2334z  DIRECTION:  6
                                    i2x = str.find(coordinate2xi,"x")
                                    i2y = str.find(coordinate2xi,"y") 
                                    i2z = str.find(coordinate2xi,"z")
                            
                                    x2coordinate = int(coordinate2xi[0:i2x])
                                    y2coordinate = int(coordinate2xi[i2x+1:i2y])
                                    z2coordinate = int(coordinate2xi[i2y+1:i2z])
                                    print('(STEP 15A5g/33) OF COORDINATE_TENSES4XI ** RE-USED X: ', x2coordinate, ' Y: ', y2coordinate, ' Z: ', z2coordinate)                            
                                 
                                    radius2coordinate = (x2coordinate**2 + y2coordinate**2 + z2coordinate**2) ** (1/2)
                                    print('(STEP 15A5h/33) OF COORDINATE_TENSES4XI ** RE-USED RADIUS: ', radius2coordinate, 'FOR COORDINATE2XI: ', coordinate2xi)
                                except:
                                    coordinate2xi = '0x0y0z'
                                    x2coordinate = 0
                                    y2coordinate = 0
                                    z2coordinate = 0
                                    radius2coordinate = 0
                                    print('(STEP 15A5i/33) OF COORDINATE_TENSES4XI *** FAILED WITH INDEX2REPLACE: ', index2replace, ' FOR TENSE: ', tense2xi, ' USED (X,Y,Z) = ', coordinate2xi, ' DIRECTION: ', direction2tense)                                              
                            except:
                                coordinate2xi = '0x0y0z'
                                x2coordinate = 0
                                y2coordinate = 0
                                z2coordinate = 0
                                radius2coordinate = 0                            
                                print('(STEP 15A5j/33) OF COORDINATE_TENSES4XI *** FAILED FOR TENSE: ', tense2xi, ' USED (X,Y,Z) = ', coordinate2xi, ' DIRECTION: ', direction2tense)  
                                # 
                        # ----------------------------------------------------------------------------------------------------------------------------- 
                        # INPUT LINE PROCESSING - LEVEL III - TENSE
                        # -----------------------------------------------------------------------------------------------------------------------------                                     
                                          
                                
                        # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                        # (STEP 15A6/33) - UPDATE THE NEXT AVAILABLE INDEX FOR TENSE 1 
                        # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~   
                        if ack2debug is True:
                            print("(STEP 15A6a/33) OF COORDINATE_TENSES4XI - TRYING TO UPDATE THE NEXT AVAILABLE INDEX FOR TENSE 1")  
                                  
                        try:
                            order2cast[index2order] = order2cast[index2order] + 1 
                            if ack2debug is True:
                                print("(STEP 15A6b/33) OF COORDINATE_TENSES4XI - ORDER2CAST[", index2order, "]: ", order2cast[index2order]) # ORDER2CAST[ 20 ]:  2 
                        except:
                            print('(STEP 15A6c/33) OF COORDINATE_TENSES4XI *** FAILED FOR VERB TENSE: ', tense2xi, ' (X,Y,Z) = ', coordinate2xi)                                             
                            
    
                                                   
                        # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                        # (STEP 15A7/33) - DETERMINE REFERENCE FOR TENSE 1 
                        # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                        if ack2debug is True:
                            print("(STEP 15A7a/33) OF COORDINATE_TENSES4XI - TRYING TO SET REFERENCE TENSE 1: ", tense2xi)                     
                        key2try = 'reference-' + tense2xi                                                          # 'reference-put'
                        key2alpha = tense2xi[0].lower()
                        try:
                            reference2xi = VerbKB4Xi[key2alpha] [key2try]
                            ack2reference = True
                            if ack2debug is True:
                                print("(STEP 15A7b/33) OF COORDINATE_TENSES4XI - FOUND REFERENCE FOR TENSE 1: ", tense2xi, ' REFERENCE:', reference2xi)
                        except:
                            pass
                            # ack2reference = False
                            # print("(STEP 15A7c/33) OF COORDINATE_TENSES4XI *** FAILED TO FIND REFERENCE FOR TENSE 1: ", tense2xi)    
                                                                    
                        # ----------------------------------------------------------------------------------------------------------------------------- 
                        # INPUT LINE PROCESSING - LEVEL III - TENSE
                        # ----------------------------------------------------------------------------------------------------------------------------- 
                    except:
                        # ----------------------------------------------------------------------------------------------------------------------------- 
                        # INPUT LINE PROCESSING - LEVEL III - TENSE
                        # -----------------------------------------------------------------------------------------------------------------------------                 
                        ack2definition = False 
                        # -----------------------------------------------------------------------------------------
                        # IS IT TENSE 2, 3 or 4
                        # ----------------------------------------------------------------------------------------- 
                        
                        key2alpha = tense2xi[0].lower()                            # activated => a
                        
                        key2try = 'reference-' + tense2xi                          # 'reference-activated'
                        if ack2debug is True:
                            print('(STEP 16/33) OF COORDINATE_TENSES4XI - KEY2TRY: ', key2try)                           
                        try:
                            reference2xi = VerbKB4Xi[key2alpha] [key2try]
                            ack2reference = True    
                            # ================================================================================================================================
                            # (STEP 16A/33) - TENSE 2 
                            # ================================================================================================================================             
                            ack2tense    = True                                                       
                            ack2dragon   = True 
                            
                            if ack2debug is True:
                                print('(STEP 16A1a/33) OF COORDINATE_TENSES4XI - TENSE2: ', tense2xi)                  # calculated, abbreviated, abstracted, aced ...
                                # calculated; 
                            
    
                            key2cluster = ClusterKB4Xi[key2alpha] [tense2xi]                                           # 11 for sensed
                            if ack2debug is True:
                                print('(STEP 16A1b/33) OF COORDINATE_TENSES4XI - KEY2CLUSTER: ', key2cluster)
                                                                                                                       # calculated; 4
                                
                            name2cluster = ClusterColor4Xi[key2cluster] [6]                     
                            if ack2debug is True:
                                print('(STEP 16A1c/33) OF COORDINATE_TENSES4XI - NAME2CLUSTER: ', name2cluster)        # sensing
                                                                                                                       # calculated; arithmetics 
                                                        
                            key2super = ClusterColor4Xi[key2cluster] [5]
                            if key2super == 0:
                                key2super = 8 
                            if ack2debug is True:
                                print('(STEP 16A1d/33) OF COORDINATE_TENSES4XI - KEY2SUPER: ', key2super)  
                                                                                                                       # calculated; 3 
                                                                                                                   
                            name2super = SuperClusterColor4Xi[key2super] [5]                     
                            if ack2debug is True:
                                print('(STEP 16A1e/33) OF COORDINATE_TENSES4XI - NAME2SUPER: ', name2super)
                                                                                                                       # calculated; operations
                                                             
                            ClusterColorStatistics4Xi [key2cluster] = ClusterColorStatistics4Xi [key2cluster] + 1
                            if ack2debug is True:
                                print('(STEP 16A1f/33) OF COORDINATE_TENSES4XI - CLUSTERCOLORSTATISTICS4XI[',key2cluster, '] = ', ClusterColorStatistics4Xi [key2cluster])
                                                                                                                       #     
                            SuperClusterColorStatistics4Xi [key2super] = SuperClusterColorStatistics4Xi [key2super] + 1
                            if ack2debug is True:
                                print('(STEP 16A1g/33) OF COORDINATE_TENSES4XI - SUPERCLUSTERCOLORSTATISTICS4XI[',key2super, '] = ', SuperClusterColorStatistics4Xi [key2super])                                             
                                                                                
                                                                                            
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                            # (STEP 16A/33) - CREATE (X,Y,Z) FOR TENSE 2 - LAYER DEPENDS ON ORDER(=TIME) - DIRECTION(1...8) DEPENDS ON SUPER-CLUSTER 
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~   
                                                           
                            direction2tense = key2super                                                                     # direction 1...8 depends on super-cluster
                            if direction2tense == 0:
                                direction2tense = 8
                                if ack2debug is True:
                                    print('(STEP 16A2a/33) OF COORDINATE_TENSES4XI - DIRECTION2TENSE: ', direction2tense)
                                    # calculated; 3 
                                    
                            else:    
                                if ack2debug is True:
                                    print('(STEP 16A2b/33) OF COORDINATE_TENSES4XI - DIRECTION2TENSE: ', direction2tense)   #
                                    
                            
                            definition2xi = None                        
                            status2update = True
                            context2update =  {'tense':     tense2xi,     
                                             'definition':  definition2xi,
                                             'clusterkey':  key2cluster,
                                             'clustername': name2cluster,
                                             'superkey':    key2super,
                                             'supername':   name2super,
                                             'direction':   direction2tense,
                                             'order':       order2xi,
                                             'status':      status2update,
                                             'simulation':  'nack',
                                             'layer':       0}
                                             
                                          
                            if ack2debug is True:
                                print('(STEP 16A2c/33) OF COORDINATE_TENSES4XI - TRYING TO UPGRADE CONTEXT2CAST: ', context2update)     
                                # {'status': False, 'definition': 'to reduce in length, duration etc.', 'direction': 7, 'tense': 'abbreviated', 'supername': 'miscellaneous', 'clustername': 'documentation', 'clusterkey': 19, 'order': 551, 'superkey': 7}
                            
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                            # (STEP 16A3/33) - CAST COORDINATE CONTEXT FOR TENSE 2 
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~   
                            context2cast = {}
                            try:             
                                context2cast = cast2tense4xi(context2update)
                                if ack2debug is True:
                                    print('(STEP 16A3a/33) OF COORDINATE_TENSES4XI - GOT CONTEXT2TENSE: ', context2cast) 
                            except:
                                print('(STEP 16A4/33) OF COORDINATE_TENSES4XI *** FAILED TO UPGRADE CONTEXT2UPDATE: ', context2update)
                                #  
                            
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                            # (STEP 16A4/33) - UPDATE THE NEXT AVAILABLE INDEX FOR TENSE 2 
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~   
                            if ack2debug is True:
                                print("(STEP 16A4a/33) OF COORDINATE_TENSES4XI - TRYING TO DETERMINE INDEX2CAST")
                            try:
                                index2order = int(context2cast['indexfire'])
                                if ack2debug is True:
                                    print("(STEP 16A4b/33) OF COORDINATE_TENSES4XI - INDEX2ORDER", index2order)       # 20
                                    
                                index2cast = order2cast[index2order]                                              # use the first available (x,y,z) INDEX to this direction and for the required distance
                                if ack2debug is True:                                                             
                                    print('(STEP 16A4c/33) OF COORDINATE_TENSES4XI - INDEX2CAST: ', index2cast, ' WITH INDEX2ORDER: ', index2order)
                                    # INDEX2CAST:  1  WITH INDEX2ORDER:  20                                                                               
                            except:
                                index2cast = 1  
                                print('(STEP 16A4c/33) OF COORDINATE_TENSES4XI *** FAILED TO SET INDEX TO ACCESS (X,Y,X) - USED INDEX2CAST: ', index2cast)
                            
                        
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                            # (STEP 16A5/33) - SET DICTIONARY FOR TENSE 2 FROM CONTEXT RECEIVED
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~                              
                            dictionary2cast = {} 
                            try: 
                                dictionary2cast = context2cast['dictionary']
                                if ack2debug is True:
                                    print('(STEP 16A5a/33) OF COORDINATE_TENSES4XI - DICTIONARY2CAST: ', dictionary2cast)
                                    # {1: '-106x-255y532z', 2: '-106x-517y283z', 3: '-116x-244y535z' ...
                                    # {1: '0x3009y-745z', 2: '1009x2502y-1526z' ...
                            except:
                                print('(STEP 16A5b/33) OF COORDINATE_TENSES4XI ** FAILED TO SET DICTIONARY2CAST *** ')
                                # 
                            
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                            # (STEP 16A5/33) - DETERMINE (X,Y,Z) FOR TENSE 2 USING THE FIRST AVAILABLE INDEX AND RECEIVED CONTEXT
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~                           
                            print('(STEP 16A6c/33) OF COORDINATE_TENSES4XI USING INDEX2CAST: ', index2cast)
                            # DICTIONARYSIZE:  121; USING INDEX2CAST:  122 <-- overflow 
                            
                            try:                                                                          
                                coordinate2xi = dictionary2cast[index2cast]                               # use the dictionary of the context and the calculated index into it
                                if ack2debug is True:
                                    print('(STEP 16A5d/33) OF COORDINATE_TENSES4XI - COORDINATE2XI: ', coordinate2xi) 
                                    # -106x-517y283z
                                i2x = str.find(coordinate2xi,"x")
                                i2y = str.find(coordinate2xi,"y") 
                                i2z = str.find(coordinate2xi,"z")
                            
                                x2coordinate = int(coordinate2xi[0:i2x])
                                y2coordinate = int(coordinate2xi[i2x+1:i2y])
                                z2coordinate = int(coordinate2xi[i2y+1:i2z])
                                if ack2debug is True:
                                    print('(STEP 16A5d2/33) OF COORDINATE_TENSES4XI - X: ', x2coordinate, ' Y: ', y2coordinate, ' Z: ', z2coordinate)      # X:  0  Y:  -27  Z:  -41                            
                                 
                                radius2coordinate = (x2coordinate**2 + y2coordinate**2 + z2coordinate**2) ** (1/2)
                                if ack2debug is True:
                                    print('(STEP 16A5d3/33) OF COORDINATE_TENSES4XI - RADIUS: ', radius2coordinate, 'FOR COORDINATE2XI: ', coordinate2xi)  # 49.0917508345 FOR COORDINATE2XI:  0x-27y-41z                                
                            except:
                                print('(STEP 16A5e/33) OF COORDINATE_TENSES4XI - TRYING TO REUSE INDEX2CAST: ', index2cast, ' >= DICTIONARY SIZE:', len(dictionary2cast)) 
                                # 122  >= DICTIONARY SIZE: 121 
                                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                                # 
                                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                                try:
                                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                                    # 
                                    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~                            
                                    ack2new = False
                                    index2replace = index2cast
                                    max2use = len(dictionary2cast)
                                    while ack2new is False:                                       
                                        index2replace = index2replace - max2use                   
                                        if index2replace < max2use:
                                            if index2replace == 0:
                                                index2replace = 1 
                                            ack2new = True
                                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                                    # 
                                    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~     
                                    try:    
                                        coordinate2xi = dictionary2cast[index2replace]
                                        print('(STEP 16A5f/33) OF COORDINATE_TENSES4XI ** WARNED: OVERFLOW WITH VERB TENSE: ', tense2xi, ' INDEX2REPLACE: ', index2replace, ' (X,Y,Z) REUSED = ', coordinate2xi, ' DIRECTION: ', direction2tense) 
                                        # decided  INDEX2REPLACE:  1  (X,Y,Z) REUSED =  0x3009y-745z  DIRECTION:  3
                                        # initialized  INDEX2REPLACE:  4  (X,Y,Z) REUSED =  1015x2290y-1825z  DIRECTION:  3
                                        # ...
                                        # passed  INDEX2REPLACE:  9  (X,Y,Z) REUSED =  -1256x-759y2730z  DIRECTION:  7 <-- VERY MANY!
                                        # performed  INDEX2REPLACE:  31  (X,Y,Z) REUSED =  160x126y-3093z  DIRECTION:  3
                                        # started  INDEX2REPLACE:  7  (X,Y,Z) REUSED =  1124x-1071y2682z   DIRECTION:  4
                                        i2x = str.find(coordinate2xi,"x")
                                        i2y = str.find(coordinate2xi,"y") 
                                        i2z = str.find(coordinate2xi,"z")
                            
                                        x2coordinate = int(coordinate2xi[0:i2x])
                                        y2coordinate = int(coordinate2xi[i2x+1:i2y])
                                        z2coordinate = int(coordinate2xi[i2y+1:i2z])
                                        if ack2debug is True:
                                            print('(STEP 16A5f2/33) OF COORDINATE_TENSES4XI - X: ', x2coordinate, ' Y: ', y2coordinate, ' Z: ', z2coordinate)      # X:  0  Y:  -27  Z:  -41                            
                                 
                                        radius2coordinate = (x2coordinate**2 + y2coordinate**2 + z2coordinate**2) ** (1/2)
                                        if ack2debug is True:
                                            print('(STEP 15A5f3/33) OF COORDINATE_TENSES4XI - RADIUS: ', radius2coordinate, 'FOR COORDINATE2XI: ', coordinate2xi)  # 49.0917508345 FOR COORDINATE2XI:  0x-27y-41z                                    
                                        
                                    except:
                                        coordinate2xi = '0x0y0z'
                                        print('(STEP 16A5g/33) OF COORDINATE_TENSES4XI *** FAILED WITH INDEX2REPLACE: ', index2replace, ' FOR VERB TENSE: ', tense2xi, ' USED (X,Y,Z) = ', coordinate2xi, ' DIRECTION: ', direction2tense)                                              
                                except:
                                    coordinate2xi = '0x0y0z'
                                    print('(STEP 16A5h/33) OF COORDINATE_TENSES4XI *** FAILED FOR VERB TENSE: ', tense2xi, ' USED (X,Y,Z) = ', coordinate2xi, ' DIRECTION: ', direction2tense)  
                                    # 244  >= DICTIONARY SIZE: 122, 0  FOR VERB TENSE:  passed  USED (X,Y,Z) =  0x0y0z  DIRECTION:  7
                            
                                            
                            # -------------------------------------------------------------------------------------------------------------------------
                            # EOF TENSE 2
                            # -------------------------------------------------------------------------------------------------------------------------
                            if ack2debug is True:
                                print('(STEP 16A5i/33) OF COORDINATE_TENSES4XI - END OF TENSE 2 BRANCH FOR TENSE: ', tense2xi)  
                                                        
                        except:
                        # ----------------------------------------------------------------------------------------------------------------------------- 
                        # INPUT LINE PROCESSING - LEVEL III - TENSE
                        # ----------------------------------------------------------------------------------------------------------------------------- 
                        
                            # ------------------------------------------------------------------------------------------------------------------------- 
                            # INPUT LINE PROCESSING - LEVEL IV - TENSE
                            # -------------------------------------------------------------------------------------------------------------------------                       
                            ack2reference = False  
                            # --------------------------------------------------------------------------------------------
                            # NO REFERENCE ATTRIBUTE FOUND - IS IT TENSE 3 OR 4
                            # -------------------------------------------------------------------------------------------- 
                            key2alpha = tense2xi[0].lower()  
                            key2try = 'symbol-' + tense2xi                                                                 # 'symbol-activating'             
                            try:
                                symbol2xi = VerbKB4Xi[key2alpha] [key2try]
                                ack2symbol = True
                                # ======================================================================================== 
                                # (STEP 17A/33) - IT IS TENSE 3 
                                # ========================================================================================             
                                if ack2debug is True:
                                    print('(STEP 17A0a/33) OF COORDINATE_TENSES4XI - TENSE3: ', tense2xi)
                                    # abbreviating 
    
                                key2cluster = ClusterKB4Xi[key2alpha] [tense2xi] 
                                if ack2debug is True:
                                    print('(STEP 17A0b/33) OF COORDINATE_TENSES4XI - KEY2CLUSTER: ', key2cluster)
                                    # 19
                                name2cluster = ClusterColor4Xi[key2cluster] [6]                     
                                if ack2debug is True:
                                    print('(STEP 17A0c/33) OF COORDINATE_TENSES4XI - NAME2CLUSTER: ', name2cluster)  
                                    # documentation
                                key2super = ClusterColor4Xi[key2cluster] [5]
                                if key2super == 0:
                                    key2super = 8 
                                if ack2debug is True:
                                    print('(STEP 17A0d/33) OF COORDINATE_TENSES4XI - KEY2SUPER: ', key2super)  
                                    # 7                                                       
                                name2super = SuperClusterColor4Xi[key2super] [5]                     
                                if ack2debug is True:
                                    print('(STEP 17A0e/33) OF COORDINATE_TENSES4XI - NAME2SUPER: ', name2super)
                                    # miscellaneous
                                    
                                ClusterColorStatistics4Xi [key2cluster] = ClusterColorStatistics4Xi [key2cluster] + 1
                                if ack2debug is True:
                                    print('(STEP 17A0f/33) OF COORDINATE_TENSES4XI - CLUSTERCOLORSTATISTICS4XI[',key2cluster, '] = ', ClusterColorStatistics4Xi [key2cluster])                            
            
                                SuperClusterColorStatistics4Xi [key2super] = SuperClusterColorStatistics4Xi [key2super] + 1
                                if ack2debug is True:
                                    print('(STEP 17A0g/33) OF COORDINATE_TENSES4XI - SUPERCLUSTERCOLORSTATISTICS4XI[',key2super, '] = ', SuperClusterColorStatistics4Xi [key2super]) 
                                                                                                                            
                                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                                # (STEP 17A/33) - CREATE (X,Y,Z) FOR TENSE 3 - LAYER DEPENDS ON ORDER(=TIME) - DIRECTION(1...8) DEPENDS ON SUPER-CLUSTER 
                                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~   
                                                               
                                direction2tense = key2super                                                                     # direction 1...8 depends on super-cluster
                                if direction2tense == 0:
                                    direction2tense = 8
                                    if ack2debug is True:
                                        print('(STEP 17A2a/33) OF COORDINATE_TENSES4XI - DIRECTION2TENSE: ', direction2tense)
                                        # 7 
                                        
                                else:    
                                    if ack2debug is True:
                                        print('(STEP 17A2b/33) OF COORDINATE_TENSES4XI - DIRECTION2TENSE: ', direction2tense)   #
                                        
                                
                                definition2xi = None
                                status2update = True                        
                                context2update =  {'tense':     tense2xi,
                                                 'definition':  definition2xi,
                                                 'clusterkey':  key2cluster,
                                                 'clustername': name2cluster,
                                                 'superkey':    key2super,
                                                 'supername':   name2super,
                                                 'direction':   direction2tense,
                                                 'order':       order2xi,
                                                 'status':      status2update,
                                                 'simulation':  'nack',
                                                 'layer':       0}
                                                 
                                              
                                if ack2debug is True:
                                    print('(STEP 17A2c/33) OF COORDINATE_TENSES4XI - TRYING TO UPGRADE CONTEXT2CAST: ', context2update)     
                                    # {'status': False, 'definition': 'to reduce in length, duration etc.', 'direction': 7, 'tense': 'abbreviating', 'supername': 'miscellaneous', 'clustername': 'documentation', 'clusterkey': 19, 'order': 552, 'superkey': 7}
     
                                    
                                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                                # (STEP 17A3/33) - CAST COORDINATE CONTEXT FOR TENSE 3 
                                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~   
                                context2cast = {}
                                try:             
                                    context2cast = cast2tense4xi(context2update)
                                    if ack2debug is True:
                                        print('(STEP 17A3a/33) OF COORDINATE_TENSES4XI - GOT CONTEXT2TENSE: ', context2cast) 
                                except:
                                    print('(STEP 17A4/33) OF COORDINATE_TENSES4XI *** FAILED TO UPGRADE CONTEXT2UPDATE: ', context2update)
                                    #  
                                
                                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                                # (STEP 17A4/33) - DETERMINE INDEX TO (X,Y,Z) FROM CONTEXT FOR TENSE 3 
                                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~   
                                if ack2debug is True:
                                    print("(STEP 17A4a/33) OF COORDINATE_TENSES4XI - TRYING TO DETERMINE INDEX2CAST")
                                try:
                                    index2order = int(context2cast['indexfire'])
                                    if ack2debug is True:
                                        print("(STEP 17A4b/33) OF COORDINATE_TENSES4XI - INDEX2ORDER", index2order)       # 20
                                    
                                    index2cast = order2cast[index2order]                                              # use the first available (x,y,z) INDEX to this direction and for the required distance
                                    if ack2debug is True:                                                             
                                        print('(STEP 17A4c/33) OF COORDINATE_TENSES4XI - INDEX2CAST: ', index2cast, ' WITH INDEX2ORDER: ', index2order)
                                        # INDEX2CAST:  1  WITH INDEX2ORDER:  20                                                                               
                                except:
                                    index2cast = 1  
                                    print('(STEP 17A4c/33) OF COORDINATE_TENSES4XI *** FAILED TO SET INDEX TO ACCESS (X,Y,X) - USED INDEX2CAST: ', index2cast)
                            
                            
                                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                                # (STEP 17A5/33) - SET DICTIONARY FOR TENSE 3 FROM CONTEXT RECEIVED
                                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~                              
                                dictionary2cast = {} 
                                try: 
                                    dictionary2cast = context2cast['dictionary']
                                    if ack2debug is True:
                                        print('(STEP 17A5a/33) OF COORDINATE_TENSES4XI - DICTIONARY2CAST: ', dictionary2cast)
                                        # {1: '-10x-11y36z', 2: '-10x-12y36z', 3: '-10x-13y36z' ... 
                                except:
                                    print('(STEP 17A5b/33) OF COORDINATE_TENSES4XI ** FAILED TO SET DICTIONARY2CAST *** ')
                                    # 
                                
                                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                                # (STEP 17A5/33) - DETERMINE (X,Y,Z) FOR TENSE 3 USING THE FIRST AVAILABLE INDEX AND RECEIVED CONTEXT
                                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~                           
                                print('(STEP 17A6c/33) OF COORDINATE_TENSES4XI USING INDEX2CAST: ', index2cast)
                                # 3 
                                
                                try:                                                                          
                                    coordinate2xi = dictionary2cast[index2cast]                               # use the dictionary of the context and the calculated index into it
                                    if ack2debug is True:
                                        print('(STEP 17A5d/33) OF COORDINATE_TENSES4XI - COORDINATE2XI: ', coordinate2xi) 
                                        # -10x-13y36z 
                                    i2x = str.find(coordinate2xi,"x")
                                    i2y = str.find(coordinate2xi,"y") 
                                    i2z = str.find(coordinate2xi,"z")
                            
                                    x2coordinate = int(coordinate2xi[0:i2x])
                                    y2coordinate = int(coordinate2xi[i2x+1:i2y])
                                    z2coordinate = int(coordinate2xi[i2y+1:i2z])
                                    if ack2debug is True:
                                        print('(STEP 17A5d2/33) OF COORDINATE_TENSES4XI - X: ', x2coordinate, ' Y: ', y2coordinate, ' Z: ', z2coordinate)      # X:  0  Y:  -27  Z:  -41                            
                                 
                                    radius2coordinate = (x2coordinate**2 + y2coordinate**2 + z2coordinate**2) ** (1/2)
                                    if ack2debug is True:
                                        print('(STEP 17A5d3/33) OF COORDINATE_TENSES4XI - RADIUS: ', radius2coordinate, 'FOR COORDINATE2XI: ', coordinate2xi)  # 49.0917508345 FOR COORDINATE2XI:  0x-27y-41z                          
                                except:
                                    print('(STEP 17A6c/33) OF COORDINATE_TENSES4XI - TRYING TO REUSE INDEX2CAST: ', index2cast, ' >= DICTIONARY SIZE:', len(dictionary2cast)) 
                                    #  
                                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                                    # 
                                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                                    try:
                                        # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                                        # 
                                        # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~                            
                                        ack2new = False
                                        index2replace = index2cast
                                        max2use = len(dictionary2cast)
                                        while ack2new is False:                                       
                                            index2replace = index2replace - max2use                   
                                            if index2replace < max2use:
                                                if index2replace == 0:
                                                    index2replace = 1                                         
                                                ack2new = True
                                        # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                                        # 
                                        # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~     
                                        try:    
                                            coordinate2xi = dictionary2cast[index2replace]
                                            print('(STEP 17A6d) OF COORDINATE_TENSES4XI ** WARNED: OVERFLOW WITH VERB TENSE: ', tense2xi, ' INDEX2REPLACE: ', index2replace, ' (X,Y,Z) REUSED = ', coordinate2xi, ' DIRECTION: ', direction2tense) 
                                            # discarding  INDEX2REPLACE:  2  (X,Y,Z) REUSED =  1009x2502y-1526z  DIRECTION:  3
                                            # passing  INDEX2REPLACE:  59    (X,Y,Z) REUSED =  -2610x-1647y285z  DIRECTION:  7 <-- many!
                                            # returning  INDEX2REPLACE:  54  (X,Y,Z) REUSED =  210x341y-3073z    DIRECTION:  3 <-- many
                                            # sleeping  INDEX2REPLACE:  75  (X,Y,Z) REUSED =  316x3006y-684z  DIRECTION:     3 <-- MANY!
                                            # 
                                            i2x = str.find(coordinate2xi,"x")
                                            i2y = str.find(coordinate2xi,"y") 
                                            i2z = str.find(coordinate2xi,"z")
                            
                                            x2coordinate = int(coordinate2xi[0:i2x])
                                            y2coordinate = int(coordinate2xi[i2x+1:i2y])
                                            z2coordinate = int(coordinate2xi[i2y+1:i2z])
                                            if ack2debug is True:
                                                print('(STEP 15A5d2/33) OF COORDINATE_TENSES4XI - X: ', x2coordinate, ' Y: ', y2coordinate, ' Z: ', z2coordinate)      # X:  0  Y:  -27  Z:  -41                            
                                 
                                            radius2coordinate = (x2coordinate**2 + y2coordinate**2 + z2coordinate**2) ** (1/2)
                                            if ack2debug is True:
                                                print('(STEP 15A5d3/33) OF COORDINATE_TENSES4XI - RADIUS: ', radius2coordinate, 'FOR COORDINATE2XI: ', coordinate2xi)  # 49.0917508345 FOR COORDINATE2XI:  0x-27y-41z                                        
                                        except:
                                            coordinate2xi = '0x0y0z'
                                            print('(17A6e) OF COORDINATE_TENSES4XI *** FAILED WITH INDEX2REPLACE: ', index2replace, ' FOR VERB TENSE: ', tense2xi, ' USED (X,Y,Z) = ', coordinate2xi, ' DIRECTION: ', direction2tense)                                      
                                    except:
                                        coordinate2xi = '0x0y0z'
                                        print('(17A6f) OF COORDINATE_TENSES4XI *** FAILED FOR VERB TENSE: ', tense2xi, ' USED (X,Y,Z) = ', coordinate2xi, ' DIRECTION: ', direction2tense)      
                                        # 
    
                                                                                                                                                                                        
                                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                                # (STEP 17A6/33) - UPDATE NEXT AVAILABLE/REUSABLE ORDER FOR TENSE 3
                                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~                             
                                print('(STEP 17A6g/33) OF COORDINATE_TENSES4XI - TRYING TO UPDATE NEXT AVAILABLE/REUSABLE ORDER')
                                try:
                                    order2cast[index2order] = order2cast[index2order] + 1
                
                                    if ack2debug is True: 
                                        print("(STEP 17A6h/33) OF COORDINATE_TENSES4XI - ORDER2CAST[", index2order, "]: ", order2cast[index2order]) #  
                                                                           #                                   
                                except:
                                    print('(STEP 17A6i/33) OF COORDINATE_TENSES4XI *** FAILED TO UPDATE NEXT AVAILABLE/REUSABLE ORDER')
                                    
                            # --------------------------------------------------------------------------------------------------------------------- 
                            # INPUT LINE PROCESSING - LEVEL IV - TENSE
                            # ---------------------------------------------------------------------------------------------------------------------    
                            except:
                                # ----------------------------------------------------------------------------------------------------------------- 
                                # INPUT LINE PROCESSING - LEVEL V - TENSE
                                # -----------------------------------------------------------------------------------------------------------------                         
                                ack2symbol = False
                                # ============================================================================================ 
                                # (STEP 18A0a/33) - NO SYMBOL ATTRIBUTE FOUND - TENSE 4
                                # ============================================================================================ 
                                key2try = 'cluster-' + tense2xi                                                            # 'cluster-done'             
                                if ack2debug is True:
                                    print('(STEP 18A0b/33) OF COORDINATE_TENSES4XI - KEY2TRY: ', key2try)                   # born, done 
                                    # cluster-born 
                                
                                    print('(STEP 18A0c/33) OF COORDINATE_TENSES4XI - TRYING TO SET SYMBOL2XI') 
                                    #
                                                                 
                                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                                # TENSE 4
                                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~                                   
                                key2alpha = tense2xi[0].lower()
                                try:
                                    symbol2xi = VerbKB4Xi[key2alpha] [key2try]
                                    if ack2debug is True:
                                        print('(STEP 18A0d/33) OF COORDINATE_TENSES4XI - SYMBOL2XI: ', symbol2xi)           # born, done 
                                        # 17                             
                                except:
                                    print('(STEP 18A0e/33) OF COORDINATE_TENSES4XI *** FAILED TO SET SYMBOL2XI') 
                                    #            
    
                                if ack2debug is True:
                                    print('(STEP 18A0f/33) OF COORDINATE_TENSES4XI - TENSE4: ', tense2xi)                   # born, done                                                                     
                                    # born
                                    
                                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                                # (STEP 18B/33) - CLUSTER - TENSE 4
                                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                                                                
                                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                                # 
                                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~                                             
                                if ack2debug is True:
                                    print('(STEP 18A0g/33) OF COORDINATE_TENSES4XI - TRYING TO SET KEY2CLUSTER, KEY2ALPHA: ', key2alpha, ' TENSE2XI: ', tense2xi, ' CLUSTERKB4XI: ', ClusterKB4Xi)
                                    # born, done, taken-into-account, taken-off 
                                
                                try:
                                    key2cluster = ClusterKB4Xi[key2alpha] [tense2xi] 
                                    if ack2debug is True:
                                        print('(STEP 18A0h/33) OF COORDINATE_TENSES4XI - KEY2CLUSTER: ', key2cluster)
                                        # 17 
                                except:
                                        print('(STEP 18A0i/33) OF COORDINATE_TENSES4XI *** FAILED TO SET KEY2CLUSTER ***')
                                                                
                                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                                # TENSE 4
                                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~                                         
                                if ack2debug is True:
                                    print('(STEP 18A0j/33) OF COORDINATE_TENSES4XI - TRYING TO SET NAME2CLUSTER')
                                
                                    # birth
                                try:                                    
                                    name2cluster = ClusterColor4Xi[key2cluster] [6]                     
                                    if ack2debug is True:
                                        print('(STEP 18A0k/33) OF COORDINATE_TENSES4XI - NAME2CLUSTER: ', name2cluster)
                                        # 
                                except:
                                    print('(STEP 18A0l/33) OF COORDINATE_TENSES4XI *** FAILED TO TO SET NAME2CLUSTER ***')
                                                                
                                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                                # TENSE 4
                                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~                                     
                                if ack2debug is True:
                                    print('(STEP 18A0m/33) OF COORDINATE_TENSES4XI - TRYING TO SET KEY2SUPER')
                                    # 
                                try:           
                                    key2super = ClusterColor4Xi[key2cluster] [5]
                                    if key2super == 0:
                                        key2super = 8 
                                    if ack2debug is True:
                                        print('(STEP 18A0n/33) OF COORDINATE_TENSES4XI - KEY2SUPER: ', key2super)
                                        # 2
                                except:
                                    print('(STEP 18A0o/33) OF COORDINATE_TENSES4XI *** FAILED TO SET KEY2SUPER ***')
                                                                
                                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                                # TENSE 4
                                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~                                                                                                       
                                if ack2debug is True:
                                    print('(STEP 18A0p/33) OF COORDINATE_TENSES4XI - TRYING TO SET NAME2SUPER')
                                    #
                                try:
                                    name2super = SuperClusterColor4Xi[key2super] [5]                     
                                    if ack2debug is True:
                                        print('(STEP 18A0q/33) OF COORDINATE_TENSES4XI - NAME2SUPER: ', name2super)
                                        # manoeuvres 
                                        
                                except:
                                    print('(STEP 18B12/33) OF COORDINATE_TENSES4XI *** FAILED TO SET NAME2SUPER ***')
                                                                
                                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                                # TENSE 4
                                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~                                 
                                if ack2debug is True:
                                    print('(STEP 18A0r/33) OF COORDINATE_TENSES4XI - TRYING TO UPDATE CLUSTERCOLORSTATISTICS4XI')
                                    #
                                try:                                               
                                    ClusterColorStatistics4Xi [key2cluster] = ClusterColorStatistics4Xi [key2cluster] + 1
                                    if ack2debug is True:
                                        print('(STEP 18A0t/33) OF COORDINATE_TENSES4XI - CLUSTERCOLORSTATISTICS4XI[',key2cluster, '] = ', ClusterColorStatistics4Xi [key2cluster])
                                except:
                                    print('(STEP 18A0t/33) OF COORDINATE_TENSES4XI *** FAILED TO UPDATE CLUSTERCOLORSTATISTICS4XI ***')
                                                                
                                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                                # TENSE 4
                                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~                                     
                                if ack2debug is True:
                                    print('(STEP 18A0t/33) OF COORDINATE_TENSES4XI - TRYING TO UPDATE SUPERCLUSTERCOLORSTATISTICS4XI') 
                                    #
                                try:                                                                
                                    SuperClusterColorStatistics4Xi [key2super] = SuperClusterColorStatistics4Xi [key2super] + 1
                                    if ack2debug is True:
                                        print('(STEP 16A0u/33) OF COORDINATE_TENSES4XI - SuperCLUSTERCOLORSTATISTICS4XI[',key2super, '] = ', SuperClusterColorStatistics4Xi [key2super])      
                                except:
                                    print('(STEP 18A0v/33) OF COORDINATE_TENSES4XI *** FAILED TO UPDATE SUPERCLUSTERCOLORSTATISTICS4XI ***')
                                                                
                                                                                            
                                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                                # (STEP 18A/33) - CREATE (X,Y,Z) FOR TENSE 4 - LAYER DEPENDS ON ORDER(=TIME) - DIRECTION(1...8) DEPENDS ON SUPER-CLUSTER 
                                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~   
                                                               
                                direction2tense = key2super                                                                     # direction 1...8 depends on super-cluster
                                if direction2tense == 0:
                                    direction2tense = 8
                                    if ack2debug is True:
                                        print('(STEP 18A2a/33) OF COORDINATE_TENSES4XI - DIRECTION2TENSE: ', direction2tense)
                                        #
                                        
                                else:    
                                    if ack2debug is True:
                                        print('(STEP 18A2b/33) OF COORDINATE_TENSES4XI - DIRECTION2TENSE: ', direction2tense)   # 4 
                                        
                                
                                definition2xi =  None
                                status2update = True
                                try:                       
                                    context2update =  {'tense':  tense2xi,          # accepted
                                                  'definition':  definition2xi,
                                                  'clusterkey':  key2cluster,
                                                 'clustername':  name2cluster,
                                                    'superkey':  key2super,
                                                   'supername':  name2super,
                                                   'direction':  direction2tense,
                                                       'order':  order2xi,
                                                      'status':  status2update,
                                                  'simulation':  'nack',
                                                  'layer':       0}
    
                                except:
                                    print('(STEP 18A2c/33) OF COORDINATE_TENSES4XI *** FAILED TO SET CONTEXT2UPDATE ***')                  
                                              
                                if ack2debug is True:
                                    print('(STEP 18A2d/33) OF COORDINATE_TENSES4XI - TRYING TO UPGRADE CONTEXT2CAST: ', context2update)     
                                    # {'status': False, 'definition': 'to state with assurance.', 'direction': 2, 'tense': 'born', 'supername': 'manoeuvres', 'clustername': 'birth', 'clusterkey': 17, 'order': 586, 'superkey': 2}
     
                                    
                                    
                                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                                # (STEP 18A3/33) - CAST COORDINATE CONTEXT FOR TENSE 4 
                                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~   
                                context2cast = {}
                                try:             
                                    context2cast = cast2tense4xi(context2update)
                                    if ack2debug is True:
                                        print('(STEP 18A3a/33) OF COORDINATE_TENSES4XI - GOT CONTEXT2TENSE: ', context2cast) 
                                except:
                                    print('(STEP 18A4/33) OF COORDINATE_TENSES4XI *** FAILED TO UPGRADE CONTEXT2UPDATE: ', context2update)
                                    #  
                                
                                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                                # (STEP 18A4/33) - DETERMINE INDEX TO (X,Y,Z) FROM CONTEXT FOR TENSE 4 
                                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~   
                                if ack2debug is True:
                                    print("(STEP 18A4a/33) OF COORDINATE_TENSES4XI - TRYING TO DETERMINE INDEX2CAST")
                                try:
                                    index2order = int(context2cast['indexfire'])
                                    if ack2debug is True:
                                        print("(STEP 18A4b/33) OF COORDINATE_TENSES4XI - INDEX2ORDER", index2order)       # 20
                                    
                                    index2cast = order2cast[index2order]                                              # use the first available (x,y,z) INDEX to this direction and for the required distance
                                    if ack2debug is True:                                                             
                                        print('(STEP 18A4c/33) OF COORDINATE_TENSES4XI - INDEX2CAST: ', index2cast, ' WITH INDEX2ORDER: ', index2order)
                                        # INDEX2CAST:  1  WITH INDEX2ORDER:  20                                                                               
                                except:
                                    index2cast = 1  
                                    print('(STEP 18A4c/33) OF COORDINATE_TENSES4XI *** FAILED TO SET INDEX TO ACCESS (X,Y,X) - USED INDEX2CAST: ', index2cast)
                            
                            
                                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                                # (STEP 18A5/33) - SET DICTIONARY FOR TENSE 4 FROM CONTEXT RECEIVED
                                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~                              
                                dictionary2cast = {} 
                                try: 
                                    dictionary2cast = context2cast['dictionary']
                                    if ack2debug is True:
                                        print('(STEP 18A5a/33) OF COORDINATE_TENSES4XI - DICTIONARY2CAST: ', dictionary2cast)
                                        # {1: '0x13y-699z', 2: '0x165y-680z', 3: '0x20y-699z' ... 
                                except:
                                    print('(STEP 18A5b/33) OF COORDINATE_TENSES4XI ** FAILED TO SET DICTIONARY2CAST *** ')
                                    # 
                                
                                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                                # (STEP 18A5/33) - DETERMINE (X,Y,Z) FOR TENSE 4 USING THE FIRST AVAILABLE INDEX AND RECEIVED CONTEXT
                                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~                           
                                print('(STEP 18A6c/33) OF COORDINATE_TENSES4XI USING INDEX2CAST: ', index2cast)
                                # 34 
                                # ----------------------------------------------------------------------------------------------------------------- 
                                # INPUT LINE PROCESSING - LEVEL V - TENSE
                                # -----------------------------------------------------------------------------------------------------------------                             
                                try:                                                                          
                                    coordinate2xi = dictionary2cast[index2cast]                               # use the dictionary of the context and the calculated index into it
                                    if ack2debug is True:
                                        print('(STEP 18A5d/33) OF COORDINATE_TENSES4XI - COORDINATE2XI: ', coordinate2xi) 
                                        # 200x182y-645z
                                    i2x = str.find(coordinate2xi,"x")
                                    i2y = str.find(coordinate2xi,"y") 
                                    i2z = str.find(coordinate2xi,"z")
                            
                                    x2coordinate = int(coordinate2xi[0:i2x])
                                    y2coordinate = int(coordinate2xi[i2x+1:i2y])
                                    z2coordinate = int(coordinate2xi[i2y+1:i2z])
                                    if ack2debug is True:
                                        print('(STEP 15A5d2/33) OF COORDINATE_TENSES4XI - X: ', x2coordinate, ' Y: ', y2coordinate, ' Z: ', z2coordinate)      # X:  0  Y:  -27  Z:  -41                            
                                 
                                    radius2coordinate = (x2coordinate**2 + y2coordinate**2 + z2coordinate**2) ** (1/2)
                                    if ack2debug is True:
                                        print('(STEP 15A5d3/33) OF COORDINATE_TENSES4XI - RADIUS: ', radius2coordinate, 'FOR COORDINATE2XI: ', coordinate2xi)  # 49.0917508345 FOR COORDINATE2XI:  0x-27y-41z
                                # ------------------------------------------------------------------------------------------------------------------ 
                                # INPUT LINE PROCESSING - LEVEL V - TENSE
                                # ------------------------------------------------------------------------------------------------------------------                                                                
                                except:
                                    # -------------------------------------------------------------------------------------------------------------- 
                                    # INPUT LINE PROCESSING - LEVEL VI - TENSE
                                    # --------------------------------------------------------------------------------------------------------------                             
                                    print('(STEP 18A5e/33) OF COORDINATE_TENSES4XI - TRYING TO REUSE INDEX2CAST: ', index2cast, ' >= DICTIONARY SIZE:', len(dictionary2cast)) 
                                    #  
                                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                                    # 
                                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                                    try:
                                        # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                                        # INPUT LINE PROCESSING - LEVEL VII - TENSE
                                        # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~                            
                                        ack2new = False
                                        index2replace = index2cast
                                        max2use = len(dictionary2cast)
                                        while ack2new is False:                                       
                                            index2replace = index2replace - max2use                   
                                            if index2replace < max2use:
                                                if index2replace == 0:
                                                    index2replace = 1                                         
                                                ack2new = True
                                        # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                                        # INPUT LINE PROCESSING - LEVEL VII - TENSE
                                        # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~     
                                        try:
                                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                                            # INPUT LINE PROCESSING - LEVEL VIII - TENSE
                                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~                 
                                            coordinate2xi = dictionary2cast[index2replace]
                                            print('(STEP 18A5f/33) OF COORDINATE_TENSES4XI ** WARNED: OVERFLOW WITH VERB TENSE: ', tense2xi, ' INDEX2REPLACE: ', index2replace, ' (X,Y,Z) REUSED = ', coordinate2xi, ' DIRECTION: ', direction2tense) 
                                            # shown               INDEX2REPLACE:  51  (X,Y,Z) REUSED =  2063x2291y-318z  DIRECTION:  3 <-- operations
                                            # taken-into-account  INDEX2REPLACE:  68  (X,Y,Z) REUSED =  246x2378y-1972z  DIRECTION:  3 <-- manoeuvring
                                            # weight              INDEX2REPLACE:  9  (X,Y,Z) REUSED =  10x15y-3099z      DIRECTION:  3 <-- operations
                                            # woken               INDEX2REPLACE:  14  (X,Y,Z) REUSED =  123x811y-2989z   DIRECTION:  3 <-- operations
                                            i2x = str.find(coordinate2xi,"x")
                                            i2y = str.find(coordinate2xi,"y") 
                                            i2z = str.find(coordinate2xi,"z")
                            
                                            x2coordinate = int(coordinate2xi[0:i2x])
                                            y2coordinate = int(coordinate2xi[i2x+1:i2y])
                                            z2coordinate = int(coordinate2xi[i2y+1:i2z])
                                            if ack2debug is True:
                                                print('(STEP 18A5d2/33) OF COORDINATE_TENSES4XI - X: ', x2coordinate, ' Y: ', y2coordinate, ' Z: ', z2coordinate)      # X:  0  Y:  -27  Z:  -41                            
                                 
                                            radius2coordinate = (x2coordinate**2 + y2coordinate**2 + z2coordinate**2) ** (1/2)
                                            if ack2debug is True:
                                                print('(STEP 18A5d3/33) OF COORDINATE_TENSES4XI - RADIUS: ', radius2coordinate, 'FOR COORDINATE2XI: ', coordinate2xi)  # 49.0917508345 FOR COORDINATE2XI:  0x-27y-41z
                                                                               
                                        except:
                                            coordinate2xi = '0x0y0z'
                                            print('(18A5g/33) OF COORDINATE_TENSES4XI *** FAILED WITH INDEX2REPLACE: ', index2replace, ' FOR VERB TENSE: ', tense2xi, ' USED (X,Y,Z) = ', coordinate2xi, ' DIRECTION: ', direction2tense)
                                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                                            # INPUT LINE PROCESSING - LEVEL VIII - TENSE
                                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~                                                        
                                        # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                                        # INPUT LINE PROCESSING - LEVEL VII - TENSE
                                        # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~                 
                                    # ------------------------------------------------------------------------------------------------------------------ 
                                    # INPUT LINE PROCESSING - LEVEL VI - TENSE
                                    # ------------------------------------------------------------------------------------------------------------------                                    
                                    except:
                                        coordinate2xi = '0x0y0z'
                                        print('(18A5h/33) OF COORDINATE_TENSES4XI *** FAILED FOR VERB TENSE: ', tense2xi, ' USED (X,Y,Z) = ', coordinate2xi, ' DIRECTION: ', direction2tense)      
                                        # 
                                    # ------------------------------------------------------------------------------------------------------------------ 
                                    # INPUT LINE PROCESSING - LEVEL VI - TENSE
                                    # ------------------------------------------------------------------------------------------------------------------                                        
                                # ----------------------------------------------------------------------------------------------------------------------
                                # INPUT LINE PROCESSING - LEVEL V - TENSE
                                # ---------------------------------------------------------------------------------------------------------------------- 
                                                                    
                                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                                # (STEP 18A6/33) - UPDATE THE NEXT AVAILABLE INDEX FOR TENSE 4 
                                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~   
                                if ack2debug is True:
                                    print("(STEP 18A6a/33) OF COORDINATE_TENSES4XI - TRYING TO UPDATE THE NEXT AVAILABLE INDEX FOR TENSE 4")  
                                  
                                try:
                                    order2cast[index2order] = order2cast[index2order] + 1 
                                    if ack2debug is True:
                                        print("(STEP 18A6b/33) OF COORDINATE_TENSES4XI - ORDER2CAST[", index2order, "]: ", order2cast[index2order]) # ORDER2CAST[ 20 ]:  2 
                                except:
                                    print('(STEP 18A6c/33) OF COORDINATE_TENSES4XI *** FAILED FOR VERB TENSE: ', tense2xi, ' (X,Y,Z) = ', coordinate2xi)
                                # --------------------------------------------------------------------------------------------------------------------- 
                                # INPUT LINE PROCESSING - LEVEL V - TENSE
                                # --------------------------------------------------------------------------------------------------------------------- 
                                if ack2debug is True:
                                    print('(STEP 18A6d/33) OF COORDINATE_TENSES4XI - LEVEL V - TENSE - END FOR : ', tense2xi, ' INPUT_LINE2XI: ', input_line2xi)
                                                                                                             
                            # ------------------------------------------------------------------------------------------------------------------------- 
                            # INPUT LINE PROCESSING - LEVEL IV - TENSE
                            # -------------------------------------------------------------------------------------------------------------------------
                            if ack2debug is True:
                                print('(STEP 18A6e/33) OF COORDINATE_TENSES4XI - LEVEL IV - TENSE - END FOR : ', tense2xi, ' INPUT_LINE2XI: ', input_line2xi)
                                               
                        # ----------------------------------------------------------------------------------------------------------------------------- 
                        # INPUT LINE PROCESSING - LEVEL III - TENSE
                        # ----------------------------------------------------------------------------------------------------------------------------- 
                        if ack2debug is True:
                            print('(STEP 18A6f/33) OF COORDINATE_TENSES4XI - LEVEL III - TENSE - END FOR : ', tense2xi, ' INPUT_LINE2XI: ', input_line2xi)                
                    # -----------------------------------------------------------------------------------------------------
                    # INPUT LINE PROCESSING - LEVEL II
                    # ----------------------------------------------------------------------------------------------------- 
                    if ack2debug is True:
                        print('(STEP 18A6h/33) OF COORDINATE_TENSES4XI - LEVEL II - TENSE - END FOR : ', tense2xi, ' INPUT_LINE2XI: ', input_line2xi)
                                             
                # ---------------------------------------------------------------------------------------------------------
                # INPUT LINE PROCESSING - LEVEL I 
                # --------------------------------------------------------------------------------------------------------- 
                
                else:
                # ---------------------------------------------------------------------------------------------------------
                # INPUT LINE PROCESSING - LEVEL I
                # ---------------------------------------------------------------------------------------------------------
                
                    # -----------------------------------------------------------------------------------------------------
                    # INPUT LINE PROCESSING - LEVEL II
                    # -----------------------------------------------------------------------------------------------------             
    
                                              
                    # -----------------------------------------------------------------------------------------------------
                    # NO VERB TENSE IN THE INPUT LINE
                    # ----------------------------------------------------------------------------------------------------- 
                    if ack2debug is True:
                        print('(STEP 18A6i/33) OF COORDINATE_TENSES4XI - LEVEL II - NO VERB TENSE IN THE INPUT LINE')   
                         
                # ---------------------------------------------------------------------------------------------------------
                # INPUT LINE PROCESSING - LEVEL I
                # --------------------------------------------------------------------------------------------------------- 
                if ack2debug is True:
                    print('(STEP 18A6j/33) OF COORDINATE_TENSES4XI - LEVEL I - END')                             
            # -------------------------------------------------------------------------------------------------------------
            # end of while
            # ------------------------------------------------------------------------------------------------------------- 
            
        # -----------------------------------------------------------------------------------------------------------------
        # INPUT FILE PROCESSED - STARTING STATISTICS
        # -----------------------------------------------------------------------------------------------------------------                            
                                                 
        # -----------------------------------------------------------------------------------------
        # (STEP 19/33)
        # -----------------------------------------------------------------------------------------
        if ack2debug is True:            
            print('(STEP 19A/33) OF COORDINATE_TENSES4XI - READ INPUT FILE LINECOUNT2XI: ', linecount2xi)            # 3291    
            print('(STEP 19B/33) OF COORDINATE_TENSES4XI - MAX2ORDER: ', max2order)                                  # 1098
            
            print('(STEP 19C/33) OF COORDINATE_TENSES4XI - CLUSTERCOLORSTATISTICS4XI:', ClusterColorStatistics4Xi)   #  {0: 0, 1: 81, 2: 3, 3: 34, 4: 24, 5: 6, 6: 12, 7: 8, 8: 10, 9: 12, 10: 54, 11: 7, 12: 14, 13: 9, 14: 36, 15: 6, 16: 0, 17: 3, 18: 2, 19: 15, 20: 23, 21: 0, 22: 0, 23: 0, 24: 0, 25: 0, 26: 0, 27: 0, 28: 0, 29: 0, 30: 0, 31: 0, 32: 0, 33: 0}
    
        keys2cluster = ClusterColorStatistics4Xi.keys()
        if ack2debug is True:     
            print('(STEP 19D/33) OF COORDINATE_TENSES4XI - KEYS2CLUSTER: ', keys2cluster)                            # dict_keys([0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33])
             
        total2cluster = 0 
        if ack2debug is True:
            print('=' *70)                
            print('(STEP 19E/33) OF COORDINATE_TENSES4XI - CLUSTERCOLORSTATISTICS4XI:') 
         
        keys2cluster = ClusterColor4Xi.keys()       
        for key2cluster in sorted(keys2cluster):
            try:
                if ClusterColor4Xi[key2cluster] [6] == "FREE":
                    pass
                else:
                    if ack2debug is True:    
                        print('[', key2cluster, ']: ', ClusterColor4Xi[key2cluster] [6], ClusterColorStatistics4Xi[key2cluster])
                    total2cluster = total2cluster + ClusterColorStatistics4Xi[key2cluster]
            except:
                pass
                
        if ack2debug is True:            
            print('=' *70) 
            print('(STEP 19F/33) OF COORDINATE_TENSES4XI - TOTAL CLUSTER: ', total2cluster)
            print('=' *70)
            
        # ====================================================================== 
        # (STEP 19E/33) OF COORDINATE_TENSES4XI - CLUSTERCOLORSTATISTICS4XI:
        # [ 1 ]:  operations 28
        # [ 2 ]:  challenges 0
        # [ 3 ]:  network 0
        # [ 4 ]:  arithmetics 0
        # [ 5 ]:  events 0
        # [ 6 ]:  problems 0
        # [ 7 ]:  tuning 0
        # [ 8 ]:  acing 9
        # [ 9 ]:  manoeuvring 0
        # [ 10 ]:  administration 0
        # [ 11 ]:  sensing 2
        # [ 12 ]:  activity 19
        # [ 13 ]:  logical 1
        # [ 14 ]:  force 0
        # [ 15 ]:  messaging 0
        # [ 16 ]:  queuing 0
        # [ 17 ]:  birth 1
        # [ 18 ]:  activation 1
        # [ 19 ]:  documentation 2
        # [ 20 ]:  dataflow 13
        # [ 21 ]:  scoping 0
        # [ 22 ]:  graphics 0
        # [ 23 ]:  filing 0
        # ======================================================================
        # (STEP 19F/33) OF COORDINATE_TENSES4XI - TOTAL CLUSTER:  76
        # ======================================================================
            
               
        if ack2debug is True:
            print('=' *70) 
            print('(STEP 19g/33) OF COORDINATE_TENSES4XI - SUPERCLUSTERCOLORSTATISTICS4XI:')     
    
        total2super = 0        
        keys2super = SuperClusterColorStatistics4Xi.keys()
        for key2super in sorted(keys2super):
            if key2super == 0:
                pass
            else:        
                print('[', key2super, ']: ', SuperClusterColor4Xi[key2super] [5], ':', SuperClusterColorStatistics4Xi[key2super])
            
                total2super = total2super + SuperClusterColorStatistics4Xi[key2super]
        
        if total2cluster == total2super:
           ack2total = True
        else:
           ack2total = False
        if ack2debug is True:                        
            print('=' *70) 
            print('(STEP 19i/33) OF COORDINATE_TENSES4XI - TOTAL SUPER: ', total2super, ' = ', ack2total) 
            print('=' *70)
            
        # (STEP 19g/33) OF COORDINATE_TENSES4XI - SUPERCLUSTERCOLORSTATISTICS4XI:
        # [ 1 ]:  theater : 2
        # [ 2 ]:  network : 0
        # [ 3 ]:  manoeuvres : 1
        # [ 4 ]:  operations : 29
        # [ 5 ]:  successes : 29
        # [ 6 ]:  challenges : 0
        # [ 7 ]:  problems : 0
        # [ 8 ]:  miscellaneous : 15
        # ======================================================================
        # (STEP 19i/33) OF COORDINATE_TENSES4XI - TOTAL SUPER:  76  =  True
        # ======================================================================
            
    
        # -----------------------------------------------------------------------------------------
        # (STEP 20/33) - STATISTICS OF CLUSTERS
        # -----------------------------------------------------------------------------------------
        if ack2debug is True:          
            print("(STEP 20A0a/33) OF COORDINATE_TENSES4XI - CREATING STATISTICS FOR CLUSTERS FOR VERBS")      
        
        order2xi = 3201                                                                                  # 3200 = layer used for cluster statistics
                      
        class2xi = '   <owl:Class rdf:ID="ClusterColorStatistics4Xi">\n'
        f2xi.write(class2xi)         
            
        operation_comment2xi = '      <define4xi xml:lang="en">Statistics of Clusters for Verbs</define4xi>\n'
        f2xi.write(operation_comment2xi)
        
        # -------------------------------------------------------------------------------------------------
        # STATISTICS FOR ALL CLUSTERS TO LAYER 3200 - NOTE THAT KEY STARTS WITH 1
        # -------------------------------------------------------------------------------------------------    
        keys2cluster = ClusterColor4Xi.keys()
        for key2cluster in sorted(keys2cluster):
        
            # -----------------------------------------------------------------------------------------
            # 
            # -----------------------------------------------------------------------------------------     
            print('(STEP 20A0/33) OF COORDINATE_TENSES4XI: TRYING STATISTICS FOR KEY2CLUSTER: ', key2cluster)
            try:
                # ---------------------------------------------------------------------------------
                # SIMULATE CLUSTERS AS VERBS
                # ---------------------------------------------------------------------------------           
                tense2xi = ClusterColor4Xi[key2cluster] [6]  # operations, challenges ... simulated tense
                definition2xi = tense2xi                     # simulated
                
                if ack2debug is True:          
                    print('(STEP 20A0a/33) OF COORDINATE_TENSES4XI: SIMULATED TENSE2XI: ', ClusterColor4Xi[key2cluster] [6], ' STATISTICS: ', ClusterColorStatistics4Xi[key2cluster])
                    # SIMULATED TENSE2XI:  operations  STATISTICS:  2641
                    # 
                    
                stat2xi =  ClusterColorStatistics4Xi[key2cluster]
                if stat2xi >= 0:
                    # ---------------------------------------------------------------------------------
                    # (X,Y,Z) NODES ALSO TO CLUSTER WITH NO DATE FOR SKELETON TO BE ZAPPED
                    # ---------------------------------------------------------------------------------                
                    try:           
                        key2super = ClusterColor4Xi[key2cluster] [5]
                        if key2super == 0:
                            key2super = 8    
                        if ack2debug is True:
                            print('(STEP 20A0b/33) OF COORDINATE_TENSES4XI - KEY2SUPER: ', key2super)
                            # 3 
                    except:
                        print('(STEP 20A0c/33) OF COORDINATE_TENSES4XI *** FAILED TO SET KEY2SUPER ***')
                    # ---------------------------------------------------------------------------------
                    # NAME OF SUPER NAME FOR CLUSTER
                    # ---------------------------------------------------------------------------------                
                    if ack2debug is True:
                        print('(STEP 20A0d/33) OF COORDINATE_TENSES4XI - TRYING TO SET NAME2SUPER')
                        # 
                    try:
                        name2super = SuperClusterColor4Xi[key2super] [5]                     
                        if ack2debug is True:
                            print('(STEP 20A0e/33) OF COORDINATE_TENSES4XI - NAME2SUPER: ', name2super)
                            # operations 
                    except:
                        print('(STEP 20A0f/33) OF COORDINATE_TENSES4XI *** FAILED TO SET NAME2SUPER ***')
                      
                                                                                                
                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                    # (STEP 20A0g/33) - CREATE (X,Y,Z) FOR CLUSTER MEMBER - DIRECTION DEPENDS ON SUPER-CLUSTER (1...8) 
                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~   
                                                                   
                    direction2tense = key2super                                                                    # direction 1...8 depends on super-cluster
                    if direction2tense == 0:
                        direction2tense = 8
                        
                    if ack2debug is True:
                        print('(STEP 20A0h/33) OF COORDINATE_TENSES4XI - DIRECTION2TENSE: ', direction2tense)
                        # 3
        
                    status2update = True                        
                    context2update =  {'tense':     tense2xi,
                                       'definition':  definition2xi,
                                       'clusterkey':  key2cluster,
                                       'clustername': name2cluster,
                                       'superkey':    key2super,
                                       'supername':   name2super,
                                       'direction':   direction2tense,
                                       'order':       order2xi,
                                       'status':      status2update,
                                       'simulation':  'ack',
                                       'layer':       3200}
                                                  
                    if ack2debug is True:
                        print('(STEP 20A0i/33) OF COORDINATE_TENSES4XI - TRYING TO UPGRADE CONTEXT2CAST: ', context2update)     
                        # {'status': False, 'definition': 'operations', 'direction': 3, 'tense': 'operations', 'supername': 'operations', 'clustername': 'administration', 'clusterkey': 1, 'order': 3001, 'superkey': 3}
                      
                    # ---------------------------------------------------------------------------------
                    #  
                    # ---------------------------------------------------------------------------------                               
                    context2cast = {}                
                    try:             
                        context2cast = cast2tense4xi(context2update)
                        if ack2debug is True:
                            print('(STEP 20A0h1/33) OF COORDINATE_TENSES4XI - GOT THE FOLLOWING CONTEXT2TENSE: ', context2cast) 
                    except:
                        print('(STEP 20A0h10/33) OF COORDINATE_TENSES4XI *** FAILED TO UPGRADE CONTEXT2UPDATE: ', context2update)
                        #              
                
                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                    # (STEP 20A0j/33) - DETERMINE INDEX TO (X,Y,Z) FROM CONTEXT FOR CLUSTER 
                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~   
                    if ack2debug is True:
                        print("(STEP 20A0j1/33) OF COORDINATE_TENSES4XI - DETERMINE INDEX TO (X,Y,Z) FROM CONTEXT FOR CLUSTER, ORDER2CAST: ", order2cast)
                        #  
                          
                         
                    try:        
                        index2cast = order2cast[context2cast['indexfire']]                                     # use the first available (x,y,z) INDEX to this direction and for the required distance
                        if ack2debug is True:                                                                  # note: dictionary order2cast has the same structure as the one used by function cast2tense4xi
                            print('(STEP 20A0j2/33) OF COORDINATE_TENSESS4XI - INDEX2CAST: ', index2cast, ' WITH CONTEXT-INDEX: ', context2cast['indexfire'])
                            # 
                                #                                                                       
                    except:
                        index2cast = 1  
                        print('(STEP 20A0j3/33) OF COORDINATE_TENSESS4XI *** FAILED TO SET INDEX TO ACCESS (X,Y,X) - USED INDEX2CAST: ', index2cast)
                            
                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                    # (STEP 20A0j5) - SET DICTIONARY FOR CLUSTER FROM CONTEXT RECEIVED
                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~                              
                    dictionary2cast = {} 
                    try: 
                        dictionary2cast = context2cast['dictionary']
                        if ack2debug is True:
                            print('(STEP 20A0j4/33) OF COORDINATE_TENSES4XI - DICTIONARY2CAST: ', dictionary2cast)
                            # {1: '0x3009y-745z', 2: '1009x2502y-1526z', 3: '1013x745y-2833z' ...  
                    except:
                        print('(STEP 20A0j5/33) OF COORDINATE_TENSES4XI ** FAILED TO SET DICTIONARY2CAST *** ')
                        # 
                                            
                    # ---------------------------------------------------------------------------------------------
                    # CLUSTER STATISTICS
                    # ---------------------------------------------------------------------------------------------                                                                                 
        
                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                    # (STEP 20A1/33) -   FOR CLUSTER  
                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~   
                    order2xi = order2xi + 1       
                    try:                                                                          
                        coordinate2xi = dictionary2cast[index2cast]                               # use the dictionary of the context and the calculated index into it
                        if ack2debug is True:
                            print('(STEP 20A1a/33) OF COORDINATE_TENSES4XI: CLUSTER AS VERB TENSE: ', tense2xi, ' INDEX2CAST: ', index2cast, ' (X,Y,Z) USED = ', coordinate2xi, ' DIRECTION: ', direction2tense) 
                            # challenges       INDEX2CAST:  2  (X,Y,Z) USED =  -1048x854y2789z    DIRECTION:  5
                            # network          INDEX2CAST:  8  (X,Y,Z) USED =  1083x2444y1568z    DIRECTION:  1
                            # problems         INDEX2CAST:  9  (X,Y,Z) USED =  -1328x1419y-2414z  DIRECTION:  6 
                            # manoeuvring      INDEX2CAST:  5  (X,Y,Z) USED =  1157x-1271y-2579z  DIRECTION:  2
                            # sensing          INDEX2CAST:  9  (X,Y,Z) USED =  -1137x-286y-2869z  DIRECTION:  8
                            # birth            INDEX2CAST:  5  (X,Y,Z) USED =  1157x-1271y-2579z  DIRECTION:  2
                            # scoping          INDEX2CAST:  9  (X,Y,Z) USED =  -1137x-286y-2869z  DIRECTION:  8
                        i2x = str.find(coordinate2xi,"x")
                        i2y = str.find(coordinate2xi,"y") 
                        i2z = str.find(coordinate2xi,"z")
                            
                        x2coordinate = int(coordinate2xi[0:i2x])
                        y2coordinate = int(coordinate2xi[i2x+1:i2y])
                        z2coordinate = int(coordinate2xi[i2y+1:i2z])
                        if ack2debug is True:
                            print('(STEP 20A1b/33) OF COORDINATE_TENSES4XI - X: ', x2coordinate, ' Y: ', y2coordinate, ' Z: ', z2coordinate)      # X:  0  Y:  -27  Z:  -41                            
                                 
                        radius2coordinate = (x2coordinate**2 + y2coordinate**2 + z2coordinate**2) ** (1/2)
                        if ack2debug is True:
                            print('(STEP 20A1c/33) OF COORDINATE_TENSES4XI - RADIUS: ', radius2coordinate, 'FOR COORDINATE2XI: ', coordinate2xi)  # 49.0917508345 FOR COORDINATE2XI:  0x-27y-41z
                                                             
                    except:
                        print('(STEP 20A1d/33) OF COORDINATE_TENSES4XI - TRYING TO REUSE INDEX2CAST: ', index2cast, ' >= DICTIONARY SIZE:', len(dictionary2cast)) 
                        # 
                        # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                        # 
                        # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                        try:
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                            # 
                            #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~                            
                            ack2new = False
                            index2replace = index2cast
                            max2use = len(dictionary2cast)
                            while ack2new is False:                                       
                                index2replace = index2replace - max2use                   
                                if index2replace < max2use:
                                    if index2replace == 0:
                                        index2replace = 1
                                    ack2new = True
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                            # 
                            #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~     
                            try:    
                                coordinate2xi = dictionary2cast[index2replace]
                                print('(STEP STEP 20A1c/33) OF COORDINATE_TENSES4XI ** WARNED: OVERFLOW WITH VERB TENSE: ', tense2xi, ' INDEX2REPLACE: ', index2replace, ' (X,Y,Z) REUSED = ', coordinate2xi, ' DIRECTION: ', direction2tense) 
                                # operations   INDEX2REPLACE:  95  (X,Y,Z) REUSED =  51x62y-3098z   DIRECTION:  3
                                # arithmetics  INDEX2REPLACE:  95  (X,Y,Z) REUSED =  51x62y-3098z   DIRECTION:  3 <-- **
                                # events       INDEX2REPLACE:  97  (X,Y,Z) REUSED =  500x-91y3057z  DIRECTION:  4
                                # tuning       INDEX2REPLACE:  95  (X,Y,Z) REUSED =  51x62y-3098z   DIRECTION:  3 <-- **
                                # acing        INDEX2REPLACE:  97  (X,Y,Z) REUSED =  500x-91y3057z  DIRECTION:  4 <-- **
                                i2x = str.find(coordinate2xi,"x")
                                i2y = str.find(coordinate2xi,"y") 
                                i2z = str.find(coordinate2xi,"z")
                            
                                x2coordinate = int(coordinate2xi[0:i2x])
                                y2coordinate = int(coordinate2xi[i2x+1:i2y])
                                z2coordinate = int(coordinate2xi[i2y+1:i2z])
                                if ack2debug is True:
                                    print('(STEP 20A1d/33) OF COORDINATE_TENSES4XI - X: ', x2coordinate, ' Y: ', y2coordinate, ' Z: ', z2coordinate)      # X:  0  Y:  -27  Z:  -41                            
                                 
                                radius2coordinate = (x2coordinate**2 + y2coordinate**2 + z2coordinate**2) ** (1/2)
                                if ack2debug is True:
                                    print('(STEP 20A1e/33) OF COORDINATE_TENSES4XI - RADIUS: ', radius2coordinate, 'FOR COORDINATE2XI: ', coordinate2xi)  # 49.0917508345 FOR COORDINATE2XI:  0x-27y-41z
                                                         
                            except:
                                coordinate2xi = '0x0y0z'
                                print('(STEP STEP 20A1f/33) OF COORDINATE_TENSES4XI *** FAILED WITH INDEX2REPLACE: ', index2replace, ' FOR VERB TENSE: ', tense2xi, ' USED (X,Y,Z) = ', coordinate2xi, ' DIRECTION: ', direction2tense)                                              
                        except:
                            coordinate2xi = '0x0y0z'
                            print('(STEP STEP 20A1g/33) OF COORDINATE_TENSES4XI *** FAILED FOR VERB TENSE: ', tense2xi, ' USED (X,Y,Z) = ', coordinate2xi, ' DIRECTION: ', direction2tense)  
                            # 
                                        
                        
                                
                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                    # (STEP 20A/33) - ON PROPERTY FOR CLUSTER  
                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~                 
                    
                    begin2on_property4line = '   <owl:OnProperty rdf:ID="'
                    end2on_property4line = '">\n'                              
                    on_property4line = begin2on_property4line + coordinate2xi + end2on_property4line           
                    f2xi.write(on_property4line)                                                               # <owl:OnProperty rdf:ID="1103x0y0z">
                    if ack2debug is True:
                        print('(STEP 20A2/33) OF COORDINATE_TENSES4XI - WROTE ON_PROPERTY4LINE: ', on_property4line)                     
                    
                                                 
                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                    # (STEP 20B/33) - SUB-PROPERTY  FOR CLUSTER  
                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~   
                                            
                    begin2sub_property4line = '         <rdfs:subPropertyOf rdf:resource="#'
                    end2sub_property4line = '">\n'
                    sub_property4line = begin2sub_property4line + coordinate2xi + end2sub_property4line        # <rdfs:subPropertyOf rdf:resource="#1103x0y0z"/>\n'
                    f2xi.write(sub_property4line)
                    if ack2debug is True:
                        print('(STEP 20B/33) OF COORDINATE_TENSES4XI - WROTE SUB-PROPERTY4LINE: ', sub_property4line)    
                                                                                     
                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                    # (STEP 20C/33) - DOMAIN FOR CLUSTER  
                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ 
                    try: 
                        end2domain4line =    '</rdfs:domain>\n'   
                        begin2domain4line =  '            <rdfs:domain>'
                                     
                        name2xi =  ClusterColor4Xi[key2cluster] [6] 
                                                           
                        domain2property4line = begin2domain4line + name2xi + end2domain4line
                        f2xi.write(domain2property4line)
                        if ack2debug is True:
                            print('(STEP 20C1/33) OF COORDINATE_TENSES4XI - WROTE DOMAIN2PROPERTY4LINE: ', domain2property4line)                 # 
                                                    
                    except:
                        print('*** FAILED IN (STEP 20C2/33) OF COORDINATE_TENSES4XI *** ') 
    
                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                    # (STEP 20D/33) - DIRECTION FOR CLUSTER  
                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ 
                    try: 
                        end2object4line =    '</direct4xi>\n'   
                        begin2object4line =  '            <direct4xi>'
                                                 
                        object2property4line = begin2object4line + str(key2super) + end2object4line
                        f2xi.write(object2property4line)
                        if ack2debug is True:
                            print('(STEP 20D/33) OF COORDINATE_TENSES4XI - WROTE OBJECT2PROPERTY4LINE: ', object2property4line)                 # 
                                            
                    except:
                        print('*** FAILED IN (STEP 20D/33) *** ')        
                            
                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                    # (STEP 20D/33) - DISTANCE FOR CLUSTER    
                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ 
                    try: 
                        end2object4line =    '</distance4xi>\n'   
                        begin2object4line =  '            <distance4xi>'
                                                     
                        object2property4line = begin2object4line + str(context2cast['layer']) + end2object4line
                        f2xi.write(object2property4line)
                        if ack2debug is True:
                            print('(STEP 20D/33) OF COORDINATE_TENSES4XI - WROTE OBJECT2PROPERTY4LINE: ', object2property4line)                 # 
                                           
                    except:
                        print('*** FAILED IN (STEP 20D/33) *** ') 
                                                                         
                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                    # (STEP 20D/33) - CALCULATE FOR CLUSTER  
                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~   
                    try:
                        end2range4line = '</calculate4xi>\n'
                        begin2range4line = '            <calculate4xi>'
                        try:
                            stat2xi =  ClusterColorStatistics4Xi[key2cluster]                                  # 
                                
                            if stat2xi > 0:
                                range2object_property4line = begin2range4line + str(stat2xi) + end2range4line
                                f2xi.write(range2object_property4line)
                                if ack2debug is True:
                                    print('(STEP 20D2/33) OF COORDINATE_TENSES4XI - WROTE RANGE2OBJECT_PROPERTY4LINE: ', range2object_property4line)   # 
                                                                               
                            else:
                                pass    
                        except:
                            print('(STEP 20D3/33) OF COORDINATE_TENSES4XI *** FAILED TO FIND STATISTICS FOR KEY2CLUSTER: ', key2cluster) 
                    except:
                        print('*** FAILED IN (STEP 20D/33) *** ')   
                                       
                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                    # (STEP 20E/33) - COLOR FOR CLUSTER 
                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~                  
                    print('(STEP 20E1/33) OF COORDINATE_TENSES4XI - TRYING TO SET COLOR FOR CLUSTER: ', key2cluster)   
                    try:
                        color2xi = ClusterColor4Xi[key2cluster] [1]                                              
                        print('(STEP 20E2/33) OF COORDINATE_TENSES4XI - SET COLOR: ', color2xi, ' FOR CLUSTER: ', key2cluster)                              
                    except:
                        print('(STEP 20E3/33) OF COORDINATE_TENSES4XI -  *** FAILED TO SET COLOR FOR CLUSTER: ', key2cluster)  
                        color2xi = '#DF0101'                         
                    
                    try:
                        end2color4line = '</color4xi>\n'
                        begin2color4line = '            <color4xi>'
                        color2object_property4line = begin2color4line + color2xi + end2color4line
                        f2xi.write(color2object_property4line)
                        if ack2debug is True:
                            print('(STEP 20E4/33) OF COORDINATE_TENSES4XI - WROTE RANGE2OBJECT_PROPERTY4LINE: ', range2object_property4line)    # <color4xi>#04B404</color4xi>
                                               
                    except:
                        print('*** FAILED IN (STEP 20E5/33) *** ')       
                                                                                                                                     
                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                    # (STEP 20F/33) - END OF SUBPROPERTY AND END OF ONPROPERTY FOR CLUSTER  
                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~   
                                                                                                 
                    f2xi.write('         </rdfs:subPropertyOf>\n')
                    f2xi.write('   </owl:OnProperty>\n')                  
                           
                    # ------------------------------------------------------------------------------------------
                    # ONLY MEANINGFUL STATISTICS FOR A CLUSTER
                    # ------------------------------------------------------------------------------------------             
                else:
                    pass
                      
            # ---------------------------------------------------------------------------------------------
            # eof one try
            # --------------------------------------------------------------------------------------------- 
            except:
                print('(STEP 20EZ/33) OF COORDINATE_TENSES4XI *** FAILED TO PRODUCE STATISTICS FOR KEY2CLUSTER: ', key2cluster)
        
        # -------------------------------------------------------------------------------------------------
        # END OF CLASS FOR CLUSTER
        # -------------------------------------------------------------------------------------------------  
        f2xi.write('   </owl:Class>\n')  
                            
        # -------------------------------------------------------------------------------------------------
        # EOF STATISTICS FOR ALL CLUSTERS TO LAYER 3200 
        # -------------------------------------------------------------------------------------------------                   
        
        
        # ==================================================================================================                         
        # (STEP 21/33) - CREATING STATISTICS OF SUPERCLUSTERS OF VERBS
        # ==================================================================================================  
        if ack2debug is True:          
            print("(STEP 21A0a/33) OF COORDINATE_TENSES4XI - CREATING STATISTICS OF SUPERCLUSTERS FOR VERBS")  
        
        order2xi = 3301                                                                                    # 3300 = layer used for cluster statistics   
                   
        class2xi = '   <owl:Class rdf:ID="SuperClusterColorStatistics4Xi">\n'
        f2xi.write(class2xi)                                                                               # <owl:Class rdf:ID="SuperClusterColorStatistics4Xi">       
            
        operation_comment2xi = '      <define4xi xml:lang="en">Statistics of Super Clusters for Verbs</define4xi>\n'
        f2xi.write(operation_comment2xi)                                                                   # <define4xi xml:lang="en">Statistics of Super Clusters for Verbs</define4xi>                                                            
     
        # -----------------------------------------------------------------------------------------
        # ALL SUPER CLUSTERS
        # -----------------------------------------------------------------------------------------     
        for key2super in sorted(keys2super):
            if key2super == 0:
                pass
            else:      
                print('(STEP 21A0a/33) OF COORDINATE_TENSES4XI: TRYING WITH KEY2SUPER: ', key2super)
                try:
                    tense2xi = SuperClusterColor4Xi[key2super] [5]
                    if ack2debug is True:          
                        print('(STEP 21A0b/33) OF COORDINATE_TENSES4XI: SIMULATED TENSE2XI: ', SuperClusterColor4Xi[key2super] [5], ' STATISTICS: ', SuperClusterColorStatistics4Xi[key2super])
                        # theater  STATISTICS:  20
                         
                    stat2xi =  SuperClusterColorStatistics4Xi[key2super] 
                except:
                    print('(STEP 21A0v/33) OF COORDINATE_TENSES4XI *** FAILED TRYING WITH KEY2SUPER: ', key2super)
                    
                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                # (STEP 21A/33) - KEY2SUPER IS THE SAME AS LOOP INDEX - SET NAME2SUPER
                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~   
                if ack2debug is True:
                    print('(STEP 21A01/33) OF COORDINATE_TENSES4XI - TRYING TO SET NAME2SUPER')
                    #
                     
                try:
                    name2super = SuperClusterColor4Xi[key2super] [5]                     
                    if ack2debug is True:
                        print('(STEP 21A02/33) OF COORDINATE_TENSES4XI - NAME2SUPER: ', name2super)
                        # theater 
                except:
                    print('(STEP 21A03/33) OF COORDINATE_TENSES4XI *** FAILED TO SET NAME2SUPER ***')
                        
                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                # (STEP 21A04/33) - CREATE (X,Y,Z) FOR SUPER CLUSTER MEMBER - LAYER = 3300 - DIRECTION (1...8) DEPENDS ON SUPER-CLUSTER 
                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~   
                if ack2debug is True:
                    print('(STEP 21A04a/33) OF COORDINATE_TENSES4XI - TRYING TO GET CONTEXT2UPDATE')
                    #
                try:                                                                   
                    direction2tense = key2super                                                        # direction 1...8 depends on super-cluster
                    if ack2debug is True:
                        print('(STEP 21A04b/33) OF COORDINATE_TENSES4XI - DIRECTION2TENSE: ', direction2tense)
                        #
                except:
                    print('(STEP 21A04c/33) OF COORDINATE_TENSES4XI *** FAILED TO GET CONTEXT2UPDATE')
                if ack2debug is True:
                    print('(STEP 21A04d/33) OF COORDINATE_TENSES4XI - TRYING TO GET CONTEXT2UPDATE')
                    #
                try:                                     
                    definition2xi = tense2xi 
                except:
                    print('(STEP 21A04e/33) OF COORDINATE_TENSES4XI *** FAILED TRYING definition2xi')  
    
                try:
                    print('(STEP 21A04f/33) OF COORDINATE_TENSES4XI - TRY tense2xi: ', tense2xi)
                                                       
                except:
                    print('(STEP 21A04g/33) OF COORDINATE_TENSES4XI *** FAILED TRYING TRY tense2xi')
                try:
                    print('(STEP 21A04f/33) OF COORDINATE_TENSES4XI - TRY definition2xi: ', definition2xi)
                                                       
                except:
                    print('(STEP 21A04g/33) OF COORDINATE_TENSES4XI *** FAILED TRYING TRYING definition2xi')
                try:
                    print('(STEP 21A04f/33) OF COORDINATE_TENSES4XI - TRY key2cluster: ', key2cluster)
                                                       
                except:
                    print('(STEP 21A04g/33) OF COORDINATE_TENSES4XI *** FAILED TRYING TRYING key2cluster')
                
                name2cluster = None    
                try:
                    print('(STEP 21A04f/33) OF COORDINATE_TENSES4XI - TRY name2cluster: ', name2cluster)
                                                       
                except:
                    print('(STEP 21A04g/33) OF COORDINATE_TENSES4XI *** FAILED TRYING TRYING name2cluster')
                try:
                    print('(STEP 21A04f/33) OF COORDINATE_TENSES4XI - TRY key2super: ', key2super)
                                                       
                except:
                    print('(STEP 21A04g/33) OF COORDINATE_TENSES4XI *** FAILED TRYING TRYING key2super')
                try:
                    print('(STEP 21A04f/33) OF COORDINATE_TENSES4XI - TRY name2super: ', name2super)
                                                       
                except:
                    print('(STEP 21A04g/33) OF COORDINATE_TENSES4XI *** FAILED TRYING TRYING name2super')
                try:
                    print('(STEP 21A04f/33) OF COORDINATE_TENSES4XI - TRY direction2tense: ', direction2tense)
                                                       
                except:
                    print('(STEP 21A04g/33) OF COORDINATE_TENSES4XI *** FAILED TRYING TRYING direction2tense')
                try:
                    print('(STEP 21A04f/33) OF COORDINATE_TENSES4XI - TRY order2xi: ', order2xi)
                                                       
                except:
                    print('(STEP 21A04g/33) OF COORDINATE_TENSES4XI *** FAILED TRYING TRYING order2xi')
                try:
                    print('(STEP 21A04f/33) OF COORDINATE_TENSES4XI - TRY ack2tense: ', ack2tense)
                                                       
                except:
                    print('(STEP 21A04g/33) OF COORDINATE_TENSES4XI *** FAILED TRYING TRYING ack2tense')
    
                print('(STEP 21A04h/33) OF COORDINATE_TENSES4XI - TRYING TO SET context2update')
                try:
                    status2update = True                                    
                    context2update =  {'tense':       tense2xi,
                                       'definition':  definition2xi,
                                       'clusterkey':  key2cluster,
                                       'clustername': name2cluster,
                                       'superkey':    key2super,
                                       'supername':   name2super,
                                       'direction':   direction2tense,
                                       'order':       order2xi,
                                       'status':      status2update,
                                       'simulation':  'ack',
                                       'layer':       3300}
                except:
                    print('(STEP 21A04h/33) OF COORDINATE_TENSES4XI *** FAILED TO SET context2update')
                                                                                                                                                                
                # ---------------------------------------------------------------------------------
                # 
                # ---------------------------------------------------------------------------------                                             
                if ack2debug is True:
                    print('(STEP 21A06/33) OF COORDINATE_TENSES4XI - TRYING TO UPGRADE CONTEXT2CAST: ', context2update)                                                     
                    # {'status': False, 'definition': 'FREE', 'direction': 8, 'tense': 'theater', 'supername': 'theater', 'clustername': 'administration', 'clusterkey': 33, 'order': 3201, 'superkey': 0}
                
                context2cast = {}  
                try:             
                    context2cast = cast2tense4xi(context2update)
                    if ack2debug is True:
                        print('(STEP 21A07a/33) OF COORDINATE_TENSES4XI - GOT CONTEXT2TENSE: ', context2cast) 
                   
                except:
                    print('(STEP 21A07k/33) OF COORDINATE_TENSES4XI *** FAILED TO UPGRADE CONTEXT2UPDATE: ', context2update)
                    #
                                  
                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                # (STEP 21A0j1/33) - DETERMINE INDEX TO (X,Y,Z) FROM CONTEXT FOR SUPER-CLUSTER 
                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~   
                if ack2debug is True:
                    print("(STEP 21A0j2/33) OF COORDINATE_TENSES4XI - DETERMINE INDEX TO (X,Y,Z) FROM CONTEXT FOR SUPERCLUSTER, ORDER2CAST: ", order2cast)
                        # {512: 1, 513: 1, 514: 1, 515: 1, 516: 1 ... 
                              
                             
                try:        
                    index2cast = order2cast[context2cast['indexfire']]                                     # use the first available (x,y,z) INDEX to this direction and for the required distance
                    if ack2debug is True:                                                                  # note: dictionary order2cast has the same structure as the one used by function cast2tense4xi
                        print('(STEP 21A0j3/33) OF COORDINATE_TENSES4XI - INDEX2CAST: ', index2cast, ' WITH CONTEXT-INDEX: ', context2cast['indexfire'])
                        # 1  WITH CONTEXT-INDEX:  831                                                                         
                except:
                    index2cast = 1  
                    print('(STEP 21A0j4/33) OF COORDINATE_TENSES4XI *** FAILED TO SET INDEX TO ACCESS (X,Y,X) - USED INDEX2CAST: ', index2cast)
                
                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                # (STEP 21A0j5) - SET DICTIONARY FOR SUPERCLUSTER FROM CONTEXT RECEIVED FOR SUPER-CLUSTER 
                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~                              
                if ack2debug is True:
                    print("(STEP 21A0j2/33) OF COORDINATE_TENSES4XI - TRYING TO SET DICTIONARY2CAST ")            
                dictionary2cast = {} 
                try: 
                    dictionary2cast = context2cast['dictionary']
                    if ack2debug is True:
                        print('(STEP 21A0j5/33) OF COORDINATE_TENSES4XI - DICTIONARY2CAST: ', dictionary2cast)
                        # {1: '-1006x-2002y-2141z', 2: '-1019x-2917y-247z', 3: '-1047x-383y-2892z' ...  
                except:
                    print('(STEP 21A0j6) OF COORDINATE_TENSES4XI ** FAILED TO SET DICTIONARY2CAST *** ')
                    # 
                                                                
                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                # 
                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~                 
                print('(STEP 21A1a/33) OF COORDINATE_TENSES4XI - TRYING TO REUSE INDEX2CAST ')
                order2xi = order2xi + 1       
                try:                                                                          
                    coordinate2xi = dictionary2cast[index2cast]                               # use the dictionary of the context and the calculated index into it
                    if ack2debug is True:
                        print('(STEP 21A1a/33) OF COORDINATE_TENSES4XI - SUPERCLUSTER AS TENSE: ', tense2xi, ' INDEX2CAST: ', index2cast, ' (X,Y,Z) USED = ', coordinate2xi, ' DIRECTION: ', direction2tense)
                        # theater        INDEX2CAST:  8  (X,Y,Z) USED =  1083x2444y1568z    DIRECTION:  1 
                        # network        INDEX2CAST:  5  (X,Y,Z) USED =  1157x-1271y-2579z  DIRECTION:  2
                        # 
                        # 
                        # successes      INDEX2CAST:  2  (X,Y,Z) USED =  -1048x854y2789z    DIRECTION:  5
                        # challenges     INDEX2CAST:  9  (X,Y,Z) USED =  -1328x1419y-2414z  DIRECTION:  6 
                        # 
                        # miscellaneous  INDEX2CAST:  9  (X,Y,Z) USED =  -1137x-286y-2869z  DIRECTION:  8
                        # 
                    i2x = str.find(coordinate2xi,"x")
                    i2y = str.find(coordinate2xi,"y") 
                    i2z = str.find(coordinate2xi,"z")
                            
                    x2coordinate = int(coordinate2xi[0:i2x])
                    y2coordinate = int(coordinate2xi[i2x+1:i2y])
                    z2coordinate = int(coordinate2xi[i2y+1:i2z])
                    if ack2debug is True:
                         print('(STEP 21A1b/33) OF COORDINATE_TENSES4XI - X: ', x2coordinate, ' Y: ', y2coordinate, ' Z: ', z2coordinate)      # X:  0  Y:  -27  Z:  -41                            
                                 
                    radius2coordinate = (x2coordinate**2 + y2coordinate**2 + z2coordinate**2) ** (1/2)
                    if ack2debug is True:
                         print('(STEP 21A1c/33) OF COORDINATE_TENSES4XI - RADIUS: ', radius2coordinate, 'FOR COORDINATE2XI: ', coordinate2xi)  # 49.0917508345 FOR COORDINATE2XI:  0x-27y-41z
                                                            
                except:
                    print('(STEP 21A1d/33) OF COORDINATE_TENSES4XI - TRYING TO REUSE INDEX2CAST: ', index2cast, ' >= DICTIONARY SIZE:', len(dictionary2cast)) 
                    # 
                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                    # 
                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                    
                     
                    ack2new = False
                    index2replace = index2cast
                    max2use = len(dictionary2cast)
                    while ack2new is False:                                       
                        index2replace = index2replace - max2use                   
                    if index2replace < max2use:
                        if index2replace == 0:
                            index2replace = 1
                        ack2new = True
                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                    # 
                    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~     
                    print('(STEP 21A1e/33) OF COORDINATE_TENSES4XI - TRYING WITH INDEX2REPLACE ')
                    try:    
                        coordinate2xi = dictionary2cast[index2replace]
                        print('(STEP 21A1c/33) OF COORDINATE_TENSES4XI ** WARNED: OVERFLOW WITH VERB TENSE: ', tense2xi, ' INDEX2REPLACE: ', index2replace, ' (X,Y,Z) REUSED = ', coordinate2xi, ' DIRECTION: ', direction2tense) 
                        # operations     INDEX2REPLACE:  95  (X,Y,Z) REUSED =  51x62y-3098z      DIRECTION:  3
                        # successes      INDEX2REPLACE:  97  (X,Y,Z) REUSED =  500x-91y3057z     DIRECTION:  4
                        # miscellaneous  INDEX2REPLACE:  61  (X,Y,Z) REUSED =  -2650x-563y1505z  DIRECTION:  7 
                        # 
                        i2x = str.find(coordinate2xi,"x")
                        i2y = str.find(coordinate2xi,"y") 
                        i2z = str.find(coordinate2xi,"z")
                        
                        x2coordinate = int(coordinate2xi[0:i2x])
                        y2coordinate = int(coordinate2xi[i2x+1:i2y])
                        z2coordinate = int(coordinate2xi[i2y+1:i2z])
                        if ack2debug is True:
                            print('(STEP 21A1d/33) OF COORDINATE_TENSES4XI - X: ', x2coordinate, ' Y: ', y2coordinate, ' Z: ', z2coordinate)      # X:  0  Y:  -27  Z:  -41                            
                             
                        radius2coordinate = (x2coordinate**2 + y2coordinate**2 + z2coordinate**2) ** (1/2)
                        if ack2debug is True:
                            print('(STEP 21A1e/33) OF COORDINATE_TENSES4XI - RADIUS: ', radius2coordinate, 'FOR COORDINATE2XI: ', coordinate2xi)  # 49.0917508345 FOR COORDINATE2XI:  0x-27y-41z
                                                         
                    except:
                        coordinate2xi = '0x0y0z'
                        print('(STEP 21A1f/33) OF COORDINATE_TENSES4XI *** FAILED WITH INDEX2REPLACE: ', index2replace, ' FOR VERB TENSE: ', tense2xi, ' USED (X,Y,Z) = ', coordinate2xi, ' DIRECTION: ', direction2tense)                                              
                           
                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                # (STEP 21A2/33) - ON PROPERTY FOR SUPER-CLUSTER 
                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~                 
    
                if ack2debug is True:
                    print('(STEP 21A2a/33) OF COORDINATE_TENSES4XI - TRYING ON PROPERTY FOR SUPER-CLUSTER ')                
                try:              
                    begin2on_property4line = '   <owl:OnProperty rdf:ID="'
                    end2on_property4line = '">\n'                              
                    on_property4line = begin2on_property4line + coordinate2xi + end2on_property4line           
                    f2xi.write(on_property4line)                                                               # <owl:OnProperty rdf:ID="1103x0y0z">
                    if ack2debug is True:
                        print('(STEP 21A2b/33) OF COORDINATE_TENSES4XI - WROTE ON_PROPERTY4LINE: ', on_property4line)          
                    
                except:
                    print('(STEP 21A2c/33) OF COORDINATE_TENSES4XI *** FAILED ON PROPERTY FOR SUPER-CLUSTER ')
                                             
                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                # (STEP 21B/33) - SUB-PROPERTY FOR SUPER-CLUSTER  
                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~   
                if ack2debug is True:
                    print('(STEP 21A2a/33) OF COORDINATE_TENSES4XI - TRYING ON SUB-PROPERTY FOR SUPER-CLUSTER ') 
                try:                                            
                    begin2sub_property4line = '         <rdfs:subPropertyOf rdf:resource="#'
                    end2sub_property4line = '">\n'
                    sub_property4line = begin2sub_property4line + coordinate2xi + end2sub_property4line        # <rdfs:subPropertyOf rdf:resource="#1103x0y0z"/>\n'
                    f2xi.write(sub_property4line)
                    if ack2debug is True:
                        print('(STEP 21Bb/33) OF COORDINATE_TENSES4XI - WROTE SUB-PROPERTY4LINE: ', sub_property4line)                       
                except:
                    print('(STEP 21A2c/33) OF COORDINATE_TENSES4XI *** FAILED ON SUB-PROPERTY FOR SUPER-CLUSTER ')
                                                               
                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                # (STEP 21C/33) -  DOMAIN FOR SUPER-CLUSTER  
                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ 
                if ack2debug is True:
                    print('(STEP 21Ca/33) OF COORDINATE_TENSES4XI - TRYING ON DOMAIN FOR SUPER-CLUSTER ')
                try: 
                    end2domain4line =    '</rdfs:domain>\n'   
                    begin2domain4line =  '            <rdfs:domain>'
                         
                    name2xi =  SuperClusterColor4Xi[key2super] [5] 
                    domain2property4line = begin2domain4line + name2xi + end2domain4line
                    f2xi.write(domain2property4line) 
                    if ack2debug is True:
                        print('(STEP 21Cb/33) OF COORDINATE_TENSES4XI - WROTE DOMAIN2PROPERTY4LINE: ', domain2property4line)                 # 
                except:
                    print('*** FAILED IN (STEP 21Cd/33) OF COORDINATE_TENSES4XI *** ON DOMAIN FOR SUPER-CLUSTER') 
                                    
                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                # (STEP 21D/33) - DIRECTION FOR SUPER-CLUSTER  
                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ 
                if ack2debug is True:
                    print('(STEP 21Da/33) OF COORDINATE_TENSES4XI - TRYING ON DIRECTION FOR SUPER-CLUSTER ')                
                try: 
                    end2object4line =    '</direct4xi>\n'   
                    begin2object4line =  '            <direct4xi>'
                                             
                    object2property4line = begin2object4line + str(key2super) + end2object4line
                    f2xi.write(object2property4line)
                    if ack2debug is True:
                        print('(STEP 21Db/33) OF COORDINATE_TENSES4XI - WROTE OBJECT2PROPERTY4LINE: ', object2property4line)                 #                 
                except:
                    print('(STEP 21Da/33) OF COORDINATE_TENSES4XI *** FAILED ON DIRECTION FOR SUPER-CLUSTER ')
    
                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                # (STEP 21E/33) - DISTANCE FOR SUPER-CLUSTER   
                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ 
                if ack2debug is True:
                    print('(STEP 21Ea/33) OF COORDINATE_TENSES4XI - TRYING ON DISTANCE FOR SUPER-CLUSTER ')                   
                try: 
                    end2object4line =    '</distance4xi>\n'   
                    begin2object4line =  '            <distance4xi>'
                                             
                    object2property4line = begin2object4line + str(context2cast['layer']) + end2object4line
                    f2xi.write(object2property4line)
                    if ack2debug is True:
                        print('(STEP 21Eb/33) OF COORDINATE_TENSES4XI - WROTE OBJECT2PROPERTY4LINE: ', object2property4line)                 # 
                                    
                except:
                    print('(STEP 21Ec/33) OF COORDINATE_TENSES4XI *** FAILED ON DISTANCE FOR SUPER-CLUSTER ')     
                                                                 
                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                # (STEP 21E/33) - CALCULATE FOR SUPER-CLUSTER  
                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~   
                if ack2debug is True:
                    print('(STEP 21Ea/33) OF COORDINATE_TENSES4XI - TRYING TO CALCULATE FOR SUPER-CLUSTER ')   
                try:
                    end2range4line = '</calculate4xi>\n'
                    begin2range4line = '            <calculate4xi>'
                    try:
                        stat2xi =  SuperClusterColorStatistics4Xi[key2super]                              # 
                    except:
                        print('(STEP 21E1b/33) OF COORDINATE_TENSES4XI *** FAILED TO FIND STATISTICS FOR KEY2SUPER: ', key2super) 
                        color2xi = '#DF0101'
                            
                    range2object_property4line = begin2range4line + str(stat2xi) + end2range4line
                    f2xi.write(range2object_property4line)
                    if ack2debug is True:
                        print('(STEP 21E2/33) OF COORDINATE_TENSES4XI - WROTE RANGE2OBJECT_PROPERTY4LINE: ', range2object_property4line)  # 
                     
                except:
                    print('(STEP 21Ec/33) OF COORDINATE_TENSES4XI *** FAILED TO CALCULATE FOR SUPER-CLUSTER ')                            
                                                                 
                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                # (STEP 21E/33) - COLOR FOR SUPER-CLUSTER 
                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~          
                if ack2debug is True:
                    print('(STEP 21Ea/33) OF COORDINATE_TENSES4XI - TRYING TO SET COLOR FOR SUPER-CLUSTER: ', key2super)   
                try:
                    color2xi = SuperClusterColor4Xi[key2super] [1]                                              
                    print('(STEP 21E1b/33) OF COORDINATE_TENSES4XI - SET COLOR: ', color2xi, ' FOR SUPER-CLUSTER: ', key2super)                              
                except:
                    print('(STEP 21Ec/33) OF COORDINATE_TENSES4XI *** FAILED TO SET COLOR FOR SUPER-CLUSTER: ', key2super)    
                    color2xi = '#DF0101'                         
                
                if ack2debug is True:
                    print('(STEP 21Ea/33) OF COORDINATE_TENSES4XI - TRYING TO WRITE COLOR FOR SUPER-CLUSTER: ', key2super)                   
                try:
                    end2color4line = '</color4xi>\n'
                    begin2color4line = '            <color4xi>'
                    color2object_property4line = begin2color4line + color2xi + end2color4line
                    f2xi.write(color2object_property4line)
                    if ack2debug is True:
                        print('(STEP 21Eb/33) OF COORDINATE_TENSES4XI - WROTE RANGE2OBJECT_PROPERTY4LINE: ', range2object_property4line)    # <color4xi>#04B404</color4xi>
                                       
                except:
                    print('(STEP 21Ec/33) OF COORDINATE_TENSES4XI *** FAILED TO WRITE COLOR FOR SUPER-CLUSTER: ', key2super)                                    
                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                # (STEP 21F/33) - FIRE FOR SUPER-CLUSTER  
                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ 
                if ack2debug is True:
                    print('(STEP 21Ea/33) OF COORDINATE_TENSES4XI - TRYING TO FIRE FOR SUPER-CLUSTER: ', key2super)   
                                    
                try: 
                    end2fire4line =    '</fire4xi>\n'   
                    begin2fire4line =  '            <fire4xi>'
                                             
                    object2property4line = begin2fire4line + str(order2xi) + end2fire4line
                    f2xi.write(object2property4line)
                    if ack2debug is True:
                        print('(STEP 21Eb/33) OF COORDINATE_TENSES4XI - WROTE OBJECT2PROPERTY4LINE: ', object2property4line)                 # 
                                    
                except:
                    print('(STEP 21Ec/33) OF COORDINATE_TENSES4XI *** FAILED TO FIRE FOR SUPER-CLUSTER: ', key2super)   
                                                                            
                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                # (STEP 21G/33) - EOF SUBPROPERTY FOR SUPER-CLUSTER  
                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ 
                                                                    
                f2xi.write('         </rdfs:subPropertyOf>\n')
                f2xi.write('   </owl:OnProperty>\n')
                                   
        # -----------------------------------------------------------------------------------------
        # EOF FOR ALL SUPER CLUSTERS 
        # ----------------------------------------------------------------------------------------- 
        
        f2xi.write('   </owl:Class>\n') 
                                         
        # -----------------------------------------------------------------------------------------
        # (STEP 22/33)
        # -----------------------------------------------------------------------------------------
        print("(STEP 22A/33) OF COORDINATE_TENSES4XI - TRYING TO CLOSE INPUT_FD2XI: ", input_fd2xi)       
        try:
            input_fd2xi.close()    
            if ack2debug is True:
                print(33*("-"))
                print("(STEP 22B/33) OF COORDINATE_TENSES4XI - CLOSED INPUT_F2XI: ", input_fd2xi)               # <_io.TextIOWrapper name='..//..//xml//reason-test-skeleton-print4xi.xml' encoding='cp1252'>    
                print(33*("-"))
        except:
            print("(STEP 22C/33) OF COORDINATE_TENSES4XI *** FAILED TO CLOSE INPUT_FD2XI: ", input_fd2xi)     
         
             
            
        # -----------------------------------------------------------------------------------------
        # (STEP 23/33)
        # -----------------------------------------------------------------------------------------
                                            
        f2xi.write('   </owl:Ontology>\n')
        f2xi.write('</rdf:RDF>\n')
        f2xi.write('<!-- Copyright Small & Smart Inc. All rights reserved. -->\n')
        print("(STEP 23A/33) OF COORDINATE_TENSES4XI - TRYING TO TO CLOSE OUTPUT_FD2XI: ", output_fd2xi)              
        try:
            output_fd2xi.close()    
    
        
            if ack2debug is True:
                print(33*("-"))
                print("(STEP 23B/33) OF COORDINATE_TENSES4XI - CLOSED OUTPUT_F2DXI: ", output_fd2xi)           # <_io.TextIOWrapper name='..//..//xml//scope-test-skeleton-print4xi.xml' encoding='cp1252'>     
                print(33*("-"))
        except:
            print("(STEP 23C/33) OF COORDINATE_TENSES4XI *** FAILED TO CLOSE OUTPUT_FD2XI: ", output_fd2xi)     
                 
    except:
        print("(STEP 23Z/33) OF COORDINATE_TENSES4XI *** FAILED ***  ", time4xi())                       
        
    # -----------------------------------------------------------------------------------------
    # (STEP 24/33)
    # -----------------------------------------------------------------------------------------
    if ack2debug is True:
        print(33*("="))
        print("(STEP 24/33) OF COORDINATE_TENSES4XI - COORDINATES DONE ", time4xi())     
        print(33*("=")) 
                                           
    return None
        

#</function4xi>
            
            
# -------------------------------------------------------------------------------------------------
#<function4xi function = "cast2tense4xi" usage = "
#    try:             
#        context2tense = cast2tense4xi(task2cast)  
#        ...                           
#    except:
#        ... 
#                          
#">
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------
def cast2tense4xi(task2cast):
    '''
    casts (x,y,z) for the given verb tense
    '''

                                                                                                                                                                                          
    # -------------------------------------------------------------------------------------------------
    # ClusterColor4Xi - 33 CLUSTERS FOR TENSES                            
    # -------------------------------------------------------------------------------------------------           
    global ClusterColor4Xi
    global Mavericks2Verbs
    
    ack2debug = True
    if ack2debug is True:
        print('(STEP 0A/33) OF CAST2TENSE4XI: CLUSTERCOLOR4XI: ', ClusterColor4Xi)
        # 
                                                                                                                                                                                  
    # -------------------------------------------------------------------------------------------------------------------------------
    # FIRED (X,Y,Z)-COORDINATE DICTIONARIES RECEIVED FROM QUEUE DATA PRODUCED BY FIRE-FUNCTION THREADS 1...33 OF PROCESSESSES 1 ...8                          
    # Note: these have got values set by the caller of this function i.e. you can NOT set them in this function nor in program level!
    # -------------------------------------------------------------------------------------------------------------------------------           
    
    #========
    # ONE
    #========      
    global fire2one104xi
    global fire2one1004xi
    global fire2one2004xi
    global fire2one3004xi
    global fire2one4004xi
    global fire2one5004xi
    global fire2one6004xi
    global fire2one7004xi
    global fire2one8004xi
    global fire2one9004xi       
    global fire2one10004xi
    global fire2one11004xi
    global fire2one12004xi
    global fire2one13004xi
    global fire2one14004xi
    global fire2one15004xi
    global fire2one16004xi
    global fire2one17004xi
    global fire2one18004xi
    global fire2one19004xi
    global fire2one20004xi
    global fire2one21004xi
    global fire2one22004xi
    global fire2one23004xi
    global fire2one24004xi
    global fire2one25004xi
    global fire2one26004xi
    global fire2one27004xi
    global fire2one28004xi
    global fire2one29004xi
    global fire2one30004xi
    global fire2one31004xi
    global fire2one32004xi
    global fire2one33004xi
    
    #========
    # TWO
    #========      
    global fire2two104xi
    global fire2two1004xi
    global fire2two2004xi
    global fire2two3004xi
    global fire2two4004xi
    global fire2two5004xi
    global fire2two6004xi
    global fire2two7004xi
    global fire2two8004xi
    global fire2two9004xi       
    global fire2two10004xi
    global fire2two11004xi
    global fire2two12004xi
    global fire2two13004xi
    global fire2two14004xi
    global fire2two15004xi
    global fire2two16004xi
    global fire2two17004xi
    global fire2two18004xi
    global fire2two19004xi
    global fire2two20004xi
    global fire2two21004xi
    global fire2two22004xi
    global fire2two23004xi
    global fire2two24004xi
    global fire2two25004xi
    global fire2two26004xi
    global fire2two27004xi
    global fire2two28004xi
    global fire2two29004xi
    global fire2two30004xi
    global fire2two31004xi
    global fire2two32004xi
    global fire2two33004xi
    
    #========
    # THREE
    #========      
    global fire2three104xi
    global fire2three1004xi
    global fire2three2004xi
    global fire2three3004xi
    global fire2three4004xi
    global fire2three5004xi
    global fire2three6004xi
    global fire2three7004xi
    global fire2three8004xi
    global fire2three9004xi       
    global fire2three10004xi
    global fire2three11004xi
    global fire2three12004xi
    global fire2three13004xi
    global fire2three14004xi
    global fire2three15004xi
    global fire2three16004xi
    global fire2three17004xi
    global fire2three18004xi
    global fire2three19004xi
    global fire2three20004xi
    global fire2three21004xi
    global fire2three22004xi
    global fire2three23004xi
    global fire2three24004xi
    global fire2three25004xi
    global fire2three26004xi
    global fire2three27004xi
    global fire2three28004xi
    global fire2three29004xi
    global fire2three30004xi
    global fire2three31004xi
    global fire2three32004xi
    global fire2three33004xi
    
    #========
    # FOUR
    #========      
    global fire2four104xi
    global fire2four1004xi
    global fire2four2004xi
    global fire2four3004xi
    global fire2four4004xi
    global fire2four5004xi
    global fire2four6004xi
    global fire2four7004xi
    global fire2four8004xi
    global fire2four9004xi       
    global fire2four10004xi
    global fire2four11004xi
    global fire2four12004xi
    global fire2four13004xi
    global fire2four14004xi
    global fire2four15004xi
    global fire2four16004xi
    global fire2four17004xi
    global fire2four18004xi
    global fire2four19004xi
    global fire2four20004xi
    global fire2four21004xi
    global fire2four22004xi
    global fire2four23004xi
    global fire2four24004xi
    global fire2four25004xi
    global fire2four26004xi
    global fire2four27004xi
    global fire2four28004xi
    global fire2four29004xi
    global fire2four30004xi
    global fire2four31004xi
    global fire2four32004xi
    global fire2four33004xi
     
    #========
    # FIVE
    #========      
    global fire2five104xi
    global fire2five1004xi
    global fire2five2004xi
    global fire2five3004xi
    global fire2five4004xi
    global fire2five5004xi
    global fire2five6004xi
    global fire2five7004xi
    global fire2five8004xi
    global fire2five9004xi       
    global fire2five10004xi
    global fire2five11004xi
    global fire2five12004xi
    global fire2five13004xi
    global fire2five14004xi
    global fire2five15004xi
    global fire2five16004xi
    global fire2five17004xi
    global fire2five18004xi
    global fire2five19004xi
    global fire2five20004xi
    global fire2five21004xi
    global fire2five22004xi
    global fire2five23004xi
    global fire2five24004xi
    global fire2five25004xi
    global fire2five26004xi
    global fire2five27004xi
    global fire2five28004xi
    global fire2five29004xi
    global fire2five30004xi
    global fire2five31004xi
    global fire2five32004xi
    global fire2five33004xi
    
    #========
    # SIX
    #========      
    global fire2six104xi
    global fire2six1004xi
    global fire2six2004xi
    global fire2six3004xi
    global fire2six4004xi
    global fire2six5004xi
    global fire2six6004xi
    global fire2six7004xi
    global fire2six8004xi
    global fire2six9004xi       
    global fire2six10004xi
    global fire2six11004xi
    global fire2six12004xi
    global fire2six13004xi
    global fire2six14004xi
    global fire2six15004xi
    global fire2six16004xi
    global fire2six17004xi
    global fire2six18004xi
    global fire2six19004xi
    global fire2six20004xi
    global fire2six21004xi
    global fire2six22004xi
    global fire2six23004xi
    global fire2six24004xi
    global fire2six25004xi
    global fire2six26004xi
    global fire2six27004xi
    global fire2six28004xi
    global fire2six29004xi
    global fire2six30004xi
    global fire2six31004xi
    global fire2six32004xi
    global fire2six33004xi
     
    #========
    # SEVEN
    #========      
    global fire2seven104xi
    global fire2seven1004xi
    global fire2seven2004xi
    global fire2seven3004xi
    global fire2seven4004xi
    global fire2seven5004xi
    global fire2seven6004xi
    global fire2seven7004xi
    global fire2seven8004xi
    global fire2seven9004xi       
    global fire2seven10004xi
    global fire2seven11004xi
    global fire2seven12004xi
    global fire2seven13004xi
    global fire2seven14004xi
    global fire2seven15004xi
    global fire2seven16004xi
    global fire2seven17004xi
    global fire2seven18004xi
    global fire2seven19004xi
    global fire2seven20004xi
    global fire2seven21004xi
    global fire2seven22004xi
    global fire2seven23004xi
    global fire2seven24004xi
    global fire2seven25004xi
    global fire2seven26004xi
    global fire2seven27004xi
    global fire2seven28004xi
    global fire2seven29004xi
    global fire2seven30004xi
    global fire2seven31004xi
    global fire2seven32004xi
    global fire2seven33004xi
     
    #========
    # EIGHT
    #========      
    global fire2eight104xi
    global fire2eight1004xi
    global fire2eight2004xi
    global fire2eight3004xi
    global fire2eight4004xi
    global fire2eight5004xi
    global fire2eight6004xi
    global fire2eight7004xi
    global fire2eight8004xi
    global fire2eight9004xi       
    global fire2eight10004xi
    global fire2eight11004xi
    global fire2eight12004xi
    global fire2eight13004xi
    global fire2eight14004xi
    global fire2eight15004xi
    global fire2eight16004xi
    global fire2eight17004xi
    global fire2eight18004xi
    global fire2eight19004xi
    global fire2eight20004xi
    global fire2eight21004xi
    global fire2eight22004xi
    global fire2eight23004xi
    global fire2eight24004xi
    global fire2eight25004xi
    global fire2eight26004xi
    global fire2eight27004xi
    global fire2eight28004xi
    global fire2eight29004xi
    global fire2eight30004xi
    global fire2eight31004xi
    global fire2eight32004xi
    global fire2eight33004xi    

    
                        
    # -------------------------------------------------------------------------------------------------
    # Pipe Channels - consumer & publisher - pipe zero for main program -  pipe 1...8 for process 1...8                             
    # -------------------------------------------------------------------------------------------------
    global pipe2zero_consumer_channel
    global pipe2zero_publisher_channel
    global pipe2one_consumer_channel
    global pipe2one_publisher_channel
    global pipe2two_consumer_channel
    global pipe2two_publisher_channel
    global pipe2three_consumer_channel
    global pipe2three_publisher_channel
    global pipe2four_consumer_channel
    global pipe2four_publisher_channel
    global pipe2five_consumer_channel
    global pipe2five_publisher_channel
    global pipe2six_consumer_channel
    global pipe2six_publisher_channel
    global pipe2seven_consumer_channel
    global pipe2seven_publisher_channel
    global pipe2eight_consumer_channel
    global pipe2eight_publisher_channel
    
    
    if ack2debug is True:
        print('(STEP 0B/33) OF CAST2TENSE4XI: DEFINED PIPE CHANNELS ')
                        
    # -------------------------------------------------------------------------------------------------
    # Processes - one for each direction 1 ... 8                             
    # -------------------------------------------------------------------------------------------------
    global p2one
    global p2two 
    global p2three
    global p2four
    global p2five
    global p2six
    global p2seven
    global p2eight
    
    if ack2debug is True:
        print('(STEP 0C/33) OF CAST2TENSE4XI: DEFINED PIPE CHANNELS ')
                           
    # -------------------------------------------------------------------------------------------------
    # Queues - queue zero for main program -  queue 1...8 for process 1...8                             
    # -------------------------------------------------------------------------------------------------
    global queue2zero
    global queue2one
    global queue2two
    global queue2three
    global queue2four
    global queue2five
    global queue2six
    global queue2seven
    global queue2eight 
       
    if ack2debug is True:
        print('(STEP 0D/33) OF CAST2TENSE4XI: DEFINED QUEUES ')
           
    # -------------------------------------------------------------------------------------------------
    # SuperClusterColor4Xi - EIGHT SUPER CLUSTERS - ONE FOR EACH TELESCOPE VIEW                            
    # -------------------------------------------------------------------------------------------------        
    global SuperClusterColor4Xi
       
    if ack2debug is True:
        print('(STEP 0D/33) OF CAST2TENSE4XI: DEFINED SuperClusterColor4Xi ')
                                                                                                                                                                                                     
    # -------------------------------------------------------------------------------------------------
    # SymbolColor4Xi - BASE SYMBOLS FOR TENSES - FINAL SYMBOL BY COMBINING THESE AS REQUIRED                            
    # -------------------------------------------------------------------------------------------------           
    global SymbolColor4Xi     # http://www.yourdragonxi.org/web/images/png/01_q.png ...
       
    if ack2debug is True:
        print('(STEP 0D/33) OF CAST2TENSE4XI: DEFINED SymbolColor4Xi ')
        
    # -------------------------------------------------------------------------------------------------
    # Actor Knowledgebase                          
    # -------------------------------------------------------------------------------------------------     
    global ActorKB4Xi
       
    if ack2debug is True:
        print('(STEP 0E/33) OF CAST2TENSE4XI: DEFINED ActorKB4Xi ')
    
            
    # -------------------------------------------------------------------------------------------------
    # Initialize                            
    # -------------------------------------------------------------------------------------------------          
                                                                                                                                                                                             
    # -------------------------------------------------------------------------------------------------
    # dictionary2fire - dictionary to cast (x,y,z) for a tense 
    # notes: 
    #       1) you HAVE to do it inside this function !                         
    #       2) color_tenses4xi function must have been called by caller before calling this function!
    # -------------------------------------------------------------------------------------------------           

    dictionary2fire = {
        #========
        # ONE
        #========      
        10:  fire2one104xi,
        101: fire2one1004xi,
        102: fire2one2004xi,
        103: fire2one3004xi,
        104: fire2one4004xi,
        105: fire2one5004xi,
        106: fire2one6004xi,
        107: fire2one7004xi,
        108: fire2one8004xi,
        109: fire2one9004xi,
        110: fire2one10004xi,
        111: fire2one11004xi,
        112: fire2one12004xi,
        113: fire2one13004xi,
        114: fire2one14004xi,
        115: fire2one15004xi,
        116: fire2one16004xi,
        117: fire2one17004xi,
        118: fire2one18004xi,
        119: fire2one19004xi,
        120: fire2one20004xi,
        121: fire2one21004xi,
        122: fire2one22004xi,
        123: fire2one23004xi,
        124: fire2one24004xi,
        125: fire2one25004xi,
        126: fire2one26004xi,
        127: fire2one27004xi,
        128: fire2one28004xi,
        129: fire2one29004xi,
        130: fire2one30004xi,
        131: fire2one31004xi,
        132: fire2one32004xi,
        133: fire2one33004xi,
        
        #========
        # TWO
        #========      
        20:   fire2two104xi,
        201:  fire2two1004xi,
        202:  fire2two2004xi,
        203:  fire2two3004xi,
        204:  fire2two4004xi,
        205:  fire2two5004xi,
        206:  fire2two6004xi,
        207:  fire2two7004xi,
        208:  fire2two8004xi,
        209:  fire2two9004xi,
        210:  fire2two10004xi,
        211:  fire2two11004xi,
        212:  fire2two12004xi,
        213:  fire2two13004xi,
        214:  fire2two14004xi,
        215:  fire2two15004xi,
        216:  fire2two16004xi,
        217:  fire2two17004xi,
        218:  fire2two18004xi,
        219:  fire2two19004xi,
        220:  fire2two20004xi,
        221:  fire2two21004xi,
        222:  fire2two22004xi,
        223:  fire2two23004xi,
        224:  fire2two24004xi,
        225:  fire2two25004xi,
        226:  fire2two26004xi,
        227:  fire2two27004xi,
        228:  fire2two28004xi,
        229:  fire2two29004xi,
        230:  fire2two30004xi,
        231:  fire2two31004xi,
        232:  fire2two32004xi,
        233:  fire2two33004xi,
        
        #========
        # THREE
        #========      
        30:   fire2three104xi,
        301:  fire2three1004xi,
        302:  fire2three2004xi,
        303:  fire2three3004xi,
        304:  fire2three4004xi,
        305:  fire2three5004xi,
        306:  fire2three6004xi,
        307:  fire2three7004xi,
        308:  fire2three8004xi,
        309:  fire2three9004xi,
        310:  fire2three10004xi,
        311:  fire2three11004xi,
        312:  fire2three12004xi,
        313:  fire2three13004xi,
        314:  fire2three14004xi,
        315:  fire2three15004xi,
        316:  fire2three16004xi,
        317:  fire2three17004xi,
        318:  fire2three18004xi,
        319:  fire2three19004xi,
        320:  fire2three20004xi,
        321:  fire2three21004xi,
        322:  fire2three22004xi,
        323:  fire2three23004xi,
        324:  fire2three24004xi,
        325:  fire2three25004xi,
        326:  fire2three26004xi,
        327:  fire2three27004xi,
        328:  fire2three28004xi,
        329:  fire2three29004xi,
        330:  fire2three30004xi,
        331:  fire2three31004xi,
        332:  fire2three32004xi,
        333:  fire2three33004xi,
        
        #========
        # FOUR
        #========      
        40:   fire2four104xi,
        401:  fire2four1004xi,
        402:  fire2four2004xi,
        403:  fire2four3004xi,
        404:  fire2four4004xi,
        405:  fire2four5004xi,
        406:  fire2four6004xi,
        407:  fire2four7004xi,
        408:  fire2four8004xi,
        409:  fire2four9004xi,
        410:  fire2four10004xi,
        411:  fire2four11004xi,
        412:  fire2four12004xi,
        413:  fire2four13004xi,
        414:  fire2four14004xi,
        415:  fire2four15004xi,
        416:  fire2four16004xi,
        417:  fire2four17004xi,
        418:  fire2four18004xi,
        419:  fire2four19004xi,
        420:  fire2four20004xi,
        421:  fire2four21004xi,
        422:  fire2four22004xi,
        423:  fire2four23004xi,
        424:  fire2four24004xi,
        425:  fire2four25004xi,
        426:  fire2four26004xi,
        427:  fire2four27004xi,
        428:  fire2four28004xi,
        429:  fire2four29004xi,
        430:  fire2four30004xi,
        431:  fire2four31004xi,
        432:  fire2four32004xi,
        433:  fire2four33004xi,
         
        #========
        # FIVE
        #========      
        50:   fire2five104xi,
        501:  fire2five1004xi,
        502:  fire2five2004xi,
        503:  fire2five3004xi,
        504:  fire2five4004xi,
        505:  fire2five5004xi,
        506:  fire2five6004xi,
        507:  fire2five7004xi,
        508:  fire2five8004xi,
        509:  fire2five9004xi,
        510:  fire2five10004xi,
        511:  fire2five11004xi,
        512:  fire2five12004xi,
        513:  fire2five13004xi,
        514:  fire2five14004xi,
        515:  fire2five15004xi,
        516:  fire2five16004xi,
        517:  fire2five17004xi,
        518:  fire2five18004xi,
        519:  fire2five19004xi,
        520:  fire2five20004xi,
        521:  fire2five21004xi,
        522:  fire2five22004xi,
        523:  fire2five23004xi,
        524:  fire2five24004xi,
        525:  fire2five25004xi,
        526:  fire2five26004xi,
        527:  fire2five27004xi,
        528:  fire2five28004xi,
        529:  fire2five29004xi,
        530:  fire2five30004xi,
        531:  fire2five31004xi,
        532:  fire2five32004xi,
        533:  fire2five33004xi,
        
        #========
        # SIX
        #========      
        60:   fire2six104xi,
        601:  fire2six1004xi,
        602:  fire2six2004xi,
        603:  fire2six3004xi,
        604:  fire2six4004xi,
        605:  fire2six5004xi,
        606:  fire2six6004xi,
        607:  fire2six7004xi,
        608:  fire2six8004xi,
        609:  fire2six9004xi,
        610:  fire2six10004xi,
        611:  fire2six11004xi,
        612:  fire2six12004xi,
        613:  fire2six13004xi,
        614:  fire2six14004xi,
        615:  fire2six15004xi,
        616:  fire2six16004xi,
        617:  fire2six17004xi,
        618:  fire2six18004xi,
        619:  fire2six19004xi,
        620:  fire2six20004xi,
        621:  fire2six21004xi,
        622:  fire2six22004xi,
        623:  fire2six23004xi,
        624:  fire2six24004xi,
        625:  fire2six25004xi,
        626:  fire2six26004xi,
        627:  fire2six27004xi,
        628:  fire2six28004xi,
        629:  fire2six29004xi,
        630:  fire2six30004xi,
        631:  fire2six31004xi,
        632:  fire2six32004xi,
        633:  fire2six33004xi,
         
        #========
        # SEVEN
        #========      
        70:   fire2seven104xi,
        701:  fire2seven1004xi,
        702:  fire2seven2004xi,
        703:  fire2seven3004xi,
        704:  fire2seven4004xi,
        705:  fire2seven5004xi,
        706:  fire2seven6004xi,
        707:  fire2seven7004xi,
        708:  fire2seven8004xi,
        709:  fire2seven9004xi,
        710:  fire2seven10004xi,
        711:  fire2seven11004xi,
        712:  fire2seven12004xi,
        713:  fire2seven13004xi,
        714:  fire2seven14004xi,
        715:  fire2seven15004xi,
        716:  fire2seven16004xi,
        717:  fire2seven17004xi,
        718:  fire2seven18004xi,
        719:  fire2seven19004xi,
        720:  fire2seven20004xi,
        721:  fire2seven21004xi,
        722:  fire2seven22004xi,
        723:  fire2seven23004xi,
        724:  fire2seven24004xi,
        725:  fire2seven25004xi,
        726:  fire2seven26004xi,
        727:  fire2seven27004xi,
        728:  fire2seven28004xi,
        729:  fire2seven29004xi,
        730:  fire2seven30004xi,
        731:  fire2seven31004xi,
        732:  fire2seven32004xi,
        733:  fire2seven33004xi,
         
        #========
        # EIGHT
        #========      
        80:   fire2eight104xi,
        801:  fire2eight1004xi,
        802:  fire2eight2004xi,
        803:  fire2eight3004xi,
        804:  fire2eight4004xi,
        805:  fire2eight5004xi,
        806:  fire2eight6004xi,
        807:  fire2eight7004xi,
        808:  fire2eight8004xi,
        809:  fire2eight9004xi,
        810:  fire2eight10004xi,
        811:  fire2eight11004xi,
        812:  fire2eight12004xi,
        813:  fire2eight13004xi,
        814:  fire2eight14004xi,
        815:  fire2eight15004xi,
        816:  fire2eight16004xi,
        817:  fire2eight17004xi,
        818:  fire2eight18004xi,
        819:  fire2eight19004xi,
        820:  fire2eight20004xi,
        821:  fire2eight21004xi,
        822:  fire2eight22004xi,
        823:  fire2eight23004xi,
        824:  fire2eight24004xi,
        825:  fire2eight25004xi,
        826:  fire2eight26004xi,
        827:  fire2eight27004xi,
        828:  fire2eight28004xi,
        829:  fire2eight29004xi,
        830:  fire2eight30004xi,
        831:  fire2eight31004xi,
        832:  fire2eight32004xi,
        833:  fire2eight33004xi}
                                    
       
    if ack2debug is True:
        print('(STEP 0F/33) OF CAST2TENSE4XI: DEFINED dictionary2fire ')
    
    # -------------------------------------------------------------------------------------------------
    # Cast to queue                            
    # -------------------------------------------------------------------------------------------------     
    cast2queue = {    
        0:  queue2zero,
        1:  queue2one,
        2:  queue2two,
        3:  queue2three,
        4:  queue2four,
        5:  queue2five,
        6:  queue2six,
        7:  queue2seven,
        8:  queue2eight}
        
    if ack2debug is True:
        print('(STEP 0G/33) OF CAST2TENSE4XI: DEFINED cast2queue ')
         
    # -------------------------------------------------------------------------------------------------
    # Cast to pipe consumer channel                        
    # ------------------------------------------------------------------------------------------------- 
    cast2consumerchannel = {                   
        0:  pipe2zero_consumer_channel,
        1:  pipe2one_consumer_channel,
        2:  pipe2two_consumer_channel,
        3:  pipe2three_consumer_channel,
        4:  pipe2four_consumer_channel,
        5:  pipe2five_consumer_channel,
        6:  pipe2six_consumer_channel,
        7:  pipe2seven_consumer_channel,
        8:  pipe2eight_consumer_channel}
        
        
    if ack2debug is True:
        print('(STEP 0H/33) OF CAST2TENSE4XI: DEFINED cast2consumerchannel ')
        
    # -------------------------------------------------------------------------------------------------
    # Cast to pipe publisher channel                         
    # ------------------------------------------------------------------------------------------------- 
    cast2publisherchannel = {             
        0:  pipe2zero_publisher_channel,
        1:  pipe2one_publisher_channel,
        2:  pipe2two_publisher_channel,
        3:  pipe2three_publisher_channel,
        4:  pipe2four_publisher_channel, 
        5:  pipe2five_publisher_channel,
        6:  pipe2six_publisher_channel,
        7:  pipe2seven_publisher_channel,
        8:  pipe2eight_publisher_channel}        
        
    if ack2debug is True:
        print('(STEP 0/33) OF CAST2TENSE4XI: DEFINED cast2publisherchannel ')
            
    # -----------------------------------------------------------------------------------------------------
    # START                          
    # -----------------------------------------------------------------------------------------------------     
    if ack2debug is True:
        print("(STEP 1A/33) OF CAST2TENSE4XI - GOT TASK2CAST: ", task2cast) 
        # {'status': False, 'direction': 8, 'layer': 0, 'definition': 'reason_object4xi', 'clustername': 'function', 'clusterkey': 1, 'tense': 'reason_object4xi', 'simulation': 'nack', 'supername': 'function', 'order': 48, 'superkey': 0}

        
    # -----------------------------------------------------------------------------------------------------
    # SET                          
    # -----------------------------------------------------------------------------------------------------     
    if ack2debug is True:
        print("(STEP 1B/33) OF CAST2TENSE4XI - TRYING TO SET FIRE VARIABLES") 
    try:
        direction2fire = int(task2cast['direction'])
        layer2fire     = int(task2cast['layer'])        
        cluster2fire   = int(task2cast['clusterkey']) 
        order2fire     = int(task2cast['order'])
        super2fire     = int(task2cast['superkey'])
        if ack2debug is True: 
            print("(STEP 1C/33) OF CAST2TENSE4XI - DIRECTION2FIRE: ", direction2fire, " LAYER2FIRE: ", layer2fire, " CLUSTER2FIRE: ", cluster2fire, " ORDER2FIRE: ", order2fire, " SUPER2FIRE: ", super2fire)
            # DIRECTION2FIRE: 2  LAYER2FIRE:  0  CLUSTER2FIRE:  3  ORDER2FIRE:  5   SUPER2FIRE:  2
            # DIRECTION2FIRE: 8  LAYER2FIRE:  0  CLUSTER2FIRE:  1  ORDER2FIRE:  48  SUPER2FIRE:  0
    except:
        print("(STEP 1D/33) OF CAST2TENSE4XI *** FAILED TO SET OWN FIRE VARIABLES - TASK2CAST: ", task2cast) 
                
    # -----------------------------------------------------------------------------------------------------
    # VERIFY                   
    # -----------------------------------------------------------------------------------------------------         
    ack2direction = True
    ack2layer = True
    ack2cluster = True
    ack2order = True
    ack2super = True
    ack2input = True
    
    if ack2debug is True:
        print("(STEP 1E1/33) OF CAST2TENSE4XI - TRYING TO VERIFY FIRE VARIABLES DIRECTION2FIRE")     
    try:            
        if ((direction2fire <= 0) or (direction2fire > 8)):
            print("(STEP 1E1/33) OF CAST2TENSE4XI *** FAILED TO ACCEPT DIRECTION2FIRE: ", direction2fire)        
            direction2fire = 1
            ack2direction = False
            ack2input = False
    except:
        print("(STEP 1E1/33) OF CAST2TENSE4XI *** FAILED TO VERIFY DIRECTION2FIRE ***")
        
    if ack2debug is True:
        print("(STEP 1E2/33) OF CAST2TENSE4XI - TRYING TO VERIFY LAYER2FIRE")           
    try:                
        if ((layer2fire < 0) or (layer2fire > 3300)): 
            print("(STEP 1E2/33) OF CAST2TENSE4XI *** FAILED TO ACCEPT LAYER2FIRE: ", layer2fire)   
            layer2fire = 3100
            ack2layer = False
            ack2input = False            
    except:
        print("(STEP 1E2/33) OF CAST2TENSE4XI *** FAILED TO VERIFY LAYER2FIRE ***")
        
    if ack2debug is True:
        print("(STEP 1E3/33) OF CAST2TENSE4XI - TRYING TO VERIFY CLUSTER2FIRE")            
    try:                
        if ((cluster2fire <= 0) or (cluster2fire > 33)):
            print("(STEP 1E3/33) OF CAST2TENSE4XI *** FAILED TO ACCEPT CLUSTER2FIRE: ", cluster2fire)        
            cluster2fire = 1
            ack2cluster = False
            ack2input = False            
    except:
        print("(STEP 1E3/33) OF CAST2TENSE4XI *** FAILED TO VERIFY CLUSTER2FIRE ***")
        
    if ack2debug is True:
        print("(STEP 1E4/33) OF CAST2TENSE4XI - TRYING TO VERIFY ORDER2FIRE")        
    try:                 
        if order2fire <= 0:
            print("(STEP 1E4/33) OF CAST2TENSE4XI *** FAILED TO ACCEPT ORDER2FIRE: ", order2fire)
            order2fire = 1           
            ack2order = False
            ack2input = False 
    except:
        print("(STEP 1E4/33) OF CAST2TENSE4XI *** FAILED TO VERIFY ORDER2FIRE ***")
                    
    if ack2debug is True:
        print("(STEP 1E5/33) OF CAST2TENSE4XI - TRYING TO VERIFY SUPER2FIRE")          
    try:                      
        if ((super2fire <= 0) or (super2fire > 8)):
            super2fire = 1   
            ack2super = False
            ack2input = False

    except:
        print("(STEP 1E5/33) OF CAST2TENSE4XI *** FAILED TO VERIFY SUPER2FIRE ***")
        
    if ack2debug is True:
        print("(STEP 1E6/33) OF CAST2TENSE4XI - TRYING TO VERIFY ACK2INPUT")          
    try:           
        if ack2input is False:
            print("(STEP 1E6a/33) OF CAST2TENSE4XI *** FAILED INPUT - ACK2INPUT: ", ack2input, " TASK2CAST: ", task2cast)
            print("(STEP 1E6b/33) OF CAST2TENSE4XI - ACK2DIRECTION: ", ack2direction, " DIRECTION2FIRE: ",direction2fire)
            print("(STEP 1E6c/33) OF CAST2TENSE4XI - ACK2LAYER: ", ack2layer, " LAYER2FIRE: ", layer2fire)
            print("(STEP 1E6d/33) OF CAST2TENSE4XI - ACK2CLUSTER: ", ack2cluster, " CLUSTER2FIRE: ", cluster2fire)
            print("(STEP 1E6e/33) OF CAST2TENSE4XI - ACK2ORDER: ", ack2order, " ORDER2FIRE: ", order2fire)
            print("(STEP 1E6f/33) OF CAST2TENSE4XI - ACK2SUPER: ", ack2super, " SUPER2FIRE: ", super2fire)
            # ACK2INPUT:  False
            # TASK2CAST:  {'status': False, 'direction': 1, 'layer': 3200,
            #          'definition': 'function', 'clustername': 'analyzer', 'clusterkey': 1, 'tense': 'function', 'simulation': 'ack', 'supername': 'function', 'order': 3101, 'superkey': 1}

            # TASK2CAST:  {'status': False, 'direction': 1, 'layer': 3300, 'definition': 'function', 'clustername': 'analyzer', 'clusterkey': 33, 'tense': 'function', 'simulation': 'ack', 
            #           'supername': 'function', 'order': 3301, 'superkey': 1}

            
        else:    
            if ack2debug is True:
                print("(STEP 1E6g/33) OF CAST2TENSE4XI - PASSED INPUT, ACK2INPUT: ", ack2input)         
    except:
        print("(STEP 1E6h/33) OF CAST2TENSE4XI *** FAILED TO VERIFY ACK2INPUT ***")
                                 
    # -----------------------------------------------------------------------------------------------------
    # SET MINIMUM2FIRE                         
    # -----------------------------------------------------------------------------------------------------            
    minimum2fire = 0 
    ack2minimum = False
    ack2index = False
    ack2return = False    
    if ack2debug is True:
        print("(STEP 2A/33) OF CAST2TENSE4XI - TRYING TO SET MINIMUM2FIRE")       
    try:
        if order2fire < 100:
            minimum2fire = direction2fire * 10  # dictionary2fire = {10:  fire2one104xi, 101: fire2one1004xi, 102: fire2one2004xi ... 
        else:
            minimum2fire = direction2fire * 100
        ack2minimum = True
        index2fire = minimum2fire
        if ack2debug is True:
            print("(STEP 2B/33) OF CAST2TENSE4XI - MINIMUM2FIRE: ", minimum2fire, " FOR DIRECTION: ", direction2fire)
            # 20  FOR DIRECTION:  2; 100  FOR DIRECTION:  1
    except:
        print("(STEP 2B/33) OF CAST2TENSE4XI *** FAILED TO SET MINIMUM2FIRE ***")    
   
    while 1:                

        if order2fire < 100:
            # -------------------------------------------------------------------------------------------------
            # 10                         
            # -------------------------------------------------------------------------------------------------                
            index2fire = minimum2fire + 0                                                 # {10:  fire2one104xi
            ack2index = True
            layer2fire = 10
            if ack2debug is True:
                print("(STEP 3A10/33) OF CAST2TENSE4XI - SET INDEX2FIRE TO: ", index2fire, " FOR DIRECTION: ", direction2fire)
                # 20  FOR DIRECTION:  2
            break

        if ((order2fire >= 100) and (order2fire < 200)): 
            # -------------------------------------------------------------------------------------------------
            # 100                         
            # -------------------------------------------------------------------------------------------------                
            index2fire = minimum2fire + 1                                                 # 101: fire2one1004xi
            ack2index = True
            layer2fire = 100
            if ack2debug is True:
                print("(STEP 3A100/33) OF CAST2TENSE4XI - SET INDEX2FIRE TO: ", index2fire, " FOR DIRECTION: ", direction2fire)
                #                 
            break
                    
        if ((order2fire >= 200) and (order2fire < 300)): 
            # -------------------------------------------------------------------------------------------------
            # 200                         
            # -------------------------------------------------------------------------------------------------              
            index2fire = minimum2fire + 2                                                 # 102: fire2one2004xi
            ack2index = True
            layer2fire = 200
            if ack2debug is True:
                print("(STEP 3A200/33) OF CAST2TENSE4XI - SET INDEX2FIRE TO: ", index2fire, " FOR DIRECTION: ", direction2fire)
                # 
            break                                                                          

        if ((order2fire >= 300) and (order2fire < 400)):
            # -------------------------------------------------------------------------------------------------
            # 300                         
            # -------------------------------------------------------------------------------------------------           
            index2fire = minimum2fire + 3                                                 # 103: fire2one3004xi                                       
            ack2index = True
            layer2fire = 300
            if ack2debug is True:
               print("(STEP 3A300/33) OF CAST2TENSE4XI - SET INDEX2FIRE TO: ", index2fire, " FOR DIRECTION: ", direction2fire)
               #
            break
                
        if ((order2fire >= 400) and (order2fire < 500)):
            # -------------------------------------------------------------------------------------------------
            # 400                         
            # -------------------------------------------------------------------------------------------------        
            index2fire = minimum2fire + 4                                                 # 104: fire2one4004xi                                        
            ack2index = True
            layer2fire = 400
            if ack2debug is True:
               print("(STEP 3A400/33) OF CAST2TENSE4XI - SET INDEX2FIRE TO: ", index2fire, " FOR DIRECTION: ", direction2fire)
               # 
            break
                    
        if ((order2fire >= 500) and (order2fire < 600)):
            # -------------------------------------------------------------------------------------------------
            # 500                         
            # -------------------------------------------------------------------------------------------------            
            index2fire = minimum2fire + 5                                                 # 105: fire2one5004xi                                           
            ack2index = True
            layer2fire = 500
            if ack2debug is True:
               print("(STEP 3A500/33) OF CAST2TENSE4XI - SET INDEX2FIRE TO: ", index2fire, " FOR DIRECTION: ", direction2fire)
               #
            break   

        if ((order2fire > 600) and (order2fire <= 700)):
            # -------------------------------------------------------------------------------------------------
            # 600                         
            # -------------------------------------------------------------------------------------------------         
            index2fire = minimum2fire + 6                                                 # 106: fire2one6004xi                                 
            ack2index = True
            layer2fire = 600
            if ack2debug is True:
               print("(STEP 3A600/33) OF CAST2TENSE4XI - SET INDEX2FIRE TO: ", index2fire, " FOR DIRECTION: ", direction2fire)
               #
            break           

        if ((order2fire > 700) and (order2fire <= 800)):
            # -------------------------------------------------------------------------------------------------
            # 700                         
            # -------------------------------------------------------------------------------------------------          
            index2fire = minimum2fire + 7                                                 # 107: fire2one7004xi                                   
            ack2index = True
            layer2fire = 700
            if ack2debug is True:
               print("(STEP 3A700/33) OF CAST2TENSE4XI - SET INDEX2FIRE TO: ", index2fire, " FOR DIRECTION: ", direction2fire)
               #
            break     

        if ((order2fire > 800) and (order2fire <= 900)):
            # -------------------------------------------------------------------------------------------------
            # 800                         
            # -------------------------------------------------------------------------------------------------          
            index2fire = minimum2fire + 8                                                 # 108: fire2one8004xi                                         
            ack2index = True
            layer2fire = 800
            if ack2debug is True:
               print("(STEP 3A800/33) OF CAST2TENSE4XI - SET INDEX2FIRE TO: ", index2fire, " FOR DIRECTION: ", direction2fire)
               #
            break   
                    
        if ((order2fire > 900) and (order2fire <= 1000)):
            # -------------------------------------------------------------------------------------------------
            # 900                         
            # -------------------------------------------------------------------------------------------------          
            index2fire = minimum2fire + 9                                                 # 109: fire2one9004xi                                           
            ack2index = True
            layer2fire = 900
            if ack2debug is True:
               print("(STEP 3A900/33) OF CAST2TENSE4XI - SET INDEX2FIRE TO: ", index2fire, " FOR DIRECTION: ", direction2fire)

        if ((order2fire > 1000) and (order2fire <= 1100)):
            # -------------------------------------------------------------------------------------------------
            # 1000                         
            # -------------------------------------------------------------------------------------------------           
            index2fire = minimum2fire + 10                                                # 110: fire2one10004xi                                  
            ack2index = True
            layer2fire = 1000
            if ack2debug is True:
               print("(STEP 3A1000/33) OF CAST2TENSE4XI - SET INDEX2FIRE TO: ", index2fire, " FOR DIRECTION: ", direction2fire)
               #
            break   

        if ((order2fire > 1100) and (order2fire <= 1200)):
            # -------------------------------------------------------------------------------------------------
            # 1100                         
            # -------------------------------------------------------------------------------------------------          
            index2fire = minimum2fire + 11                                                # 111: fire2one11004xi                                        
            ack2index = True
            layer2fire = 1100
            if ack2debug is True:
               print("(STEP 3A1100/33) OF CAST2TENSE4XI - SET INDEX2FIRE TO: ", index2fire, " FOR DIRECTION: ", direction2fire)
               #
            break   
                    
        if ((order2fire > 1200) and (order2fire <= 1300)):
            # -------------------------------------------------------------------------------------------------
            # 1200                         
            # -------------------------------------------------------------------------------------------------              
            index2fire = minimum2fire + 12                                                # 112: fire2one12004xi                                       
            ack2index = True
            layer2fire = 1200
            if ack2debug is True:
               print("(STEP 3A1200/33) OF CAST2TENSE4XI - SET INDEX2FIRE TO: ", index2fire, " FOR DIRECTION: ", direction2fire)
               #
            break     
                    
        if ((order2fire > 1300) and (order2fire <= 1400)):
            # -------------------------------------------------------------------------------------------------
            # 1300                         
            # -------------------------------------------------------------------------------------------------          
            index2fire = minimum2fire + 13                                                # 113: fire2one13004xi                                         
            ack2index = True
            layer2fire = 1300
            if ack2debug is True:
               print("(STEP 3A1300/33) OF CAST2TENSE4XI - SET INDEX2FIRE TO: ", index2fire, " FOR DIRECTION: ", direction2fire)
               #
            break     
                    
        if ((order2fire > 1400) and (order2fire <= 1500)):
            # -------------------------------------------------------------------------------------------------
            # 1400                         
            # -------------------------------------------------------------------------------------------------          
            index2fire = minimum2fire + 14                                                # 114: fire2one14004xi                                         
            ack2index = True
            layer2fire = 1400
            if ack2debug is True:
               print("(STEP 3A1400/33) OF CAST2TENSE4XI - SET INDEX2FIRE TO: ", index2fire, " FOR DIRECTION: ", direction2fire)
               #
            break    
            
        if ((order2fire > 1500) and (order2fire <= 1600)):
            # -------------------------------------------------------------------------------------------------
            # 1500                         
            # -------------------------------------------------------------------------------------------------         
            index2fire = minimum2fire + 15                                                # 115: fire2one15004xi                                              
            ack2index = True
            layer2fire = 1500
            if ack2debug is True:
               print("(STEP A1500/33) OF CAST2TENSE4XI - SET INDEX2FIRE TO: ", index2fire, " FOR DIRECTION: ", direction2fire)
               #
            break    
                    

        if ((order2fire > 1600) and (order2fire <= 1700)):
            # -------------------------------------------------------------------------------------------------
            # 1600                         
            # -------------------------------------------------------------------------------------------------          
            index2fire = minimum2fire + 16                                                # 116: fire2one16004xi                                        
            ack2index = True
            layer2fire = 1600
            if ack2debug is True:
               print("(STEP A1600/33) OF CAST2TENSE4XI - SET INDEX2FIRE TO: ", index2fire, " FOR DIRECTION: ", direction2fire)
               #
            break    
            
        if ((order2fire > 1700) and (order2fire <= 1800)):
            # -------------------------------------------------------------------------------------------------
            # 1700                         
            # -------------------------------------------------------------------------------------------------               
            index2fire = minimum2fire + 17                                                # 117: fire2one17004xi                                             
            ack2index = True
            layer2fire = 1700
            if ack2debug is True:
               print("(STEP 3A1700/33) OF CAST2TENSE4XI - SET INDEX2FIRE TO: ", index2fire, " FOR DIRECTION: ", direction2fire)
               #
            break        
                    

        if ((order2fire > 1800) and (order2fire <= 1900)):
            # -------------------------------------------------------------------------------------------------
            # 1800                         
            # -------------------------------------------------------------------------------------------------           
            index2fire = minimum2fire + 18                                                # 118: fire2one18004xi                                             
            ack2index = True
            layer2fire = 1800
            if ack2debug is True:
               print("(STEP A1800/33) OF CAST2TENSE4XI - SET INDEX2FIRE TO: ", index2fire, " FOR DIRECTION: ", direction2fire)
               #
            break       
                    

        if ((order2fire > 1900) and (order2fire <= 2000)):
            # -------------------------------------------------------------------------------------------------
            # 1900                         
            # -------------------------------------------------------------------------------------------------          
            index2fire = minimum2fire + 19                                                # 119: fire2one19004xi                                             
            ack2index = True
            layer2fire = 1900
            if ack2debug is True:
               print("(STEP A1900/33) OF CAST2TENSE4XI - SET INDEX2FIRE TO: ", index2fire, " FOR DIRECTION: ", direction2fire)
               #
            break     
                    
        if ((order2fire > 2000) and (order2fire <= 2100)):
            # -------------------------------------------------------------------------------------------------
            # 2000                         
            # -------------------------------------------------------------------------------------------------         
            index2fire = minimum2fire + 20                                                # 120: fire2one20004xi                                            
            ack2index = True
            layer2fire = 2000
            if ack2debug is True:
               print("(STEP 3A2000/33) OF CAST2TENSE4XI - SET INDEX2FIRE TO: ", index2fire, " FOR DIRECTION: ", direction2fire)
               #
            break    
            
        if ((order2fire > 2100) and (order2fire <= 2200)):
            # -------------------------------------------------------------------------------------------------
            # 2100                         
            # -------------------------------------------------------------------------------------------------
            index2fire = minimum2fire + 21                                                # 121: fire2one21004xi              
            ack2index = True
            layer2fire = 2100
            if ack2debug is True:
               print("(STEP 3A2100/33) OF CAST2TENSE4XI - SET INDEX2FIRE TO: ", index2fire, " FOR DIRECTION: ", direction2fire)
               #
            break    
                    

        if ((order2fire > 2200) and (order2fire <= 2300)):
            # -------------------------------------------------------------------------------------------------
            # 2200                         
            # -------------------------------------------------------------------------------------------------        
            index2fire = minimum2fire + 22                                                # 122: fire2one22004xi                                        
            ack2index = True
            layer2fire = 2200
            if ack2debug is True:
               print("(STEP 3A2200/33) OF CAST2TENSE4XI - SET INDEX2FIRE TO: ", index2fire, " FOR DIRECTION: ", direction2fire)
               #
            break    

        if ((order2fire > 2300) and (order2fire <= 2400)):
            # -------------------------------------------------------------------------------------------------
            # 2300                         
            # -------------------------------------------------------------------------------------------------              
            index2fire = minimum2fire + 23                                                # 123: fire2one23004xi                                       
            ack2index = True
            layer2fire = 2300
            if ack2debug is True:
               print("(STEP 3A2300/33) OF CAST2TENSE4XI - SET INDEX2FIRE TO: ", index2fire, " FOR DIRECTION: ", direction2fire)
               #
            break    

        if ((order2fire > 2400) and (order2fire <= 2500)):
            # -------------------------------------------------------------------------------------------------
            # 2400                         
            # -------------------------------------------------------------------------------------------------           
            index2fire = minimum2fire + 24                                                # 124: fire2one24004xi                                       
            ack2index = True
            layer2fire = 2400
            if ack2debug is True:
               print("(STEP 3A2400 /33) OF CAST2TENSE4XI - SET INDEX2FIRE TO: ", index2fire, " FOR DIRECTION: ", direction2fire)
               #
            break     
                    

        if ((order2fire > 2500) and (order2fire <= 2600)):
            # -------------------------------------------------------------------------------------------------
            # 2500                         
            # -------------------------------------------------------------------------------------------------           
            index2fire = minimum2fire + 25                                                # 125: fire2one25004xi                                        
            ack2index = True
            layer2fire = 2500
            if ack2debug is True:
               print("(STEP 3A2500/33) OF CAST2TENSE4XI - SET INDEX2FIRE TO: ", index2fire, " FOR DIRECTION: ", direction2fire)
               #
            break          
                    

        if ((order2fire > 2600) and (order2fire <= 2700)):
            # -------------------------------------------------------------------------------------------------
            # 2600                         
            # -------------------------------------------------------------------------------------------------         
            index2fire = minimum2fire + 26                                                # 126: fire2one26004xi                                       
            ack2index = True
            layer2fire = 2600
            if ack2debug is True:
               print("(STEP 3A2600/33) OF CAST2TENSE4XI - SET INDEX2FIRE TO: ", index2fire, " FOR DIRECTION: ", direction2fire)
               #
            break      
                    

        if ((order2fire > 2700) and (order2fire <= 2800)):
            # -------------------------------------------------------------------------------------------------
            # 2700                         
            # -------------------------------------------------------------------------------------------------          
            index2fire = minimum2fire + 27                                                # 127: fire2one27004xi                                       
            ack2index = True
            layer2fire = 2700
            if ack2debug is True:
               print("(STEP 3A2700/33) OF CAST2TENSE4XI - SET INDEX2FIRE TO: ", index2fire, " FOR DIRECTION: ", direction2fire)
               #
            break          
                    

        if ((order2fire > 2800) and (order2fire <= 2900)):
            # -------------------------------------------------------------------------------------------------
            # 2800                         
            # -------------------------------------------------------------------------------------------------           
            index2fire = minimum2fire + 28                                                # 128: fire2one28004xi                                       
            ack2index = True
            layer2fire = 2800
            if ack2debug is True:
               print("(STEP 3A2800/33) OF CAST2TENSE4XI - SET INDEX2FIRE TO: ", index2fire, " FOR DIRECTION: ", direction2fire)
               #
            break       
                    

        if ((order2fire > 2900) and (order2fire <= 3000)):
            # -------------------------------------------------------------------------------------------------
            # 2900                         
            # -------------------------------------------------------------------------------------------------          
            index2fire = minimum2fire + 29                                                # 129: fire2one29004xi                                       
            ack2index = True
            layer2fire = 2900
            if ack2debug is True:
               print("(STEP 3A2900/33) OF CAST2TENSE4XI - SET INDEX2FIRE TO: ", index2fire, " FOR DIRECTION: ", direction2fire)

        if ((order2fire > 3000) and (order2fire <= 3100)):
            # -------------------------------------------------------------------------------------------------
            # 3000                         
            # -------------------------------------------------------------------------------------------------           
            index2fire = minimum2fire + 30                                                # 130: fire2one30004xi                                        
            ack2index = True
            layer2fire = 3000
            if ack2debug is True:
                   print("(STEP 3A3000 /33) OF CAST2TENSE4XI - SET INDEX2FIRE TO: ", index2fire, " FOR DIRECTION: ", direction2fire)
               #
            break   
                    

        if ((order2fire > 3100) and (order2fire <= 3200)):
            # -------------------------------------------------------------------------------------------------
            # 3100                         
            # -------------------------------------------------------------------------------------------------                  
            index2fire = minimum2fire + 31                                                # 131: fire2one31004xi                                             
            ack2index = True
            layer2fire = 3100
            if ack2debug is True:
               print("(STEP 3A3100/33) OF CAST2TENSE4XI - SET INDEX2FIRE TO: ", index2fire, " FOR DIRECTION: ", direction2fire)
               #
            break   
                    
          
        if ((order2fire > 3200) and (order2fire <= 3300) and (task2cast['simulation'] == 'ack')): 
            # -------------------------------------------------------------------------------------------------
            # 3200 - CLUSTER - SIMULATED                    
            # -------------------------------------------------------------------------------------------------                 
            index2fire = minimum2fire + 32                                                # 132: fire2one32004xi                                             
            ack2index = True
            layer2fire = 3200
            if ack2debug is True:
               print("(STEP 3A3200/33) OF CAST2TENSE4XI - SET INDEX2FIRE TO: ", index2fire, " FOR DIRECTION: ", direction2fire)
               #
            break   
                    
         
        if ((order2fire > 3300) and (order2fire <= 3333) and (task2cast['simulation'] == 'ack')):
            # -------------------------------------------------------------------------------------------------
            # 3300 - SUPER CLUSTER - SIMULATED                          
            # -------------------------------------------------------------------------------------------------                    
            index2fire = minimum2fire + 33                                                # 132: fire2one32004xi                                             
            ack2index = True
            layer2fire = 3300
            if ack2debug is True:
               print("(STEP 3A3300/33) OF CAST2TENSE4XI - SET INDEX2FIRE TO: ", index2fire, " FOR DIRECTION: ", direction2fire)
               # 
            break   
                               
       
        # -----------------------------------------------------------------------------------------
        # FORCED TO LAYER 3100                          
        # -----------------------------------------------------------------------------------------
        index2fire = minimum2fire + 31                                                    # 131: fire2one31004xi     
        ack2index = True
        layer2fire = 3100 
        if ack2debug is True:
            print("(STEP 3A3100/33) OF CAST2TENSE4XI - FORCED INDEX2FIRE TO: ", index2fire, " FOR DIRECTION: ", direction2fire)        
            # 
        break   
                                                  
    # -------------------------------------------------------------------------------------------------
    # eof while                        
    # -------------------------------------------------------------------------------------------------
              
    if ack2index is True:
        if ack2debug is True:    
            print("(STEP 3B/33) OF CAST2TENSE4XI - SUCCEEDED TO SET INDEX2FIRE TO: ", index2fire, " ACK2INDEX: " ,ack2index)
            # 20  ACK2INDEX:  True 
    else:
        print("(STEP 3B/33) OF CAST2TENSE4XI *** FAILED TO SET INDEX2FIRE **** ACK2INDEX: " ,ack2index) 
           
    # -------------------------------------------------------------------------------------------------
    # INDEX2FIRE POINTS TO THE REQUIRED (X,Y,Z)-DICTIONARY                           
    # -------------------------------------------------------------------------------------------------           
    if ack2debug is True:
        print("(STEP 4A/33) OF CAST2TENSE4XI - TRYING TO USE INDEX2FIRE, ORDER2FIRE AND DIRECTION2FIRE") 
    try:
        if ack2debug is True:
            print("(STEP 4B/33) OF CAST2TENSE4XI - INDEX2FIRE: ", index2fire, ' FOR ORDER: ' , order2fire, ' TO DIRECTION: ', direction2fire)    
            # INDEX2FIRE:  20  FOR ORDER:  5  TO DIRECTION:  2
    except:
        print("(STEP 4C/33) OF CAST2TENSE4XI *** FAILED TO USE INDEX2FIRE, ORDER2FIRE AND DIRECTION2FIRE")     
        # 
             
    # -------------------------------------------------------------------------------------------------
    # DICTIONARY2XYZ IS HOPEFULLY THE REQUIRED (X,Y,Z)-DICTIONARY                          
    # -------------------------------------------------------------------------------------------------              
    ack2return = True
    if ack2debug is True:
        print("(STEP 5A/33) OF CAST2TENSE4XI - TRYING TO SET DICTIONARY2XYZ")  
    try:
        dictionary2xyz = dictionary2fire[index2fire]    
        if ack2debug is True:
            print("(STEP 5B/33) OF CAST2TENSE4XI - DICTIONARY2XYZ: ", dictionary2xyz)         
            # {1: '0x-27y-41z', 2: '0x-27y-42z', 3: '0x-6y-7z', 4: '0x0y-29z', 5: '0x0y-69z', 6: '10x-20y-44z', 7: '10x-21y-44z', 8: '11x-19y-44z', 9: '11x-27y0z', 10: '12x-1y-27z', 11: '12x-27y0z', 12: '12x0y-27z', 13: '13x-1y-26z', 14: '13x-2y-26z', 15: '13x-3y-26z', 16: '13x-4y-26z', 17: '13x-5y-26z', 18: '13x-68y-4z', 19: '14x-26y0z', 20: '15x-20y-53z', 21: '15x-22y-53z', 22: '15x-25y0z', 23: '16x-19y-54z', 24: '16x-24y0z', 25: '16x-67y-4z', 26: '17x-16y-54z', 27: '17x-18y-54z', 28: '18x-13y-55z', 29: '18x-14y-55z', 30: '18x-15y-54z', 31: '18x-23y0z', 32: '19x-10y-55z', 33: '19x-11y-55z', 34: '19x-22y-1z', 35: '19x-7y-56z', 36: '19x-9y-56z', 37: '19x0y-67z', 38: '1x-5y-7z', 39: '1x-6y-7z', 40: '20x-1y-67z', 41: '20x-21y-1z', 42: '20x-2y-66z', 43: '20x-66y-5z', 44: '21x-20y-1z', 45: '21x-3y-66z', 46: '21x-5y-66z', 47: '21x-6y-66z', 48: '22x-19y-2z', 49: '22x-7y-65z', 50: '23x-18y-2z', 51: '27x-74y-7z', 52: '2x-26y-42z', 53: '2x-5y-7z', 54: '2x-5y-8z', 55: '2x-69y-2z', 56: '31x-73y-8z', 57: '32x-22y-3z', 58: '33x-21y-3z', 59: '34x-19y-4z', 60: '34x-71y-8z', 61: '35x-17y-4z', 62: '36x-15y-5z', 63: '37x-11y-5z', 64: '37x-13y-5z', 65: '38x-5y-7z', 66: '38x-69y-9z', 67: '38x-7y-6z', 68: '38x-9y-6z', 69: '39x-1y-7z', 70: '39x-3y-7z', 71: '3x-25y-42z', 72: '42x-67y-10z', 73: '45x-64y-11z', 74: '48x-62y-12z', 75: '4x-25y-42z', 76: '51x-59y-12z', 77: '54x-56y-13z', 78: '57x-53y-14z', 79: '5x-10y-16z', 80: '5x-24y-43z', 81: '60x-50y-15z', 82: '62x-47y-15z', 83: '6x-69y-2z', 84: '6x-9y-16z', 85: '72x-49y-18z', 86: '7x-23y-43z', 87: '7x-6y0z', 88: '7x-7y-16z', 89: '7x-7y0z', 90: '7x-8y-16z', 91: '8x-23y-43z', 92: '8x-4y-17z', 93: '8x-4y0z', 94: '8x-5y-17z', 95: '8x-5y0z', 96: '8x-6y-16z', 97: '8x-6y-17z', 98: '8x-7y-16z', 99: '9x-1y0z', 100: '9x-22y-43z', 101: '9x-28y0z', 102: '9x-2y0z', 103: '9x-3y0z', 104: '9x-4y0z', 105: '9x-69y-3z', 106: '9x0y0z'}
            
    except:
        print("(STEP 5C/33) OF CAST2TENSE4XI *** FAILED TO SET DICTIONARY2XYZ") 
        
    # -------------------------------------------------------------------------------------------------
    # XYZ                    
    # -------------------------------------------------------------------------------------------------            
    axk2x   = False
    axk2y   = False
    axk2z   = False
    axk2xyz = False
    
    if ack2debug is True:
        print("(STEP 5D/33) OF CAST2TENSE4XI - TRYING TO SEARCH INDEXES TO  X, Y AND Z")      
    try:                
        xyz2dict = dictionary2xyz [1]
        i2x = str.find(xyz2dict,"x")
        i2y = str.find(xyz2dict,"y") 
        i2z = str.find(xyz2dict,"z")
        if ack2debug is True:
            print("(STEP 5E/33) OF CAST2TENSE4XI - FOUND I2X: ", i2x, " I2Y: ", i2y, " I2Z: ", i2z, " FOR XYZ2DICT: ", xyz2dict) # FOUND I2X:  1  I2Y:  5  I2Z:  9  FOR XYZ2DICT:  0x-27y-41z  
        
    except:
        print("(STEP 5F/33) OF CAST2TENSE4XI *** FAILED TO SEARCH INDEXES TO  X, Y AND Z")   
        ack2return = False
    
    if ((i2x == -1) or (i2y == -1) or(i2y == -1)):
        if ack2debug is True:    
            print("(STEP 5G/33) OF CAST2TENSE4XI *** FAILED TO FIND PROPER INDEXES TO  X, Y AND Z")       
        ack2return = False
    else:
        # -------------------------------------------------------------------------------------------------
        # X - PICK                   
        # -------------------------------------------------------------------------------------------------    
        if ack2debug is True:
            print("(STEP 5X1/33) OF CAST2TENSE4XI - TRYING TO PICK X") 
        try: 
            x2dict = int(xyz2dict[0:i2x])
            if ack2debug is True:
                print("(STEP 5X2/33) OF CAST2TENSE4XI - PICKED X", x2dict)                 # PICKED X 0
        except:
            print("(STEP 5X3/33) OF CAST2TENSE4XI *** FAILED TO PICK X")   
            ack2return = False
        # -------------------------------------------------------------------------------------------------
        # Y - PICK                       
        # -------------------------------------------------------------------------------------------------                
        if ack2debug is True:
            print("(STEP 5Y1/33) OF CAST2TENSE4XI - TRYING TO PICK Y")
        try:                         
            y2dict = int(xyz2dict[i2x+1:i2y])
            if ack2debug is True:
                print("(STEP 5Y2/33) OF CAST2TENSE4XI - PICKED Y", y2dict)                 # PICKED Y -27
        except:
            print("(STEP 5Y3/33) OF CAST2TENSE4XI *** FAILED TO PICK Y")
            ack2return = False
            
        # -------------------------------------------------------------------------------------------------
        # Z - PICK                      
        # -------------------------------------------------------------------------------------------------            
        if ack2debug is True:
            print("(STEP 5Z1/33) OF CAST2TENSE4XI - TRYING TO PICK Z")        
        try:           
            z2dict = int(xyz2dict[i2y+1:i2z])
            if ack2debug is True:
                print("(STEP 5Z2/33) OF COORDINATE_TENSES4XI - PICKED Z: ", z2dict)        # PICKED Z:  -41                         
        except:
            print("(STEP 5Z3/33) OF CAST2TENSE4XI *** FAILED TO PICK Z")   
            ack2return = False
            
        # -------------------------------------------------------------------------------------------------
        # X - INTEGER                    
        # -------------------------------------------------------------------------------------------------    
        if ack2debug is True:
            print("(STEP 5X1/33) OF CAST2TENSE4XI - TRYING TO INTEGER X: ", x2dict) 
        try: 
            x2dict = int(x2dict)
            if ack2debug is True:
                print("(STEP 5X2/33) OF CAST2TENSE4XI - INTEGER X: ", x2dict)
            ack2x = True    
        except:
            print("(STEP 5X3/33) OF CAST2TENSE4XI *** FAILED TO INTEGER X")   
            ack2return = False
            
        # -------------------------------------------------------------------------------------------------
        # Y - INTEGER                     
        # -------------------------------------------------------------------------------------------------                
        if ack2debug is True:
            print("(STEP 5Y1/33) OF CAST2TENSE4XI - TRYING TO INTEGER Y: ", y2dict)
        try:                         
            y2dict = int(y2dict)
            if ack2debug is True:
                print("(STEP 5Y2/33) OF CAST2TENSE4XI - INTEGER Y: ", y2dict)
            ack2y = True     
        except:
            print("(STEP 5Y3/33) OF CAST2TENSE4XI *** FAILED TO INTEGER Y")
            ack2return = False
            
        # -------------------------------------------------------------------------------------------------
        # Z - INTEGER                     
        # -------------------------------------------------------------------------------------------------            
        if ack2debug is True:
            print("(STEP 5Z1/33) OF CAST2TENSE4XI - TRYING TO INTEGER Z: ", z2dict)        
        try:           
            z2dict = int(z2dict)
            if ack2debug is True:
                print("(STEP 5Z1/33) OF CAST2TENSE4XI - INTEGER Z: ", z2dict) 
            axkz = True                                
        except:
            print("(STEP 5Z3/33) OF CAST2TENSE4XI *** FAILED TO INTEGER Z")   
            ack2return = False 
                   
    # -------------------------------------------------------------------------------------------------
    # ACK2XYZ               
    # -------------------------------------------------------------------------------------------------          
    if ((ack2x is True) and (ack2y is True) and (ack2x is True)):
        ack2xyz = True
    else:
        ack2xyz = False
        ack2return = False 
    if ack2debug is True:
        print("(STEP 5XYZ/33) OF CAST2TENSE4XI - ACK2XYZ: ", ack2xyz) # True
        
    # -------------------------------------------------------------------------------------------------
    # RADIUS                  
    # -------------------------------------------------------------------------------------------------                     
    radius2dict = 1313131313131313
    if ack2debug is True:
        print("(STEP 5G/33) OF CAST2TENSE4XI - TRYING TO CALCULATE RADIUS")     
    
    try:                                    
        radius2dict = (x2dict**2 + y2dict**2 + z2dict**2) ** (1/2)
        if ack2debug is True:
            print('(STEP 5H/33) OF COORDINATE_TENSES4XI - RADIUS: ', radius2dict, 'OF XYZ2DICT: ', xyz2dict, ' ORDER2FIRE: ', order2fire) # RADIUS:  49.0917508345 OF XYZ2DICT:  0x-27y-41z  ORDER2FIRE:  5
    except:
        print("(STEP 5I/33) OF CAST2TENSE4XI *** FAILED TO CALCULATE RADIUS, SET TO: ", radius2dict)
        ack2return = False
    
                    
    # -------------------------------------------------------------------------------------------------
    # DEVIATION                   
    # -------------------------------------------------------------------------------------------------            
    deviation2distance = 1313131313131313
    ack2deviation = False
    if ack2debug is True: 
        print("(STEP 5J/33) OF CAST2TENSE4XI - TRYING TO CALCULATE DEVIATION")         
    try:                         
        deviation2distance = int(radius2dict) - int(order2fire)
        if deviation2distance >= 100:
            print("(STEP 5K/33) OF COORDINATE_TENSES4XI ** WARNED - BIG DEVIATION2DISTANCE: ", deviation2distance, " XYZ2DICT: ", xyz2dict, " RADIUS2DICT: ", radius2dict, " ORDER2FIRE: ", order2fire)
            # 141  XYZ2DICT:  -1052x1746y-2334z  RADIUS2DICT:  3098.83461966  ORDER2FIRE:  2957
            ack2return = False
        else:     
            if ack2debug is True:
                print('(STEP 5L/33) OF COORDINATE_TENSES4XI - PASSED DEVIATION2DISTANCE: ', deviation2distance)  # shot2two104xi = {1:'0x-27y-41z', 2:'0x-27y-42z',  3:'0x-6y-7z',
            ack2deviation = True                                                                                 # OK
    except:
        print("(STEP 5M/33) OF CAST2TENSE4XI *** FAILED TO CALCULATE DEVIATION")     
        ack2return = False                             

                                                                                                
    # -------------------------------------------------------------------------------------------------
    # Update the context for return                            
    # -------------------------------------------------------------------------------------------------     
    context2return = {}
    if ack2debug is True:
        print("(STEP 6/33) OF CAST2TENSE4XI - TRYING TO SET CONTEXT2RETURN" )
    
    # -------------------------------------------------------------------------------------------------
    #                            
    # -------------------------------------------------------------------------------------------------
    try:
        context2return['status']           = ack2return
    except:    
        print("(STEP 6A1/33) OF CAST2TENSE4XI *** FAILED TO SET status ***" )
    # -------------------------------------------------------------------------------------------------
    #                            
    # -------------------------------------------------------------------------------------------------
    try:            
        context2return['queue']            = cast2queue[direction2fire]
    except:    
        print("(STEP 6A2/33) OF CAST2TENSE4XI *** FAILED TO SET queue ***" )
    # -------------------------------------------------------------------------------------------------
    #                            
    # -------------------------------------------------------------------------------------------------
    try:            
        context2return['consumerchannel']  = cast2consumerchannel[direction2fire]
    except:    
        print("(STEP 6A3/33) OF CAST2TENSE4XI *** FAILED TO SET consumerchannel ***" )
    # -------------------------------------------------------------------------------------------------
    #                            
    # -------------------------------------------------------------------------------------------------
    try:            
        context2return['publisherchannel'] = cast2consumerchannel[direction2fire]
    except:    
        print("(STEP 6A4/33) OF CAST2TENSE4XI *** FAILED TO SET publisherchannel ***" )
    # -------------------------------------------------------------------------------------------------
    #                            
    # -------------------------------------------------------------------------------------------------
    try:            
        context2return['indexfire']        = index2fire
    except:    
        print("(STEP 6A5/33) OF CAST2TENSE4XI *** FAILED TO SET indexfire ***" )
    # -------------------------------------------------------------------------------------------------
    #                            
    # -------------------------------------------------------------------------------------------------
    try:            
        context2return['layer']            = layer2fire
    except:    
        print("(STEP 6A6/33) OF CAST2TENSE4XI *** FAILED TO SET layer ***" )
    # -------------------------------------------------------------------------------------------------
    #                            
    # -------------------------------------------------------------------------------------------------
    try:            
        context2return['order']            = order2fire
    except:    
        print("(STEP 6A7/33) OF CAST2TENSE4XI *** FAILED TO SET order ***" )
    # -------------------------------------------------------------------------------------------------
    #                            
    # -------------------------------------------------------------------------------------------------
    try:             
        context2return['radius']           = radius2dict 
    except:    
        print("(STEP 6A8/33) OF CAST2TENSE4XI *** FAILED TO SET radius ***" )
    # -------------------------------------------------------------------------------------------------
    #                            
    # -------------------------------------------------------------------------------------------------
    try:                           
        context2return['deviation']        = deviation2distance
    except:    
        print("(STEP 6A9/33) OF CAST2TENSE4XI *** FAILED TO SET deviation ***" )
    # -------------------------------------------------------------------------------------------------
    #                            
    # -------------------------------------------------------------------------------------------------
    try:            
        context2return['ack2deviation']    = ack2deviation
    except:    
        print("(STEP 6A10/33) OF CAST2TENSE4XI *** FAILED TO SET ack2deviation ***" )
    # -------------------------------------------------------------------------------------------------
    #                            
    # -------------------------------------------------------------------------------------------------        
    try:             
        context2return['xyz2dict']         = xyz2dict
    except:    
        print("(STEP 6A11/33) OF CAST2TENSE4XI *** FAILED TO SET xyz2dict ***" )                 
    # -------------------------------------------------------------------------------------------------
    #                            
    # -------------------------------------------------------------------------------------------------
    try:
        context2return['dictionary']       = dictionary2xyz
    except:    
        print("(STEP 6A12/33) OF CAST2TENSE4XI *** FAILED TO SET dictionary ***" )
    # -------------------------------------------------------------------------------------------------
    #                            
    # -------------------------------------------------------------------------------------------------
    try:                
        context2return['dictionaryfirst']  = dictionary2xyz[1]
    except:    
        print("(STEP 6A13/33) OF CAST2TENSE4XI *** FAILED TO SET dictionaryfirst ***" ) 
    # -------------------------------------------------------------------------------------------------
    #                            
    # -------------------------------------------------------------------------------------------------
    try:               
        context2return['dictionarylast']   = dictionary2xyz[len(dictionary2xyz)] 
    except:    
        print("(STEP 6A14/33) OF CAST2TENSE4XI *** FAILED TO SET dictionarylast ***" )   
            
            
    # -------------------------------------------------------------------------------------------------
    # Return updated context with (x,y,z)-coordinates                          
    # -------------------------------------------------------------------------------------------------         
    if ack2debug is True:
        print("(STEP 33/33) OF CAST2TENSE4XI - RETURNING CONTEXT2RETURN: ", context2return)
        # {  'status': True,  'publisherchannel': <read-write PipeConnection, handle 264>, 'layer': 10, 'deviation': 44, 'dictionary': {1: '0x-27y-41z', 2: '0x-27y-42z', 3: '0x-6y-7z', 4: '0x0y-29z', 5: '0x0y-69z', 6: '10x-20y-44z', 7: '10x-21y-44z', 8: '11x-19y-44z', 9: '11x-27y0z', 10: '12x-1y-27z', 11: '12x-27y0z', 12: '12x0y-27z', 13: '13x-1y-26z', 14: '13x-2y-26z', 15: '13x-3y-26z', 16: '13x-4y-26z', 17: '13x-5y-26z', 18: '13x-68y-4z', 19: '14x-26y0z', 20: '15x-20y-53z', 21: '15x-22y-53z', 22: '15x-25y0z', 23: '16x-19y-54z', 24: '16x-24y0z', 25: '16x-67y-4z', 26: '17x-16y-54z', 27: '17x-18y-54z', 28: '18x-13y-55z', 29: '18x-14y-55z', 30: '18x-15y-54z', 31: '18x-23y0z', 32: '19x-10y-55z', 33: '19x-11y-55z', 34: '19x-22y-1z', 35: '19x-7y-56z', 36: '19x-9y-56z', 37: '19x0y-67z', 38: '1x-5y-7z', 39: '1x-6y-7z', 40: '20x-1y-67z', 41: '20x-21y-1z', 42: '20x-2y-66z', 43: '20x-66y-5z', 44: '21x-20y-1z', 45: '21x-3y-66z', 46: '21x-5y-66z', 47: '21x-6y-66z', 48: '22x-19y-2z', 49: '22x-7y-65z', 50: '23x-18y-2z', 51: '27x-74y-7z', 52: '2x-26y-42z', 53: '2x-5y-7z', 54: '2x-5y-8z', 55: '2x-69y-2z', 56: '31x-73y-8z', 57: '32x-22y-3z', 58: '33x-21y-3z', 59: '34x-19y-4z', 60: '34x-71y-8z', 61: '35x-17y-4z', 62: '36x-15y-5z', 63: '37x-11y-5z', 64: '37x-13y-5z', 65: '38x-5y-7z', 66: '38x-69y-9z', 67: '38x-7y-6z', 68: '38x-9y-6z', 69: '39x-1y-7z', 70: '39x-3y-7z', 71: '3x-25y-42z', 72: '42x-67y-10z', 73: '45x-64y-11z', 74: '48x-62y-12z', 75: '4x-25y-42z', 76: '51x-59y-12z', 77: '54x-56y-13z', 78: '57x-53y-14z', 79: '5x-10y-16z', 80: '5x-24y-43z', 81: '60x-50y-15z', 82: '62x-47y-15z', 83: '6x-69y-2z', 84: '6x-9y-16z', 85: '72x-49y-18z', 86: '7x-23y-43z', 87: '7x-6y0z', 88: '7x-7y-16z', 89: '7x-7y0z', 90: '7x-8y-16z', 91: '8x-23y-43z', 92: '8x-4y-17z', 93: '8x-4y0z', 94: '8x-5y-17z', 95: '8x-5y0z', 96: '8x-6y-16z', 97: '8x-6y-17z', 98: '8x-7y-16z', 99: '9x-1y0z', 100: '9x-22y-43z', 101: '9x-28y0z', 102: '9x-2y0z', 103: '9x-3y0z', 104: '9x-4y0z', 105: '9x-69y-3z', 106: '9x0y0z'},
        #  'xyz2dict': '0x-27y-41z', 'indexfire': 20, 'ack2deviation': True, 'queue': <queue4xi.Queue4Xi object at 0x03E141D0>, 'dictionaryfirst': '0x-27y-41z', 'dictionarylast': '9x0y0z',
        #    'radius': 49.09175083453431, 'consumerchannel': <read-write PipeConnection, handle 264>, 'order': 5}
         
    return context2return
     
      

#</function4xi>
    


# -------------------------------------------------------------------------------------------------
#<function4xi function = "sense_verb4xi" usage = "senses verb knowledgebase">
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------
def sense_verb4xi():
    '''
    sense_verb4xi senses verb knowledgebase
    '''
    global ClusterKB4Xi 
    global Mavericks2Verbs   
    global VerbKB4Xi
    
    ack2debug = True
    
    if ack2debug is True:
        print("(STEP 1/3) OF SENSE_VERB4XI - STARTED : ", time4xi())
    
    # -----------------------------------------------------------------------------------------
    # initialize knowledge
    # -----------------------------------------------------------------------------------------      
    kb2v = VerbKB4Xi
    keys2alpha = VerbKB4Xi.keys()                                    
    
    if ack2debug is True:
        print("(STEP 2/3) OF SENSE_VERB4XI - PRINTING: ", time4xi())
    kb2xi = {('d', 'dragonized'): 'dragonized', ('d', 'dragonizing'): 'dragonizing'} 
    for key2alpha in sorted(keys2alpha):
        if ack2debug is True:                                          
            print("key2alpha :" ,key2alpha)                          # key2alpha : z 
        
        keys2verb = VerbKB4Xi[key2alpha].keys()                      # 
        if ack2debug is True:             
            print("keys2verb :", keys2verb)                              # keys2verb : dict_keys(['zeroing', 'zeroed'])
        
        for key2verb in sorted(keys2verb):                            
            if ack2debug is True:     
                print("key2verb :", key2verb)                            # key2verb : zeroed, key2verb : zeroing
            
            kb2xi[key2alpha, key2verb] = key2verb                                
            if ack2debug is True:     
                print("kb2xi[", key2alpha, "," , key2verb , "] = ", key2verb)  # kb2xi[ z , zeroed ] =  zeroed, kb2xi[ z , zeroing ] =  zeroing ....
            
    # -----------------------------------------------------------------------------------------
    # sense knowledge
    # -----------------------------------------------------------------------------------------        
    
    
    # -----------------------------------------------------------------------------------------
    # return knowledge
    # -----------------------------------------------------------------------------------------        
    if ack2debug is True:     
        print("(STEP 3/3) OF SENSE_VERB4XI - RETURNING KB2XI: ", kb2xi)                  # {('s', 'skipped'): 'skipped', ('v', 'ventured'): 'ventured', ('l', 'looped'): 'looped',.....
    return kb2xi                                                     # not in alphabetical order
#</function4xi>
            
# -------------------------------------------------------------------------------------------------
#<function4xi function = "reason_verb4xi" usage = "reasons verb knowledgebase">
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------
 
def reason_verb4xi():
    '''
    reason_verb4xi reasons verb knowledgebase
    '''
    global ClusterKB4Xi 
    global Mavericks2Verbs   
    global VerbKB4Xi     
       
    ack2debug = True
    
    if ack2debug is True:
        print("(STEP 1/33) OF REASON_VERB4XI - STARTED : ", time4xi())
    
    # -----------------------------------------------------------------------------------------
    # INITIALIZE KNOWLEDGE
    # -----------------------------------------------------------------------------------------         
    
    
    kb4xi = {'dragonized': 'dragonized', 'dragonizing': 'dragonizing'}
    # 
    kb4v = VerbKB4Xi
    if ack2debug is True:     
        print("(STEP 2/33) OF REASON_VERB4XI: KB4V: ", kb4v)             # {'_': {'_privated': '_privated', '_privating': '_privating'},
    #                                                                      #  'a': {'acknowledging': 'acknowledging',...
    #                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      (STEP 1/33) OF REASON_VERB4XI: KB4V:  {'_': {'_pertain': '_pertain', 'color-_pertain': '#FA5858', 'cluster-_pertained': 1, 'color-_pertaining': '#F76B6B', 'symbol-_pertaining': 1447, 'reference-_pertained': 1447, '_pertained': '_pertained', 'definition-_pertain': 'to belong properly.', '_pertaining': '_pertaining', 'color-_pertained': '#FCDADA'}, 'a': {'reference-accepted': 11, 'color-activated': '#51510E', 'color-activating': '#EEEE45', 'activated': 'activated', 'color-analyzed': '#AEB24D', 'activating': 'activating', 'adding': 'adding', 'acknowledge': 'acknowledge', 'appended': 'appended', 'acing': 'acing', 'add': 'add', 'color-acknowledged': '#607D43', 'color-analyzing': '#E4EB2A', 'color-ace': '#33570E', 'color-appended': '#9FE15E', 'cluster-accepted': 5, 'cluster-acknowledged': 8, 'reference-acquired': 18, 'color-abstracted': '#A14933', 'accepted': 'accepted', 'reference-abbreviated': 3, 'symbol-analyzing': 74, 'color-activate': '#FCFC49', 'definition-acquire': 'to come into possession or ownership of.', 'color-accept': '#0B6138', 'reference-acted': 19, 'abbreviated': 'abbreviated', 'activate': 'activate', 'definition-accept': 'to regard as suitable.', 'abstracted': 'abstracted', 'acquired': 'acquired', 'reference-added': 22, 'color-acknowledge': '#33570E', 'asserted': 'asserted', 'symbol-appending': 101, 'definition-abstract': 'to make an abstract of; summarize.', 'append': 'append', 'symbol-abstracting': 8, 'color-adding': '#7E7E91', 'symbol-acknowledging': 17, 'acting': 'acting', 'cluster-abbreviated': 19, 'reference-acknowledged': 7, 'reference-asserted': 125, 'definition-acknowledge': 'to recognize the validity.', 'color-acquired': '#70CA70', 'color-abbreviating': '#E5EB37', 'reference-activated': 20, 'analyzed': 'analyzed', 'symbol-activating': 20, 'cluster-acted': 1, 'abbreviating': 'abbreviating', 'asserting': 'asserting', 'acquiring': 'acquiring', 'ace': 'ace', 'symbol-acting': 19, 'reference-appended': 101, 'act': 'act', 'color-append': '#E4EFD8', 'abbreviate': 'abbreviate', 'acted': 'acted', 'color-accepted': '#58C391', 'symbol-acing': 14, 'cluster-added': 4, 'analyzing': 'analyzing', 'color-accepting': '#055F35', 'definition-analyze': 'to examine critically, so as to bring out the essential elements, or to give the essence of.', 'symbol-adding': 22, 'definition-abbreviate': 'to reduce in length, duration etc.', 'cluster-acquired': 14, 'color-asserted': '#65681A', 'analyze': 'analyze', 'definition-add': 'to perform the arithmetics operation of addition; to unite or join as to increase the number, size or importance.', 'appending': 'appending', 'acquire': 'acquire', 'color-abstract': '#2B1B17', 'definition-ace': 'to complete something in complete success.', 'assert': 'assert', 'symbol-asserting': 125, 'color-asserting': '#EFF62D', 'color-abbreviated': '#EAECA0', 'reference-abstracted': 8, 'definition-act': 'to operate or function in a particular way.', 'definition-assert': 'to state with assurance.', 'cluster-asserted': 5, 'color-analyze': '#F4FA58', 'color-acquire': '#04B404', 'symbol-accepting': 11, 'cluster-abstracted': 19, 'color-acquiring': '#10BA10', 'abstracting': 'abstracting', 'color-acing': '#355F0B', 'abstract': 'abstract', 'accept': 'accept', 'aced': 'aced', 'color-assert': '#DCE40F', 'color-aced': '#4F623B', 'definition-activate': 'to make active; cause to function or act.', 'cluster-aced': 8, 'color-appending': '#89C94A', 'reference-aced': 14, 'color-acknowledging': '#3A640F', 'definition-append': 'to add as an accessory, appendix or supplement.', 'cluster-activated': 18, 'cluster-appended': 4, 'color-abbreviate': '#E3E928', 'reference-analyzed': 74, 'color-acting': '#EF932A', 'acknowledging': 'acknowledging', 'added': 'added', 'symbol-abbreviating': 13, 'color-abstracting': '#2F120A', 'cluster-analyzed': 13, 'color-added': '#B4B4D4', 'accepting': 'accepting', 'color-acted': '#F3D2AD', 'color-add': '#9292A1', 'color-act': '#EFAE64', 'acknowledged': 'acknowledged', 'symbol-acquiring': 18}, 'c': {'comment': 'comment', 'cluster-calculated': 4, 'color-closing': '#1568BC', 'reference-created': 472, 'cluster-called': 14, 'symbol-calling': 297, 'cluster-compared': 4, 'definition-connect': 'to establish communication between.', 'reference-clustered': 392, 'color-clear': '#81F7F3', 'color-called': '#ABCDEF', 'clear': 'clear', 'color-create': '#F5C494', 'definition-call': 'to transfer control to a function, object, thread, process, operating system etc.', 'color-connecting': '#3333DF', 'cluster-clustered': 21, 'color-calling': '#3080D1', 'cluster-commanded': 14, 'color-contextualize': '#F7BE81', 'color-check': '#F0F04C', 'reference-concluded': 424, 'symbol-comparing': 416, 'clustering': 'clustering', 'reference-contextualized': 439, 'checked': 'checked', 'calculate': 'calculate', 'reference-commented': 411, 'create': 'create', 'reference-called': 297, 'cluster-commented': 19, 'color-calculate': '#00FFFF', 'contextualizing': 'contextualizing', 'comparing': 'comparing', 'reference-classed': 381, 'color-created': '#F2D8BF', 'call': 'call', 'color-close': '#0080FF', 'cluster-connected': 3, 'connecting': 'connecting', 'color-compare': '#7878F0', 'color-clustered': '#3D2121', 'color-concluded': '#C1C1F3', 'symbol-commenting': 411, 'reference-commanded': 410, 'color-commanded': '#EFC18D', 'symbol-clustering': 392, 'color-creating': '#F39639', 'checking': 'checking', 'cluster-classed': 10, 'contextualized': 'contextualized', 'color-command': '#AE640F', 'color-closed': '#BBDAF9', 'reference-connected': 431, 'clustered': 'clustered', 'definition-comment': 'to make comments or remarks on.', 'color-calculating': '#71F3F3', 'color-compared': '#ABABF2', 'reference-closed': 389, 'classed': 'classed', 'color-cluster': '#664C4C', 'color-classed': '#BDBDFC', 'color-connect': '#2727D4', 'created': 'created', 'color-call': '#045FB4', 'symbol-classing': 381, 'calling': 'calling', 'color-connected': '#ADADEB', 'symbol-connecting': 431, 'symbol-concluding': 424, 'color-comparing': '#3D3DE8', 'color-commented': '#DED0D0', 'closing': 'closing', 'called': 'called', 'color-conclude': '#9393F0', 'concluded': 'concluded', 'definition-create': 'to cause to come into being, as something unique, that would not naturally evolve or that is not made by ordinary processes.', 'compare': 'compare', 'symbol-clearing': 383, 'definition-conclude': 'to determine by reasoning; deduce, infer.', 'symbol-commanding': 410, 'classing': 'classing', 'color-comment': '#AEA6A6', 'reference-cleared': -383, 'symbol-checking': 351, 'cluster': 'cluster', 'color-calculated': '#BBF7F7', 'color-commanding': '#C7781E', 'symbol-calculating': 295, 'connect': 'connect', 'color-cleared': '#D3FFFD', 'definition-cluster': 'to gather into a cluster or clusters; to cover with clusters; to form a cluster or clusters.', 'close': 'close', 'contextualize': 'contextualize', 'check': 'check', 'definition-clear': 'to remove instructions or data from register, queue, stack etc.', 'cluster-checked': 11, 'definition-close': 'to put (queue, pipe, file, etc.) into position to obstruct reading, receiving, etc.', 'clearing': 'clearing', 'commanded': 'commanded', 'color-checking': '#F6F638', 'color-contextualizing': '#F29226', 'reference-calculated': 295, 'closed': 'closed', 'symbol-closing': 389, 'cluster-contextualized': 19, 'color-concluding': '#4747DF', 'color-clearing': '#30EBE4', 'conclude': 'conclude', 'color-clustering': '#766262', 'definition-class': 'to place or arrange in a class; classify.', 'creating': 'creating', 'calculating': 'calculating', 'definition-command': 'to issue an order or orders.', 'reference-compared': 416, 'color-class': '#8181F7', 'compared': 'compared', 'connected': 'connected', 'cluster-concluded': 4, 'cluster-cleared': 4, 'commanding': 'commanding', 'color-checked': '#6C6C25', 'definition-check': 'to inspect or test the performance, condition, etc. of (something).', 'cleared': 'cleared', 'concluding': 'concluding', 'class': 'class', 'color-contextualized': '#FAEEE0', 'commenting': 'commenting', 'symbol-contextualizing': 439, 'calculated': 'calculated', 'color-commenting': '#9F9090', 'definition-calculate': 'to determine or assertain by mathematical methods.', 'cluster-created': 1, 'commented': 'commented', 'cluster-closed': 14, 'reference-checked': 351, 'definition-compare': 'to examine (two objects, calculations etc.) in order to note similarities or differences.', 'command': 'command', 'color-classing': '#6363FA', 'definition-contextualize': 'to put (linguistic element, action, etc.) in a context.', 'symbol-creating': 472}, 'b': {'definition-break': 'to destroy or interrupt the regulatory, uniformity, continuity, or arrangement of.', 'color-breaking': '#FD6060', 'color-break': '#FE2E2E', 'symbol-building': 274, 'color-born': '#656542', 'bear': 'bear', 'break': 'break', 'born': 'born', 'color-bear': '#FDFD44', 'broke': 'broke', 'color-build': '#4793DE', 'broken': 'broken', 'color-borning': '#F7F745', 'symbol-borning': 182, 'reference-broke': -256, 'color-broke': '#FD3838', 'cluster-born': 17, 'building': 'building', 'borning': 'borning', 'built': 'built', 'definition-bear': 'give birth to; possessing from birth the state, circumstances or character stated; bringing forth by birth.', 'symbol-breaking': 256, 'breaking': 'breaking', 'borned': 'borned', 'reference-built': 274, 'color-building': '#3F94E9', 'color-broken': '#FC1414', 'cluster-built': 1, 'build': 'build', 'cluster-broken': 2, 'color-built': '#91BDE9', 'color-borned': '#848451', 'reference-borned': 182, 'definition-build': 'to construct by assembling and joining parts.'}, 'e': {'examining': 'examining', 'cluster-examined': 11, 'color-examined': '#CBCBCB', 'definition-end': 'to come to an end; terminate, cease.', 'ending': 'ending', 'ended': 'ended', 'color-exposed': '#8E8E8B', 'cluster-entered': 1, 'symbol-exposing': 682, 'entered': 'entered', 'symbol-entering': 648, 'reference-examined': 674, 'expose': 'expose', 'symbol-embedding': 635, 'reference-exposed': 682, 'color-examining': '#202E27', 'embedded': 'embedded', 'reference-embedded': 635, 'color-end': '#0B2430', 'examined': 'examined', 'color-embedding': '#29E5B3', 'embed': 'embed', 'symbol-examining': 674, 'color-entering': '#125495', 'color-examine': '#71D8A8', 'definition-embed': 'to envilope or enclose.', 'color-ended': '#93A7B0', 'cluster-exposed': 1, 'exposed': 'exposed', 'symbol-ending': 641, 'color-exposing': '#E8EE41', 'examine': 'examine', 'color-ending': '#143C50', 'entering': 'entering', 'color-enter': '#58ACFA', 'end': 'end', 'color-embedded': '#C0E9DE', 'cluster-ended': 3, 'definition-expose': 'to present to view; exhibit, display.', 'definition-enter': 'to come or go in.', 'color-expose': '#F5F7A6', 'reference-ended': -641, 'exposing': 'exposing', 'definition-examine': 'to inspect or scrutinize carefully.', 'reference-entered': 648, 'cluster-embedded': 10, 'color-entered': '#BDC3C9', 'embedding': 'embedding', 'enter': 'enter', 'color-embed': '#1BE1AC'}, 'd': {'color-dispatched': '#7A8FA4', 'definition-delete': 'to remove; cancel.', 'definition-dump': 'to unload or empty (a container, module, object etc.).', 'symbol-discarding': 561, 'discovered': 'discovered', 'reference-dispatched': 567, 'color-doing': '#3232BA', 'cluster-done': 1, 'definition-discover': 'to see, learn, get knowledge of; find; find out.', 'disconnect': 'disconnect', 'symbol-deleting': 527, 'cluster-discovered': 4, 'discovering': 'discovering', 'defining': 'defining', 'disconnecting': 'disconnecting', 'do': 'do', 'color-do': '#DF0101', 'reference-discovered': 563, 'symbol-delivering': 528, 'color-decide': '#569DE4', 'decide': 'decide', 'definition-dragonize': 'to embower (system, etc.) with fierce force', 'color-discard': '#953B3B', 'did': 'did', 'discarded': 'discarded', 'color-dumping': '#1C5C9B', 'deleting': 'deleting', 'color-dispatching': '#1F65AC', 'dump': 'dump', 'color-discovered': '#F5DEC5', 'dumping': 'dumping', 'dragonize': 'dragonize', 'discover': 'discover', 'decided': 'decided', 'delivered': 'delivered', 'symbol-deciding': 517, 'cluster-dragonized': 14, 'definition-deliver': 'to carry and turn over (data, message etc.) to the intended recipient or recipients.', 'color-delivered': '#9ECBCA', 'color-disconnect': '#CB2F7D', 'color-discovering': '#EC9531', 'reference-decided': 517, 'deleted': 'deleted', 'dispatched': 'dispatched', 'deliver': 'deliver', 'delivering': 'delivering', 'symbol-discovering': 563, 'definition-decide': 'to make a judgement or determine a preference, to come to conclusion.', 'reference-defined': 523, 'definition-disconnect': 'to severe or terminate the connection of or between.', 'color-decided': '#BAD3EC', 'color-did': '#7B7BB7', 'discard': 'discard', 'definition-define': 'to state or set forth the meaning of (world, schema, etc.).', 'color-delete': '#F38888', 'definition-dispatch': 'to send off or away with speed, as messenger.', 'color-disconnected': '#E49ABF', 'dispatch': 'dispatch', 'done': 'done', 'reference-deleted': 527, 'color-discarding': '#B24040', 'color-deciding': '#3390EC', 'cluster-disconnected': 3, 'dispatching': 'dispatching', 'color-deliver': '#4EB6B3', 'doing': 'doing', 'color-defining': '#EEF532', 'define': 'define', 'cluster-defined': 10, 'definition-do': 'to perform (a function, task etc.); to execute (a process, task, etc.).', 'color-dispatch': '#34608B', 'color-deleting': '#EE4242', 'color-dumped': '#9CB5CE', 'symbol-dispatching': 567, 'symbol-dragonizing': 593, 'disconnected': 'disconnected', 'color-delivering': '#29C7C2', 'color-discarded': '#DF8686', 'color-dragonized': '#6C6A67', 'color-done': '#C0C0D8', 'symbol-doing': 576, 'color-discover': '#EEA24B', 'color-dragonize': '#3B240B', 'delete': 'delete', 'deciding': 'deciding', 'defined': 'defined', 'dumped': 'dumped', 'color-disconnecting': '#C7357E', 'symbol-defining': 523, 'color-define': '#F7FE2E', 'color-defined': '#77775E', 'reference-discarded': -561, 'dragonized': 'dragonized', 'dragonizing': 'dragonizing', 'reference-disconnected': -562, 'cluster-discarded': 14, 'cluster-delivered': 3, 'color-dragonizing': '#55340E', 'definition-discard': 'to cast aside or dispose of; to get rid of.', 'color-dump': '#2F72B6', 'cluster-deleted': 14, 'reference-dumped': 605, 'symbol-disconnecting': 562, 'cluster-decided': 13, 'cluster-dispatched': 3, 'reference-did': 576, 'discarding': 'discarding', 'color-deleted': '#F6D3D3', 'reference-dragonized': 593, 'cluster-dumped': 3, 'reference-delivered': 528, 'symbol-dumping': 605}, 'g': {'globalized': 'globalized', 'globalizing': 'globalizing', 'definition-globalize': 'to extend to other parts of a module or system.', 'symbol-globalizing': 812, 'get': 'get', 'color-globalize': '#E2A259', 'getting': 'getting', 'cluster-got': 8, 'reference-globalized': 812, 'color-got': '#B0B60B', 'symbol-getting': 802, 'color-globalizing': '#E18822', 'color-globalized': '#DAC4AA', 'cluster-globalized': 10, 'reference-got': 802, 'got': 'got', 'color-get': '#838708', 'globalize': 'globalize', 'color-gotten': '#BEC154', 'definition-get': 'to receive or come to have possession.', 'color-getting': '#93971B'}, 'f': {'freeing': 'freeing', 'finalized': 'finalized', 'color-freeing': '#3030BF', 'reference-flushed': -740, 'color-flying': '#266BB0', 'finalizing': 'finalizing', 'functioned': 'functioned', 'cluster-freed': 1, 'flying': 'flying', 'color-flushing': '#7797B7', 'flawn': 'flawn', 'symbol-freeing': 763, 'color-fly': '#295F95', 'color-finalizing': '#B26E20', 'function': 'function', 'color-functioned': '#B2A392', 'cluster-finalized': 10, 'color-freed': '#A8A8E5', 'finalize': 'finalize', 'reference-functioned': 775, 'symbol-flushing': 740, 'flew': 'flew', 'definition-finalize': 'to put into final form; complete all details of.', 'reference-finalized': -719, 'fly': 'fly', 'cluster-flushed': 10, 'definition-function': 'to perform a specified action, activity, work; operate.', 'cluster-flawn': 9, 'symbol-functioning': 775, 'color-free': '#4545CB', 'color-functioning': '#976022', 'color-finalize': '#8A4B08', 'reference-flew': 740, 'flush': 'flush', 'color-function': '#9F703A', 'functioning': 'functioning', 'cluster-functioned': 1, 'color-flushed': '#D6DDE5', 'definition-fly': 'to travel in space.', 'color-flush': '#A9B9C9', 'symbol-finalizing': 719, 'color-flied': '#96AFC7', 'flushing': 'flushing', 'freed': 'freed', 'free': 'free', 'color-finalized': '#B9ADA0', 'flushed': 'flushed', 'definition-free': 'to make free; release from bondage.', 'definition-flush': 'to empty (memory, cache, etc.).', 'reference-freed': -763, 'symbol-flying': 740}, 'i': {'color-informed': '#E59AE2', 'ignored': 'ignored', 'idled': 'idled', 'indicated': 'indicated', 'interfacing': 'interfacing', 'color-importing': '#B6CFE8', 'initializing': 'initializing', 'color-interfacing': '#599BDE', 'color-ignore': '#DF0101', 'color-indicated': '#E5ACE3', 'reference-inherited': 982, 'color-informing': '#D464D0', 'color-initialized': '#7EF7F3', 'definition-import': 'to bring in (from an other module, system, etc.) for use.', 'definition-ignore': 'to refrain to noticing or recognizing.', 'definition-indicate': 'to show the presence of (a problem, solution, etc.).', 'color-idled': '#B24646', 'importing': 'importing', 'color-inheriting': '#C0C372', 'symbol-idling': 951, 'color-import': '#CEDBE8', 'color-interface': '#6DA3DA', 'informing': 'informing', 'color-idle': '#C43434', 'color-inherited': '#D5D5BF', 'imported': 'imported', 'definition-idle': 'to pass time doing nothing.', 'symbol-informing': 980, 'color-interfaced': '#9BBEE2', 'color-imported': '#DBE5EF', 'color-initialize': '#58FAF4', 'color-inherit': '#C5C78C', 'cluster-informed': 10, 'informed': 'informed', 'color-indicate': '#E895E5', 'indicate': 'indicate', 'definition-inform': 'to give or impart knowledge of a fact or circumstance of.', 'cluster-inherited': 19, 'cluster-interfaced': 3, 'color-ignoring': '#C14242', 'initialized': 'initialized', 'import': 'import', 'symbol-importing': 961, 'indicating': 'indicating', 'definition-interface': 'to bring into an interface.', 'cluster-ignored': 6, 'cluster-idled': 7, 'symbol-inheriting': 982, 'symbol-initializing': 983, 'reference-initialized': 983, 'reference-idled': -951, 'inherited': 'inherited', 'symbol-indicating': 972, 'cluster-imported': 1, 'reference-interfaced': 93, 'reference-ignored': -952, 'initialize': 'initialize', 'symbol-ignoring': 952, 'reference-indicated': 972, 'interfaced': 'interfaced', 'color-indicating': '#E172DD', 'idling': 'idling', 'cluster-initialized': 1, 'inheriting': 'inheriting', 'color-ignored': '#DC8888', 'definition-initialize': 'to set (variables, registers, etc.) to their starting values.', 'color-idling': '#AF2424', 'inherit': 'inherit', 'ignoring': 'ignoring', 'ignore': 'ignore', 'inform': 'inform', 'idle': 'idle', 'color-inform': '#D86ED5', 'reference-informed': 980, 'definition-inherit': 'to receive (qualities, powers) as by inheritance.', 'cluster-indicated': 10, 'interface': 'interface', 'symbol-interfacing': 993, 'reference-imported': 961, 'color-initializing': '#59F6F1'}, 'h': {'reference-hit': -907, 'reference-hunted': 934, 'color-hunting': '#905A1E', 'color-hatching': '#CD7714', 'color-hatch': '#DF7401', 'cluster-hunted': 15, 'color-hatched': '#E6B57C', 'symbol-hatching': 876, 'hunting': 'hunting', 'reference-hatched': 76, 'cluster-hatched': 17, 'hitting': 'hitting', 'symbol-hunting': 934, 'hatch': 'hatch', 'definition-hit': 'to come into collision.', 'color-hunt': '#A86B25', 'hit': 'hit', 'color-hunted': '#BF9A6F', 'color-hitting': '#D10F0F', 'definition-hunt': 'to chase or search for the purpose of catching or killing.', 'symbol-hitting': 907, 'hatching': 'hatching', 'hunted': 'hunted', 'color-hit': '#F22828', 'hunt': 'hunt', 'cluster-hit': 6, 'definition-hatch': 'to bring forth (young) from the egg, shell, etc.', 'hatched': 'hatched'}, 'k': {'symbol-killing': 1055, 'definition-kill': 'to stop the operation of (process, task, etc.).', 'kill': 'kill', 'cluster-killed': 14, 'color-killing': '#DF3E3E', 'reference-killed': -1055, 'color-kill': '#E15252', 'killed': 'killed', 'color-killed': '#E17878', 'killing': 'killing'}, 'j': {'symbol-joining': 1032, 'definition-join': 'to bring together in a particular relationship or for a specific purpose, action, etc.; unite.', 'join': 'join', 'color-joined': '#E1B787', 'cluster-joined': 5, 'color-joining': '#E4A053', 'color-join': '#DEA666', 'reference-joined': 1032, 'joined': 'joined', 'joining': 'joining'}, 'm': {'manoeuvred': 'manoeuvred', 'measuring': 'measuring', 'reference-measured': 1192, 'color-manoeuvre': '#1F74C9', 'manoeuvring': 'manoeuvring', 'color-mastered': '#BA92A6', 'measure': 'measure', 'symbol-mastering': 1183, 'symbol-methodizing': 1209, 'color-manoeuvring': '#2677C9', 'color-measuring': '#5A93CB', 'definition-manoeuvre': 'to perform a manouvre or manoeuvres.', 'color-mastering': '#B25382', 'cluster-mastered': 14, 'mastering': 'mastering', 'color-measured': '#AEC7E1', 'color-methodizing': '#A657A6', 'color-methodized': '#B3A6B3', 'measured': 'measured', 'reference-manoeuvred': 1168, 'cluster-manoeuvred': 9, 'color-master': '#A86E8B', 'cluster-measured': 4, 'color-methodize': '#AE8CAE', 'symbol-measuring': 1192, 'definition-master': 'to rule or direct as master.', 'reference-methodized': 1209, 'color-measure': '#8AB2DA', 'color-manoeuvred': '#4F91D4', 'cluster-methodized': 10, 'symbol-manoeuvring': 1168, 'reference-mastered': 1183, 'manoeuvre': 'manoeuvre', 'master': 'master', 'mastered': 'mastered', 'definition-measure': 'to estimate the relative amount, value, etc., of by comparison by some standard.', 'methodized': 'methodized', 'methodize': 'methodize', 'definition-methodize': 'to arrange (something) according to a method.', 'methodizing': 'methodizing'}, 'l': {'symbol-landing': 1079, 'definition-loop': 'to make a loop in.', 'looped': 'looped', 'color-looping': '#4343A5', 'linking': 'linking', 'color-linked': '#B794D5', 'color-list': '#FA58F4', 'cluster-listed': 10, 'definition-link': 'to join by or as if by a link or links; connect; unite.', 'listed': 'listed', 'color-loop': '#6A6AB0', 'listing': 'listing', 'launching': 'launching', 'symbol-linking': 1119, 'landing': 'landing', 'landed': 'landed', 'symbol-looping': 1135, 'link': 'link', 'cluster-launched': 3, 'color-landed': '#DAF3DA', 'color-listing': '#EC42E6', 'reference-listed': 1121, 'looping': 'looping', 'cluster-looped': 1, 'list': 'list', 'cluster-landed': 3, 'loop': 'loop', 'reference-landed': 1079, 'color-launch': '#6D6DE4', 'color-listed': '#FAB3F8', 'linked': 'linked', 'reference-launched': 1088, 'color-landing': '#73EC73', 'definition-list': 'to set down together in a list; print.', 'color-launching': '#4D4DDF', 'definition-land': 'to come to rest or arrive to a particular place, position, or condition.', 'reference-linked': 1119, 'symbol-launching': 1088, 'color-land': '#BDF2BD', 'cluster-linked': 3, 'color-link': '#A773D4', 'color-looped': '#9797B7', 'land': 'land', 'definition-launch': 'to set going; initiate.', 'launch': 'launch', 'symbol-listing': 1121, 'color-launched': '#8D8DE6', 'color-linking': '#974FD5', 'launched': 'launched', 'reference-looped': 1135}, 'o': {'color-open': '#457AB0', 'reference-operated': 1357, 'definition-open': 'to give access to; make accessible or available, as for use.', 'opened': 'opened', 'color-operate': '#8A4B08', 'opening': 'opening', 'color-operated': '#9B764C', 'color-opening': '#3E72A6', 'definition-operate': 'to carry on operations; to carry on transactions; to work, perform or function.', 'color-operating': '#583814', 'reference-opened': 1356, 'operating': 'operating', 'cluster-opened': 1, 'operated': 'operated', 'color-opened': '#7797B6', 'operate': 'operate', 'open': 'open', 'cluster-operated': 1, 'symbol-operating': 1357, 'symbol-opening': 1356}, 'n': {'color-net': '#438ED8', 'color-noting': '#EFAF65', 'color-netted': '#6EA7DF', 'symbol-noting': 1326, 'netted': 'netted', 'definition-net': 'to set or use a network or networks.', 'cluster-noted': 19, 'color-netting': '#3C82C9', 'note': 'note', 'cluster-netted': 3, 'noting': 'noting', 'color-note': '#F7BE81', 'color-noted': '#F7D0A4', 'netting': 'netting', 'reference-noted': 1326, 'symbol-netting': 1290, 'net': 'net', 'reference-netted': 1290, 'noted': 'noted', 'definition-note': 'to mark or write down briefly.'}, 'q': {'quit': 'quit', 'color-quit': '#F5D0A9', 'color-quitted': '#F6E8D8', 'color-queued': '#87827D', 'reference-quitted': -1587, 'quitting': 'quitting', 'reference-queued': 1585, 'queuing': 'queuing', 'queue': 'queue', 'symbol-queuing': 1585, 'color-queuing': '#816A4F', 'symbol-quitting': 1587, 'color-quitting': '#F6B66C', 'color-queue': '#7F7263', 'definition-queue': 'to arrange (messages, information etc.) into a queue (FIFO); to form in a line while waiting.', 'cluster-queued': 15, 'cluster-quitted': 1, 'queued': 'queued', 'definition-quit': 'to stop, cause, or discontinue.', 'quitted': 'quitted'}, 'p': {'reference-printed': 1539, 'symbol-passing': 1417, 'polled': 'polled', 'cluster-protected': 1, 'color-performing': '#A86519', 'protecting': 'protecting', 'color-pass': '#CEF6F5', 'definition-pickle': 'to store objects, data, etc.', 'definition-print': 'to produce (data, information etc.) in legical alphanumeric or graphic form.', 'program': 'program', 'symbol-performing': 1439, 'color-passed': '#CFE8E8', 'color-programmed': '#867665', 'definition-parse': 'to analyze in terms of grammatical constituents, identifying syntactic relationships.', 'color-print': '#B27BE2', 'putting': 'putting', 'color-processed': '#A17544', 'color-printed': '#C4A1E4', 'performing': 'performing', 'definition-proxy': 'to act as deputy or substitute for another (program, module etc.).', 'processed': 'processed', 'polling': 'polling', 'symbol-processing': 1542, 'profile': 'profile', 'definition-put': 'to move or place (anything) so as to get it into or out of a specific location or position.', 'color-proxied': '#694444', 'symbol-polling': 1498, 'pickled': 'pickled', 'cluster-parsed': 1, 'profiling': 'profiling', 'pass': 'pass', 'definition-profile': 'to produce or present the history, description or analysis of.', 'color-pickled': '#CFDAD9', 'definition-perform': 'to carry out; execute; do.', 'definition-protect': 'to defend or guard from attack, invasion etc.', 'reference-protected': 1553, 'reference-processed': 1542, 'protected': 'protected', 'print': 'print', 'definition-poll': 'to check the status of communication lines, pipes etc.', 'symbol-pickling': 1464, 'reference-parsed': 1413, 'color-performed': '#D59D5C', 'processing': 'processing', 'color-process': '#986325', 'color-parse': '#F4FA58', 'color-pickling': '#8DC3C1', 'proxy': 'proxy', 'cluster-proxied': 14, 'put': 'put', 'reference-pickled': -1464, 'color-passing': '#52DADA', 'protect': 'protect', 'symbol-proxying': 1557, 'programming': 'programming', 'passing': 'passing', 'color-protecting': '#B6B790', 'color-putting': '#3B403B', 'parsing': 'parsing', 'reference-put': 1571, 'color-profiled': '#E284B3', 'reference-proxied': 1557, 'poll': 'poll', 'color-profile': '#DE5B9D', 'definition-program': 'to plan or write a program.', 'definition-process': 'to handle (tasks, registers, etc.) by systematically organizing them, following up with appropriate action, or the like.', 'symbol-protecting': 1553, 'symbol-programming': 1546, 'color-parsing': '#E8EE3E', 'color-proxying': '#5E2828', 'symbol-printing': 1539, 'process': 'process', 'color-polled': '#8BB0D5', 'color-perform': '#B45F04', 'color-parsed': '#B5B68A', 'color-proxy': '#613131', 'color-profiling': '#D23383', 'passed': 'passed', 'programmed': 'programmed', 'cluster-programmed': 1, 'reference-polled': 1498, 'reference-passed': 1417, 'cluster-printed': 10, 'symbol-putting': 1571, 'printing': 'printing', 'profiled': 'profiled', 'pickle': 'pickle', 'proxying': 'proxying', 'color-put': '#2A362A', 'color-processing': '#8B5211', 'cluster-pickled': 1, 'color-programming': '#765025', 'parse': 'parse', 'color-printing': '#8E4EC6', 'performed': 'performed', 'parsed': 'parsed', 'definition-pass': 'to go or move onward; proceed.', 'cluster-profiled': 10, 'reference-profiled': 1545, 'perform': 'perform', 'color-protect': '#B1B29E', 'color-poll': '#4786C4', 'cluster-performed': 1, 'cluster-put': 15, 'symbol-parsing': 1413, 'cluster-processed': 14, 'cluster-polled': 3, 'color-program': '#7C6142', 'pickling': 'pickling', 'proxied': 'proxied', 'reference-performed': 1439, 'color-protected': '#CFD0BF', 'reference-programmed': 1546, 'printed': 'printed', 'symbol-profiling': 1545, 'color-polling': '#3178BF', 'cluster-passed': 20, 'color-pickle': '#BAD0CF'}, 's': {'show': 'show', 'skip': 'skip', 'cluster-schemed': 10, 'sleep': 'sleep', 'reference-skipped': -1792, 'cluster-served': 14, 'scheming': 'scheming', 'color-set': '#69504E', 'reference-standardized': 857, 'reference-specialized': 1831, 'color-scheming': '#6B4111', 'send': 'send', 'sent': 'sent', 'color-sending': '#34A5C7', 'reference-schemed': 1713, 'symbol-sharing': 1759, 'color-stepped': '#A8CDF3', 'color-sense': '#EBC893', 'cluster-standardized': 10, 'cluster-slept': 7, 'set': 'set', 'color-scope': '#0404B4', 'color-spawned': '#BBF284', 'color-started': '#93BD68', 'color-showing': '#96EFD4', 'color-specializing': '#8F2CE6', 'color-synopsizing': '#5D5DF6', 'cluster-stepped': 1, 'symbol-skipping': 1792, 'symbol-showing': 1772, 'symbol-standardizing': 1857, 'color-showed': '#E3FAF3', 'selected': 'selected', 'state': 'state', 'shared': 'shared', 'stepping': 'stepping', 'color-spawn': '#9AFE2E', 'sending': 'sending', 'cluster-set': 1, 'synopsize': 'synopsize', 'specialize': 'specialize', 'definition-step': 'to move in measured steps, as in a dance.', 'symbol-scoping': 1718, 'color-specialize': '#9A2EFE', 'color-show': '#BFF9E7', 'symbol-synopsizing': 1929, 'spawned': 'spawned', 'select': 'select', 'definition-scope': 'to look at as in order to evaluate.', 'color-sharing': '#4665DE', 'cluster-started': 12, 'reference-showed': 1772, 'scope': 'scope', 'cluster-spawn': 14, 'sort': 'sort', 'color-scoped': '#3C3C79', 'sharing': 'sharing', 'reference-synopsized': 1929, 'standardized': 'standardized', 'started': 'started', 'color-scoping': '#9999BD', 'sensed': 'sensed', 'symbol-sleeping': 1797, 'color-schemed': '#7D6345', 'definition-sense': 'to perceive (something) by the senses; to grasp the meaning of; understand.', 'symbol-specializing': 1831, 'symbol-serving': 1750, 'cluster-sorted': 1, 'specialized': 'specialized', 'spawn': 'spawn', 'color-selecting': '#EDF514', 'color-stepping': '#5AA2EB', 'stated': 'stated', 'share': 'share', 'symbol-starting': 1859, 'color-select': '#F4FA58', 'sleeping': 'sleeping', 'skipping': 'skipping', 'sense': 'sense', 'synopsized': 'synopsized', 'definition-show': 'to cause to be seen; exhibit; display.', 'color-sleeping': '#EC3636', 'color-standardizing': '#2AEF93', 'stepped': 'stepped', 'cluster-sensed': 11, 'symbol-sending': 1743, 'cluster-synopsized': 19, 'cluster-shown': 1, 'cluster-sent': 3, 'cluster-shared': 1, 'color-start': '#6EA637', 'definition-state': 'to declare definetely or specifically; to set forth in speech or writing.', 'reference-sent': 1743, 'color-stated': '#8888F9', 'sensing': 'sensing', 'stating': 'stating', 'definition-sort': 'to arrange according to sort, kind or class; separate into sorts; classify.', 'reference-sensed': 1744, 'serving': 'serving', 'symbol-sorting': 1821, 'reference-sorted': 1821, 'definition-scheme': 'to lay schemes.', 'cluster-skipped': 6, 'color-standardize': '#58FAAC', 'definition-specialize': 'to have a specialty; to render special or specific.', 'color-skipping': '#DB4D4D', 'color-serve': '#5D5DB9', 'color-spawning': '#9EEB52', 'skipped': 'skipped', 'color-sensed': '#F0DEC3', 'showing': 'showing', 'color-skip': '#F78181', 'definition-synopsize': 'to make a synopsis of; summarize.', 'reference-set': 1751, 'sorted': 'sorted', 'sorting': 'sorting', 'color-sent': '#84BFD1', 'definition-start': 'to begin or set out on as a jorney or activity.', 'reference-stepped': -1866, 'reference-selected': -1734, 'color-send': '#61B3CB', 'served': 'served', 'color-state': '#5858FA', 'color-selected': '#A6A863', 'color-serving': '#4444AF', 'color-share': '#7189E8', 'schemed': 'schemed', 'symbol-setting': 1751, 'standardizing': 'standardizing', 'color-specialized': '#AF64F0', 'color-stating': '#3232EF', 'shown': 'shown', 'symbol-stating': 1861, 'symbol-scheming': 1713, 'color-slept': '#F75959', 'color-synopsize': '#5858FA', 'specializing': 'specializing', 'color-step': '#81BEF7', 'selecting': 'selecting', 'reference-spawned': 1830, 'step': 'step', 'scoped': 'scoped', 'definition-send': 'to dispatch an agent, a message etc.; to transmit a signal.', 'cluster-selected': 13, 'cluster-scoped': 21, 'slept': 'slept', 'color-standardized': '#A1F7CF', 'definition-share': 'to devide or receive equally; to use jointly.', 'color-served': '#8383C9', 'scoping': 'scoping', 'reference-started': 1859, 'symbol-stepping': 1866, 'color-scheme': '#6C481F', 'reference-served': 1750, 'start': 'start', 'color-sorted': '#765733', 'scheme': 'scheme', 'color-shared': '#AAB8F0', 'symbol-selecting': 1734, 'color-sorting': '#693E0C', 'serve': 'serve', 'symbol-sensing': 1744, 'reference-stated': 1861, 'color-sort': '#61380B', 'spawning': 'spawning', 'cluster-stated': 10, 'definition-select': 'to choose in preference to another or others; to pick out.', 'showed': 'showed', 'color-skipped': '#DC6969', 'reference-shared': 1759, 'definition-spawn': 'to produce; to give birth to.', 'reference-scoped': 1718, 'definition-standardize': 'to choose or establish standard for.', 'color-starting': '#63A223', 'color-sleep': '#FE2E2E', 'setting': 'setting', 'definition-skip': 'to pass over without reading, acting, calculating etc.', 'definition-set': 'to put a price or a value upon something.', 'color-setting': '#643632', 'standardize': 'standardize', 'color-synopsized': '#9191F2', 'definition-serve': 'to provide with a regular or continious supply something.', 'synopsizing': 'synopsizing', 'symbol-spawning': 1830, 'reference-slept': -1797, 'color-sensing': '#E29F3A', 'cluster-specialized': 10, 'starting': 'starting', 'definition-sleep': 'to spend or pass in sleep.'}, 'r': {'raised': 'raised', 'color-return': '#9AD1B8', 'color-refer': '#E6C3D4', 'color-resetting': '#EFF0C6', 'reference-run': 1681, 'color-receiving': '#69A2DB', 'rotated': 'rotated', 'color-raise': '#EE2929', 'cluster-returned': 1, 'rotating': 'rotating', 'symbol-recording': 1612, 'rising': 'rising', 'rounded': 'rounded', 'color-rotating': '#4F6DD1', 'reasoning': 'reasoning', 'color-referred': '#E8D8E0', 'color-rounded': '#B0906C', 'definition-rename': 'to give a new name.', 'raise': 'raise', 'removing': 'removing', 'symbol-resetting': 1751, 'definition-return': 'to come back.', 'color-rename': '#D8C8E6', 'cluster-renamed': 1, 'renamed': 'renamed', 'color-rise': '#EEBC84', 'color-reasoned': '#E6BF92', 'cluster-reasoned': 13, 'color-rose': '#F5D6B2', 'reference-received': 1610, 'reference-reasoned': 1608, 'cluster-removed': 14, 'record': 'record', 'symbol-receiving': 1610, 'color-rotate': '#6E88DE', 'color-receive': '#8CB6DF', 'returned': 'returned', 'definition-reset': 'to set again (a price or value) upon something.', 'definition-record': 'to set down, register, or fix by characteristic marks, incisisions etc. for the purpose of reproduction.', 'releasing': 'releasing', 'color-rising': '#E6AA65', 'released': 'released', 'reference-rounded': 1675, 'rotate': 'rotate', 'reference-raised': -1596, 'definition-reason': 'to form conclusions, judgement, or inferences from facts or premises.', 'reference-rotated': 1673, 'removed': 'removed', 'running': 'running', 'raising': 'raising', 'color-renaming': '#C6AEDB', 'renaming': 'renaming', 'color-renamed': '#E4DCEB', 'reference-rose': -1660, 'cluster-rounded': 4, 'color-registering': '#7AD57A', 'cluster-referred': 10, 'color-released': '#E4EBE4', 'remove': 'remove', 'cluster-run': 14, 'recording': 'recording', 'definition-receive': 'to get or be informed of.', 'color-running': '#804603', 'symbol-reasoning': 1608, 'color-run': '#8A4B08', 'symbol-referring': 1620, 'release': 'release', 'symbol-removing': 1630, 'definition-round': 'to make round; to reduce successively the number of digits.', 'round': 'round', 'symbol-rising': 1660, 'referred': 'referred', 'rename': 'rename', 'definition-release': 'to free from bondage, lock etc.; to allow to be known, issued, done, or exhibited.', 'color-removed': '#C9CDC9', 'cluster-reset': 14, 'symbol-rounding': 1675, 'reference-released': 1627, 'definition-raise': 'to give rise, bring up or about (exception, upnormal condition etc.).', 'reference-removed': -1630, 'color-risen': '#F5E6D5', 'color-releasing': '#BFD8BF', 'color-rounding': '#9F7544', 'color-removing': '#9CB39C', 'reference-registered': 1623, 'cluster-rotated': 9, 'return': 'return', 'definition-register': 'to enter or cause to be entered into a register.', 'definition-remove': 'to take away, withdraw, or eliminate.', 'cluster-received': 3, 'reference-returned': -1645, 'symbol-running': 1681, 'color-recording': '#6FE26F', 'cluster-released': 1, 'reference-referred': 1620, 'registering': 'registering', 'color-received': '#ACC6E1', 'rounding': 'rounding', 'color-returning': '#84C4A8', 'reference-reset': -1751, 'returning': 'returning', 'recorded': 'recorded', 'color-reasoning': '#E49C49', 'reset': 'reset', 'color-reason': '#E5AD6D', 'color-register': '#99DB99', 'run': 'run', 'cluster-recorded': 10, 'color-remove': '#B3BAB3', 'symbol-registering': 1623, 'color-raising': '#EE1E1E', 'receiving': 'receiving', 'registered': 'registered', 'refer': 'refer', 'color-reset': '#ECEFA6', 'symbol-returning': 1645, 'color-registered': '#C1DBC1', 'rise': 'rise', 'color-rotated': '#91A3E1', 'risen': 'risen', 'cluster-registered': 10, 'definition-run': 'to operate or function; to perform, compete in, or accomplish; to process.', 'cluster-raised': 6, 'reason': 'reason', 'definition-rotate': 'to turn around on or as if on an axis.', 'color-record': '#A1DFA1', 'definition-refer': 'to make a reference or allusion.', 'color-round': '#A67D4D', 'definition-rise': 'to be built up, erected, or constructed.', 'color-returned': '#9CF2CD', 'referring': 'referring', 'color-recorded': '#BDE8BD', 'received': 'received', 'cluster-risen': 6, 'color-referring': '#DE96B8', 'reasoned': 'reasoned', 'receive': 'receive', 'color-release': '#CFDACF', 'register': 'register', 'reference-renamed': -1276, 'symbol-releasing': 1627, 'symbol-raising': 1596, 'symbol-rotating': 1673, 'reference-recorded': 1612, 'rose': 'rose', 'symbol-renaming': 1276, 'color-raised': '#EE4A4A', 'resetting': 'resetting'}, 'u': {'cluster-unioned': 4, 'upgrade': 'upgrade', 'symbol-unresolving': 1818, 'unioning': 'unioning', 'cluster-unresolved': 2, 'unioned': 'unioned', 'color-unioning': '#3333E4', 'upgrading': 'upgrading', 'definition-use': 'the act of employing, using, putting into service.', 'color-use': '#8A4B08', 'used': 'used', 'definition-unresolve': 'to fail to find a solution.', 'reference-unioned': 2072, 'color-using': '#BD7421', 'color-unresolve': '#FE2E2E', 'using': 'using', 'color-unioned': '#8686F3', 'reference-upgraded': 963, 'color-upgrading': '#ECEC21', 'symbol-unioning': 2072, 'color-unresolving': '#EE1E1E', 'definition-union': 'to unite two or more things.', 'use': 'use', 'unresolved': 'unresolved', 'unresolve': 'unresolve', 'union': 'union', 'cluster-used': 1, 'definition-upgrade': 'to improve; to bring to a more desirable condition.', 'cluster-upgraded': 10, 'color-union': '#5858FA', 'upgraded': 'upgraded', 'color-used': '#92622B', 'symbol-using': 2097, 'color-upgraded': '#BABA48', 'symbol-upgrading': 963, 'reference-used': 2097, 'unresolving': 'unresolving', 'color-upgrade': '#EEEE43', 'reference-unresolved': -1818, 'color-unresolved': '#F34A4A'}, 't': {'tagged': 'tagged', 'terminate': 'terminate', 'definition-terminate': 'to end, conclude or cease.', 'telling': 'telling', 'color-trying': '#23FCF5', 'terminating': 'terminating', 'reference-took-off': 1937, 'color-telling': '#5757F7', 'symbol-telling': 1953, 'color-taken-into-account': '#9C54DB', 'definition-type': 'to sort, classify.', 'symbol-taking-off': 1937, 'color-test': '#F4FA58', 'cluster-terminated': 14, 'tagging': 'tagging', 'taking-off': 'taking-off', 'color-took-into-account': '#AE58FA', 'symbol-typing': 2044, 'cluster-tagged': 19, 'color-take-into-account': '#9A2EFE', 'tuned': 'tuned', 'try': 'try', 'symbol-trying': 2031, 'symbol-terminating': 1959, 'cluster-tuned': 7, 'testing': 'testing', 'cluster-tried': 1, 'taken-into-account': 'taken-into-account', 'reference-tuned': 2035, 'color-tried': '#66FFFB', 'definition-tell': 'to inform of something.', 'told': 'told', 'color-terminated': '#FD5656', 'symbol-tagging': 1935, 'symbol-taking-into-account': 1936, 'definition-tune': 'to adjust (a system, hardware, software etc.) for proper or optimal functioning.', 'definition-take-off': 'to leave off the ground, base, carrier etc.', 'color-tag': '#BE81F7', 'reference-told': 1953, 'reference-took-into-account': 1936, 'reference-terminated': -1959, 'color-tagging': '#A951F6', 'reference-typed': 2044, 'cluster-told': 10, 'color-tune': '#ECEC3F', 'reference-tried': -2031, 'cluster-taken-into-account': 1, 'color-taking-into-account': '#911EF6', 'taken-off': 'taken-off', 'terminated': 'terminated', 'tuning': 'tuning', 'color-taken-off': '#8A8AF2', 'symbol-testing': 1961, 'cluster-typed': 10, 'color-take-off': '#5858FA', 'symbol-tuning': 2035, 'color-taking-off': '#3939F3', 'type': 'type', 'tell': 'tell', 'typing': 'typing', 'color-tuning': '#EBEB0D', 'color-tell': '#8181F7', 'color-tagged': '#D4A8FA', 'reference-tagged': 1935, 'color-took-off': '#8888FA', 'trying': 'trying', 'color-terminate': '#FE2E2E', 'color-typing': '#6A4490', 'cluster-tested': 1, 'take-off': 'take-off', 'color-tested': '#B1B556', 'took-off': 'took-off', 'color-testing': '#E9F00C', 'definition-test': 'to submit to a test of any kind; try.', 'reference-tested': 1961, 'definition-try': 'to attempt to do or accomplish.', 'tag': 'tag', 'taking-into-account': 'taking-into-account', 'color-terminating': '#F72424', 'color-typed': '#9278AB', 'took-into-account': 'took-into-account', 'test': 'test', 'definition-tag': 'to attach a tag to.', 'color-type': '#734E98', 'tried': 'tried', 'typed': 'typed', 'color-try': '#2EFEF7', 'definition-take-into-account': 'to consider (conditions, alternatives, solutions etc.) before making a decision.', 'take-into-account': 'take-into-account', 'tune': 'tune', 'tested': 'tested', 'cluster-taken-off': 9, 'color-told': '#9F9FF7', 'color-tuned': '#A1A15C'}, 'w': {'color-wake': '#28E1E1', 'walking': 'walking', 'symbol-warping': 2143, 'washed': 'washed', 'color-winded': '#7CBCFC', 'color-warp': '#0B0B61', 'color-warn': '#B40404', 'color-warped': '#3E3E7F', 'color-wrap': '#7401DF', 'definition-web': 'to make or form a web.', 'color-waited': '#F37373', 'definition-watch': 'to be careful or cautious.', 'color-waive': '#BC803B', 'color-wonder': '#F3F781', 'winged': 'winged', 'color-warning': '#9F0909', 'color-washing': '#080849', 'reference-warned': -2143, 'watching': 'watching', 'watch': 'watch', 'wave': 'wave', 'symbol-waiting': 2135, 'cluster-wrapped': 10, 'color-weighing': '#4B2D0A', 'washing': 'washing', 'weaved': 'weaved', 'symbol-watching': 2146, 'symbol-waving': 2150, 'color-wrapped': '#B06CEC', 'symbol-wising': 2182, 'symbol-winding': 2177, 'wrote': 'wrote', 'winded': 'winded', 'color-wait': '#FA5858', 'waking': 'waking', 'reference-wired': 2181, 'color-waking': '#1CDBDB', 'wire': 'wire', 'reference-waited': -2137, 'color-warned': '#BA1D1D', 'definition-waive': 'to defer; postpone.', 'color-walked': '#575787', 'definition-wave': 'to impart a wave to; to give signal.', 'waiting': 'waiting', 'color-washed': '#272772', 'symbol-washing': 2144, 'weighing': 'weighing', 'wrapping': 'wrapping', 'color-watching': '#0B0B6B', 'wait': 'wait', 'reference-woke': -2137, 'cluster-walked': 1, 'color-wondering': '#E7EE2D', 'walk': 'walk', 'color-wised': '#7BF97B', 'cluster-warned': 2, 'weaving': 'weaving', 'symbol-writing': 2193, 'definition-weave': 'to compose of connected whole by combining various forms or elements.', 'wondering': 'wondering', 'woke': 'woke', 'reference-weighed': 2156, 'symbol-waiving': 2136, 'color-webbing': '#060652', 'warp': 'warp', 'warn': 'warn', 'wake': 'wake', 'color-want': '#0B3861', 'color-wandered': '#6F6FA5', 'winding': 'winding', 'reference-wandered': -2140, 'color-winging': '#0B61B7', 'color-web': '#0B0B61', 'cluster-woken': 1, 'symbol-waking': 2137, 'color-wrote': '#BEF781', 'reference-waved': 2150, 'weighed': 'weighed', 'color-wired': '#4EE9E4', 'want': 'want', 'watched': 'watched', 'color-weigh': '#61380B', 'color-wander': '#38389A', 'color-writing': '#BEF781', 'cluster-winded': 9, 'definition-weigh': 'to measure.', 'wiring': 'wiring', 'write': 'write', 'definition-wander': 'to roam.', 'wising': 'wising', 'reference-waived': 2137, 'waved': 'waved', 'reference-warped': 2143, 'color-walk': '#343480', 'symbol-warning': 2142, 'wired': 'wired', 'reference-watched': -2146, 'reference-winged': 2179, 'weave': 'weave', 'symbol-walking': 2138, 'color-wire': '#1FE9E3', 'symbol-weaving': 2154, 'cluster-washed': 1, 'symbol-wanting': 2141, 'wing': 'wing', 'wind': 'wind', 'color-waved': '#2828BA', 'reference-wised': 2182, 'cluster-waited': 7, 'cluster-watched': 1, 'symbol-wondering': 2185, 'web': 'web', 'color-weaving': '#0F0FA2', 'writing': 'writing', 'cluster-waved': 12, 'symbol-webbing': 2155, 'symbol-wrapping': 2192, 'color-wandering': '#141473', 'wised': 'wised', 'definition-wise': 'to make wise or aware.', 'woken': 'woken', 'cluster-warped': 9, 'symbol-wandering': 2141, 'color-wanted': '#2A4C6F', 'definition-walk': 'to guide or instruct carefully one step at a time.', 'warned': 'warned', 'color-woke': '#82E9E9', 'wrapped': 'wrapped', 'color-watched': '#282879', 'definition-wash': 'to flow through, over or against.', 'waiving': 'waiving', 'reference-washed': 2144, 'reference-wondered': -2185, 'warping': 'warping', 'weight': 'weight', 'color-write': '#BEF781', 'reference-wanted': -2141, 'symbol-wiring': 2181, 'color-winged': '#4293E4', 'wrap': 'wrap', 'webbed': 'webbed', 'wander': 'wander', 'symbol-winging': 2179, 'webbing': 'webbing', 'color-wing': '#0174DF', 'color-wind': '#58ACFA', 'waive': 'waive', 'color-waving': '#0A0A9C', 'reference-walked': 2138, 'cluster-wandered': 1, 'color-weighed': '#6B4E2E', 'color-wash': '#0B0B61', 'cluster-written': 1, 'wanted': 'wanted', 'cluster-wanted': 1, 'cluster-winged': 9, 'color-wondered': '#F4F6C1', 'definition-want': 'to require or need.', 'reference-wrapped': -2192, 'waited': 'waited', 'color-wave': '#0404B4', 'cluster-waived': 3, 'wash': 'wash', 'warped': 'warped', 'winging': 'winging', 'cluster-webbed': 3, 'color-warping': '#111164', 'reference-wrote': 2193, 'definition-wait': 'to remain inactive or in a state of repose, as until something expected happens.', 'reference-weaved': 2154, 'cluster-weaved': 12, 'cluster-wondered': 1, 'symbol-weighing': 2156, 'color-woken': '#A6EBEB', 'reference-webbed': 2154, 'color-wanting': '#0E3964', 'definition-wind': 'to change direction; bend; turn.', 'definition-wing': 'to fly; soar.', 'reference-winded': 2177, 'color-waiting': '#EC3333', 'definition-wrap': 'to surround or envilope.', 'wise': 'wise', 'definition-write': 'to transfer (information, files etc.) from a media, memory, storage etc. to another one.', 'color-wrapping': '#6C05C6', 'color-wising': '#1BB61B', 'wandering': 'wandering', 'color-watch': '#111172', 'cluster-wised': 13, 'definition-wire': 'to furnish with wires; connect.', 'color-winding': '#3291EF', 'warning': 'warning', 'cluster-wired': 3, 'cluster-weight': 1, 'color-wise': '#00FF00', 'definition-wake': 'to become roused from sleep.', 'color-wiring': '#18DFD9', 'definition-warn': 'to give notice, advice to.', 'wandered': 'wandered', 'definition-warp': 'to curve or bend.', 'color-weaved': '#2C2CCB', 'wanting': 'wanting', 'wonder': 'wonder', 'color-waiving': '#BC8240', 'definition-wonder': 'to speculate.', 'waving': 'waving', 'color-webbed': '#2F2F6C', 'color-written': '#E4DBEC', 'wondered': 'wondered', 'color-walking': '#1E1E7A', 'waived': 'waived', 'color-waived': '#C09B71', 'walked': 'walked', 'weigh': 'weigh', 'color-weave': '#0404B4'}, 'v': {'definition-visit': 'to make a visit.', 'color-voting': '#4D2570', 'color-visit': '#2E9AFE', 'definition-vote': 'to enact, determine or establish by vote.', 'definition-verge': 'to come close or to be in transition to some state, quality etc.', 'visit': 'visit', 'symbol-verbalizing': 2112, 'definition-venture': 'to take a risk; dare; presume.', 'vary': 'vary', 'reference-voted': 2132, 'symbol-verifying': 2114, 'visited': 'visited', 'symbol-viewing': 2121, 'verge': 'verge', 'cluster-ventured': 8, 'voted': 'voted', 'cluster-verbalized': 10, 'verbalized': 'verbalized', 'definition-verbalize': 'to use many words; verbose.', 'color-verbalize': '#B404AE', 'verified': 'verified', 'varied': 'varied', 'symbol-venturing': 2111, 'color-verifying': '#E5E549', 'color-verbalizing': '#B707B2', 'cluster-verged': 10, 'color-venture': '#DA8A3B', 'vote': 'vote', 'verbalize': 'verbalize', 'definition-view': 'to look at; survey; inspect.', 'symbol-voting': 2132, 'definition-verify': 'to ascertain the truth or correctness of, as by examination, research or comparison.', 'definition-vary': 'to change or alter, as in form, appearance, character or substance.', 'viewed': 'viewed', 'view': 'view', 'color-verged': '#9494F5', 'cluster-visited': 1, 'cluster-viewed': 1, 'color-varied': '#FD68F8', 'reference-verbalized': 2113, 'color-verified': '#7C7C50', 'reference-ventured': 2112, 'color-viewed': '#C0C090', 'reference-viewed': 2121, 'color-venturing': '#D07E2D', 'color-varying': '#F721F0', 'symbol-visiting': 2126, 'reference-verged': 2113, 'verged': 'verged', 'color-visiting': '#2087EF', 'symbol-varying': 2107, 'cluster-varied': 4, 'color-viewing': '#F0F035', 'varying': 'varying', 'color-vary': '#FE2EF7', 'cluster-voted': 1, 'color-ventured': '#E4AC74', 'verbalizing': 'verbalizing', 'color-verging': '#4C4CF0', 'venturing': 'venturing', 'color-verify': '#F6F66C', 'voting': 'voting', 'reference-visited': 2126, 'verifying': 'verifying', 'color-verge': '#5858FA', 'visiting': 'visiting', 'color-voted': '#705886', 'viewing': 'viewing', 'cluster-verified': 1, 'color-verbalized': '#C445C0', 'color-visited': '#81C0FF', 'reference-varied': 2107, 'venture': 'venture', 'verify': 'verify', 'verging': 'verging', 'symbol-verging': 2113, 'color-vote': '#59317D', 'color-view': '#EBEB4A', 'reference-verified': 2114, 'ventured': 'ventured'}, 'y': {'cluster-yielded': 6, 'yearned': 'yearned', 'color-yearning': '#6E1AC1', 'color-yearn': '#8000FF', 'symbol-yearning': 2201, 'color-yield': '#DF0101', 'yielded': 'yielded', 'definition-yield': 'to waive, forgo.', 'yielding': 'yielding', 'yield': 'yield', 'color-yearned': '#A559F2', 'yearning': 'yearning', 'yearn': 'yearn', 'color-yielded': '#E82121', 'reference-yearned': 2201, 'color-yielding': '#DA0D0D', 'reference-yielded': -2203, 'cluster-yearned': 1, 'definition-yearn': 'to have a strong desire.', 'symbol-yielding': 2203}, 'x': {'xray': 'xray', 'symbol-xraying': 2196, 'color-xray': '#BE81F7', 'xraying': 'xraying', 'color-xraying': '#9A2EF9', 'cluster-xrayed': 10, 'color-xrayed': '#D7AEFA', 'xrayed': 'xrayed', 'definition-xray': 'to examine or treat with x-rays; to review and test a system thoroughly.', 'reference-xrayed': -2196}, 'z': {'cluster-zeroed': 4, 'reference-zeroed': -2209, 'color-zoning': '#080836', 'reference-zapped': -2208, 'color-zip': '#0B0B3B', 'color-zapped': '#EB6666', 'definition-zip': 'to act with energy.', 'zipped': 'zipped', 'symbol-zoning': 2212, 'zoning': 'zoning', 'zapping': 'zapping', 'zeroing': 'zeroing', 'definition-zone': 'to devide into zones.', 'cluster-zapped': 6, 'zapped': 'zapped', 'zone': 'zone', 'color-zapping': '#C71B1B', 'zeroed': 'zeroed', 'symbol-zipping': 2211, 'color-zeroing': '#04817D', 'color-zone': '#0B0B61', 'symbol-zeroing': 2209, 'reference-zipped': -2211, 'zap': 'zap', 'color-zoned': '#383876', 'color-zero': '#088A85', 'reference-zoned': -2212, 'color-zeroed': '#2E9895', 'color-zipping': '#060640', 'zip': 'zip', 'cluster-zipped': 14, 'zoned': 'zoned', 'zero': 'zero', 'color-zipped': '#39395F', 'definition-zap': 'to kill, shoot or destroy.', 'symbol-zapping': 2208, 'cluster-zoned': 10, 'color-zap': '#DF3838', 'zipping': 'zipping', 'definition-zero': 'to amount to zero.'}}
 
    keys4alpha = VerbKB4Xi.keys()      
   
    
    # -----------------------------------------------------------------------------------------
    # reason knowledge
    # -----------------------------------------------------------------------------------------          
    for key4alpha in sorted(keys4alpha):                                 # _, a, b, c ........ 

        # -------------------------------------------------------------------------------------
        # 
        # -------------------------------------------------------------------------------------     
        if ack2debug is True:
            print("(STEP 3/33) OF REASON_VERB4XI: KEY4ALPHA :" ,key4alpha)                                # key4alpha : z
        # -------------------------------------------------------------------------------------
        # 
        # -------------------------------------------------------------------------------------        
        dict4xi = VerbKB4Xi[key4alpha]                     
        if ack2debug is True:
            print("(STEP 4/33) OF REASON_VERB4XI: DICT4XI :", dict4xi)                                  # dict4xi : {'zeroing': 'zeroing', 'zeroed': 'zeroed'}
        # -------------------------------------------------------------------------------------
        # 
        # -------------------------------------------------------------------------------------        
        verbs4xi = dict4xi.keys()
        if ack2debug is True:
            print("(STEP 5/33) OF REASON_VERB4XI: VERBS4XI : ", verbs4xi)                               # verbs4xi :  dict_keys(['zeroing', 'zeroed'])
        # -------------------------------------------------------------------------------------
        # 
        # -------------------------------------------------------------------------------------            
        for key4verb in sorted(verbs4xi):                            
            pass
            if ack2debug is True:
                print("(STEP 6/33) OF REASON_VERB4XI: KEY4VERB :", key4verb)                            # key4verb : zeroed, key4verb : zeroing
             
            find1='reference-' 
            find2='definition-' 
            find3='symbol-'  
            find4='cluster'  
            find5='color-' 
            # -------------------------------------------------------------------------------------
            # 
            # -------------------------------------------------------------------------------------              
            index1=str.find(key4verb,find1)                   # 1=reference ?
            if index1 == -1:
                index2=str.find(key4verb,find2)               # 2=definition ?
                if index2 == -1:
                    pass  
                    index3=str.find(key4verb,find3)           # 3=symbol ?
                    if index3 == -1:
                        pass
                        index4=str.find(key4verb,find4)       # 4=cluster ?
                        if index4 == -1:
                            pass 
                            index5=str.find(key4verb,find5)   # 5=color ?
                            if index5 == -1:
                                pass       
                                kb4xi[key4verb] = key4verb    # ok; it is a verb tense
                                if ack2debug is True:
                                    print("(STEP 7/33) OF REASON_VERB4XI: KB4XI[", key4verb, "] = " , key4verb)
                            else:
                                pass                          # 5 passed color-_pertained         
                        else:
                            pass                              # 4 passed cluster-_pertain ...
                    else:
                        pass                                  # 3 passed symbol-_pertaining ...
                else:
                    pass                                      # 2 passed definition-_pertain ...                            
            else: 
                pass                                          # 1 passed reference-_pertained
                

              
    # -----------------------------------------------------------------------------------------
    # return knowledge
    # -----------------------------------------------------------------------------------------        
    if ack2debug is True:
        print("(STEP 8/33) OF REASON_VERB4XI: RETURNING KB4XI: ", kb4xi)                                # {'looped': 'looped', 'rounded': 'rounded', 'freeing': 'freeing', 'polled': 'polled' ....
    return kb4xi

#</function4xi>
  
 
# -------------------------------------------------------------------------------------------------
#<function4xi function = "ace_verb4xi" usage = "aces verb knowledgebase">
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------

def ace_verb4xi():
    '''
    verb4xi aces verb knowledgebase
    '''
    global ClusterKB4Xi
    global Mavericks2Verbs    
        
    ack2debug = True
    
    if ack2debug is True:
        print("(STEP 1/33) OF ACE_VERB4XI - STARTED : ", time4xi())    
    
    # -----------------------------------------------------------------------------------------
    # initialize knowledge
    # -----------------------------------------------------------------------------------------        
    kb8xi = reason_verb4xi()
 
    if ack2debug is True:
        print("(STEP 2/33) OF ACE_VERB4XI: RETURNING KB8XI: ", kb8xi)
  
          
    
    return kb8xi
    
    # -----------------------------------------------------------------------------------------
    #
    # -----------------------------------------------------------------------------------------
#</function4xi>


# -------------------------------------------------------------------------------------------------
#<function4xi function = "xml_verb4xi" usage = "creates XML file from verbs knowledgebase">
#<state4xi status = "ACK4tagging; NACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------
      
 
def xml_verb4xi (context_param = 
    {'file_path4xi': '..\\..\\xml\\reason-verb4xi.xml',
     'name_space4xi': '   xmlns="http://www.dragonxi4.com/reason/sw4xi/python32/owl/multiprocessing4xi.owl#"\n',
     'xml_base4xi': '   xml:base="http://www.dragonxi4.com/reason/sw4xi/python32/owl/multiprocessing4xi.owl">\n',
     'ontology_about4xi': '   <owl:Ontology rdf:about="Reasoning Verbs of Multiprocessing4Xi">\n',
     'ontology_comment4xi': '      <define4xi xml:lang="en">Verbs</define4xi>\n',
     'operation_comment4xi': '      <define4xi xml:lang="en">Available verbs.</define4xi>\n',
     'class0_id4xi': '   <owl:Class rdf:ID="ReasonDragon4Xi#000000">\n',
     'class0_comment4xi': '      <define4xi xml:lang="en">Verbs for actions.</define4xi>\n',
     'object_property_rdf4xi': '   <owl:ObjectProperty rdf:ID="reason#000000">\n',
     'object_property_comment4xi': '       <define4xi xml:lang="en">reason</define4xi>\n',
     'debug4xi': True}):  #<-- update this to debug
    
    
    '''
    xml_verb4xi creates XML file from verbs knowledgebase
    
    '''       
    
   
    c2xi = context_param
    
    keys2context = c2xi.keys()
    
    # ---------------------------------------------------------------------------------------------
    # tailor 
    # ---------------------------------------------------------------------------------------------     
    if 'debug4xi' in keys2context:
        debug2xi = c2xi['debug4xi']     
    else:
        debug2xi = False
    # ---------------------------------------------------------------------------------------------
    # end of tailoring 
    # ---------------------------------------------------------------------------------------------     
 
    
    # ---------------------------------------------------------------------------------------------
    # REASON
    # --------------------------------------------------------------------------------------------- 
    
    if debug2xi is True:
        print(33*("="))
        print("(STEP 1/33) OF XML_VERB4XI: REASONING") 
        print(33*("="))
        print("")
        print("(STEP 2/33) OF XML_VERB4XI: set c2xi to: ", c2xi)
        # {'object_property_comment4xi': '       <define4xi xml:lang="en">reason</define4xi>\n',
        #      'object_property_rdf4xi': '   <owl:ObjectProperty rdf:ID="reason#000000">\n', 
        #                'class0_id4xi': '   <owl:Class rdf:ID="ReasonDragon4Xi#000000">\n',
        #           'class0_comment4xi': '      <define4xi xml:lang="en">Verbs for actions.</define4xi>\n', 
        #               'name_space4xi': '   xmlns="http://www.dragonxi4.com/reason/sw4xi/python32/owl/multiprocessing4xi.owl#"\n', 
        #                'file_path4xi': '..\\..\\xml\\reason-verb4xi.xml',
        #                 'xml_base4xi': '   xml:base="http://www.dragonxi4.com/reason/sw4xi/python32/owl/multiprocessing4xi.owl">\n',
        #         'ontology_comment4xi': '      <define4xi xml:lang="en">Verbs</define4xi>\n', 
        #                    'debug4xi': True,
        #        'operation_comment4xi': '      <define4xi xml:lang="en">Available verbs.</define4xi>\n', 
        #           'ontology_about4xi': '   <owl:Ontology rdf:about="Reasoning Verbs of Multiprocessing4Xi">\n'}

        print("")
                    
    reasonKB4Xi = reason_verb4xi()       
    if debug2xi is True:
        print(33*("-"))   
        print("(STEP 3/33) OF XML_VERB4XI: GOT REASONKB4XI ")
        print(33*("-"))   
        # color-activating, cluster-schemed                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    (STEP 3/33) OF XML_VERB4XI: GOT REASONKB4XI:  {'reference-clustered': 'reference-clustered', 'definition-zip': 'definition-zip', 'color-activating': 'color-activating', 'color-built': 'color-built', 'cluster-schemed': 'cluster-schemed', 'sleep': 'sleep', 'reference-yearned': 'reference-yearned', 'scheming': 'scheming', 'color-build': 'color-build', 'cluster-entered': 'cluster-entered', 'definition-verbalize': 'definition-verbalize', 'definition-rename': 'definition-rename', 'color-scheming': 'color-scheming', 'calculate': 'calculate', 'cluster-compared': 'cluster-compared', 'voted': 'voted', 'color-fly': 'color-fly', 'cluster-removed': 'cluster-removed', 'reference-warned': 'reference-warned', 'definition-parse': 'definition-parse', 'reference-aced': 'reference-aced', 'color-checking': 'color-checking', 'rise': 'rise', 'symbol-indicating': 'symbol-indicating', 'symbol-contextualizing': 'symbol-contextualizing', 'symbol-ignoring': 'symbol-ignoring', 'tagging': 'tagging', 'color-verged': 'color-verged', 'color-end': 'color-end', 'definition-measure': 'definition-measure', 'commented': 'commented', 'cluster-unioned': 'cluster-unioned', 'winded': 'winded', 'definition-accept': 'definition-accept', 'color-releasing': 'color-releasing', 'symbol-classing': 'symbol-classing', 'definition-profile': 'definition-profile', 'symbol-deciding': 'symbol-deciding', 'taken-into-account': 'taken-into-account', 'cluster-checked': 'cluster-checked', 'color-web': 'color-web', 'symbol-standardizing': 'symbol-standardizing', 'reference-reset': 'reference-reset', 'selected': 'selected', 'color-pass': 'color-pass', 'color-delivered': 'color-delivered', 'net': 'net', 'color-xraying': 'color-xraying', 'told': 'told', 'color-reset': 'color-reset', 'symbol-washing': 'symbol-washing', 'wrapping': 'wrapping', 'symbol-queuing': 'symbol-queuing', 'color-globalized': 'color-globalized', 'reference-pickled': 'reference-pickled', 'symbol-tagging': 'symbol-tagging', 'color-zipping': 'color-zipping', 'ignoring': 'ignoring', 'cluster-walked': 'cluster-walked', 'ventured': 'ventured', 'symbol-scoping': 'symbol-scoping', 'color-wondering': 'color-wondering', 'definition-manoeuvre': 'definition-manoeuvre', 'symbol-clearing': 'symbol-clearing', 'color-idled': 'color-idled', 'cluster-functioned': 'cluster-functioned', 'noting': 'noting', 'call': 'call', 'type': 'type', 'tell': 'tell', 'cluster-defined': 'cluster-defined', 'standardized': 'standardized', 'expose': 'expose', 'warp': 'warp', 'warn': 'warn', 'color-scoping': 'color-scoping', 'color-abbreviated': 'color-abbreviated', 'zeroed': 'zeroed', 'reference-netted': 'reference-netted', 'reference-listed': 'reference-listed', 'join': 'join', 'symbol-specializing': 'symbol-specializing', 'color-ignored': 'color-ignored', 'took-off': 'took-off', 'color-used': 'color-used', 'color-commented': 'color-commented', 'definition-round': 'definition-round', 'reference-terminated': 'reference-terminated', 'definition-dispatch': 'definition-dispatch', 'indicated': 'indicated', 'color-assert': 'color-assert', 'want': 'want', 'color-appending': 'color-appending', 'cluster-imported': 'cluster-imported', 'color-hatch': 'color-hatch', 'definition-show': 'definition-show', 'color-writing': 'color-writing', 'end': 'end', 'verify': 'verify', 'color-flied': 'color-flied', 'definition-wander': 'definition-wander', '_pertained': '_pertained', 'definition-hit': 'definition-hit', 'cluster-polled': 'cluster-polled', 'color-program': 'color-program', 'color-hitting': 'color-hitting', 'typed': 'typed', 'cluster-raised': 'cluster-raised', 'color-try': 'color-try', 'reference-upgraded': 'reference-upgraded', 'symbol-weaving': 'symbol-weaving', 'definition-calculate': 'definition-calculate', 'reference-built': 'reference-built', 'definition-weigh': 'definition-weigh', 'cluster-dumped': 'cluster-dumped', 'enter': 'enter', 'operate': 'operate', 'wing': 'wing', 'wind': 'wind', 'hatching': 'hatching', 'vary': 'vary', 'reference-sorted': 'reference-sorted', 'symbol-recording': 'symbol-recording', 'cluster-watched': 'cluster-watched', 'color-protecting': 'color-protecting', 'color-standardize': 'color-standardize', 'borned': 'borned', 'writing': 'writing', 'reference-flew': 'reference-flew', 'color-joined': 'color-joined', 'cluster-broken': 'cluster-broken', 'color-clustered': 'color-clustered', 'color-put': 'color-put', 'woken': 'woken', 'color-breaking': 'color-breaking', 'symbol-flushing': 'symbol-flushing', 'zoning': 'zoning', 'break': 'break', 'color-closed': 'color-closed', 'methodizing': 'methodizing', 'color-landed': 'color-landed', 'color-took-into-account': 'color-took-into-account', 'definition-start': 'definition-start', 'cluster-landed': 'cluster-landed', 'queued': 'queued', 'color-write': 'color-write', 'dumping': 'dumping', 'color-bear': 'color-bear', 'schemed': 'schemed', 'color-methodizing': 'color-methodizing', 'webbed': 'webbed', 'symbol-returning': 'symbol-returning', 'definition-perform': 'definition-perform', 'color-verbalize': 'color-verbalize', 'color-wing': 'color-wing', 'color-wind': 'color-wind', 'reference-quitted': 'reference-quitted', 'waive': 'waive', 'washed': 'washed', 'definition-expose': 'definition-expose', 'got': 'got', 'symbol-winding': 'symbol-winding', 'color-manoeuvre': 'color-manoeuvre', 'free': 'free', 'scoped': 'scoped', 'mastering': 'mastering', 'symbol-zipping': 'symbol-zipping', 'wanted': 'wanted', 'color-hit': 'color-hit', 'exposing': 'exposing', 'created': 'created', 'symbol-acting': 'symbol-acting', 'color-operated': 'color-operated', 'cluster-zeroed': 'cluster-zeroed', 'color-parsing': 'color-parsing', 'cluster-waived': 'cluster-waived', 'symbol-verifying': 'symbol-verifying', 'color-standardized': 'color-standardized', 'warped': 'warped', 'cluster-commanded': 'cluster-commanded', 'reference-xrayed': 'reference-xrayed', 'definition-yearn': 'definition-yearn', 'symbol-programming': 'symbol-programming', 'color-called': 'color-called', 'reference-served': 'reference-served', 'color-building': 'color-building', 'symbol-voting': 'symbol-voting', 'master': 'master', 'listed': 'listed', 'color-perform': 'color-perform', 'color-compare': 'color-compare', 'color-shared': 'color-shared', 'color-woken': 'color-woken', 'color-reasoned': 'color-reasoned', 'serve': 'serve', 'definition-finalize': 'definition-finalize', 'color-waiting': 'color-waiting', 'color-terminate': 'color-terminate', 'symbol-operating': 'symbol-operating', 'color-typing': 'color-typing', 'definition-assert': 'definition-assert', 'cluster-stated': 'cluster-stated', 'showed': 'showed', 'color-wrapping': 'color-wrapping', 'idle': 'idle', 'reference-opened': 'reference-opened', 'reference-scoped': 'reference-scoped', 'color-watch': 'color-watch', 'abstracting': 'abstracting', 'color-programming': 'color-programming', 'definition-try': 'definition-try', 'color-profiling': 'color-profiling', 'cluster-created': 'cluster-created', 'color-cleared': 'color-cleared', 'color-starting': 'color-starting', 'symbol-idling': 'symbol-idling', 'color-define': 'color-define', 'symbol-yielding': 'symbol-yielding', 'cluster-washed': 'cluster-washed', 'color-_pertained': 'color-_pertained', 'reference-disconnected': 'reference-disconnected', 'color-waiving': 'color-waiving', 'color-launching': 'color-launching', 'color-abstracting': 'color-abstracting', 'reference-unioned': 'reference-unioned', 'commanding': 'commanding', 'symbol-spawning': 'symbol-spawning', 'reference-referred': 'reference-referred', 'calculated': 'calculated', 'symbol-flying': 'symbol-flying', 'color-deleted': 'color-deleted', 'symbol-releasing': 'symbol-releasing', 'voting': 'voting', 'color-closing': 'color-closing', 'reference-printed': 'reference-printed', 'color-visit': 'color-visit', 'symbol-warping': 'symbol-warping', 'color-clear': 'color-clear', 'ending': 'ending', 'color-warped': 'color-warped', 'color-wrap': 'color-wrap', 'reference-skipped': 'reference-skipped', 'stepping': 'stepping', 'definition-web': 'definition-web', 'cluster-listed': 'cluster-listed', 'appended': 'appended', 'reference-mastered': 'reference-mastered', 'zipping': 'zipping', 'color-washing': 'color-washing', 'disconnecting': 'disconnecting', 'do': 'do', 'definition-type': 'definition-type', 'watch': 'watch', 'symbol-methodizing': 'symbol-methodizing', 'symbol-waiting': 'symbol-waiting', 'symbol-dragonizing': 'symbol-dragonizing', 'definition-comment': 'definition-comment', 'color-doing': 'color-doing', 'color-weaved': 'color-weaved', 'color-accept': 'color-accept', 'release': 'release', 'symbol-terminating': 'symbol-terminating', 'color-ended': 'color-ended', 'cluster-exposed': 'cluster-exposed', 'zoned': 'zoned', 'color-contextualize': 'color-contextualize', 'testing': 'testing', 'symbol-checking': 'symbol-checking', 'decided': 'decided', 'symbol-showing': 'symbol-showing', 'color-resetting': 'color-resetting', 'color-reasoning': 'color-reasoning', 'symbol-finalizing': 'symbol-finalizing', 'cluster-contextualized': 'cluster-contextualized', 'symbol-pickling': 'symbol-pickling', 'cluster-returned': 'cluster-returned', 'color-performed': 'color-performed', 'color-acquired': 'color-acquired', 'color-terminated': 'color-terminated', 'color-watching': 'color-watching', 'color-spawn': 'color-spawn', 'symbol-creating': 'symbol-creating', 'received': 'received', 'protect': 'protect', 'definition-xray': 'definition-xray', 'reference-woke': 'reference-woke', 'synopsize': 'synopsize', 'reference-informed': 'reference-informed', 'color-concluded': 'color-concluded', 'definition-contextualize': 'definition-contextualize', 'abbreviate': 'abbreviate', 'cluster-told': 'cluster-told', 'color-compared': 'color-compared', 'color-checked': 'color-checked', 'color-create': 'color-create', 'cluster-taken-into-account': 'cluster-taken-into-account', 'definition-analyze': 'definition-analyze', 'color-zoned': 'color-zoned', 'taken-off': 'taken-off', 'union': 'union', 'reference-hatched': 'reference-hatched', 'color-calculate': 'color-calculate', 'definition-weave': 'definition-weave', 'entered': 'entered', 'color-flushing': 'color-flushing', 'color-dispatch': 'color-dispatch', 'color-tell': 'color-tell', 'reference-ignored': 'reference-ignored', 'definition-reason': 'definition-reason', 'reference-contextualized': 'reference-contextualized', 'reference-indicated': 'reference-indicated', 'color-examining': 'color-examining', 'color-renamed': 'color-renamed', 'cluster-tested': 'cluster-tested', 'cluster-measured': 'cluster-measured', 'winding': 'winding', 'cluster-upgraded': 'cluster-upgraded', 'definition-import': 'definition-import', 'definition-hatch': 'definition-hatch', 'cluster-zoned': 'cluster-zoned', 'cluster-proxied': 'cluster-proxied', 'launched': 'launched', 'spawn': 'spawn', 'definition-embed': 'definition-embed', 'reference-zapped': 'reference-zapped', 'color-sharing': 'color-sharing', 'manoeuvring': 'manoeuvring', 'dumped': 'dumped', 'skipping': 'skipping', 'color-weigh': 'color-weigh', 'synopsized': 'synopsized', 'verged': 'verged', 'reference-profiled': 'reference-profiled', 'perform': 'perform', 'color-queuing': 'color-queuing', 'color-killing': 'color-killing', 'definition-tag': 'definition-tag', '_pertaining': '_pertaining', 'cluster-discarded': 'cluster-discarded', 'symbol-warning': 'symbol-warning', 'color-zone': 'color-zone', 'tune': 'tune', 'inherit': 'inherit', 'color-classing': 'color-classing', 'rotated': 'rotated', 'symbol-typing': 'symbol-typing', 'cluster-printed': 'cluster-printed', 'cluster-skipped': 'cluster-skipped', 'reference-zipped': 'reference-zipped', 'adding': 'adding', 'cluster-methodized': 'cluster-methodized', 'color-skipping': 'color-skipping', 'cluster-hatched': 'cluster-hatched', 'color-passed': 'color-passed', 'color-spawning': 'color-spawning', 'color-yearning': 'color-yearning', 'symbol-telling': 'symbol-telling', 'symbol-embedding': 'symbol-embedding', 'symbol-tuning': 'symbol-tuning', 'rotate': 'rotate', 'clustered': 'clustered', 'symbol-wandering': 'symbol-wandering', 'cluster-rounded': 'cluster-rounded', 'symbol-analyzing': 'symbol-analyzing', 'hunt': 'hunt', 'renamed': 'renamed', 'warping': 'warping', 'color-finalize': 'color-finalize', 'performing': 'performing', 'color-share': 'color-share', 'born': 'born', 'color-queue': 'color-queue', 'reference-returned': 'reference-returned', 'reference-protected': 'reference-protected', 'reference-walked': 'reference-walked', 'definition-poll': 'definition-poll', 'color-indicated': 'color-indicated', 'deleted': 'deleted', 'reference-spawned': 'reference-spawned', 'color-process': 'color-process', 'color-weighed': 'color-weighed', 'color-view': 'color-view', 'definition-disconnect': 'definition-disconnect', 'reference-varied': 'reference-varied', 'cluster-scoped': 'cluster-scoped', 'color-vote': 'color-vote', 'cluster-calculated': 'cluster-calculated', 'raised': 'raised', 'parsing': 'parsing', 'color-list': 'color-list', 'cluster-acted': 'cluster-acted', 'wrap': 'wrap', 'color-served': 'color-served', 'verbalized': 'verbalized', 'color-clustering': 'color-clustering', 'dispatching': 'dispatching', 'color-sorting': 'color-sorting', 'symbol-printing': 'symbol-printing', 'symbol-zapping': 'symbol-zapping', 'launching': 'launching', 'manoeuvred': 'manoeuvred', 'color-receive': 'color-receive', 'definition-reset': 'definition-reset', 'reference-idled': 'reference-idled', 'landing': 'landing', 'definition-ace': 'definition-ace', 'definition-wind': 'definition-wind', 'definition-wing': 'definition-wing', 'reference-tagged': 'reference-tagged', 'reference-winded': 'reference-winded', 'color-took-off': 'color-took-off', 'symbol-building': 'symbol-building', 'removed': 'removed', 'definition-act': 'definition-act', 'reset': 'reset', 'definition-union': 'definition-union', 'discarding': 'discarding', 'verging': 'verging', 'delete': 'delete', 'definition-abbreviate': 'definition-abbreviate', 'abstract': 'abstract', 'definition-wire': 'definition-wire', 'reference-connected': 'reference-connected', 'color-mastering': 'color-mastering', 'color-hunting': 'color-hunting', 'reference-broke': 'reference-broke', 'check': 'check', 'color-sleep': 'color-sleep', 'reference-did': 'reference-did', 'cluster-appended': 'cluster-appended', 'color-typed': 'color-typed', 'setting': 'setting', 'test': 'test', 'color-concluding': 'color-concluding', 'symbol-commanding': 'symbol-commanding', 'delivered': 'delivered', 'color-dragonizing': 'color-dragonizing', 'definition-refer': 'definition-refer', 'flushed': 'flushed', 'cluster-interfaced': 'cluster-interfaced', 'reference-slept': 'reference-slept', 'color-flushed': 'color-flushed', 'symbol-listing': 'symbol-listing', 'cluster-wised': 'cluster-wised', 'color-launched': 'color-launched', 'cluster-yearned': 'cluster-yearned', 'definition-sleep': 'definition-sleep', 'color-wake': 'color-wake', 'color-importing': 'color-importing', 'skip': 'skip', 'activated': 'activated', 'definition-call': 'definition-call', 'color-specializing': 'color-specializing', 'functioned': 'functioned', 'color-set': 'color-set', 'cluster-done': 'cluster-done', 'definition-discover': 'definition-discover', 'zone': 'zone', 'definition-verge': 'definition-verge', 'zeroing': 'zeroing', 'symbol-measuring': 'symbol-measuring', 'symbol-performing': 'symbol-performing', 'color-loop': 'color-loop', 'discovering': 'discovering', 'symbol-importing': 'symbol-importing', 'cluster-sorted': 'cluster-sorted', 'color-programmed': 'color-programmed', 'color-winded': 'color-winded', 'cluster-typed': 'cluster-typed', 'reference-watched': 'reference-watched', 'symbol-looping': 'symbol-looping', 'color-test': 'color-test', 'color-warn': 'color-warn', 'taking-off': 'taking-off', 'symbol-unresolving': 'symbol-unresolving', 'color-linked': 'color-linked', 'did': 'did', 'color-free': 'color-free', 'color-embedding': 'color-embedding', 'symbol-processing': 'symbol-processing', 'symbol-verging': 'symbol-verging', 'round': 'round', 'color-started': 'color-started', 'discover': 'discover', 'initialized': 'initialized', 'cluster-verbalized': 'cluster-verbalized', 'definition-remove': 'definition-remove', 'color-waking': 'color-waking', 'color-showed': 'color-showed', 'definition-watch': 'definition-watch', 'color-register': 'color-register', 'shared': 'shared', 'reference-parsed': 'reference-parsed', 'wait': 'wait', 'sending': 'sending', 'symbol-taking-off': 'symbol-taking-off', 'cluster-closed': 'cluster-closed', 'definition-inherit': 'definition-inherit', 'color-raised': 'color-raised', 'reference-activated': 'reference-activated', 'definition-hunt': 'definition-hunt', 'color-raise': 'color-raise', 'symbol-visiting': 'symbol-visiting', 'verge': 'verge', 'cluster-commented': 'cluster-commented', 'symbol-resetting': 'symbol-resetting', 'reference-showed': 'reference-showed', 'cluster-built': 'cluster-built', 'wondering': 'wondering', 'scope': 'scope', 'cluster-quitted': 'cluster-quitted', 'cluster-spawn': 'cluster-spawn', 'sharing': 'sharing', 'appending': 'appending', 'definition-record': 'definition-record', 'color-tagged': 'color-tagged', 'reference-abstracted': 'reference-abstracted', 'symbol-rounding': 'symbol-rounding', 'color-schemed': 'color-schemed', 'fly': 'fly', 'color-delivering': 'color-delivering', 'color-connect': 'color-connect', 'color-dragonized': 'color-dragonized', 'printing': 'printing', 'cluster-woken': 'cluster-woken', 'pickle': 'pickle', 'color-wandered': 'color-wandered', 'color-exposing': 'color-exposing', 'performed': 'performed', 'symbol-borning': 'symbol-borning', 'definition-kill': 'definition-kill', 'watching': 'watching', 'write': 'write', 'definition-rotate': 'definition-rotate', 'reference-warped': 'reference-warped', 'reference-verged': 'reference-verged', 'color-killed': 'color-killed', 'color-round': 'color-round', 'take-into-account': 'take-into-account', 'color-verging': 'color-verging', 'cluster-sent': 'cluster-sent', 'yielding': 'yielding', 'color-start': 'color-start', 'reference-sent': 'reference-sent', 'color-stated': 'color-stated', 'color-quit': 'color-quit', 'tagged': 'tagged', 'serving': 'serving', 'unioned': 'unioned', 'color-examined': 'color-examined', 'definition-scheme': 'definition-scheme', 'ended': 'ended', 'yearn': 'yearn', 'color-unresolve': 'color-unresolve', 'definition-specialize': 'definition-specialize', 'disconnect': 'disconnect', 'acknowledge': 'acknowledge', 'color-manoeuvred': 'color-manoeuvred', 'color-rise': 'color-rise', 'listing': 'listing', 'renaming': 'renaming', 'color-wandering': 'color-wandering', 'definition-wise': 'definition-wise', 'reference-set': 'reference-set', 'symbol-killing': 'symbol-killing', 'color-rename': 'color-rename', 'sorted': 'sorted', 'color-initialize': 'color-initialize', 'killed': 'killed', 'cluster-finalized': 'cluster-finalized', 'inheriting': 'inheriting', 'color-sent': 'color-sent', 'definition-proxy': 'definition-proxy', 'color-send': 'color-send', 'definition-create': 'definition-create', 'symbol-polling': 'symbol-polling', 'entering': 'entering', 'definition-queue': 'definition-queue', 'tuned': 'tuned', 'shown': 'shown', 'color-enter': 'color-enter', 'opened': 'opened', 'reference-renamed': 'reference-renamed', 'rounding': 'rounding', 'reference-methodized': 'reference-methodized', 'color-walk': 'color-walk', 'receiving': 'receiving', 'color-spawned': 'color-spawned', 'symbol-inheriting': 'symbol-inheriting', 'color-venturing': 'color-venturing', 'dispatched': 'dispatched', 'reference-globalized': 'reference-globalized', 'color-pickling': 'color-pickling', 'reference-defined': 'reference-defined', 'symbol-taking-into-account': 'symbol-taking-into-account', 'color-contextualized': 'color-contextualized', 'definition-take-off': 'definition-take-off', 'programming': 'programming', 'cluster-hit': 'cluster-hit', 'color-linking': 'color-linking', 'waited': 'waited', 'color-delete': 'color-delete', 'definition-open': 'definition-open', 'color-ignore': 'color-ignore', 'cluster-clustered': 'cluster-clustered', 'vote': 'vote', 'definition-protect': 'definition-protect', 'open': 'open', 'zap': 'zap', 'checked': 'checked', 'slept': 'slept', 'color-deliver': 'color-deliver', 'indicate': 'indicate', 'typing': 'typing', 'color-sorted': 'color-sorted', 'symbol-selecting': 'symbol-selecting', 'cluster-ignored': 'cluster-ignored', 'cluster-weight': 'cluster-weight', 'color-quitting': 'color-quitting', 'color-tuning': 'color-tuning', 'released': 'released', 'reference-polled': 'reference-polled', 'reference-weaved': 'reference-weaved', 'reference-passed': 'reference-passed', 'analyze': 'analyze', 'cluster-initialized': 'cluster-initialized', 'definition-select': 'definition-select', 'color-verbalized': 'color-verbalized', 'protected': 'protected', 'venture': 'venture', 'wandering': 'wandering', 'symbol-rising': 'symbol-rising', 'color-removed': 'color-removed', 'acknowledged': 'acknowledged', 'cluster-embedded': 'cluster-embedded', 'color-removing': 'color-removing', 'color-wanting': 'color-wanting', 'definition-register': 'definition-register', 'cluster-operated': 'cluster-operated', 'cluster-xrayed': 'cluster-xrayed', 'color-defined': 'color-defined', 'reference-discarded': 'reference-discarded', 'upgrading': 'upgrading', 'definition-append': 'definition-append', 'definition-warn': 'definition-warn', 'note': 'note', 'definition-warp': 'definition-warp', 'color-join': 'color-join', 'definition-skip': 'definition-skip', 'reference-examined': 'reference-examined', 'wanting': 'wanting', 'color-acting': 'color-acting', 'symbol-initializing': 'symbol-initializing', 'pickling': 'pickling', 'proxied': 'proxied', 'printed': 'printed', 'synopsizing': 'synopsizing', 'color-written': 'color-written', 'cleared': 'cleared', 'symbol-profiling': 'symbol-profiling', 'color-done': 'color-done', 'color-methodized': 'color-methodized', 'color-pickle': 'color-pickle', 'reference-checked': 'reference-checked', 'color-told': 'color-told', 'color-tried': 'color-tried', 'symbol-getting': 'symbol-getting', 'walking': 'walking', 'cluster-called': 'cluster-called', 'show': 'show', 'symbol-passing': 'symbol-passing', 'discovered': 'discovered', 'color-trying': 'color-trying', 'rounded': 'rounded', 'color-waited': 'color-waited', 'color-calculating': 'color-calculating', 'reference-manoeuvred': 'reference-manoeuvred', 'reference-specialized': 'reference-specialized', 'upgrade': 'upgrade', 'color-waive': 'color-waive', 'color-reason': 'color-reason', 'manoeuvre': 'manoeuvre', 'cluster-flushed': 'cluster-flushed', 'reference-closed': 'reference-closed', 'color-rotate': 'color-rotate', 'closed': 'closed', 'color-viewed': 'color-viewed', 'get': 'get', 'color-dump': 'color-dump', 'color-get': 'color-get', 'cluster-wrapped': 'cluster-wrapped', 'cluster-looped': 'cluster-looped', 'symbol-trying': 'symbol-trying', 'symbol-watching': 'symbol-watching', 'yield': 'yield', 'symbol-wising': 'symbol-wising', 'ignored': 'ignored', 'color-wait': 'color-wait', 'color-launch': 'color-launch', 'color-commanding': 'color-commanding', 'definition-abstract': 'definition-abstract', 'reference-wired': 'reference-wired', 'wonder': 'wonder', 'definition-clear': 'definition-clear', 'registering': 'registering', 'symbol-skipping': 'symbol-skipping', 'activating': 'activating', 'color-globalizing': 'color-globalizing', 'color-walked': 'color-walked', 'import': 'import', 'color-expose': 'color-expose', 'color-discovering': 'color-discovering', 'killing': 'killing', 'analyzed': 'analyzed', 'symbol-exposing': 'symbol-exposing', 'cluster-set': 'cluster-set', 'acquiring': 'acquiring', 'color-idling': 'color-idling', 'color-zipped': 'color-zipped', 'color-tag': 'color-tag', 'embedding': 'embedding', 'color-unresolving': 'color-unresolving', 'dispatch': 'dispatch', 'color-flying': 'color-flying', 'color-taking-into-account': 'color-taking-into-account', 'poll': 'poll', 'specializing': 'specializing', 'color-idle': 'color-idle', 'reference-ended': 'reference-ended', 'tuning': 'tuning', 'symbol-venturing': 'symbol-venturing', 'informed': 'informed', 'symbol-writing': 'symbol-writing', 'defined': 'defined', 'cluster-waved': 'cluster-waved', 'color-scoped': 'color-scoped', 'symbol-noting': 'symbol-noting', 'definition-unresolve': 'definition-unresolve', 'wake': 'wake', 'symbol-sleeping': 'symbol-sleeping', 'disconnected': 'disconnected', 'color-acquire': 'color-acquire', 'warning': 'warning', 'profiled': 'profiled', 'color-examine': 'color-examine', 'reference-interfaced': 'reference-interfaced', 'reference-waved': 'reference-waved', 'reference-removed': 'reference-removed', 'sleeping': 'sleeping', 'parse': 'parse', 'cluster': 'cluster', 'color-wired': 'color-wired', 'commanded': 'commanded', 'cluster-released': 'cluster-released', 'verified': 'verified', 'symbol-informing': 'symbol-informing', 'color-inherit': 'color-inherit', 'wiring': 'wiring', 'color-import': 'color-import', 'definition-view': 'definition-view', 'cluster-opened': 'cluster-opened', 'cluster-recorded': 'cluster-recorded', 'color-print': 'color-print', 'stepped': 'stepped', 'color-verge': 'color-verge', 'symbol-hunting': 'symbol-hunting', 'running': 'running', 'wired': 'wired', 'color-record': 'color-record', 'color-returned': 'color-returned', 'weave': 'weave', 'color-creating': 'color-creating', 'color-add': 'color-add', 'definition-zero': 'definition-zero', 'color-tuned': 'color-tuned', 'definition-sort': 'definition-sort', 'symbol-landing': 'symbol-landing', 'color-receiving': 'color-receiving', 'definition-end': 'definition-end', 'kill': 'kill', 'symbol-wondering': 'symbol-wondering', 'color-abbreviate': 'color-abbreviate', 'rose': 'rose', 'symbol-wrapping': 'symbol-wrapping', 'color-analyzing': 'color-analyzing', 'cluster-inherited': 'cluster-inherited', 'color-wander': 'color-wander', 'color-appended': 'color-appended', 'cluster-accepted': 'cluster-accepted', 'color-zapping': 'color-zapping', 'symbol-closing': 'symbol-closing', 'reference-acquired': 'reference-acquired', 'using': 'using', 'reference-concluded': 'reference-concluded', 'accepted': 'accepted', 'color-verbalizing': 'color-verbalizing', 'cluster-_pertained': 'cluster-_pertained', 'color-woke': 'color-woke', 'reference-stepped': 'reference-stepped', 'symbol-manoeuvring': 'symbol-manoeuvring', 'discarded': 'discarded', 'definition-receive': 'definition-receive', 'definition-wash': 'definition-wash', 'waiving': 'waiving', 'served': 'served', 'color-state': 'color-state', 'reference-wondered': 'reference-wondered', 'color-entered': 'color-entered', 'reference-acted': 'reference-acted', 'reference-analyzed': 'reference-analyzed', 'exposed': 'exposed', 'pickled': 'pickled', 'cluster-parsed': 'cluster-parsed', 'color-winged': 'color-winged', 'definition-break': 'definition-break', 'color-function': 'color-function', 'color-verified': 'color-verified', 'symbol-reasoning': 'symbol-reasoning', 'cluster-tried': 'cluster-tried', 'color-show': 'color-show', 'calculating': 'calculating', 'symbol-acing': 'symbol-acing', 'recorded': 'recorded', 'reference-noted': 'reference-noted', 'quitting': 'quitting', 'refer': 'refer', 'measuring': 'measuring', 'definition-put': 'definition-put', 'definition-program': 'definition-program', 'color-finalized': 'color-finalized', 'color-class': 'color-class', 'reference-ventured': 'reference-ventured', 'definition-send': 'definition-send', 'borning': 'borning', 'ace': 'ace', 'definition-initialize': 'definition-initialize', 'color-comment': 'color-comment', 'reference-inherited': 'reference-inherited', 'informing': 'informing', 'act': 'act', 'freeing': 'freeing', 'interfacing': 'interfacing', 'definition-connect': 'definition-connect', 'reference-tried': 'reference-tried', 'rising': 'rising', 'color-accepting': 'color-accepting', 'cluster-killed': 'cluster-killed', 'color-discarding': 'color-discarding', 'definition-check': 'definition-check', 'removing': 'removing', 'start': 'start', 'color-rising': 'color-rising', 'color-functioned': 'color-functioned', 'yearned': 'yearned', 'color-hunted': 'color-hunted', 'color-opening': 'color-opening', 'reference-webbed': 'reference-webbed', 'symbol-asserting': 'symbol-asserting', 'cluster-varied': 'cluster-varied', 'color-zeroed': 'color-zeroed', 'cluster-launched': 'cluster-launched', 'trying': 'trying', 'color-discard': 'color-discard', 'embedded': 'embedded', 'color-skipped': 'color-skipped', 'reference-shared': 'reference-shared', 'color-testing': 'color-testing', 'netting': 'netting', 'embed': 'embed', 'definition-test': 'definition-test', 'color-acquiring': 'color-acquiring', 'color-waived': 'color-waived', 'definition-standardize': 'definition-standardize', 'aced': 'aced', 'color-manoeuvring': 'color-manoeuvring', 'examine': 'examine', 'importing': 'importing', 'cluster-wired': 'cluster-wired', 'color-wiring': 'color-wiring', 'taking-into-account': 'taking-into-account', 'color-interfaced': 'color-interfaced', 'terminating': 'terminating', 'standardize': 'standardize', 'waving': 'waving', 'color-using': 'color-using', 'building': 'building', 'color-acted': 'color-acted', 'waived': 'waived', 'definition-flush': 'definition-flush', 'reference-raised': 'reference-raised', 'color-embed': 'color-embed', 'reference-delivered': 'reference-delivered', 'starting': 'starting', 'reference-accepted': 'reference-accepted', 'looped': 'looped', 'definition-terminate': 'definition-terminate', 'cluster-ventured': 'cluster-ventured', 'color-zeroing': 'color-zeroing', 'globalize': 'globalize', 'reasoning': 'reasoning', 'referring': 'referring', 'hunting': 'hunting', 'acting': 'acting', 'program': 'program', 'color-want': 'color-want', 'reference-took-off': 'reference-took-off', 'reference-received': 'reference-received', 'returned': 'returned', 'returning': 'returning', 'zapping': 'zapping', 'decide': 'decide', 'washing': 'washing', 'color-take-into-account': 'color-take-into-account', 'list': 'list', 'joined': 'joined', 'color-sense': 'color-sense', 'color-comparing': 'color-comparing', 'abbreviated': 'abbreviated', 'abstracted': 'abstracted', 'color-yearned': 'color-yearned', 'zero': 'zero', 'unioning': 'unioning', 'pass': 'pass', 'functioning': 'functioning', 'color-synopsizing': 'color-synopsizing', 'imported': 'imported', 'reference-waited': 'reference-waited', 'definition-waive': 'definition-waive', 'cluster-ended': 'cluster-ended', 'verbalize': 'verbalize', 'cluster-run': 'cluster-run', 'color-operate': 'color-operate', 'color-abbreviating': 'color-abbreviating', 'reference-zoned': 'reference-zoned', 'definition-compare': 'definition-compare', 'operating': 'operating', 'concluding': 'concluding', 'definition-rise': 'definition-rise', 'definition-decide': 'definition-decide', 'color-acknowledging': 'color-acknowledging', 'color-decided': 'color-decided', 'specialize': 'specialize', 'reference-killed': 'reference-killed', 'color-stepping': 'color-stepping', 'put': 'put', 'analyzing': 'analyzing', 'reference-yielded': 'reference-yielded', 'cluster-freed': 'cluster-freed', 'symbol-synopsizing': 'symbol-synopsizing', 'spawned': 'spawned', 'select': 'select', 'comparing': 'comparing', 'symbol-commenting': 'symbol-commenting', 'symbol-proxying': 'symbol-proxying', 'flawn': 'flawn', 'symbol-clustering': 'symbol-clustering', 'symbol-waiving': 'symbol-waiving', 'tested': 'tested', 'landed': 'landed', 'reference-looped': 'reference-looped', 'broke': 'broke', 'varying': 'varying', 'color-xray': 'color-xray', 'reference-rose': 'reference-rose', 'take-off': 'take-off', 'color-discover': 'color-discover', 'specialized': 'specialized', 'definition-note': 'definition-note', 'compare': 'compare', 'stated': 'stated', 'color-acing': 'color-acing', 'share': 'share', 'accept': 'accept', 'color-listing': 'color-listing', 'color-rounding': 'color-rounding', 'symbol-calculating': 'symbol-calculating', 'sense': 'sense', 'wising': 'wising', 'reference-unresolved': 'reference-unresolved', 'breaking': 'breaking', 'color-union': 'color-union', 'color-terminating': 'color-terminating', 'reference-created': 'reference-created', 'reference-calculated': 'reference-calculated', 'dragonizing': 'dragonizing', 'color-raising': 'color-raising', 'cluster-sensed': 'cluster-sensed', 'acknowledging': 'acknowledging', 'color-registered': 'color-registered', 'definition-land': 'definition-land', 'tried': 'tried', 'symbol-sending': 'symbol-sending', 'cluster-concluded': 'cluster-concluded', 'cluster-winded': 'cluster-winded', 'resetting': 'resetting', 'cluster-shared': 'cluster-shared', 'register': 'register', 'reference-entered': 'reference-entered', 'symbol-registering': 'symbol-registering', 'reference-recorded': 'reference-recorded', 'symbol-wanting': 'symbol-wanting', 'color-looping': 'color-looping', 'wandered': 'wandered', 'color-activated': 'color-activated', 'color-netted': 'color-netted', 'finalized': 'finalized', 'winged': 'winged', 'reference-wised': 'reference-wised', 'reference-dispatched': 'reference-dispatched', 'color-calling': 'color-calling', 'symbol-hatching': 'symbol-hatching', 'contextualizing': 'contextualizing', 'color-rounded': 'color-rounded', 'symbol-concluding': 'symbol-concluding', 'color-close': 'color-close', 'initializing': 'initializing', 'color-wonder': 'color-wonder', 'color-functioning': 'color-functioning', 'definition-build': 'definition-build', 'skipped': 'skipped', 'return': 'return', 'definition-synopsize': 'definition-synopsize', 'reference-discovered': 'reference-discovered', 'color-visiting': 'color-visiting', 'color-abstracted': 'color-abstracted', 'hunted': 'hunted', 'color-returning': 'color-returning', 'wash': 'wash', 'cluster-referred': 'cluster-referred', 'color-released': 'color-released', 'reference-selected': 'reference-selected', 'mastered': 'mastered', 'reference-washed': 'reference-washed', 'referred': 'referred', 'contextualize': 'contextualize', 'color-dispatching': 'color-dispatching', 'weight': 'weight', 'dragonize': 'dragonize', 'color-serving': 'color-serving', 'color-kill': 'color-kill', 'connect': 'connect', 'color-measured': 'color-measured', 'cluster-hunted': 'cluster-hunted', 'wondered': 'wondered', 'color-slept': 'color-slept', 'color-indicate': 'color-indicate', 'symbol-acknowledging': 'symbol-acknowledging', 'definition-inform': 'definition-inform', 'color-created': 'color-created', 'print': 'print', 'color-noting': 'color-noting', 'risen': 'risen', 'xrayed': 'xrayed', 'symbol-mastering': 'symbol-mastering', 'symbol-hitting': 'symbol-hitting', 'reason': 'reason', 'proxy': 'proxy', 'cluster-written': 'cluster-written', 'color-link': 'color-link', 'color-zero': 'color-zero', 'cluster-winged': 'cluster-winged', 'definition-operate': 'definition-operate', 'unresolved': 'unresolved', 'unresolve': 'unresolve', 'launch': 'launch', 'definition-tune': 'definition-tune', 'definition-examine': 'definition-examine', 'definition-zap': 'definition-zap', 'reference-told': 'reference-told', 'reference-took-into-account': 'reference-took-into-account', 'definition-define': 'definition-define', 'color-sleeping': 'color-sleeping', 'color-wave': 'color-wave', 'netted': 'netted', 'linking': 'linking', 'done': 'done', 'reference-put': 'reference-put', 'scoping': 'scoping', 'symbol-stepping': 'symbol-stepping', 'color-warping': 'color-warping', 'reference-called': 'reference-called', 'symbol-testing': 'symbol-testing', 'reference-wrote': 'reference-wrote', 'passed': 'passed', 'definition-wait': 'definition-wait', 'scheme': 'scheme', 'color-finalizing': 'color-finalizing', 'color-wising': 'color-wising', 'symbol-weighing': 'symbol-weighing', 'color-step': 'color-step', 'definition-wrap': 'definition-wrap', 'color-call': 'color-call', 'cluster-mastered': 'cluster-mastered', 'recording': 'recording', 'reference-compared': 'reference-compared', 'deciding': 'deciding', 'idled': 'idled', 'reference-tested': 'reference-tested', 'classing': 'classing', 'color-winding': 'color-winding', 'definition-zone': 'definition-zone', 'color-unresolved': 'color-unresolved', 'cluster-profiled': 'cluster-profiled', 'built': 'built', 'symbol-quitting': 'symbol-quitting', 'color-broken': 'color-broken', 'reference-dragonized': 'reference-dragonized', 'build': 'build', 'cluster-terminated': 'cluster-terminated', 'added': 'added', 'symbol-launching': 'symbol-launching', 'accepting': 'accepting', 'measured': 'measured', 'color-indicating': 'color-indicating', 'cluster-dispatched': 'cluster-dispatched', 'cluster-passed': 'cluster-passed', 'color-sensing': 'color-sensing', 'clear': 'clear', 'color-note': 'color-note', 'symbol-upgrading': 'symbol-upgrading', 'weigh': 'weigh', 'color-skip': 'color-skip', 'color-initializing': 'color-initializing', 'color-refer': 'color-refer', 'symbol-discarding': 'symbol-discarding', 'color-connecting': 'color-connecting', 'color-protected': 'color-protected', 'reference-standardized': 'reference-standardized', 'definition-idle': 'definition-idle', 'symbol-deleting': 'symbol-deleting', 'color-inheriting': 'color-inheriting', 'symbol-freeing': 'symbol-freeing', 'reference-schemed': 'reference-schemed', 'hit': 'hit', 'color-commanded': 'color-commanded', 'color-decide': 'color-decide', 'classed': 'classed', 'color-stepped': 'color-stepped', 'color-ventured': 'color-ventured', 'verbalizing': 'verbalizing', 'reference-finalized': 'reference-finalized', 'weaved': 'weaved', 'remove': 'remove', 'symbol-waving': 'symbol-waving', 'color-analyzed': 'color-analyzed', 'reference-imported': 'reference-imported', 'reference-voted': 'reference-voted', 'set': 'set', 'dump': 'dump', 'color-acknowledge': 'color-acknowledge', 'contextualized': 'contextualized', 'color-viewing': 'color-viewing', 'definition-indicate': 'definition-indicate', 'close': 'close', 'cluster-dragonized': 'cluster-dragonized', 'visiting': 'visiting', 'reference-processed': 'reference-processed', 'definition-wave': 'definition-wave', 'cluster-abbreviated': 'cluster-abbreviated', 'unresolving': 'unresolving', 'color-washed': 'color-washed', 'profiling': 'profiling', 'creating': 'creating', 'definition-acknowledge': 'definition-acknowledge', 'zipped': 'zipped', 'definition-spawn': 'definition-spawn', 'interface': 'interface', 'color-hatching': 'color-hatching', 'interfaced': 'interfaced', 'color-asserting': 'color-asserting', 'color-referring': 'color-referring', 'color-did': 'color-did', 'cluster-deleted': 'cluster-deleted', 'upgraded': 'upgraded', 'color-append': 'color-append', 'color-return': 'color-return', 'color-zoning': 'color-zoning', 'acted': 'acted', 'reference-flushed': 'reference-flushed', 'color-specialize': 'color-specialize', 'asserted': 'asserted', 'color-deciding': 'color-deciding', 'weaving': 'weaving', 'raise': 'raise', 'create': 'create', 'color-taken-off': 'color-taken-off', 'hitting': 'hitting', 'definition-verify': 'definition-verify', 'definition-join': 'definition-join', 'color-defining': 'color-defining', 'woke': 'woke', 'reference-synopsized': 'reference-synopsized', 'symbol-globalizing': 'symbol-globalizing', 'reference-initialized': 'reference-initialized', 'definition-conclude': 'definition-conclude', 'color-webbing': 'color-webbing', 'reference-exposed': 'reference-exposed', 'color-dumped': 'color-dumped', 'definition-master': 'definition-master', 'color-voting': 'color-voting', 'color-winging': 'color-winging', 'color-recording': 'color-recording', 'symbol-serving': 'symbol-serving', 'symbol-connecting': 'symbol-connecting', 'color-run': 'color-run', 'definition-vote': 'definition-vote', 'cluster-abstracted': 'cluster-abstracted', 'loop': 'loop', 'color-selecting': 'color-selecting', 'color-exposed': 'color-exposed', 'reference-used': 'reference-used', 'cluster-synopsized': 'cluster-synopsized', 'reference-hunted': 'reference-hunted', 'cluster-aced': 'cluster-aced', 'symbol-running': 'symbol-running', 'queue': 'queue', 'color-embedded': 'color-embedded', 'cluster-put': 'cluster-put', 'reference-waived': 'reference-waived', 'color-type': 'color-type', 'used': 'used', 'cluster-delivered': 'cluster-delivered', 'definition-discard': 'definition-discard', 'viewing': 'viewing', 'symbol-using': 'symbol-using', 'color-added': 'color-added', 'color-opened': 'color-opened', 'definition-take-into-account': 'definition-take-into-account', 'color-looped': 'color-looped', 'reference-winged': 'reference-winged', 'symbol-walking': 'symbol-walking', 'idling': 'idling', 'color-wire': 'color-wire', 'color-got': 'color-got', 'definition-vary': 'definition-vary', 'cluster-queued': 'cluster-queued', 'stating': 'stating', 'symbol-calling': 'symbol-calling', 'color-waved': 'color-waved', 'polled': 'polled', 'color-operating': 'color-operating', 'color-inherited': 'color-inherited', 'symbol-unioning': 'symbol-unioning', 'definition-pickle': 'definition-pickle', 'color-serve': 'color-serve', 'color-proxy': 'color-proxy', 'cluster-protected': 'cluster-protected', 'wised': 'wised', 'reference-operated': 'reference-operated', 'finalize': 'finalize', 'definition-_pertain': 'definition-_pertain', 'color-taken-into-account': 'color-taken-into-account', 'showing': 'showing', 'hatch': 'hatch', 'cluster-warped': 'cluster-warped', 'color-netting': 'color-netting', 'symbol-netting': 'symbol-netting', 'reference-rotated': 'reference-rotated', 'sorting': 'sorting', 'ignore': 'ignore', 'color-watched': 'color-watched', 'symbol-referring': 'symbol-referring', 'color-selected': 'color-selected', 'reference-landed': 'reference-landed', 'color-ending': 'color-ending', 'symbol-setting': 'symbol-setting', 'cluster-activated': 'cluster-activated', 'color-stating': 'color-stating', 'reference-tuned': 'reference-tuned', 'symbol-scheming': 'symbol-scheming', 'color-yielding': 'color-yielding', 'color-waving': 'color-waving', 'connecting': 'connecting', 'color-command': 'color-command', 'run': 'run', 'processing': 'processing', 'cluster-got': 'cluster-got', 'step': 'step', 'cluster-linked': 'cluster-linked', 'color-measuring': 'color-measuring', 'asserting': 'asserting', 'symbol-sorting': 'symbol-sorting', 'color-contextualizing': 'color-contextualizing', 'cluster-selected': 'cluster-selected', 'hatched': 'hatched', 'cluster-indicated': 'cluster-indicated', 'flying': 'flying', 'visit': 'visit', 'color-accepted': 'color-accepted', 'color-noted': 'color-noted', 'symbol-adding': 'symbol-adding', 'clustering': 'clustering', 'cluster-voted': 'cluster-voted', 'color-imported': 'color-imported', 'color-putting': 'color-putting', 'color-gotten': 'color-gotten', 'cluster-used': 'cluster-used', 'cluster-viewed': 'cluster-viewed', 'color-parsed': 'color-parsed', 'color-broke': 'color-broke', 'spawning': 'spawning', 'cluster-wondered': 'cluster-wondered', 'color-zip': 'color-zip', 'registered': 'registered', 'cluster-classed': 'cluster-classed', 'reference-wanted': 'reference-wanted', 'color-deleting': 'color-deleting', 'reference-rounded': 'reference-rounded', 'link': 'link', 'symbol-wiring': 'symbol-wiring', 'raising': 'raising', 'definition-run': 'definition-run', 'color-sort': 'color-sort', 'color-cluster': 'color-cluster', 'color-classed': 'color-classed', 'color-dumping': 'color-dumping', 'symbol-putting': 'symbol-putting', 'symbol-examining': 'symbol-examining', 'color-dragonize': 'color-dragonize', 'called': 'called', 'color-conclude': 'color-conclude', 'cluster-pickled': 'cluster-pickled', 'color-interfacing': 'color-interfacing', 'color-aced': 'color-aced', 'definition-activate': 'definition-activate', 'color-listed': 'color-listed', 'parsed': 'parsed', 'cluster-received': 'cluster-received', 'color-wise': 'color-wise', 'definition-wake': 'definition-wake', 'color-yearn': 'color-yearn', 'color-flush': 'color-flush', 'color-weighing': 'color-weighing', 'definition-set': 'definition-set', 'cluster-processed': 'cluster-processed', 'color-specialized': 'color-specialized', 'cluster-idled': 'cluster-idled', 'color-setting': 'color-setting', 'symbol-abbreviating': 'symbol-abbreviating', 'color-methodize': 'color-methodize', 'definition-use': 'definition-use', 'definition-wonder': 'definition-wonder', 'cluster-analyzed': 'cluster-analyzed', 'webbing': 'webbing', 'symbol-viewing': 'symbol-viewing', 'color-webbed': 'color-webbed', 'color-polling': 'color-polling', 'land': 'land', 'reasoned': 'reasoned', 'cluster-taken-off': 'cluster-taken-off', 'walked': 'walked', 'symbol-acquiring': 'symbol-acquiring', 'joining': 'joining', 'color-mastered': 'color-mastered', 'symbol-verbalizing': 'symbol-verbalizing', 'cluster-stepped': 'cluster-stepped', 'cluster-zipped': 'cluster-zipped', 'color-unioning': 'color-unioning', 'cluster-verged': 'cluster-verged', 'send': 'send', 'definition-return': 'definition-return', 'definition-print': 'definition-print', 'color-acknowledged': 'color-acknowledged', 'color-rose': 'color-rose', 'color-warning': 'color-warning', 'reference-embedded': 'reference-embedded', 'reference-reasoned': 'reference-reasoned', 'indicating': 'indicating', 'reference-verbalized': 'reference-verbalized', 'definition-yield': 'definition-yield', 'cluster-acknowledged': 'cluster-acknowledged', 'wave': 'wave', 'symbol-delivering': 'symbol-delivering', 'putting': 'putting', 'telling': 'telling', 'symbol-zeroing': 'symbol-zeroing', 'definition-methodize': 'definition-methodize', 'symbol-functioning': 'symbol-functioning', 'color-clearing': 'color-clearing', 'try': 'try', 'polling': 'polling', 'freed': 'freed', 'deleting': 'deleting', 'noted': 'noted', 'concluded': 'concluded', 'cluster-served': 'cluster-served', 'color-discovered': 'color-discovered', 'symbol-zoning': 'symbol-zoning', 'definition-raise': 'definition-raise', 'waking': 'waking', 'symbol-joining': 'symbol-joining', 'reference-registered': 'reference-registered', 'cluster-rotated': 'cluster-rotated', 'acing': 'acing', 'append': 'append', 'color-act': 'color-act', 'waiting': 'waiting', 'color-varying': 'color-varying', 'definition-deliver': 'definition-deliver', 'color-ace': 'color-ace', 'definition-list': 'definition-list', 'reference-asserted': 'reference-asserted', 'cluster-unresolved': 'cluster-unresolved', 'reference-decided': 'reference-decided', 'delivering': 'delivering', 'color-parse': 'color-parse', 'color-yield': 'color-yield', 'symbol-activating': 'symbol-activating', 'abbreviating': 'abbreviating', 'definition-launch': 'definition-launch', 'broken': 'broken', 'receive': 'receive', 'color-break': 'color-break', 'examining': 'examining', 'color-tagging': 'color-tagging', 'cluster-examined': 'cluster-examined', 'color-freeing': 'color-freeing', 'definition-bear': 'definition-bear', 'cluster-visited': 'cluster-visited', 'cluster-warned': 'cluster-warned', 'cluster-acquired': 'cluster-acquired', 'definition-scope': 'definition-scope', 'use': 'use', 'zip': 'zip', 'cluster-informed': 'cluster-informed', 'color-polled': 'color-polled', 'color-asserted': 'color-asserted', 'sort': 'sort', 'definition-do': 'definition-do', 'reference-weighed': 'reference-weighed', 'started': 'started', 'color-interface': 'color-interface', 'color-net': 'color-net', 'color-proxied': 'color-proxied', 'color-initialized': 'color-initialized', 'cluster-flawn': 'cluster-flawn', 'color-running': 'color-running', 'tag': 'tag', 'symbol-waking': 'symbol-waking', 'closing': 'closing', 'color-entering': 'color-entering', 'proxying': 'proxying', 'color-varied': 'color-varied', 'process': 'process', 'symbol-ending': 'symbol-ending', 'color-printing': 'color-printing', 'varied': 'varied', 'symbol-defining': 'symbol-defining', 'symbol-breaking': 'symbol-breaking', 'dragonized': 'dragonized', 'color-joining': 'color-joining', 'definition-interface': 'definition-interface', 'color-hunt': 'color-hunt', 'profile': 'profile', 'yielded': 'yielded', 'definition-get': 'definition-get', 'cluster-decided': 'cluster-decided', 'zapped': 'zapped', 'color-born': 'color-born', 'cluster-verified': 'cluster-verified', 'color-zapped': 'color-zapped', 'definition-loop': 'definition-loop', 'definition-dump': 'definition-dump', 'cluster-waited': 'cluster-waited', 'looping': 'looping', 'color-unioned': 'color-unioned', 'color-xrayed': 'color-xrayed', 'cluster-discovered': 'cluster-discovered', 'definition-link': 'definition-link', 'color-telling': 'color-telling', 'color-discarded': 'color-discarded', 'color-freed': 'color-freed', 'flew': 'flew', 'color-wanted': 'color-wanted', 'color-processed': 'color-processed', 'color-printed': 'color-printed', 'symbol-yearning': 'symbol-yearning', 'verifying': 'verifying', 'cluster-tagged': 'cluster-tagged', 'color-activate': 'color-activate', 'color-received': 'color-received', 'finalizing': 'finalizing', 'activate': 'activate', 'cluster-webbed': 'cluster-webbed', 'doing': 'doing', 'programmed': 'programmed', 'definition-write': 'definition-write', 'measure': 'measure', 'color-pickled': 'color-pickled', 'standardizing': 'standardizing', 'reference-launched': 'reference-launched', 'color-analyze': 'color-analyze', 'color-adding': 'color-adding', 'color-synopsize': 'color-synopsize', 'reference-started': 'reference-started', 'flushing': 'flushing', 'color-borned': 'color-borned', 'reference-joined': 'reference-joined', 'cluster-wandered': 'cluster-wandered', 'symbol-xraying': 'symbol-xraying', 'color-_pertain': 'color-_pertain', 'color-wrapped': 'color-wrapped', 'symbol-discovering': 'symbol-discovering', 'cluster-cleared': 'cluster-cleared', 'color-proxying': 'color-proxying', 'initialize': 'initialize', '_pertain': '_pertain', 'definition-free': 'definition-free', 'reference-wrapped': 'reference-wrapped', 'color-visited': 'color-visited', 'wrote': 'wrote', 'reference-verified': 'reference-verified', 'cluster-shown': 'cluster-shown', 'reference-proxied': 'reference-proxied', 'color-rotating': 'color-rotating', 'color-zap': 'color-zap', 'symbol-comparing': 'symbol-comparing', 'color-borning': 'color-borning', 'color-commenting': 'color-commenting', 'color-scheme': 'color-scheme', 'color-take-off': 'color-take-off', 'color-upgraded': 'color-upgraded', 'color-ignoring': 'color-ignoring', 'wrapped': 'wrapped', 'color-warned': 'color-warned', 'definition-process': 'definition-process', 'cluster-weaved': 'cluster-weaved', 'definition-add': 'definition-add', 'reference-functioned': 'reference-functioned', 'acquire': 'acquire', 'definition-venture': 'definition-venture', 'color-verifying': 'color-verifying', 'color-renaming': 'color-renaming', 'color-registering': 'color-registering', 'symbol-accepting': 'symbol-accepting', 'visited': 'visited', 'symbol-interfacing': 'symbol-interfacing', 'color-landing': 'color-landing', 'color-informed': 'color-informed', 'reference-zeroed': 'reference-zeroed', 'color-informing': 'color-informing', 'color-calculated': 'color-calculated', 'linked': 'linked', 'viewed': 'viewed', 'cluster-registered': 'cluster-registered', 'venturing': 'venturing', 'inform': 'inform', 'color-protect': 'color-protect', 'color-poll': 'color-poll', 'took-into-account': 'took-into-account', 'cluster-performed': 'cluster-performed', 'definition-command': 'definition-command', 'color-synopsized': 'color-synopsized', 'reference-programmed': 'reference-programmed', 'connected': 'connected', 'class': 'class', 'symbol-disconnecting': 'symbol-disconnecting', 'reference-stated': 'reference-stated', 'definition-pass': 'definition-pass', 'color-open': 'color-open', 'definition-ignore': 'definition-ignore', 'symbol-_pertaining': 'symbol-_pertaining', 'reference-run': 'reference-run', 'sent': 'sent', 'terminate': 'terminate', 'color-warp': 'color-warp', 'rotating': 'rotating', 'cluster-netted': 'cluster-netted', 'reference-visited': 'reference-visited', 'cluster-born': 'cluster-born', 'reference-commented': 'reference-commented', 'definition-net': 'definition-net', 'reference-classed': 'reference-classed', 'inherited': 'inherited', 'color-sending': 'color-sending', 'symbol-starting': 'symbol-starting', 'color-upgrade': 'color-upgrade', 'color-do': 'color-do', 'symbol-linking': 'symbol-linking', 'bear': 'bear', 'symbol-sharing': 'symbol-sharing', 'reference-abbreviated': 'reference-abbreviated', 'calling': 'calling', 'color-connected': 'color-connected', 'cluster-standardized': 'cluster-standardized', 'xraying': 'xraying', 'processed': 'processed', 'cluster-slept': 'cluster-slept', 'view': 'view', 'cluster-tuned': 'cluster-tuned', 'cluster-reset': 'cluster-reset', 'acquired': 'acquired', 'color-showing': 'color-showing', 'yearning': 'yearning', 'operated': 'operated', 'symbol-appending': 'symbol-appending', 'color-land': 'color-land', 'cluster-yielded': 'cluster-yielded', 'wire': 'wire', 'clearing': 'clearing', 'xray': 'xray', 'state': 'state', 'definition-enter': 'definition-enter', 'weighing': 'weighing', 'opening': 'opening', 'reference-viewed': 'reference-viewed', 'reference-linked': 'reference-linked', 'deliver': 'deliver', 'color-recorded': 'color-recorded', 'commenting': 'commenting', 'definition-globalize': 'definition-globalize', 'definition-upgrade': 'definition-upgrade', 'definition-visit': 'definition-visit', 'reference-appended': 'reference-appended', 'reference-freed': 'reference-freed', 'methodized': 'methodized', 'passing': 'passing', 'definition-step': 'definition-step', 'quitted': 'quitted', 'comment': 'comment', 'conclude': 'conclude', 'walk': 'walk', 'waved': 'waved', 'color-profiled': 'color-profiled', 'symbol-stating': 'symbol-stating', 'color-profile': 'color-profile', 'quit': 'quit', 'cluster-noted': 'cluster-noted', 'cluster-started': 'cluster-started', 'cluster-reasoned': 'cluster-reasoned', 'color-taking-off': 'color-taking-off', 'define': 'define', 'symbol-receiving': 'symbol-receiving', 'color-globalize': 'color-globalize', 'releasing': 'releasing', 'assert': 'assert', 'color-_pertaining': 'color-_pertaining', 'sensed': 'sensed', 'definition-sense': 'definition-sense', 'cluster-renamed': 'cluster-renamed', 'definition-function': 'definition-function', 'defining': 'defining', 'reference-wandered': 'reference-wandered', 'color-quitted': 'color-quitted', 'queuing': 'queuing', 'cluster-joined': 'cluster-joined', 'reference-got': 'reference-got', 'reference-borned': 'reference-borned', 'rename': 'rename', 'definition-release': 'definition-release', 'globalizing': 'globalizing', 'color-processing': 'color-processing', 'cluster-connected': 'cluster-connected', 'reference-hit': 'reference-hit', 'color-select': 'color-select', 'weighed': 'weighed', 'color-tested': 'color-tested', 'examined': 'examined', 'color-wrote': 'color-wrote', 'watched': 'watched', 'color-disconnecting': 'color-disconnecting', 'color-hatched': 'color-hatched', 'color-standardizing': 'color-standardizing', 'reference-performed': 'reference-performed', 'color-upgrading': 'color-upgrading', 'definition-state': 'definition-state', 'command': 'command', 'methodize': 'methodize', 'sensing': 'sensing', 'cluster-specialized': 'cluster-specialized', 'reference-sensed': 'reference-sensed', 'color-dispatched': 'color-dispatched', 'definition-delete': 'definition-delete', 'color-voted': 'color-voted', 'color-queued': 'color-queued', 'color-performing': 'color-performing', 'protecting': 'protecting', 'web': 'web', 'color-weaving': 'color-weaving', 'color-verify': 'color-verify', 'reference-queued': 'reference-queued', 'add': 'add', 'symbol-webbing': 'symbol-webbing', 'symbol-entering': 'symbol-entering', 'symbol-removing': 'symbol-removing', 'reference-commanded': 'reference-commanded', 'checking': 'checking', 'cluster-manoeuvred': 'cluster-manoeuvred', 'color-wised': 'color-wised', 'cluster-added': 'cluster-added', 'definition-walk': 'definition-walk', 'definition-acquire': 'definition-acquire', 'warned': 'warned', 'cluster-risen': 'cluster-risen', 'symbol-rotating': 'symbol-rotating', 'color-tune': 'color-tune', 'color-vary': 'color-vary', 'reference-added': 'reference-added', 'reference-released': 'reference-released', 'color-risen': 'color-risen', 'flush': 'flush', 'color-master': 'color-master', 'symbol-winging': 'symbol-winging', 'symbol-opening': 'symbol-opening', 'definition-close': 'definition-close', 'color-rotated': 'color-rotated', 'reference-acknowledged': 'reference-acknowledged', 'definition-dragonize': 'definition-dragonize', 'definition-tell': 'definition-tell', 'color-disconnect': 'color-disconnect', 'color-remove': 'color-remove', 'definition-class': 'definition-class', 'color-venture': 'color-venture', 'selecting': 'selecting', 'color-wash': 'color-wash', 'cluster-wanted': 'cluster-wanted', 'color-passing': 'color-passing', 'color-release': 'color-release', 'color-wondered': 'color-wondered', 'getting': 'getting', 'definition-want': 'definition-want', 'symbol-dumping': 'symbol-dumping', 'discard': 'discard', 'color-check': 'color-check', 'reference-typed': 'reference-typed', 'color-disconnected': 'color-disconnected', 'globalized': 'globalized', 'definition-share': 'definition-share', 'winging': 'winging', 'symbol-protecting': 'symbol-protecting', 'reference-deleted': 'reference-deleted', 'color-referred': 'color-referred', 'terminated': 'terminated', 'cluster-disconnected': 'cluster-disconnected', 'color-measure': 'color-measure', 'function': 'function', 'cluster-programmed': 'cluster-programmed', 'color-abstract': 'color-abstract', 'symbol-sensing': 'symbol-sensing', 'symbol-dispatching': 'symbol-dispatching', 'wise': 'wise', 'color-walking': 'color-walking', 'reference-_pertained': 'reference-_pertained', 'record': 'record', 'symbol-doing': 'symbol-doing', 'color-inform': 'color-inform', 'color-use': 'color-use', 'reference-measured': 'reference-measured', 'reference-cleared': 'reference-cleared', 'color-sensed': 'color-sensed', 'definition-cluster': 'definition-cluster', 'compared': 'compared', 'definition-fly': 'definition-fly', 'wander': 'wander', 'symbol-parsing': 'symbol-parsing', 'definition-quit': 'definition-quit', 'symbol-varying': 'symbol-varying', 'definition-serve': 'definition-serve', 'cluster-globalized': 'cluster-globalized', 'reference-dumped': 'reference-dumped', 'color-yielded': 'color-yielded', 'cluster-asserted': 'cluster-asserted', 'cluster-zapped': 'cluster-zapped', 'symbol-abstracting': 'symbol-abstracting', 'symbol-raising': 'symbol-raising', 'symbol-renaming': 'symbol-renaming', 'color-scope': 'color-scope', 'color-weave': 'color-weave', 'color-getting': 'color-getting'}---------------------------------
                    
    len2kb= len(reasonKB4Xi)
    if debug2xi is True:
        print(33*("-"))   
        print("(STEP 4/33) OF XML_VERB4XI: LEN2KB: ", len2kb)
        print(33*("-"))   
            
    keys2kb = reasonKB4Xi.keys()            
    if debug2xi is True:
        print(33*("-"))       
        print("(STEP 5/33) OF XML_VERB4XI: KEYS2KB: ", keys2kb) # dict_keys(['looped', 'skip', 'zeroed', 'activated', 'sleep', 'scheming', 'functioned', 'globalize', 'reasoning', 'calculate', 'hunting', 'zeroing', 'send', 'program', 'voted', 'discovering', 'indicating', 'taken-into-account', 'returned', 'returning', 'rise', 'zapping', 'wave', 'putting', 'hatching', 'telling', 'tagging', 'rotating', 'taking-off', 'washing', 'did', 'list', 'joined', 'try', 'polling', 'freed', 'deleting', 'noted', 'concluded', 'abbreviated', 'winded', 'abstracted', 'discover', 'waking', 'zero', 'pass', 'initialized', 'functioning', 'acing', 'append', 'imported', 'selected', 'verbalize', 'waiting', 'shared', 'net', 'told', 'wrapping', 'delivering', 'upgrade', 'operating', 'web', 'concluding', 'ignore', 'abbreviating', 'referring', 'sending', 'colored', 'receive', 'specialized', 'round', 'queue', 'launched', 'specialize', 'ventured', 'examining', 'initializing', 'put', 'analyzing', 'verge', 'spawned', 'select', 'use', 'zip', 'visit', 'distancing', 'dispatching', 'noting', 'call', 'wondering', 'flawn', 'type', 'tell', 'sort', 'sharing', 'standardized', 'started', 'appending', 'expose', 'warp', 'warn', 'tested', 'landed', 'broke', 'varying', 'fly', 'weighed', 'join', 'take-off', 'created', 'took-off', 'printing', 'sent', 'closing', 'pickle', 'proxying', 'compare', 'indicated', 'stated', 'process', 'share', 'accept', 'tag', 'performed', 'want', 'sense', 'wising', 'verged', 'end', 'varied', 'verify', 'wandered', 'breaking', 'dragonized', 'write', 'dragonizing', '_pertained', 'zone', 'profile', 'tried', 'typed', 'take-into-account', 'register', 'acknowledged', 'yielding', 'inform', 'writing', 'enter', 'operate', 'wing', 'wind', 'tagged', 'serving', 'rounded', 'decide', 'finalized', 'winged', 'vary', 'ended', 'yearn', 'activating', 'disconnect', 'acknowledge', 'trying', 'borned', 'contextualizing', 'listing', 'coordinated', 'defining', 'renaming', 'skipped', 'return', 'woken', 'zoning', 'flew', 'break', 'methodizing', 'sorted', 'hunted', 'killed', 'inheriting', 'wash', 'verifying', 'warned', 'deciding', 'mastered', 'queued', 'referred', 'contextualize', 'acknowledging', 'activate', 'fired', 'weight', 'dragonize', 'dumping', 'programmed', 'wrap', 'schemed', 'connect', 'entering', 'measure', 'webbed', 'tuned', 'wander', 'standardizing', 'shown', 'opened', 'wondered', 'rounding', 'waive', 'washed', 'acting', 'flushing', 'print', 'got', 'receiving', 'weave', 'unioning', 'risen', 'xrayed', 'dispatched', 'free', 'reason', 'proxy', 'scoped', 'mastering', 'initialize', 'wanted', '_pertain', 'unresolved', 'exposing', 'unresolve', 'launch', 'impose', 'programming', 'viewing', 'commented', 'timed', 'resetting', 'waited', 'netted', 'linking', 'clear', 'warped', 'done', 'vote', 'scoping', 'open', 'zap', 'checked', 'start', 'slept', 'indicate', 'spawn', 'master', 'listed', 'passed', 'typing', 'wrapped', 'scheme', 'acquire', 'serve', 'yield', 'released', 'imposing', 'distance', 'spawning', 'classed', 'showed', 'recording', 'idle', 'protected', 'venture', 'visited', 'wandering', 'function', 'idled', 'abstracting', 'classing', 'winding', 'linked', 'viewed', 'built', 'upgrading', 'note', 'took-into-account', 'build', 'hatch', 'wanting', 'added', 'pickling', 'proxied', 'connected', 'printed', 'synopsizing', 'commanding', 'accepting', 'cleared', 'measured', 'class', 'discarding', 'calculated', 'weigh', 'voting', 'joining', 'walking', 'show', 'terminate', 'ending', 'discovered', 'stepping', 'unioned', 'coloring', 'appended', 'manoeuvre', 'zipping', 'inherited', 'watching', 'disconnecting', 'do', 'hit', 'get', 'watch', 'bear', 'yielded', 'zapped', 'coordinating', 'timing', 'unresolving', 'verbalizing', 'looping', 'weaved', 'remove', 'calling', 'xraying', 'processed', 'release', 'wrote', 'view', 'ignored', 'set', 'dump', 'zoned', 'acquired', 'testing', 'contextualized', 'yearning', 'decided', 'operated', 'close', 'wonder', 'wire', 'registering', 'visiting', 'clearing', 'xray', 'state', 'closed', 'import', 'profiling', 'weighing', 'creating', 'opening', 'zipped', 'deliver', 'killing', 'analyzed', 'interfaced', 'received', 'protect', 'commenting', 'acquiring', 'synopsize', 'embedding', 'methodized', 'passing', 'quitted', 'comment', 'abbreviate', 'conclude', 'color', 'acted', 'dispatch', 'walk', 'interface', 'waved', 'asserted', 'poll', 'specializing', 'quit', 'weaving', 'raise', 'union', 'create', 'informed', 'hitting', 'entered', 'wait', 'woke', 'define', 'fire', 'releasing', 'assert', 'sensed', 'disconnected', 'queuing', 'cast', 'profiled', 'loop', 'rename', 'globalizing', 'manoeuvring', 'dumped', 'sleeping', 'parse', 'skipping', 'examined', 'commanded', 'synopsized', 'ignoring', 'verified', 'perform', 'wiring', 'check', 'stepped', '_pertaining', 'used', 'running', 'wired', 'tune', 'venturing', 'idling', 'inherit', 'command', 'coordinate', 'methodize', 'sensing', 'stating', 'upgraded', 'polled', 'rotated', 'kill', 'distanced', 'protecting', 'adding', 'rose', 'add', 'terminating', 'wised', 'casting', 'finalize', 'checking', 'showing', 'sorting', 'using', 'accepted', 'rotate', 'imposed', 'hunt', 'discarded', 'renamed', 'waiving', 'served', 'warping', 'performing', 'exposed', 'pickled', 'born', 'flush', 'delivered', 'webbing', 'recorded', 'connecting', 'quitting', 'refer', 'measuring', 'taken-off', 'run', 'deleted', 'selecting', 'processing', 'broken', 'step', 'tuning', 'asserting', 'borning', 'ace', 'getting', 'firing', 'informing', 'act', 'discard', 'hatched', 'freeing', 'raised', 'interfacing', 'parsing', 'globalized', 'rising', 'finalizing', 'winging', 'verbalized', 'terminated', 'comparing', 'removing', 'flying', 'doing', 'analyze', 'launching', 'manoeuvred', 'yearned', 'registered', 'landing', 'link', 'scope', 'removed', 'raising', 'reset', 'wise', 'embedded', 'record', 'netting', 'verging', 'embed', 'called', 'delete', 'defined', 'abstract', 'aced', 'examine', 'warning', 'importing', 'watched', 'parsed', 'compared', 'taking-into-account', 'setting', 'test', 'standardize', 'calculating', 'waving', 'flushed', 'building', 'land', 'reasoned', 'waived', 'walked', 'time', 'wake', 'starting'])
        print(33*("-"))    
            
    verb2xi = 'dragonized'
                                            

    # ---------------------------------------------------------------------------------------------
    # tailor 
    # ---------------------------------------------------------------------------------------------       
    if 'file_path4xi' in keys2context:
        filepath2xi = c2xi['file_path4xi']
    else:
        filepath2xi = '..\\..\\xml\\reason-verb4xi.xml'
    f2xi=open(filepath2xi, 'w')
    if debug2xi is True:
        print(33*("="))       
        print("(STEP 6/33) OF XML_VERB4XI: OPENED FILE: ", filepath2xi)
        print(33*("="))    
            
    # ---------------------------------------------------------------------------------------------
    # end of tailoring 
    # --------------------------------------------------------------------------------------------- 
  
    if debug2xi is True:
        
        print(33*("-"))
        print("(STEP 7/33) OF XML_VERB4XI: create header for XML file")     
        print(33*("-"))    
                
    f2xi.write('<?xml version="1.0"?>\n')
    f2xi.write('<rdf:RDF\n')
    f2xi.write('   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"\n')
    f2xi.write('   xmlns:xsd="http://www.w3.org/2001/XMLSchema#"\n')
    f2xi.write('   xmlns:owl="http://www.w3.org/2002/07/owl#"\n')
    f2xi.write('   xmlns:rdfs="http://www.w3.org/2000/01/rdf-schema#"\n')
    
    # ---------------------------------------------------------------------------------------------
    # tailor  
    # ---------------------------------------------------------------------------------------------     
    #f2xi.write('   xmlns="http://www.yourdragonxi.org/web/lib/owl/DefaultReason4Xi.owl#"\n')
    if 'name_space4xi' in keys2context:
        namespace2xi = c2xi['name_space4xi'] 
    else:
        namespace2xi = '   xmlns="http://www.yourdragonxi.org/web/lib/owl/VerbReason4Xi.owl#"\n'     
    f2xi.write(namespace2xi)
    # ---------------------------------------------------------------------------------------------
    # end of tailoring  
    # --------------------------------------------------------------------------------------------- 
        
    f2xi.write('   xmlns:p1="http://www.owl-ontologies.com/assert.owl#"\n')
    
    # ---------------------------------------------------------------------------------------------
    # tailor  
    # ---------------------------------------------------------------------------------------------     
    #f2xi.write('   xml:base="http://www.yourdragonxi.org.com/web/lib/owl/reason-default4xi.owl">\n')
    if 'xml_base4xi' in keys2context: 
        xmlbase2xi = c2xi['xml_base4xi'] 
    else:
        xmlbase2xi = '   xml:base="http://www.yourdragonxi.org.com/web/lib/owl/reason-verb4xi.owl">\n'
    f2xi.write(xmlbase2xi)
    # ---------------------------------------------------------------------------------------------
    # end of tailoring  
    # --------------------------------------------------------------------------------------------- 
    
    # ---------------------------------------------------------------------------------------------
    # tailor  
    # ---------------------------------------------------------------------------------------------             
    #f2xi.write('   <owl:Ontology rdf:about="DefaultReason4Xi">\n')
    if 'ontology_about4xi' in keys2context: 
        ontology_about2xi = c2xi['ontology_about4xi']
    else:
        ontology_about2xi = '   <owl:Ontology rdf:about="DefaultReason4Xi">\n'
    f2xi.write(ontology_about2xi)
    # ---------------------------------------------------------------------------------------------
    # end of tailoring  
    # --------------------------------------------------------------------------------------------- 
    
    # ---------------------------------------------------------------------------------------------
    # tailor  
    # ---------------------------------------------------------------------------------------------         
    #f2xi.write('      <define4xi xml:lang="en">reason-default4xi</define4xi>\n')
    if 'ontology_comment4xi' in keys2context:
        ontology_comment2xi = c2xi['ontology_comment4xi']
    else:
        ontology_comment2xi = '      <define4xi xml:lang="en">reason-verb4xi</define4xi>\n'    
    f2xi.write(ontology_comment2xi)
    # ---------------------------------------------------------------------------------------------
    # end of tailoring  
    # --------------------------------------------------------------------------------------------- 
            
    f2xi.write('      <owl:versionInfo xml:lang="en">Version ' + strftime("%a, %d %b %Y %H:%M:%S",localtime()) + '</owl:versionInfo>\n')
    
    # ---------------------------------------------------------------------------------------------
    # tailor  
    # ---------------------------------------------------------------------------------------------        
    #f2xi.write('   <owl:Class rdf:ID="reasoned#0000000">\n')
    if 'class0_id4xi' in keys2context:    
        class2xi = c2xi['class0_id4xi']    
    else:
        class2xi = '   <owl:Class rdf:ID="reasoned#000000">\n'
    f2xi.write(class2xi)
    # ---------------------------------------------------------------------------------------------
    # end of tailoring  
    # ---------------------------------------------------------------------------------------------     
    
    
    # ---------------------------------------------------------------------------------------------
    # tailor  
    # ---------------------------------------------------------------------------------------------         
    #f2xi.write('      <define4xi xml:lang="en">Operations</define4xi>\n')
    if 'operation_comment4xi' in keys2context:
        operation_comment2xi = c2xi['operation_comment4xi']
    else:
        operation_comment2xi = '      <define4xi xml:lang="en">Verbs</define4xi>\n'
    f2xi.write(operation_comment2xi)
    # ---------------------------------------------------------------------------------------------
    # end of tailoring  
    # --------------------------------------------------------------------------------------------- 
            
    f2xi.write('   </owl:Class>\n')
    
    
    # ---------------------------------------------------------------------------------------------
    # tailor  
    # ---------------------------------------------------------------------------------------------     
    #f2xi.write('   <owl:ObjectProperty rdf:ID="reasoning#0">\n')
    if 'object_property_rdf4xi' in keys2context:
        object_property2xi = c2xi['object_property_rdf4xi']
    else:
        object_property2xi = '   <owl:ObjectProperty rdf:ID="reasoning#0">\n'
    f2xi.write(object_property2xi)
    # ---------------------------------------------------------------------------------------------
    # end of tailoring  
    # --------------------------------------------------------------------------------------------- 
    
    # ---------------------------------------------------------------------------------------------
    # tailor  
    # ---------------------------------------------------------------------------------------------         
    #f2xi.write('       <define4xi xml:lang="en">reason</define4xi>\n')
    if 'object_property_comment4xi' in keys2context:
        object_property_comment2xi = c2xi['object_property_comment4xi']
    else:
        object_property_comment2xi = '       <define4xi xml:lang="en">reason</define4xi>\n'    
    f2xi.write(object_property_comment2xi)
    # ---------------------------------------------------------------------------------------------
    # end of tailoring  
    # --------------------------------------------------------------------------------------------- 
        
    f2xi.write('   </owl:ObjectProperty>\n')
    
    orderIRI2xi = "#0"
    classIRI2xi = "to-be-solved-class"
    methodIRI2xi = "to-be-solved-method"
        
    classPropertyID2xi = 1
    classComment2xi = "Comment of Class "
    objectPropertID2Xi = 1
    objectPropertComment2xi = "Comment of Object Property "     
    

    # ---------------------------------------------------------------------------------------------
    # 
    # --------------------------------------------------------------------------------------------- 
    for key2kb in sorted(keys2kb):                                          # 'looped': 'looped', 'rounded': 'rounded', 'freeing': 'freeing'....
          
        print("(STEP 9/33) OF XML_VERB4XI: PROCESSING KEY2KB: ", key2kb) 
       
        try:
            f2xi.write('   <owl:Class rdf:ID="' + key2kb + '">\n')              # <owl:Class rdf:ID="added#900>

     
            f2xi.write('      <define4xi xml:lang="en">' + reasonKB4Xi[key2kb] + '</define4xi>\n')  
        
            f2xi.write('   </owl:Class>\n')
            
            print("(STEP 10/33) OF XML_VERB4XI: WROTE ID TO KEY2KB: ", key2kb)  # _pertain ...
        except:
            print("(STEP 11/33) OF XML_VERB4XI *** FAILED TO WRITE ID TO KEY2KB: ", key2kb)  
               
    # ---------------------------------------------------------------------------------------------
    # 
    # ---------------------------------------------------------------------------------------------             
    if debug2xi is True:
        print(33*("-"))
        print("(STEP 10/33) OF XML_VERB4XI: CREATING END FOR XML FILE REASON-VERB4XI.XML")     
        print(33*("-"))          
                
    f2xi.write('   </owl:Ontology>\n')
    f2xi.write('</rdf:RDF>\n')
    f2xi.write('<!-- Copyright Small & Smart Inc. All rights reserved. -->\n')

                  
    f2xi.close()        

    
    if debug2xi is True:
        print(33*("-"))
        print("(STEP 11/33) OF XML_VERB4XI: CLOSED XML FILE REASON-VERB4XI.XML")     
        print(33*("-"))
                
#</function4xi>
    
              
# =================================================================================================
#<class4xi class = "Verb4Xi" base = "object" child = "None" synopsis = "
#   Offers methods for verb knowledgebase
#"
#>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# =================================================================================================
#
class Verb4Xi(object): 
    '''
    Verb4Xi class offers methods for verb knowledgebase
    '''
       
    # ---------------------------------------------------------------------------------------------
    # Public API of this class
    # ---------------------------------------------------------------------------------------------    
    #<expose4xi exposure = " 
    _exposed_ = ('sense', 'reason', 'ace')          
    #"
    #/>
                                
      
    # ---------------------------------------------------------------------------------------------
    #<methodize4xi method = "init-of-Verb4Xi" usage = "initializes">
    # ---------------------------------------------------------------------------------------------
    def __init__(self, context2xi = {}):
        
        
        # -----------------------------------------------------------------------------------------
        # __init__                              
        # -----------------------------------------------------------------------------------------        
        
        class2print = 'Verb4Xi'
        method2print = '__init__'
        
    #</methodize4xi> 
    
            
    # ---------------------------------------------------------------------------------------------
    #<methodize4xi method = "analyze-verb-of-Verb4Xi" usage = "analyzes">
    # ---------------------------------------------------------------------------------------------
    def analyze_verb(self):
        '''
        analyzes verb knowledgebase
        '''
        
        # -----------------------------------------------------------------------------------------
        # return analyzed knowledge
        # -----------------------------------------------------------------------------------------        
        
        class2print = 'Verb4Xi'
        method2print = 'analyze_verb'
            
        return analyze_verb4xi()
        
    #</methodize4xi> 
            
    # ---------------------------------------------------------------------------------------------
    #<methodize4xi method = "wave-verb-of-Verb4Xi" usage = "waves">
    # ---------------------------------------------------------------------------------------------
    def wave_verb(self):
        '''
        waves verb knowledgebase
        '''
        
        # -----------------------------------------------------------------------------------------
        # return waves
        # -----------------------------------------------------------------------------------------        
        
        class2print = 'Verb4Xi'
        method2print = 'wave_verb'
            
        return wave_verb4xi()
        
    #</methodize4xi>                  

    # ---------------------------------------------------------------------------------------------
    #<methodize4xi method = "color-tenses-of-Verb4Xi" usage = "colors">
    # ---------------------------------------------------------------------------------------------
    def color_tenses(self):
        '''
        return colors of tenses
        '''
        
        # -----------------------------------------------------------------------------------------
        # return colors of all tenses
        # -----------------------------------------------------------------------------------------        
        
        class2print = 'Verb4Xi'
        method2print = 'color_tenses'
            
        return color_tenses4xi()
        
    #</methodize4xi> 

    # ---------------------------------------------------------------------------------------------
    #<methodize4xi method = "coordinate_tenses" usage = "coordinates">
    # ---------------------------------------------------------------------------------------------
    def coordinate_tenses(self, file):
        '''
        coordinates tenses
        '''
        
        # -----------------------------------------------------------------------------------------
        # return coordinate for tenses
        # -----------------------------------------------------------------------------------------        
        
        class2print = 'Verb4Xi'
        method2print = 'coordinate_tenses'
            
        return coordinate_tenses4xi(file)
        
    #</methodize4xi>              


                
    # ---------------------------------------------------------------------------------------------
    #<methodize4xi method = "sense-verb-of-Verb4Xi" usage = "senses">
    # ---------------------------------------------------------------------------------------------
    def sense_verb(self):
        '''
        sense_verbi senses verb knowledgebase
        '''
        
        # -----------------------------------------------------------------------------------------
        # return knowledge
        # -----------------------------------------------------------------------------------------        
        
        class2print = 'Verb4Xi'
        method2print = 'sense_verb'
            
        return sense_verb4xi()
    #</methodize4xi> 
                    
    # ---------------------------------------------------------------------------------------------
    #<methodize4xi method = "reason-verb-of-Verb4Xi" usage = "reasons">
    # ---------------------------------------------------------------------------------------------
    def reason_verb(self):
        '''
        reason_verb reasons verb knowledgebase
        '''
            
      
        # -----------------------------------------------------------------------------------------
        # return knowledge
        # -----------------------------------------------------------------------------------------        
        
        class2print = 'Verb4Xi'
        method2print = 'reason_verb'
            
        return reason_verb4xi()
    #</methodize4xi> 
            
      
     
    # ---------------------------------------------------------------------------------------------
    #<methodize4xi method = "ace-verb-of-Verb4Xi" usage = "aces">
    # ---------------------------------------------------------------------------------------------
    def ace_verb(self):
        '''
        ace_verb aces verb knowledgebase
        '''
       
        
        # -----------------------------------------------------------------------------------------
        # return knowledge
        # -----------------------------------------------------------------------------------------        
        
        class2print = 'Verb4Xi'
        method2print = 'ace_verb'
            
        return ace_verb4xi()
        
        # -----------------------------------------------------------------------------------------
        #
        # ----------------------------------------------------------------------------------------- 
    #</methodize4xi> 
            
    # ---------------------------------------------------------------------------------------------
    #<methodize4xi method = "xml-verb-of-Verb4Xi" usage = "xmls">
    # ---------------------------------------------------------------------------------------------
    def xml_verb(self):
        '''
        xml_verb creates xml file from verb knowledgebase
        '''
       
        
        # -----------------------------------------------------------------------------------------
        # verb knowledge to xml
        # -----------------------------------------------------------------------------------------        
        
        class2print = 'Verb4Xi'
        method2print = 'xml_verb'
            
        xml_verb4xi()
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------
    #</methodize4xi> 
    
#</class4xi>                  
#</program4xi>

# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_verbkb4xi.txt
#   reason-verb4xi.xml

#   <class4xi> - added here for the parser4xi - this program should NOT have used tag directly as string!

#"
#>



# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of verb4xi.py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>

                                        